SET time_zone = '+00:00';
SET NAMES utf8mb4;

DROP TABLE IF EXISTS `ok_advantages`;
CREATE TABLE `ok_advantages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `text` text COLLATE utf8mb4_unicode_ci,
  `position` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_advantages` (`id`, `filename`, `text`, `position`) VALUES
(1,	'advantage1_icon_1.jpg',	'Доставка по всей стране',	2),
(2,	'advantage2_icon_1.jpg',	'100% гарантия качества',	0),
(3,	'advantage3_icon_1.jpg',	'14 дней на возврат товара',	1),
(4,	'advantage4_icon_1.jpg',	'Самовывоз из магазина',	3);

DROP TABLE IF EXISTS `ok_blog`;
CREATE TABLE `ok_blog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  `date` timestamp NULL DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `type_post` enum('blog','news') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'blog',
  PRIMARY KEY (`id`),
  KEY `enabled` (`visible`),
  KEY `url` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_blog` (`id`, `name`, `url`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `visible`, `date`, `image`, `last_modify`, `type_post`) VALUES
(1,	'Основные изменения в OkayCMS 2.0',	'osnovnye-izmeneniya-v-okaycms-20',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>',	1,	'2017-05-13 21:00:00',	'okaycms2.0.jpg',	'2019-09-11 14:57:28',	'news'),
(2,	'Как работает техподдержка OkayCMS 2.0',	'kak-rabotaet-tehpodderzhka-okaycms-20',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>',	1,	'2017-05-13 21:00:00',	'background-bags-bows-1050244.jpg',	'2019-07-07 20:01:14',	'news'),
(3,	'Как установить OkayCMS 2.0 на сайт',	'kak-ustanovit-okaycms-20-na-sajt',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS Зайдите на официальный сайт OkayCMS. Кликните по кнопке Скачать CMS в шапке сайта. Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>',	1,	'2017-05-13 21:00:00',	'install_okaycms.png',	'2019-06-13 14:46:35',	'blog'),
(4,	'Город Нью-Йорк (New York City)',	'gorod-nyu-jork-new-york-city',	'Город Нью-Йорк (New York City)',	'Город Нью-Йорк (New York City)',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. ',	'<p>Нью-Йорк &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>',	'<p><strong>Нью-Йорк</strong> &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>\r\n<p class=\"video\" style=\"text-align: center;\"><iframe src=\"https://www.youtube.com/embed/TmDKbUrSYxQ\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></p>\r\n<h3 style=\"text-align: center;\">Основные моменты</h3>\r\n<p>Две главные достопримечательности, давно ставшие символами Нью-Йорка &ndash; это его легендарные небоскребы (например, Эмпайр Стейт Билдинг) и Статуя Свободы. Величественные здания можно осмотреть и при пешей прогулке, а вот до другого объекта можно добраться только на пароме с Нижнего Манхеттена.</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">Практически все самые известные достопримечательности сосредоточены на Манхеттене. Здесь находятся известные на весь мир Уолт-стрит, где кипит финансовая жизнь всей Америки, Бродвей с многочисленными театрами, Центральный вокзал, самая дорогая улица &ndash; Пятая Авеню с шикарными магазинами и ресторанами, Рокфеллер-центр, около которого каждое Рождество устанавливают огромную ель, Музейная миля со всемирно известными музеями. Но самым посещаемым местом является Таймс Сквер. Здесь всегда многолюдно и в разгар рабочего дня, и ночью, когда включается впечатляющая неоновая подсветка.</div>\r\n<div class=\"table__cell\"><img src=\"../files/uploads/architecture-buildings-car-1634275.jpg\" width=\"800\" height=\"533\" /></div>\r\n</div>\r\n</div>\r\n<p>Непременно стоит заглянуть и в другие районы города. Хотя бы для того, чтобы почувствовать их атмосферу, в каждом из них можно найти много интересного. Так, например, Бронксе имеется зоопарк и ботанический сад.</p>\r\n<p>В каждом округе Нью-Йорка есть свои парки и скверы, но самым известным, несомненно, является огромный Центральный парк в сердце Манхеттена. Это искусственно созданный уголок природы посреди серого бетонного мегаполиса.</p>\r\n<p>Нью-Йорк уже давно приобрел славу одного из самых дорогих городов в мире. Поэтому проживание, еда, покупки и передвижение по городу обойдется в немалую сумму. Но все же здесь стоит побывать хотя бы раз в жизни. Кто-то влюбляется в Нью-Йорк с первого взгляда, кто-то начинает ненавидеть этот мегаполис с безумным ритмом жизни. В любом случае равнодушно относиться к этому городу невозможно.</p>\r\n<h3 style=\"text-align: center;\">Достопримечательности Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_mankhetten.jpg\" alt=\"Манхеттен\" width=\"380\" height=\"380\" />\r\n<figcaption>Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_statuya_svobody.JPG\" alt=\"Статуя Свободы\" width=\"380\" height=\"380\" />\r\n<figcaption>Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_bruklin.jpg\" alt=\"Бруклин\" width=\"380\" height=\"380\" />\r\n<figcaption>Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_pyatoe_avenyu.jpg\" alt=\"Пятая авеню\" width=\"380\" height=\"380\" />\r\n<figcaption>Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_broadway.jpg\" alt=\"Бродвей\" width=\"380\" height=\"380\" />\r\n<figcaption>Бродвей &ndash; это не только главная улица Нью-Йорка, а возможно и всех Соединенных Штатов, это еще и...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_uoll_strit.jpg\" alt=\"Уолл Стрит\" width=\"380\" height=\"380\" />\r\n<figcaption>Уолл-стрит &mdash; небольшая узкая улица в нижней части Манхэттена, ведущая от Бродвея к побережью...</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Музеи Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\"><img src=\"../files/uploads/okay_museum.jpg\" alt=\"Музеи нью Йорка\" width=\"1024\" height=\"500\" /></div>\r\n<div class=\"table__cell\">\r\n<p>Пожалуй, вся оставшаяся жизнь ушла бы у вас на посещение 120 музеев Нью-Йорка. Ниже приводится далеко не полный их перечень.</p>\r\n<ol>\r\n<li>Художественный музей Метрополитен.</li>\r\n<li>Музей современного искусства.</li>\r\n<li>Музей Гуггенхайма.</li>\r\n<li>Музей американского искусства Уитни.</li>\r\n<li>Американский музей естествознания.</li>\r\n<li>Музей города Нью-Йорка.</li>\r\n<li>Национальный музей американских индейцев.</li>\r\n</ol>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Остров Манхэттен</h3>\r\n<p>Этот остров длиной 21 км и шириной 3 км содержит почти все, что бы вам хотелось посмотреть. Четыре других городских района: Бруклин, Куинс, Стейтен-Айленд и Бронкс (все большей частью жилые) &mdash; по-своему неповторимы, но для местных жителей и приезжих Нью-Йорк &mdash; это Манхэттен.</p>\r\n<p><strong>Мидтаун.</strong> Вполне возможно, что ваша гостиница окажется в Мидтауне, откуда легко добраться пешком до любого лежащего окрест места. Нью-Йорк отличает еще то, что он замечательно подходит для пеших прогулок по своим широким тротуарам. В любом случае начинать надо от центра.</p>\r\n<p><strong>Рокфеллеровский центр</strong>. Это скопление вознесшихся вверх башен из индианского известняка между Пятой и Шестой авеню, от 48-й до 51-й улицы составляет сердцевину Нью-Йорка. Джон Д. Рокфеллер-младший арендовал данный участок земли у Колумбийского университета в 1928 г., чтобы спасти его от дурной славы притона для питейных заведений в пору действия сухого закона. Они вскоре исчезли, уступив место первым небоскребам, где размещались правления компаний и центр радиовещания, которые соединялись с подземным залом, где находилось свыше 200 магазинов и ресторанов.</p>\r\n<p><strong>Пятая авеню</strong>. Этот проспект, по меньшей мере отрезок между 34-й улицей и Центральным парком, стал олицетворением роскоши, которой можно вкусить или полюбоваться. Если ваши средства не позволяют остановиться в гостинице &laquo;Плаза&raquo;, можно насладиться не столь вызывающей роскошью усеянных бриллиантами витрин ювелирных магазинов Тиффани, либо Картье, либо Ван-Клефа и Арпельса. Они просто восхитительны, особенно под Рождество.</p>\r\n<blockquote>\r\n<p>Порой я устаю от прогулок по прекрасным улицам Лос-Анджелеса. Я понимаю, что это звучит ненормально, но у меня возникает желание съездить в Нью-Йорк и понаблюдать за страданиями людей.</p>\r\n<cite>Донна Саммер</cite></blockquote>\r\n<p><span style=\"font-size: 10pt;\">*Материалы для оформления этой статьи были частично взяты с ресурса <em>wikiway.com</em></span></p>',	1,	'2018-06-25 21:00:00',	'coffee-dark-design-1581687.jpg',	'2019-07-08 12:24:54',	'news'),
(5,	'OkayCMS 3.0',	'okaycms-30',	'OkayCMS 3.0',	'OkayCMS 3.0',	'Достопримечательности Нью-Йорка \r\n \r\n \r\n \r\n  \r\n Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район... \r\n \r\n \r\n \r\n  \r\n Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ... \r\n \r\n \r\n \r\n  \r\n Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5... \r\n \r\n \r\n \r\n  \r\n Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ... \r\n \r\n \r\n \r\n  \r\n Бродвей &ndash; э',	'<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности. Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы;</p>',	'<h3 style=\"text-align: center;\">Вышла новая версия OKAY CMS 3</h3>\r\n<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности.</p>\r\n<p>Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. Новый дизайн</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый дизайн разработан по всем требованиям юзабилити для интернет-магазинов</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Раздел обучения</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый раздел обучение, где собраны инструкции для базовых работ на сайте.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Модульность</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Полностью переработанная структура, появление модульности</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Настройка цветов сайта</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>В настройках дизайна появился новый блок, для настройки цветов сайта</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Почему мы пошли на такое глобальное изменение?</h3>\r\n<p><strong>Первая</strong>. Основа первой и второй версии OkayCMS была сделана с использованием старого кода. На момент создания нашей системы, в 2015 году код, который использовался ещё был актуальным, но входить в 2020 год с тем что было - нехорошо.</p>\r\n<p><strong>Вторая.</strong> Проблемы с расширением функционала магазина. В силу того что прошлые версии системы были не модульные, когда приходилось глобально расширять функционал - все изменения вносились сразу в ядро и это создавало сложный код. Все последующие доработки в такой проект внедрялись всё сложнее и сложнее. Сейчас, с переходом к модульности эта проблема частично будет решена.</p>\r\n<p><strong>Третья.</strong> Обновления системы. Эта проблема частично вытекает из второй. Когда доработки затрагивали ядро системы, сделать обновление доработанной системы было проблематично. В некоторых случаях более разумно было отказаться от обновлений сильно доработанной системы. Теперь, когда работы будут выполняться отдельно от ядра - обновления системы должны проходить быстрее и безболезненнее.</p>\r\n<p><strong>Четвертая.</strong> Удобство для новых пользователей. Основа успешного развития - это хорошее коммьюнити вокруг продукта. Код прошлых версий был простой, удобный, но всё же специфический, не использующий паттернов и сделанный \"по своему\". Проблема, которая из этого вытекала, новым программистам, которые начинали свое образование с разбирательсв с фреймворками вроде Laravel система казалась сразу непонятной и они не сильно хотели браться делать на ней небольшие доработки. Новая версия системы больше соответсвует основным трендам в мире программирования и должна сделать более простой порог входа для новых программистов, новых веб-студий и т.п. которые решат использовать нашу систему в работе.</p>\r\n<h3 style=\"text-align: center;\">Как обновиться с прошлых версий OkayCMS до версии 3.*?</h3>\r\n<p>OkayCMS 3 - это система с полностью переработанным ядром и полностью обновленным программным кодом, поэтому шаблоны и модули с прошлых версий несовместимы.</p>\r\n<p>Все владельцы лицензий Pro версии OkayCMS могут заказать перенос своих данных на новую версию или же, в случае большого количества доработок и индивидуальных шаблонов - остаться на версии 2.* которую мы будем продолжать поддерживать и на которую мы будем выпускать обновления, содержащие фиксы замечаний, о которых нам будет известно. Перенос данных на версию 3.* с предыдущих версий займет 1 час времени техподдержки.</p>\r\n<p>В случае переноса данных на новую версию мы перенесем на версию 3.* все ваши товары, категории, бренды, страницы, записи блога, заказы и зарегистрированных покупателей. После переноса вы получите сайт со всем функционалом версии OkayCMS 3.* дизайном версии 3.* и содержимым базы данных с вашего сайта на предыдущей версии OkayCMS. Для заказа обновления до 3.0 напишите нам на почту info@okay-cms.com или обратитесь в тех.поддержку из админ. панели.</p>',	1,	'2019-07-06 21:00:00',	'dream-come-true.jpg',	'2019-10-25 14:13:07',	'news');

DROP TABLE IF EXISTS `ok_brands`;
CREATE TABLE `ok_brands` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `position` int(11) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  `to_rozetka` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  `to__okaycms__hotline` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `url` (`url`(100)),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_brands` (`id`, `name`, `url`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `image`, `last_modify`, `position`, `visible`, `to_rozetka`, `to__okaycms__yandex_xml_vendor_model`, `to__okaycms__yandex_xml`, `to__okaycms__google_merchant`, `to__okaycms__hotline`) VALUES
(1,	'Puff',	'puff',	'Puff',	'Puff',	'Puff',	'',	'',	'pkay-puff.png',	'2019-06-10 08:56:29',	1,	1,	0,	0,	0,	0,	NULL),
(2,	'Алтермо',	'altermo',	'Алтермо',	'Алтермо',	'Алтермо',	'',	'',	'altermo.png',	'2017-05-11 09:12:59',	2,	1,	0,	0,	0,	0,	NULL),
(3,	'Ferroli',	'ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	'',	'ferroli.jpg',	'2017-05-11 09:12:59',	3,	1,	0,	0,	0,	0,	NULL),
(4,	'Global',	'global',	'Global',	'Global',	'Global',	'',	'',	'global.png',	'2017-05-11 09:12:59',	4,	1,	0,	0,	0,	0,	NULL),
(5,	'Atlantic',	'atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	'',	'atlantic.png',	'2017-05-11 09:12:59',	5,	1,	0,	0,	0,	0,	NULL),
(6,	'Beretta',	'beretta',	'Beretta',	'Beretta',	'Beretta',	'',	'',	'beretta.jpg',	'2019-06-10 10:48:52',	6,	1,	0,	0,	0,	0,	NULL),
(7,	'Bosch',	'bosch',	'Bosch',	'Bosch',	'Bosch',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'bosch.png',	'2019-06-12 09:59:48',	7,	1,	0,	0,	0,	0,	NULL),
(8,	'Vaillant',	'vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	'',	'vaillant.jpg',	'2017-05-11 09:13:00',	8,	1,	0,	0,	0,	0,	NULL),
(10,	'Organik food',	'organikfood',	'Organik food',	'Organik food',	'',	'',	'',	'organik-food.png',	'2019-05-28 12:30:05',	10,	1,	0,	0,	0,	0,	NULL),
(11,	'Nature product',	'natureproduct',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'',	'brand41ff.png',	'2019-05-28 12:35:49',	11,	1,	0,	0,	0,	0,	NULL),
(12,	'Fitbit',	'fitbit',	'Fitbit',	'Fitbit',	'',	'',	'',	'fitbit-logo.png',	'2019-07-05 12:31:30',	12,	1,	0,	0,	0,	0,	NULL),
(13,	'Britax romer',	'britaxromer',	'Britax romer',	'Britax romer',	'',	'',	'',	'britax_romer_logo.png',	'2019-07-05 12:24:45',	13,	1,	0,	0,	0,	0,	NULL),
(14,	'GARNIER',	'garnier',	'GARNIER',	'GARNIER',	'',	'',	'',	'okay_garnier.png',	'2019-06-10 14:31:28',	14,	1,	0,	0,	0,	0,	NULL),
(15,	'Haibike',	'haibike',	'Haibike',	'Haibike',	'',	'',	'',	'okay_brand_bike.png',	'2019-07-04 10:11:36',	15,	1,	0,	0,	0,	0,	NULL),
(16,	'Royal Canin',	'royalcanin',	'Royal Canin',	'Royal Canin',	'',	'',	'',	'okay_royalcanin.png',	'2019-07-05 11:58:54',	16,	1,	0,	0,	0,	0,	NULL);

DROP TABLE IF EXISTS `ok_callbacks`;
CREATE TABLE `ok_callbacks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `phone` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` mediumtext COLLATE utf8mb4_unicode_ci,
  `processed` tinyint(1) NOT NULL DEFAULT '0',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `admin_notes` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_callbacks` (`id`, `date`, `name`, `phone`, `message`, `processed`, `url`, `admin_notes`) VALUES
(1,	'2019-07-11 13:22:26',	'вася',	'566565',	'F5 и повторная отправка',	0,	'http://new.demookay.com/',	'');

DROP TABLE IF EXISTS `ok_categories`;
CREATE TABLE `ok_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `level_depth` tinyint(1) NOT NULL DEFAULT '1',
  `auto_meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_desc` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_description` mediumtext COLLATE utf8mb4_unicode_ci,
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created` timestamp NULL DEFAULT NULL,
  `to_rozetka` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  `auto_h1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `to__okaycms__hotline` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `position` (`position`),
  KEY `visible` (`visible`),
  KEY `external_id` (`external_id`),
  KEY `created` (`created`),
  KEY `url` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_categories` (`id`, `parent_id`, `name`, `name_h1`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `url`, `image`, `position`, `visible`, `external_id`, `level_depth`, `auto_meta_title`, `auto_meta_keywords`, `auto_meta_desc`, `auto_description`, `last_modify`, `created`, `to_rozetka`, `to__okaycms__yandex_xml_vendor_model`, `to__okaycms__yandex_xml`, `to__okaycms__google_merchant`, `auto_h1`, `to__okaycms__hotline`) VALUES
(1,	0,	'Мебель для дома',	'',	'Мебель для дома',	'Мебель для дома',	'Мебель для дома',	'',	'',	'mebel-dlya-doma',	'family-sofa_2.png',	1,	1,	'',	1,	'',	'',	'',	'',	'2019-08-08 13:36:41',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(2,	32,	'Кресло мешок',	'',	'Кресло мешок',	'Кресло мешок',	'Кресло мешок',	'',	'',	'kreslo-meshok',	'bean-bag_1.png',	3,	1,	'',	3,	'',	'',	'',	'',	'2019-08-08 13:39:11',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(3,	0,	'Техника для дома',	'',	'Техника для дома',	'Техника для дома',	'Гаджеты',	'',	'',	'tehnika-dlya-doma',	'electrical-appliances_1.png',	58,	1,	'',	1,	'',	'',	'',	'',	'2019-08-08 13:50:37',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(4,	0,	'Смартфоны',	'',	'Смартфоны',	'Смартфоны',	'Смартфоны',	'',	'',	'smartfony',	'smartphone_1.png',	6,	1,	'',	2,	'',	'',	'',	'',	'2019-08-21 13:17:23',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(5,	4,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'meizu',	'meizu-logo_1.png',	5,	1,	'',	3,	'',	'',	'',	'',	'2019-08-08 13:51:10',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(8,	4,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'xiaomi',	'xiaomi-logo_1.png',	8,	1,	'',	3,	'',	'',	'',	'',	'2019-08-08 13:51:29',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(9,	0,	'Детские игрушки',	'',	'Детские игрушки',	'Детские игрушки',	'Детские игрушки',	'',	'',	'detskie-igrushki',	'puzzle_1.png',	59,	1,	'',	1,	'',	'',	'',	'',	'2019-08-08 13:57:02',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(10,	9,	'Мягкие игрушки',	'',	'Мягкие игрушки',	'Мягкие игрушки',	'Мягкие игрушки',	'',	'',	'myagkie-igrushki',	'',	10,	1,	'',	2,	'',	'',	'',	'',	'2019-01-24 13:18:20',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(11,	9,	'Детские машинки',	'',	'Детские машинки',	'Детские машинки',	'Детские машинки',	'',	'',	'detskie-mashinki',	'',	11,	1,	'',	2,	'',	'',	'',	'',	'2019-01-24 13:19:20',	'2018-06-19 14:21:13',	0,	0,	0,	0,	NULL,	NULL),
(17,	0,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'tovary-dlya-biznesa',	'cash-register_1.png',	60,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:57:43',	'2019-04-24 14:02:57',	0,	0,	0,	0,	NULL,	NULL),
(18,	0,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'odezhda-obuv-i-ukrasheniya',	't-shirt_1.png',	61,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:58:08',	'2019-04-24 14:03:42',	0,	0,	0,	0,	NULL,	NULL),
(19,	0,	'Художественная литература',	'',	'Художественная литература',	'Художественная литература',	'',	'',	'',	'hudozhestvennaya-literatura',	'open-book_1.png',	62,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:58:26',	'2019-04-24 14:25:09',	0,	0,	0,	0,	NULL,	NULL),
(20,	0,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim a',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'stroitelnye-instrumenty',	'machine_1.png',	63,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:58:47',	'2019-04-24 14:26:18',	0,	0,	0,	0,	NULL,	NULL),
(21,	0,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'tovary-dlya-sporta',	'table-tennis_1.png',	64,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:59:16',	'2019-04-24 14:27:44',	0,	0,	0,	0,	NULL,	NULL),
(22,	0,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'krasota-i-zdorove',	'charity_1.png',	65,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 14:00:06',	'2019-04-24 14:28:27',	0,	0,	0,	0,	NULL,	NULL),
(23,	0,	'Напитки и продукты',	'',	'Напитки и продукты',	'Напитки и продукты',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'napitki-i-produkty',	'fast-food_1.png',	66,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 14:01:37',	'2019-04-24 14:29:19',	0,	0,	0,	0,	NULL,	NULL),
(24,	0,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'tovary-dlya-zhivotnyh',	'pawprint_1.png',	70,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:59:44',	'2019-04-24 14:30:33',	0,	0,	0,	0,	NULL,	NULL),
(26,	23,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'frukty-i-ovoschi',	'cherries_1.png',	36,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:02:04',	'2019-05-28 08:35:53',	0,	0,	0,	0,	NULL,	NULL),
(27,	23,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'myaso-i-ryba',	'meat_1.png',	37,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:02:22',	'2019-05-28 09:55:50',	0,	0,	0,	0,	NULL,	NULL),
(28,	23,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'bakaleya',	'eggs_1.png',	38,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:02:45',	'2019-05-28 09:56:53',	0,	0,	0,	0,	NULL,	NULL),
(29,	23,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'soki',	'lemonade_1.png',	39,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:03:18',	'2019-05-28 12:12:40',	0,	0,	0,	0,	NULL,	NULL),
(30,	23,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'alkogolnye-napitki',	'wine_1.png',	40,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:03:47',	'2019-05-28 12:20:40',	0,	0,	0,	0,	NULL,	NULL),
(31,	22,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'vitaminy',	'medicine_1.png',	31,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:00:45',	'2019-05-28 12:53:41',	0,	0,	0,	0,	NULL,	NULL),
(32,	1,	'Cтолы и стулья',	'',	'Cтолы и стулья',	'Cтолы и стулья',	'',	'',	'',	'ctoly-i-stulya',	'dining-table_1.png',	2,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:36:51',	'2019-05-28 13:42:25',	0,	0,	0,	0,	NULL,	NULL),
(33,	32,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'obedennye-stoly',	'table_1.png',	9,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:42:54',	'2019-05-28 13:42:43',	0,	0,	0,	0,	NULL,	NULL),
(34,	32,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'zhurnalnye-stoly',	'table1_1.png',	17,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:43:16',	'2019-05-28 13:43:06',	0,	0,	0,	0,	NULL,	NULL),
(35,	32,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'kompyuternye-stoly',	'desktop_1.png',	18,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:43:33',	'2019-05-28 13:43:31',	0,	0,	0,	0,	NULL,	NULL),
(36,	32,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'ofisnye-kresla',	'chair_1.png',	19,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:43:47',	'2019-05-28 13:45:00',	0,	0,	0,	0,	NULL,	NULL),
(37,	32,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'taburety',	'stool_1.png',	20,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:44:02',	'2019-05-28 13:45:18',	0,	0,	0,	0,	NULL,	NULL),
(38,	32,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'stoliki-dlya-noutbukov',	'bench_1.png',	21,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:44:20',	'2019-05-28 13:45:46',	0,	0,	0,	0,	NULL,	NULL),
(39,	32,	'Складные столы',	'',	'Складные столы',	'Складные столы',	'',	'',	'',	'skladnye-stoly',	'camp-chair_1.png',	22,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:45:19',	'2019-05-28 13:46:06',	0,	0,	0,	0,	NULL,	NULL),
(40,	32,	'Складные стулья',	'',	'Складные стулья',	'Складные стулья',	'',	'',	'',	'skladnye-stulya',	'directors-chair_2.png',	23,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:44:58',	'2019-05-28 13:46:55',	0,	0,	0,	0,	NULL,	NULL),
(42,	1,	'Спальня',	'',	'Спальня',	'Спальня',	'',	'',	'',	'spalnya',	'big-cot_1.png',	42,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:37:41',	'2019-05-28 15:58:56',	0,	0,	0,	0,	NULL,	NULL),
(43,	42,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'komody',	'drawer_1.png',	43,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:46:48',	'2019-05-28 16:00:25',	0,	0,	0,	0,	NULL,	NULL),
(44,	42,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'shkafy-kupe',	'closet_1.png',	44,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:47:07',	'2019-05-28 16:05:00',	0,	0,	0,	0,	NULL,	NULL),
(45,	42,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'krovati',	'bed_1.png',	45,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:47:30',	'2019-05-28 16:06:16',	0,	0,	0,	0,	NULL,	NULL),
(46,	42,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'zerkala-dlya-spalni',	'mirror_1.png',	46,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:47:49',	'2019-05-28 16:10:23',	0,	0,	0,	0,	NULL,	NULL),
(47,	42,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'tualetnye-stoliki',	'dresser_1.png',	47,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:48:09',	'2019-05-28 16:12:46',	0,	0,	0,	0,	NULL,	NULL),
(48,	42,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'matrasy',	'mattress_1.png',	48,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:48:28',	'2019-05-28 16:15:10',	0,	0,	0,	0,	NULL,	NULL),
(49,	42,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'prikrovatnye-tumby',	'cupboard1_1.png',	49,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:48:47',	'2019-05-28 16:23:04',	0,	0,	0,	0,	NULL,	NULL),
(50,	1,	'Ванная комната',	'',	'Ванная комната',	'Ванная комната',	'',	'',	'',	'vannaya-komnata',	'bathtub_1.png',	50,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:37:52',	'2019-05-28 16:33:48',	0,	0,	0,	0,	NULL,	NULL),
(51,	50,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'penaly',	'cabinet_1.png',	51,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:49:18',	'2019-05-28 16:40:37',	0,	0,	0,	0,	NULL,	NULL),
(52,	50,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'tumby-dlya-vannoj',	'cupboard_2.png',	52,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:49:37',	'2019-05-28 16:42:30',	0,	0,	0,	0,	NULL,	NULL),
(53,	50,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'komplekty-dlya-vannoj',	'sink_1.png',	53,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:50:00',	'2019-05-28 16:45:31',	0,	0,	0,	0,	NULL,	NULL),
(54,	3,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'radiatory-otopleniya',	'heater_1.png',	27,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:52:31',	'2019-05-29 08:49:32',	0,	0,	0,	0,	NULL,	NULL),
(55,	3,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'vodonagrevateli',	'water-heater_1.png',	28,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:52:50',	'2019-05-29 08:49:55',	0,	0,	0,	0,	NULL,	NULL),
(56,	3,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'holodilniki',	'refrigerator_1.png',	29,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:53:09',	'2019-05-29 08:50:18',	0,	0,	0,	0,	NULL,	NULL),
(57,	3,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'televizory',	'television_1.png',	30,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:53:29',	'2019-05-29 08:50:46',	0,	0,	0,	0,	NULL,	NULL),
(58,	3,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'stiralnye-mashiny',	'washing-machine_1.png',	33,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:54:07',	'2019-05-29 08:51:53',	0,	0,	0,	0,	NULL,	NULL),
(59,	3,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'konditsionery',	'air-conditioner_1.png',	34,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:54:33',	'2019-05-29 08:52:23',	0,	0,	0,	0,	NULL,	NULL),
(60,	3,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'mikrovolnovye-pechi',	'microwave-oven_1.png',	35,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:54:59',	'2019-05-29 08:53:21',	0,	0,	0,	0,	NULL,	NULL),
(61,	3,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'akustika',	'speaker_1.png',	41,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:55:15',	'2019-05-29 08:56:42',	0,	0,	0,	0,	NULL,	NULL),
(62,	3,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'vytyazhki',	'fan_1.png',	54,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:55:33',	'2019-05-29 08:58:04',	0,	0,	0,	0,	NULL,	NULL),
(63,	3,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'sputnikovye-antenny',	'satellite-dish_2.png',	55,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:56:21',	'2019-05-29 08:59:42',	0,	0,	0,	0,	NULL,	NULL),
(64,	3,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'routery',	'router_1.png',	56,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:56:40',	'2019-05-29 09:00:28',	0,	0,	0,	0,	NULL,	NULL),
(65,	3,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'gazovye-plity',	'oven_1.png',	32,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:53:50',	'2019-05-29 09:03:27',	0,	0,	0,	0,	NULL,	NULL),
(66,	1,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'divany',	'family-sofa_3.png',	57,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:38:10',	'2019-06-10 08:36:15',	0,	0,	0,	0,	NULL,	NULL),
(67,	4,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'samsung-galaxy',	'samsung_galaxy_logo.svg_1.png',	67,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:51:51',	'2019-06-10 11:03:01',	0,	0,	0,	0,	NULL,	NULL),
(68,	4,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'iphone',	'iphone-logo-png-transparent_1.png',	68,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:52:11',	'2019-06-10 11:03:21',	0,	0,	0,	0,	NULL,	NULL),
(69,	22,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'kosmetika',	'cosmetics_1.png',	69,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:01:13',	'2019-06-10 14:08:57',	0,	0,	0,	0,	NULL,	NULL);

DROP TABLE IF EXISTS `ok_categories_features`;
CREATE TABLE `ok_categories_features` (
  `category_id` int(11) NOT NULL,
  `feature_id` int(11) NOT NULL,
  PRIMARY KEY (`category_id`,`feature_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_categories_features` (`category_id`, `feature_id`) VALUES
(1,	1),
(1,	2),
(1,	3),
(1,	4),
(1,	5),
(1,	6),
(1,	7),
(1,	8),
(1,	9),
(2,	1),
(2,	2),
(2,	3),
(2,	4),
(2,	5),
(2,	6),
(2,	7),
(2,	8),
(2,	9),
(3,	1),
(3,	10),
(3,	11),
(3,	12),
(3,	13),
(3,	14),
(3,	15),
(3,	16),
(3,	17),
(3,	18),
(3,	19),
(3,	20),
(3,	21),
(3,	22),
(3,	23),
(3,	24),
(3,	25),
(3,	26),
(3,	27),
(3,	28),
(3,	29),
(3,	30),
(3,	31),
(3,	32),
(3,	33),
(3,	34),
(3,	35),
(3,	36),
(3,	37),
(3,	38),
(3,	39),
(3,	40),
(3,	41),
(3,	48),
(3,	49),
(3,	50),
(3,	51),
(3,	52),
(3,	53),
(3,	54),
(3,	55),
(3,	56),
(3,	57),
(3,	58),
(3,	59),
(3,	60),
(3,	61),
(3,	62),
(3,	63),
(3,	64),
(3,	65),
(3,	66),
(3,	67),
(3,	68),
(3,	69),
(3,	70),
(3,	71),
(3,	72),
(3,	73),
(4,	1),
(4,	10),
(4,	11),
(4,	12),
(4,	13),
(4,	14),
(4,	15),
(4,	16),
(4,	17),
(4,	18),
(4,	19),
(4,	20),
(4,	21),
(4,	22),
(4,	23),
(4,	24),
(4,	25),
(4,	26),
(4,	27),
(4,	28),
(4,	29),
(4,	30),
(4,	31),
(4,	32),
(4,	33),
(4,	34),
(4,	35),
(4,	36),
(4,	37),
(4,	38),
(4,	39),
(4,	40),
(5,	1),
(5,	10),
(5,	11),
(5,	12),
(5,	13),
(5,	14),
(5,	15),
(5,	16),
(5,	17),
(5,	18),
(5,	19),
(5,	20),
(5,	21),
(5,	22),
(5,	23),
(5,	24),
(5,	25),
(5,	26),
(5,	27),
(5,	28),
(5,	29),
(5,	30),
(5,	31),
(5,	32),
(5,	33),
(5,	34),
(5,	35),
(5,	36),
(5,	37),
(5,	38),
(5,	39),
(5,	40),
(8,	1),
(8,	10),
(8,	11),
(8,	12),
(8,	13),
(8,	14),
(8,	15),
(8,	16),
(8,	17),
(8,	18),
(8,	19),
(8,	20),
(8,	21),
(8,	22),
(8,	23),
(8,	24),
(8,	25),
(8,	26),
(8,	27),
(8,	28),
(8,	29),
(8,	30),
(8,	31),
(8,	32),
(8,	33),
(8,	34),
(8,	35),
(8,	36),
(8,	37),
(8,	38),
(8,	39),
(8,	40),
(9,	10),
(9,	42),
(9,	43),
(9,	44),
(9,	45),
(9,	46),
(9,	47),
(10,	10),
(10,	42),
(10,	43),
(11,	10),
(11,	42),
(11,	43),
(11,	44),
(11,	45),
(11,	46),
(11,	47),
(17,	16),
(17,	30),
(17,	33),
(17,	76),
(17,	96),
(17,	97),
(17,	98),
(17,	99),
(17,	100),
(17,	101),
(17,	102),
(17,	103),
(17,	104),
(17,	105),
(17,	106),
(17,	107),
(17,	108),
(19,	80),
(19,	81),
(19,	82),
(19,	83),
(19,	84),
(19,	85),
(19,	86),
(19,	87),
(21,	1),
(21,	88),
(21,	89),
(21,	90),
(21,	91),
(21,	92),
(21,	93),
(21,	94),
(21,	95),
(23,	74),
(23,	75),
(24,	1),
(24,	42),
(24,	109),
(24,	110),
(24,	111),
(24,	112),
(26,	74),
(27,	74),
(27,	75),
(40,	1),
(40,	37),
(40,	45),
(40,	76),
(40,	77),
(52,	38),
(52,	45),
(52,	62),
(52,	113),
(52,	114),
(52,	115),
(54,	48),
(54,	49),
(54,	50),
(54,	51),
(54,	52),
(54,	53),
(54,	54),
(54,	55),
(54,	56),
(55,	48),
(55,	57),
(55,	58),
(55,	59),
(55,	60),
(55,	61),
(55,	62),
(55,	63),
(55,	64),
(55,	65),
(55,	66),
(55,	67),
(55,	68),
(55,	69),
(55,	70),
(55,	71),
(55,	72),
(55,	73),
(66,	1),
(66,	37),
(66,	45),
(66,	76),
(66,	77),
(66,	78),
(66,	79);

DROP TABLE IF EXISTS `ok_comments`;
CREATE TABLE `ok_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `text` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('product','blog','news') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'product',
  `approved` int(1) NOT NULL DEFAULT '0',
  `lang_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `product_id` (`object_id`),
  KEY `type` (`type`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_comments` (`id`, `parent_id`, `date`, `ip`, `object_id`, `name`, `email`, `text`, `type`, `approved`, `lang_id`) VALUES
(1,	0,	'2019-07-09 16:52:38',	'89.238.191.213',	1,	'Андрей',	'',	'Отличный товар. Приобрели около года назад. Ни разу не пожалели о покупке.',	'product',	0,	1);

DROP TABLE IF EXISTS `ok_coupons`;
CREATE TABLE `ok_coupons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `expire` timestamp NULL DEFAULT NULL,
  `type` enum('absolute','percentage') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'absolute',
  `value` decimal(10,2) NOT NULL DEFAULT '0.00',
  `min_order_price` decimal(10,2) DEFAULT NULL,
  `single` tinyint(1) NOT NULL DEFAULT '0',
  `usages` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_coupons` (`id`, `code`, `expire`, `type`, `value`, `min_order_price`, `single`, `usages`) VALUES
(1,	'OKAYCMS',	NULL,	'percentage',	10.00,	0.00,	0,	109);

DROP TABLE IF EXISTS `ok_currencies`;
CREATE TABLE `ok_currencies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sign` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `code` char(3) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `rate_from` decimal(10,2) NOT NULL DEFAULT '1.00',
  `rate_to` decimal(10,2) NOT NULL DEFAULT '1.00',
  `cents` int(1) NOT NULL DEFAULT '2',
  `position` int(11) NOT NULL DEFAULT '0',
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_currencies` (`id`, `name`, `sign`, `code`, `rate_from`, `rate_to`, `cents`, `position`, `enabled`) VALUES
(1,	'доллары',	'$',	'USD',	1.00,	65.00,	2,	2,	1),
(2,	'рубли',	'руб',	'RUR',	7.50,	7.50,	0,	1,	1),
(4,	'гривны',	'грн',	'UAH',	1.00,	3.30,	2,	4,	1);

DROP TABLE IF EXISTS `ok_deliveries`;
CREATE TABLE `ok_deliveries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `free_from` decimal(10,2) DEFAULT '0.00',
  `price` decimal(10,2) DEFAULT '0.00',
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `separate_payment` tinyint(1) DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `settings` mediumtext COLLATE utf8mb4_unicode_ci,
  `module_id` int(11) DEFAULT NULL,
  `paid` tinyint(1) DEFAULT NULL,
  `hide_front_delivery_price` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_deliveries` (`id`, `name`, `description`, `free_from`, `price`, `enabled`, `position`, `separate_payment`, `image`, `settings`, `module_id`, `paid`, `hide_front_delivery_price`) VALUES
(1,	'Курьерская доставка по городу',	'<p>Курьерская доставка осуществляется службой компаний-перевозчиков города. Ваш заказ будет отправлен на следующий день после заказа. Доставка занимает от 1 до 3 дней.</p>',	5000.00,	300.00,	1,	2,	0,	'kureroff.ru_kurier.png',	'a:0:{}',	0,	NULL,	NULL),
(2,	'Самовывоз',	'<p>Удобный, бесплатный и быстрый способ получения заказа.</p>\r\n<p>Адрес офиса: Москва, ул. Космонавта Волкова 14</p>',	0.00,	0.00,	1,	3,	0,	'samovyvoz.png',	'a:0:{}',	0,	NULL,	NULL);

DROP TABLE IF EXISTS `ok_delivery_payment`;
CREATE TABLE `ok_delivery_payment` (
  `delivery_id` int(11) NOT NULL,
  `payment_method_id` int(11) NOT NULL,
  PRIMARY KEY (`delivery_id`,`payment_method_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Связка способом оплаты и способов доставки';

INSERT INTO `ok_delivery_payment` (`delivery_id`, `payment_method_id`) VALUES
(1,	6),
(1,	14),
(1,	18),
(1,	19),
(1,	20),
(1,	21),
(2,	6),
(2,	18),
(2,	19),
(2,	20),
(2,	21);

DROP TABLE IF EXISTS `ok_features`;
CREATE TABLE `ok_features` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  `in_filter` tinyint(1) DEFAULT '0',
  `auto_name_id` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_value_id` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url_in_product` tinyint(1) DEFAULT '0',
  `to_index_new_value` tinyint(1) DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `position` (`position`),
  KEY `in_filter` (`in_filter`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_features` (`id`, `name`, `position`, `in_filter`, `auto_name_id`, `auto_value_id`, `url`, `external_id`, `url_in_product`, `to_index_new_value`, `description`) VALUES
(1,	'Вес',	1,	1,	'',	'',	'ves',	'',	NULL,	1,	NULL),
(2,	'Высота',	2,	1,	'',	'',	'vysota',	'',	0,	0,	NULL),
(3,	'Диаметр',	3,	1,	'',	'',	'diametr',	'',	0,	0,	NULL),
(4,	'Ткань',	4,	1,	'',	'',	'tkan',	'',	NULL,	0,	NULL),
(5,	'Предназначение',	5,	1,	'',	'',	'prednaznachenie',	'',	0,	0,	NULL),
(6,	'Наполнитель',	6,	1,	'',	'',	'napolnitel',	'',	0,	0,	NULL),
(7,	'Количество наполнителя',	7,	1,	'',	'',	'kolichestvonapolnitelya',	'',	0,	0,	NULL),
(8,	'Объемный вес для транспортных компаний',	8,	1,	'',	'',	'obemnyjvesdlyatransportnyhkompanij',	'',	0,	0,	NULL),
(9,	'Производство ',	9,	1,	'',	'',	'proizvodstvo',	'',	0,	0,	NULL),
(10,	'Серия',	10,	1,	'',	'',	'seriya',	'',	0,	0,	NULL),
(11,	'Диагональ',	11,	1,	'',	'',	'diagonal',	'',	0,	0,	NULL),
(12,	'Тип экрана',	12,	1,	'',	'',	'tipekrana',	'',	0,	0,	NULL),
(13,	'Разрешение экрана',	13,	1,	'',	'',	'razreshenieekrana',	'',	0,	0,	NULL),
(14,	'Система',	14,	1,	'',	'',	'sistema',	'',	0,	0,	NULL),
(15,	'Количество ядер',	15,	1,	'',	'',	'kolichestvoyader',	'',	0,	0,	NULL),
(16,	'Процессор',	16,	1,	'',	'',	'protsessor',	'',	0,	0,	NULL),
(17,	'Частота процессора',	17,	1,	'',	'',	'chastotaprotsessora',	'',	0,	0,	NULL),
(18,	'Оперативная память',	18,	1,	'',	'',	'operativnayapamyat',	'',	0,	0,	NULL),
(19,	'Встроенная память',	19,	1,	'',	'',	'vstroennayapamyat',	'',	0,	0,	NULL),
(20,	'Поддержка SD карт',	20,	1,	'',	'',	'podderzhkasdkart',	'',	0,	0,	NULL),
(21,	'Sim-карт',	21,	1,	'',	'',	'simkart',	'',	0,	0,	NULL),
(22,	'Размеры SIM',	22,	1,	'',	'',	'razmerysim',	'',	0,	0,	NULL),
(23,	'GSM (2G)',	23,	1,	'',	'',	'gsm2g',	'',	0,	0,	NULL),
(24,	'3G',	24,	1,	'',	'',	'3g',	'',	0,	0,	NULL),
(25,	'LTE (4G)',	25,	1,	'',	'',	'lte4g',	'',	0,	0,	NULL),
(26,	'WCDMA',	26,	1,	'',	'',	'wcdma',	'',	0,	0,	NULL),
(27,	'Основная камера',	27,	1,	'',	'',	'osnovnayakamera',	'',	0,	0,	NULL),
(28,	'Фронтальная камера',	28,	1,	'',	'',	'frontalnayakamera',	'',	0,	0,	NULL),
(29,	'Вспышка',	29,	1,	'',	'',	'vspyshka',	'',	0,	0,	NULL),
(30,	'Bluetooth',	30,	1,	'',	'',	'bluetooth',	'',	0,	0,	NULL),
(31,	'GPS',	31,	1,	'',	'',	'gps',	'',	0,	0,	NULL),
(32,	'A-GPS',	32,	1,	'',	'',	'agps',	'',	0,	0,	NULL),
(33,	'Wi-Fi',	33,	1,	'',	'',	'wifi',	'',	0,	0,	NULL),
(34,	'ИК порт',	34,	1,	'',	'',	'ikport',	'',	0,	0,	NULL),
(35,	'Разъемы',	35,	1,	'',	'',	'razemy',	'',	0,	0,	NULL),
(36,	'Аккумулятор',	36,	1,	'',	'',	'akkumulyator',	'',	0,	0,	NULL),
(37,	'Размеры',	37,	1,	'',	'',	'razmery',	'',	0,	0,	NULL),
(38,	'Цвет',	38,	1,	'',	'',	'tsvet',	'',	0,	0,	NULL),
(39,	'Wi-Fi Hotspot',	39,	1,	'',	'',	'wifihotspot',	'',	0,	0,	NULL),
(40,	'Сканер отпечатков пальцев',	40,	1,	'',	'',	'skanerotpechatkovpaltsev',	'',	0,	0,	NULL),
(41,	'3G (UMTS)',	41,	1,	'',	'',	'3gumts',	'',	0,	0,	NULL),
(42,	'Возраст',	42,	1,	'',	'',	'vozrast',	'',	0,	0,	NULL),
(43,	'Пол',	43,	1,	'',	'',	'pol',	'',	0,	0,	NULL),
(44,	'Комплектация',	44,	1,	'',	'',	'komplektatsiya',	'',	0,	0,	NULL),
(45,	'Материал',	45,	1,	'',	'',	'material',	'',	0,	0,	NULL),
(46,	'Размеры упаковки',	46,	1,	'',	'',	'razmeryupakovki',	'',	0,	0,	NULL),
(47,	'Размер игрушки',	47,	1,	'',	'',	'razmerigrushki',	'',	0,	0,	NULL),
(48,	'Страна производитель',	48,	1,	'',	'',	'stranaproizvoditel',	'',	0,	0,	NULL),
(49,	'Тепловая мощность',	49,	1,	'',	'',	'teplovayamoschnost',	'',	0,	0,	NULL),
(50,	'Максимальная температура теплоносителя',	50,	1,	'',	'',	'maksimalnayatemperaturateplonositelya',	'',	0,	0,	NULL),
(51,	'Максимальное рабочее давление',	51,	1,	'',	'',	'maksimalnoerabocheedavlenie',	'',	0,	0,	NULL),
(52,	'Конструкция радиатора',	52,	1,	'',	'',	'konstruktsiyaradiatora',	'',	0,	0,	NULL),
(53,	'Способ подключения',	53,	1,	'',	'',	'sposobpodklyucheniya',	'',	0,	0,	NULL),
(54,	'Кол-во секций в радиаторе',	54,	1,	'',	'',	'kolvosektsijvradiatore',	'',	0,	0,	NULL),
(55,	'Объем воды в радиаторе',	55,	1,	'',	'',	'obemvodyvradiatore',	'',	0,	0,	NULL),
(56,	'Опрессовочное давление',	56,	1,	'',	'',	'opressovochnoedavlenie',	'',	0,	0,	NULL),
(57,	'Способ установки',	57,	1,	'',	'',	'sposobustanovki',	'',	0,	0,	NULL),
(58,	'Номинальный объем водонагревателя',	58,	1,	'',	'',	'nominalnyjobemvodonagrevatelya',	'',	0,	0,	NULL),
(59,	'Положение установки',	59,	1,	'',	'',	'polozhenieustanovki',	'',	0,	0,	NULL),
(60,	'Форма',	60,	1,	'',	'',	'forma',	'',	0,	0,	NULL),
(61,	'Мощность ТЭНа',	61,	1,	'',	'',	'moschnosttena',	'',	0,	0,	NULL),
(62,	'Гарантия',	62,	1,	'',	'',	'garantiya',	'',	0,	0,	NULL),
(63,	'Тип нагревательного элемента (ТЭНа)',	63,	1,	'',	'',	'tipnagrevatelnogoelementatena',	'',	0,	0,	NULL),
(64,	'Мощность',	64,	1,	'',	'',	'moschnost',	'',	0,	0,	NULL),
(65,	'Отвод газов',	65,	1,	'',	'',	'otvodgazov',	'',	0,	0,	NULL),
(66,	'Тип розжига',	66,	1,	'',	'',	'tiprozzhiga',	'',	0,	0,	NULL),
(67,	'Производительность',	67,	1,	'',	'',	'proizvoditelnost',	'',	0,	0,	NULL),
(68,	'Производительность ГВС',	68,	1,	'',	'',	'proizvoditelnostgvs',	'',	0,	0,	NULL),
(69,	'Модуляция мощности',	69,	1,	'',	'',	'modulyatsiyamoschnosti',	'',	0,	0,	NULL),
(70,	'Вес (кг)',	70,	1,	'',	'',	'veskg',	'',	0,	0,	NULL),
(71,	'Объем (м3)',	71,	1,	'',	'',	'obemm3',	'',	0,	0,	NULL),
(72,	'Габариты В.Ш.Г. (мм.)',	72,	1,	'',	'',	'gabarityvshgmm',	'',	0,	0,	NULL),
(73,	'Мин. давление газа',	73,	1,	'',	'',	'mindavleniegaza',	'',	0,	0,	NULL),
(74,	'Страна',	74,	1,	'',	'',	'strana',	'',	0,	0,	NULL),
(75,	'Вид мяса',	75,	1,	'',	'',	'vidspmyasa',	'',	NULL,	NULL,	NULL),
(76,	'Производитель',	76,	1,	'',	'',	'proizvoditel',	'',	0,	0,	NULL),
(77,	'Количество мест',	77,	1,	'',	'',	'kolichestvospmest',	'',	0,	0,	NULL),
(78,	'Высота сиденья',	78,	1,	'',	'',	'vysotaspsidenya',	'',	0,	0,	NULL),
(79,	'Водонепронецаемый',	79,	1,	'',	'',	'vodonepronetsaemyj',	'',	0,	0,	NULL),
(80,	'Автор',	80,	1,	'',	'',	'avtor',	'',	NULL,	NULL,	NULL),
(81,	'Язык',	81,	1,	'',	'',	'yazyk',	'',	0,	0,	NULL),
(82,	'Оригинальное название',	82,	1,	'',	'',	'originalnoespnazvanie',	'',	0,	0,	NULL),
(83,	'Обложка',	83,	1,	'',	'',	'oblozhka',	'',	0,	0,	NULL),
(84,	'Страниц',	84,	1,	'',	'',	'stranits',	'',	0,	0,	NULL),
(85,	'Иллюстрации',	85,	1,	'',	'',	'illyustratsii',	'',	0,	0,	NULL),
(86,	'Год издания',	86,	1,	'',	'',	'godspizdaniya',	'',	NULL,	NULL,	NULL),
(87,	'Рубрика',	87,	1,	'',	'',	'rubrika',	'',	0,	0,	NULL),
(88,	'тип товара',	88,	1,	'',	'',	'tipsptovara',	'',	1,	NULL,	NULL),
(89,	'диаметр колеса',	89,	1,	'',	'',	'diametrspkolesa',	'',	0,	0,	NULL),
(90,	'длина хода вилки',	90,	1,	'',	'',	'dlinasphodaspvilki',	'',	0,	0,	NULL),
(91,	'вилка',	91,	1,	'',	'',	'vilka',	'',	0,	0,	NULL),
(92,	'материал рамы',	92,	1,	'',	'',	'materialspramy',	'',	0,	0,	NULL),
(93,	'задний переключатель',	93,	1,	'',	'',	'zadnijsppereklyuchatel',	'',	0,	0,	NULL),
(94,	'тип заднего амортизатора',	94,	1,	'',	'',	'tipspzadnegospamortizatora',	'',	0,	0,	NULL),
(95,	'тип тормозов',	95,	1,	'',	'',	'tipsptormozov',	'',	0,	0,	NULL),
(96,	'Операционная сиситема',	96,	1,	'',	'',	'operatsionnayaspsisitema',	'',	0,	0,	NULL),
(97,	'Память',	97,	1,	'',	'',	'pamyat',	'',	NULL,	1,	NULL),
(98,	'Дисплей',	98,	1,	'',	'',	'displej',	'',	NULL,	NULL,	NULL),
(99,	'Клавиатура',	99,	0,	'',	'',	'klaviatura',	'',	0,	0,	NULL),
(100,	'Параметры сканера',	100,	0,	'',	'',	'parametryspskanera',	'',	0,	0,	NULL),
(101,	'Тип штрих-кодов',	101,	1,	'',	'',	'tipspshtrihmkodov',	'',	NULL,	1,	NULL),
(102,	'PTT',	102,	1,	'',	'',	'ptt',	'',	NULL,	1,	NULL),
(103,	'Датчик',	103,	1,	'',	'',	'datchik',	'',	0,	0,	NULL),
(104,	'Пылевлагозащита',	104,	1,	'',	'',	'pylevlagozaschita',	'',	0,	0,	NULL),
(105,	'Ударопрочность',	105,	1,	'',	'',	'udaroprochnost',	'',	0,	0,	NULL),
(106,	'Рабочая температура',	106,	1,	'',	'',	'rabochayasptemperatura',	'',	0,	0,	NULL),
(107,	'Габариты (мм)',	107,	1,	'',	'',	'gabaritysplbmmrb',	'',	NULL,	1,	NULL),
(108,	'Ширина бумаги',	108,	1,	'',	'',	'shirinaspbumagi',	'',	NULL,	NULL,	NULL),
(109,	'Тип корма',	109,	1,	'',	'',	'tipspkorma',	'',	NULL,	1,	NULL),
(110,	'Назначение корма',	110,	1,	'',	'',	'naznacheniespkorma',	'',	NULL,	1,	NULL),
(111,	'Порода',	111,	1,	'',	'',	'poroda',	'',	NULL,	1,	NULL),
(112,	'Класс корма',	112,	1,	'',	'',	'klassspkorma',	'',	NULL,	1,	NULL),
(113,	'Монтаж',	113,	0,	'',	'',	'montazh',	'',	0,	0,	NULL),
(114,	'Дверцы',	114,	0,	'',	'',	'dvertsy',	'',	0,	0,	NULL),
(115,	'Габариты',	115,	0,	'',	'',	'gabarity',	'',	0,	0,	NULL);

DROP TABLE IF EXISTS `ok_features_aliases`;
CREATE TABLE `ok_features_aliases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `variable` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `variable` (`variable`(100)),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_features_aliases_values`;
CREATE TABLE `ok_features_aliases_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_alias_id` int(11) NOT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `feature_id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `feature_id` (`feature_id`),
  KEY `feature_alias_id` (`feature_alias_id`),
  KEY `value` (`value`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_features_values`;
CREATE TABLE `ok_features_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_id` int(11) NOT NULL,
  `value` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `translit` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  `to_index` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `feature_id_translit` (`feature_id`,`translit`(100)),
  KEY `feature_id` (`feature_id`),
  KEY `position` (`position`),
  KEY `value` (`value`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_features_values` (`id`, `feature_id`, `value`, `translit`, `position`, `to_index`) VALUES
(1,	71,	'0.04',	'0d04',	1,	1),
(2,	71,	'0.05',	'0d05',	2,	1),
(3,	71,	'0.06',	'0d06',	3,	1),
(4,	73,	'0.15бар',	'0d15bar',	4,	1),
(5,	73,	'0.1бар',	'0d1bar',	5,	1),
(6,	8,	'0.25 м3',	'0d25spm3',	6,	1),
(7,	55,	'0.35л.',	'0d35ld',	7,	1),
(8,	55,	'0.37л',	'0d37l',	8,	1),
(9,	55,	'0.5л.',	'0d5ld',	9,	1),
(10,	30,	'4.2',	'4d2',	10,	1),
(11,	30,	'4.1',	'4d1',	11,	1),
(12,	18,	'1 ГБ',	'1spgb',	12,	1),
(13,	44,	'1 машинка',	'1spmashinka',	13,	1),
(14,	17,	'1.0 Ггц',	'1d0spggts',	14,	1),
(15,	17,	'1.1 ГГц',	'1d1spggts',	15,	1),
(16,	17,	'1.2 ГГц',	'1d2spggts',	16,	1),
(17,	17,	'1.4 ГГц',	'1d4spggts',	17,	1),
(18,	17,	'1.5 ГГц',	'1d5spggts',	18,	1),
(19,	61,	'1.5кВт.',	'1d5kvtd',	19,	1),
(20,	17,	'1.7 ГГц',	'1d7spggts',	20,	1),
(21,	17,	'1.8 ГГц',	'1d8spggts',	21,	1),
(22,	15,	'10',	'10',	22,	1),
(23,	54,	'10',	'10',	23,	1),
(24,	15,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb',	24,	1),
(25,	54,	'10 секц.',	'10spsektsd',	25,	1),
(26,	54,	'10 секций',	'10spsektsij',	26,	1),
(27,	70,	'10.00',	'10d00',	27,	1),
(28,	11,	'10.1\"',	'10d1qu',	28,	1),
(29,	58,	'100л.',	'100ld',	29,	1),
(30,	13,	'1024x600 пикс.',	'1024x600sppiksd',	30,	1),
(31,	13,	'1080x1920 пикс.',	'1080x1920sppiksd',	31,	1),
(32,	1,	'10кг.',	'10kgd',	32,	1),
(33,	68,	'10л/мин.',	'10lfmind',	33,	1),
(34,	1,	'11 кг.',	'11spkgd',	34,	1),
(35,	67,	'11 л/мин',	'11splfmin',	35,	1),
(36,	70,	'11.00',	'11d00',	36,	1),
(37,	1,	'11.5кг.',	'11d5kgd',	37,	1),
(38,	2,	'110 см',	'110spsm',	38,	1),
(39,	50,	'110град.',	'110gradd',	39,	1),
(40,	50,	'116 град.',	'116spgradd',	40,	1),
(41,	68,	'11л.',	'11ld',	41,	1),
(42,	27,	'12 Мп',	'12spmp',	42,	1),
(43,	19,	'128 ГБ',	'128spgb',	43,	1),
(44,	13,	'1280x720 пикс.',	'1280x720sppiksd',	44,	1),
(45,	13,	'1280x800 пикс.',	'1280x800sppiksd',	45,	1),
(46,	1,	'12кг.',	'12kgd',	46,	1),
(47,	1,	'13 кг.',	'13spkgd',	47,	1),
(48,	27,	'13 Мп',	'13spmp',	48,	1),
(49,	1,	'13.5кг.',	'13d5kgd',	49,	1),
(50,	50,	'130°C',	'130degc',	50,	1),
(51,	1,	'132 г',	'132spg',	51,	1),
(52,	1,	'134 г',	'134spg',	52,	1),
(53,	37,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm',	53,	1),
(54,	1,	'нет',	'net',	54,	1),
(55,	37,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm',	55,	1),
(56,	37,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm',	56,	1),
(57,	37,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm',	57,	1),
(58,	68,	'13л/мин.',	'13lfmind',	58,	1),
(59,	67,	'14 л/мин',	'14splfmin',	59,	1),
(60,	70,	'14.00',	'14d00',	60,	1),
(61,	37,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm',	61,	1),
(62,	37,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm',	62,	1),
(63,	37,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm',	63,	1),
(64,	1,	'144 г',	'144spg',	64,	1),
(65,	49,	'145Вт.',	'145vtd',	65,	1),
(66,	37,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm',	66,	1),
(67,	1,	'149 г',	'149spg',	67,	1),
(68,	1,	'13г.',	'13gd',	68,	1),
(69,	68,	'14л.',	'14ld',	69,	1),
(70,	1,	'15.5кг.',	'15d5kgd',	70,	1),
(71,	1,	'150 г',	'150spg',	71,	1),
(72,	37,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm',	72,	1),
(73,	37,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm',	73,	1),
(74,	37,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm',	74,	1),
(75,	37,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm',	75,	1),
(76,	37,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm',	76,	1),
(77,	37,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm',	77,	1),
(78,	1,	'155 г',	'155spg',	78,	1),
(79,	1,	'156 г',	'156spg',	79,	1),
(80,	37,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm',	80,	1),
(81,	68,	'15л/мин.',	'15lfmind',	81,	1),
(82,	51,	'16 бар',	'16spbar',	82,	1),
(83,	19,	'16 ГБ',	'16spgb',	83,	1),
(84,	70,	'16.00',	'16d00',	84,	1),
(85,	1,	'160 г',	'160spg',	85,	1),
(86,	1,	'163 г',	'163spg',	86,	1),
(87,	49,	'166Вт.',	'166vtd',	87,	1),
(88,	1,	'168 г',	'168spg',	88,	1),
(89,	49,	'169Вт.',	'169vtd',	89,	1),
(90,	64,	'17.4кВт.',	'17d4kvtd',	90,	1),
(91,	1,	'175 г',	'175spg',	91,	1),
(92,	1,	'17кг.',	'17kgd',	92,	1),
(93,	64,	'18.6кВт.',	'18d6kvtd',	93,	1),
(94,	25,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts',	94,	1),
(95,	25,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts',	95,	1),
(96,	49,	'181Вт.',	'181vtd',	96,	1),
(97,	51,	'18бар',	'18bar',	97,	1),
(98,	64,	'19.2кВт.',	'19d2kvtd',	98,	1),
(99,	37,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm',	99,	1),
(100,	49,	'195Вт.',	'195vtd',	100,	1),
(101,	47,	'1:64 (машинка)',	'1col64splbmashinkarb',	101,	1),
(102,	21,	'2 sim',	'2spsim',	102,	1),
(103,	17,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53',	103,	1),
(104,	17,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53',	104,	1),
(105,	18,	'2 ГБ',	'2spgb',	105,	1),
(106,	44,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu',	106,	1),
(107,	28,	'2 Мп',	'2spmp',	107,	1),
(108,	17,	'2.0 ГГц',	'2d0spggts',	108,	1),
(109,	17,	'2.1 ГГц',	'2d1spggts',	109,	1),
(110,	61,	'2.1кВт.',	'2d1kvtd',	110,	1),
(111,	17,	'2.35 ГГц',	'2d35spggts',	111,	1),
(112,	56,	'2.4 бар',	'2d4spbar',	112,	1),
(113,	61,	'2.4кВт.',	'2d4kvtd',	113,	1),
(114,	61,	'2.5кВт.',	'2d5kvtd',	114,	1),
(115,	7,	'200 литров',	'200splitrov',	115,	1),
(116,	1,	'20кг.',	'20kgd',	116,	1),
(117,	27,	'21 Мп',	'21spmp',	117,	1),
(118,	27,	'21.16 Мп',	'21d16spmp',	118,	1),
(119,	46,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm',	119,	1),
(120,	64,	'22 кВт.',	'22spkvtd',	120,	1),
(121,	64,	'22.6кВт.',	'22d6kvtd',	121,	1),
(122,	36,	'2200 мАч',	'2200spmach',	122,	1),
(123,	1,	'22кг.',	'22kgd',	123,	1),
(124,	64,	'24.4кВт.',	'24d4kvtd',	124,	1),
(125,	37,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm',	125,	1),
(126,	36,	'2560 мАч',	'2560spmach',	126,	1),
(127,	46,	'25х25х9 см',	'25h25h9spsm',	127,	1),
(128,	64,	'26.2кВт.',	'26d2kvtd',	128,	1),
(129,	1,	'260 г',	'260spg',	129,	1),
(130,	1,	'26кг.',	'26kgd',	130,	1),
(131,	64,	'27.2 кВт.',	'27d2spkvtd',	131,	1),
(132,	1,	'27кг.',	'27kgd',	132,	1),
(133,	46,	'28 х 16 см',	'28sphsp16spsm',	133,	1),
(134,	36,	'2870 мАч',	'2870spmach',	134,	1),
(135,	61,	'2кВт.',	'2kvtd',	135,	1),
(136,	18,	'3 ГБ',	'3spgb',	136,	1),
(137,	62,	'3 года',	'3spgoda',	137,	1),
(138,	42,	'3+',	'3p',	138,	1),
(139,	47,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb',	139,	1),
(140,	36,	'3020 мАч',	'3020spmach',	140,	1),
(141,	36,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb',	141,	1),
(142,	36,	'3050 мАч',	'3050spmach',	142,	1),
(143,	36,	'3060 мАч',	'3060spmach',	143,	1),
(144,	36,	'3080 мАч',	'3080spmach',	144,	1),
(145,	1,	'30кг.',	'30kgd',	145,	1),
(146,	58,	'30л.',	'30ld',	146,	1),
(147,	46,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm',	147,	1),
(148,	46,	'31 х 8х 5 см',	'31sphsp8hsp5spsm',	148,	1),
(149,	36,	'3100 мАч',	'3100spmach',	149,	1),
(150,	19,	'32 ГБ',	'32spgb',	150,	1),
(151,	36,	'3450 мАч',	'3450spmach',	151,	1),
(152,	36,	'3800 мАч',	'3800spmach',	152,	1),
(153,	15,	'4',	'4',	153,	1),
(154,	15,	'4 (Cortex A-53)',	'4splbcortexspam53rb',	154,	1),
(155,	17,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts',	155,	1),
(156,	18,	'4 ГБ',	'4spgb',	156,	1),
(157,	28,	'4 Мп',	'4spmp',	157,	1),
(158,	17,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts',	158,	1),
(159,	17,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts',	159,	1),
(160,	42,	'4+',	'4p',	160,	1),
(161,	30,	'4.0',	'4d0',	161,	1),
(162,	30,	'4.2 LE',	'4d2sple',	162,	1),
(163,	11,	'4.7\"',	'4d7qu',	163,	1),
(164,	46,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm',	164,	1),
(165,	36,	'4100 мАч',	'4100spmach',	165,	1),
(166,	62,	'5 лет',	'5splet',	166,	1),
(167,	27,	'5 Мп',	'5spmp',	167,	1),
(168,	28,	'5 Мп',	'5spmp',	168,	1),
(169,	42,	'5+',	'5p',	169,	1),
(170,	11,	'5.0\"',	'5d0qu',	170,	1),
(171,	11,	'5.2\"',	'5d2qu',	171,	1),
(172,	11,	'5.5\"',	'5d5qu',	172,	1),
(173,	11,	'5.7\"',	'5d7qu',	173,	1),
(174,	58,	'50л.',	'50ld',	174,	1),
(175,	46,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm',	175,	1),
(176,	1,	'525 г',	'525spg',	176,	1),
(177,	72,	'580х310х220',	'580h310h220',	177,	1),
(178,	15,	'6 (Cortex A-57)',	'6splbcortexspam57rb',	178,	1),
(179,	18,	'6 ГБ',	'6spgb',	179,	1),
(180,	19,	'64 ГБ',	'64spgb',	180,	1),
(181,	72,	'655х350х220',	'655h350h220',	181,	1),
(182,	72,	'655х425х220',	'655h425h220',	182,	1),
(183,	62,	'7 года',	'7spgoda',	183,	1),
(184,	62,	'7 лет',	'7splet',	184,	1),
(185,	11,	'7.0\"',	'7d0qu',	185,	1),
(186,	36,	'7000 мАч',	'7000spmach',	186,	1),
(187,	58,	'75л.',	'75ld',	187,	1),
(188,	15,	'8',	'8',	188,	1),
(189,	15,	'8 (Cortex A-53)',	'8splbcortexspam53rb',	189,	1),
(190,	15,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb',	190,	1),
(191,	62,	'8 лет',	'8splet',	191,	1),
(192,	27,	'8 Мп',	'8spmp',	192,	1),
(193,	3,	'80 см',	'80spsm',	193,	1),
(194,	33,	'802.11 a/b/g/n',	'802d11spafbfgfn',	194,	1),
(195,	33,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac',	195,	1),
(196,	33,	'802.11 b/g/n',	'802d11spbfgfn',	196,	1),
(197,	58,	'80л.',	'80ld',	197,	1),
(198,	24,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts',	198,	1),
(199,	23,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts',	199,	1),
(200,	24,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts',	200,	1),
(201,	26,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts',	201,	1),
(202,	23,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts',	202,	1),
(203,	23,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts',	203,	1),
(204,	23,	'900 / 1800 МГц',	'900spfsp1800spmgts',	204,	1),
(205,	26,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts',	205,	1),
(206,	24,	'900 / 2100 МГц',	'900spfsp2100spmgts',	206,	1),
(207,	26,	'900 / 2100 МГц',	'900spfsp2100spmgts',	207,	1),
(208,	14,	'Android 4.4',	'androidsp4d4',	208,	1),
(209,	14,	'Android 5.0',	'androidsp5d0',	209,	1),
(210,	14,	'Android 5.1',	'androidsp5d1',	210,	1),
(211,	14,	'Android 6.0',	'androidsp6d0',	211,	1),
(212,	14,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme',	212,	1),
(213,	14,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8',	213,	1),
(214,	14,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8',	214,	1),
(215,	10,	'City',	'city',	215,	1),
(216,	38,	'Dark Blue',	'darkspblue',	216,	1),
(217,	25,	'FDD-LTE',	'fddmlte',	217,	1),
(218,	12,	'IGZO Full HD',	'igzospfullsphd',	218,	1),
(219,	12,	'IPS',	'ips',	219,	1),
(220,	12,	'IPS (Sharp)',	'ipssplbsharprb',	220,	1),
(221,	12,	'IPS Full HD',	'ipsspfullsphd',	221,	1),
(222,	12,	'IPS HD',	'ipssphd',	222,	1),
(223,	10,	'M2',	'm2',	223,	1),
(224,	10,	'M3',	'm3',	224,	1),
(225,	16,	'MediaTek MT6750',	'mediatekspmt6750',	225,	1),
(226,	16,	'MediaTek MT6753',	'mediatekspmt6753',	226,	1),
(227,	16,	'MediaTek MT6755',	'mediatekspmt6755',	227,	1),
(228,	16,	'MediaTek MT6797',	'mediatekspmt6797',	228,	1),
(229,	16,	'MediaTek MT6797T',	'mediatekspmt6797t',	229,	1),
(230,	16,	'MediaTek MT8735P',	'mediatekspmt8735p',	230,	1),
(231,	10,	'Mi4C',	'mi4c',	231,	1),
(232,	10,	'Mi5s',	'mi5s',	232,	1),
(233,	22,	'micro-SIM',	'micromsim',	233,	1),
(234,	22,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb',	234,	1),
(235,	35,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm',	235,	1),
(236,	35,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm',	236,	1),
(237,	35,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm',	237,	1),
(238,	35,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart',	238,	1),
(239,	10,	'MX',	'mx',	239,	1),
(240,	22,	'nano-SIM',	'nanomsim',	240,	1),
(241,	22,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb',	241,	1),
(242,	22,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim',	242,	1),
(243,	22,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb',	243,	1),
(244,	10,	'Pro',	'pro',	244,	1),
(245,	16,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210',	245,	1),
(246,	16,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410',	246,	1),
(247,	10,	'Redmi 3S',	'redmisp3s',	247,	1),
(248,	10,	'Redmi 4',	'redmisp4',	248,	1),
(249,	10,	'Redmi Note',	'redmispnote',	249,	1),
(250,	10,	'Redmi Note 4',	'redmispnotesp4',	250,	1),
(251,	16,	'Samsung Exynos 7',	'samsungspexynossp7',	251,	1),
(252,	38,	'Silver',	'silver',	252,	1),
(253,	16,	'Snapdragon 430',	'snapdragonsp430',	253,	1),
(254,	16,	'Snapdragon 435',	'snapdragonsp435',	254,	1),
(255,	16,	'Snapdragon 625',	'snapdragonsp625',	255,	1),
(256,	16,	'Snapdragon 808',	'snapdragonsp808',	256,	1),
(257,	16,	'Snapdragon 82',	'snapdragonsp82',	257,	1),
(258,	16,	'Snapdragon 821',	'snapdragonsp821',	258,	1),
(259,	12,	'Super AMOLED Full HD',	'superspamoledspfullsphd',	259,	1),
(260,	25,	'TD-LTE',	'tdmlte',	260,	1),
(261,	10,	'Track builder',	'trackspbuilder',	261,	1),
(262,	35,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm',	262,	1),
(263,	10,	'Workshop',	'workshop',	263,	1),
(264,	10,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory',	264,	1),
(265,	38,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj',	265,	1),
(266,	38,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj',	266,	1),
(267,	38,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj',	267,	1),
(268,	53,	'Боковое',	'bokovoe',	268,	1),
(269,	4,	'велюр',	'velyur',	269,	1),
(270,	59,	'Вертикальный',	'vertikalnyj',	270,	1),
(271,	66,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb',	271,	1),
(272,	69,	'Две ступени',	'dvespstupeni',	272,	1),
(273,	27,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya',	273,	1),
(274,	43,	'девочка..мальчик',	'devochkaddmalchik',	274,	1),
(275,	69,	'Десять ступеней',	'desyatspstupenej',	275,	1),
(276,	5,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet',	276,	1),
(277,	20,	'до 128 ГБ',	'dosp128spgb',	277,	1),
(278,	20,	'до 32 ГБ',	'dosp32spgb',	278,	1),
(279,	1,	'до 4 кг',	'dosp4spkg',	279,	1),
(280,	20,	'до 64 ГБ',	'dosp64spgb',	280,	1),
(281,	10,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy',	281,	1),
(282,	65,	'дымоход',	'dymohod',	282,	1),
(283,	29,	'Есть',	'est',	283,	1),
(284,	31,	'Есть',	'est',	284,	1),
(285,	32,	'Есть',	'est',	285,	1),
(286,	34,	'Есть',	'est',	286,	1),
(287,	39,	'Есть',	'est',	287,	1),
(288,	40,	'Есть',	'est',	288,	1),
(289,	41,	'есть',	'est',	289,	1),
(290,	69,	'есть',	'est',	290,	1),
(291,	40,	'Есть (mTouch)',	'estsplbmtouchrb',	291,	1),
(292,	4,	'жаккард',	'zhakkard',	292,	1),
(293,	48,	'Испания',	'ispaniya',	293,	1),
(294,	48,	'Италия',	'italiya',	294,	1),
(295,	43,	'мальчик',	'malchik',	295,	1),
(296,	4,	'микро-вельвет',	'mikromvelvet',	296,	1),
(297,	57,	'Настенный',	'nastennyj',	297,	1),
(298,	69,	'нет',	'net',	298,	1),
(299,	4,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb',	299,	1),
(300,	66,	'от батареек (электро)',	'otspbatareeksplbelektrorb',	300,	1),
(301,	66,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb',	301,	1),
(302,	63,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb',	302,	1),
(303,	6,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm',	303,	1),
(304,	45,	'Пластик',	'plastik',	304,	1),
(305,	48,	'Португалия',	'portugaliya',	305,	1),
(306,	60,	'прямоугольная',	'pryamougolnaya',	306,	1),
(307,	66,	'пьезорозжиг',	'pezorozzhig',	307,	1),
(308,	66,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb',	308,	1),
(309,	9,	'Россия',	'rossiya',	309,	1),
(310,	52,	'Секционная',	'sektsionnaya',	310,	1),
(311,	38,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj',	311,	1),
(312,	38,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold',	312,	1),
(313,	63,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb',	313,	1),
(314,	38,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj',	314,	1),
(315,	38,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj',	315,	1),
(316,	38,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold',	316,	1),
(317,	48,	'Украина',	'ukraina',	317,	1),
(318,	59,	'Универсальный',	'universalnyj',	318,	1),
(319,	60,	'Цилиндрическая',	'tsilindricheskaya',	319,	1),
(320,	38,	'Черный',	'chernyj',	320,	1),
(321,	38,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj',	321,	1),
(322,	38,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj',	322,	1),
(323,	38,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj',	323,	1),
(324,	74,	'Финляндия',	'finlyandiya',	324,	1),
(325,	74,	'Баранина',	'baranina',	325,	1),
(326,	74,	'Россия',	'rossiya',	326,	1),
(328,	75,	'Курица',	'kuritsa',	328,	1),
(329,	74,	'Говядина',	'govyadina',	329,	1),
(330,	75,	'Свинина',	'svinina',	330,	1),
(331,	45,	'Коттон',	'kotton',	331,	1),
(332,	76,	'Франция',	'frantsiya',	332,	1),
(333,	37,	'(H)218.5, (W)133.0',	'lbhrb218d5csplbwrb133d0',	333,	1),
(334,	77,	'8',	'8',	334,	1),
(335,	78,	'1.55м',	'1d55m',	335,	1),
(336,	79,	'да',	'da',	336,	1),
(337,	1,	'145кг.',	'145kgd',	337,	1),
(338,	1,	'295',	'295',	338,	1),
(339,	37,	'65.5L x 89.5W x 25.5H',	'65d5lspxsp89d5wspxsp25d5h',	339,	1),
(340,	45,	'Дерево',	'derevo',	340,	1),
(341,	76,	'Италия',	'italiya',	341,	1),
(342,	37,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8',	342,	1),
(343,	77,	'нет',	'net',	343,	1),
(345,	80,	'С. Кінг',	'sdspking',	345,	1),
(346,	81,	'украинский',	'ukrainskij',	346,	1),
(347,	82,	'The Stand, vol.1',	'thespstandcspvold1',	347,	1),
(348,	83,	'переплет',	'pereplet',	348,	1),
(349,	84,	'576',	'576',	349,	1),
(350,	85,	'ч/б',	'chfb',	350,	1),
(351,	86,	'2019',	'2019',	351,	1),
(352,	87,	'Фантастика, фэнтези',	'fantastikacspfentezi',	352,	1),
(353,	86,	'2017',	'2017',	353,	1),
(354,	88,	'Велосипед',	'velosiped',	354,	1),
(355,	89,	'25.5 дюйма',	'25d5spdyujma',	355,	1),
(356,	90,	'от 130 до 150 мм',	'otsp130spdosp150spmm',	356,	1),
(357,	91,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost',	357,	1),
(358,	1,	'25.8 кг',	'25d8spkg',	358,	1),
(359,	92,	'Shimano Tourney RD-TY21B',	'shimanosptourneysprdmty21b',	359,	1),
(360,	93,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed',	360,	1),
(361,	89,	'26.5 дюйма',	'26d5spdyujma',	361,	1),
(362,	90,	'от 110 до 160 мм',	'otsp110spdosp160spmm',	362,	1),
(363,	91,	'Жесткая стальная',	'zhestkayaspstalnaya',	363,	1),
(364,	92,	'алюминий PRO',	'alyuminijsppro',	364,	1),
(365,	94,	'без амортизатора',	'bezspamortizatora',	365,	1),
(366,	95,	'ободной',	'obodnoj',	366,	1),
(367,	1,	'793 г',	'793spg',	367,	1),
(368,	88,	'Велошлем',	'veloshlem',	368,	1),
(369,	89,	'нет',	'net',	369,	1),
(370,	90,	'нет',	'net',	370,	1),
(371,	91,	'нет',	'net',	371,	1),
(372,	92,	'нет',	'net',	372,	1),
(373,	93,	'нет',	'net',	373,	1),
(374,	94,	'нет',	'net',	374,	1),
(375,	88,	'Велоперчатка',	'veloperchatka',	375,	1),
(376,	1,	'332 г',	'332spg',	376,	1),
(377,	88,	'Велообувь',	'veloobuv',	377,	1),
(378,	1,	'6 кг',	'6spkg',	378,	1),
(379,	88,	'Гиря',	'girya',	379,	1),
(380,	1,	'8 кг',	'8spkg',	380,	1),
(381,	88,	'Гантели',	'ganteli',	381,	1),
(382,	1,	'136.5кг.',	'136d5kgd',	382,	1),
(383,	88,	'Велотренажер',	'velotrenazher',	383,	1),
(384,	1,	'139 кг',	'139spkg',	384,	1),
(385,	88,	'Тренажер',	'trenazher',	385,	1),
(386,	88,	'Гироскутер',	'giroskuter',	386,	1),
(387,	88,	'Гироборд',	'girobord',	387,	1),
(388,	88,	'Фитнесс-трекер',	'fitnessmtreker',	388,	1),
(389,	88,	'Экшн-камера',	'ekshnmkamera',	389,	1),
(390,	96,	'Windows POSReady 2009, Windows 7, Windows 8.1 Industry, Windows 10 IoT Enterprise',	'windowsspposreadysp2009cspwindowssp7cspwindowssp8d1spindustrycspwindowssp10spiotspenterprise',	390,	1),
(391,	16,	'Intel Celeron N3160 2,24 ГГц;',	'intelspceleronspn3160sp2c24spggtssem',	391,	1),
(392,	97,	'1 МБ SDRAM / 2 МБ Flash ROM',	'1spmbspsdramspfsp2spmbspflashsprom',	392,	1),
(393,	98,	'Цветной сенсорный ЖК 4,3″',	'tsvetnojspsensornyjspzhksp4c3',	393,	1),
(394,	99,	'На 28, 43 и 53 клавиши',	'nasp28csp43spisp53spklavishi',	394,	1),
(395,	100,	'Лазерный',	'lazernyj',	395,	1),
(396,	101,	'1D: UPC-A, UPC-E, EAN8, EAN13, CODE39, ITF, CODEBAR, CODE128, CODE93; 2D: PDF417, QR code(DataMatrix/Maxicode/Azec optional)',	'1dcolspupcmacspupcmecspean8cspean13cspcode39cspitfcspcodebarcspcode128cspcode93semsp2dcolsppdf417cspqrspcodelbdatamatrixfmaxicodefazecspoptionalrb',	396,	1),
(397,	30,	'есть',	'est',	397,	1),
(398,	33,	'нет',	'net',	398,	1),
(399,	102,	'нет',	'net',	399,	1),
(400,	103,	'датчик прозрачности (фиксированный по центру); датчик черной метки (подвижный); датчик открытой печатающей головки; датчик наличия этикетки',	'datchikspprozrachnostisplbfiksirovannyjspposptsentrurbsemspdatchikspchernojspmetkisplbpodvizhnyjrbsemspdatchikspotkrytojsppechatayuschejspgolovkisemspdatchikspnalichiyaspetiketki',	400,	1),
(401,	104,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec',	401,	1),
(402,	105,	'нет',	'net',	402,	1),
(403,	106,	'от -20 до +45°C',	'otspm20spdospp45degc',	403,	1),
(404,	107,	'305 х 295 х 345 мм',	'305sphsp295sphsp345spmm',	404,	1),
(405,	76,	'Sam4s (Корея)',	'sam4ssplbkoreyarb',	405,	1),
(406,	108,	'57,5 мм',	'57c5spmm',	406,	1),
(407,	1,	'12г',	'12g',	407,	1),
(408,	42,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek',	408,	1),
(409,	109,	'Сухой корм',	'suhojspkorm',	409,	1),
(410,	110,	'Для крупных пород',	'dlyaspkrupnyhspporod',	410,	1),
(411,	111,	'Персидский',	'persidskij',	411,	1),
(412,	112,	'Премиум',	'premium',	412,	1),
(413,	1,	'10г',	'10g',	413,	1),
(414,	42,	'Для котят',	'dlyaspkotyat',	414,	1),
(415,	111,	'Британская',	'britanskaya',	415,	1),
(416,	42,	'От 12 мес.',	'otsp12spmesd',	416,	1),
(417,	111,	'Для всех',	'dlyaspvseh',	417,	1),
(418,	42,	'От 1 года',	'otsp1spgoda',	418,	1),
(419,	110,	'Основное кормление',	'osnovnoespkormlenie',	419,	1),
(420,	111,	'Всех видов',	'vsehspvidov',	420,	1),
(421,	1,	'79 кг.',	'79spkgd',	421,	1),
(422,	37,	'191-200см',	'191m200sm',	422,	1),
(423,	45,	'Буковые ламели',	'bukovyesplameli',	423,	1),
(424,	76,	'RedKing',	'redking',	424,	1),
(425,	78,	'191',	'191',	425,	1),
(426,	1,	'90кг.',	'90kgd',	426,	1),
(427,	37,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm',	427,	1),
(428,	77,	'2',	'2',	428,	1),
(429,	78,	'160',	'160',	429,	1),
(430,	38,	'Белый',	'belyj',	430,	1),
(431,	45,	'Керамика',	'keramika',	431,	1),
(432,	113,	'напольный',	'napolnyj',	432,	1),
(433,	114,	'Распашные',	'raspashnye',	433,	1),
(434,	115,	'455x650x650',	'455x650x650',	434,	1),
(436,	38,	'Красный',	'krasnyj',	436,	1),
(437,	112,	'Супер премиум',	'supersppremium',	437,	1),
(438,	112,	'Эконом',	'ekonom',	438,	1);

DROP TABLE IF EXISTS `ok_features_values_aliases_values`;
CREATE TABLE `ok_features_values_aliases_values` (
  `feature_alias_id` int(11) NOT NULL,
  `translit` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `feature_id` int(11) NOT NULL,
  `lang_id` int(11) NOT NULL,
  KEY `feature_alias_id` (`feature_alias_id`),
  KEY `feature_id` (`feature_id`),
  KEY `lang_id` (`lang_id`),
  KEY `translit` (`translit`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_feedbacks`;
CREATE TABLE `ok_feedbacks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `processed` tinyint(1) NOT NULL DEFAULT '0',
  `lang_id` int(11) NOT NULL DEFAULT '0',
  `is_admin` tinyint(1) NOT NULL DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_feedbacks` (`id`, `date`, `ip`, `name`, `email`, `message`, `processed`, `lang_id`, `is_admin`, `parent_id`) VALUES
(1,	'2019-11-20 15:37:14',	'192.168.220.1',	'Роман',	'test@gmail.com',	'Как к вам пройти?',	0,	1,	0,	0);

DROP TABLE IF EXISTS `ok_groups`;
CREATE TABLE `ok_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `discount` decimal(5,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_groups` (`id`, `name`, `discount`) VALUES
(1,	'Постоянный покупатель',	2.00);

DROP TABLE IF EXISTS `ok_images`;
CREATE TABLE `ok_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `product_id` int(11) NOT NULL DEFAULT '0',
  `filename` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `position` (`position`),
  KEY `filename` (`filename`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_images` (`id`, `name`, `product_id`, `filename`, `position`) VALUES
(1,	'',	1,	'beskarkasnoe_kreslo_meshok_grusha_copy_9.jpg',	1),
(2,	'',	1,	'beskarkasnoe_kreslo_meshok_grusha_copy_459.jpg',	2),
(3,	'',	2,	'beskarkasnoe_kreslo_meshok_grusha_copy_19.jpg',	3),
(4,	'',	3,	'beskarkasnoe_kreslo_meshok_grusha_copy_12.jpg',	4),
(5,	'',	4,	'beskarkasnoe_kreslo_meshok_grusha_copy_14.jpg',	5),
(6,	'',	5,	'beskarkasnoe_kreslo_meshok_grusha_Oksford_Bordo_4.jpg',	6),
(7,	'',	6,	'beskarkasnoe_kreslo_meshok_grusha_copy_3.jpg',	7),
(8,	'',	7,	'beskarkasnoe_kreslo_meshok_grusha_copy_8_9.jpg',	8),
(9,	'',	8,	'beskarkasnoe_kreslo_meshok_grusha_copy_46_2.jpg',	9),
(10,	'',	9,	'beskarkasnoe_kreslo_meshok_grusha_copy_7.jpg',	10),
(11,	'',	10,	'beskarkasnoe_kreslo_meshok_grusha_blue_velvet_1.jpg',	11),
(12,	'',	11,	'kreslo_meshok_grusha_turquoise_velvet.jpg',	12),
(13,	'',	12,	'beskarkasnoe_kreslo_meshok_grusha_copy_28.jpg',	13),
(14,	'',	13,	'kreslo_meshol_malina_4.jpg',	14),
(15,	'',	14,	'beskarkasnoe_kreslo_meshok_grusha_fuxia_2.jpg',	15),
(16,	'',	15,	'beskarkasnoe_kreslo_meshok_grusha_pink.jpg',	16),
(17,	'',	16,	'kreslo_meshok_velvet_lime.jpg',	17),
(18,	'',	16,	'kreslo_meshok_velvet_lime.jpg',	18),
(19,	'',	17,	'kreslo_meshok_biatrice_2.jpg',	19),
(20,	'',	18,	'kreslo_meshok_balloons_2.jpg',	20),
(21,	'',	19,	'kreslo_meshok_graffity_orange_2.jpg',	21),
(22,	'',	20,	'kreslo_meshok_mini_cooper_2.jpg',	22),
(23,	'',	21,	'kreslo_meshok_iphone_2.jpg',	0),
(24,	'',	22,	'kreslo_meshok_cats_2.jpg',	24),
(25,	'',	23,	'271012-01.jpg',	25),
(26,	'',	24,	'171101-01.jpg',	26),
(27,	'',	25,	'271011-01.jpg',	27),
(28,	'',	26,	's040708-02.jpg',	28),
(29,	'',	27,	's010785-01.jpg',	29),
(30,	'',	28,	's040703-02.jpg',	30),
(31,	'',	29,	's040721-02.jpg',	31),
(32,	'',	30,	's040722-01.jpg',	32),
(33,	'',	31,	's040709-01.jpg',	33),
(34,	'',	32,	's040719-01.jpg',	34),
(35,	'',	33,	's040718-02.jpg',	35),
(36,	'',	34,	's040704-01.jpg',	36),
(48,	'',	37,	's040727-01.jpg',	48),
(49,	'',	38,	's040753-02.jpg',	49),
(50,	'',	39,	'151213-02.jpg',	50),
(51,	'',	40,	'151218-01.jpg',	51),
(52,	'',	41,	'151220-01.jpg',	52),
(53,	'',	42,	's020301-01.jpg',	53),
(54,	'',	43,	'ss210205-01.jpg',	54),
(55,	'',	44,	's020307-01.jpg',	55),
(56,	'',	45,	's010303-01.jpg',	56),
(57,	'',	46,	's020306-01.jpg',	57),
(58,	'',	47,	's020304-01.jpg',	58),
(59,	'',	48,	'4h.jpg',	0),
(60,	'',	49,	'1_91.jpg',	60),
(61,	'',	49,	'2_89.jpg',	61),
(62,	'',	49,	'5_57.jpg',	62),
(63,	'',	49,	'6_47.jpg',	63),
(64,	'',	49,	'8_21.jpg',	64),
(65,	'',	49,	'9_4.jpg',	65),
(66,	'',	49,	'4_74.jpg',	66),
(67,	'',	49,	'7_33.jpg',	67),
(68,	'',	49,	'3_77.jpg',	68),
(69,	'',	50,	'1_92.jpg',	0),
(70,	'',	50,	'2_90.jpg',	1),
(71,	'',	50,	'5_58.jpg',	2),
(72,	'',	50,	'6_48.jpg',	3),
(73,	'',	50,	'7_34.jpg',	4),
(75,	'',	50,	'4_75.jpg',	5),
(76,	'',	50,	'3_78.jpg',	6),
(77,	'',	51,	'1_93.jpg',	77),
(78,	'',	51,	'2_91.jpg',	78),
(79,	'',	51,	'7_35.jpg',	79),
(80,	'',	51,	'6_49.jpg',	80),
(81,	'',	51,	'8_23.jpg',	81),
(82,	'',	51,	'9_5.jpg',	82),
(83,	'',	51,	'4_76.jpg',	83),
(84,	'',	51,	'5_59.jpg',	84),
(85,	'',	51,	'3_79.jpg',	85),
(86,	'',	52,	'1_94.jpg',	86),
(87,	'',	52,	'2_92.jpg',	87),
(88,	'',	52,	'7_36.jpg',	88),
(89,	'',	52,	'6_50.jpg',	89),
(90,	'',	52,	'8_24.jpg',	90),
(91,	'',	52,	'9_6.jpg',	91),
(92,	'',	52,	'4_77.jpg',	92),
(93,	'',	52,	'5_60.jpg',	93),
(94,	'',	52,	'3_80.jpg',	94),
(95,	'',	53,	'6_51.jpg',	95),
(96,	'',	53,	'1_100.jpg',	96),
(97,	'',	53,	'2_96.jpg',	97),
(98,	'',	53,	'7_37.jpg',	98),
(99,	'',	53,	'9_7.jpg',	99),
(100,	'',	53,	'3_83.jpg',	100),
(101,	'',	53,	'8_25.jpg',	101),
(102,	'',	53,	'5_63.jpg',	102),
(103,	'',	53,	'4_80.jpg',	103),
(104,	'',	54,	'1_102.jpg',	104),
(105,	'',	54,	'4_82.jpg',	105),
(106,	'',	54,	'2_98.jpg',	106),
(107,	'',	54,	'5_64.jpg',	107),
(108,	'',	54,	'3_85.jpg',	108),
(109,	'',	54,	'6_52.jpg',	109),
(110,	'',	55,	'1_103.jpg',	110),
(111,	'',	55,	'2_99.jpg',	111),
(112,	'',	55,	'6_53.jpg',	112),
(113,	'',	55,	'4_83.jpg',	113),
(114,	'',	55,	'5_65.jpg',	114),
(115,	'',	55,	'3_86.jpg',	115),
(116,	'',	56,	'1_101.jpg',	116),
(117,	'',	56,	'2_97.jpg',	117),
(118,	'',	56,	'3_84.jpg',	118),
(119,	'',	56,	'4_81.jpg',	119),
(120,	'',	57,	'1_99.jpg',	120),
(121,	'',	57,	'2_95.jpg',	121),
(122,	'',	57,	'3_82.jpg',	122),
(123,	'',	57,	'4_79.jpg',	123),
(124,	'',	57,	'5_62.jpg',	124),
(125,	'',	58,	'bgk04_1.jpg',	125),
(126,	'',	58,	'bgk04_5.jpg',	126),
(127,	'',	58,	'bgk04_4.jpg',	127),
(128,	'',	59,	'2_612.jpg',	128),
(129,	'',	59,	'3_567.jpg',	129),
(130,	'',	59,	'1_713.jpg',	130),
(131,	'',	60,	'3_568.jpg',	131),
(132,	'',	60,	'2_613.jpg',	132),
(133,	'',	60,	'4_519.jpg',	133),
(134,	'',	60,	'1_714.jpg',	134),
(135,	'',	61,	'2_614.jpg',	135),
(136,	'',	61,	'3_569.jpg',	136),
(137,	'',	61,	'1_715.jpg',	137),
(138,	'',	61,	'4_520.jpg',	138),
(139,	'',	61,	'7_311.jpg',	139),
(140,	'',	61,	'6_394.jpg',	140),
(141,	'',	61,	'5_436.jpg',	141),
(142,	'',	61,	'8_213.jpg',	142),
(143,	'',	62,	'1_716.jpg',	143),
(144,	'',	62,	'2_615.jpg',	144),
(145,	'',	62,	'3_570.jpg',	145),
(146,	'',	62,	'7_312.jpg',	146),
(147,	'',	62,	'4_521.jpg',	147),
(148,	'',	62,	'5_437.jpg',	148),
(149,	'',	62,	'6_395.jpg',	149),
(150,	'',	62,	'8_214.jpg',	150),
(151,	'',	62,	'9_146.jpg',	151),
(152,	'',	63,	'2_616.jpg',	152),
(153,	'',	63,	'1_717.jpg',	153),
(154,	'',	63,	'8_215.jpg',	154),
(155,	'',	63,	'7_313.jpg',	155),
(156,	'',	63,	'6_396.jpg',	156),
(157,	'',	63,	'3_571.jpg',	157),
(158,	'',	63,	'4_522.jpg',	158),
(159,	'',	63,	'5_438.jpg',	159),
(160,	'',	63,	'9_147.jpg',	160),
(161,	'',	64,	'1_718.jpg',	161),
(162,	'',	64,	'9_148.jpg',	162),
(163,	'',	64,	'5_439.jpg',	163),
(164,	'',	64,	'3_572.jpg',	164),
(165,	'',	64,	'2_617.jpg',	165),
(166,	'',	64,	'4_523.jpg',	166),
(167,	'',	64,	'6_397.jpg',	167),
(168,	'',	64,	'7_314.jpg',	168),
(169,	'',	64,	'8_216.jpg',	169),
(170,	'',	65,	'2_618.jpg',	170),
(171,	'',	65,	'5_440.jpg',	171),
(172,	'',	65,	'9_149.jpg',	172),
(173,	'',	65,	'1_719.jpg',	173),
(174,	'',	65,	'3_573.jpg',	174),
(175,	'',	65,	'4_524.jpg',	175),
(176,	'',	65,	'6_398.jpg',	176),
(177,	'',	65,	'8_217.jpg',	177),
(178,	'',	65,	'7_315.jpg',	178),
(179,	'',	66,	'3_574.jpg',	179),
(180,	'',	66,	'2_619.jpg',	180),
(181,	'',	66,	'1_720.jpg',	181),
(182,	'',	67,	'6_399.jpg',	182),
(183,	'',	67,	'7_316.jpg',	183),
(184,	'',	67,	'4_525.jpg',	184),
(185,	'',	67,	'2_620.jpg',	185),
(186,	'',	67,	'3_575.jpg',	186),
(187,	'',	67,	'1_721.jpg',	187),
(188,	'',	67,	'5_441.jpg',	188),
(189,	'',	68,	'1_722.jpg',	189),
(190,	'',	68,	'2_621.jpg',	190),
(191,	'',	68,	'4_526.jpg',	191),
(192,	'',	68,	'3_576.jpg',	192),
(193,	'',	69,	'1_723.jpg',	193),
(194,	'',	69,	'2_622.jpg',	194),
(195,	'',	69,	'7_317.jpg',	195),
(196,	'',	69,	'3_577.jpg',	196),
(197,	'',	69,	'6_400.jpg',	197),
(198,	'',	69,	'5_442.jpg',	198),
(199,	'',	69,	'4_527.jpg',	199),
(200,	'',	70,	'9_150.jpg',	200),
(201,	'',	70,	'5_443.jpg',	201),
(202,	'',	70,	'1_724.jpg',	202),
(203,	'',	70,	'2_623.jpg',	203),
(204,	'',	70,	'6_401.jpg',	204),
(205,	'',	70,	'7_318.jpg',	205),
(206,	'',	70,	'3_578.jpg',	206),
(207,	'',	70,	'8_218.jpg',	207),
(208,	'',	70,	'4_528.jpg',	208),
(209,	'',	71,	'3_579.jpg',	209),
(210,	'',	71,	'2_624.jpg',	210),
(211,	'',	71,	'1_725.jpg',	211),
(212,	'',	72,	'1_726.jpg',	212),
(213,	'',	72,	'2_625.jpg',	213),
(214,	'',	72,	'3_580.jpg',	214),
(215,	'',	72,	'5_444.jpg',	215),
(216,	'',	72,	'6_402.jpg',	216),
(217,	'',	72,	'4_529.jpg',	217),
(218,	'',	72,	'7_319.jpg',	218),
(219,	'',	73,	'bimetall-ALTERMO-400x400.jpg',	219),
(220,	'',	74,	'lrb500.jpg',	220),
(221,	'',	75,	'record_137200700.jpg',	221),
(222,	'',	76,	'iseo.jpg',	222),
(223,	'',	77,	'1362382587_aluminium-radiator-global.jpg',	223),
(224,	'',	78,	'1362382587_aluminium-radiator-global.jpg',	0),
(225,	'',	79,	'atlantic-vm-080-d400-2-bc.jpg',	225),
(226,	'',	79,	'opro-turbo-1.jpg',	226),
(227,	'',	79,	'opro-turbo.jpg',	227),
(228,	'',	80,	'Atlantic_VM_050_D400-2-B2.jpg',	228),
(229,	'',	80,	'opro-turbo.jpg',	229),
(230,	'',	81,	'atlantic-opro-profi.jpg',	230),
(231,	'',	82,	'atlantic-opro-profi.jpg',	231),
(232,	'',	83,	'atlantic-opro-slim.jpg',	232),
(233,	'',	83,	'atlantic-opro-slim-2.jpg',	233),
(234,	'',	84,	'Atlantic_VM_050_D400-2-BC.jpg',	234),
(235,	'',	84,	'atlantic-statite-elite-pro3.jpg',	235),
(236,	'',	84,	'atlantic-statite-elite-pro.jpg',	236),
(237,	'',	85,	'atlantic-slim-steatite-vm-80-n3cm-e-1_1.jpg',	237),
(238,	'',	85,	'atlantic-slim-steatite-80_1.jpg',	238),
(239,	'',	86,	'atlantic-statite-cube.jpg',	239),
(240,	'',	86,	'atlantic-statite-cube.jpg',	240),
(241,	'',	87,	'atlantic-statite-cube.jpg',	241),
(242,	'',	87,	'atlantic-statite-cube.jpg',	242),
(243,	'',	88,	'atlantic-statite-cube.jpg',	243),
(244,	'',	88,	'atlantic-statite-cube.jpg',	244),
(245,	'',	89,	'atlantic-vm-080-d400-2-bc.jpg',	245),
(246,	'',	89,	'opro-turbo-1.jpg',	246),
(247,	'',	89,	'opro-turbo.jpg',	247),
(248,	'',	90,	'atlantic-opro-profi.jpg',	248),
(249,	'',	91,	'Aqua_Idrabagno.jpg',	249),
(250,	'',	92,	'Aqua_Idrabagno.jpg',	250),
(251,	'',	93,	'Aqua_Idrabagno.jpg',	251),
(252,	'',	94,	'Aqua_Idrabagno.jpg',	252),
(253,	'',	95,	'bosch-wrd-13-2g.jpg',	253),
(254,	'',	96,	'Therm_4000.jpg',	254),
(255,	'',	97,	'Therm_4000.jpg',	255),
(256,	'',	98,	'bosch-wrd-13-2g.jpg',	256),
(257,	'',	99,	'bossh_wr_13_2_b.jpg',	257),
(258,	'',	100,	'Therm_4000.jpg',	258),
(259,	'',	101,	'bosch-wrd-13-2g.jpg',	259),
(260,	'',	102,	'bossh_wr_13_2_b.jpg',	260),
(261,	'',	103,	'Therm_4000.jpg',	261),
(262,	'',	104,	'Therm_4000.jpg',	262),
(263,	'',	105,	'THERM_2000_O.jpg',	263),
(264,	'',	105,	'bosch-therm-2000.jpg',	264),
(265,	'',	106,	'mag_370x500-kopiya.png',	265),
(266,	'',	106,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	266),
(267,	'',	107,	'mag_370x500-kopiya.png',	267),
(268,	'',	107,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	268),
(269,	'',	108,	'mag_370x500-kopiya.png',	269),
(270,	'',	108,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	270),
(271,	'',	109,	'mag_370x500-kopiya.png',	0),
(272,	'',	109,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	1),
(273,	'',	110,	'mag_pro_370x500.png',	0),
(274,	'',	111,	'4-600x600.jpg',	0),
(275,	'',	112,	'okay-food4.jpg',	0),
(276,	'',	112,	'okay-food9.jpg',	1),
(277,	'',	112,	'okay-food7.jpg',	2),
(278,	'',	112,	'okay-food8.jpg',	3),
(279,	'',	113,	'okay-food12.jpg',	0),
(284,	'',	113,	'okay-food2.jpg',	1),
(285,	'',	113,	'okay-food5.jpg',	2),
(286,	'',	113,	'okay-food8.jpg',	3),
(287,	'',	113,	'okay-food9.jpg',	4),
(288,	'',	114,	'okay-food13.jpg',	0),
(289,	'',	114,	'okay-food15.jpg',	1),
(290,	'',	114,	'okay-food2.jpg',	2),
(291,	'',	114,	'okay-food4.jpg',	3),
(292,	'',	114,	'okay-food11.jpg',	4),
(293,	'',	115,	'okay-food8.jpg',	0),
(294,	'',	115,	'okay-food1.jpg',	0),
(295,	'',	115,	'okay-food14.jpg',	0),
(296,	'',	115,	'okay-food5.jpg',	0),
(297,	'',	115,	'okay-food9.jpg',	0),
(298,	'',	115,	'okay-food10.jpg',	0),
(299,	'',	116,	'okay-food2.jpg',	0),
(300,	'',	116,	'okay-food3.jpg',	0),
(301,	'',	117,	'okay-food1.jpg',	0),
(302,	'',	117,	'okay-food11.jpg',	0),
(303,	'',	117,	'okay-food12.jpg',	0),
(304,	'',	118,	'okay-food7.jpg',	0),
(305,	'',	118,	'okay-food4.jpg',	0),
(306,	'',	118,	'okay-food14.jpg',	0),
(307,	'',	118,	'okay-food11.jpg',	0),
(308,	'',	118,	'okay-food9.jpg',	0),
(309,	'',	119,	'okay-food11.jpg',	0),
(310,	'',	119,	'okay-food2.jpg',	0),
(311,	'',	119,	'okay-food1.jpg',	0),
(312,	'',	119,	'okay-food7.jpg',	0),
(313,	'',	119,	'okay-food8.jpg',	0),
(314,	'',	119,	'okay-food9.jpg',	0),
(315,	'',	120,	'okay-food19.jpg',	0),
(316,	'',	120,	'okay-food18.jpg',	0),
(317,	'',	120,	'okay-food17.jpg',	0),
(318,	'',	121,	'okay-food20.jpg',	0),
(319,	'',	121,	'okay-food21.jpg',	1),
(320,	'',	122,	'okay-food23.jpg',	0),
(321,	'',	122,	'okay-food22.jpg',	0),
(322,	'',	123,	'okay-food25.jpg',	0),
(323,	'',	123,	'okay-food24.jpg',	0),
(324,	'',	124,	'okay-food26.jpg',	0),
(325,	'',	125,	'okay-food27.jpg',	0),
(326,	'',	125,	'okay-food28.jpg',	0),
(327,	'',	126,	'okay-food29.jpg',	0),
(328,	'',	126,	'okay-food30.jpg',	1),
(329,	'',	127,	'okay-food31.jpg',	0),
(330,	'',	127,	'okay-food33.jpg',	0),
(331,	'',	128,	'okay-food34.jpg',	0),
(332,	'',	129,	'okay-food36.jpg',	0),
(333,	'',	129,	'okay-food37.jpg',	0),
(334,	'',	130,	'okay-food38.jpg',	0),
(335,	'',	131,	'okay-food39.jpg',	0),
(336,	'',	132,	'okay-food40.jpg',	0),
(337,	'',	133,	'okay-food42.jpg',	0),
(338,	'',	133,	'okay-food41.jpg',	0),
(339,	'',	134,	'okay-food44.jpg',	0),
(340,	'',	134,	'okay-food43.jpg',	0),
(341,	'',	135,	'okay-food45.jpg',	0),
(342,	'',	136,	'okay-heals1.jpg',	0),
(343,	'',	136,	'okay-heals2.jpg',	1),
(346,	'',	137,	'okay-heals5.jpg',	1),
(347,	'',	137,	'okay-heals3.jpg',	0),
(348,	'',	137,	'okay-heals4.jpg',	2),
(355,	'',	138,	'okay-heals6.jpg',	0),
(356,	'',	138,	'okay-heals8.jpg',	1),
(357,	'',	138,	'okay-heals7.jpg',	2),
(361,	'',	139,	'okay-heals9.jpg',	0),
(362,	'',	139,	'okay-heals10.jpg',	0),
(363,	'',	139,	'okay-heals11.jpg',	0),
(367,	'',	140,	'okay-heals12.jpg',	0),
(368,	'',	140,	'okay-heals13.jpg',	1),
(369,	'',	140,	'okay-heals14.jpg',	2),
(373,	'',	141,	'okay-heals15.jpg',	0),
(374,	'',	141,	'okay-heals16.jpg',	0),
(375,	'',	141,	'okay-heals17.jpg',	0),
(379,	'',	142,	'okay-heals18.jpg',	0),
(380,	'',	142,	'okay-heals20.jpg',	0),
(381,	'',	142,	'okay-heals19.jpg',	0),
(385,	'',	143,	'okay-heals21.jpg',	0),
(386,	'',	143,	'okay-heals22.jpg',	0),
(387,	'',	143,	'okay-heals23.jpg',	0),
(388,	'',	144,	'okay_couch3.jpg',	0),
(389,	'',	144,	'okay_couch1.jpg',	1),
(390,	'',	144,	'okay_couch2.jpg',	2),
(391,	'',	144,	'okay_couch5.jpg',	3),
(392,	'',	144,	'okay_couch4.jpg',	4),
(393,	'',	145,	'okay_couch3.jpg',	1),
(394,	'',	145,	'okay_couch1.jpg',	0),
(395,	'',	145,	'okay_couch2.jpg',	2),
(396,	'',	145,	'okay_couch5.jpg',	3),
(397,	'',	145,	'okay_couch4.jpg',	4),
(398,	'',	146,	'okay_couch1.jpg',	2),
(399,	'',	146,	'okay_couch3.jpg',	1),
(400,	'',	146,	'okay_couch2.jpg',	3),
(401,	'',	146,	'okay_couch5.jpg',	0),
(402,	'',	146,	'okay_couch4.jpg',	4),
(403,	'',	147,	'okay_couch5.jpg',	1),
(404,	'',	147,	'okay_couch3.jpg',	2),
(405,	'',	147,	'okay_couch1.jpg',	3),
(406,	'',	147,	'okay_couch2.jpg',	4),
(407,	'',	147,	'okay_couch4.jpg',	0),
(408,	'',	148,	'okay_couch4.jpg',	1),
(409,	'',	148,	'okay_couch5.jpg',	2),
(410,	'',	148,	'okay_couch3.jpg',	3),
(411,	'',	148,	'okay_couch1.jpg',	4),
(412,	'',	148,	'okay_couch2.jpg',	0),
(418,	'',	150,	'okay_couch6.jpg',	0),
(419,	'',	150,	'okay_couch10.jpg',	1),
(420,	'',	150,	'okay_couch9.jpg',	2),
(421,	'',	150,	'okay_couch8png.jpg',	3),
(422,	'',	150,	'okay_couch7png.jpg',	4),
(423,	'',	150,	'okay_couch5.jpg',	5),
(424,	'',	151,	'okay_couch6.jpg',	1),
(425,	'',	151,	'okay_couch10.jpg',	0),
(426,	'',	151,	'okay_couch9.jpg',	2),
(427,	'',	151,	'okay_couch8png.jpg',	3),
(428,	'',	151,	'okay_couch7png.jpg',	4),
(429,	'',	151,	'okay_couch5.jpg',	5),
(430,	'',	152,	'okay_couch10.jpg',	1),
(431,	'',	152,	'okay_couch6.jpg',	2),
(432,	'',	152,	'okay_couch9.jpg',	3),
(433,	'',	152,	'okay_couch8png.jpg',	4),
(434,	'',	152,	'okay_couch7png.jpg',	5),
(435,	'',	152,	'okay_couch5.jpg',	0),
(436,	'',	153,	'okay_couch5.jpg',	1),
(437,	'',	153,	'okay_couch10.jpg',	2),
(438,	'',	153,	'okay_couch6.jpg',	3),
(439,	'',	153,	'okay_couch9.jpg',	4),
(440,	'',	153,	'okay_couch8png.jpg',	5),
(441,	'',	153,	'okay_couch7png.jpg',	0),
(442,	'',	154,	'okay_stool3.jpg',	0),
(443,	'',	154,	'okay_stool4.jpg',	0),
(444,	'',	154,	'okay_stool1.jpg',	0),
(445,	'',	154,	'okay_stool2.jpg',	0),
(446,	'',	154,	'okay_stool5.jpg',	0),
(447,	'',	155,	'okay_stool3.jpg',	1),
(448,	'',	155,	'okay_stool4.jpg',	2),
(449,	'',	155,	'okay_stool1.jpg',	3),
(450,	'',	155,	'okay_stool2.jpg',	0),
(451,	'',	155,	'okay_stool5.jpg',	4),
(452,	'',	156,	'okay_stool2.jpg',	1),
(453,	'',	156,	'okay_stool3.jpg',	2),
(454,	'',	156,	'okay_stool4.jpg',	3),
(455,	'',	156,	'okay_stool1.jpg',	0),
(456,	'',	156,	'okay_stool5.jpg',	4),
(457,	'',	157,	'okay_stool1.jpg',	1),
(458,	'',	157,	'okay_stool2.jpg',	2),
(459,	'',	157,	'okay_stool3.jpg',	3),
(460,	'',	157,	'okay_stool4.jpg',	0),
(461,	'',	157,	'okay_stool5.jpg',	4),
(473,	'',	158,	'okay_chaire5.jpg',	0),
(474,	'',	158,	'okay_chaire6png.jpg',	1),
(475,	'',	158,	'okay_chaire2.jpg',	2),
(476,	'',	158,	'okay_chaire7.jpg',	3),
(477,	'',	158,	'okay_chaire1.jpg',	4),
(478,	'',	158,	'okay_chaire3.jpg',	5),
(479,	'',	159,	'okay_chaire5.jpg',	1),
(480,	'',	159,	'okay_chaire6png.jpg',	2),
(481,	'',	159,	'okay_chaire2.jpg',	3),
(482,	'',	159,	'okay_chaire7.jpg',	0),
(483,	'',	159,	'okay_chaire1.jpg',	4),
(484,	'',	159,	'okay_chaire3.jpg',	5),
(485,	'',	160,	'okay_chaire7.jpg',	1),
(486,	'',	160,	'okay_chaire5.jpg',	2),
(487,	'',	160,	'okay_chaire6png.jpg',	0),
(488,	'',	160,	'okay_chaire2.jpg',	3),
(489,	'',	160,	'okay_chaire1.jpg',	4),
(490,	'',	160,	'okay_chaire3.jpg',	5),
(491,	'',	161,	'okay_chaire6png.jpg',	1),
(492,	'',	161,	'okay_chaire7.jpg',	2),
(493,	'',	161,	'okay_chaire5.jpg',	3),
(494,	'',	161,	'okay_chaire2.jpg',	0),
(495,	'',	161,	'okay_chaire1.jpg',	4),
(496,	'',	161,	'okay_chaire3.jpg',	5),
(497,	'',	162,	'79-large_default.jpg',	0),
(499,	'',	163,	'okay_quilt1.jpg',	0),
(501,	'',	164,	'okay_quilt2.jpg',	0),
(503,	'',	165,	'okay_quilt3.jpg',	0),
(505,	'',	166,	'okay_quilt4.jpg',	0),
(507,	'',	167,	'okay_quilt6.jpg',	0),
(508,	'',	167,	'okay_quilt7.jpg',	0),
(509,	'',	167,	'okay_quilt8.jpg',	0),
(510,	'',	166,	'okay_quilt5.jpg',	0),
(511,	'',	166,	'okay_quilt6.jpg',	0),
(512,	'',	166,	'okay_quilt7.jpg',	0),
(513,	'',	162,	'okay_quilt3.jpg',	1),
(514,	'',	162,	'okay_quilt1.jpg',	2),
(515,	'',	162,	'okay_quilt1.jpg',	3),
(516,	'',	162,	'okay_quilt2.jpg',	4),
(517,	'',	163,	'okay_quilt3.jpg',	1),
(518,	'',	163,	'okay_quilt4.jpg',	2),
(519,	'',	163,	'okay_quilt5.jpg',	3),
(520,	'',	164,	'79-large_default.jpg',	1),
(521,	'',	164,	'okay_quilt4.jpg',	2),
(522,	'',	165,	'okay_quilt5.jpg',	1),
(523,	'',	168,	'okay_bathroom_penal4.jpg',	0),
(524,	'',	168,	'okay_bathroom_penal5.jpg',	0),
(525,	'',	168,	'okay_bathroom_penal6.jpg',	0),
(526,	'',	169,	'okay_bathroom_penal4.jpg',	1),
(527,	'',	169,	'okay_bathroom_penal5.jpg',	0),
(528,	'',	169,	'okay_bathroom_penal6.jpg',	2),
(529,	'',	170,	'okay_bathroom_penal5.jpg',	1),
(530,	'',	170,	'okay_bathroom_penal4.jpg',	2),
(531,	'',	170,	'okay_bathroom_penal6.jpg',	0),
(535,	'',	171,	'okay_bathroom_penal1.jpg',	0),
(536,	'',	171,	'okay_bathroom_penal2.jpg',	1),
(537,	'',	171,	'okay_bathroom_penal3.jpg',	2),
(538,	'',	172,	'okay_bathroom_penal1.jpg',	1),
(539,	'',	172,	'okay_bathroom_penal2.jpg',	0),
(540,	'',	172,	'okay_bathroom_penal3.jpg',	2),
(541,	'',	173,	'okay_bathroom_penal2.jpg',	1),
(542,	'',	173,	'okay_bathroom_penal1.jpg',	2),
(543,	'',	173,	'okay_bathroom_penal3.jpg',	0),
(544,	'',	174,	'okay_bathroom_tumba1.jpg',	0),
(545,	'',	174,	'okay_bathroom_tumba2.jpg',	0),
(546,	'',	174,	'okay_bathroom_tumba3.jpg',	0),
(547,	'',	174,	'okay_bathroom_tumba5.jpg',	0),
(548,	'',	174,	'okay_bathroom_tumba4.jpg',	0),
(549,	'',	175,	'okay_bathroom_tumba1.jpg',	1),
(550,	'',	175,	'okay_bathroom_tumba2.jpg',	0),
(551,	'',	175,	'okay_bathroom_tumba3.jpg',	2),
(552,	'',	175,	'okay_bathroom_tumba5.jpg',	3),
(553,	'',	175,	'okay_bathroom_tumba4.jpg',	4),
(554,	'',	176,	'okay_bathroom_tumba2.jpg',	2),
(555,	'',	176,	'okay_bathroom_tumba1.jpg',	3),
(556,	'',	176,	'okay_bathroom_tumba3.jpg',	1),
(557,	'',	176,	'okay_bathroom_tumba5.jpg',	4),
(558,	'',	176,	'okay_bathroom_tumba4.jpg',	5),
(559,	'',	177,	'okay_bathroom_tumba3.jpg',	1),
(560,	'',	177,	'okay_bathroom_tumba2.jpg',	2),
(561,	'',	177,	'okay_bathroom_tumba1.jpg',	3),
(562,	'',	177,	'okay_bathroom_tumba5.jpg',	0),
(563,	'',	177,	'okay_bathroom_tumba4.jpg',	4),
(564,	'',	178,	'okay_bathroom_tumba5.jpg',	2),
(565,	'',	178,	'okay_bathroom_tumba3.jpg',	3),
(566,	'',	178,	'okay_bathroom_tumba2.jpg',	4),
(567,	'',	178,	'okay_bathroom_tumba1.jpg',	5),
(568,	'',	178,	'okay_bathroom_tumba4.jpg',	1),
(569,	'',	179,	'okay_screwdriver1.jpg',	0),
(570,	'',	179,	'okay_screwdriver2.jpg',	0),
(571,	'',	179,	'okay_screwdriver3.jpg',	0),
(575,	'',	180,	'okay_screwdriver4.jpg',	0),
(576,	'',	180,	'okay_screwdriver5.jpg',	0),
(577,	'',	180,	'okay_screwdriver6.jpg',	0),
(581,	'',	181,	'okay_screwdriver7.jpg',	0),
(582,	'',	181,	'okay_screwdriver8.jpg',	0),
(583,	'',	181,	'okay_screwdriver9.jpg',	0),
(587,	'',	182,	'okay_screwdriver10.jpg',	0),
(588,	'',	182,	'okay_screwdriver11.jpg',	1),
(589,	'',	182,	'okay_screwdriver12.jpg',	2),
(596,	'',	183,	'okay_screwdriver13.jpg',	0),
(597,	'',	183,	'okay_screwdriver14.jpg',	0),
(598,	'',	183,	'okay_screwdriver15.jpg',	0),
(602,	'',	185,	'okay_screwdriver16.jpg',	0),
(603,	'',	185,	'okay_screwdriver17.jpg',	0),
(604,	'',	185,	'okay_screwdriver18.jpg',	0),
(608,	'',	186,	'okay_screwdriver19.jpg',	0),
(609,	'',	186,	'okay_screwdriver20.jpg',	0),
(610,	'',	186,	'okay_screwdriver21.jpg',	0),
(614,	'',	187,	'okay_screwdriver22.jpg',	0),
(615,	'',	187,	'okay_screwdriver23.jpg',	0),
(616,	'',	187,	'okay_screwdriver24.jpg',	0),
(617,	'',	188,	'okay-book1.jpg',	0),
(619,	'',	189,	'okay-book2.jpg',	0),
(621,	'',	190,	'okay-book3.jpg',	0),
(623,	'',	191,	'okay-book4.jpg',	0),
(625,	'',	192,	'okay-book5.jpg',	0),
(627,	'',	193,	'okay-book6.jpg',	0),
(629,	'',	194,	'okay-book7.jpg',	0),
(631,	'',	195,	'okay-book8.jpg',	0),
(632,	'',	188,	'okay-book2.jpg',	0),
(633,	'',	188,	'okay-book4.jpg',	0),
(634,	'',	188,	'okay-book5.jpg',	0),
(635,	'',	188,	'okay-book3.jpg',	0),
(636,	'',	189,	'okay-book4.jpg',	0),
(637,	'',	189,	'okay-book6.jpg',	0),
(638,	'',	189,	'okay-book5.jpg',	0),
(639,	'',	189,	'okay-book3.jpg',	0),
(640,	'',	190,	'okay-book1.jpg',	0),
(641,	'',	190,	'okay-book8.jpg',	0),
(642,	'',	190,	'okay-book7.jpg',	0),
(643,	'',	191,	'okay-book5.jpg',	1),
(644,	'',	191,	'okay-book6.jpg',	2),
(645,	'',	192,	'okay-book7.jpg',	0),
(646,	'',	192,	'okay-book8.jpg',	0),
(647,	'',	193,	'okay-book3.jpg',	1),
(648,	'',	193,	'okay-book4.jpg',	2),
(649,	'',	193,	'okay-book5.jpg',	3),
(650,	'',	194,	'okay-book1.jpg',	0),
(651,	'',	194,	'okay-book2.jpg',	0),
(652,	'',	194,	'okay-book3.jpg',	0),
(653,	'',	195,	'okay-book3.jpg',	0),
(654,	'',	195,	'okay-book4.jpg',	0),
(655,	'',	195,	'okay-book5.jpg',	0),
(656,	'',	195,	'okay-book6.jpg',	0),
(657,	'',	196,	'okay_beauty1.jpg',	0),
(658,	'',	196,	'okay_beauty2.jpg',	0),
(659,	'',	196,	'okay_beauty3.jpg',	0),
(663,	'',	197,	'okay_beauty4.jpg',	0),
(664,	'',	197,	'okay_beauty5.jpg',	0),
(665,	'',	197,	'okay_beauty6.jpg',	0),
(669,	'',	198,	'okay_beauty7.jpg',	0),
(670,	'',	198,	'okay_beauty9.jpg',	1),
(671,	'',	198,	'okay_beauty8.jpg',	2),
(675,	'',	199,	'okay_beauty11.jpg',	0),
(676,	'',	199,	'okay_beauty10.jpg',	0),
(677,	'',	199,	'okay_beauty12.jpg',	0),
(681,	'',	200,	'okay_beauty13.jpg',	0),
(682,	'',	200,	'okay_beauty14.jpg',	0),
(683,	'',	201,	'okay_beauty15.jpg',	0),
(684,	'',	201,	'okay_beauty16.jpg',	0),
(685,	'',	201,	'okay_beauty17.jpg',	0),
(688,	'',	202,	'okay_beauty18.jpg',	0),
(689,	'',	202,	'okay_beauty19.jpg',	0),
(690,	'',	202,	'okay_beauty20.jpg',	0),
(691,	'',	203,	'okay_beauty18.jpg',	1),
(692,	'',	203,	'okay_beauty19.jpg',	2),
(693,	'',	203,	'okay_beauty20.jpg',	0),
(694,	'',	204,	'okay_beauty20.jpg',	1),
(695,	'',	204,	'okay_beauty18.jpg',	2),
(696,	'',	204,	'okay_beauty19.jpg',	0),
(697,	'',	205,	'okay_sport6.jpg',	0),
(698,	'',	205,	'okay_sport1.png',	0),
(699,	'',	205,	'okay_sport2.png',	0),
(700,	'',	205,	'okay_sport3.png',	0),
(701,	'',	205,	'okay_sport4.png',	0),
(702,	'',	206,	'okay_sport5.jpg',	0),
(703,	'',	206,	'okay_sport1.png',	1),
(704,	'',	206,	'okay_sport2.png',	2),
(705,	'',	206,	'okay_sport3.png',	3),
(706,	'',	206,	'okay_sport4.png',	4),
(707,	'',	206,	'okay_sport6.jpg',	5),
(708,	'',	207,	'okay_sport2.png',	0),
(709,	'',	207,	'okay_sport1.png',	1),
(710,	'',	207,	'okay_sport3.png',	2),
(711,	'',	207,	'okay_sport4.png',	3),
(712,	'',	208,	'okay_sport4.png',	0),
(713,	'',	208,	'okay_sport1.png',	0),
(714,	'',	208,	'okay_sport2.png',	0),
(715,	'',	208,	'okay_sport3.png',	0),
(716,	'',	209,	'okay_sport3.png',	0),
(717,	'',	209,	'okay_sport1.png',	0),
(718,	'',	209,	'okay_sport2.png',	0),
(719,	'',	209,	'okay_sport4.png',	0),
(720,	'',	210,	'okay_sport12.jpg',	0),
(721,	'',	210,	'okay_sport7.jpg',	1),
(722,	'',	210,	'okay_sport8.jpg',	2),
(723,	'',	210,	'okay_sport9.jpg',	3),
(724,	'',	210,	'okay_sport10.jpg',	4),
(725,	'',	210,	'okay_sport11.jpg',	5),
(726,	'',	211,	'okay_sport8.jpg',	0),
(727,	'',	211,	'okay_sport9.jpg',	0),
(728,	'',	211,	'okay_sport12.jpg',	0),
(729,	'',	212,	'okay_sport7.jpg',	0),
(730,	'',	212,	'okay_sport8.jpg',	1),
(731,	'',	212,	'okay_sport9.jpg',	2),
(732,	'',	213,	'okay_sport13.jpg',	0),
(733,	'',	213,	'okay_sport15.jpg',	0),
(734,	'',	213,	'okay_sport14.jpg',	0),
(735,	'',	214,	'okay_sport16.jpg',	0),
(736,	'',	214,	'okay_sport17.jpg',	1),
(737,	'',	215,	'okay_sport18.jpg',	0),
(738,	'',	215,	'okay_sport19.jpg',	0),
(739,	'',	216,	'okay_sport20.jpg',	0),
(740,	'',	217,	'okay_sport22.jpg',	1),
(741,	'',	217,	'okay_sport21.jpeg',	0),
(742,	'',	217,	'okay_sport23.jpeg',	2),
(743,	'',	217,	'okay_sport24.jpeg',	3),
(744,	'',	218,	'okay_sport21.jpeg',	1),
(745,	'',	218,	'okay_sport22.jpg',	0),
(746,	'',	218,	'okay_sport23.jpeg',	2),
(747,	'',	218,	'okay_sport24.jpeg',	3),
(748,	'',	219,	'okay_sport6.jpg',	1),
(749,	'',	219,	'okay_sport1.png',	0),
(750,	'',	219,	'okay_sport2.png',	2),
(751,	'',	219,	'okay_sport3.png',	3),
(752,	'',	219,	'okay_sport4.png',	4),
(753,	'',	220,	'okay_tech1.jpg',	0),
(754,	'',	220,	'okay_tech2.jpg',	1),
(755,	'',	220,	'okay_tech3.jpg',	2),
(759,	'',	221,	'okay_tech4.jpg',	0),
(760,	'',	221,	'okay_tech5.jpg',	0),
(763,	'',	222,	'okay_tech6.jpg',	0),
(764,	'',	222,	'okay_tech7.jpg',	0),
(767,	'',	223,	'okay_tech8.jpg',	0),
(768,	'',	223,	'okay_tech9.jpg',	1),
(771,	'',	224,	'okay_tech10.jpg',	0),
(772,	'',	224,	'okay_tech11.jpg',	1),
(773,	'',	224,	'okay_tech12.jpg',	2),
(774,	'',	225,	'okay_animal.jpg',	0),
(776,	'',	226,	'okay_animal2.jpg',	0),
(777,	'',	227,	'okay_animal3.jpg',	0),
(778,	'',	228,	'okay_animal4.jpg',	0),
(779,	'',	229,	'okay_animal6.jpg',	0),
(780,	'',	230,	'okay_couch1.jpg',	0),
(781,	'',	230,	'okay_couch2.jpg',	1),
(782,	'',	230,	'okay_couch3.jpg',	2),
(783,	'',	230,	'okay_couch4.jpg',	3),
(784,	'',	231,	'okay_couch2.jpg',	0),
(785,	'',	231,	'okay_couch1.jpg',	1),
(786,	'',	231,	'okay_couch3.jpg',	2),
(787,	'',	231,	'okay_couch4.jpg',	3),
(788,	'',	178,	'okay_bathroom_tumba4.png',	0),
(789,	'',	177,	'okay_bathroom_tumba5.jpg',	0),
(790,	'',	176,	'okay_bathroom_tumba6.png',	0);

DROP TABLE IF EXISTS `ok_import_log`;
CREATE TABLE `ok_import_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `status` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `product_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `variant_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `status` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_labels`;
CREATE TABLE `ok_labels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `color` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_labels` (`id`, `name`, `color`, `position`) VALUES
(1,	'перезвонить',	'fa9e52',	1),
(2,	'оптовик',	'bc66f2',	2),
(3,	'отложен',	'ed8080',	3);

DROP TABLE IF EXISTS `ok_languages`;
CREATE TABLE `ok_languages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `label` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `href_lang` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `name_ru` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_ua` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_en` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_languages` (`id`, `name`, `label`, `href_lang`, `enabled`, `position`, `name_ru`, `name_ua`, `name_en`) VALUES
(1,	'Русский',	'ru',	'ru',	1,	1,	'Русский',	'Російська',	'Russian'),
(2,	'Английский',	'en',	'en',	1,	2,	'Английский',	'Англійська',	'English'),
(3,	'Украинский',	'ua',	'uk',	1,	3,	'Украинский',	'Українська',	'Ukrainian');

DROP TABLE IF EXISTS `ok_lang_advantages`;
CREATE TABLE `ok_lang_advantages` (
  `advantage_id` int(11) DEFAULT NULL,
  `lang_id` int(11) NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id` (`advantage_id`,`lang_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_advantages` (`advantage_id`, `lang_id`, `text`) VALUES
(1,	1,	'Доставка по всей стране'),
(1,	2,	'Nationwide delivery'),
(1,	3,	'Доставка по всій країні'),
(2,	1,	'100% гарантия качества'),
(2,	2,	'100% quality guarantee'),
(2,	3,	'100% гарантія якості'),
(3,	1,	'14 дней на возврат товара'),
(3,	2,	'14 days for return'),
(3,	3,	'14 днів на повернення товару'),
(4,	1,	'Самовывоз из магазина'),
(4,	2,	'Pickup'),
(4,	3,	'Самовивіз з магазину');

DROP TABLE IF EXISTS `ok_lang_blog`;
CREATE TABLE `ok_lang_blog` (
  `lang_id` int(11) NOT NULL,
  `blog_id` int(11) NOT NULL,
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`blog_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_blog` (`lang_id`, `blog_id`, `name`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`) VALUES
(1,	1,	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>'),
(1,	2,	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>'),
(1,	3,	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS Зайдите на официальный сайт OkayCMS. Кликните по кнопке Скачать CMS в шапке сайта. Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>'),
(1,	4,	'Город Нью-Йорк (New York City)',	'Город Нью-Йорк (New York City)',	'Город Нью-Йорк (New York City)',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. ',	'<p>Нью-Йорк &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>',	'<p><strong>Нью-Йорк</strong> &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>\r\n<p class=\"video\" style=\"text-align: center;\"><iframe src=\"https://www.youtube.com/embed/TmDKbUrSYxQ\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></p>\r\n<h3 style=\"text-align: center;\">Основные моменты</h3>\r\n<p>Две главные достопримечательности, давно ставшие символами Нью-Йорка &ndash; это его легендарные небоскребы (например, Эмпайр Стейт Билдинг) и Статуя Свободы. Величественные здания можно осмотреть и при пешей прогулке, а вот до другого объекта можно добраться только на пароме с Нижнего Манхеттена.</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">Практически все самые известные достопримечательности сосредоточены на Манхеттене. Здесь находятся известные на весь мир Уолт-стрит, где кипит финансовая жизнь всей Америки, Бродвей с многочисленными театрами, Центральный вокзал, самая дорогая улица &ndash; Пятая Авеню с шикарными магазинами и ресторанами, Рокфеллер-центр, около которого каждое Рождество устанавливают огромную ель, Музейная миля со всемирно известными музеями. Но самым посещаемым местом является Таймс Сквер. Здесь всегда многолюдно и в разгар рабочего дня, и ночью, когда включается впечатляющая неоновая подсветка.</div>\r\n<div class=\"table__cell\"><img src=\"../files/uploads/architecture-buildings-car-1634275.jpg\" width=\"800\" height=\"533\" /></div>\r\n</div>\r\n</div>\r\n<p>Непременно стоит заглянуть и в другие районы города. Хотя бы для того, чтобы почувствовать их атмосферу, в каждом из них можно найти много интересного. Так, например, Бронксе имеется зоопарк и ботанический сад.</p>\r\n<p>В каждом округе Нью-Йорка есть свои парки и скверы, но самым известным, несомненно, является огромный Центральный парк в сердце Манхеттена. Это искусственно созданный уголок природы посреди серого бетонного мегаполиса.</p>\r\n<p>Нью-Йорк уже давно приобрел славу одного из самых дорогих городов в мире. Поэтому проживание, еда, покупки и передвижение по городу обойдется в немалую сумму. Но все же здесь стоит побывать хотя бы раз в жизни. Кто-то влюбляется в Нью-Йорк с первого взгляда, кто-то начинает ненавидеть этот мегаполис с безумным ритмом жизни. В любом случае равнодушно относиться к этому городу невозможно.</p>\r\n<h3 style=\"text-align: center;\">Достопримечательности Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_mankhetten.jpg\" alt=\"Манхеттен\" width=\"380\" height=\"380\" />\r\n<figcaption>Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_statuya_svobody.JPG\" alt=\"Статуя Свободы\" width=\"380\" height=\"380\" />\r\n<figcaption>Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_bruklin.jpg\" alt=\"Бруклин\" width=\"380\" height=\"380\" />\r\n<figcaption>Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_pyatoe_avenyu.jpg\" alt=\"Пятая авеню\" width=\"380\" height=\"380\" />\r\n<figcaption>Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_broadway.jpg\" alt=\"Бродвей\" width=\"380\" height=\"380\" />\r\n<figcaption>Бродвей &ndash; это не только главная улица Нью-Йорка, а возможно и всех Соединенных Штатов, это еще и...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_uoll_strit.jpg\" alt=\"Уолл Стрит\" width=\"380\" height=\"380\" />\r\n<figcaption>Уолл-стрит &mdash; небольшая узкая улица в нижней части Манхэттена, ведущая от Бродвея к побережью...</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Музеи Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\"><img src=\"../files/uploads/okay_museum.jpg\" alt=\"Музеи нью Йорка\" width=\"1024\" height=\"500\" /></div>\r\n<div class=\"table__cell\">\r\n<p>Пожалуй, вся оставшаяся жизнь ушла бы у вас на посещение 120 музеев Нью-Йорка. Ниже приводится далеко не полный их перечень.</p>\r\n<ol>\r\n<li>Художественный музей Метрополитен.</li>\r\n<li>Музей современного искусства.</li>\r\n<li>Музей Гуггенхайма.</li>\r\n<li>Музей американского искусства Уитни.</li>\r\n<li>Американский музей естествознания.</li>\r\n<li>Музей города Нью-Йорка.</li>\r\n<li>Национальный музей американских индейцев.</li>\r\n</ol>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Остров Манхэттен</h3>\r\n<p>Этот остров длиной 21 км и шириной 3 км содержит почти все, что бы вам хотелось посмотреть. Четыре других городских района: Бруклин, Куинс, Стейтен-Айленд и Бронкс (все большей частью жилые) &mdash; по-своему неповторимы, но для местных жителей и приезжих Нью-Йорк &mdash; это Манхэттен.</p>\r\n<p><strong>Мидтаун.</strong> Вполне возможно, что ваша гостиница окажется в Мидтауне, откуда легко добраться пешком до любого лежащего окрест места. Нью-Йорк отличает еще то, что он замечательно подходит для пеших прогулок по своим широким тротуарам. В любом случае начинать надо от центра.</p>\r\n<p><strong>Рокфеллеровский центр</strong>. Это скопление вознесшихся вверх башен из индианского известняка между Пятой и Шестой авеню, от 48-й до 51-й улицы составляет сердцевину Нью-Йорка. Джон Д. Рокфеллер-младший арендовал данный участок земли у Колумбийского университета в 1928 г., чтобы спасти его от дурной славы притона для питейных заведений в пору действия сухого закона. Они вскоре исчезли, уступив место первым небоскребам, где размещались правления компаний и центр радиовещания, которые соединялись с подземным залом, где находилось свыше 200 магазинов и ресторанов.</p>\r\n<p><strong>Пятая авеню</strong>. Этот проспект, по меньшей мере отрезок между 34-й улицей и Центральным парком, стал олицетворением роскоши, которой можно вкусить или полюбоваться. Если ваши средства не позволяют остановиться в гостинице &laquo;Плаза&raquo;, можно насладиться не столь вызывающей роскошью усеянных бриллиантами витрин ювелирных магазинов Тиффани, либо Картье, либо Ван-Клефа и Арпельса. Они просто восхитительны, особенно под Рождество.</p>\r\n<blockquote>\r\n<p>Порой я устаю от прогулок по прекрасным улицам Лос-Анджелеса. Я понимаю, что это звучит ненормально, но у меня возникает желание съездить в Нью-Йорк и понаблюдать за страданиями людей.</p>\r\n<cite>Донна Саммер</cite></blockquote>\r\n<p><span style=\"font-size: 10pt;\">*Материалы для оформления этой статьи были частично взяты с ресурса <em>wikiway.com</em></span></p>'),
(1,	5,	'OkayCMS 3.0',	'OkayCMS 3.0',	'OkayCMS 3.0',	'Достопримечательности Нью-Йорка \r\n \r\n \r\n \r\n  \r\n Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район... \r\n \r\n \r\n \r\n  \r\n Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ... \r\n \r\n \r\n \r\n  \r\n Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5... \r\n \r\n \r\n \r\n  \r\n Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ... \r\n \r\n \r\n \r\n  \r\n Бродвей &ndash; э',	'<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности. Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы;</p>',	'<h3 style=\"text-align: center;\">Вышла новая версия OKAY CMS 3</h3>\r\n<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности.</p>\r\n<p>Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. Новый дизайн</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый дизайн разработан по всем требованиям юзабилити для интернет-магазинов</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Раздел обучения</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый раздел обучение, где собраны инструкции для базовых работ на сайте.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Модульность</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Полностью переработанная структура, появление модульности</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Настройка цветов сайта</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>В настройках дизайна появился новый блок, для настройки цветов сайта</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Почему мы пошли на такое глобальное изменение?</h3>\r\n<p><strong>Первая</strong>. Основа первой и второй версии OkayCMS была сделана с использованием старого кода. На момент создания нашей системы, в 2015 году код, который использовался ещё был актуальным, но входить в 2020 год с тем что было - нехорошо.</p>\r\n<p><strong>Вторая.</strong> Проблемы с расширением функционала магазина. В силу того что прошлые версии системы были не модульные, когда приходилось глобально расширять функционал - все изменения вносились сразу в ядро и это создавало сложный код. Все последующие доработки в такой проект внедрялись всё сложнее и сложнее. Сейчас, с переходом к модульности эта проблема частично будет решена.</p>\r\n<p><strong>Третья.</strong> Обновления системы. Эта проблема частично вытекает из второй. Когда доработки затрагивали ядро системы, сделать обновление доработанной системы было проблематично. В некоторых случаях более разумно было отказаться от обновлений сильно доработанной системы. Теперь, когда работы будут выполняться отдельно от ядра - обновления системы должны проходить быстрее и безболезненнее.</p>\r\n<p><strong>Четвертая.</strong> Удобство для новых пользователей. Основа успешного развития - это хорошее коммьюнити вокруг продукта. Код прошлых версий был простой, удобный, но всё же специфический, не использующий паттернов и сделанный \"по своему\". Проблема, которая из этого вытекала, новым программистам, которые начинали свое образование с разбирательсв с фреймворками вроде Laravel система казалась сразу непонятной и они не сильно хотели браться делать на ней небольшие доработки. Новая версия системы больше соответсвует основным трендам в мире программирования и должна сделать более простой порог входа для новых программистов, новых веб-студий и т.п. которые решат использовать нашу систему в работе.</p>\r\n<h3 style=\"text-align: center;\">Как обновиться с прошлых версий OkayCMS до версии 3.*?</h3>\r\n<p>OkayCMS 3 - это система с полностью переработанным ядром и полностью обновленным программным кодом, поэтому шаблоны и модули с прошлых версий несовместимы.</p>\r\n<p>Все владельцы лицензий Pro версии OkayCMS могут заказать перенос своих данных на новую версию или же, в случае большого количества доработок и индивидуальных шаблонов - остаться на версии 2.* которую мы будем продолжать поддерживать и на которую мы будем выпускать обновления, содержащие фиксы замечаний, о которых нам будет известно. Перенос данных на версию 3.* с предыдущих версий займет 1 час времени техподдержки.</p>\r\n<p>В случае переноса данных на новую версию мы перенесем на версию 3.* все ваши товары, категории, бренды, страницы, записи блога, заказы и зарегистрированных покупателей. После переноса вы получите сайт со всем функционалом версии OkayCMS 3.* дизайном версии 3.* и содержимым базы данных с вашего сайта на предыдущей версии OkayCMS. Для заказа обновления до 3.0 напишите нам на почту info@okay-cms.com или обратитесь в тех.поддержку из админ. панели.</p>'),
(2,	1,	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>'),
(2,	2,	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>'),
(2,	3,	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS\n    Зайдите на официальный сайт OkayCMS.\n    Кликните по кнопке Скачать CMS в шапке сайта.\n    Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>'),
(2,	4,	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. \r\n     \r\n  Улуч',	'<p>Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.&nbsp;</p>',	'<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Почти год мы работали над улучшением OkayCMS. &laquo;Куда еще лучше?&raquo; &ndash; спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель &ndash; вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения SEO в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появились шаблоны описаний для страниц с фильтрами. Можно задавать мета-теги для страниц:</span></li>\r\n</ul>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+бренд</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+свойство</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+определенное свойство</span></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/seo-filtr.png\" alt=\"новый seo-фильтр\" width=\"1918\" height=\"908\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для каждого свойства в новой версии доступны варианты слова (падежи и синонимы), которые позже можно использовать для заполнения метаданных фильтров.</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/varianty_slova_dlya_seo.png\" alt=\"варианты слов\" width=\"1038\" height=\"602\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В ближайшее время мы напишем подробную статью, посвященную данному функционалу.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Чтобы перелинковка была более качественной, теперь можно делать свойство в товаре ссылкой на страницу фильтра &lt;категория +это свойство&gt;<img src=\"../files/uploads/svoistvo_ssylkoi.jpg\" alt=\"свойство ссылкой\" width=\"1062\" height=\"655\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Изменилась работа ЧПУ-фильтра: теперь индексируется категория+одно значение фильтра, остальное &ndash; нет</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для страниц, которые создаются через админпанель, появилась возможность задавать отдельный от названия страницы Н1 прямо в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Sitemap.xml теперь более универсальный и сам создает пагинацию карт сайта, когда количество ссылок в нем превышает 50 000</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшена микроразметка, добавлена разметка twittercard</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Настроен 301-й редирект со страниц с \"/page-1\" на основную страницу категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрано дублирование текста на страницах фильтров, сортировок и пагинации. Текст категории выводится после обновления только на основной странице категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В title при пагинации теперь автоматически подставляется номер страницы<img src=\"../files/uploads/schetchik_v_title.jpg\" alt=\"счетчик в title\" width=\"1273\" height=\"140\" /></span></li>\r\n<li></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif;\"><span style=\"font-size: 16px;\">Для индексации теперь доступны только страницы фильтрации категория+бренд или категория+1 свойство.</span></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000080;\">Улучшения для посетителей сайта на OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переверстана страница thank you page. Она стала более информативной для покупателя и правильной с точки зрения e-commerce</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/thank_you_page.jpg\" alt=\"страница оформленного заказа\" width=\"1366\" height=\"768\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В категориях появилась возможность отфильтровать по рекомендуемым товарам или товарам со скидкой<img src=\"../files/uploads/filtr_skidki.png\" alt=\"фильтр по скидкам и хитам\" width=\"1174\" height=\"402\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Слева над фильтром теперь будут подкатегории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переделано отображение страницы ошибки 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Старая цена теперь лучше выделяется за счет того, что она перечеркнута</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Комментарии администратора также лучше выделяются среди комментариев обычных пользователей</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано корректное определение варианта в наличии в Safari. Проблема была описана <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=869&amp;sid=8a990552ca19ef5b94b8aa32037ba38f\">в теме на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда в редких случаях после применения фильтра некорректно отображался каталог<img src=\"../files/uploads/oshibka_filtra_po_cene.png\" alt=\"ошибка верстки после фильтрации\" width=\"400\" height=\"326\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена верстка корзины для мобильных устройств</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/osibka_mobilnoi_korziny.png\" alt=\"ошибка верстки мобильной корзины\" width=\"439\" height=\"229\" />&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения в новой версии OkayCMS для администраторов сайта</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь есть возможность создавать несколько меню и добавлять к пунктам свои ссылки</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Можно добавлять и удалять&nbsp; подпункты меню, вставлять ссылки на текущий сайт (при этом они автоматически преобразуются в относительные) и на другие сайты, задать открытие в новой вкладке, просто перетянув ползунок.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/svoe_menu.png\" alt=\"кастомное меню\" width=\"1030\" height=\"302\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Собственные меню можно выводить в любом месте шаблона.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вставлять скрипты стало проще</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы переделали раздел SEO: теперь вам нужно только дать название скрипту, выбрать из выпадающего списка, куда его вставлять, добавить код в специальное поле и сохранить. Любой из них можно изменить или удалить.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан функционал добавления разных цветов к статусам заказа, чтобы легче ориентироваться в списке заказов. Реализовано на основе <a href=\"https://forum.okay-cms.com/viewtopic.php?f=6&amp;t=775&amp;p=3980#p3980\">пожелания с форума</a></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/cveta_statusa_zakaza.png\" alt=\"разноцветные статусы заказа\" width=\"1038\" height=\"606\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появился экспорт заказов в csv для дальнейшего импорта в сервисы рассылок e-mail, SMS и т.п. Выгружать можно по статусу, по меткам, по дате заказов</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В админпанель добавлен фильтр по необработанным комментариям, заказам обратного звонка и обращениям с формы обратной связи</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность искать информацию в комментариях и обратной связи. Поиск проходит по сообщениям, имени и e-mail<img src=\"../files/uploads/poisk_i_sortirovka.png\" alt=\"поиск по обратной связи\" width=\"1258\" height=\"446\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно выбрать количество отображаемых комментариев и сообщений обратной связи на одной странице</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вместо стандартной капчи можно будет использовать reCAPTCHA или reCAPTCHA invisible, активировав нужную в настройках сайта<img src=\"../files/uploads/recaptcha.png\" alt=\"recaptcha\" width=\"1327\" height=\"307\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать и отключать автоматическое одобрение комментариев</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь добавить карту на страницу контактов можно просто вставкой iframe в специальное поле<img src=\"../files/uploads/vstavka_karty.png\" alt=\"вставка карты в контакты\" width=\"1326\" height=\"195\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Заблокировано удаление или изменение URL для системных страниц</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это сделано для избежания ошибок, которые возникают вследствие изменения адреса или удаления страниц типа главная, бренды, 404 и т.п. Даже при попытке массового удаления страниц, появится уведомление.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/blok_sistemnyh_url.png\" alt=\"блокировка системных URL\" width=\"1903\" height=\"716\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано форматирование сообщений в техподдержке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан счетчик символов в meta title и description</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлено отображение фильтров в админпанели на мобильных устройствах</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При экспорте категории для облегчения работы с файлом экспорта теперь выгружаются только свойства этой категории, а не все доступные</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены ошибки, возникающие при попытке изменить порядок категорий в товаре: порядок не менялся, не всплывала кнопка &laquo;Применить&raquo;</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Нельзя было задать порядок фото до сохранения товара. Теперь можно</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Также при изменении порядка фото не появлялась кнопка &laquo;Применить&raquo;. Уже исправили</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрана в админпанели ненужная часть комментария админа<img src=\"../files/uploads/nenuzhny_komment.png\" alt=\"ненужная часть комментария\" width=\"986\" height=\"607\" /></span></li>\r\n</ul>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Удалены редкоиспользуемые разделы \"Яндекс.Метрика для сайта\" и \"Импорт/экспорт переводов\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Поле \"Активность\" в разделе \"Свойства\" теперь называется более понятно &ndash; \"В фильтре\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При импорте товаров из 1С основное и дополнительные фото теперь обрабатываются более корректно.</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения для разработчиков в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать отдельную тему для админа</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Когда она активирована, все действия в пунктах: &laquo;Файлы шаблонов&raquo;, &laquo;Стили шаблонов&raquo;, &laquo;Скрипты&raquo;, &laquo;Изображения&raquo;, &laquo;Переводы&raquo; &ndash;&nbsp; выполняются в теме для админа.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Когда активирована тема для админа, в версию всех скриптов и стилей подставляется время. В теме ничего не будет кешироваться, т.к. она нужна для разработки</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлена возможность сбросить кеш шаблона</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для избежания проблем с некорректным наложением водяного знака теперь подключена библиотека обработки изображений gregwar</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Новая библиотека gregwar имеет широкие возможности ресайза, обрезки и позиционирования картинок, позволяет обрабатывать изображение одной строкой, управлять кешированием и много новых крутых вещей.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Например, иногда нужно все картинки сделать одного размера (даже пренебречь небольшой частью изображения). Т.е. широкие и высокие привести к единому форм-фактору, как здесь:</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\"><img src=\"../files/uploads/podgon-kartinok.png\" alt=\"ресайз картинок\" width=\"839\" height=\"310\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для этого в параметрах ресайза нужно указать 5-й и 6-й параметры {$c-&gt;image|resize:140:140:false:$config-&gt;resizedcategoriesdir:center:top}:</span></p>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">5-й параметр отвечает за положение результирующего изображения, если работали с широкой картинкой. Возможные значения: left, center, right</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">6-й параметр отвечает за положение результирующего изображения, если работали с высокой картинкой. Возможные значения: top, center, bottom</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В отдельной статье мы детально расскажем, как работать с новой библиотекой.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сборка PHP библиотек gregwar, smarty, mobiledetect и phpmailer теперь осуществляется через composer</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно задавать ресайз для баннеров</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность добавлять config/config.local.php, в котором можно переопределить любую директиву из обычного config-а</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это удобно, когда проект на Git, и часть config.php нужно добавить в игнор.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В config/config.php сделана директива sql_debug = true, которая включает логирование нерабочих запросов</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Она включена по умолчанию, но можно и выключить. Логи собираются в файл log/sql.log. Папка закрыта в htaccess, просматривать можно только по FTP.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшено определение пути к карте сайта для более легкой настройки действий по крону</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В раздел системной информации добавлен IP-адрес, с которого осуществляются curl-запросы</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Нужно для корректной работы техподдержки, т.к. некоторые хостинги блокируют обращения с определенных IP. Для разблокировки нужно знать IP, теперь его удобно посмотреть в админке.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Метод отправки e-mail админу перенесен из Callback.php в Notify.php</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Исправление ошибок в новой версии OkayCMS</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены проблемы, проявлявшиеся при работе с MySQL версии 5.7</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с сохранением свойств, описанная на форуме в <a href=\"https://forum.okay-cms.com/viewtopic.php?p=4217#p4217\">теме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несколько ошибок, связанных с переключением языка на странице 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с отображением каталога на планшетах с большим разрешением (&gt;992px), при которой меню каталога не срабатывало по нажатию.</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда картинка была доступна по разным URL</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена 500 ошибка при попытке открыть несуществующее изображение</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При редактировании заказа, если поменять способ доставки \"Оплачивается отдельно\" на другой, не считалась стоимость.&nbsp;Сейчас проблему устранили. Описание есть <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=808&amp;p=4170#p4170\">на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда при клике на плюсик в корзине нельзя было добавить больше 50 товаров в заказ</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В текущей версии можно удалить изображение в баннере (раньше нужно было только заменять его на другое)</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизировано удаление валют из БД при включенной мультиязычности сайта</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизирован запрос search_products.php</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны дублирующиеся элементы в верстке админпанели</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема, при которой пароль для базы данных со спецсимволами не принимался системой</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа сортировки по цене после применения фильтра по цене</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны ссылки на страницы с 302-м редиректом, которые появлялись при включении более чем одной валюты на сайте</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка при сохранении JS в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа кнопки \"Печать заказа\". Больше не появляется ошибка 500</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Раньше к комментариям на странице грузились все ответы на все возможные комментарии</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы оптимизировали код, и теперь для 20 комментариев на странице загрузятся только их ответы.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в \"Обратной связи\"</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Если одобрить фидбек, но не написать ответ, то его больше нельзя будет написать. Сделали так, что ответов можно писать любое количество.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в подсчете кол-ва заказов при использовании фильтра по дате</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Раньше после фильтрации всегда показывало 0 заказов. Сейчас подсчет корректный.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда на второй странице пагинации в админпанели не отображались ответы на комментарии</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несоответствие название поля в админке с его содержанием<img src=\"../files/uploads/oshibka_nazvania_polya.jpg\" alt=\"неправильное название поля\" width=\"994\" height=\"312\" /></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Как видите, теперь OkayCMS стала еще красивее с подправленной версткой, глобально изменился SEO-раздел, в системе сделали много новых удобностей и учли ваши замечания. Продолжайте держать с нами обратную связь &ndash; мы уже планируем следующую версию.</span></p>'),
(2,	5,	'OkayCMS 3.0',	'OkayCMS 3.0',	'OkayCMS 3.0',	'OKAY CMS 3 Released \r\n Our team has been working on the new version of OkayCMS 3.0.0 for a long time. The changes included in the new version significantly expanded the functionality. \r\n Many global changes have been implemented with a completely redesigned kernel and completely updated program code. We hope you appreciate our work and new features of the system. \r\n \r\n \r\n \r\n 1. New design \r\n  \r\n The new design is designed to meet all usability requirements for online stores. \r\n \r\n \r\n \r\n 2. Training Section ',	'<p>Our team has been working on the new version of OkayCMS 3.0.0 for a long time. The changes included in the new version significantly expanded the functionality. Many global changes have been implemented with a completely redesigned kernel and completely updated program code. We hope you appreciate our work and new features of the system;</p>',	'<h3 style=\"text-align: center;\">OKAY CMS 3 Released</h3>\r\n<p>Our team has been working on the new version of OkayCMS 3.0.0 for a long time. The changes included in the new version significantly expanded the functionality.</p>\r\n<p>Many global changes have been implemented with a completely redesigned kernel and completely updated program code. We hope you appreciate our work and new features of the system.</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. New design</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>The new design is designed to meet all usability requirements for online stores.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Training Section</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>A new training section, which contains instructions for basic work on the site.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Modularity</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Completely redesigned structure, the appearance of modularity</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Setting site colors</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>A new block has appeared in the design settings for setting site colors</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Why did we go for such a global change?</h3>\r\n<p><strong>First</strong>. The basis of the first and second versions of OkayCMS was made using the old code. At the time of the creation of our system, in 2015, the code that was used was still relevant, but entering 2020 with what was - is not good.</p>\r\n<p><strong>Second one</strong> Problems with expanding the functionality of the store. Due to the fact that previous versions of the system were not modular, when it was necessary to expand the functionality globally, all changes were made immediately to the kernel and this created complex code. All subsequent improvements to such a project were implemented more and more difficult. Now, with the transition to modularity, this problem will be partially solved.</p>\r\n<p><strong>Third.</strong> System updates. This problem partially arises from the second. When improvements touched the core of the system, updating the modified system was problematic. In some cases, it was more reasonable to refuse updates to a highly modified system. Now that the work will be carried out separately from the kernel, system updates should be faster and more painless.</p>\r\n<p><strong>Fourth.</strong> Convenience for new users. The basis for successful development is a good community around the product. The code of previous versions was simple, convenient, but still specific, not using patterns and made \"in its own way.\" The problem that arose from this, to new programmers who started their education with developers with frameworks like Laravel, the system seemed immediately incomprehensible and they did not really want to undertake to make small improvements on it. The new version of the system is more consistent with the main trends in the programming world and should make a simpler entry threshold for new programmers, new web studios, etc. who decide to use our system in their work.</p>\r\n<h3 style=\"text-align: center;\">How to upgrade from previous versions of OkayCMS to version 3. *?</h3>\r\n<p>OkayCMS 3 is a system with a completely redesigned kernel and completely updated program code, so templates and modules from previous versions are incompatible.</p>\r\n<p>All license holders of the Pro version of OkayCMS can order the transfer of their data to the new version or, in the case of a large number of improvements and individual templates, stay on version 2. * which we will continue to support and for which we will release updates containing fixes for comments about which we will know. Transferring data to version 3. * from previous versions will take 1 hour of technical support.</p>\r\n<p>In the case of transferring data to the new version, we will transfer to version 3. * all your products, categories, brands, pages, blog entries, orders and registered customers. After the transfer, you will receive a site with all the functionality of the OkayCMS version 3. * design of version 3. * and the contents of the database from your site on the previous version of OkayCMS. To order an upgrade to 3.0, write to us at info@okay-cms.com or contact technical support from the admin. panels.</p>'),
(3,	1,	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>'),
(3,	2,	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>'),
(3,	3,	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS\n    Зайдите на официальный сайт OkayCMS.\n    Кликните по кнопке Скачать CMS в шапке сайта.\n    Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>'),
(3,	4,	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. \r\n     \r\n  Улуч',	'<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Почти год мы работали над улучшением OkayCMS. &laquo;Куда еще лучше?&raquo; &ndash; спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель &ndash; вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения SEO в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появились шаблоны описаний для страниц с фильтрами. Можно задавать мета-теги для страниц:</span></li>\r\n</ul>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+бренд</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+свойство</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+определенное свойство</span></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/seo-filtr.png\" alt=\"новый seo-фильтр\" width=\"1918\" height=\"908\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для каждого свойства в новой версии доступны варианты слова (падежи и синонимы), которые позже можно использовать для заполнения метаданных фильтров.</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/varianty_slova_dlya_seo.png\" alt=\"варианты слов\" width=\"1038\" height=\"602\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В ближайшее время мы напишем подробную статью, посвященную данному функционалу.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Чтобы перелинковка была более качественной, теперь можно делать свойство в товаре ссылкой на страницу фильтра &lt;категория +это свойство&gt;<img src=\"../files/uploads/svoistvo_ssylkoi.jpg\" alt=\"свойство ссылкой\" width=\"1062\" height=\"655\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Изменилась работа ЧПУ-фильтра: теперь индексируется категория+одно значение фильтра, остальное &ndash; нет</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для страниц, которые создаются через админпанель, появилась возможность задавать отдельный от названия страницы Н1 прямо в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Sitemap.xml теперь более универсальный и сам создает пагинацию карт сайта, когда количество ссылок в нем превышает 50 000</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшена микроразметка, добавлена разметка twittercard</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Настроен 301-й редирект со страниц с \"/page-1\" на основную страницу категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрано дублирование текста на страницах фильтров, сортировок и пагинации. Текст категории выводится после обновления только на основной странице категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В title при пагинации теперь автоматически подставляется номер страницы<img src=\"../files/uploads/schetchik_v_title.jpg\" alt=\"счетчик в title\" width=\"1273\" height=\"140\" /></span></li>\r\n<li></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif;\"><span style=\"font-size: 16px;\">Для индексации теперь доступны только страницы фильтрации категория+бренд или категория+1 свойство.</span></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000080;\">Улучшения для посетителей сайта на OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переверстана страница thank you page. Она стала более информативной для покупателя и правильной с точки зрения e-commerce</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/thank_you_page.jpg\" alt=\"страница оформленного заказа\" width=\"1366\" height=\"768\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В категориях появилась возможность отфильтровать по рекомендуемым товарам или товарам со скидкой<img src=\"../files/uploads/filtr_skidki.png\" alt=\"фильтр по скидкам и хитам\" width=\"1174\" height=\"402\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Слева над фильтром теперь будут подкатегории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переделано отображение страницы ошибки 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Старая цена теперь лучше выделяется за счет того, что она перечеркнута</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Комментарии администратора также лучше выделяются среди комментариев обычных пользователей</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано корректное определение варианта в наличии в Safari. Проблема была описана <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=869&amp;sid=8a990552ca19ef5b94b8aa32037ba38f\">в теме на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда в редких случаях после применения фильтра некорректно отображался каталог<img src=\"../files/uploads/oshibka_filtra_po_cene.png\" alt=\"ошибка верстки после фильтрации\" width=\"400\" height=\"326\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена верстка корзины для мобильных устройств</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/osibka_mobilnoi_korziny.png\" alt=\"ошибка верстки мобильной корзины\" width=\"439\" height=\"229\" />&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения в новой версии OkayCMS для администраторов сайта</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь есть возможность создавать несколько меню и добавлять к пунктам свои ссылки</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Можно добавлять и удалять&nbsp; подпункты меню, вставлять ссылки на текущий сайт (при этом они автоматически преобразуются в относительные) и на другие сайты, задать открытие в новой вкладке, просто перетянув ползунок.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/svoe_menu.png\" alt=\"кастомное меню\" width=\"1030\" height=\"302\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Собственные меню можно выводить в любом месте шаблона.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вставлять скрипты стало проще</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы переделали раздел SEO: теперь вам нужно только дать название скрипту, выбрать из выпадающего списка, куда его вставлять, добавить код в специальное поле и сохранить. Любой из них можно изменить или удалить.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан функционал добавления разных цветов к статусам заказа, чтобы легче ориентироваться в списке заказов. Реализовано на основе <a href=\"https://forum.okay-cms.com/viewtopic.php?f=6&amp;t=775&amp;p=3980#p3980\">пожелания с форума</a></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/cveta_statusa_zakaza.png\" alt=\"разноцветные статусы заказа\" width=\"1038\" height=\"606\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появился экспорт заказов в csv для дальнейшего импорта в сервисы рассылок e-mail, SMS и т.п. Выгружать можно по статусу, по меткам, по дате заказов</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В админпанель добавлен фильтр по необработанным комментариям, заказам обратного звонка и обращениям с формы обратной связи</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность искать информацию в комментариях и обратной связи. Поиск проходит по сообщениям, имени и e-mail<img src=\"../files/uploads/poisk_i_sortirovka.png\" alt=\"поиск по обратной связи\" width=\"1258\" height=\"446\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно выбрать количество отображаемых комментариев и сообщений обратной связи на одной странице</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вместо стандартной капчи можно будет использовать reCAPTCHA или reCAPTCHA invisible, активировав нужную в настройках сайта<img src=\"../files/uploads/recaptcha.png\" alt=\"recaptcha\" width=\"1327\" height=\"307\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать и отключать автоматическое одобрение комментариев</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь добавить карту на страницу контактов можно просто вставкой iframe в специальное поле<img src=\"../files/uploads/vstavka_karty.png\" alt=\"вставка карты в контакты\" width=\"1326\" height=\"195\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Заблокировано удаление или изменение URL для системных страниц</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это сделано для избежания ошибок, которые возникают вследствие изменения адреса или удаления страниц типа главная, бренды, 404 и т.п. Даже при попытке массового удаления страниц, появится уведомление.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/blok_sistemnyh_url.png\" alt=\"блокировка системных URL\" width=\"1903\" height=\"716\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано форматирование сообщений в техподдержке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан счетчик символов в meta title и description</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлено отображение фильтров в админпанели на мобильных устройствах</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При экспорте категории для облегчения работы с файлом экспорта теперь выгружаются только свойства этой категории, а не все доступные</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены ошибки, возникающие при попытке изменить порядок категорий в товаре: порядок не менялся, не всплывала кнопка &laquo;Применить&raquo;</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Нельзя было задать порядок фото до сохранения товара. Теперь можно</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Также при изменении порядка фото не появлялась кнопка &laquo;Применить&raquo;. Уже исправили</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрана в админпанели ненужная часть комментария админа<img src=\"../files/uploads/nenuzhny_komment.png\" alt=\"ненужная часть комментария\" width=\"986\" height=\"607\" /></span></li>\r\n</ul>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Удалены редкоиспользуемые разделы \"Яндекс.Метрика для сайта\" и \"Импорт/экспорт переводов\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Поле \"Активность\" в разделе \"Свойства\" теперь называется более понятно &ndash; \"В фильтре\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При импорте товаров из 1С основное и дополнительные фото теперь обрабатываются более корректно.</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения для разработчиков в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать отдельную тему для админа</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Когда она активирована, все действия в пунктах: &laquo;Файлы шаблонов&raquo;, &laquo;Стили шаблонов&raquo;, &laquo;Скрипты&raquo;, &laquo;Изображения&raquo;, &laquo;Переводы&raquo; &ndash;&nbsp; выполняются в теме для админа.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Когда активирована тема для админа, в версию всех скриптов и стилей подставляется время. В теме ничего не будет кешироваться, т.к. она нужна для разработки</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлена возможность сбросить кеш шаблона</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для избежания проблем с некорректным наложением водяного знака теперь подключена библиотека обработки изображений gregwar</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Новая библиотека gregwar имеет широкие возможности ресайза, обрезки и позиционирования картинок, позволяет обрабатывать изображение одной строкой, управлять кешированием и много новых крутых вещей.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Например, иногда нужно все картинки сделать одного размера (даже пренебречь небольшой частью изображения). Т.е. широкие и высокие привести к единому форм-фактору, как здесь:</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\"><img src=\"../files/uploads/podgon-kartinok.png\" alt=\"ресайз картинок\" width=\"839\" height=\"310\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для этого в параметрах ресайза нужно указать 5-й и 6-й параметры {$c-&gt;image|resize:140:140:false:$config-&gt;resizedcategoriesdir:center:top}:</span></p>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">5-й параметр отвечает за положение результирующего изображения, если работали с широкой картинкой. Возможные значения: left, center, right</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">6-й параметр отвечает за положение результирующего изображения, если работали с высокой картинкой. Возможные значения: top, center, bottom</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В отдельной статье мы детально расскажем, как работать с новой библиотекой.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сборка PHP библиотек gregwar, smarty, mobiledetect и phpmailer теперь осуществляется через composer</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно задавать ресайз для баннеров</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность добавлять config/config.local.php, в котором можно переопределить любую директиву из обычного config-а</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это удобно, когда проект на Git, и часть config.php нужно добавить в игнор.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В config/config.php сделана директива sql_debug = true, которая включает логирование нерабочих запросов</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Она включена по умолчанию, но можно и выключить. Логи собираются в файл log/sql.log. Папка закрыта в htaccess, просматривать можно только по FTP.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшено определение пути к карте сайта для более легкой настройки действий по крону</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В раздел системной информации добавлен IP-адрес, с которого осуществляются curl-запросы</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Нужно для корректной работы техподдержки, т.к. некоторые хостинги блокируют обращения с определенных IP. Для разблокировки нужно знать IP, теперь его удобно посмотреть в админке.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Метод отправки e-mail админу перенесен из Callback.php в Notify.php</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Исправление ошибок в новой версии OkayCMS</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены проблемы, проявлявшиеся при работе с MySQL версии 5.7</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с сохранением свойств, описанная на форуме в <a href=\"https://forum.okay-cms.com/viewtopic.php?p=4217#p4217\">теме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несколько ошибок, связанных с переключением языка на странице 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с отображением каталога на планшетах с большим разрешением (&gt;992px), при которой меню каталога не срабатывало по нажатию.</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда картинка была доступна по разным URL</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена 500 ошибка при попытке открыть несуществующее изображение</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При редактировании заказа, если поменять способ доставки \"Оплачивается отдельно\" на другой, не считалась стоимость.&nbsp;Сейчас проблему устранили. Описание есть <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=808&amp;p=4170#p4170\">на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда при клике на плюсик в корзине нельзя было добавить больше 50 товаров в заказ</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В текущей версии можно удалить изображение в баннере (раньше нужно было только заменять его на другое)</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизировано удаление валют из БД при включенной мультиязычности сайта</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизирован запрос search_products.php</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны дублирующиеся элементы в верстке админпанели</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема, при которой пароль для базы данных со спецсимволами не принимался системой</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа сортировки по цене после применения фильтра по цене</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны ссылки на страницы с 302-м редиректом, которые появлялись при включении более чем одной валюты на сайте</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка при сохранении JS в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа кнопки \"Печать заказа\". Больше не появляется ошибка 500</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Раньше к комментариям на странице грузились все ответы на все возможные комментарии</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы оптимизировали код, и теперь для 20 комментариев на странице загрузятся только их ответы.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в \"Обратной связи\"</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Если одобрить фидбек, но не написать ответ, то его больше нельзя будет написать. Сделали так, что ответов можно писать любое количество.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в подсчете кол-ва заказов при использовании фильтра по дате</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Раньше после фильтрации всегда показывало 0 заказов. Сейчас подсчет корректный.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда на второй странице пагинации в админпанели не отображались ответы на комментарии</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несоответствие название поля в админке с его содержанием<img src=\"../files/uploads/oshibka_nazvania_polya.jpg\" alt=\"неправильное название поля\" width=\"994\" height=\"312\" /></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Как видите, теперь OkayCMS стала еще красивее с подправленной версткой, глобально изменился SEO-раздел, в системе сделали много новых удобностей и учли ваши замечания. Продолжайте держать с нами обратную связь &ndash; мы уже планируем следующую версию.</span></p>',	'<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Почти год мы работали над улучшением OkayCMS. &laquo;Куда еще лучше?&raquo; &ndash; спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель &ndash; вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения SEO в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появились шаблоны описаний для страниц с фильтрами. Можно задавать мета-теги для страниц:</span></li>\r\n</ul>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+бренд</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+свойство</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+определенное свойство</span></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/seo-filtr.png\" alt=\"новый seo-фильтр\" width=\"1918\" height=\"908\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для каждого свойства в новой версии доступны варианты слова (падежи и синонимы), которые позже можно использовать для заполнения метаданных фильтров.</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/varianty_slova_dlya_seo.png\" alt=\"варианты слов\" width=\"1038\" height=\"602\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В ближайшее время мы напишем подробную статью, посвященную данному функционалу.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Чтобы перелинковка была более качественной, теперь можно делать свойство в товаре ссылкой на страницу фильтра &lt;категория +это свойство&gt;<img src=\"../files/uploads/svoistvo_ssylkoi.jpg\" alt=\"свойство ссылкой\" width=\"1062\" height=\"655\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Изменилась работа ЧПУ-фильтра: теперь индексируется категория+одно значение фильтра, остальное &ndash; нет</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для страниц, которые создаются через админпанель, появилась возможность задавать отдельный от названия страницы Н1 прямо в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Sitemap.xml теперь более универсальный и сам создает пагинацию карт сайта, когда количество ссылок в нем превышает 50 000</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшена микроразметка, добавлена разметка twittercard</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Настроен 301-й редирект со страниц с \"/page-1\" на основную страницу категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрано дублирование текста на страницах фильтров, сортировок и пагинации. Текст категории выводится после обновления только на основной странице категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В title при пагинации теперь автоматически подставляется номер страницы<img src=\"../files/uploads/schetchik_v_title.jpg\" alt=\"счетчик в title\" width=\"1273\" height=\"140\" /></span></li>\r\n<li></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif;\"><span style=\"font-size: 16px;\">Для индексации теперь доступны только страницы фильтрации категория+бренд или категория+1 свойство.</span></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000080;\">Улучшения для посетителей сайта на OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переверстана страница thank you page. Она стала более информативной для покупателя и правильной с точки зрения e-commerce</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/thank_you_page.jpg\" alt=\"страница оформленного заказа\" width=\"1366\" height=\"768\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В категориях появилась возможность отфильтровать по рекомендуемым товарам или товарам со скидкой<img src=\"../files/uploads/filtr_skidki.png\" alt=\"фильтр по скидкам и хитам\" width=\"1174\" height=\"402\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Слева над фильтром теперь будут подкатегории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переделано отображение страницы ошибки 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Старая цена теперь лучше выделяется за счет того, что она перечеркнута</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Комментарии администратора также лучше выделяются среди комментариев обычных пользователей</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано корректное определение варианта в наличии в Safari. Проблема была описана <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=869&amp;sid=8a990552ca19ef5b94b8aa32037ba38f\">в теме на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда в редких случаях после применения фильтра некорректно отображался каталог<img src=\"../files/uploads/oshibka_filtra_po_cene.png\" alt=\"ошибка верстки после фильтрации\" width=\"400\" height=\"326\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена верстка корзины для мобильных устройств</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/osibka_mobilnoi_korziny.png\" alt=\"ошибка верстки мобильной корзины\" width=\"439\" height=\"229\" />&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения в новой версии OkayCMS для администраторов сайта</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь есть возможность создавать несколько меню и добавлять к пунктам свои ссылки</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Можно добавлять и удалять&nbsp; подпункты меню, вставлять ссылки на текущий сайт (при этом они автоматически преобразуются в относительные) и на другие сайты, задать открытие в новой вкладке, просто перетянув ползунок.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/svoe_menu.png\" alt=\"кастомное меню\" width=\"1030\" height=\"302\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Собственные меню можно выводить в любом месте шаблона.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вставлять скрипты стало проще</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы переделали раздел SEO: теперь вам нужно только дать название скрипту, выбрать из выпадающего списка, куда его вставлять, добавить код в специальное поле и сохранить. Любой из них можно изменить или удалить.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан функционал добавления разных цветов к статусам заказа, чтобы легче ориентироваться в списке заказов. Реализовано на основе <a href=\"https://forum.okay-cms.com/viewtopic.php?f=6&amp;t=775&amp;p=3980#p3980\">пожелания с форума</a></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/cveta_statusa_zakaza.png\" alt=\"разноцветные статусы заказа\" width=\"1038\" height=\"606\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появился экспорт заказов в csv для дальнейшего импорта в сервисы рассылок e-mail, SMS и т.п. Выгружать можно по статусу, по меткам, по дате заказов</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В админпанель добавлен фильтр по необработанным комментариям, заказам обратного звонка и обращениям с формы обратной связи</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность искать информацию в комментариях и обратной связи. Поиск проходит по сообщениям, имени и e-mail<img src=\"../files/uploads/poisk_i_sortirovka.png\" alt=\"поиск по обратной связи\" width=\"1258\" height=\"446\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно выбрать количество отображаемых комментариев и сообщений обратной связи на одной странице</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вместо стандартной капчи можно будет использовать reCAPTCHA или reCAPTCHA invisible, активировав нужную в настройках сайта<img src=\"../files/uploads/recaptcha.png\" alt=\"recaptcha\" width=\"1327\" height=\"307\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать и отключать автоматическое одобрение комментариев</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь добавить карту на страницу контактов можно просто вставкой iframe в специальное поле<img src=\"../files/uploads/vstavka_karty.png\" alt=\"вставка карты в контакты\" width=\"1326\" height=\"195\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Заблокировано удаление или изменение URL для системных страниц</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это сделано для избежания ошибок, которые возникают вследствие изменения адреса или удаления страниц типа главная, бренды, 404 и т.п. Даже при попытке массового удаления страниц, появится уведомление.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/blok_sistemnyh_url.png\" alt=\"блокировка системных URL\" width=\"1903\" height=\"716\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано форматирование сообщений в техподдержке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан счетчик символов в meta title и description</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлено отображение фильтров в админпанели на мобильных устройствах</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При экспорте категории для облегчения работы с файлом экспорта теперь выгружаются только свойства этой категории, а не все доступные</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены ошибки, возникающие при попытке изменить порядок категорий в товаре: порядок не менялся, не всплывала кнопка &laquo;Применить&raquo;</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Нельзя было задать порядок фото до сохранения товара. Теперь можно</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Также при изменении порядка фото не появлялась кнопка &laquo;Применить&raquo;. Уже исправили</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрана в админпанели ненужная часть комментария админа<img src=\"../files/uploads/nenuzhny_komment.png\" alt=\"ненужная часть комментария\" width=\"986\" height=\"607\" /></span></li>\r\n</ul>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Удалены редкоиспользуемые разделы \"Яндекс.Метрика для сайта\" и \"Импорт/экспорт переводов\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Поле \"Активность\" в разделе \"Свойства\" теперь называется более понятно &ndash; \"В фильтре\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При импорте товаров из 1С основное и дополнительные фото теперь обрабатываются более корректно.</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения для разработчиков в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать отдельную тему для админа</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Когда она активирована, все действия в пунктах: &laquo;Файлы шаблонов&raquo;, &laquo;Стили шаблонов&raquo;, &laquo;Скрипты&raquo;, &laquo;Изображения&raquo;, &laquo;Переводы&raquo; &ndash;&nbsp; выполняются в теме для админа.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Когда активирована тема для админа, в версию всех скриптов и стилей подставляется время. В теме ничего не будет кешироваться, т.к. она нужна для разработки</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлена возможность сбросить кеш шаблона</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для избежания проблем с некорректным наложением водяного знака теперь подключена библиотека обработки изображений gregwar</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Новая библиотека gregwar имеет широкие возможности ресайза, обрезки и позиционирования картинок, позволяет обрабатывать изображение одной строкой, управлять кешированием и много новых крутых вещей.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Например, иногда нужно все картинки сделать одного размера (даже пренебречь небольшой частью изображения). Т.е. широкие и высокие привести к единому форм-фактору, как здесь:</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\"><img src=\"../files/uploads/podgon-kartinok.png\" alt=\"ресайз картинок\" width=\"839\" height=\"310\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для этого в параметрах ресайза нужно указать 5-й и 6-й параметры {$c-&gt;image|resize:140:140:false:$config-&gt;resizedcategoriesdir:center:top}:</span></p>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">5-й параметр отвечает за положение результирующего изображения, если работали с широкой картинкой. Возможные значения: left, center, right</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">6-й параметр отвечает за положение результирующего изображения, если работали с высокой картинкой. Возможные значения: top, center, bottom</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В отдельной статье мы детально расскажем, как работать с новой библиотекой.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сборка PHP библиотек gregwar, smarty, mobiledetect и phpmailer теперь осуществляется через composer</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно задавать ресайз для баннеров</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность добавлять config/config.local.php, в котором можно переопределить любую директиву из обычного config-а</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это удобно, когда проект на Git, и часть config.php нужно добавить в игнор.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В config/config.php сделана директива sql_debug = true, которая включает логирование нерабочих запросов</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Она включена по умолчанию, но можно и выключить. Логи собираются в файл log/sql.log. Папка закрыта в htaccess, просматривать можно только по FTP.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшено определение пути к карте сайта для более легкой настройки действий по крону</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В раздел системной информации добавлен IP-адрес, с которого осуществляются curl-запросы</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Нужно для корректной работы техподдержки, т.к. некоторые хостинги блокируют обращения с определенных IP. Для разблокировки нужно знать IP, теперь его удобно посмотреть в админке.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Метод отправки e-mail админу перенесен из Callback.php в Notify.php</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Исправление ошибок в новой версии OkayCMS</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены проблемы, проявлявшиеся при работе с MySQL версии 5.7</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с сохранением свойств, описанная на форуме в <a href=\"https://forum.okay-cms.com/viewtopic.php?p=4217#p4217\">теме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несколько ошибок, связанных с переключением языка на странице 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с отображением каталога на планшетах с большим разрешением (&gt;992px), при которой меню каталога не срабатывало по нажатию.</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда картинка была доступна по разным URL</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена 500 ошибка при попытке открыть несуществующее изображение</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При редактировании заказа, если поменять способ доставки \"Оплачивается отдельно\" на другой, не считалась стоимость.&nbsp;Сейчас проблему устранили. Описание есть <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=808&amp;p=4170#p4170\">на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда при клике на плюсик в корзине нельзя было добавить больше 50 товаров в заказ</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В текущей версии можно удалить изображение в баннере (раньше нужно было только заменять его на другое)</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизировано удаление валют из БД при включенной мультиязычности сайта</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизирован запрос search_products.php</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны дублирующиеся элементы в верстке админпанели</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема, при которой пароль для базы данных со спецсимволами не принимался системой</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа сортировки по цене после применения фильтра по цене</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны ссылки на страницы с 302-м редиректом, которые появлялись при включении более чем одной валюты на сайте</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка при сохранении JS в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа кнопки \"Печать заказа\". Больше не появляется ошибка 500</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Раньше к комментариям на странице грузились все ответы на все возможные комментарии</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы оптимизировали код, и теперь для 20 комментариев на странице загрузятся только их ответы.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в \"Обратной связи\"</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Если одобрить фидбек, но не написать ответ, то его больше нельзя будет написать. Сделали так, что ответов можно писать любое количество.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в подсчете кол-ва заказов при использовании фильтра по дате</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Раньше после фильтрации всегда показывало 0 заказов. Сейчас подсчет корректный.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда на второй странице пагинации в админпанели не отображались ответы на комментарии</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несоответствие название поля в админке с его содержанием<img src=\"../files/uploads/oshibka_nazvania_polya.jpg\" alt=\"неправильное название поля\" width=\"994\" height=\"312\" /></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Как видите, теперь OkayCMS стала еще красивее с подправленной версткой, глобально изменился SEO-раздел, в системе сделали много новых удобностей и учли ваши замечания. Продолжайте держать с нами обратную связь &ndash; мы уже планируем следующую версию.</span></p>'),
(3,	5,	'OkayCMS 3.0',	'OkayCMS 3.0',	'OkayCMS 3.0',	'Вийшла нова версія OKAY CMS 3 \r\n Наша команда досить довго працювала над новою версією OkayCMS 3.0.0 Зміни включені в нову версію, істотно розширили функціональні можливості. \r\n Було впроваджено безліч глобальних змін з повністю переробленим ядром і повністю оновленим програмним кодом. Ми сподіваємося ви оціните нашу роботу і нові можливості системи \r\n \r\n \r\n \r\n 1. Новий дизайн \r\n  \r\n Новий дизайн розроблений за всіма вимогами юзабіліті для інтернет-магазинів \r\n \r\n \r\n \r\n 2. Розділ навчання \r\n  \r\n Новий розді',	'<p>Наша команда досить довго працювала над новою версією OkayCMS 3.0.0 Зміни включені в нову версію, істотно розширили функціональні можливості. Було впроваджено безліч глобальних змін з повністю переробленим ядром і повністю оновленим програмним кодом. Ми сподіваємося ви оціните нашу роботу і нові можливості системи;</p>',	'<h3 style=\"text-align: center;\">Вийшла нова версія OKAY CMS 3</h3>\r\n<p>Наша команда досить довго працювала над новою версією OkayCMS 3.0.0 Зміни включені в нову версію, істотно розширили функціональні можливості.</p>\r\n<p>Було впроваджено безліч глобальних змін з повністю переробленим ядром і повністю оновленим програмним кодом. Ми сподіваємося ви оціните нашу роботу і нові можливості системи</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. Новий дизайн</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>Новий дизайн розроблений за всіма вимогами юзабіліті для інтернет-магазинів</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Розділ навчання</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>Новий розділ навчання, де зібрані інструкції для базових робіт на сайті.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Модульність</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Повністю перероблена структура, поява модульности</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Налаштування кольорів сайту</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>В налаштуваннях дизайну з\'явився новий блок, для настройки кольорів сайту</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Чому ми пішли на таке глобальна зміна?</h3>\r\n<p><strong>Перша</strong>. Основа першої і другої версії OkayCMS була зроблена з використанням старого коду. На момент створення нашої системи, в 2015 році код, який використовувався ще був актуальним, але входити в 2020 рік з тим що було - недобре.</p>\r\n<p><strong>Друга.</strong> Проблеми з розширенням функціоналу магазину. В силу того що минулі версії системи були модульні, коли доводилося глобально розширювати функціонал - все зміни вносилися відразу в ядро ​​і це створювало складний код. Усі наступні доопрацювання в такий проект впроваджувалися все складніше і складніше. Зараз, з переходом до модульності ця проблема частково буде вирішена.</p>\r\n<p><strong>Третя.</strong> Оновлення системи. Ця проблема частково випливає з другої. Коли доопрацювання зачіпали ядро ​​системи, зробити оновлення доопрацьованій системи було проблематично. У деяких випадках більш розумно було відмовитися від оновлень сильно доопрацьованій системи. Тепер, коли роботи будуть виконуватися окремо від ядра - оновлення системи повинні проходити швидше і безболісніше.</p>\r\n<p><strong>Четверта.</strong> Зручність для нових користувачів. Основа успішного розвитку - це гарне ком\'юніті навколо продукту. Код минулих версій був простий, зручний, але все ж специфічний, що не використовує патернів і зроблений \"за своїм\". Проблема, яка з цього випливала, новим програмістам, які починали свою освіту з разбірательсв з фреймворками начебто Laravel система здавалася відразу незрозумілою і вони не сильно хотіли братися робити на ній невеликі доопрацювання. Нова версія системи більше відповідає основним трендам в світі програмування і повинна зробити простішою поріг входу для нових програмістів, нових веб-студій і т.п. які вирішать використовувати нашу систему в роботі.</p>\r\n<h3 style=\"text-align: center;\">Як оновитися з минулих версій OkayCMS до версії 3. *?</h3>\r\n<p>OkayCMS 3 - це система з повністю переробленим ядром і повністю оновленим програмним кодом, тому шаблони і модулі з попередніх версій несумісні.</p>\r\n<p>Всі власники ліцензій Pro версії OkayCMS можуть замовити перенесення своїх даних на нову версію або ж, у разі великої кількості доробок і індивідуальних шаблонів - залишитися на версії 2. * яку ми будемо продовжувати підтримувати і на яку ми будемо випускати оновлення, що містять фікси зауважень, про яких нам буде відомо. Перенесення даних на версію 3. * з попередніх версій займе 1 годину часу техпідтримки.</p>\r\n<p>У разі перенесення даних на нову версію ми перенесемо на версію 3. * всі ваші товари, категорії, бренди, сторінки, записи блога, замовлення і зареєстрованих покупців. Після перенесення ви отримаєте сайт з усім функціоналом версії OkayCMS 3. * дизайном версії 3. * і вмістом бази даних з вашого сайту на попередній версії OkayCMS. Для замовлення поновлення до 3.0 напишіть нам на пошту info@okay-cms.com або зверніться в тех.підтримку з адмін. панелі.</p>');

DROP TABLE IF EXISTS `ok_lang_brands`;
CREATE TABLE `ok_lang_brands` (
  `lang_id` int(11) NOT NULL,
  `brand_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id` (`lang_id`,`brand_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_brands` (`lang_id`, `brand_id`, `name`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`) VALUES
(1,	1,	'Puff',	'Puff',	'Puff',	'Puff',	'',	''),
(1,	2,	'Алтермо',	'Алтермо',	'Алтермо',	'Алтермо',	'',	''),
(1,	3,	'Ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	''),
(1,	4,	'Global',	'Global',	'Global',	'Global',	'',	''),
(1,	5,	'Atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	''),
(1,	6,	'Beretta',	'Beretta',	'Beretta',	'Beretta',	'',	''),
(1,	7,	'Bosch',	'Bosch',	'Bosch',	'Bosch',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>'),
(1,	8,	'Vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	''),
(1,	10,	'Organik food',	'Organik food',	'Organik food',	'',	'',	''),
(1,	11,	'Nature product',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	''),
(1,	12,	'Fitbit',	'Fitbit',	'Fitbit',	'',	'',	''),
(1,	13,	'Britax romer',	'Britax romer',	'Britax romer',	'',	'',	''),
(1,	14,	'GARNIER',	'GARNIER',	'GARNIER',	'',	'',	''),
(1,	15,	'Haibike',	'Haibike',	'Haibike',	'',	'',	''),
(1,	16,	'Royal Canin',	'Royal Canin',	'Royal Canin',	'',	'',	''),
(2,	1,	'Puff',	'Puff',	'Puff',	'Puff',	'',	''),
(2,	2,	'Алтермо',	'Алтермо',	'Алтермо',	'Алтермо',	'',	''),
(2,	3,	'Ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	''),
(2,	4,	'Global',	'Global',	'Global',	'Global',	'',	''),
(2,	5,	'Atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	''),
(2,	6,	'Beretta',	'Beretta',	'Beretta',	'Beretta',	'',	''),
(2,	7,	'Bosch',	'Bosch',	'Bosch',	'Bosch',	'',	''),
(2,	8,	'Vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	''),
(2,	10,	'Organik food',	'Organik food',	'Organik food',	'',	'',	''),
(2,	11,	'Nature product',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	''),
(2,	12,	'Fitbit',	'Fitbit',	'Fitbit',	'',	'',	''),
(2,	13,	'Britax romer',	'Britax romer',	'Britax romer',	'',	'',	''),
(2,	14,	'GARNIER',	'GARNIER',	'GARNIER',	'',	'',	''),
(2,	15,	'Haibike',	'Haibike',	'Haibike',	'',	'',	''),
(2,	16,	'Royal Canin',	'Royal Canin',	'Royal Canin',	'',	'',	''),
(3,	1,	'Puff',	'Puff',	'Puff',	'Puff',	'',	''),
(3,	2,	'Алтермо',	'Алтермо',	'Алтермо',	'Алтермо',	'',	''),
(3,	3,	'Ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	''),
(3,	4,	'Global',	'Global',	'Global',	'Global',	'',	''),
(3,	5,	'Atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	''),
(3,	6,	'Beretta',	'Beretta',	'Beretta',	'Beretta',	'',	''),
(3,	7,	'Bosch',	'Bosch',	'Bosch',	'Bosch',	'',	''),
(3,	8,	'Vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	''),
(3,	10,	'Organik food',	'Organik food',	'Organik food',	'',	'',	''),
(3,	11,	'Nature product',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	''),
(3,	12,	'Fitbit',	'Fitbit',	'Fitbit',	'',	'',	''),
(3,	13,	'Britax romer',	'Britax romer',	'Britax romer',	'',	'',	''),
(3,	14,	'GARNIER',	'GARNIER',	'GARNIER',	'',	'',	''),
(3,	15,	'Haibike',	'Haibike',	'Haibike',	'',	'',	''),
(3,	16,	'Royal Canin',	'Royal Canin',	'Royal Canin',	'',	'',	'');

DROP TABLE IF EXISTS `ok_lang_categories`;
CREATE TABLE `ok_lang_categories` (
  `lang_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `auto_meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_desc` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_description` mediumtext COLLATE utf8mb4_unicode_ci,
  `auto_h1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_categories` (`lang_id`, `category_id`, `name`, `name_h1`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `auto_meta_title`, `auto_meta_keywords`, `auto_meta_desc`, `auto_description`, `auto_h1`) VALUES
(1,	1,	'Мебель для дома',	'',	'Мебель для дома',	'Мебель для дома',	'Мебель для дома',	'',	'',	'',	'',	'',	'',	NULL),
(1,	2,	'Кресло мешок',	'',	'Кресло мешок',	'Кресло мешок',	'Кресло мешок',	'',	'',	'',	'',	'',	'',	NULL),
(1,	3,	'Техника для дома',	'',	'Техника для дома',	'Техника для дома',	'Гаджеты',	'',	'',	'',	'',	'',	'',	NULL),
(1,	4,	'Смартфоны',	'',	'Смартфоны',	'Смартфоны',	'Смартфоны',	'',	'',	'',	'',	'',	'',	NULL),
(1,	5,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'',	'',	'',	'',	NULL),
(1,	8,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'',	'',	'',	'',	NULL),
(1,	9,	'Детские игрушки',	'',	'Детские игрушки',	'Детские игрушки',	'Детские игрушки',	'',	'',	'',	'',	'',	'',	NULL),
(1,	10,	'Мягкие игрушки',	'',	'Мягкие игрушки',	'Мягкие игрушки',	'Мягкие игрушки',	'',	'',	'',	'',	'',	'',	NULL),
(1,	11,	'Детские машинки',	'',	'Детские машинки',	'Детские машинки',	'Детские машинки',	'',	'',	'',	'',	'',	'',	NULL),
(1,	17,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	18,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	19,	'Художественная литература',	'',	'Художественная литература',	'Художественная литература',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	20,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim a',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'',	'',	'',	NULL,	NULL),
(1,	21,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	22,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	23,	'Напитки и продукты',	'',	'Напитки и продукты',	'Напитки и продукты',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'',	'',	'',	NULL,	NULL),
(1,	24,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	26,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	27,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	28,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	29,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	30,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	31,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	32,	'Cтолы и стулья',	'',	'Cтолы и стулья',	'Cтолы и стулья',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	33,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	34,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	35,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	36,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	37,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	38,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	39,	'Складные столы',	'',	'Складные столы',	'Складные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	40,	'Складные стулья',	'',	'Складные стулья',	'Складные стулья',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	42,	'Спальня',	'',	'Спальня',	'Спальня',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	43,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	44,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	45,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	46,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	47,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	48,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	49,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	50,	'Ванная комната',	'',	'Ванная комната',	'Ванная комната',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	51,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	52,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	53,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	54,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	55,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	56,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	57,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	58,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	59,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	60,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	61,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	62,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	63,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	64,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	65,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	66,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	67,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	68,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(1,	69,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	1,	'Home furniture',	'',	'Home furniture',	'Home furniture',	'Home furniture',	'',	'',	'',	'',	'',	'',	NULL),
(2,	2,	'Bag chair',	'',	'Bag chair',	'Bag chair',	'Bag chair',	'',	'',	'',	'',	'',	'',	NULL),
(2,	3,	'Gadgets',	'',	'Gadgets',	'Gadgets',	'Gadgets',	'',	'',	'',	'',	'',	'',	NULL),
(2,	4,	'Smartphones',	'',	'Smartphones',	'Smartphones',	'Smartphones',	'',	'',	'',	'',	'',	'',	NULL),
(2,	5,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'',	'',	'',	'',	NULL),
(2,	8,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'',	'',	'',	'',	NULL),
(2,	9,	'Kids toys',	'',	'Kids toys',	'Kids toys',	'Kids toys',	'',	'',	'',	'',	'',	'',	NULL),
(2,	10,	'Stuffed toys',	'',	'Stuffed toys',	'Stuffed toys',	'Stuffed toys',	'',	'',	'',	'',	'',	'',	NULL),
(2,	11,	'Kids cars',	'',	'Kids cars',	'Kids cars',	'Kids cars',	'',	'',	'',	'',	'',	'',	NULL),
(2,	17,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	18,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	19,	'Книги и канцтовары',	'',	'Книги и канцтовары',	'Книги и канцтовары',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	20,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	21,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	22,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	23,	'Детские товары',	'',	'Детские товары',	'Детские товары',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	24,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	26,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	27,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	28,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	29,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	30,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	31,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	32,	'Cтолы',	'',	'Cтолы',	'Cтолы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	33,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	34,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	35,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	36,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	37,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	38,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	39,	'Шезлонги',	'',	'Шезлонги',	'Шезлонги',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	40,	'Складная мебель',	'',	'Складная мебель',	'Складная мебель',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	42,	'Для спальни',	'',	'Для спальни',	'Для спальни',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	43,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	44,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	45,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	46,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	47,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	48,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	49,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	50,	'Ваннаа комната',	'',	'Ваннаа комната',	'Ваннаа комната',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	51,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	52,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	53,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	54,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	55,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	56,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	57,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	58,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	59,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	60,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	61,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	62,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	63,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	64,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	65,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	66,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	67,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	68,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(2,	69,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	1,	'Меблі для дому',	'',	'Меблі для дому',	'Меблі для дому',	'Меблі для дому',	'',	'',	'',	'',	'',	'',	NULL),
(3,	2,	'Крісло мішок',	'',	'Крісло мішок',	'Крісло мішок',	'Крісло мішок',	'',	'',	'',	'',	'',	'',	NULL),
(3,	3,	'Гаджети',	'',	'Гаджети',	'Гаджети',	'Гаджети',	'',	'',	'',	'',	'',	'',	NULL),
(3,	4,	'Смартфони',	'',	'Смартфони',	'Смартфони',	'Смартфони',	'',	'',	'',	'',	'',	'',	NULL),
(3,	5,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'',	'',	'',	'',	NULL),
(3,	8,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'',	'',	'',	'',	NULL),
(3,	9,	'Дитячі іграшки',	'',	'Дитячі іграшки',	'Дитячі іграшки',	'Дитячі іграшки',	'',	'',	'',	'',	'',	'',	NULL),
(3,	10,	'М\'які іграшки',	'',	'М\'які іграшки',	'М\'які іграшки',	'М\'які іграшки',	'',	'',	'',	'',	'',	'',	NULL),
(3,	11,	'Дитячі машинки',	'',	'Дитячі машинки',	'Дитячі машинки',	'Дитячі машинки',	'',	'',	'',	'',	'',	'',	NULL),
(3,	17,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	18,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	19,	'Книги и канцтовары',	'',	'Книги и канцтовары',	'Книги и канцтовары',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	20,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	21,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	22,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	23,	'Детские товары',	'',	'Детские товары',	'Детские товары',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	24,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	26,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	27,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	28,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	29,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	30,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	31,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	32,	'Cтолы',	'',	'Cтолы',	'Cтолы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	33,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	34,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	35,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	36,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	37,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	38,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	39,	'Шезлонги',	'',	'Шезлонги',	'Шезлонги',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	40,	'Складная мебель',	'',	'Складная мебель',	'Складная мебель',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	42,	'Для спальни',	'',	'Для спальни',	'Для спальни',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	43,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	44,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	45,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	46,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	47,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	48,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	49,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	50,	'Ваннаа комната',	'',	'Ваннаа комната',	'Ваннаа комната',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	51,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	52,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	53,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	54,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	55,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	56,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	57,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	58,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	59,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	60,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	61,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	62,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	63,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	64,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	65,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	66,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	67,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	68,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'',	'',	'',	NULL,	NULL),
(3,	69,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'',	'',	'',	NULL,	NULL);

DROP TABLE IF EXISTS `ok_lang_currencies`;
CREATE TABLE `ok_lang_currencies` (
  `lang_id` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sign` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`currency_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_currencies` (`lang_id`, `currency_id`, `name`, `sign`) VALUES
(1,	1,	'доллары',	'$'),
(1,	2,	'рубли',	'руб'),
(1,	4,	'гривны',	'грн'),
(2,	1,	'dollars',	'$'),
(2,	2,	'rubles',	'rub'),
(2,	4,	'hryvnia',	'грн'),
(3,	1,	'долари',	'$'),
(3,	2,	'рублі',	'руб'),
(3,	4,	'гривні',	'грн');

DROP TABLE IF EXISTS `ok_lang_deliveries`;
CREATE TABLE `ok_lang_deliveries` (
  `lang_id` int(11) NOT NULL,
  `delivery_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`delivery_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_deliveries` (`lang_id`, `delivery_id`, `name`, `description`) VALUES
(1,	1,	'Курьерская доставка по городу',	'<p>Курьерская доставка осуществляется службой компаний-перевозчиков города. Ваш заказ будет отправлен на следующий день после заказа. Доставка занимает от 1 до 3 дней.</p>'),
(1,	2,	'Самовывоз',	'<p>Удобный, бесплатный и быстрый способ получения заказа.</p>\r\n<p>Адрес офиса: Москва, ул. Космонавта Волкова 14</p>'),
(2,	1,	'Courier delivery in the city',	'<p>Courier delivery is carried out by the service of the carrier companies of the city. Your order will be shipped the day after the order. Delivery takes from 1 to 3 days.</p>'),
(2,	2,	'Pickup',	'<p>Convenient, free and fast way to receive an order.</p>\r\n<p>Office address: Moscow, st. Cosmonaut Volkov 14</p>'),
(3,	1,	'Кур\'єрська доставка по місту',	'<p>Кур\'єрська доставка здійснюється службою компаній-перевізників міста. Ваше замовлення буде відправлений на наступний день після замовлення. Доставка займає від 1 до 3 днів.</p>'),
(3,	2,	'Самовивіз',	'<p>Зручний, безкоштовний і швидкий спосіб отримання замовлення.</p>\r\n<p>Місцезнаходження компанії: Москва, вул. Космонавта Волкова 14</p>');

DROP TABLE IF EXISTS `ok_lang_features`;
CREATE TABLE `ok_lang_features` (
  `lang_id` int(11) NOT NULL,
  `feature_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id` (`lang_id`,`feature_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_features` (`lang_id`, `feature_id`, `name`, `description`) VALUES
(1,	1,	'Вес',	NULL),
(1,	2,	'Высота',	NULL),
(1,	3,	'Диаметр',	NULL),
(1,	4,	'Ткань',	NULL),
(1,	5,	'Предназначение',	NULL),
(1,	6,	'Наполнитель',	NULL),
(1,	7,	'Количество наполнителя',	NULL),
(1,	8,	'Объемный вес для транспортных компаний',	NULL),
(1,	9,	'Производство ',	NULL),
(1,	10,	'Серия',	NULL),
(1,	11,	'Диагональ',	NULL),
(1,	12,	'Тип экрана',	NULL),
(1,	13,	'Разрешение экрана',	NULL),
(1,	14,	'Система',	NULL),
(1,	15,	'Количество ядер',	NULL),
(1,	16,	'Процессор',	NULL),
(1,	17,	'Частота процессора',	NULL),
(1,	18,	'Оперативная память',	NULL),
(1,	19,	'Встроенная память',	NULL),
(1,	20,	'Поддержка SD карт',	NULL),
(1,	21,	'Sim-карт',	NULL),
(1,	22,	'Размеры SIM',	NULL),
(1,	23,	'GSM (2G)',	NULL),
(1,	24,	'3G',	NULL),
(1,	25,	'LTE (4G)',	NULL),
(1,	26,	'WCDMA',	NULL),
(1,	27,	'Основная камера',	NULL),
(1,	28,	'Фронтальная камера',	NULL),
(1,	29,	'Вспышка',	NULL),
(1,	30,	'Bluetooth',	NULL),
(1,	31,	'GPS',	NULL),
(1,	32,	'A-GPS',	NULL),
(1,	33,	'Wi-Fi',	NULL),
(1,	34,	'ИК порт',	NULL),
(1,	35,	'Разъемы',	NULL),
(1,	36,	'Аккумулятор',	NULL),
(1,	37,	'Размеры',	NULL),
(1,	38,	'Цвет',	NULL),
(1,	39,	'Wi-Fi Hotspot',	NULL),
(1,	40,	'Сканер отпечатков пальцев',	NULL),
(1,	41,	'3G (UMTS)',	NULL),
(1,	42,	'Возраст',	NULL),
(1,	43,	'Пол',	NULL),
(1,	44,	'Комплектация',	NULL),
(1,	45,	'Материал',	NULL),
(1,	46,	'Размеры упаковки',	NULL),
(1,	47,	'Размер игрушки',	NULL),
(1,	48,	'Страна производитель',	NULL),
(1,	49,	'Тепловая мощность',	NULL),
(1,	50,	'Максимальная температура теплоносителя',	NULL),
(1,	51,	'Максимальное рабочее давление',	NULL),
(1,	52,	'Конструкция радиатора',	NULL),
(1,	53,	'Способ подключения',	NULL),
(1,	54,	'Кол-во секций в радиаторе',	NULL),
(1,	55,	'Объем воды в радиаторе',	NULL),
(1,	56,	'Опрессовочное давление',	NULL),
(1,	57,	'Способ установки',	NULL),
(1,	58,	'Номинальный объем водонагревателя',	NULL),
(1,	59,	'Положение установки',	NULL),
(1,	60,	'Форма',	NULL),
(1,	61,	'Мощность ТЭНа',	NULL),
(1,	62,	'Гарантия',	NULL),
(1,	63,	'Тип нагревательного элемента (ТЭНа)',	NULL),
(1,	64,	'Мощность',	NULL),
(1,	65,	'Отвод газов',	NULL),
(1,	66,	'Тип розжига',	NULL),
(1,	67,	'Производительность',	NULL),
(1,	68,	'Производительность ГВС',	NULL),
(1,	69,	'Модуляция мощности',	NULL),
(1,	70,	'Вес (кг)',	NULL),
(1,	71,	'Объем (м3)',	NULL),
(1,	72,	'Габариты В.Ш.Г. (мм.)',	NULL),
(1,	73,	'Мин. давление газа',	NULL),
(1,	74,	'Страна',	NULL),
(1,	75,	'Вид мяса',	NULL),
(1,	76,	'Производитель',	NULL),
(1,	77,	'Количество мест',	NULL),
(1,	78,	'Высота сиденья',	NULL),
(1,	79,	'Водонепронецаемый',	NULL),
(1,	80,	'Автор',	NULL),
(1,	81,	'Язык',	NULL),
(1,	82,	'Оригинальное название',	NULL),
(1,	83,	'Обложка',	NULL),
(1,	84,	'Страниц',	NULL),
(1,	85,	'Иллюстрации',	NULL),
(1,	86,	'Год издания',	NULL),
(1,	87,	'Рубрика',	NULL),
(1,	88,	'тип товара',	NULL),
(1,	89,	'диаметр колеса',	NULL),
(1,	90,	'длина хода вилки',	NULL),
(1,	91,	'вилка',	NULL),
(1,	92,	'материал рамы',	NULL),
(1,	93,	'задний переключатель',	NULL),
(1,	94,	'тип заднего амортизатора',	NULL),
(1,	95,	'тип тормозов',	NULL),
(1,	96,	'Операционная сиситема',	NULL),
(1,	97,	'Память',	NULL),
(1,	98,	'Дисплей',	NULL),
(1,	99,	'Клавиатура',	NULL),
(1,	100,	'Параметры сканера',	NULL),
(1,	101,	'Тип штрих-кодов',	NULL),
(1,	102,	'PTT',	NULL),
(1,	103,	'Датчик',	NULL),
(1,	104,	'Пылевлагозащита',	NULL),
(1,	105,	'Ударопрочность',	NULL),
(1,	106,	'Рабочая температура',	NULL),
(1,	107,	'Габариты (мм)',	NULL),
(1,	108,	'Ширина бумаги',	NULL),
(1,	109,	'Тип корма',	NULL),
(1,	110,	'Назначение корма',	NULL),
(1,	111,	'Порода',	NULL),
(1,	112,	'Класс корма',	NULL),
(1,	113,	'Монтаж',	NULL),
(1,	114,	'Дверцы',	NULL),
(1,	115,	'Габариты',	NULL),
(2,	1,	'Вес',	NULL),
(2,	2,	'Высота',	NULL),
(2,	3,	'Диаметр',	NULL),
(2,	4,	'Ткань',	NULL),
(2,	5,	'Предназначение',	NULL),
(2,	6,	'Наполнитель',	NULL),
(2,	7,	'Количество наполнителя',	NULL),
(2,	8,	'Объемный вес для транспортных компаний',	NULL),
(2,	9,	'Производство ',	NULL),
(2,	10,	'Серия',	NULL),
(2,	11,	'Диагональ',	NULL),
(2,	12,	'Тип экрана',	NULL),
(2,	13,	'Разрешение экрана',	NULL),
(2,	14,	'Система',	NULL),
(2,	15,	'Количество ядер',	NULL),
(2,	16,	'Процессор',	NULL),
(2,	17,	'Частота процессора',	NULL),
(2,	18,	'Оперативная память',	NULL),
(2,	19,	'Встроенная память',	NULL),
(2,	20,	'Поддержка SD карт',	NULL),
(2,	21,	'Sim-карт',	NULL),
(2,	22,	'Размеры SIM',	NULL),
(2,	23,	'GSM (2G)',	NULL),
(2,	24,	'3G',	NULL),
(2,	25,	'LTE (4G)',	NULL),
(2,	26,	'WCDMA',	NULL),
(2,	27,	'Основная камера',	NULL),
(2,	28,	'Фронтальная камера',	NULL),
(2,	29,	'Вспышка',	NULL),
(2,	30,	'Bluetooth',	NULL),
(2,	31,	'GPS',	NULL),
(2,	32,	'A-GPS',	NULL),
(2,	33,	'Wi-Fi',	NULL),
(2,	34,	'ИК порт',	NULL),
(2,	35,	'Разъемы',	NULL),
(2,	36,	'Аккумулятор',	NULL),
(2,	37,	'Размеры',	NULL),
(2,	38,	'Цвет',	NULL),
(2,	39,	'Wi-Fi Hotspot',	NULL),
(2,	40,	'Сканер отпечатков пальцев',	NULL),
(2,	41,	'3G (UMTS)',	NULL),
(2,	42,	'Возраст',	NULL),
(2,	43,	'Пол',	NULL),
(2,	44,	'Комплектация',	NULL),
(2,	45,	'Материал',	NULL),
(2,	46,	'Размеры упаковки',	NULL),
(2,	47,	'Размер игрушки',	NULL),
(2,	48,	'Страна производитель',	NULL),
(2,	49,	'Тепловая мощность',	NULL),
(2,	50,	'Максимальная температура теплоносителя',	NULL),
(2,	51,	'Максимальное рабочее давление',	NULL),
(2,	52,	'Конструкция радиатора',	NULL),
(2,	53,	'Способ подключения',	NULL),
(2,	54,	'Кол-во секций в радиаторе',	NULL),
(2,	55,	'Объем воды в радиаторе',	NULL),
(2,	56,	'Опрессовочное давление',	NULL),
(2,	57,	'Способ установки',	NULL),
(2,	58,	'Номинальный объем водонагревателя',	NULL),
(2,	59,	'Положение установки',	NULL),
(2,	60,	'Форма',	NULL),
(2,	61,	'Мощность ТЭНа',	NULL),
(2,	62,	'Гарантия',	NULL),
(2,	63,	'Тип нагревательного элемента (ТЭНа)',	NULL),
(2,	64,	'Мощность',	NULL),
(2,	65,	'Отвод газов',	NULL),
(2,	66,	'Тип розжига',	NULL),
(2,	67,	'Производительность',	NULL),
(2,	68,	'Производительность ГВС',	NULL),
(2,	69,	'Модуляция мощности',	NULL),
(2,	70,	'Вес (кг)',	NULL),
(2,	71,	'Объем (м3)',	NULL),
(2,	72,	'Габариты В.Ш.Г. (мм.)',	NULL),
(2,	73,	'Мин. давление газа',	NULL),
(2,	74,	'Страна',	NULL),
(2,	75,	'Вид мяса',	NULL),
(2,	76,	'Производитель',	NULL),
(2,	77,	'Количество мест',	NULL),
(2,	78,	'Высота сиденья',	NULL),
(2,	79,	'Водонепронецаемый',	NULL),
(2,	80,	'Автор',	NULL),
(2,	81,	'Язык',	NULL),
(2,	82,	'Оригинальное название',	NULL),
(2,	83,	'Обложка',	NULL),
(2,	84,	'Страниц',	NULL),
(2,	85,	'Иллюстрации',	NULL),
(2,	86,	'Год издания',	NULL),
(2,	87,	'Рубрика',	NULL),
(2,	88,	'тип товара',	NULL),
(2,	89,	'диаметр колеса',	NULL),
(2,	90,	'длина хода вилки',	NULL),
(2,	91,	'вилка',	NULL),
(2,	92,	'материал рамы',	NULL),
(2,	93,	'задний переключатель',	NULL),
(2,	94,	'тип заднего амортизатора',	NULL),
(2,	95,	'тип тормозов',	NULL),
(2,	96,	'Операционная сиситема',	NULL),
(2,	97,	'Память',	NULL),
(2,	98,	'Дисплей',	NULL),
(2,	99,	'Клавиатура',	NULL),
(2,	100,	'Параметры сканера',	NULL),
(2,	101,	'Тип штрих-кодов',	NULL),
(2,	102,	'PTT',	NULL),
(2,	103,	'Датчик',	NULL),
(2,	104,	'Пылевлагозащита',	NULL),
(2,	105,	'Ударопрочность',	NULL),
(2,	106,	'Рабочая температура',	NULL),
(2,	107,	'Габариты (мм)',	NULL),
(2,	108,	'Ширина бумаги',	NULL),
(2,	109,	'Тип корма',	NULL),
(2,	110,	'Назначение корма',	NULL),
(2,	111,	'Порода',	NULL),
(2,	112,	'Класс корма',	NULL),
(2,	113,	'Монтаж',	NULL),
(2,	114,	'Дверцы',	NULL),
(2,	115,	'Габариты',	NULL),
(3,	1,	'Вес',	NULL),
(3,	2,	'Высота',	NULL),
(3,	3,	'Диаметр',	NULL),
(3,	4,	'Ткань',	NULL),
(3,	5,	'Предназначение',	NULL),
(3,	6,	'Наполнитель',	NULL),
(3,	7,	'Количество наполнителя',	NULL),
(3,	8,	'Объемный вес для транспортных компаний',	NULL),
(3,	9,	'Производство ',	NULL),
(3,	10,	'Серия',	NULL),
(3,	11,	'Диагональ',	NULL),
(3,	12,	'Тип экрана',	NULL),
(3,	13,	'Разрешение экрана',	NULL),
(3,	14,	'Система',	NULL),
(3,	15,	'Количество ядер',	NULL),
(3,	16,	'Процессор',	NULL),
(3,	17,	'Частота процессора',	NULL),
(3,	18,	'Оперативная память',	NULL),
(3,	19,	'Встроенная память',	NULL),
(3,	20,	'Поддержка SD карт',	NULL),
(3,	21,	'Sim-карт',	NULL),
(3,	22,	'Размеры SIM',	NULL),
(3,	23,	'GSM (2G)',	NULL),
(3,	24,	'3G',	NULL),
(3,	25,	'LTE (4G)',	NULL),
(3,	26,	'WCDMA',	NULL),
(3,	27,	'Основная камера',	NULL),
(3,	28,	'Фронтальная камера',	NULL),
(3,	29,	'Вспышка',	NULL),
(3,	30,	'Bluetooth',	NULL),
(3,	31,	'GPS',	NULL),
(3,	32,	'A-GPS',	NULL),
(3,	33,	'Wi-Fi',	NULL),
(3,	34,	'ИК порт',	NULL),
(3,	35,	'Разъемы',	NULL),
(3,	36,	'Аккумулятор',	NULL),
(3,	37,	'Размеры',	NULL),
(3,	38,	'Цвет',	NULL),
(3,	39,	'Wi-Fi Hotspot',	NULL),
(3,	40,	'Сканер отпечатков пальцев',	NULL),
(3,	41,	'3G (UMTS)',	NULL),
(3,	42,	'Возраст',	NULL),
(3,	43,	'Пол',	NULL),
(3,	44,	'Комплектация',	NULL),
(3,	45,	'Материал',	NULL),
(3,	46,	'Размеры упаковки',	NULL),
(3,	47,	'Размер игрушки',	NULL),
(3,	48,	'Страна производитель',	NULL),
(3,	49,	'Тепловая мощность',	NULL),
(3,	50,	'Максимальная температура теплоносителя',	NULL),
(3,	51,	'Максимальное рабочее давление',	NULL),
(3,	52,	'Конструкция радиатора',	NULL),
(3,	53,	'Способ подключения',	NULL),
(3,	54,	'Кол-во секций в радиаторе',	NULL),
(3,	55,	'Объем воды в радиаторе',	NULL),
(3,	56,	'Опрессовочное давление',	NULL),
(3,	57,	'Способ установки',	NULL),
(3,	58,	'Номинальный объем водонагревателя',	NULL),
(3,	59,	'Положение установки',	NULL),
(3,	60,	'Форма',	NULL),
(3,	61,	'Мощность ТЭНа',	NULL),
(3,	62,	'Гарантия',	NULL),
(3,	63,	'Тип нагревательного элемента (ТЭНа)',	NULL),
(3,	64,	'Мощность',	NULL),
(3,	65,	'Отвод газов',	NULL),
(3,	66,	'Тип розжига',	NULL),
(3,	67,	'Производительность',	NULL),
(3,	68,	'Производительность ГВС',	NULL),
(3,	69,	'Модуляция мощности',	NULL),
(3,	70,	'Вес (кг)',	NULL),
(3,	71,	'Объем (м3)',	NULL),
(3,	72,	'Габариты В.Ш.Г. (мм.)',	NULL),
(3,	73,	'Мин. давление газа',	NULL),
(3,	74,	'Страна',	NULL),
(3,	75,	'Вид мяса',	NULL),
(3,	76,	'Производитель',	NULL),
(3,	77,	'Количество мест',	NULL),
(3,	78,	'Высота сиденья',	NULL),
(3,	79,	'Водонепронецаемый',	NULL),
(3,	80,	'Автор',	NULL),
(3,	81,	'Язык',	NULL),
(3,	82,	'Оригинальное название',	NULL),
(3,	83,	'Обложка',	NULL),
(3,	84,	'Страниц',	NULL),
(3,	85,	'Иллюстрации',	NULL),
(3,	86,	'Год издания',	NULL),
(3,	87,	'Рубрика',	NULL),
(3,	88,	'тип товара',	NULL),
(3,	89,	'диаметр колеса',	NULL),
(3,	90,	'длина хода вилки',	NULL),
(3,	91,	'вилка',	NULL),
(3,	92,	'материал рамы',	NULL),
(3,	93,	'задний переключатель',	NULL),
(3,	94,	'тип заднего амортизатора',	NULL),
(3,	95,	'тип тормозов',	NULL),
(3,	96,	'Операционная сиситема',	NULL),
(3,	97,	'Память',	NULL),
(3,	98,	'Дисплей',	NULL),
(3,	99,	'Клавиатура',	NULL),
(3,	100,	'Параметры сканера',	NULL),
(3,	101,	'Тип штрих-кодов',	NULL),
(3,	102,	'PTT',	NULL),
(3,	103,	'Датчик',	NULL),
(3,	104,	'Пылевлагозащита',	NULL),
(3,	105,	'Ударопрочность',	NULL),
(3,	106,	'Рабочая температура',	NULL),
(3,	107,	'Габариты (мм)',	NULL),
(3,	108,	'Ширина бумаги',	NULL),
(3,	109,	'Тип корма',	NULL),
(3,	110,	'Назначение корма',	NULL),
(3,	111,	'Порода',	NULL),
(3,	112,	'Класс корма',	NULL),
(3,	113,	'Монтаж',	NULL),
(3,	114,	'Дверцы',	NULL),
(3,	115,	'Габариты',	NULL);

DROP TABLE IF EXISTS `ok_lang_features_aliases`;
CREATE TABLE `ok_lang_features_aliases` (
  `lang_id` tinyint(11) NOT NULL,
  `feature_alias_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id_feature_alias_id` (`lang_id`,`feature_alias_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_lang_features_aliases_values`;
CREATE TABLE `ok_lang_features_aliases_values` (
  `lang_id` int(11) NOT NULL,
  `feature_alias_value_id` int(11) NOT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id_feature_alias_value_id` (`lang_id`,`feature_alias_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_lang_features_values`;
CREATE TABLE `ok_lang_features_values` (
  `lang_id` int(11) NOT NULL,
  `feature_value_id` int(11) NOT NULL,
  `value` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL,
  `translit` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  KEY `lang_id` (`lang_id`),
  KEY `feature_value_id` (`feature_value_id`),
  KEY `value` (`value`(100)),
  KEY `translit_feature_id_lang_id` (`translit`(100),`lang_id`),
  KEY `translit` (`translit`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_features_values` (`lang_id`, `feature_value_id`, `value`, `translit`) VALUES
(1,	1,	'0.04',	'0d04'),
(1,	2,	'0.05',	'0d05'),
(1,	3,	'0.06',	'0d06'),
(1,	4,	'0.15бар',	'0d15bar'),
(1,	5,	'0.1бар',	'0d1bar'),
(1,	6,	'0.25 м3',	'0d25spm3'),
(1,	7,	'0.35л.',	'0d35ld'),
(1,	8,	'0.37л',	'0d37l'),
(1,	9,	'0.5л.',	'0d5ld'),
(1,	10,	'4.2',	'4d2'),
(1,	11,	'4.1',	'4d1'),
(1,	12,	'1 ГБ',	'1spgb'),
(1,	13,	'1 машинка',	'1spmashinka'),
(1,	14,	'1.0 Ггц',	'1d0spggts'),
(1,	15,	'1.1 ГГц',	'1d1spggts'),
(1,	16,	'1.2 ГГц',	'1d2spggts'),
(1,	17,	'1.4 ГГц',	'1d4spggts'),
(1,	18,	'1.5 ГГц',	'1d5spggts'),
(1,	19,	'1.5кВт.',	'1d5kvtd'),
(1,	20,	'1.7 ГГц',	'1d7spggts'),
(1,	21,	'1.8 ГГц',	'1d8spggts'),
(1,	22,	'10',	'10'),
(1,	23,	'10',	'10'),
(1,	24,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb'),
(1,	25,	'10 секц.',	'10spsektsd'),
(1,	26,	'10 секций',	'10spsektsij'),
(1,	27,	'10.00',	'10d00'),
(1,	28,	'10.1\"',	'10d1qu'),
(1,	29,	'100л.',	'100ld'),
(1,	30,	'1024x600 пикс.',	'1024x600sppiksd'),
(1,	31,	'1080x1920 пикс.',	'1080x1920sppiksd'),
(1,	32,	'10кг.',	'10kgd'),
(1,	33,	'10л/мин.',	'10lfmind'),
(1,	34,	'11 кг.',	'11spkgd'),
(1,	35,	'11 л/мин',	'11splfmin'),
(1,	36,	'11.00',	'11d00'),
(1,	37,	'11.5кг.',	'11d5kgd'),
(1,	38,	'110 см',	'110spsm'),
(1,	39,	'110град.',	'110gradd'),
(1,	40,	'116 град.',	'116spgradd'),
(1,	41,	'11л.',	'11ld'),
(1,	42,	'12 Мп',	'12spmp'),
(1,	43,	'128 ГБ',	'128spgb'),
(1,	44,	'1280x720 пикс.',	'1280x720sppiksd'),
(1,	45,	'1280x800 пикс.',	'1280x800sppiksd'),
(1,	46,	'12кг.',	'12kgd'),
(1,	47,	'13 кг.',	'13spkgd'),
(1,	48,	'13 Мп',	'13spmp'),
(1,	49,	'13.5кг.',	'13d5kgd'),
(1,	50,	'130°C',	'130degc'),
(1,	51,	'132 г',	'132spg'),
(1,	52,	'134 г',	'134spg'),
(1,	53,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm'),
(1,	54,	'нет',	'net'),
(1,	55,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm'),
(1,	56,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm'),
(1,	57,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm'),
(1,	58,	'13л/мин.',	'13lfmind'),
(1,	59,	'14 л/мин',	'14splfmin'),
(1,	60,	'14.00',	'14d00'),
(1,	61,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm'),
(1,	62,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm'),
(1,	63,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm'),
(1,	64,	'144 г',	'144spg'),
(1,	65,	'145Вт.',	'145vtd'),
(1,	66,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm'),
(1,	67,	'149 г',	'149spg'),
(1,	68,	'13г.',	'13gd'),
(1,	69,	'14л.',	'14ld'),
(1,	70,	'15.5кг.',	'15d5kgd'),
(1,	71,	'150 г',	'150spg'),
(1,	72,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm'),
(1,	73,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm'),
(1,	74,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm'),
(1,	75,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm'),
(1,	76,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm'),
(1,	77,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm'),
(1,	78,	'155 г',	'155spg'),
(1,	79,	'156 г',	'156spg'),
(1,	80,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm'),
(1,	81,	'15л/мин.',	'15lfmind'),
(1,	82,	'16 бар',	'16spbar'),
(1,	83,	'16 ГБ',	'16spgb'),
(1,	84,	'16.00',	'16d00'),
(1,	85,	'160 г',	'160spg'),
(1,	86,	'163 г',	'163spg'),
(1,	87,	'166Вт.',	'166vtd'),
(1,	88,	'168 г',	'168spg'),
(1,	89,	'169Вт.',	'169vtd'),
(1,	90,	'17.4кВт.',	'17d4kvtd'),
(1,	91,	'175 г',	'175spg'),
(1,	92,	'17кг.',	'17kgd'),
(1,	93,	'18.6кВт.',	'18d6kvtd'),
(1,	94,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts'),
(1,	95,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts'),
(1,	96,	'181Вт.',	'181vtd'),
(1,	97,	'18бар',	'18bar'),
(1,	98,	'19.2кВт.',	'19d2kvtd'),
(1,	99,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm'),
(1,	100,	'195Вт.',	'195vtd'),
(1,	101,	'1:64 (машинка)',	'1col64splbmashinkarb'),
(1,	102,	'2 sim',	'2spsim'),
(1,	103,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53'),
(1,	104,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53'),
(1,	105,	'2 ГБ',	'2spgb'),
(1,	106,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu'),
(1,	107,	'2 Мп',	'2spmp'),
(1,	108,	'2.0 ГГц',	'2d0spggts'),
(1,	109,	'2.1 ГГц',	'2d1spggts'),
(1,	110,	'2.1кВт.',	'2d1kvtd'),
(1,	111,	'2.35 ГГц',	'2d35spggts'),
(1,	112,	'2.4 бар',	'2d4spbar'),
(1,	113,	'2.4кВт.',	'2d4kvtd'),
(1,	114,	'2.5кВт.',	'2d5kvtd'),
(1,	115,	'200 литров',	'200splitrov'),
(1,	116,	'20кг.',	'20kgd'),
(1,	117,	'21 Мп',	'21spmp'),
(1,	118,	'21.16 Мп',	'21d16spmp'),
(1,	119,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm'),
(1,	120,	'22 кВт.',	'22spkvtd'),
(1,	121,	'22.6кВт.',	'22d6kvtd'),
(1,	122,	'2200 мАч',	'2200spmach'),
(1,	123,	'22кг.',	'22kgd'),
(1,	124,	'24.4кВт.',	'24d4kvtd'),
(1,	125,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm'),
(1,	126,	'2560 мАч',	'2560spmach'),
(1,	127,	'25х25х9 см',	'25h25h9spsm'),
(1,	128,	'26.2кВт.',	'26d2kvtd'),
(1,	129,	'260 г',	'260spg'),
(1,	130,	'26кг.',	'26kgd'),
(1,	131,	'27.2 кВт.',	'27d2spkvtd'),
(1,	132,	'27кг.',	'27kgd'),
(1,	133,	'28 х 16 см',	'28sphsp16spsm'),
(1,	134,	'2870 мАч',	'2870spmach'),
(1,	135,	'2кВт.',	'2kvtd'),
(1,	136,	'3 ГБ',	'3spgb'),
(1,	137,	'3 года',	'3spgoda'),
(1,	138,	'3+',	'3p'),
(1,	139,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb'),
(1,	140,	'3020 мАч',	'3020spmach'),
(1,	141,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb'),
(1,	142,	'3050 мАч',	'3050spmach'),
(1,	143,	'3060 мАч',	'3060spmach'),
(1,	144,	'3080 мАч',	'3080spmach'),
(1,	145,	'30кг.',	'30kgd'),
(1,	146,	'30л.',	'30ld'),
(1,	147,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm'),
(1,	148,	'31 х 8х 5 см',	'31sphsp8hsp5spsm'),
(1,	149,	'3100 мАч',	'3100spmach'),
(1,	150,	'32 ГБ',	'32spgb'),
(1,	151,	'3450 мАч',	'3450spmach'),
(1,	152,	'3800 мАч',	'3800spmach'),
(1,	153,	'4',	'4'),
(1,	154,	'4 (Cortex A-53)',	'4splbcortexspam53rb'),
(1,	155,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts'),
(1,	156,	'4 ГБ',	'4spgb'),
(1,	157,	'4 Мп',	'4spmp'),
(1,	158,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts'),
(1,	159,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts'),
(1,	160,	'4+',	'4p'),
(1,	161,	'4.0',	'4d0'),
(1,	162,	'4.2 LE',	'4d2sple'),
(1,	163,	'4.7\"',	'4d7qu'),
(1,	164,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm'),
(1,	165,	'4100 мАч',	'4100spmach'),
(1,	166,	'5 лет',	'5splet'),
(1,	167,	'5 Мп',	'5spmp'),
(1,	168,	'5 Мп',	'5spmp'),
(1,	169,	'5+',	'5p'),
(1,	170,	'5.0\"',	'5d0qu'),
(1,	171,	'5.2\"',	'5d2qu'),
(1,	172,	'5.5\"',	'5d5qu'),
(1,	173,	'5.7\"',	'5d7qu'),
(1,	174,	'50л.',	'50ld'),
(1,	175,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm'),
(1,	176,	'525 г',	'525spg'),
(1,	177,	'580х310х220',	'580h310h220'),
(1,	178,	'6 (Cortex A-57)',	'6splbcortexspam57rb'),
(1,	179,	'6 ГБ',	'6spgb'),
(1,	180,	'64 ГБ',	'64spgb'),
(1,	181,	'655х350х220',	'655h350h220'),
(1,	182,	'655х425х220',	'655h425h220'),
(1,	183,	'7 года',	'7spgoda'),
(1,	184,	'7 лет',	'7splet'),
(1,	185,	'7.0\"',	'7d0qu'),
(1,	186,	'7000 мАч',	'7000spmach'),
(1,	187,	'75л.',	'75ld'),
(1,	188,	'8',	'8'),
(1,	189,	'8 (Cortex A-53)',	'8splbcortexspam53rb'),
(1,	190,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb'),
(1,	191,	'8 лет',	'8splet'),
(1,	192,	'8 Мп',	'8spmp'),
(1,	193,	'80 см',	'80spsm'),
(1,	194,	'802.11 a/b/g/n',	'802d11spafbfgfn'),
(1,	195,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac'),
(1,	196,	'802.11 b/g/n',	'802d11spbfgfn'),
(1,	197,	'80л.',	'80ld'),
(1,	198,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts'),
(1,	199,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts'),
(1,	200,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(1,	201,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(1,	202,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts'),
(1,	203,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts'),
(1,	204,	'900 / 1800 МГц',	'900spfsp1800spmgts'),
(1,	205,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts'),
(1,	206,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(1,	207,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(1,	208,	'Android 4.4',	'androidsp4d4'),
(1,	209,	'Android 5.0',	'androidsp5d0'),
(1,	210,	'Android 5.1',	'androidsp5d1'),
(1,	211,	'Android 6.0',	'androidsp6d0'),
(1,	212,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme'),
(1,	213,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8'),
(1,	214,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8'),
(1,	215,	'City',	'city'),
(1,	216,	'Dark Blue',	'darkspblue'),
(1,	217,	'FDD-LTE',	'fddmlte'),
(1,	218,	'IGZO Full HD',	'igzospfullsphd'),
(1,	219,	'IPS',	'ips'),
(1,	220,	'IPS (Sharp)',	'ipssplbsharprb'),
(1,	221,	'IPS Full HD',	'ipsspfullsphd'),
(1,	222,	'IPS HD',	'ipssphd'),
(1,	223,	'M2',	'm2'),
(1,	224,	'M3',	'm3'),
(1,	225,	'MediaTek MT6750',	'mediatekspmt6750'),
(1,	226,	'MediaTek MT6753',	'mediatekspmt6753'),
(1,	227,	'MediaTek MT6755',	'mediatekspmt6755'),
(1,	228,	'MediaTek MT6797',	'mediatekspmt6797'),
(1,	229,	'MediaTek MT6797T',	'mediatekspmt6797t'),
(1,	230,	'MediaTek MT8735P',	'mediatekspmt8735p'),
(1,	231,	'Mi4C',	'mi4c'),
(1,	232,	'Mi5s',	'mi5s'),
(1,	233,	'micro-SIM',	'micromsim'),
(1,	234,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb'),
(1,	235,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm'),
(1,	236,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm'),
(1,	237,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm'),
(1,	238,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart'),
(1,	239,	'MX',	'mx'),
(1,	240,	'nano-SIM',	'nanomsim'),
(1,	241,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb'),
(1,	242,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim'),
(1,	243,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb'),
(1,	244,	'Pro',	'pro'),
(1,	245,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210'),
(1,	246,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410'),
(1,	247,	'Redmi 3S',	'redmisp3s'),
(1,	248,	'Redmi 4',	'redmisp4'),
(1,	249,	'Redmi Note',	'redmispnote'),
(1,	250,	'Redmi Note 4',	'redmispnotesp4'),
(1,	251,	'Samsung Exynos 7',	'samsungspexynossp7'),
(1,	252,	'Silver',	'silver'),
(1,	253,	'Snapdragon 430',	'snapdragonsp430'),
(1,	254,	'Snapdragon 435',	'snapdragonsp435'),
(1,	255,	'Snapdragon 625',	'snapdragonsp625'),
(1,	256,	'Snapdragon 808',	'snapdragonsp808'),
(1,	257,	'Snapdragon 82',	'snapdragonsp82'),
(1,	258,	'Snapdragon 821',	'snapdragonsp821'),
(1,	259,	'Super AMOLED Full HD',	'superspamoledspfullsphd'),
(1,	260,	'TD-LTE',	'tdmlte'),
(1,	261,	'Track builder',	'trackspbuilder'),
(1,	262,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm'),
(1,	263,	'Workshop',	'workshop'),
(1,	264,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory'),
(1,	265,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj'),
(1,	266,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj'),
(1,	267,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj'),
(1,	268,	'Боковое',	'bokovoe'),
(1,	269,	'велюр',	'velyur'),
(1,	270,	'Вертикальный',	'vertikalnyj'),
(1,	271,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb'),
(1,	272,	'Две ступени',	'dvespstupeni'),
(1,	273,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya'),
(1,	274,	'девочка..мальчик',	'devochkaddmalchik'),
(1,	275,	'Десять ступеней',	'desyatspstupenej'),
(1,	276,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet'),
(1,	277,	'до 128 ГБ',	'dosp128spgb'),
(1,	278,	'до 32 ГБ',	'dosp32spgb'),
(1,	279,	'до 4 кг',	'dosp4spkg'),
(1,	280,	'до 64 ГБ',	'dosp64spgb'),
(1,	281,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy'),
(1,	282,	'дымоход',	'dymohod'),
(1,	283,	'Есть',	'est'),
(1,	284,	'Есть',	'est'),
(1,	285,	'Есть',	'est'),
(1,	286,	'Есть',	'est'),
(1,	287,	'Есть',	'est'),
(1,	288,	'Есть',	'est'),
(1,	289,	'есть',	'est'),
(1,	290,	'есть',	'est'),
(1,	291,	'Есть (mTouch)',	'estsplbmtouchrb'),
(1,	292,	'жаккард',	'zhakkard'),
(1,	293,	'Испания',	'ispaniya'),
(1,	294,	'Италия',	'italiya'),
(1,	295,	'мальчик',	'malchik'),
(1,	296,	'микро-вельвет',	'mikromvelvet'),
(1,	297,	'Настенный',	'nastennyj'),
(1,	298,	'нет',	'net'),
(1,	299,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb'),
(1,	300,	'от батареек (электро)',	'otspbatareeksplbelektrorb'),
(1,	301,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb'),
(1,	302,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb'),
(1,	303,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm'),
(1,	304,	'Пластик',	'plastik'),
(1,	305,	'Португалия',	'portugaliya'),
(1,	306,	'прямоугольная',	'pryamougolnaya'),
(1,	307,	'пьезорозжиг',	'pezorozzhig'),
(1,	308,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb'),
(1,	309,	'Россия',	'rossiya'),
(1,	310,	'Секционная',	'sektsionnaya'),
(1,	311,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj'),
(1,	312,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold'),
(1,	313,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb'),
(1,	314,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj'),
(1,	315,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj'),
(1,	316,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold'),
(1,	317,	'Украина',	'ukraina'),
(1,	318,	'Универсальный',	'universalnyj'),
(1,	319,	'Цилиндрическая',	'tsilindricheskaya'),
(1,	320,	'Черный',	'chernyj'),
(1,	321,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj'),
(1,	322,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj'),
(1,	323,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj'),
(2,	1,	'0.04',	'0d04'),
(2,	2,	'0.05',	'0d05'),
(2,	3,	'0.06',	'0d06'),
(2,	4,	'0.15бар',	'0d15bar'),
(2,	5,	'0.1бар',	'0d1bar'),
(2,	6,	'0.25 м3',	'0d25spm3'),
(2,	7,	'0.35л.',	'0d35ld'),
(2,	8,	'0.37л',	'0d37l'),
(2,	9,	'0.5л.',	'0d5ld'),
(2,	10,	'4.2',	'4d2'),
(2,	11,	'4.1',	'4d1'),
(2,	12,	'1 ГБ',	'1spgb'),
(2,	13,	'1 машинка',	'1spmashinka'),
(2,	14,	'1.0 Ггц',	'1d0spggts'),
(2,	15,	'1.1 ГГц',	'1d1spggts'),
(2,	16,	'1.2 ГГц',	'1d2spggts'),
(2,	17,	'1.4 ГГц',	'1d4spggts'),
(2,	18,	'1.5 ГГц',	'1d5spggts'),
(2,	19,	'1.5кВт.',	'1d5kvtd'),
(2,	20,	'1.7 ГГц',	'1d7spggts'),
(2,	21,	'1.8 ГГц',	'1d8spggts'),
(2,	22,	'10',	'10'),
(2,	23,	'10',	'10'),
(2,	24,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb'),
(2,	25,	'10 секц.',	'10spsektsd'),
(2,	26,	'10 секций',	'10spsektsij'),
(2,	27,	'10.00',	'10d00'),
(2,	28,	'10.1\"',	'10d1qu'),
(2,	29,	'100л.',	'100ld'),
(2,	30,	'1024x600 пикс.',	'1024x600sppiksd'),
(2,	31,	'1080x1920 пикс.',	'1080x1920sppiksd'),
(2,	32,	'10кг.',	'10kgd'),
(2,	33,	'10л/мин.',	'10lfmind'),
(2,	34,	'11 кг.',	'11spkgd'),
(2,	35,	'11 л/мин',	'11splfmin'),
(2,	36,	'11.00',	'11d00'),
(2,	37,	'11.5кг.',	'11d5kgd'),
(2,	38,	'110 см',	'110spsm'),
(2,	39,	'110град.',	'110gradd'),
(2,	40,	'116 град.',	'116spgradd'),
(2,	41,	'11л.',	'11ld'),
(2,	42,	'12 Мп',	'12spmp'),
(2,	43,	'128 ГБ',	'128spgb'),
(2,	44,	'1280x720 пикс.',	'1280x720sppiksd'),
(2,	45,	'1280x800 пикс.',	'1280x800sppiksd'),
(2,	46,	'12кг.',	'12kgd'),
(2,	47,	'13 кг.',	'13spkgd'),
(2,	48,	'13 Мп',	'13spmp'),
(2,	49,	'13.5кг.',	'13d5kgd'),
(2,	50,	'130°C',	'130degc'),
(2,	51,	'132 г',	'132spg'),
(2,	52,	'134 г',	'134spg'),
(2,	53,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm'),
(2,	54,	'138 г',	'138spg'),
(2,	55,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm'),
(2,	56,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm'),
(2,	57,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm'),
(2,	58,	'13л/мин.',	'13lfmind'),
(2,	59,	'14 л/мин',	'14splfmin'),
(2,	60,	'14.00',	'14d00'),
(2,	61,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm'),
(2,	62,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm'),
(2,	63,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm'),
(2,	64,	'144 г',	'144spg'),
(2,	65,	'145Вт.',	'145vtd'),
(2,	66,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm'),
(2,	67,	'149 г',	'149spg'),
(2,	68,	'14кг.',	'14kgd'),
(2,	69,	'14л.',	'14ld'),
(2,	70,	'15.5кг.',	'15d5kgd'),
(2,	71,	'150 г',	'150spg'),
(2,	72,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm'),
(2,	73,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm'),
(2,	74,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm'),
(2,	75,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm'),
(2,	76,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm'),
(2,	77,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm'),
(2,	78,	'155 г',	'155spg'),
(2,	79,	'156 г',	'156spg'),
(2,	80,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm'),
(2,	81,	'15л/мин.',	'15lfmind'),
(2,	82,	'16 бар',	'16spbar'),
(2,	83,	'16 ГБ',	'16spgb'),
(2,	84,	'16.00',	'16d00'),
(2,	85,	'160 г',	'160spg'),
(2,	86,	'163 г',	'163spg'),
(2,	87,	'166Вт.',	'166vtd'),
(2,	88,	'168 г',	'168spg'),
(2,	89,	'169Вт.',	'169vtd'),
(2,	90,	'17.4кВт.',	'17d4kvtd'),
(2,	91,	'175 г',	'175spg'),
(2,	92,	'17кг.',	'17kgd'),
(2,	93,	'18.6кВт.',	'18d6kvtd'),
(2,	94,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts'),
(2,	95,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts'),
(2,	96,	'181Вт.',	'181vtd'),
(2,	97,	'18бар',	'18bar'),
(2,	98,	'19.2кВт.',	'19d2kvtd'),
(2,	99,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm'),
(2,	100,	'195Вт.',	'195vtd'),
(2,	101,	'1:64 (машинка)',	'1col64splbmashinkarb'),
(2,	102,	'2 sim',	'2spsim'),
(2,	103,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53'),
(2,	104,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53'),
(2,	105,	'2 ГБ',	'2spgb'),
(2,	106,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu'),
(2,	107,	'2 Мп',	'2spmp'),
(2,	108,	'2.0 ГГц',	'2d0spggts'),
(2,	109,	'2.1 ГГц',	'2d1spggts'),
(2,	110,	'2.1кВт.',	'2d1kvtd'),
(2,	111,	'2.35 ГГц',	'2d35spggts'),
(2,	112,	'2.4 бар',	'2d4spbar'),
(2,	113,	'2.4кВт.',	'2d4kvtd'),
(2,	114,	'2.5кВт.',	'2d5kvtd'),
(2,	115,	'200 литров',	'200splitrov'),
(2,	116,	'20кг.',	'20kgd'),
(2,	117,	'21 Мп',	'21spmp'),
(2,	118,	'21.16 Мп',	'21d16spmp'),
(2,	119,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm'),
(2,	120,	'22 кВт.',	'22spkvtd'),
(2,	121,	'22.6кВт.',	'22d6kvtd'),
(2,	122,	'2200 мАч',	'2200spmach'),
(2,	123,	'22кг.',	'22kgd'),
(2,	124,	'24.4кВт.',	'24d4kvtd'),
(2,	125,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm'),
(2,	126,	'2560 мАч',	'2560spmach'),
(2,	127,	'25х25х9 см',	'25h25h9spsm'),
(2,	128,	'26.2кВт.',	'26d2kvtd'),
(2,	129,	'260 г',	'260spg'),
(2,	130,	'26кг.',	'26kgd'),
(2,	131,	'27.2 кВт.',	'27d2spkvtd'),
(2,	132,	'27кг.',	'27kgd'),
(2,	133,	'28 х 16 см',	'28sphsp16spsm'),
(2,	134,	'2870 мАч',	'2870spmach'),
(2,	135,	'2кВт.',	'2kvtd'),
(2,	136,	'3 ГБ',	'3spgb'),
(2,	137,	'3 года',	'3spgoda'),
(2,	138,	'3+',	'3p'),
(2,	139,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb'),
(2,	140,	'3020 мАч',	'3020spmach'),
(2,	141,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb'),
(2,	142,	'3050 мАч',	'3050spmach'),
(2,	143,	'3060 мАч',	'3060spmach'),
(2,	144,	'3080 мАч',	'3080spmach'),
(2,	145,	'30кг.',	'30kgd'),
(2,	146,	'30л.',	'30ld'),
(2,	147,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm'),
(2,	148,	'31 х 8х 5 см',	'31sphsp8hsp5spsm'),
(2,	149,	'3100 мАч',	'3100spmach'),
(2,	150,	'32 ГБ',	'32spgb'),
(2,	151,	'3450 мАч',	'3450spmach'),
(2,	152,	'3800 мАч',	'3800spmach'),
(2,	153,	'4',	'4'),
(2,	154,	'4 (Cortex A-53)',	'4splbcortexspam53rb'),
(2,	155,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts'),
(2,	156,	'4 ГБ',	'4spgb'),
(2,	157,	'4 Мп',	'4spmp'),
(2,	158,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts'),
(2,	159,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts'),
(2,	160,	'4+',	'4p'),
(2,	161,	'4.0',	'4d0'),
(2,	162,	'4.2 LE',	'4d2sple'),
(2,	163,	'4.7\"',	'4d7qu'),
(2,	164,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm'),
(2,	165,	'4100 мАч',	'4100spmach'),
(2,	166,	'5 лет',	'5splet'),
(2,	167,	'5 Мп',	'5spmp'),
(2,	168,	'5 Мп',	'5spmp'),
(2,	169,	'5+',	'5p'),
(2,	170,	'5.0\"',	'5d0qu'),
(2,	171,	'5.2\"',	'5d2qu'),
(2,	172,	'5.5\"',	'5d5qu'),
(2,	173,	'5.7\"',	'5d7qu'),
(2,	174,	'50л.',	'50ld'),
(2,	175,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm'),
(2,	176,	'525 г',	'525spg'),
(2,	177,	'580х310х220',	'580h310h220'),
(2,	178,	'6 (Cortex A-57)',	'6splbcortexspam57rb'),
(2,	179,	'6 ГБ',	'6spgb'),
(2,	180,	'64 ГБ',	'64spgb'),
(2,	181,	'655х350х220',	'655h350h220'),
(2,	182,	'655х425х220',	'655h425h220'),
(2,	183,	'7 года',	'7spgoda'),
(2,	184,	'7 лет',	'7splet'),
(2,	185,	'7.0\"',	'7d0qu'),
(2,	186,	'7000 мАч',	'7000spmach'),
(2,	187,	'75л.',	'75ld'),
(2,	188,	'8',	'8'),
(2,	189,	'8 (Cortex A-53)',	'8splbcortexspam53rb'),
(2,	190,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb'),
(2,	191,	'8 лет',	'8splet'),
(2,	192,	'8 Мп',	'8spmp'),
(2,	193,	'80 см',	'80spsm'),
(2,	194,	'802.11 a/b/g/n',	'802d11spafbfgfn'),
(2,	195,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac'),
(2,	196,	'802.11 b/g/n',	'802d11spbfgfn'),
(2,	197,	'80л.',	'80ld'),
(2,	198,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts'),
(2,	199,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts'),
(2,	200,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(2,	201,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(2,	202,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts'),
(2,	203,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts'),
(2,	204,	'900 / 1800 МГц',	'900spfsp1800spmgts'),
(2,	205,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts'),
(2,	206,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(2,	207,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(2,	208,	'Android 4.4',	'androidsp4d4'),
(2,	209,	'Android 5.0',	'androidsp5d0'),
(2,	210,	'Android 5.1',	'androidsp5d1'),
(2,	211,	'Android 6.0',	'androidsp6d0'),
(2,	212,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme'),
(2,	213,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8'),
(2,	214,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8'),
(2,	215,	'City',	'city'),
(2,	216,	'Dark Blue',	'darkspblue'),
(2,	217,	'FDD-LTE',	'fddmlte'),
(2,	218,	'IGZO Full HD',	'igzospfullsphd'),
(2,	219,	'IPS',	'ips'),
(2,	220,	'IPS (Sharp)',	'ipssplbsharprb'),
(2,	221,	'IPS Full HD',	'ipsspfullsphd'),
(2,	222,	'IPS HD',	'ipssphd'),
(2,	223,	'M2',	'm2'),
(2,	224,	'M3',	'm3'),
(2,	225,	'MediaTek MT6750',	'mediatekspmt6750'),
(2,	226,	'MediaTek MT6753',	'mediatekspmt6753'),
(2,	227,	'MediaTek MT6755',	'mediatekspmt6755'),
(2,	228,	'MediaTek MT6797',	'mediatekspmt6797'),
(2,	229,	'MediaTek MT6797T',	'mediatekspmt6797t'),
(2,	230,	'MediaTek MT8735P',	'mediatekspmt8735p'),
(2,	231,	'Mi4C',	'mi4c'),
(2,	232,	'Mi5s',	'mi5s'),
(2,	233,	'micro-SIM',	'micromsim'),
(2,	234,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb'),
(2,	235,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm'),
(2,	236,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm'),
(2,	237,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm'),
(2,	238,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart'),
(2,	239,	'MX',	'mx'),
(2,	240,	'nano-SIM',	'nanomsim'),
(2,	241,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb'),
(2,	242,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim'),
(2,	243,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb'),
(2,	244,	'Pro',	'pro'),
(2,	245,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210'),
(2,	246,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410'),
(2,	247,	'Redmi 3S',	'redmisp3s'),
(2,	248,	'Redmi 4',	'redmisp4'),
(2,	249,	'Redmi Note',	'redmispnote'),
(2,	250,	'Redmi Note 4',	'redmispnotesp4'),
(2,	251,	'Samsung Exynos 7',	'samsungspexynossp7'),
(2,	252,	'Silver',	'silver'),
(2,	253,	'Snapdragon 430',	'snapdragonsp430'),
(2,	254,	'Snapdragon 435',	'snapdragonsp435'),
(2,	255,	'Snapdragon 625',	'snapdragonsp625'),
(2,	256,	'Snapdragon 808',	'snapdragonsp808'),
(2,	257,	'Snapdragon 82',	'snapdragonsp82'),
(2,	258,	'Snapdragon 821',	'snapdragonsp821'),
(2,	259,	'Super AMOLED Full HD',	'superspamoledspfullsphd'),
(2,	260,	'TD-LTE',	'tdmlte'),
(2,	261,	'Track builder',	'trackspbuilder'),
(2,	262,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm'),
(2,	263,	'Workshop',	'workshop'),
(2,	264,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory'),
(2,	265,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj'),
(2,	266,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj'),
(2,	267,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj'),
(2,	268,	'Боковое',	'bokovoe'),
(2,	269,	'велюр',	'velyur'),
(2,	270,	'Вертикальный',	'vertikalnyj'),
(2,	271,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb'),
(2,	272,	'Две ступени',	'dvespstupeni'),
(2,	273,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya'),
(2,	274,	'девочка..мальчик',	'devochkaddmalchik'),
(2,	275,	'Десять ступеней',	'desyatspstupenej'),
(2,	276,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet'),
(2,	277,	'до 128 ГБ',	'dosp128spgb'),
(2,	278,	'до 32 ГБ',	'dosp32spgb'),
(2,	279,	'до 4 кг',	'dosp4spkg'),
(2,	280,	'до 64 ГБ',	'dosp64spgb'),
(2,	281,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy'),
(2,	282,	'дымоход',	'dymohod'),
(2,	283,	'Есть',	'est'),
(2,	284,	'Есть',	'est'),
(2,	285,	'Есть',	'est'),
(2,	286,	'Есть',	'est'),
(2,	287,	'Есть',	'est'),
(2,	288,	'Есть',	'est'),
(2,	289,	'есть',	'est'),
(2,	290,	'есть',	'est'),
(2,	291,	'Есть (mTouch)',	'estsplbmtouchrb'),
(2,	292,	'жаккард',	'zhakkard'),
(2,	293,	'Испания',	'ispaniya'),
(2,	294,	'Италия',	'italiya'),
(2,	295,	'мальчик',	'malchik'),
(2,	296,	'микро-вельвет',	'mikromvelvet'),
(2,	297,	'Настенный',	'nastennyj'),
(2,	298,	'нет',	'net'),
(2,	299,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb'),
(2,	300,	'от батареек (электро)',	'otspbatareeksplbelektrorb'),
(2,	301,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb'),
(2,	302,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb'),
(2,	303,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm'),
(2,	304,	'Пластик',	'plastik'),
(2,	305,	'Португалия',	'portugaliya'),
(2,	306,	'прямоугольная',	'pryamougolnaya'),
(2,	307,	'пьезорозжиг',	'pezorozzhig'),
(2,	308,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb'),
(2,	309,	'Россия',	'rossiya'),
(2,	310,	'Секционная',	'sektsionnaya'),
(2,	311,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj'),
(2,	312,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold'),
(2,	313,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb'),
(2,	314,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj'),
(2,	315,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj'),
(2,	316,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold'),
(2,	317,	'Украина',	'ukraina'),
(2,	318,	'Универсальный',	'universalnyj'),
(2,	319,	'Цилиндрическая',	'tsilindricheskaya'),
(2,	320,	'Черный',	'chernyj'),
(2,	321,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj'),
(2,	322,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj'),
(2,	323,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj'),
(3,	1,	'0.04',	'0d04'),
(3,	2,	'0.05',	'0d05'),
(3,	3,	'0.06',	'0d06'),
(3,	4,	'0.15бар',	'0d15bar'),
(3,	5,	'0.1бар',	'0d1bar'),
(3,	6,	'0.25 м3',	'0d25spm3'),
(3,	7,	'0.35л.',	'0d35ld'),
(3,	8,	'0.37л',	'0d37l'),
(3,	9,	'0.5л.',	'0d5ld'),
(3,	10,	'4.2',	'4d2'),
(3,	11,	'4.1',	'4d1'),
(3,	12,	'1 ГБ',	'1spgb'),
(3,	13,	'1 машинка',	'1spmashinka'),
(3,	14,	'1.0 Ггц',	'1d0spggts'),
(3,	15,	'1.1 ГГц',	'1d1spggts'),
(3,	16,	'1.2 ГГц',	'1d2spggts'),
(3,	17,	'1.4 ГГц',	'1d4spggts'),
(3,	18,	'1.5 ГГц',	'1d5spggts'),
(3,	19,	'1.5кВт.',	'1d5kvtd'),
(3,	20,	'1.7 ГГц',	'1d7spggts'),
(3,	21,	'1.8 ГГц',	'1d8spggts'),
(3,	22,	'10',	'10'),
(3,	23,	'10',	'10'),
(3,	24,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb'),
(3,	25,	'10 секц.',	'10spsektsd'),
(3,	26,	'10 секций',	'10spsektsij'),
(3,	27,	'10.00',	'10d00'),
(3,	28,	'10.1\"',	'10d1qu'),
(3,	29,	'100л.',	'100ld'),
(3,	30,	'1024x600 пикс.',	'1024x600sppiksd'),
(3,	31,	'1080x1920 пикс.',	'1080x1920sppiksd'),
(3,	32,	'10кг.',	'10kgd'),
(3,	33,	'10л/мин.',	'10lfmind'),
(3,	34,	'11 кг.',	'11spkgd'),
(3,	35,	'11 л/мин',	'11splfmin'),
(3,	36,	'11.00',	'11d00'),
(3,	37,	'11.5кг.',	'11d5kgd'),
(3,	38,	'110 см',	'110spsm'),
(3,	39,	'110град.',	'110gradd'),
(3,	40,	'116 град.',	'116spgradd'),
(3,	41,	'11л.',	'11ld'),
(3,	42,	'12 Мп',	'12spmp'),
(3,	43,	'128 ГБ',	'128spgb'),
(3,	44,	'1280x720 пикс.',	'1280x720sppiksd'),
(3,	45,	'1280x800 пикс.',	'1280x800sppiksd'),
(3,	46,	'12кг.',	'12kgd'),
(3,	47,	'13 кг.',	'13spkgd'),
(3,	48,	'13 Мп',	'13spmp'),
(3,	49,	'13.5кг.',	'13d5kgd'),
(3,	50,	'130°C',	'130degc'),
(3,	51,	'132 г',	'132spg'),
(3,	52,	'134 г',	'134spg'),
(3,	53,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm'),
(3,	54,	'138 г',	'138spg'),
(3,	55,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm'),
(3,	56,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm'),
(3,	57,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm'),
(3,	58,	'13л/мин.',	'13lfmind'),
(3,	59,	'14 л/мин',	'14splfmin'),
(3,	60,	'14.00',	'14d00'),
(3,	61,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm'),
(3,	62,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm'),
(3,	63,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm'),
(3,	64,	'144 г',	'144spg'),
(3,	65,	'145Вт.',	'145vtd'),
(3,	66,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm'),
(3,	67,	'149 г',	'149spg'),
(3,	68,	'14кг.',	'14kgd'),
(3,	69,	'14л.',	'14ld'),
(3,	70,	'15.5кг.',	'15d5kgd'),
(3,	71,	'150 г',	'150spg'),
(3,	72,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm'),
(3,	73,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm'),
(3,	74,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm'),
(3,	75,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm'),
(3,	76,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm'),
(3,	77,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm'),
(3,	78,	'155 г',	'155spg'),
(3,	79,	'156 г',	'156spg'),
(3,	80,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm'),
(3,	81,	'15л/мин.',	'15lfmind'),
(3,	82,	'16 бар',	'16spbar'),
(3,	83,	'16 ГБ',	'16spgb'),
(3,	84,	'16.00',	'16d00'),
(3,	85,	'160 г',	'160spg'),
(3,	86,	'163 г',	'163spg'),
(3,	87,	'166Вт.',	'166vtd'),
(3,	88,	'168 г',	'168spg'),
(3,	89,	'169Вт.',	'169vtd'),
(3,	90,	'17.4кВт.',	'17d4kvtd'),
(3,	91,	'175 г',	'175spg'),
(3,	92,	'17кг.',	'17kgd'),
(3,	93,	'18.6кВт.',	'18d6kvtd'),
(3,	94,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts'),
(3,	95,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts'),
(3,	96,	'181Вт.',	'181vtd'),
(3,	97,	'18бар',	'18bar'),
(3,	98,	'19.2кВт.',	'19d2kvtd'),
(3,	99,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm'),
(3,	100,	'195Вт.',	'195vtd'),
(3,	101,	'1:64 (машинка)',	'1col64splbmashinkarb'),
(3,	102,	'2 sim',	'2spsim'),
(3,	103,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53'),
(3,	104,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53'),
(3,	105,	'2 ГБ',	'2spgb'),
(3,	106,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu'),
(3,	107,	'2 Мп',	'2spmp'),
(3,	108,	'2.0 ГГц',	'2d0spggts'),
(3,	109,	'2.1 ГГц',	'2d1spggts'),
(3,	110,	'2.1кВт.',	'2d1kvtd'),
(3,	111,	'2.35 ГГц',	'2d35spggts'),
(3,	112,	'2.4 бар',	'2d4spbar'),
(3,	113,	'2.4кВт.',	'2d4kvtd'),
(3,	114,	'2.5кВт.',	'2d5kvtd'),
(3,	115,	'200 литров',	'200splitrov'),
(3,	116,	'20кг.',	'20kgd'),
(3,	117,	'21 Мп',	'21spmp'),
(3,	118,	'21.16 Мп',	'21d16spmp'),
(3,	119,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm'),
(3,	120,	'22 кВт.',	'22spkvtd'),
(3,	121,	'22.6кВт.',	'22d6kvtd'),
(3,	122,	'2200 мАч',	'2200spmach'),
(3,	123,	'22кг.',	'22kgd'),
(3,	124,	'24.4кВт.',	'24d4kvtd'),
(3,	125,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm'),
(3,	126,	'2560 мАч',	'2560spmach'),
(3,	127,	'25х25х9 см',	'25h25h9spsm'),
(3,	128,	'26.2кВт.',	'26d2kvtd'),
(3,	129,	'260 г',	'260spg'),
(3,	130,	'26кг.',	'26kgd'),
(3,	131,	'27.2 кВт.',	'27d2spkvtd'),
(3,	132,	'27кг.',	'27kgd'),
(3,	133,	'28 х 16 см',	'28sphsp16spsm'),
(3,	134,	'2870 мАч',	'2870spmach'),
(3,	135,	'2кВт.',	'2kvtd'),
(3,	136,	'3 ГБ',	'3spgb'),
(3,	137,	'3 года',	'3spgoda'),
(3,	138,	'3+',	'3p'),
(3,	139,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb'),
(3,	140,	'3020 мАч',	'3020spmach'),
(3,	141,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb'),
(3,	142,	'3050 мАч',	'3050spmach'),
(3,	143,	'3060 мАч',	'3060spmach'),
(3,	144,	'3080 мАч',	'3080spmach'),
(3,	145,	'30кг.',	'30kgd'),
(3,	146,	'30л.',	'30ld'),
(3,	147,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm'),
(3,	148,	'31 х 8х 5 см',	'31sphsp8hsp5spsm'),
(3,	149,	'3100 мАч',	'3100spmach'),
(3,	150,	'32 ГБ',	'32spgb'),
(3,	151,	'3450 мАч',	'3450spmach'),
(3,	152,	'3800 мАч',	'3800spmach'),
(3,	153,	'4',	'4'),
(3,	154,	'4 (Cortex A-53)',	'4splbcortexspam53rb'),
(3,	155,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts'),
(3,	156,	'4 ГБ',	'4spgb'),
(3,	157,	'4 Мп',	'4spmp'),
(3,	158,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts'),
(3,	159,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts'),
(3,	160,	'4+',	'4p'),
(3,	161,	'4.0',	'4d0'),
(3,	162,	'4.2 LE',	'4d2sple'),
(3,	163,	'4.7\"',	'4d7qu'),
(3,	164,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm'),
(3,	165,	'4100 мАч',	'4100spmach'),
(3,	166,	'5 лет',	'5splet'),
(3,	167,	'5 Мп',	'5spmp'),
(3,	168,	'5 Мп',	'5spmp'),
(3,	169,	'5+',	'5p'),
(3,	170,	'5.0\"',	'5d0qu'),
(3,	171,	'5.2\"',	'5d2qu'),
(3,	172,	'5.5\"',	'5d5qu'),
(3,	173,	'5.7\"',	'5d7qu'),
(3,	174,	'50л.',	'50ld'),
(3,	175,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm'),
(3,	176,	'525 г',	'525spg'),
(3,	177,	'580х310х220',	'580h310h220'),
(3,	178,	'6 (Cortex A-57)',	'6splbcortexspam57rb'),
(3,	179,	'6 ГБ',	'6spgb'),
(3,	180,	'64 ГБ',	'64spgb'),
(3,	181,	'655х350х220',	'655h350h220'),
(3,	182,	'655х425х220',	'655h425h220'),
(3,	183,	'7 года',	'7spgoda'),
(3,	184,	'7 лет',	'7splet'),
(3,	185,	'7.0\"',	'7d0qu'),
(3,	186,	'7000 мАч',	'7000spmach'),
(3,	187,	'75л.',	'75ld'),
(3,	188,	'8',	'8'),
(3,	189,	'8 (Cortex A-53)',	'8splbcortexspam53rb'),
(3,	190,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb'),
(3,	191,	'8 лет',	'8splet'),
(3,	192,	'8 Мп',	'8spmp'),
(3,	193,	'80 см',	'80spsm'),
(3,	194,	'802.11 a/b/g/n',	'802d11spafbfgfn'),
(3,	195,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac'),
(3,	196,	'802.11 b/g/n',	'802d11spbfgfn'),
(3,	197,	'80л.',	'80ld'),
(3,	198,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts'),
(3,	199,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts'),
(3,	200,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(3,	201,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(3,	202,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts'),
(3,	203,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts'),
(3,	204,	'900 / 1800 МГц',	'900spfsp1800spmgts'),
(3,	205,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts'),
(3,	206,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(3,	207,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(3,	208,	'Android 4.4',	'androidsp4d4'),
(3,	209,	'Android 5.0',	'androidsp5d0'),
(3,	210,	'Android 5.1',	'androidsp5d1'),
(3,	211,	'Android 6.0',	'androidsp6d0'),
(3,	212,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme'),
(3,	213,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8'),
(3,	214,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8'),
(3,	215,	'City',	'city'),
(3,	216,	'Dark Blue',	'darkspblue'),
(3,	217,	'FDD-LTE',	'fddmlte'),
(3,	218,	'IGZO Full HD',	'igzospfullsphd'),
(3,	219,	'IPS',	'ips'),
(3,	220,	'IPS (Sharp)',	'ipssplbsharprb'),
(3,	221,	'IPS Full HD',	'ipsspfullsphd'),
(3,	222,	'IPS HD',	'ipssphd'),
(3,	223,	'M2',	'm2'),
(3,	224,	'M3',	'm3'),
(3,	225,	'MediaTek MT6750',	'mediatekspmt6750'),
(3,	226,	'MediaTek MT6753',	'mediatekspmt6753'),
(3,	227,	'MediaTek MT6755',	'mediatekspmt6755'),
(3,	228,	'MediaTek MT6797',	'mediatekspmt6797'),
(3,	229,	'MediaTek MT6797T',	'mediatekspmt6797t'),
(3,	230,	'MediaTek MT8735P',	'mediatekspmt8735p'),
(3,	231,	'Mi4C',	'mi4c'),
(3,	232,	'Mi5s',	'mi5s'),
(3,	233,	'micro-SIM',	'micromsim'),
(3,	234,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb'),
(3,	235,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm'),
(3,	236,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm'),
(3,	237,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm'),
(3,	238,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart'),
(3,	239,	'MX',	'mx'),
(3,	240,	'nano-SIM',	'nanomsim'),
(3,	241,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb'),
(3,	242,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim'),
(3,	243,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb'),
(3,	244,	'Pro',	'pro'),
(3,	245,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210'),
(3,	246,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410'),
(3,	247,	'Redmi 3S',	'redmisp3s'),
(3,	248,	'Redmi 4',	'redmisp4'),
(3,	249,	'Redmi Note',	'redmispnote'),
(3,	250,	'Redmi Note 4',	'redmispnotesp4'),
(3,	251,	'Samsung Exynos 7',	'samsungspexynossp7'),
(3,	252,	'Silver',	'silver'),
(3,	253,	'Snapdragon 430',	'snapdragonsp430'),
(3,	254,	'Snapdragon 435',	'snapdragonsp435'),
(3,	255,	'Snapdragon 625',	'snapdragonsp625'),
(3,	256,	'Snapdragon 808',	'snapdragonsp808'),
(3,	257,	'Snapdragon 82',	'snapdragonsp82'),
(3,	258,	'Snapdragon 821',	'snapdragonsp821'),
(3,	259,	'Super AMOLED Full HD',	'superspamoledspfullsphd'),
(3,	260,	'TD-LTE',	'tdmlte'),
(3,	261,	'Track builder',	'trackspbuilder'),
(3,	262,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm'),
(3,	263,	'Workshop',	'workshop'),
(3,	264,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory'),
(3,	265,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj'),
(3,	266,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj'),
(3,	267,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj'),
(3,	268,	'Боковое',	'bokovoe'),
(3,	269,	'велюр',	'velyur'),
(3,	270,	'Вертикальный',	'vertikalnyj'),
(3,	271,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb'),
(3,	272,	'Две ступени',	'dvespstupeni'),
(3,	273,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya'),
(3,	274,	'девочка..мальчик',	'devochkaddmalchik'),
(3,	275,	'Десять ступеней',	'desyatspstupenej'),
(3,	276,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet'),
(3,	277,	'до 128 ГБ',	'dosp128spgb'),
(3,	278,	'до 32 ГБ',	'dosp32spgb'),
(3,	279,	'до 4 кг',	'dosp4spkg'),
(3,	280,	'до 64 ГБ',	'dosp64spgb'),
(3,	281,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy'),
(3,	282,	'дымоход',	'dymohod'),
(3,	283,	'Есть',	'est'),
(3,	284,	'Есть',	'est'),
(3,	285,	'Есть',	'est'),
(3,	286,	'Есть',	'est'),
(3,	287,	'Есть',	'est'),
(3,	288,	'Есть',	'est'),
(3,	289,	'есть',	'est'),
(3,	290,	'есть',	'est'),
(3,	291,	'Есть (mTouch)',	'estsplbmtouchrb'),
(3,	292,	'жаккард',	'zhakkard'),
(3,	293,	'Испания',	'ispaniya'),
(3,	294,	'Италия',	'italiya'),
(3,	295,	'мальчик',	'malchik'),
(3,	296,	'микро-вельвет',	'mikromvelvet'),
(3,	297,	'Настенный',	'nastennyj'),
(3,	298,	'нет',	'net'),
(3,	299,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb'),
(3,	300,	'от батареек (электро)',	'otspbatareeksplbelektrorb'),
(3,	301,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb'),
(3,	302,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb'),
(3,	303,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm'),
(3,	304,	'Пластик',	'plastik'),
(3,	305,	'Португалия',	'portugaliya'),
(3,	306,	'прямоугольная',	'pryamougolnaya'),
(3,	307,	'пьезорозжиг',	'pezorozzhig'),
(3,	308,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb'),
(3,	309,	'Россия',	'rossiya'),
(3,	310,	'Секционная',	'sektsionnaya'),
(3,	311,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj'),
(3,	312,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold'),
(3,	313,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb'),
(3,	314,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj'),
(3,	315,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj'),
(3,	316,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold'),
(3,	317,	'Украина',	'ukraina'),
(3,	318,	'Универсальный',	'universalnyj'),
(3,	319,	'Цилиндрическая',	'tsilindricheskaya'),
(3,	320,	'Черный',	'chernyj'),
(3,	321,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj'),
(3,	322,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj'),
(3,	323,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj'),
(1,	324,	'Финляндия',	'finlyandiya'),
(2,	324,	'Польша',	'polsha'),
(3,	324,	'Польша',	'polsha'),
(1,	325,	'Баранина',	'baranina'),
(2,	325,	'Украина',	'ukraina'),
(3,	325,	'Украина',	'ukraina'),
(1,	326,	'Россия',	'rossiya'),
(2,	326,	'Россия',	'rossiya'),
(3,	326,	'Россия',	'rossiya'),
(1,	328,	'Курица',	'kuritsa'),
(2,	328,	'Курица',	'kuritsa'),
(3,	328,	'Курица',	'kuritsa'),
(1,	329,	'Говядина',	'govyadina'),
(2,	329,	'Австралия',	'avstraliya'),
(3,	329,	'Австралия',	'avstraliya'),
(1,	330,	'Свинина',	'svinina'),
(2,	330,	'Свинина',	'svinina'),
(3,	330,	'Свинина',	'svinina'),
(1,	331,	'Коттон',	'kotton'),
(2,	331,	'Коттон',	'kotton'),
(3,	331,	'Коттон',	'kotton'),
(1,	332,	'Франция',	'frantsiya'),
(2,	332,	'Франция',	'frantsiya'),
(3,	332,	'Франция',	'frantsiya'),
(1,	333,	'(H)218.5, (W)133.0',	'lbhrb218d5csplbwrb133d0'),
(2,	333,	'(H)204.5, (W)133.0, (Dia)133.0cm',	'lbhrb204d5csplbwrb133d0csplbdiarb133d0cm'),
(3,	333,	'(H)204.5, (W)133.0, (Dia)133.0cm',	'lbhrb204d5csplbwrb133d0csplbdiarb133d0cm'),
(1,	334,	'8',	'8'),
(2,	334,	'6',	'6'),
(3,	334,	'6',	'6'),
(1,	335,	'1.55м',	'1d55m'),
(2,	335,	'1.5м',	'1d5m'),
(3,	335,	'1.5м',	'1d5m'),
(1,	336,	'да',	'da'),
(2,	336,	'да',	'da'),
(3,	336,	'да',	'da'),
(1,	337,	'145кг.',	'145kgd'),
(2,	337,	'120кг.',	'120kgd'),
(3,	337,	'120кг.',	'120kgd'),
(1,	338,	'295',	'295'),
(2,	338,	'215',	'215'),
(3,	338,	'215',	'215'),
(1,	339,	'65.5L x 89.5W x 25.5H',	'65d5lspxsp89d5wspxsp25d5h'),
(2,	339,	'147.7 х 70.8 х 7.3 cм',	'147d7sphsp70d8sphsp7d3spcm'),
(3,	339,	'147.7 х 70.8 х 7.3 cм',	'147d7sphsp70d8sphsp7d3spcm'),
(1,	340,	'Дерево',	'derevo'),
(2,	340,	'Дерево',	'derevo'),
(3,	340,	'Дерево',	'derevo'),
(1,	341,	'Италия',	'italiya'),
(2,	341,	'Италия',	'italiya'),
(3,	341,	'Италия',	'italiya'),
(1,	342,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8'),
(2,	342,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8'),
(3,	342,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8'),
(1,	343,	'нет',	'net'),
(2,	343,	'1',	'1'),
(3,	343,	'1',	'1'),
(1,	345,	'С. Кінг',	'sdspking'),
(2,	345,	'С. Кінг',	'sdspking'),
(3,	345,	'С. Кінг',	'sdspking'),
(1,	346,	'украинский',	'ukrainskij'),
(2,	346,	'украинский',	'ukrainskij'),
(3,	346,	'украинский',	'ukrainskij'),
(1,	347,	'The Stand, vol.1',	'thespstandcspvold1'),
(2,	347,	'The Outsider',	'thespoutsider'),
(3,	347,	'The Outsider',	'thespoutsider'),
(1,	348,	'переплет',	'pereplet'),
(2,	348,	'переплет',	'pereplet'),
(3,	348,	'переплет',	'pereplet'),
(1,	349,	'576',	'576'),
(2,	349,	'592',	'592'),
(3,	349,	'592',	'592'),
(1,	350,	'ч/б',	'chfb'),
(2,	350,	'ч/б',	'chfb'),
(3,	350,	'ч/б',	'chfb'),
(1,	351,	'2019',	'2019'),
(2,	351,	'2019',	'2019'),
(3,	351,	'2019',	'2019'),
(1,	352,	'Фантастика, фэнтези',	'fantastikacspfentezi'),
(2,	352,	'Фантастика, фэнтези',	'fantastikacspfentezi'),
(3,	352,	'Фантастика, фэнтези',	'fantastikacspfentezi'),
(1,	353,	'2017',	'2017'),
(2,	353,	'2017',	'2017'),
(3,	353,	'2017',	'2017'),
(1,	354,	'Велосипед',	'velosiped'),
(2,	354,	'Велосипед',	'velosiped'),
(3,	354,	'Велосипед',	'velosiped'),
(1,	355,	'25.5 дюйма',	'25d5spdyujma'),
(2,	355,	'27.5 дюйма',	'27d5spdyujma'),
(3,	355,	'27.5 дюйма',	'27d5spdyujma'),
(1,	356,	'от 130 до 150 мм',	'otsp130spdosp150spmm'),
(2,	356,	'от 100 до 150 мм',	'otsp100spdosp150spmm'),
(3,	356,	'от 100 до 150 мм',	'otsp100spdosp150spmm'),
(1,	357,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost'),
(2,	357,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost'),
(3,	357,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost'),
(1,	358,	'25.8 кг',	'25d8spkg'),
(2,	358,	'24.8 кг',	'24d8spkg'),
(3,	358,	'24.8 кг',	'24d8spkg'),
(1,	359,	'Shimano Tourney RD-TY21B',	'shimanosptourneysprdmty21b'),
(2,	359,	'алюминий',	'alyuminij'),
(3,	359,	'алюминий',	'alyuminij'),
(1,	360,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed'),
(2,	360,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed'),
(3,	360,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed'),
(1,	361,	'26.5 дюйма',	'26d5spdyujma'),
(2,	361,	'26.5 дюйма',	'26d5spdyujma'),
(3,	361,	'26.5 дюйма',	'26d5spdyujma'),
(1,	362,	'от 110 до 160 мм',	'otsp110spdosp160spmm'),
(2,	362,	'от 110 до 160 мм',	'otsp110spdosp160spmm'),
(3,	362,	'от 110 до 160 мм',	'otsp110spdosp160spmm'),
(1,	363,	'Жесткая стальная',	'zhestkayaspstalnaya'),
(2,	363,	'Жесткая стальная',	'zhestkayaspstalnaya'),
(3,	363,	'Жесткая стальная',	'zhestkayaspstalnaya'),
(1,	364,	'алюминий PRO',	'alyuminijsppro'),
(2,	364,	'алюминий PRO',	'alyuminijsppro'),
(3,	364,	'алюминий PRO',	'alyuminijsppro'),
(1,	365,	'без амортизатора',	'bezspamortizatora'),
(2,	365,	'без амортизатора',	'bezspamortizatora'),
(3,	365,	'без амортизатора',	'bezspamortizatora'),
(1,	366,	'ободной',	'obodnoj'),
(2,	366,	'ободной',	'obodnoj'),
(3,	366,	'ободной',	'obodnoj'),
(1,	367,	'793 г',	'793spg'),
(2,	367,	'793 г',	'793spg'),
(3,	367,	'793 г',	'793spg'),
(1,	368,	'Велошлем',	'veloshlem'),
(2,	368,	'Велошлем',	'veloshlem'),
(3,	368,	'Велошлем',	'veloshlem'),
(1,	369,	'нет',	'net'),
(2,	369,	'нет',	'net'),
(3,	369,	'нет',	'net'),
(1,	370,	'нет',	'net'),
(2,	370,	'нет',	'net'),
(3,	370,	'нет',	'net'),
(1,	371,	'нет',	'net'),
(2,	371,	'нет',	'net'),
(3,	371,	'нет',	'net'),
(1,	372,	'нет',	'net'),
(2,	372,	'нет',	'net'),
(3,	372,	'нет',	'net'),
(1,	373,	'нет',	'net'),
(2,	373,	'нет',	'net'),
(3,	373,	'нет',	'net'),
(1,	374,	'нет',	'net'),
(2,	374,	'нет',	'net'),
(3,	374,	'нет',	'net'),
(1,	375,	'Велоперчатка',	'veloperchatka'),
(2,	375,	'Велоперчатка',	'veloperchatka'),
(3,	375,	'Велоперчатка',	'veloperchatka'),
(1,	376,	'332 г',	'332spg'),
(2,	376,	'332 г',	'332spg'),
(3,	376,	'332 г',	'332spg'),
(1,	377,	'Велообувь',	'veloobuv'),
(2,	377,	'Велообувь',	'veloobuv'),
(3,	377,	'Велообувь',	'veloobuv'),
(1,	378,	'6 кг',	'6spkg'),
(2,	378,	'6 кг',	'6spkg'),
(3,	378,	'6 кг',	'6spkg'),
(1,	379,	'Гиря',	'girya'),
(2,	379,	'Гиря',	'girya'),
(3,	379,	'Гиря',	'girya'),
(1,	380,	'8 кг',	'8spkg'),
(2,	380,	'8 кг',	'8spkg'),
(3,	380,	'8 кг',	'8spkg'),
(1,	381,	'Гантели',	'ganteli'),
(2,	381,	'Гантели',	'ganteli'),
(3,	381,	'Гантели',	'ganteli'),
(1,	382,	'136.5кг.',	'136d5kgd'),
(2,	382,	'136.5кг.',	'136d5kgd'),
(3,	382,	'136.5кг.',	'136d5kgd'),
(1,	383,	'Велотренажер',	'velotrenazher'),
(2,	383,	'Велотренажер',	'velotrenazher'),
(3,	383,	'Велотренажер',	'velotrenazher'),
(1,	384,	'139 кг',	'139spkg'),
(2,	384,	'139 кг',	'139spkg'),
(3,	384,	'139 кг',	'139spkg'),
(1,	385,	'Тренажер',	'trenazher'),
(2,	385,	'Тренажер',	'trenazher'),
(3,	385,	'Тренажер',	'trenazher'),
(1,	386,	'Гироскутер',	'giroskuter'),
(2,	386,	'Гироскутер',	'giroskuter'),
(3,	386,	'Гироскутер',	'giroskuter'),
(1,	387,	'Гироборд',	'girobord'),
(2,	387,	'Гироборд',	'girobord'),
(3,	387,	'Гироборд',	'girobord'),
(1,	388,	'Фитнесс-трекер',	'fitnessmtreker'),
(2,	388,	'Фитнесс-трекер',	'fitnessmtreker'),
(3,	388,	'Фитнесс-трекер',	'fitnessmtreker'),
(1,	389,	'Экшн-камера',	'ekshnmkamera'),
(2,	389,	'Экшн-камера',	'ekshnmkamera'),
(3,	389,	'Экшн-камера',	'ekshnmkamera'),
(1,	390,	'Windows POSReady 2009, Windows 7, Windows 8.1 Industry, Windows 10 IoT Enterprise',	'windowsspposreadysp2009cspwindowssp7cspwindowssp8d1spindustrycspwindowssp10spiotspenterprise'),
(2,	390,	'Windows Embedded CE 7.0; Windows Embedded Handheld 6.5.3; Android 4.4.4 (KitKat)',	'windowsspembeddedspcesp7d0semspwindowsspembeddedsphandheldsp6d5d3semspandroidsp4d4d4splbkitkatrb'),
(3,	390,	'Windows Embedded CE 7.0; Windows Embedded Handheld 6.5.3; Android 4.4.4 (KitKat)',	'windowsspembeddedspcesp7d0semspwindowsspembeddedsphandheldsp6d5d3semspandroidsp4d4d4splbkitkatrb'),
(1,	391,	'Intel Celeron N3160 2,24 ГГц;',	'intelspceleronspn3160sp2c24spggtssem'),
(2,	391,	'OMAP4 (1 ГГц)',	'omap4splb1spggtsrb'),
(3,	391,	'OMAP4 (1 ГГц)',	'omap4splb1spggtsrb'),
(1,	392,	'1 МБ SDRAM / 2 МБ Flash ROM',	'1spmbspsdramspfsp2spmbspflashsprom'),
(2,	392,	'512 Мбайт SRAM; 2 Гбайт Flash стандартный; 1 Гбайт SRAM; 2 Гбайт Flash премиум',	'512spmbajtspsramsemsp2spgbajtspflashspstandartnyjsemsp1spgbajtspsramsemsp2spgbajtspflashsppremium'),
(3,	392,	'512 Мбайт SRAM; 2 Гбайт Flash стандартный; 1 Гбайт SRAM; 2 Гбайт Flash премиум',	'512spmbajtspsramsemsp2spgbajtspflashspstandartnyjsemsp1spgbajtspsramsemsp2spgbajtspflashsppremium'),
(1,	393,	'Цветной сенсорный ЖК 4,3″',	'tsvetnojspsensornyjspzhksp4c3'),
(2,	393,	'3.7\" разрешение VGA (480 x 640); цветной; Стекло Corning GorillaTM',	'3d7qusprazresheniespvgasplb480spxsp640rbsemsptsvetnojsemspsteklospcorningspgorillatm'),
(3,	393,	'3.7\" разрешение VGA (480 x 640); цветной; Стекло Corning GorillaTM',	'3d7qusprazresheniespvgasplb480spxsp640rbsemsptsvetnojsemspsteklospcorningspgorillatm'),
(1,	394,	'На 28, 43 и 53 клавиши',	'nasp28csp43spisp53spklavishi'),
(2,	394,	'На 28, 43 и 53 клавиши; эмуляция терминала (5250, 3270, VT)',	'nasp28csp43spisp53spklavishisemspemulyatsiyaspterminalasplb5250csp3270cspvtrb'),
(3,	394,	'На 28, 43 и 53 клавиши; эмуляция терминала (5250, 3270, VT)',	'nasp28csp43spisp53spklavishisemspemulyatsiyaspterminalasplb5250csp3270cspvtrb'),
(1,	395,	'Лазерный',	'lazernyj'),
(2,	395,	'Motorola SE965, Motorola SE1524-ER, Motorola SE4500, Motorola SE4750, Motorola SE4600, Motorola SE4500-DL, Motorola SE4500-HD',	'motorolaspse965cspmotorolaspse1524mercspmotorolaspse4500cspmotorolaspse4750cspmotorolaspse4600cspmotorolaspse4500mdlcspmotorolaspse4500mhd'),
(3,	395,	'Motorola SE965, Motorola SE1524-ER, Motorola SE4500, Motorola SE4750, Motorola SE4600, Motorola SE4500-DL, Motorola SE4500-HD',	'motorolaspse965cspmotorolaspse1524mercspmotorolaspse4500cspmotorolaspse4750cspmotorolaspse4600cspmotorolaspse4500mdlcspmotorolaspse4500mhd'),
(1,	396,	'1D: UPC-A, UPC-E, EAN8, EAN13, CODE39, ITF, CODEBAR, CODE128, CODE93; 2D: PDF417, QR code(DataMatrix/Maxicode/Azec optional)',	'1dcolspupcmacspupcmecspean8cspean13cspcode39cspitfcspcodebarcspcode128cspcode93semsp2dcolsppdf417cspqrspcodelbdatamatrixfmaxicodefazecspoptionalrb'),
(2,	396,	'1D: Code 39, Code 128, Code 93, Codabar, Code 11, Discrete 2 of 5, Interleaved 2 of 5, EAN-8, EAN-13, MSI, UPCA, UPCE, UPC/EAN supplementals, Coupon Code, Trioptic 39, Webcode, RSS-14, RSS Limited, RSS Expanded, Chinese 2 of 5',	'1dcolspcodesp39cspcodesp128cspcodesp93cspcodabarcspcodesp11cspdiscretesp2spofsp5cspinterleavedsp2spofsp5cspeanm8cspeanm13cspmsicspupcacspupcecspupcfeanspsupplementalscspcouponspcodecsptriopticsp39cspwebcodecsprssm14csprsssplimitedcsprssspexpandedcspchines'),
(3,	396,	'1D: Code 39, Code 128, Code 93, Codabar, Code 11, Discrete 2 of 5, Interleaved 2 of 5, EAN-8, EAN-13, MSI, UPCA, UPCE, UPC/EAN supplementals, Coupon Code, Trioptic 39, Webcode, RSS-14, RSS Limited, RSS Expanded, Chinese 2 of 5',	'1dcolspcodesp39cspcodesp128cspcodesp93cspcodabarcspcodesp11cspdiscretesp2spofsp5cspinterleavedsp2spofsp5cspeanm8cspeanm13cspmsicspupcacspupcecspupcfeanspsupplementalscspcouponspcodecsptriopticsp39cspwebcodecsprssm14csprsssplimitedcsprssspexpandedcspchines'),
(1,	397,	'есть',	'est'),
(2,	397,	'Stonestreet-стек: Bluetooth 4.0 плюс BLE или WBA; Microsoft-стек: Bluetooth, версия 2.1 с EDR',	'stonestreetmstekcolspbluetoothsp4d0spplyusspblespilispwbasemspmicrosoftmstekcolspbluetoothcspversiyasp2d1spsspedr'),
(3,	397,	'Stonestreet-стек: Bluetooth 4.0 плюс BLE или WBA; Microsoft-стек: Bluetooth, версия 2.1 с EDR',	'stonestreetmstekcolspbluetoothsp4d0spplyusspblespilispwbasemspmicrosoftmstekcolspbluetoothcspversiyasp2d1spsspedr'),
(1,	398,	'нет',	'net'),
(2,	398,	'Android 4.4.4 (KitKat): IEEE 802.11 a/b/g/n/d/h/i/k/r или Windows Embedded CE 7.0 / Windows Embedded Handheld 6.5.3: IEEE 802.11 a/b/g/n/d/h/i (Защита: WPA2 Enterprise, 802.1x; EAP-TLS; TTLS (CHAP, MS-CHAP, MS-CHAPv2, PAP или MD5); PEAP (TLS, MSCHAPv2, EA',	'androidsp4d4d4splbkitkatrbcolspieeesp802d11spafbfgfnfdfhfifkfrspilispwindowsspembeddedspcesp7d0spfspwindowsspembeddedsphandheldsp6d5d3colspieeesp802d11spafbfgfnfdfhfisplbzaschitacolspwpa2spenterprisecsp802d1xsemspeapmtlssemspttlssplbchapcspmsmchapcspmsmch'),
(3,	398,	'Android 4.4.4 (KitKat): IEEE 802.11 a/b/g/n/d/h/i/k/r или Windows Embedded CE 7.0 / Windows Embedded Handheld 6.5.3: IEEE 802.11 a/b/g/n/d/h/i (Защита: WPA2 Enterprise, 802.1x; EAP-TLS; TTLS (CHAP, MS-CHAP, MS-CHAPv2, PAP или MD5); PEAP (TLS, MSCHAPv2, EA',	'androidsp4d4d4splbkitkatrbcolspieeesp802d11spafbfgfnfdfhfifkfrspilispwindowsspembeddedspcesp7d0spfspwindowsspembeddedsphandheldsp6d5d3colspieeesp802d11spafbfgfnfdfhfisplbzaschitacolspwpa2spenterprisecsp802d1xsemspeapmtlssemspttlssplbchapcspmsmchapcspmsmch'),
(1,	399,	'нет',	'net'),
(2,	399,	'Встроенная технология UHF Gen2 (только для моделей категории \"Премиум\")',	'vstroennayasptehnologiyaspuhfspgen2splbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(3,	399,	'Встроенная технология UHF Gen2 (только для моделей категории \"Премиум\")',	'vstroennayasptehnologiyaspuhfspgen2splbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(1,	400,	'датчик прозрачности (фиксированный по центру); датчик черной метки (подвижный); датчик открытой печатающей головки; датчик наличия этикетки',	'datchikspprozrachnostisplbfiksirovannyjspposptsentrurbsemspdatchikspchernojspmetkisplbpodvizhnyjrbsemspdatchikspotkrytojsppechatayuschejspgolovkisemspdatchikspnalichiyaspetiketki'),
(2,	400,	'Датчики на базе технологии IST (только для моделей категории \"Премиум\")',	'datchikispnaspbazesptehnologiispistsplbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(3,	400,	'Датчики на базе технологии IST (только для моделей категории \"Премиум\")',	'datchikispnaspbazesptehnologiispistsplbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(1,	401,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec'),
(2,	401,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec'),
(3,	401,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec'),
(1,	402,	'нет',	'net'),
(2,	402,	'Устойчивость к падениям: Многократные падения на бетонное покрытие до 1.8 м в диапазоне рабочих температур; соответствует и превышает требования стандарта MIL-STD 810G;Устойчивость к циклическим падениям: 4000 падений с высоты 1 м; соответствует и превыша',	'ustojchivostspksppadeniyamcolspmnogokratnyesppadeniyaspnaspbetonnoesppokrytiespdosp1d8spmspvspdiapazonesprabochihsptemperatursemspsootvetstvuetspispprevyshaetsptrebovaniyaspstandartaspmilmstdsp810gsemustojchivostspksptsiklicheskimsppadeniyamcolsp4000sppad'),
(3,	402,	'Устойчивость к падениям: Многократные падения на бетонное покрытие до 1.8 м в диапазоне рабочих температур; соответствует и превышает требования стандарта MIL-STD 810G;Устойчивость к циклическим падениям: 4000 падений с высоты 1 м; соответствует и превыша',	'ustojchivostspksppadeniyamcolspmnogokratnyesppadeniyaspnaspbetonnoesppokrytiespdosp1d8spmspvspdiapazonesprabochihsptemperatursemspsootvetstvuetspispprevyshaetsptrebovaniyaspstandartaspmilmstdsp810gsemustojchivostspksptsiklicheskimsppadeniyamcolsp4000sppad'),
(1,	403,	'от -20 до +45°C',	'otspm20spdospp45degc'),
(2,	403,	'от -20 до +50°C',	'otspm20spdospp50degc'),
(3,	403,	'от -20 до +50°C',	'otspm20spdospp50degc'),
(1,	404,	'305 х 295 х 345 мм',	'305sphsp295sphsp345spmm'),
(2,	404,	'231 x 91 x 193 мм',	'231spxsp91spxsp193spmm'),
(3,	404,	'231 x 91 x 193 мм',	'231spxsp91spxsp193spmm'),
(1,	405,	'Sam4s (Корея)',	'sam4ssplbkoreyarb'),
(2,	405,	'Zebra (США)',	'zebrasplbssharb'),
(3,	405,	'Zebra (США)',	'zebrasplbssharb'),
(1,	406,	'57,5 мм',	'57c5spmm'),
(2,	406,	'57,5 мм',	'57c5spmm'),
(3,	406,	'57,5 мм',	'57c5spmm'),
(1,	407,	'12г',	'12g'),
(2,	407,	'10г',	'10g'),
(3,	407,	'10г',	'10g'),
(1,	408,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek'),
(2,	408,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek'),
(3,	408,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek'),
(1,	409,	'Сухой корм',	'suhojspkorm'),
(2,	409,	'Сухой корм',	'suhojspkorm'),
(3,	409,	'Сухой корм',	'suhojspkorm'),
(1,	410,	'Для крупных пород',	'dlyaspkrupnyhspporod'),
(2,	410,	'Специальный',	'spetsialnyj'),
(3,	410,	'Специальный',	'spetsialnyj'),
(1,	411,	'Персидский',	'persidskij'),
(2,	411,	'Мейк-кун',	'mejkmkun'),
(3,	411,	'Мейк-кун',	'mejkmkun'),
(1,	412,	'Премиум',	'premium'),
(2,	412,	'Супер премиум',	'supersppremium'),
(3,	412,	'Супер премиум',	'supersppremium'),
(1,	413,	'10г',	'10g'),
(2,	413,	'10г',	'10g'),
(3,	413,	'10г',	'10g'),
(1,	414,	'Для котят',	'dlyaspkotyat'),
(2,	414,	'Для котят',	'dlyaspkotyat'),
(3,	414,	'Для котят',	'dlyaspkotyat'),
(1,	415,	'Британская',	'britanskaya'),
(2,	415,	'Британская',	'britanskaya'),
(3,	415,	'Британская',	'britanskaya'),
(1,	416,	'От 12 мес.',	'otsp12spmesd'),
(2,	416,	'От 12 мес.',	'otsp12spmesd'),
(3,	416,	'От 12 мес.',	'otsp12spmesd'),
(1,	417,	'Для всех',	'dlyaspvseh'),
(2,	417,	'Для всех',	'dlyaspvseh'),
(3,	417,	'Для всех',	'dlyaspvseh'),
(1,	418,	'От 1 года',	'otsp1spgoda'),
(2,	418,	'От 1 года',	'otsp1spgoda'),
(3,	418,	'От 1 года',	'otsp1spgoda'),
(1,	419,	'Основное кормление',	'osnovnoespkormlenie'),
(2,	419,	'Основное кормление',	'osnovnoespkormlenie'),
(3,	419,	'Основное кормление',	'osnovnoespkormlenie'),
(1,	420,	'Всех видов',	'vsehspvidov'),
(2,	420,	'Всех видов',	'vsehspvidov'),
(3,	420,	'Всех видов',	'vsehspvidov'),
(1,	421,	'79 кг.',	'79spkgd'),
(2,	421,	'79 кг.',	'79spkgd'),
(3,	421,	'79 кг.',	'79spkgd'),
(1,	422,	'191-200см',	'191m200sm'),
(2,	422,	'191-200см',	'191m200sm'),
(3,	422,	'191-200см',	'191m200sm'),
(1,	423,	'Буковые ламели',	'bukovyesplameli'),
(2,	423,	'Буковые ламели',	'bukovyesplameli'),
(3,	423,	'Буковые ламели',	'bukovyesplameli'),
(1,	424,	'RedKing',	'redking'),
(2,	424,	'RedKing',	'redking'),
(3,	424,	'RedKing',	'redking'),
(1,	425,	'191',	'191'),
(2,	425,	'191',	'191'),
(3,	425,	'191',	'191'),
(1,	426,	'90кг.',	'90kgd'),
(2,	426,	'90кг.',	'90kgd'),
(3,	426,	'90кг.',	'90kgd'),
(1,	427,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm'),
(2,	427,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm'),
(3,	427,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm'),
(1,	428,	'2',	'2'),
(2,	428,	'2',	'2'),
(3,	428,	'2',	'2'),
(1,	429,	'160',	'160'),
(2,	429,	'160',	'160'),
(3,	429,	'160',	'160'),
(1,	430,	'Белый',	'belyj'),
(2,	430,	'Белый',	'belyj'),
(3,	430,	'Белый',	'belyj'),
(1,	431,	'Керамика',	'keramika'),
(2,	431,	'Керамика',	'keramika'),
(3,	431,	'Керамика',	'keramika'),
(1,	432,	'напольный',	'napolnyj'),
(2,	432,	'напольный',	'napolnyj'),
(3,	432,	'напольный',	'napolnyj'),
(1,	433,	'Распашные',	'raspashnye'),
(2,	433,	'Распашные',	'raspashnye'),
(3,	433,	'Распашные',	'raspashnye'),
(1,	434,	'455x650x650',	'455x650x650'),
(2,	434,	'545x850x440',	'545x850x440'),
(3,	434,	'545x850x440',	'545x850x440'),
(1,	436,	'Красный',	'krasnyj'),
(2,	436,	'Красный',	'krasnyj'),
(3,	436,	'Красный',	'krasnyj'),
(1,	437,	'Супер премиум',	'supersppremium'),
(2,	437,	'Супер премиум',	'supersppremium'),
(3,	437,	'Супер премиум',	'supersppremium'),
(1,	438,	'Эконом',	'ekonom'),
(2,	438,	'Эконом',	'ekonom'),
(3,	438,	'Эконом',	'ekonom');

DROP TABLE IF EXISTS `ok_lang_languages`;
CREATE TABLE `ok_lang_languages` (
  `lang_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_languages` (`lang_id`, `language_id`, `name`) VALUES
(1,	1,	'Русский'),
(1,	2,	'Английский'),
(1,	3,	'Украинский'),
(2,	1,	'Russian'),
(2,	2,	'English'),
(2,	3,	'Ukrainian'),
(3,	1,	'Російська'),
(3,	2,	'Англійська'),
(3,	3,	'Українська');

DROP TABLE IF EXISTS `ok_lang_lessons`;
CREATE TABLE `ok_lang_lessons` (
  `lesson_id` int(11) NOT NULL,
  `lang_id` int(11) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `button` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`lesson_id`,`lang_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `ok_lang_lessons` (`lesson_id`, `lang_id`, `title`, `description`, `button`) VALUES
(1,	1,	'Добавление категорий',	'Категории используются для построения правильной структуры сайта. Старайтесь не допускать категорий со слишком большим количеством товаров.',	'Каталог'),
(1,	2,	'Adding Categories',	'Categories are used to build the correct site structure. Try to avoid categories with too many products.',	'Catalog'),
(1,	3,	'Додавання категорій',	'Категорії використовуються для побудови правильної структури сайту. Намагайтеся не допускати категорій з дуже великою кількістю товарів.',	'Каталог'),
(2,	1,	'Добавление бренда',	'Бренды используются в фильтре в категориях товаров. Также они важны для покупателей, которые опираются на бренд при выборе товара.',	'Каталог'),
(2,	2,	'Adding Brand',	'Brands are used in the filter in product categories. They are also important for buyers who rely on the brand when choosing a product.',	'Catalog'),
(2,	3,	'Додавання бренду',	'Бренди використовуються в фільтрі в категоріях товарів. Також вони важливі для покупців, які спираються на бренд при виборі товару.',	'Каталог'),
(3,	1,	'Добавление свойства',	'Этот раздел настроек позволяет управлять свойствами для ваших товаров.Здесь хранятся все свойства, которые вы завели при создании товаров или импортировали вместе со списком товаров.',	'Каталог'),
(3,	2,	'Adding feature',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Catalog'),
(3,	3,	'Додавання властивості',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Каталог'),
(4,	1,	'Добавление товара',	'Чем качественнее будет заполнена информация о товаре, тем больше шансов что клиент остановит свой поиск именно у вас. Обязательно укажите в товаре его фото и основные характеристики.',	'Каталог'),
(4,	2,	'Adding Product',	'The better the product information is filled out, the more likely it is that the client will stop your search exactly with you. Be sure to include in the product its photo and main characteristics.',	'Catalog'),
(4,	3,	'Додавання товару',	'Чим якісніше буде заповнена інформація про товар, тим більше шансів що клієнт зупинить свій пошук саме у вас. Обов\'язково вкажіть в товарі його фото і основні характеристики.',	'Каталог'),
(5,	1,	'Управление заказами',	'Вся основная информация о заказе, его статусе, настройки и  подробности ',	'Заказы'),
(5,	2,	'Order management',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Orders'),
(5,	3,	'Управління замовленнями',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Замовлення'),
(6,	1,	'Добавление статьи в блог',	'Пишите уникальные статьи о новинках или создавайте обзоры вашего товара.',	'Блог'),
(6,	2,	'Adding article to blog',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Blog'),
(6,	3,	'Додавання статті в блог',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Блог'),
(7,	1,	'Настройка отправки уведомлений',	'Настройте отправку уведомлений с сайта, укажите эмейл администратора и прочие настройки писем на этой странице.',	'Настройки сайта'),
(7,	2,	'Notify Settings',	'Configure sending notifications from the site, specify the administrator\'s email address and other settings for letters on this page.',	'Site settings'),
(7,	3,	'Налаштування відправки повідомлень',	'Налаштуйте відправку повідомлень з сайту, вкажіть емейл адміністратора та інші настройки листів на цій сторінці.',	'Налаштування сайту'),
(8,	1,	'Настройка каталога',	'Задайте водяной знак, настройте работу с товарами не в наличии и сделайте прочие настройки каталога на этой странице.',	'Настройки сайта'),
(8,	2,	'Catalog Settings',	'Set a watermark, configure work with out-of-stock goods and make other catalog settings on this page.',	'Site settings'),
(8,	3,	'Налаштування каталога',	'Задайте водяний знак, налаштуйте роботу з товарами не в наявності і зробіть інші настройки каталогу на цій сторінці.',	'Налаштування сайту'),
(9,	1,	'Настройка валюты',	'Укажите валюту вашей страны основной на сайте. Если же вы используете несколько валют для формирования цен товаров, укажите соответствующие курсы валют в админ. панели.',	'Настройки сайта'),
(9,	2,	'Currency Settings',	'Indicate the currency of your country of primary on the site. If you use several currencies for pricing of goods, specify the appropriate exchange rates in the admin. panels.',	'Site settings'),
(9,	3,	'Налаштування валюти',	'Вкажіть валюту вашої країни основний на сайті. Якщо ж ви використовуєте кілька валют для формування цін товарів, вкажіть відповідні курси валют в адмін. панелі.',	'Налаштування сайту'),
(10,	1,	'Добавление способа доставки',	'Выбор способов доставки важен для клиентов при оформлении заказа. Некоторые клиенты отказываются от оформления заказа не увидев подходящий вариант доставки. Постарайтесь добавить самые популярные способы доставки на ваш сайт.',	'Настройки сайта'),
(10,	2,	'Adding Delivery Method',	'The choice of delivery methods is important for customers when placing an order. Some customers refuse to place an order without seeing the appropriate delivery option. Try to add the most popular delivery methods to your site.',	'Site settings'),
(10,	3,	'Додавання способу доставки',	'Вибір способів доставки важливий для клієнтів при оформленні замовлення. Деякі клієнти відмовляються від оформлення замовлення не побачивши підходящий варіант доставки. Постарайтеся додати найпопулярніші способи доставки на ваш сайт.',	'Налаштування сайту'),
(11,	1,	'Добавление способа оплаты',	'Всё больше клиентов готовы оплатить заказ сразу после оформление. Предоставьте им такую возможность подключив интеграцию с платежной системой на ваш сайт.',	'Настройки сайта'),
(11,	2,	'Adding Payment Method',	'More and more customers are ready to pay for the order immediately after registration. Give them such an opportunity by connecting integration with the payment system to your website.',	'Site settings'),
(11,	3,	'Додавання способу оплати',	'Все більше клієнтів готові оплатити замовлення відразу після оформлення. Необхідно надати їм таку можливість підключивши інтеграцію з платіжною системою на ваш сайт.',	'Налаштування сайту'),
(12,	1,	'SEO товаров',	'Гибкая настрока seo товаров позволит и быстро настроить ваши товары',	'SEO'),
(12,	2,	'SEO products',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'SEO'),
(12,	3,	'SEO товарів',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'SEO');

DROP TABLE IF EXISTS `ok_lang_menu_items`;
CREATE TABLE `ok_lang_menu_items` (
  `lang_id` int(11) NOT NULL,
  `menu_item_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`lang_id`,`menu_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_menu_items` (`lang_id`, `menu_item_id`, `name`) VALUES
(1,	2,	'Доставка'),
(1,	3,	'Новости'),
(1,	4,	'Главная'),
(1,	8,	'Блог'),
(1,	9,	'Статьи'),
(1,	11,	'Контакты'),
(1,	12,	'Бренды'),
(1,	13,	'Статьи'),
(1,	14,	'Новости'),
(1,	15,	'Главная'),
(1,	16,	'Контакты'),
(1,	17,	'Оплата'),
(1,	18,	'Доставка'),
(1,	19,	'Частые вопросы'),
(1,	20,	'Статьи'),
(1,	22,	'Оплата'),
(1,	23,	'Бренды'),
(1,	24,	'Контакты'),
(1,	25,	'Акции'),
(1,	26,	'Блог'),
(1,	27,	'Бренды'),
(1,	28,	'Клиентам'),
(1,	29,	'Контакты'),
(1,	30,	'Новости'),
(1,	31,	'Статьи'),
(1,	32,	'Доставка'),
(1,	33,	'Оплата'),
(1,	34,	'Акции'),
(1,	35,	'Политика конфиденцальности'),
(2,	2,	'Delivery'),
(2,	3,	'News'),
(2,	4,	'Home'),
(2,	8,	'Blog'),
(2,	9,	'Article'),
(2,	11,	'Contacts'),
(2,	12,	'Brands'),
(2,	13,	'Articles'),
(2,	14,	'News'),
(2,	15,	'Home'),
(2,	16,	'Contacts'),
(2,	17,	'Payment'),
(2,	18,	'Delivery'),
(2,	19,	'FAQ'),
(2,	20,	'Articles'),
(2,	22,	'Payment'),
(2,	23,	'Brands'),
(2,	24,	'Contact'),
(2,	25,	'Акции'),
(2,	26,	'Блог'),
(2,	27,	'Бренды'),
(2,	28,	'Клиентам'),
(2,	29,	'Контакты'),
(2,	30,	'Новости'),
(2,	31,	'Статьи'),
(2,	32,	'Доставка'),
(2,	33,	'Оплата'),
(2,	34,	'Акции'),
(2,	35,	'Privacy policy'),
(3,	2,	'Доставка'),
(3,	3,	'Новини'),
(3,	4,	'Головна'),
(3,	8,	'Блог'),
(3,	9,	'Статті'),
(3,	11,	'Контакти'),
(3,	12,	'Бренди'),
(3,	13,	'Статті'),
(3,	14,	'Новини'),
(3,	15,	'Головна'),
(3,	16,	'Контакти'),
(3,	17,	'Оплата'),
(3,	18,	'Доставка'),
(3,	19,	'Часті питання'),
(3,	20,	'Статті'),
(3,	22,	'Оплата'),
(3,	23,	'Бренди'),
(3,	24,	'Контакти'),
(3,	25,	'Акции'),
(3,	26,	'Блог'),
(3,	27,	'Бренды'),
(3,	28,	'Клиентам'),
(3,	29,	'Контакты'),
(3,	30,	'Новости'),
(3,	31,	'Статьи'),
(3,	32,	'Доставка'),
(3,	33,	'Оплата'),
(3,	34,	'Акции'),
(3,	35,	'Політика конфіденцальності');

DROP TABLE IF EXISTS `ok_lang_okaycms__banners_images`;
CREATE TABLE `ok_lang_okaycms__banners_images` (
  `lang_id` int(11) DEFAULT NULL,
  `banner_image_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alt` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id_banner_image_id` (`lang_id`,`banner_image_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_okaycms__banners_images` (`lang_id`, `banner_image_id`, `name`, `alt`, `title`, `url`, `description`) VALUES
(1,	1,	'variant1',	'Коллекция техники LG',	'Коллекция техники LG',	'catalog/tehnika-dlya-doma',	''),
(2,	1,	'variant1',	'LG Technology Collection',	'LG Technology Collection',	'catalog/tehnika-dlya-doma',	''),
(3,	1,	'variant1',	'Колекція техніки LG',	'Колекція техніки LG',	'catalog/tehnika-dlya-doma',	''),
(1,	2,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Легкость, стиль и простота в каждом образе'),
(2,	2,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Lightness, style and simplicity in every look'),
(3,	2,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Легкість, стиль і простота в кожному образі'),
(1,	3,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon™ 855<br>\r\n6.39 \" AMOLED -екран<br>\r\n48 Мп потрійна основна камера з AI<br>\r\n20 Мп висувна селфі-камера'),
(2,	3,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon ™ 855 <br>\r\n6.39 \"AMOLED Screen <br>\r\n48 megapixel main camera with AI <br>\r\n20 megapixel visuvna selfie camera'),
(3,	3,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon ™ 855 <br>\r\n6.39 \"AMOLED -екран <br>\r\n48 Мп потрійна основна камера з AI <br>\r\n20 Мп висувна селфі-камера'),
(1,	4,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'При покупке игровой консоли PlayStation 4 PRO 1ТБ получите в подарок FIFA 20'),
(2,	4,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'When you purchase a PlayStation 4 PRO 1TB game console, you will receive FIFA 20 as a gift'),
(3,	4,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'При покупці ігрової консолі PlayStation 4 PRO 1ТБ отримаєте в подарунок FIFA 20');

DROP TABLE IF EXISTS `ok_lang_okaycms__faq__faq`;
CREATE TABLE `ok_lang_okaycms__faq__faq` (
  `faq_id` int(11) DEFAULT NULL,
  `lang_id` int(11) DEFAULT NULL,
  `question` text NOT NULL,
  `answer` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `ok_lang_okaycms__faq__faq` (`faq_id`, `lang_id`, `question`, `answer`) VALUES
(1,	1,	'ЧТО ДЕЛАТЬ, ЕСЛИ ТОВАР НЕ ПОДОШЕЛ ПО ФОРМЕ, ЦВЕТУ ИЛИ РАЗМЕРУ И ДРУГИЕ ПРИЧИНЫ?',	'<p>В течение 14 дней от даты приобретения товара (не считая дату покупки) - Вы можете товар, который не использовался, сохранен товарный вид и потребительские свойства, и отсутствует в перечне товаров, не подлежащих обмену или возврату: Обменять на аналогичный без пересчета стоимости Обменять на любой другой с соответствующим перерасчетом стоимости Вернуть и получить уплаченные за него денежные средства Как оценить сохранность товарного вида: При хорошем освещении, без применения специальных средств, на товаре не должно быть видимых следов пользования в виде мелких царапин, потертостей, а тем более сколов, вмятин или трещин. Проще всего оценить сохранен ли товарный вид, ответив себе на вопрос: &laquo;Купил бы я этот товар в таком виде, как новый?\"</p>'),
(1,	2,	'WHAT TO DO IF THE PRODUCT DOES NOT FIT BY FORM, COLOR OR SIZE AND OTHER REASONS?',	'<p><span class=\"tlid-translation translation\" lang=\"en\">Within 14 days from the date of purchase of the goods (not including the date of purchase) - you can goods that have not been used, the presentation and consumer properties are preserved, and are not in the list of goods not subject to exchange or return: Exchange for a similar item without recounting the value Exchange for any other with appropriate recalculation of value Return and receive the money paid for it How to assess the safety of presentation: In good lighting, without the use of special means, the product should not have visible traces of lzovaniya as fine scratches, abrasions, and even more chips, nicks or cracks. The easiest way is to evaluate whether the presentation is preserved by answering the question: &ldquo;Would I buy this product in the same condition as a new one?&rdquo;</span></p>'),
(1,	3,	'ЩО РОБИТИ, якщо товар не підійшов ЗА ФОРМОЮ, КОЛЬОРУ АБО РОЗМІРОМ І ІНШІ ПРИЧИНИ?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\">Протягом 14 днів від дати придбання товару (не рахуючи дати придбання) - Ви можете товар, який не використовувався, збережено товарний вигляд і споживчі властивості, і відсутня в переліку товарів, що не підлягають обміну або поверненню: Обміняти на аналогічний без перерахунку вартості Обміняти на будь-який інший з відповідним перерахуванням вартості Повернути і отримати сплачені за нього кошти Як оцінити збереження товарного вигляду: При хорошому освітленні, без застосування спеціальних засобів, на товарі не повинно бути видимих ​​слідів п льзованія у вигляді дрібних подряпин, потертостей, а тим більше відколів, вм\'ятин або тріщин. Найпростіше оцінити збережений чи товарний вигляд, відповівши собі на питання: &laquo;Купив би я цей товар в такому вигляді, як новий?\"</span></p>'),
(2,	1,	'КАКОЙ ГАРАНТИЙНЫЙ СРОК У МОЕГО ТОВАРА?',	'<p>Гарантийный срок товара исчисляется со дня его продажи. Он обычно указан в эксплуатационном документе на товар (гарантийном талоне, техническом паспорте, этикетке или в другом документе, прилагаемом к товару). &nbsp;На сайте производителя Вашего товара</p>'),
(2,	2,	'WHAT IS THE WARRANTY DURATION OF MY PRODUCT?',	'<p><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">The warranty period of the goods is calculated from the date of its sale.</span> <span title=\"\">It is usually indicated in the product&rsquo;s operating document (warranty card, data sheet, label, or other document attached to the product).</span> <span title=\"\">On the website of the manufacturer of your product</span></span></p>'),
(2,	3,	'ЯКА ГАРАНТІЯ У МОГО ТОВАРУ?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\"><span class=\"\" title=\"\">Гарантійний</span> <span title=\"\">термін</span> <span title=\"\">товару</span> <span title=\"\">обчислюється з</span> <span title=\"\">дня</span> <span title=\"\">його</span> <span title=\"\">продажу</span><span title=\"\">.</span> <span title=\"\">Він</span> <span title=\"\">зазвичай вказаний</span> <span title=\"\">в</span> <span title=\"\">експлуатаційному</span> <span title=\"\">документі</span> <span title=\"\">на</span> <span title=\"\">товар</span> <span title=\"\">(</span><span title=\"\">гарантійному</span> <span title=\"\">талоні</span><span title=\"\">,</span> <span title=\"\">технічному</span> <span title=\"\">паспорті</span><span title=\"\">,</span> <span title=\"\">етикетці</span> <span title=\"\">або</span> <span title=\"\">в</span> <span title=\"\">іншому</span> <span title=\"\">документі</span><span title=\"\">,</span> <span title=\"\">що додається до товару</span><span title=\"\">)</span><span title=\"\">.</span> <span title=\"\">На</span> <span title=\"\">сайті</span> <span title=\"\">виробника</span> <span title=\"\">Вашого товару</span></span></p>'),
(3,	1,	'Осуществляете ли Вы доставку до квартиры и подъем на этаж?',	'<p>Пожалуйста, обратите внимание, что адресная доставка осуществляется до входа в здание.<br />Товары из раздела &laquo;Бытовая техника и интерьер&raquo;, крупногабаритные товары из разделов \"Фитнес\", и \"Детский мир\" (тренажеры, детские кроватки, детская мебель, матрасы и т. д.)доставляются до квартиры.<br />Стоимость ручного заноса в квартиру зависит от: габаритов техники, сложности подъема и наличия лифта (куда товар помещается в упаковке).</p>'),
(3,	2,	'Do you deliver to the apartment and rise to the floor?',	'<p><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">Please note that targeted delivery takes place before entering the building.</span><br /><span title=\"\">The goods from the &ldquo;Home Appliances and Interior&rdquo; section, bulky goods from the &ldquo;Fitness&rdquo; and &ldquo;Detsky Mir&rdquo; sections (exercise machines, cribs, children\'s furniture, mattresses, etc.) are delivered to the apartment.</span><br /><span title=\"\">The cost of manually entering the apartment depends on: the dimensions of the equipment, the difficulty of lifting and the availability of an elevator (where the goods are placed in the package).</span></span></p>'),
(3,	3,	'Чи здійснюєте Ви доставку до квартири і підйом на поверх?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\"><span class=\"\" title=\"\">Будь ласка</span><span title=\"\">,</span> <span title=\"\">зверніть</span> <span title=\"\">увагу</span><span title=\"\">,</span> <span title=\"\">що</span> <span title=\"\">адресна</span> <span title=\"\">доставка</span> <span title=\"\">здійснюється</span> <span class=\"\" title=\"\">до</span> <span class=\"\" title=\"\">входу</span> <span title=\"\">в</span> <span title=\"\">будівлю</span><span title=\"\">.</span><br /><span title=\"\">Товари</span> <span title=\"\">з</span> <span class=\"\" title=\"\">розділу</span> <span class=\"\" title=\"\">&laquo;</span><span title=\"\">Побутова</span> <span title=\"\">техніка</span> <span title=\"\">і</span> <span title=\"\">інтер\'єр</span><span title=\"\">&raquo;</span><span title=\"\">,</span> <span title=\"\">великогабаритні</span> <span title=\"\">товари</span> <span title=\"\">з</span> <span title=\"\">розділів</span> <span class=\"\" title=\"\">\"</span><span title=\"\">Фітнес</span><span title=\"\">\"</span><span title=\"\">,</span> <span title=\"\">і</span> <span title=\"\">\"</span><span title=\"\">Дитячий</span> <span title=\"\">світ</span><span title=\"\">\"</span> <span title=\"\">(</span><span title=\"\">тренажери</span><span title=\"\">,</span> <span title=\"\">дитячі</span> <span title=\"\">ліжечка</span><span title=\"\">,</span> <span title=\"\">дитячі меблі</span><span title=\"\">,</span> <span title=\"\">матраци</span> <span title=\"\">і</span> <span title=\"\">т</span><span title=\"\">.</span> <span title=\"\">Д</span><span title=\"\">.</span><span title=\"\">)</span> <span title=\"\">Доставляються</span> <span title=\"\">до</span> <span title=\"\">квартири</span><span title=\"\">.</span><br /><span title=\"\">Вартість</span> <span title=\"\">ручного</span> <span title=\"\">занесення</span> <span title=\"\">в</span> <span title=\"\">квартиру</span> <span title=\"\">залежить</span> <span title=\"\">від</span><span title=\"\">:</span> <span title=\"\">габаритів</span> <span title=\"\">техніки</span><span title=\"\">,</span> <span title=\"\">складності</span> <span title=\"\">підйому</span> <span title=\"\">і</span> <span title=\"\">наявності</span> <span title=\"\">ліфта</span> <span title=\"\">(</span><span title=\"\">куди</span> <span title=\"\">товар</span> <span title=\"\">поміщається</span> <span title=\"\">в</span> <span title=\"\">упаковці</span><span title=\"\">)</span><span title=\"\">.</span></span></p>'),
(4,	1,	'Возможно ли купить товар в рассрочку?',	'<p>К сожалению, в данный момент возможности приобретать товары в рассрочку нет.<br />Вы можете оформить заказ на интересующий Вас товар, доступный у нас на сайте, в кредит<br />Также, если Вы являетесь клиентом ПриватБанка, мы можем предложить Вам рассмотреть вариант оформления заказа с помощью услуг &laquo;Мгновенная рассрочка&raquo; и &laquo;Оплата частями&raquo;</p>'),
(4,	2,	'Is it possible to buy goods by installments?',	'<p><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">Unfortunately, at the moment there is no possibility to purchase goods by installments.</span><br /><span title=\"\">You can place an order for goods of interest to you, available on our website, on credit</span><br /><span title=\"\">Also, if you are a client of PrivatBank, we can offer you to consider the option of placing an order using the services &ldquo;Instant installments&rdquo; and &ldquo;Payment by installments&rdquo;</span></span></p>'),
(4,	3,	'Чи можливо купити товар в розстрочку?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\"><span class=\"\" title=\"\">На жаль</span><span title=\"\">,</span> <span title=\"\">в</span> <span title=\"\">даний</span> <span title=\"\">момент</span> <span title=\"\">можливості</span> <span title=\"\">купувати товари</span> <span title=\"\">в</span> <span class=\"\" title=\"\">розстрочку</span> <span title=\"\">немає</span><span title=\"\">.</span><br /><span title=\"\">Ви</span> <span title=\"\">можете</span> <span title=\"\">оформити</span> <span title=\"\">замовлення</span> <span title=\"\">на</span> <span title=\"\">товар, який Вас</span><span title=\"\">,</span> <span title=\"\">доступний</span> <span title=\"\">у</span> <span title=\"\">нас</span> <span title=\"\">на</span> <span title=\"\">сайті</span><span title=\"\">,</span> <span title=\"\">в</span> <span title=\"\">кредит</span><br /><span title=\"\">Також</span><span title=\"\">,</span> <span title=\"\">якщо</span> <span title=\"\">Ви є</span> <span title=\"\">клієнтом</span> <span title=\"\">ПриватБанку</span><span title=\"\">,</span> <span title=\"\">ми</span> <span title=\"\">можемо</span> <span title=\"\">запропонувати</span> <span title=\"\">Вам</span> <span title=\"\">розглянути</span> <span title=\"\">варіант</span> <span title=\"\">оформлення</span> <span title=\"\">замовлення</span> <span title=\"\">за допомогою</span> <span title=\"\">послуг</span> <span title=\"\">&laquo;</span><span title=\"\">Миттєва</span> <span title=\"\">розстрочка</span><span title=\"\">&raquo;</span> <span title=\"\">і</span> <span title=\"\">&laquo;</span><span title=\"\">Оплата</span> <span title=\"\">частинами</span><span title=\"\">&raquo;</span></span></p>');

DROP TABLE IF EXISTS `ok_lang_okaycms__np_cities`;
CREATE TABLE `ok_lang_okaycms__np_cities` (
  `lang_id` int(11) DEFAULT NULL,
  `city_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  UNIQUE KEY `lang_id_city_id` (`lang_id`,`city_id`),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_okaycms__np_cities` (`lang_id`, `city_id`, `name`) VALUES
(3,	1,	'Абазівка (Полтавський р-н, Полтавська обл)'),
(1,	1,	'Абазовка (Полтавский р-н, Полтавская обл)'),
(3,	2,	'Авангард'),
(1,	2,	'Авангард'),
(3,	3,	'Августинівка'),
(1,	3,	'Августиновка'),
(3,	4,	'Августівка'),
(1,	4,	'Августовка'),
(3,	5,	'Авдіївка (Донецька обл.)'),
(1,	5,	'Авдеевка (Донецкая обл.)'),
(3,	6,	'Авдіївка (Сосницький р-н., Чернігівська обл.)'),
(1,	6,	'Авдеевка (Сосницкий р-н., Черниговская обл.)'),
(3,	7,	'Авіамістечко '),
(1,	7,	'Авиагородок'),
(3,	8,	'Авіаторське'),
(1,	8,	'Авиаторское'),
(3,	9,	'Агаймани'),
(1,	9,	'Агайманы'),
(3,	10,	'Агрономічне'),
(1,	10,	'Агрономичное'),
(3,	11,	'Агрономія'),
(1,	11,	'Агрономия'),
(3,	12,	'Адампіль'),
(1,	12,	'Адамполь'),
(3,	13,	'Аджамка'),
(1,	13,	'Аджамка'),
(3,	14,	'Азовське'),
(1,	14,	'Азовское'),
(3,	15,	'Азовське (Запорізька обл.)'),
(1,	15,	'Азовское (Запорожская обл.)'),
(3,	16,	'Алтинівка'),
(1,	16,	'Алтыновка'),
(3,	17,	'Ананьїв'),
(1,	17,	'Ананьев'),
(3,	18,	'Ананьїв (Перший) (Одеська обл., Ананьївський р-н)'),
(1,	18,	'Ананьев (Первый) (Одесская обл., Ананьевский р-н)'),
(3,	19,	'Ангелінівка'),
(1,	19,	'Ангелиновка'),
(3,	20,	'Андрієвичі'),
(1,	20,	'Андреевичи'),
(3,	21,	'Андріївка (Балаклійський р-н)'),
(1,	21,	'Андреевка (Балаклейский р-н)'),
(3,	22,	'Андріївка (Бердянський р-н)'),
(1,	22,	'Андреевка (Бердянский р-н)'),
(3,	23,	'Андріївка (Великоновосілківський р-н)'),
(1,	23,	'Андреевка (Великоновоселковский р-н)'),
(3,	24,	'Андріївка (Волноваський р-н., Донецька обл.)'),
(1,	24,	'Андреевка (Волноваский р-н., Донецкая обл.)'),
(3,	25,	'Андріївка (Дніпропетровська обл.)'),
(1,	25,	'Андреевка (Днепропетровская обл.)'),
(3,	26,	'Андріївка (Донецька обл. Слов\'янський р-н)'),
(1,	26,	'Андреевка (Донецкая обл. Славянский р-н)'),
(3,	27,	'Андріївка (Київська обл.)'),
(1,	27,	'Андреевка (Киевская обл.)'),
(3,	28,	'Андріївка (селище міського типу)'),
(1,	28,	'Андреевка (поселок городского типа)'),
(3,	29,	'Андрушівка'),
(1,	29,	'Андрушевка'),
(3,	30,	'Антонівка (Володимирецький р-н, Рівненська обл.)'),
(1,	30,	'Антоновка (Владимирецкого р-н, Ровненской обл.)'),
(3,	31,	'Антонівка (Запорізька обл.)'),
(1,	31,	'Антоновка (Запорожская обл.)'),
(3,	32,	'Антонівка (Київська обл.)'),
(1,	32,	'Антоновка (Киевская обл.)'),
(3,	33,	'Антонівці'),
(1,	33,	'Антоновцы'),
(3,	34,	'Антоніни'),
(1,	34,	'Антонины'),
(3,	35,	'Антопіль'),
(1,	35,	'Антополь'),
(3,	36,	'Анциполівка'),
(1,	36,	'Анциполовка'),
(3,	37,	'Аполлонівка'),
(1,	37,	'Аполлоновка'),
(3,	38,	'Апостолове'),
(1,	38,	'Апостолово'),
(3,	39,	'Араповичі'),
(1,	39,	'Араповичи'),
(3,	40,	'Арбузинка'),
(1,	40,	'Арбузинка'),
(3,	41,	'Аркадіївка'),
(1,	41,	'Аркадиевка '),
(3,	42,	'Артема'),
(1,	42,	'Артема'),
(3,	43,	'Архангельська Слобода'),
(1,	43,	'Архангельская Слобода'),
(3,	44,	'Архангельське'),
(1,	44,	'Архангельское'),
(3,	45,	'Архипівка'),
(1,	45,	'Архиповка '),
(3,	46,	'Арциз'),
(1,	46,	'Арциз'),
(3,	47,	'Асіївка'),
(1,	47,	'Асеевка'),
(3,	48,	'Асканія-Нова'),
(1,	48,	'Аскания-Нова'),
(3,	49,	'Астраханка'),
(1,	49,	'Астраханка'),
(3,	50,	'Атманай'),
(1,	50,	'Атманай'),
(3,	51,	'Атюша'),
(1,	51,	'Атюша'),
(3,	52,	'Африканівка'),
(1,	52,	'Африкановка'),
(3,	53,	'Бабаї'),
(1,	53,	'Бабаи'),
(3,	54,	'Бабайківка'),
(1,	54,	'Бабайковка'),
(3,	55,	'Бабанка'),
(1,	55,	'Бабанка'),
(3,	56,	'Бабах-Тарама'),
(1,	56,	'Бабах-Тарама'),
(3,	57,	'Бабин (Кельменецький р-н)'),
(1,	57,	'Бабин (Кельменецький р-н)'),
(3,	58,	'Бабин (Рівненська обл.)'),
(1,	58,	'Бабин (Ровенская обл.)'),
(3,	59,	'Бабина'),
(1,	59,	'Бабина'),
(3,	60,	'Бабинці'),
(1,	60,	'Бабинцы'),
(3,	61,	'Бабичі'),
(1,	61,	'Бабичи'),
(3,	62,	'Бабурка'),
(1,	62,	'Бабурка'),
(3,	63,	'Бабухів'),
(1,	63,	'Бабухов'),
(3,	64,	'Бабчинці'),
(1,	64,	'Бабчинцы'),
(3,	65,	'Багате'),
(1,	65,	'Багатое'),
(3,	66,	'Багате (Одеська обл.)'),
(1,	66,	'Богатое (Одесская обл.)'),
(3,	67,	'Багатир'),
(1,	67,	'Богатир'),
(3,	68,	'Багрин'),
(1,	68,	'Багрин'),
(3,	69,	'Багринівка'),
(1,	69,	'Багриновка'),
(3,	70,	'Багринівці'),
(1,	70,	'Багриновцы'),
(3,	71,	'Бадалово'),
(1,	71,	'Бадалово'),
(3,	72,	'Базалія'),
(1,	72,	'Базалия'),
(3,	73,	'Базилівщина'),
(1,	73,	'Базилевщина'),
(3,	74,	'Байбузи'),
(1,	74,	'Байбузы'),
(3,	75,	'Байбузівка'),
(1,	75,	'Байбузовка'),
(3,	76,	'Байтали'),
(1,	76,	'Байталы'),
(3,	77,	'Бакумівка'),
(1,	77,	'Бакумовка'),
(3,	78,	'Балабанівка'),
(1,	78,	'Балановка'),
(3,	79,	'Балабине'),
(1,	79,	'Балабино'),
(3,	80,	'Балаклея (Черкаська обл.)'),
(1,	80,	'Балаклея (Черкасская обл.)'),
(3,	81,	'Балаклія (Харківська обл.)'),
(1,	81,	'Балаклея (Харьковская обл.)'),
(3,	82,	'Баламутівка'),
(1,	82,	'Баламутовка'),
(3,	83,	'Баланівка'),
(1,	83,	'Баланівка'),
(3,	84,	'Балахівка'),
(1,	84,	'Балаховка'),
(3,	85,	'Балаховичі'),
(1,	85,	'Балаховичи'),
(3,	86,	'Балашівка'),
(1,	86,	'Балашовка'),
(3,	87,	'Балин'),
(1,	87,	'Балин'),
(3,	88,	'Балинці'),
(1,	88,	'Балинцы'),
(3,	89,	'Баличі'),
(1,	89,	'Баличи'),
(3,	90,	'Балівка'),
(1,	90,	'Баловка'),
(3,	91,	'Балки (Вінницька обл.)'),
(1,	91,	'Балки (Винницкая обл.)'),
(3,	92,	'Балки (Запорізька обл.)'),
(1,	92,	'Балки (Запорожская обл.)'),
(3,	93,	'Балківці'),
(1,	93,	'Балковцы'),
(3,	94,	'Балта'),
(1,	94,	'Балта'),
(3,	95,	'Балтазарівка'),
(1,	95,	'Балтазаровка'),
(3,	96,	'Балясне'),
(1,	96,	'Балясное'),
(3,	97,	'Бандурівка'),
(1,	97,	'Бандуровка '),
(3,	98,	'Бандурка'),
(1,	98,	'Бандурка'),
(3,	99,	'Бандурове'),
(1,	99,	'Бандурове'),
(3,	100,	'Банилів'),
(1,	100,	'Банилов'),
(3,	101,	'Банилів-Підгірний'),
(1,	101,	'Банилов-Подгорны'),
(3,	102,	'Баничі'),
(1,	102,	'Банычи'),
(3,	103,	'Банівка'),
(1,	103,	'Бановка'),
(3,	104,	'Баннівка'),
(1,	104,	'Банновка'),
(3,	105,	'Банчени'),
(1,	105,	'Банчены'),
(3,	106,	'Баня Лисовицька'),
(1,	106,	'Баня-Лысовицкая'),
(3,	107,	'Бар'),
(1,	107,	'Бар'),
(3,	108,	'Барабой'),
(1,	108,	'Барабой'),
(3,	109,	'Бараниківка'),
(1,	109,	'Бараниковка'),
(3,	110,	'Баранинці (Закарпатська обл.)'),
(1,	110,	'Баранинцы (Закарпатская обл.)'),
(3,	111,	'Баранівка'),
(1,	111,	'Барановка'),
(3,	112,	'Баратівка'),
(1,	112,	'Баратовка'),
(3,	113,	'Бараші'),
(1,	113,	'Бараши'),
(3,	114,	'Барбово'),
(1,	114,	'Барбово'),
(3,	115,	'Барвінівка'),
(1,	115,	'Барвиновка'),
(3,	116,	'Барвінкове'),
(1,	116,	'Барвенково'),
(3,	117,	'Барвінок'),
(1,	117,	'Барвинок'),
(3,	118,	'Баришівка'),
(1,	118,	'Барышевка'),
(3,	119,	'Баркасово'),
(1,	119,	'Баркасово'),
(3,	120,	'Бартатів'),
(1,	120,	'Бартатов'),
(3,	121,	'Басань'),
(1,	121,	'Басань'),
(3,	122,	'Басівка'),
(1,	122,	'Басовка'),
(3,	123,	'Батурин'),
(1,	123,	'Батурин'),
(3,	124,	'Батьків (Рівненська обл.)'),
(1,	124,	'Батьков (Ровенская обл.)'),
(3,	125,	'Батьово'),
(1,	125,	'Батево'),
(3,	126,	'Бахів'),
(1,	126,	'Бахив'),
(3,	127,	'Бахмач'),
(1,	127,	'Бахмач'),
(3,	128,	'Бахмач (село, Бахмацький р-н)'),
(1,	128,	'Бахмач (село, Бахмацкий р-н)'),
(3,	129,	'Бахмут'),
(1,	129,	'Бахмут'),
(3,	130,	'Бахмутське'),
(1,	130,	'Бахмутское'),
(3,	131,	'Башарівка'),
(1,	131,	'Башаровка'),
(3,	132,	'Башлики'),
(1,	132,	'Башлыки'),
(3,	133,	'Башмачка'),
(1,	133,	'Башмачка'),
(3,	134,	'Баштанівка'),
(1,	134,	'Баштановка'),
(3,	135,	'Баштанка'),
(1,	135,	'Баштанка'),
(3,	136,	'Баштанків'),
(1,	136,	'Баштанков'),
(3,	137,	'Бездрик'),
(1,	137,	'Бездрик'),
(3,	138,	'Безлюдівка'),
(1,	138,	'Безлюдовка'),
(3,	139,	'Белеїв'),
(1,	139,	'Белеев'),
(3,	140,	'Белелуя'),
(1,	140,	'Белелуя'),
(3,	141,	'Белз'),
(1,	141,	'Белз'),
(3,	142,	'Бендзари'),
(1,	142,	'Бендзари'),
(3,	143,	'Бене'),
(1,	143,	'Бэнэ'),
(3,	144,	'Бердичів'),
(1,	144,	'Бердичев'),
(3,	145,	'Бердянка'),
(1,	145,	'Бердянка'),
(3,	146,	'Бердянськ'),
(1,	146,	'Бердянск'),
(3,	147,	'Берегове'),
(1,	147,	'Берегово'),
(3,	148,	'Берегомет'),
(1,	148,	'Берегомет'),
(3,	149,	'Берегомет (Кіцманський р-н)'),
(1,	149,	'Берегомет (Кицманский р-н)'),
(3,	150,	'Бережани (Вінницька обл.)'),
(1,	150,	'Бережаны (Винницкая обл.)'),
(3,	151,	'Бережани (Тернопільська обл.)'),
(1,	151,	'Бережаны (Тернопольская обл.)'),
(3,	152,	'Бережанка'),
(1,	152,	'Бережанка'),
(3,	153,	'Бережки'),
(1,	153,	'Бережки'),
(3,	154,	'Бережниця'),
(1,	154,	'Бережница'),
(3,	155,	'Береза'),
(1,	155,	'Береза'),
(3,	156,	'Березанка(Миколаївська обл.)'),
(1,	156,	'Березанка(Николаевская обл.)'),
(3,	157,	'Березань'),
(1,	157,	'Березань'),
(3,	158,	'Березань (Одеська обл.)'),
(1,	158,	'Березань (Одесская обл.)'),
(3,	159,	'Берездів'),
(1,	159,	'Берездов'),
(3,	160,	'Березина (Житомирська обл.)'),
(1,	160,	'Березина (Житомирская обл.)'),
(3,	161,	'Березине'),
(1,	161,	'Березино'),
(3,	162,	'Березинка'),
(1,	162,	'Березинка'),
(3,	163,	'Березівка'),
(1,	163,	'Березовка'),
(3,	164,	'Березівка (Вінницька обл.) '),
(1,	164,	'Березовка (Винницкая обл.)'),
(3,	165,	'Березівка (Івано-Франківська обл.)'),
(1,	165,	'Березовка (Ивано-Франковская обл.)'),
(3,	166,	'Березівка (Кіровоградська обл.)'),
(1,	166,	'Березовка (Кировоградская обл.)'),
(3,	167,	'Березівка (Харківська обл.)'),
(1,	167,	'Березовка (Харьковская обл.)'),
(3,	168,	'Березівське'),
(1,	168,	'Березовское'),
(3,	169,	'Березне'),
(1,	169,	'Березно'),
(3,	170,	'Березнегувате'),
(1,	170,	'Березнеговатое'),
(3,	171,	'Березники'),
(1,	171,	'Березники'),
(3,	172,	'Березняки'),
(1,	172,	'Березняки'),
(3,	173,	'Березова Лука'),
(1,	173,	'Березовая Лука'),
(3,	174,	'Березове (Рівненська обл.)'),
(1,	174,	'Березовое (Ровенская обл.)'),
(3,	175,	'Березоточа'),
(1,	175,	'Березоточа'),
(3,	176,	'Березуватка'),
(1,	176,	'Березоватка'),
(3,	177,	'Берека'),
(1,	177,	'Берека'),
(3,	178,	'Берестечко'),
(1,	178,	'Берестечко'),
(3,	179,	'Берестівка'),
(1,	179,	'Берестовка'),
(3,	180,	'Берестове'),
(1,	180,	'Берестовое'),
(3,	181,	'Берестовець'),
(1,	181,	'Берестовец'),
(3,	182,	'Берестя'),
(1,	182,	'Бересте'),
(3,	183,	'Берестяне'),
(1,	183,	'Берестяное'),
(3,	184,	'Берестяни'),
(1,	184,	'Берестяны'),
(3,	185,	'Берестянка'),
(1,	185,	'Берестянка'),
(3,	186,	'Берислав (Херсонська обл.)'),
(1,	186,	'Берислав (Херсонская обл.)'),
(3,	187,	'Берлин'),
(1,	187,	'Берлин'),
(3,	188,	'Берлоги'),
(1,	188,	'Берлоги'),
(3,	189,	'Бернове'),
(1,	189,	'Бернове'),
(3,	190,	'Бершадь'),
(1,	190,	'Бершадь'),
(3,	191,	'Бехтери'),
(1,	191,	'Бехтеры'),
(3,	192,	'Бзів'),
(1,	192,	'Бзов'),
(3,	193,	'Биківка'),
(1,	193,	'Быковка '),
(3,	194,	'Билбасівка'),
(1,	194,	'Былбасовка'),
(3,	195,	'Билка'),
(1,	195,	'Былка'),
(3,	196,	'Бирлівка'),
(1,	196,	'Бырловка'),
(3,	197,	'Бирлівка (Вінницька обл.)'),
(1,	197,	'Бирловка (Винницкая обл.)'),
(3,	198,	'Бирюки'),
(1,	198,	'Бирюки'),
(3,	199,	'Бистриця'),
(1,	199,	'Быстрица'),
(3,	200,	'Бистричі'),
(1,	200,	'Быстричи'),
(3,	201,	'Битків'),
(1,	201,	'Бытков'),
(3,	202,	'Бихів'),
(1,	202,	'Быхов'),
(3,	203,	'Бишів (Київська обл.)'),
(1,	203,	'Бышев'),
(3,	204,	'Бишляк'),
(1,	204,	'Бышляк'),
(3,	205,	'Бібрка'),
(1,	205,	'Бобрка'),
(3,	206,	'Бігунь'),
(1,	206,	'Бегунь'),
(3,	207,	'Біла'),
(1,	207,	'Белая'),
(3,	208,	'Біла (Хмельницька обл.)'),
(1,	208,	'Белая (Хмельницкая обл.)'),
(3,	209,	'Біла (Чортківський р-н.)'),
(1,	209,	'Белая (Чертковский р-н.)'),
(3,	210,	'Біла Криниця (Рівненська обл.)'),
(1,	210,	'Белая Криница (Ровенская обл.)'),
(3,	211,	'Біла Криниця (Херсонська обл.)'),
(1,	211,	'Белая Криница (Херсонская область)'),
(3,	212,	'Біла Церква'),
(1,	212,	'Белая Церковь'),
(3,	213,	'Біла Церква (Закарпатська обл.)'),
(1,	213,	'Белая Церковь (Закарпатская обл.)'),
(3,	214,	'Білашів'),
(1,	214,	'Белашов'),
(3,	215,	'Білашів (Рівненська обл.)'),
(1,	215,	'Белашов (Ровенская обл.)'),
(3,	216,	'Білгород-Дністровський'),
(1,	216,	'Белгород-Днестровский'),
(3,	217,	'Біле'),
(1,	217,	'Белое'),
(3,	218,	'Біленьке (Донецька обл.)'),
(1,	218,	'Беленькое (Донецкая обл.)'),
(3,	219,	'Біленьке (Одеська обл.)'),
(1,	219,	'Беленькое (Одесская обл.)'),
(3,	220,	'Біленьке(Запорізька обл.)'),
(1,	220,	'Беленькое(Запорожская обл.)'),
(3,	221,	'Білий Колодязь'),
(1,	221,	'Белый Колодезь'),
(3,	222,	'Білики'),
(1,	222,	'Белики'),
(3,	223,	'Білине'),
(1,	223,	'Белино'),
(3,	224,	'Білицьке(Донецька обл.)'),
(1,	224,	'Белицкое(Донецкая обл.)'),
(3,	225,	'Білі Ослави'),
(1,	225,	'Белые Ославы'),
(3,	226,	'Білівці'),
(1,	226,	'Беловцы'),
(3,	227,	'Білка'),
(1,	227,	'Белка'),
(3,	228,	'Білки'),
(1,	228,	'Белки'),
(3,	229,	'Білобожниця'),
(1,	229,	'Белобожница'),
(3,	230,	'Біловодськ'),
(1,	230,	'Беловодск'),
(3,	231,	'Білогір\'я'),
(1,	231,	'Белогорье'),
(3,	232,	'Білогородка (Київська обл.)'),
(1,	232,	'Белогородка (Киевская обл.)'),
(3,	233,	'Білогородка (Хмельницька обл.)'),
(1,	233,	'Белогородка (Хмельницкая обл.)'),
(3,	234,	'Білозерка (Херсонська обл.)'),
(1,	234,	'Белозерка (Херсонская обл.)'),
(3,	235,	'Білозерське (Донецька обл.)'),
(1,	235,	'Белозёрское (Донецкая обл.)'),
(3,	236,	'Білозір\'я'),
(1,	236,	'Белозерье'),
(3,	237,	'Білозірка'),
(1,	237,	'Белозёрка'),
(3,	238,	'Білокриниця'),
(1,	238,	'Белокриница'),
(3,	239,	'Білокузьминівка'),
(1,	239,	'Белокузьминовка'),
(3,	240,	'Білокуракине'),
(1,	240,	'Белокуракино'),
(3,	241,	'Білолісся'),
(1,	241,	'Белолесье'),
(3,	242,	'Білолуцьк'),
(1,	242,	'Белолуцк'),
(3,	243,	'Білопілля'),
(1,	243,	'Белополье'),
(3,	244,	'Білосарайська Коса'),
(1,	244,	'Белосарайская Коса'),
(3,	245,	'Білоусівка'),
(1,	245,	'Белоусовка'),
(3,	246,	'Білоусівка (Миколаївська обл.)'),
(1,	246,	'Белоусовка (Николаевская обл.)'),
(3,	247,	'Білоусівка (Черкаська обл.)'),
(1,	247,	'Белоусовка (Черкасская обл.)'),
(3,	248,	'Білоцерківка (Полтавська обл.)'),
(1,	248,	'Белоцерковка (Полтавская обл.)'),
(3,	249,	'Більмак (Запорізька обл.)'),
(1,	249,	'Бильмак (Запорожская обл.)'),
(3,	250,	'Більська Воля'),
(1,	250,	'Бельская Воля'),
(3,	251,	'Більче'),
(1,	251,	'Бильче'),
(3,	252,	'Більчин'),
(1,	252,	'Бельчин'),
(3,	253,	'Більшівці'),
(1,	253,	'Большовцы'),
(3,	254,	'Біляївка'),
(1,	254,	'Беляевка'),
(3,	255,	'Біляївка (Харківська обл.)'),
(1,	255,	'Беляевка (Харьковская обл.)'),
(3,	256,	'Біологічне (Падалки)'),
(1,	256,	'Биологическое (Падалки)'),
(3,	257,	'Бірки (Волинська обл., Любешівський р-н)'),
(1,	257,	'Борки (Волынская обл., Любашевский р-н)'),
(3,	258,	'Бірки (Львівська обл.)'),
(1,	258,	'Борки (Львовская обл.)'),
(3,	259,	'Бірки (Рівненська обл.)'),
(1,	259,	'Борки (Ровенская обл.)'),
(3,	260,	'Бірки (Харківська обл.)'),
(1,	260,	'Борки (Харьковская обл.)'),
(3,	261,	'Бісковичі'),
(1,	261,	'Бисковичи'),
(3,	262,	'Бітля'),
(1,	262,	'Битля'),
(3,	263,	'Благовіщенка (Кам\'янсько-Дніпровський р-н)'),
(1,	263,	'Благовещенка (Камянско-Днепровский р-н)'),
(3,	264,	'Благовіщенське(Кіровоградська обл.)'),
(1,	264,	'Благовещенское(Кировоградская обл.)'),
(3,	265,	'Благодатне'),
(1,	265,	'Благодатное'),
(3,	266,	'Благодатне (Білозерський р-н)'),
(1,	266,	'Благодатное (Белозерский р-н)'),
(3,	267,	'Благодатне (Миколаївська обл.)'),
(1,	267,	'Благодатное (Николаевская обл.)'),
(3,	268,	'Блажів'),
(1,	268,	'Блажев'),
(3,	269,	'Блажове'),
(1,	269,	'Блажово'),
(3,	270,	'Близнюки'),
(1,	270,	'Близнюки'),
(3,	271,	'Боберка'),
(1,	271,	'Боберка'),
(3,	272,	'Бобівці'),
(1,	272,	'Бобовцы'),
(3,	273,	'Бобли'),
(1,	273,	'Бобли'),
(3,	274,	'Бобовище'),
(1,	274,	'Бобовище'),
(3,	275,	'Бобрик'),
(1,	275,	'Бобрик'),
(3,	276,	'Бобрик Другий '),
(1,	276,	'Бобрик Второй'),
(3,	277,	'Бобрик Перший'),
(1,	277,	'Бобрик Первый'),
(3,	278,	'Бобринець'),
(1,	278,	'Бобринец'),
(3,	279,	'Бобриця'),
(1,	279,	'Бобрица'),
(3,	280,	'Бобровиця'),
(1,	280,	'Бобровица'),
(3,	281,	'Бовшів'),
(1,	281,	'Бовшев'),
(3,	282,	'Богдан'),
(1,	282,	'Богдан'),
(3,	283,	'Богданівка (Броварський р-н.)'),
(1,	283,	'Богдановка (Броварской р-н.)'),
(3,	284,	'Богданівка (Дніпропетровська обл.)'),
(1,	284,	'Богдановка (Днепропетровская обл.)'),
(3,	285,	'Богданівка (Кіровоградська обл.)'),
(1,	285,	'Богдановка (Кировоградская обл.)'),
(3,	286,	'Богданівка (Чернігівський р-н., Запорізька обл.)'),
(1,	286,	'Богдановка (Черниговский р-н., Запорожская обл.)'),
(3,	287,	'Богданівка (Яготинський р-н., Київська обл.)'),
(1,	287,	'Богдановка (Яготинский р-н., Киевская обл.)'),
(3,	288,	'Богемка'),
(1,	288,	'Богемка'),
(3,	289,	'Богинівка (Дніпропетровська обл.)'),
(1,	289,	'Богиновка (Днепропетровская обл.)'),
(3,	290,	'Богодухів'),
(1,	290,	'Богодухов'),
(3,	291,	'Богодухівка'),
(1,	291,	'Богодуховка'),
(3,	292,	'Богородичне'),
(1,	292,	'Богородичное'),
(3,	293,	'Богородчани'),
(1,	293,	'Богородчаны'),
(3,	294,	'Богунове'),
(1,	294,	'Богуново'),
(3,	295,	'Богуслав (Дніпропетровська обл.)'),
(1,	295,	'Богуслав (Днепропетровская обл.)'),
(3,	296,	'Богуслав (Київська обл.)'),
(1,	296,	'Богуслав (Киевская обл.)'),
(3,	297,	'Богуславка '),
(1,	297,	'Богуславка '),
(3,	298,	'Богуші'),
(1,	298,	'Богуши'),
(3,	299,	'Бодаква'),
(1,	299,	'Бодаква'),
(3,	300,	'Боднарів'),
(1,	300,	'Боднарёв'),
(3,	301,	'Божедарівка(Криничанський р-н)'),
(1,	301,	'Божедаровка(Криничанский р-н)'),
(3,	302,	'Божківське'),
(1,	302,	'Божковское'),
(3,	303,	'Бокійма'),
(1,	303,	'Бокийма'),
(3,	304,	'Болган'),
(1,	304,	'Болган'),
(3,	305,	'Болгарка'),
(1,	305,	'Болгарка'),
(3,	306,	'Болград (Одеська обл.)'),
(1,	306,	'Болград (Одеская обл.)'),
(3,	307,	'Болехів'),
(1,	307,	'Болехов'),
(3,	308,	'Болехівці'),
(1,	308,	'Болеховцы'),
(3,	309,	'Бондарівка'),
(1,	309,	'Бондаровка'),
(3,	310,	'Боратин'),
(1,	310,	'Боратин'),
(3,	311,	'Боржава'),
(1,	311,	'Боржава'),
(3,	312,	'Боржавське'),
(1,	312,	'Боржавское'),
(3,	313,	'Борзна'),
(1,	313,	'Борзна'),
(3,	314,	'Бориня'),
(1,	314,	'Бориня'),
(3,	315,	'Борисівка'),
(1,	315,	'Борисовка'),
(3,	316,	'Борисівка (Одеська обл.)'),
(1,	316,	'Борисовка (Одесская обл.)'),
(3,	317,	'Борислав (Львівська обл.)'),
(1,	317,	'Борислав (Львовская обл.)'),
(3,	318,	'Бориспіль'),
(1,	318,	'Борисполь'),
(3,	319,	'Борівка'),
(1,	319,	'Боровка'),
(3,	320,	'Борівка (Київська обл.)'),
(1,	320,	'Боровка (Киевськая обл.)'),
(3,	321,	'Борівське(Луганська обл.)'),
(1,	321,	'Боровское(Луганська обл.)'),
(3,	322,	'Борівці'),
(1,	322,	'Боровцы'),
(3,	323,	'Борова (Київська обл.)'),
(1,	323,	'Боровая (Киевская обл.)'),
(3,	324,	'Борова (Харківська обл.)'),
(1,	324,	'Боровая (Харьковская обл.)'),
(3,	325,	'Боровеньки'),
(1,	325,	'Боровеньки'),
(3,	326,	'Боровиця'),
(1,	326,	'Боровица'),
(3,	327,	'Бородянка'),
(1,	327,	'Бородянка'),
(3,	328,	'Борозенське'),
(1,	328,	'Борозенское'),
(3,	329,	'Боромля (Сумська обл.)'),
(1,	329,	'Боромля (Сумская обл.)'),
(3,	330,	'Боронява'),
(1,	330,	'Боронява'),
(3,	331,	'Борохів'),
(1,	331,	'Борохов'),
(3,	332,	'Борочиче'),
(1,	332,	'Борочиче'),
(3,	333,	'Бортники'),
(1,	333,	'Бортники'),
(3,	334,	'Бортятин'),
(1,	334,	'Бортятин'),
(3,	335,	'Борщів'),
(1,	335,	'Борщев'),
(3,	336,	'Борщівка'),
(1,	336,	'Борщовка'),
(3,	337,	'Борщовичі'),
(1,	337,	'Борщовичи'),
(3,	338,	'Бохоники'),
(1,	338,	'Бохоники'),
(3,	339,	'Бочаниця'),
(1,	339,	'Бочаница'),
(3,	340,	'Бочківці'),
(1,	340,	'Бочковцы'),
(3,	341,	'Боянець'),
(1,	341,	'Боянец'),
(3,	342,	'Бояни'),
(1,	342,	'Бояны'),
(3,	343,	'Боярка'),
(1,	343,	'Боярка'),
(3,	344,	'Браїлів'),
(1,	344,	'Браилов'),
(3,	345,	'Братанівка'),
(1,	345,	'Братановка'),
(3,	346,	'Братківці (Івано-Франківська обл.)'),
(1,	346,	'Братковцы (Ивано-Франковская обл.)'),
(3,	347,	'Братолюбівка (Кіровоградська обл.)'),
(1,	347,	'Братолюбовка (Кировоградская обл.)'),
(3,	348,	'Братське'),
(1,	348,	'Братское'),
(3,	349,	'Братське (Дніпропетровська обл.)'),
(1,	349,	'Братское (Днепропетровская обл.)'),
(3,	350,	'Братське (Запорізька обл.)'),
(1,	350,	'Братское (Запорожская обл.)'),
(3,	351,	'Брацлав'),
(1,	351,	'Брацлав'),
(3,	352,	'Брилівка'),
(1,	352,	'Брилевка'),
(3,	353,	'Бринь'),
(1,	353,	'Брынь'),
(3,	354,	'Бричківка'),
(1,	354,	'Бричковка'),
(3,	355,	'Брід'),
(1,	355,	'Брод'),
(3,	356,	'Бровари'),
(1,	356,	'Бровары'),
(3,	357,	'Бродецьке (Вінницька обл.)'),
(1,	357,	'Бродецкое (Винницкая обл.)'),
(3,	358,	'Броди'),
(1,	358,	'Броды'),
(3,	359,	'Бродниця'),
(1,	359,	'Бродница'),
(3,	360,	'Брониця'),
(1,	360,	'Броница'),
(3,	361,	'Бронники (Рівненський р-н)'),
(1,	361,	'Бронники (Ровенский р-н)'),
(3,	362,	'Бронниця'),
(1,	362,	'Бронница'),
(3,	363,	'Бронька'),
(1,	363,	'Бронька'),
(3,	364,	'Броска'),
(1,	364,	'Броска'),
(3,	365,	'Брошнів (Рожнятівський р-н)'),
(1,	365,	'Брошнев (Рожнятовский р-н)'),
(3,	366,	'Брошнів-Осада'),
(1,	366,	'Брошнев-Осада'),
(3,	367,	'Брусенки'),
(1,	367,	'Брусенки'),
(3,	368,	'Брусилів'),
(1,	368,	'Брусилов'),
(3,	369,	'Бруслинів'),
(1,	369,	'Бруслинів'),
(3,	370,	'Брусниця'),
(1,	370,	'Брусница'),
(3,	371,	'Брюховичі'),
(1,	371,	'Брюховичи'),
(3,	372,	'Бубнівка'),
(1,	372,	'Бубновка'),
(3,	373,	'Бугас'),
(1,	373,	'Бугас'),
(3,	374,	'Буда-Вороб\'ївська'),
(1,	374,	'Буда-Воробьевская'),
(3,	375,	'Буданів'),
(1,	375,	'Буданов'),
(3,	376,	'Буденець'),
(1,	376,	'Буденец'),
(3,	377,	'Буди (Вінницька обл.)'),
(1,	377,	'Буды (Винницкая обл.)'),
(3,	378,	'Буди (Харківська обл.)'),
(1,	378,	'Буды (Харьковская обл.)'),
(3,	379,	'Будилів'),
(1,	379,	'Будилов'),
(3,	380,	'Будилка'),
(1,	380,	'Будылка'),
(3,	381,	'Будище'),
(1,	381,	'Будище'),
(3,	382,	'Будки'),
(1,	382,	'Будки'),
(3,	383,	'Будятичі'),
(1,	383,	'Будятичи'),
(3,	384,	'Бужани'),
(1,	384,	'Бужаны'),
(3,	385,	'Бужанка'),
(1,	385,	'Бужанка'),
(3,	386,	'Бузаки'),
(1,	386,	'Бузаки'),
(3,	387,	'Бузівка'),
(1,	387,	'Бузовка'),
(3,	388,	'Бузова'),
(1,	388,	'Бузовая'),
(3,	389,	'Бузовиця'),
(1,	389,	'Бузовица'),
(3,	390,	'Бузьке'),
(1,	390,	'Бугское'),
(3,	391,	'Буймер'),
(1,	391,	'Буймер'),
(3,	392,	'Буки'),
(1,	392,	'Буки'),
(3,	393,	'Букове'),
(1,	393,	'Буково'),
(3,	394,	'Булахівка'),
(1,	394,	'Булаховка'),
(3,	395,	'Бурдівка'),
(1,	395,	'Бурдовка'),
(3,	396,	'Бурдюг'),
(1,	396,	'Бурдюг'),
(3,	397,	'Бурдяківці'),
(1,	397,	'Бурдяковцы '),
(3,	398,	'Бурилове'),
(1,	398,	'Бурилово'),
(3,	399,	'Буринь'),
(1,	399,	'Бурынь'),
(3,	400,	'Бурлача Балка'),
(1,	400,	'Бурлачья Балка'),
(3,	401,	'Бурти'),
(1,	401,	'Бурти'),
(3,	402,	'Бурштин'),
(1,	402,	'Бурштын'),
(3,	403,	'Буськ'),
(1,	403,	'Буск'),
(3,	404,	'Бутенки '),
(1,	404,	'Бутенки '),
(3,	405,	'Буцин'),
(1,	405,	'Буцин'),
(3,	406,	'Буча'),
(1,	406,	'Буча'),
(3,	407,	'Бучали'),
(1,	407,	'Бучалы'),
(3,	408,	'Бучач'),
(1,	408,	'Бучач'),
(3,	409,	'Бушеве'),
(1,	409,	'Бушево'),
(3,	410,	'Буштино'),
(1,	410,	'Буштыно'),
(3,	411,	'В\'язівок'),
(1,	411,	'Вязовок'),
(3,	412,	'В\'язівок (Дніпропетровська обл.)'),
(1,	412,	'Вязовок (Днепропетровская обл.)'),
(3,	413,	'Вавилове'),
(1,	413,	'Вавилово'),
(3,	414,	'Вакуленчук'),
(1,	414,	'Вакуленчук'),
(3,	415,	'Валки'),
(1,	415,	'Валки'),
(3,	416,	'Валя Кузьмина'),
(1,	416,	'Валя Кузьмина'),
(3,	417,	'Валява'),
(1,	417,	'Валява'),
(3,	418,	'Валява (Черкаська обл.)'),
(1,	418,	'Валява (Черкасская обл.)'),
(3,	419,	'Ванчиківці'),
(1,	419,	'Ванчиковцы'),
(3,	420,	'Вапнярка'),
(1,	420,	'Вапнярка'),
(3,	421,	'Вараш'),
(1,	421,	'Вараш'),
(3,	422,	'Варва'),
(1,	422,	'Варва'),
(3,	423,	'Варварівка (Дніпропетровська обл.)'),
(1,	423,	'Варваровка (Днепропетровская обл.)'),
(3,	424,	'Варварівка (Житомирська обл.)'),
(1,	424,	'Варваровка (Житомирская обл.)'),
(3,	425,	'Варварівка (Луганська обл.)'),
(1,	425,	'Варваровка (Луганська обл.)'),
(3,	426,	'Варварівка (Синельниківський р-н., Дніпроп. обл.)'),
(1,	426,	'Варваровка (Синельниковский р-н., Днепропетровский'),
(3,	427,	'Варенка'),
(1,	427,	'Варенка'),
(3,	428,	'Вартиківці'),
(1,	428,	'Вартиковцы'),
(3,	429,	'Варяж'),
(1,	429,	'Варяж'),
(3,	430,	'Василівка (Дніпропетровська обл.)'),
(1,	430,	'Васильевка (Днепропетровская обл.)'),
(3,	431,	'Василівка (Запорізька обл.)'),
(1,	431,	'Васильевка (Запорожская обл.)'),
(3,	432,	'Василівка (Кілійський р-н.)'),
(1,	432,	'Васильевка (Килийский р-н.)'),
(3,	433,	'Василівка (Одеська обл., Болградський р-'),
(1,	433,	'Васильевка (Одесская обл., Болградский р-н)'),
(3,	434,	'Василівка (Одеська обл.)'),
(1,	434,	'Васильевка (Одесская обл.)'),
(3,	435,	'Василівка (Полтавська обл.)'),
(1,	435,	'Василевка (Полтавска обл.)'),
(3,	436,	'Василівка (Херсонська обл.)'),
(1,	436,	'Васильевка (Херсонская обл.)'),
(3,	437,	'Василівка (Чернівецька обл.)'),
(1,	437,	'Васильевка (Черновицкая обл.)'),
(3,	438,	'Васильків'),
(1,	438,	'Васильков'),
(3,	439,	'Васильків (Черкаська обл.)'),
(1,	439,	'Васильков (Черкасская обл.)'),
(3,	440,	'Васильківка (Дніпропетровська обл.)'),
(1,	440,	'Васильковка (Днепропетровская обл.)'),
(3,	441,	'Васищеве'),
(1,	441,	'Васищево'),
(3,	442,	'Васловівці'),
(1,	442,	'Васлововцы'),
(3,	443,	'Васьківці (Чернігівська обл.)'),
(1,	443,	'Васьковцы (Черниговская обл.)'),
(3,	444,	'Васьковичі'),
(1,	444,	'Васьковичи'),
(3,	445,	'Васюківка'),
(1,	445,	'Васюковка'),
(3,	446,	'Васютинці'),
(1,	446,	'Васютинцы'),
(3,	447,	'Ватутіне'),
(1,	447,	'Ватутино'),
(3,	448,	'Ватутіне (Нововодолазький р-н. Харківська обл.)'),
(1,	448,	'Ватутино (Нововодолажский р-н. Харьковская обл.)'),
(3,	449,	'Вахнівка'),
(1,	449,	'Вахновка'),
(3,	451,	'Вашківці (Сокирянський р-н)'),
(1,	451,	'Вашковцы (Сокирянский р-н)'),
(3,	452,	'Введенка'),
(1,	452,	'Введенка'),
(3,	453,	'Велетенське'),
(1,	453,	'Велетенское'),
(3,	454,	'Велика Андрусівка'),
(1,	454,	'Велика Андрусовка'),
(3,	455,	'Велика Багачка'),
(1,	455,	'Великая Багачка'),
(3,	456,	'Велика Березна'),
(1,	456,	'Великая Березна'),
(3,	457,	'Велика Березовиця'),
(1,	457,	'Великая Березовица'),
(3,	458,	'Велика Бийгань'),
(1,	458,	'Великая Быйгань'),
(3,	459,	'Велика Білозерка'),
(1,	459,	'Великая Белозерка'),
(3,	460,	'Велика Бурімка'),
(1,	460,	'Великая Буромка'),
(3,	461,	'Велика Виска (Маловисківський р-н.)'),
(1,	461,	'Великая Виска'),
(3,	462,	'Велика Вільшаниця'),
(1,	462,	'Великая Ольшаница'),
(3,	463,	'Велика Глуша'),
(1,	463,	'Большая Глуша'),
(3,	464,	'Велика Городниця'),
(1,	464,	'Великая Городница'),
(3,	465,	'Велика Димерка'),
(1,	465,	'Великая Дымерка'),
(3,	466,	'Велика Дівиця'),
(1,	466,	'Великая Девица'),
(3,	467,	'Велика Загорівка'),
(1,	467,	'Великая Загоровка'),
(3,	468,	'Велика Знам\'янка'),
(1,	468,	'Великая Знаменка'),
(3,	469,	'Велика Каратуль'),
(1,	469,	'Великая Каратуль'),
(3,	470,	'Велика Киріївка'),
(1,	470,	'Великая Киреевка'),
(3,	471,	'Велика Кісниця'),
(1,	471,	'Великая Косница'),
(3,	472,	'Велика Копаня (Закарпатська обл.)'),
(1,	472,	'Великая Копаня (Закарпатская обл.)'),
(3,	473,	'Велика Корениха'),
(1,	473,	'Великая Корениха'),
(3,	474,	'Велика Лепетиха'),
(1,	474,	'Великая Лепетиха'),
(3,	475,	'Велика Лука'),
(1,	475,	'Великая Лука'),
(3,	476,	'Велика Михайлівка'),
(1,	476,	'Великая Михайловка'),
(3,	477,	'Велика Новосілка'),
(1,	477,	'Великая Новоселка'),
(3,	478,	'Велика Олександрівка'),
(1,	478,	'Великая Александровка'),
(3,	479,	'Велика Олександрівка (Херсонська обл.)'),
(1,	479,	'Великая Александровка (Херсонская обл.)'),
(3,	480,	'Велика Павлівка '),
(1,	480,	'Великая Павловка'),
(3,	481,	'Велика Паладь'),
(1,	481,	'Великая Паладь'),
(3,	482,	'Велика Писарівка'),
(1,	482,	'Великая Писаревка'),
(3,	483,	'Велика Рогозянка'),
(1,	483,	'Великая Рогозянка'),
(3,	484,	'Велика Рублівка'),
(1,	484,	'Великая Рублевка'),
(3,	485,	'Велика Рудка'),
(1,	485,	'Великая Рудка'),
(3,	486,	'Велика Севастянівка'),
(1,	486,	'Велика Севастянівка'),
(3,	487,	'Велика Снітинка'),
(1,	487,	'Великая Снетинка'),
(3,	488,	'Велика Солона'),
(1,	488,	'Великая Соленая'),
(3,	489,	'Велика Солтанівка'),
(1,	489,	'Великая Солтановка'),
(3,	490,	'Велика Сушиця'),
(1,	490,	'Великая Сушица'),
(3,	491,	'Велика Тернівка'),
(1,	491,	'Великая Терновка'),
(3,	492,	'Велика Тур\'я'),
(1,	492,	'Великая Турья'),
(3,	493,	'Велика Чернеччина'),
(1,	493,	'Великая Чернетчина'),
(3,	494,	'Велика Яблунівка'),
(1,	494,	'Великая Яблоновка'),
(3,	495,	'Велике Вербче'),
(1,	495,	'Велике Вербче'),
(3,	496,	'Велике Колодно'),
(1,	496,	'Великое Колодно'),
(3,	497,	'Великий Березний'),
(1,	497,	'Великий Березный'),
(3,	498,	'Великий Бичків'),
(1,	498,	'Великий Бычков'),
(3,	499,	'Великий Бурлук'),
(1,	499,	'Великий Бурлук'),
(3,	500,	'Великий Буялик'),
(1,	500,	'Большой Буялик'),
(3,	501,	'Великий Глибочок'),
(1,	501,	'Великий Глубочек'),
(3,	502,	'Великий Дальник'),
(1,	502,	'Великий Дальник'),
(3,	503,	'Великий Дорошів'),
(1,	503,	'Великий Дорошев'),
(3,	504,	'Великий Житин'),
(1,	504,	'Великий Житин'),
(3,	505,	'Великий Жолудськ'),
(1,	505,	'Великий Жолудск'),
(3,	506,	'Великий Ключів'),
(1,	506,	'Великий Ключев'),
(3,	507,	'Великий Крупіль'),
(1,	507,	'Великий Круполь'),
(3,	508,	'Великий Кучурів'),
(1,	508,	'Великий Кучуров'),
(3,	509,	'Великий Любінь'),
(1,	509,	'Великий Любень'),
(3,	510,	'Великий Мидськ'),
(1,	510,	'Большой Мидськ'),
(3,	511,	'Великий Митник'),
(1,	511,	'Великий Мытник'),
(3,	512,	'Великий Олександрів'),
(1,	512,	'Великий Александров'),
(3,	513,	'Великий Олексин'),
(1,	513,	'Великий Алексин'),
(3,	514,	'Великий Омеляник'),
(1,	514,	'Великий Омеляник'),
(3,	515,	'Великий Раковець'),
(1,	515,	'Великий Раковец'),
(3,	516,	'Великий Рожин'),
(1,	516,	'Великий Рожин'),
(3,	517,	'Великий Тростянець'),
(1,	517,	'Великий Тростянец'),
(3,	518,	'Великий Ходачків'),
(1,	518,	'Великий Ходачков'),
(3,	519,	'Великий Хутір'),
(1,	519,	'Великий Хутор'),
(3,	520,	'Великий Щимель'),
(1,	520,	'Великий Щимель'),
(3,	521,	'Великі Береги'),
(1,	521,	'Великие Берега '),
(3,	522,	'Великі Бережці'),
(1,	522,	'Великие Бережцы'),
(3,	523,	'Великі Бірки'),
(1,	523,	'Великие Борки'),
(3,	524,	'Великі Будища (Диканський р-н, Полтавська обл.)'),
(1,	524,	'Великие Будища (Диканский р-н, Полтавская обл.)'),
(3,	525,	'Великі Будки'),
(1,	525,	'Великие Будки'),
(3,	526,	'Великі Гаї'),
(1,	526,	'Великие Гаи'),
(3,	527,	'Великі Грибовичі'),
(1,	527,	'Великие Грибовичи'),
(3,	528,	'Великі Дедеркали'),
(1,	528,	'Великие Дедеркалы'),
(3,	529,	'Великі Дідушичі'),
(1,	529,	'Великие Дедушичи'),
(3,	530,	'Великі Зозулинці'),
(1,	530,	'Великие Зозулинцы'),
(3,	531,	'Великі Ком\'яти'),
(1,	531,	'Великие Комяты'),
(3,	532,	'Великі Копані (Херсонська обл.)'),
(1,	532,	'Великие Копани (Херсонская обл.)'),
(3,	533,	'Великі Коровинці'),
(1,	533,	'Великие Коровинцы'),
(3,	534,	'Великі Кошарища'),
(1,	534,	'Большие Кошарища'),
(3,	535,	'Великі Кринки (Глобинський р-н)'),
(1,	535,	'Великие Крынки (Глобинский р-н)'),
(3,	536,	'Великі Лази'),
(1,	536,	'Великие Лазы'),
(3,	537,	'Великі Лучки'),
(1,	537,	'Великие Лучки'),
(3,	538,	'Великі Межирічі'),
(1,	538,	'Великие Межиричи'),
(3,	539,	'Великі Мости'),
(1,	539,	'Великие Мосты'),
(3,	540,	'Великі Сорочинці'),
(1,	540,	'Великие Сорочинцы'),
(3,	541,	'Великі Телковичі'),
(1,	541,	'Великие Телковичи'),
(3,	542,	'Великі Трояни'),
(1,	542,	'Великие Трояны'),
(3,	543,	'Великі Цепцевичі'),
(1,	543,	'Великие Цепцевичи'),
(3,	544,	'Великобоярка'),
(1,	544,	'Великобоярка'),
(3,	545,	'Великодолинське'),
(1,	545,	'Великодолинское'),
(3,	546,	'Великокомарівка'),
(1,	546,	'Великокомаровка'),
(3,	547,	'Великомихайлівка'),
(1,	547,	'Великомихайловка'),
(3,	548,	'Великоолександрівка'),
(1,	548,	'Великоалександровка'),
(3,	549,	'Великоплоске'),
(1,	549,	'Великоплоское'),
(3,	550,	'Велимче'),
(1,	550,	'Велимче'),
(3,	551,	'Вельбівка'),
(1,	551,	'Вельбовка '),
(3,	552,	'Вельбівно (Острозький р-н)'),
(1,	552,	'Вельбивно (Острожский р-н)'),
(3,	553,	'Велятино'),
(1,	553,	'Велятино'),
(3,	554,	'Вендичани'),
(1,	554,	'Вендичаны'),
(3,	555,	'Веприк'),
(1,	555,	'Веприк'),
(3,	556,	'Верба (Чернігівська обл.)'),
(1,	556,	'Верба (Черниговская обл.)'),
(3,	557,	'Верба(Рівненська обл.)'),
(1,	557,	'Верба(Ровенская обл.)'),
(3,	558,	'Вербилівці'),
(1,	558,	'Вербиловцы'),
(3,	559,	'Вербівка (Вінницька обл.)'),
(1,	559,	'Вербовка (Винницкая обл.)'),
(3,	560,	'Вербівка (Івано-Франківська обл.)'),
(1,	560,	'Вербовка (Ивано-Франковская обл.)'),
(3,	561,	'Вербівка (Кам\'янський р-н, Черкаська обл.)'),
(1,	561,	'Вербовка (Каменский р-н, Черкасская обл.)'),
(3,	562,	'Вербівка (Харківська обл.)'),
(1,	562,	'Вербовка (Харьковская обл.)'),
(3,	563,	'Вербівка (Черкаська обл.)'),
(1,	563,	'Вербовка (Черкасская обл.)'),
(3,	564,	'Вербка'),
(1,	564,	'Вербка'),
(3,	565,	'Вербка (Вінницька обл.)'),
(1,	565,	'Вербка (Винницкая обл.)'),
(3,	566,	'Вербка (Хмельницька обл.)'),
(1,	566,	'Вербка (Хмельницкая обл.)'),
(3,	567,	'Вербки (Дніпропетровська обл.)'),
(1,	567,	'Вербки (Днепропетровская обл.)'),
(3,	568,	'Верблюжка'),
(1,	568,	'Верблюжка'),
(3,	569,	'Вербляни'),
(1,	569,	'Вербляны '),
(3,	570,	'Вербове'),
(1,	570,	'Вербовое'),
(3,	571,	'Вербовець'),
(1,	571,	'Вербовец'),
(3,	572,	'Вербовець (Івано-Франківська обл.)'),
(1,	572,	'Вербовец (Ивано-Франковская обл.)'),
(3,	573,	'Вербуватівка'),
(1,	573,	'Вербоватовка'),
(3,	574,	'Вергуни'),
(1,	574,	'Вергуны'),
(3,	575,	'Вереміївка'),
(1,	575,	'Веремиевка'),
(3,	576,	'Веренчанка'),
(1,	576,	'Веренчанка'),
(3,	577,	'Вереси'),
(1,	577,	'Вересы'),
(3,	578,	'Верин'),
(1,	578,	'Верин'),
(3,	579,	'Вертокиївка'),
(1,	579,	'Вертокиевка'),
(3,	580,	'Верхівка'),
(1,	580,	'Верховка'),
(3,	581,	'Верхівцеве'),
(1,	581,	'Верховцево'),
(3,	582,	'Верхнє Висоцьке'),
(1,	582,	'Верхнее Высоцкое'),
(3,	583,	'Верхнє Водяне'),
(1,	583,	'Верхнее Водяное'),
(3,	584,	'Верхнє Піщане'),
(1,	584,	'Верхнее Песчаное'),
(3,	585,	'Верхнє Синьовидне'),
(1,	585,	'Верхнее Синевидное'),
(3,	586,	'Верхні Ворота'),
(1,	586,	'Верхние Ворота'),
(3,	587,	'Верхні Гаї'),
(1,	587,	'Верхние Гаи'),
(3,	588,	'Верхні Петрівці'),
(1,	588,	'Верхние Петровцы'),
(3,	589,	'Верхні Ремети'),
(1,	589,	'Верхние Реметы'),
(3,	590,	'Верхні Сірогози'),
(1,	590,	'Верхние Серогозы'),
(3,	591,	'Верхні Станівці'),
(1,	591,	'Верхние Становцы'),
(3,	592,	'Верхній Бистрий'),
(1,	592,	'Верхний Быстрый'),
(3,	593,	'Верхній Коропець'),
(1,	593,	'Верхний Коропец'),
(3,	594,	'Верхній Лужок'),
(1,	594,	'Верхний Лужок'),
(3,	595,	'Верхній Рогачик'),
(1,	595,	'Верхний Рогачик'),
(3,	596,	'Верхній Струтинь'),
(1,	596,	'Верхний Струтинь'),
(3,	597,	'Верхній Ясенів'),
(1,	597,	'Верхний Ясенов'),
(3,	598,	'Верхньодніпровськ'),
(1,	598,	'Верхнеднепровск'),
(3,	599,	'Верхньокам\'янське'),
(1,	599,	'Верхнекаменское'),
(3,	600,	'Верхня'),
(1,	600,	'Верхняя'),
(3,	601,	'Верхня Білка'),
(1,	601,	'Верхняя Белка'),
(3,	602,	'Верхня Визниця'),
(1,	602,	'Верхняя Визница'),
(3,	603,	'Верхня Криниця'),
(1,	603,	'Верхняя Криница'),
(3,	604,	'Верхня Сироватка'),
(1,	604,	'Верхняя Сироватка'),
(3,	605,	'Верхня Стинава'),
(1,	605,	'Верхняя Стынава'),
(3,	606,	'Верхня Терса'),
(1,	606,	'Верхняя Терса'),
(3,	607,	'Верхня Яблунька'),
(1,	607,	'Верхняя Яблонька'),
(3,	609,	'Верховина'),
(1,	609,	'Верховина'),
(3,	610,	'Верчани'),
(1,	610,	'Верчаны'),
(3,	611,	'Вершина'),
(1,	611,	'Вершина'),
(3,	612,	'Веселе (Донецька обл.)'),
(1,	612,	'Веселое'),
(3,	613,	'Веселе (Запорізька обл.)'),
(1,	613,	'Веселое (Запорожская обл.)'),
(3,	614,	'Веселе (Кіровоградська обл.)'),
(1,	614,	'Веселое (Кировоградская обл.)'),
(3,	615,	'Веселе (Олександрівський р-н., Кіров. обл.)'),
(1,	615,	'Веселое (Олександровский р-н., Киров. Обл.)'),
(3,	616,	'Веселе (Павлоградський р-н)'),
(1,	616,	'Веселое (Павлоградский р-н)'),
(3,	617,	'Веселе (Сумська обл.)'),
(1,	617,	'Веселое (Сумская обл.)'),
(3,	618,	'Веселе (Харківська обл.)'),
(1,	618,	'Веселое (Харьковская обл.)'),
(3,	619,	'Веселе (Херсонська обл.)'),
(1,	619,	'Веселое (Херсонская обл.)'),
(3,	620,	'Веселий Кут'),
(1,	620,	'Веселый Кут'),
(3,	621,	'Веселий Поділ'),
(1,	621,	'Веселый Подол '),
(3,	622,	'Веселинівка'),
(1,	622,	'Веселиновка'),
(3,	623,	'Веселинове'),
(1,	623,	'Веселиново'),
(3,	624,	'Веселівка (Кіровоградська обл.)'),
(1,	624,	'Веселовка (Кировоградская обл.)'),
(3,	625,	'Ветли'),
(1,	625,	'Ветлы'),
(3,	626,	'Вигода (Івано-Франківська обл)'),
(1,	626,	'Выгода (Ивано-Франковская обл)'),
(3,	627,	'Вигода (Одеська обл)'),
(1,	627,	'Выгода (Одесская обл)'),
(3,	628,	'Вигода (Тернопільська обл.)'),
(1,	628,	'Выгода (Тернопольская обл.)'),
(3,	629,	'Виграїв'),
(1,	629,	'Выграев'),
(3,	630,	'Видинів'),
(1,	630,	'Видинов'),
(3,	631,	'Вижниця'),
(1,	631,	'Вижница'),
(3,	632,	'Вижній Березів'),
(1,	632,	'Выжний Березов'),
(3,	633,	'Визирка'),
(1,	633,	'Визирка'),
(3,	634,	'Викоти'),
(1,	634,	'Выкоты'),
(3,	635,	'Вилкове'),
(1,	635,	'Вилково'),
(3,	636,	'Вилок (Закарпатська обл.)'),
(1,	636,	'Вилок (Закарпатская обл.)'),
(3,	637,	'Винники'),
(1,	637,	'Винники'),
(3,	638,	'Виноград'),
(1,	638,	'Виноград'),
(3,	639,	'Виноград (Івано-Франківська обл.)'),
(1,	639,	'Виноград (Ивано-Франковская обл.)'),
(3,	640,	'Виноградів'),
(1,	640,	'Виноградов'),
(3,	641,	'Виноградівка'),
(1,	641,	'Виноградовка'),
(3,	642,	'Виноградівка (Одеська обл., Болградський р-н)'),
(1,	642,	'Виноградовка (Одесская обл., Болградский р-н)'),
(3,	643,	'Виноградівка (Одеська обл.)'),
(1,	643,	'Виноградовка (Одесская обл.)'),
(3,	644,	'Виноградівка (Роздільнянський р-н)'),
(1,	644,	'Виноградовка (Раздельнянский р-н)'),
(3,	645,	'Виноградівка (Тарутинський р-н., Одеська обл.)'),
(1,	645,	'Виноградовка (Тарутинский р-н., Одесская обл.)'),
(3,	646,	'Виноградне'),
(1,	646,	'Виноградное'),
(3,	647,	'Виноградне (Миколаївська обл.)'),
(1,	647,	'Виноградное (Николаевская обл.)'),
(3,	648,	'Виноградове (Херсонська обл.)'),
(1,	648,	'Виноградово (Херсонская обл.)'),
(3,	649,	'Випасне (Білгород-Дністровський р-н)'),
(1,	649,	'Выпасное (Белгород-Днестровский р-н)'),
(3,	650,	'Виповзів'),
(1,	650,	'Выползов'),
(3,	651,	'Вири'),
(1,	651,	'Виры'),
(3,	652,	'Вири (Сумська обл.)'),
(1,	652,	'Виры (Сумская обл.)'),
(3,	653,	'Вирішальне (Лохвицький р-н)'),
(1,	653,	'Выришальное (Лохвицкий р-н)'),
(3,	654,	'Вирішальний'),
(1,	654,	'Выришальный'),
(3,	655,	'Висока Піч'),
(1,	655,	'Высокая Печь'),
(3,	656,	'Високе '),
(1,	656,	'Высокое'),
(3,	657,	'Високе (Дніпропетровська обл.)'),
(1,	657,	'Высокое (Днепропетровская обл.)'),
(3,	658,	'Високий'),
(1,	658,	'Высокий'),
(3,	659,	'Високогірне'),
(1,	659,	'Высокогорное'),
(3,	660,	'Високопілля'),
(1,	660,	'Высокополье'),
(3,	662,	'Висоцьк'),
(1,	662,	'Высоцк '),
(3,	663,	'Височинівка'),
(1,	663,	'Высочиновка'),
(3,	664,	'Висунськ'),
(1,	664,	'Высунск'),
(3,	665,	'Витвиця'),
(1,	665,	'Витвица'),
(3,	666,	'Витилівка'),
(1,	666,	'Витилевка'),
(3,	667,	'Витязівка'),
(1,	667,	'Вытязевка'),
(3,	668,	'Вихрівка'),
(1,	668,	'Вихровка'),
(3,	669,	'Вичівка'),
(1,	669,	'Вичевка'),
(3,	670,	'Вишгород'),
(1,	670,	'Вышгород'),
(3,	671,	'Вишевичі'),
(1,	671,	'Вишевичи'),
(3,	672,	'Вишеньки'),
(1,	672,	'Вишенки'),
(3,	673,	'Вишеньки (Коропський п-н., Чернігівська обл.)'),
(1,	673,	'Вишенки (Коропской г-н., Черниговская обл.)'),
(3,	674,	'Вишківці'),
(1,	674,	'Вышковцы'),
(3,	675,	'Вишково'),
(1,	675,	'Вышково'),
(3,	676,	'Вишневе'),
(1,	676,	'Вишневое'),
(3,	677,	'Вишневе (Дніпропетровська обл)'),
(1,	677,	'Вишневое (Днепропетровская обл)'),
(3,	678,	'Вишневе (Донецька обл.)'),
(1,	678,	'Вишневое (Донецкая обл.)'),
(3,	679,	'Вишневе (Кіровоградська обл.)'),
(1,	679,	'Вишнёвое (Кировоградская обл.)'),
(3,	680,	'Вишневе (Полтавська обл.)'),
(1,	680,	'Вишневое (Полтавская обл.)'),
(3,	681,	'Вишневе (Широківський р-н. Дніпропетровська обл.)'),
(1,	681,	'Вишневое (Широковский р-н. Днепропетровская обл.)'),
(3,	682,	'Вишнів'),
(1,	682,	'Вишнев'),
(3,	683,	'Вишнівець'),
(1,	683,	'Вишневец'),
(3,	684,	'Вишнівці'),
(1,	684,	'Вишневцы'),
(3,	685,	'Вишнівчик'),
(1,	685,	'Вишневчик'),
(3,	686,	'Вишнопіль'),
(1,	686,	'Вишнополь'),
(3,	687,	'Вишняки '),
(1,	687,	'Вишняки'),
(3,	688,	'Вища Дубечня'),
(1,	688,	'Высшая Дубечня'),
(3,	689,	'Вищеольчедаїв'),
(1,	689,	'Высшеольчедаев'),
(3,	690,	'Вищетарасівка'),
(1,	690,	'Высшетарасовка'),
(3,	691,	'Вищий Булатець'),
(1,	691,	'Высший Булатец'),
(3,	692,	'Вівчарове'),
(1,	692,	'Овчарово'),
(3,	693,	'Віднів'),
(1,	693,	'Виднев'),
(3,	694,	'Відрадне'),
(1,	694,	'Отрадное'),
(3,	695,	'Війтівка'),
(1,	695,	'Вийтовка'),
(3,	696,	'Війтівці (Вінницька обл.)'),
(1,	696,	'Войтовцы (Винницкая обл.)'),
(3,	697,	'Війтівці (Хмельницька обл.)'),
(1,	697,	'Войтовцы (Хмельницкая обл.)'),
(3,	698,	'Вікно'),
(1,	698,	'Окно '),
(3,	699,	'Вікторів'),
(1,	699,	'Викторов'),
(3,	700,	'Вікторівка'),
(1,	700,	'Викторовка'),
(3,	701,	'Вікторія'),
(1,	701,	'Виктория'),
(3,	702,	'Вільне (Донецька обл.)'),
(1,	702,	'Вольное (Донецкая обл.)'),
(3,	703,	'Вільне (Кіровоградська обл.)'),
(1,	703,	'Вольное (Кировоградская обл.)'),
(3,	704,	'Вільне (Криворізький р-н)'),
(1,	704,	'Вольное (Криворожский р-н)'),
(3,	705,	'Вільне (Сумська обл.)'),
(1,	705,	'Вольное'),
(3,	706,	'Вільне (Чернігівська обл.)'),
(1,	706,	'Вольное (Черниговская обл.)'),
(3,	707,	'Вільне(Новомосковський р-н)'),
(1,	707,	'Вольное(Новомосковский р-н)'),
(3,	708,	'Вільногірськ'),
(1,	708,	'Вольногорск'),
(3,	709,	'Вільнянка'),
(1,	709,	'Вольнянка'),
(3,	710,	'Вільнянськ'),
(1,	710,	'Вольнянск'),
(3,	711,	'Вільхівка (Івано-Франківська обл.)'),
(1,	711,	'Ольховка (Ивано-Франковская обл.)'),
(3,	712,	'Вільхівці'),
(1,	712,	'Ольховцы'),
(3,	713,	'Вільхівці-Лази'),
(1,	713,	'Ольховцы-Лазы '),
(3,	714,	'Вільховець'),
(1,	714,	'Ольховец'),
(3,	715,	'Вільховець (Хмельницька обл.)'),
(1,	715,	'Вильховець (Хмельницкая обл.)'),
(3,	716,	'Вільча'),
(1,	716,	'Вильча'),
(3,	717,	'Вільшана (Харківська обл.)'),
(1,	717,	'Ольшана (Харьковская обл.)'),
(3,	718,	'Вільшана (Черкаська обл.)'),
(1,	718,	'Вильшана (Черкаская обл.)'),
(3,	719,	'Вільшана(Сумська обл.)'),
(1,	719,	'Ольшана(Сумская обл.)'),
(3,	720,	'Вільшани (Харківська обл.)'),
(1,	720,	'Ольшани (Харьковская обл.)'),
(3,	721,	'Вільшаник'),
(1,	721,	'Ольшаник'),
(3,	722,	'Вільшаниця'),
(1,	722,	'Ольшаница'),
(3,	723,	'Вільшанка (Кіровоградська обл.)'),
(1,	723,	'Ольшанка (Кировоградская обл.)'),
(3,	724,	'Вільшанка (Новоархангельський р-н)'),
(1,	724,	'Ольшанка (Новоархангельский р-н)'),
(3,	725,	'Вільшанка (Одеська обл.)'),
(1,	725,	'Ольшанка (Одесская обл)'),
(3,	726,	'Вільшанська Новоселиця'),
(1,	726,	'Ольшанская Новоселица'),
(3,	727,	'Вінницькі Стави'),
(1,	727,	'Винницкие Ставы '),
(3,	728,	'Вінницькі Хутори'),
(1,	728,	'Винницкие Хутора'),
(3,	729,	'Вінниця'),
(1,	729,	'Винница'),
(3,	730,	'Віньківці'),
(1,	730,	'Виньковцы'),
(3,	731,	'Вістова'),
(1,	731,	'Вестовая'),
(3,	732,	'Вістовичі'),
(1,	732,	'Вистовичи'),
(3,	733,	'Віта-Поштова'),
(1,	733,	'Вита-Почтовая'),
(3,	734,	'Вітковичі'),
(1,	734,	'Витковичи'),
(3,	735,	'Вітове'),
(1,	735,	'Витово'),
(3,	736,	'Вітрянка'),
(1,	736,	'Ветрянка'),
(3,	737,	'Владиславівка (Млинівський р-н)'),
(1,	737,	'Владиславовка (Млиновский р-н)'),
(3,	738,	'Владиславка'),
(1,	738,	'Владиславка'),
(3,	739,	'Владична'),
(1,	739,	'Владична'),
(3,	740,	'Владівка'),
(1,	740,	'Владовка'),
(3,	741,	'Власівка'),
(1,	741,	'Власовка'),
(3,	742,	'Вовківці'),
(1,	742,	'Вовковцы'),
(3,	743,	'Вовковинці'),
(1,	743,	'Волковинцы'),
(3,	744,	'Вовчанськ'),
(1,	744,	'Волчанск'),
(3,	745,	'Вовчанське'),
(1,	745,	'Волчанское'),
(3,	746,	'Вовчанські Хутори'),
(1,	746,	'Волчанские Хутора'),
(3,	747,	'Вовче'),
(1,	747,	'Волчье'),
(3,	748,	'Вовчик'),
(1,	748,	'Вовчик'),
(3,	749,	'Вовчинець'),
(1,	749,	'Волчинец'),
(3,	750,	'Вовчищовичі'),
(1,	750,	'Волчищовичи'),
(3,	751,	'Вовчків'),
(1,	751,	'Волчков'),
(3,	752,	'Вовчківці'),
(1,	752,	'Волчковцы'),
(3,	753,	'Вовчухи'),
(1,	753,	'Волчухи'),
(3,	754,	'Водиця'),
(1,	754,	'Водица'),
(3,	755,	'Водяна Балка'),
(1,	755,	'Водяная Балка'),
(3,	756,	'Водяне (Кам\'янсько-Дніпровський р-н)'),
(1,	756,	'Водяное (Каменско-Днепровский р-н)'),
(3,	757,	'Водяники'),
(1,	757,	'Водяники'),
(3,	758,	'Воєгоща'),
(1,	758,	'Воегоща'),
(3,	759,	'Воздвижівка'),
(1,	759,	'Воздвижевка'),
(3,	760,	'Вознесенка'),
(1,	760,	'Вознесенка'),
(3,	761,	'Вознесенськ'),
(1,	761,	'Вознесенск'),
(3,	762,	'Возсіятське'),
(1,	762,	'Воссиятское'),
(3,	763,	'Войнилів'),
(1,	763,	'Войнилов'),
(3,	764,	'Войнівка'),
(1,	764,	'Войновка'),
(3,	765,	'Войтове'),
(1,	765,	'Войтово'),
(3,	766,	'Вокзал-Городня'),
(1,	766,	'Вокзал-Городня'),
(3,	767,	'Волиця'),
(1,	767,	'Волица'),
(3,	768,	'Волиця (Жовківський р-н)'),
(1,	768,	'Волица (Жолковский р-н)'),
(3,	769,	'Волиця (Львівська обл.)'),
(1,	769,	'Волица (Львовская обл.)'),
(3,	770,	'Волиця (Мостиський р-н., Львівська обл.)'),
(1,	770,	'Волица (Мостиский р-н., Львовская обл.)'),
(3,	771,	'Волноваха'),
(1,	771,	'Волноваха'),
(3,	772,	'Воловець'),
(1,	772,	'Воловец'),
(3,	773,	'Володарка'),
(1,	773,	'Володарка'),
(3,	774,	'Володимир-Волинський'),
(1,	774,	'Владимир-Волынский'),
(3,	775,	'Володимирець'),
(1,	775,	'Владимирец'),
(3,	776,	'Володимирівка (Волинська обл.)'),
(1,	776,	'Владимировка (Волынская обл.)'),
(3,	777,	'Володимирівка (Донецька обл.)'),
(1,	777,	'Владимировка (Донецкая обл.)'),
(3,	778,	'Володимирівка (Запорізька обл.)'),
(1,	778,	'Владимировка (Запорожская обл.)'),
(3,	779,	'Володимирівка (Знам\'янський р-н.)'),
(1,	779,	'Владимировка (Знаменский р-н.)'),
(3,	780,	'Володимирівка (Казанківський р-н)'),
(1,	780,	'Владимировка (Казанский р-н)'),
(3,	781,	'Володимирівка (Київська обл.)'),
(1,	781,	'Владимировка (Киевская обл.)'),
(3,	782,	'Володимирівка (Петрівський р-н.)'),
(1,	782,	'Владимировка (Петровский р-н.)'),
(3,	783,	'Володимирівське'),
(1,	783,	'Владимировское'),
(3,	785,	'Волока'),
(1,	785,	'Волока'),
(3,	786,	'Волосів'),
(1,	786,	'Волосов'),
(3,	787,	'Волосківці'),
(1,	787,	'Волосковцы'),
(3,	788,	'Волосянка'),
(1,	788,	'Волосянка'),
(3,	789,	'Волочиськ'),
(1,	789,	'Волочиск'),
(3,	790,	'Волошинівка'),
(1,	790,	'Волошиновка'),
(3,	791,	'Волсвин'),
(1,	791,	'Волсвин'),
(3,	792,	'Воля-Блажівська'),
(1,	792,	'Воля-Блажевская'),
(3,	793,	'Воля-Висоцька'),
(1,	793,	'Воля-Высоцкая'),
(3,	794,	'Воля-Задеревацька'),
(1,	794,	'Воля-Задеревацкая'),
(3,	795,	'Воля-Любитівська'),
(1,	795,	'Воля-Любитовская'),
(3,	796,	'Вонігове'),
(1,	796,	'Вонигово'),
(3,	797,	'Ворзель'),
(1,	797,	'Ворзель'),
(3,	798,	'Вороб\'ївка'),
(1,	798,	'Воробьевка'),
(3,	799,	'Ворожба (Білопільський р-н)'),
(1,	799,	'Ворожба (Белопольский р-н)'),
(3,	800,	'Ворожба (Лебединський р-н)'),
(1,	800,	'Ворожба (Лебединский р-н)'),
(3,	801,	'Вороне'),
(1,	801,	'Вороное'),
(3,	802,	'Воронівка'),
(1,	802,	'Вороновка'),
(3,	803,	'Вороніж'),
(1,	803,	'Воронеж'),
(3,	804,	'Воронки'),
(1,	804,	'Воронки'),
(3,	805,	'Вороновиця'),
(1,	805,	'Вороновица'),
(3,	806,	'Вороньків'),
(1,	806,	'Вороньков'),
(3,	807,	'Вороняки'),
(1,	807,	'Вороняки'),
(3,	808,	'Воропаїв'),
(1,	808,	'Воропаев'),
(3,	809,	'Ворохта'),
(1,	809,	'Ворохта'),
(3,	810,	'Вороців'),
(1,	810,	'Вороцев'),
(3,	811,	'Воскресенка'),
(1,	811,	'Воскресенка'),
(3,	812,	'Воскресенка (Херсонська обл.)'),
(1,	812,	'Воскресенка (Херсонская обл.)'),
(3,	813,	'Воскресенське (Миколаївська обл.)'),
(1,	813,	'Воскресенское (Николаевская обл.)'),
(3,	814,	'Воютин'),
(1,	814,	'Воютын'),
(3,	815,	'Воютичі'),
(1,	815,	'Воютичи'),
(3,	816,	'Врадіївка'),
(1,	816,	'Врадиевка'),
(3,	817,	'Времівка'),
(1,	817,	'Времьевка'),
(3,	818,	'Вугледар'),
(1,	818,	'Угледар'),
(3,	819,	'Вузлове'),
(1,	819,	'Узловое'),
(3,	820,	'Гаврилівка'),
(1,	820,	'Гавриловка'),
(3,	821,	'Гаврилівка (Івано-Франківська обл.)'),
(1,	821,	'Гавриловка (Ивано-Франковская обл.)'),
(3,	822,	'Гаврилівка (Харківська обл.)'),
(1,	822,	'Гавриловка (Харьковская обл.)'),
(3,	823,	'Гаврилівка (Хмельницька обл)'),
(1,	823,	'Гавриловка (Хмельницкая обл)'),
(3,	824,	'Гавришівка'),
(1,	824,	'Гавришовка'),
(3,	825,	'Гавронщина'),
(1,	825,	'Гавронщина'),
(3,	826,	'Гадяч'),
(1,	826,	'Гадяч'),
(3,	827,	'Гаї-Шевченківські'),
(1,	827,	'Гаи-Шевченковские'),
(3,	828,	'Гайворон'),
(1,	828,	'Гайворон'),
(3,	829,	'Гайсин'),
(1,	829,	'Гайсин'),
(3,	830,	'Гайшин'),
(1,	830,	'Гайшин'),
(3,	831,	'Галаганівка'),
(1,	831,	'Галагановка'),
(3,	832,	'Галаганівка (Черкаська обл.)'),
(1,	832,	'Галагановка (Черкасская обл.)'),
(3,	833,	'Галинка'),
(1,	833,	'Галинка'),
(3,	834,	'Галицинове'),
(1,	834,	'Галицыново'),
(3,	835,	'Галиця'),
(1,	835,	'Галица'),
(3,	836,	'Галич'),
(1,	836,	'Галич'),
(3,	837,	'Галичани'),
(1,	837,	'Галичаны'),
(3,	838,	'Галущина Гребля'),
(1,	838,	'Галущина Гребля '),
(3,	839,	'Гальчинці'),
(1,	839,	'Гальченци'),
(3,	840,	'Гамаліївка'),
(1,	840,	'Гамалиевка'),
(3,	841,	'Гандрабури'),
(1,	841,	'Гандрабуры'),
(3,	842,	'Ганичі'),
(1,	842,	'Ганичи'),
(3,	843,	'Ганнівка (Долинський р-н., Кіровоградська обл.)'),
(1,	843,	'Анновка (Долинский р-н., Кировоградская обл.)'),
(3,	844,	'Ганнівка (Запорізька обл.)'),
(1,	844,	'Анновка (Запорожская обл.)'),
(3,	845,	'Ганнівка (Петрівський р-н., Кіровоградська обл)'),
(1,	845,	'Анновка (Петровский р-н., Кировоградская обл.)'),
(3,	846,	'Ганнівка-Вирівська'),
(1,	846,	'Анновка-Вировская'),
(3,	847,	'Ганнопіль'),
(1,	847,	'Аннополь'),
(3,	848,	'Гаразджа'),
(1,	848,	'Гаразджа'),
(3,	849,	'Гарасимів'),
(1,	849,	'Гарасимов'),
(3,	850,	'Гарбузин'),
(1,	850,	'Гарбузин'),
(3,	851,	'Гарячківка'),
(1,	851,	'Горячковка'),
(3,	852,	'Гать'),
(1,	852,	'Гать'),
(3,	853,	'Гвардійське (Дніпропетровськ)'),
(1,	853,	'Гвардейское (Днепропетровск)'),
(3,	854,	'Гвардійське (Одеська обл.)'),
(1,	854,	'Гвардейское (Одесская обл.)'),
(3,	856,	'Гвіздець'),
(1,	856,	'Гвоздец'),
(3,	857,	'Гвіздів'),
(1,	857,	'Гвоздев'),
(3,	858,	'Гвіздівці'),
(1,	858,	'Гвоздовцы'),
(3,	859,	'Гвоздавка Друга'),
(1,	859,	'Гвоздавка Вторая'),
(3,	860,	'Гельмязів'),
(1,	860,	'Гельмязов'),
(3,	861,	'Геніївка'),
(1,	861,	'Гениевка'),
(3,	862,	'Генічеськ'),
(1,	862,	'Геническ'),
(3,	863,	'Гериня'),
(1,	863,	'Герыня'),
(3,	864,	'Гермаківка'),
(1,	864,	'Гермаковка'),
(3,	865,	'Геронимівка'),
(1,	865,	'Геронимовка'),
(3,	866,	'Герца'),
(1,	866,	'Герца'),
(3,	867,	'Гиряві Ісківці '),
(1,	867,	'Гирявые Исковцы'),
(3,	868,	'Гійче'),
(1,	868,	'Гийче'),
(3,	869,	'Гірка Полонка'),
(1,	869,	'Горькая Полонка'),
(3,	870,	'Гірки'),
(1,	870,	'Горки'),
(3,	871,	'Гірне'),
(1,	871,	'Горное'),
(3,	872,	'Гірник'),
(1,	872,	'Горняк'),
(3,	873,	'Гірник (Львівська обл.)'),
(1,	873,	'Горняк (Львовская обл.)'),
(3,	874,	'Гірсівка'),
(1,	874,	'Гирсовка'),
(3,	875,	'Гірське'),
(1,	875,	'Горское'),
(3,	876,	'Гірське (Львівська обл.)'),
(1,	876,	'Горское (Львовская обл.)'),
(3,	877,	'Главані'),
(1,	877,	'Главани'),
(3,	878,	'Гладківка'),
(1,	878,	'Гладковка'),
(3,	879,	'Гладківщина'),
(1,	879,	'Гладковщина'),
(3,	880,	'Гладковичі'),
(1,	880,	'Гладковичи'),
(3,	881,	'Гланишів'),
(1,	881,	'Гланышев'),
(3,	882,	'Глеваха'),
(1,	882,	'Глеваха'),
(3,	883,	'Глибока'),
(1,	883,	'Глыбокая'),
(3,	884,	'Глибоке'),
(1,	884,	'Глубокое'),
(3,	885,	'Глибоке (Харківська обл.)'),
(1,	885,	'Глубокое (Харьковская обл.) '),
(3,	886,	'Глибочиця'),
(1,	886,	'Глубочица'),
(3,	887,	'Глибочок (Кам\'янська сільська рада)'),
(1,	887,	'Глубочек (Каменский сельский совет)'),
(3,	888,	'Глиниця'),
(1,	888,	'Глиница'),
(3,	889,	'Глинне (Рокитнівський р-н, Рівненська обл.)'),
(1,	889,	'Глинное (Рокитнянский р-н, Ровненская обл.)'),
(3,	890,	'Глинськ (Вінницька обл.)'),
(1,	890,	'Глинск (Винницкая обл.)'),
(3,	891,	'Глинськ (Кіровоградська обл.)'),
(1,	891,	'Глинск (Кировоградская обл.)'),
(3,	892,	'Глинськ (Рівненська обл.)'),
(1,	892,	'Глинск (Ровенская обл.)'),
(3,	893,	'Глиняни'),
(1,	893,	'Глиняны'),
(3,	894,	'Глібівка'),
(1,	894,	'Глебовка'),
(3,	895,	'Глобине'),
(1,	895,	'Глобино'),
(3,	896,	'Глодоси'),
(1,	896,	'Глодосы'),
(3,	897,	'Глухів (Сумська обл.)'),
(1,	897,	'Глухов (Сумская обл.)'),
(3,	898,	'Глухівці'),
(1,	898,	'Глуховцы'),
(3,	899,	'Глушків'),
(1,	899,	'Глушков'),
(3,	900,	'Глушківка'),
(1,	900,	'Глушковка'),
(3,	901,	'Гмирянка'),
(1,	901,	'Гмирянка'),
(3,	902,	'Гнатків'),
(1,	902,	'Гнатков'),
(3,	903,	'Гнилички'),
(1,	903,	'Гнилички'),
(3,	904,	'Гнівань'),
(1,	904,	'Гнивань'),
(3,	905,	'Гнідин'),
(1,	905,	'Гнедин'),
(3,	906,	'Гнідинці'),
(1,	906,	'Гнединцы'),
(3,	907,	'Гніздичів'),
(1,	907,	'Гнездычев'),
(3,	908,	'Говтвянчик'),
(1,	908,	'Говтвянчик'),
(3,	909,	'Гоголеве (Полтавська обл.)'),
(1,	909,	'Гоголево (Полтавская обл.)'),
(3,	910,	'Гоголів(Броварський р-н)'),
(1,	910,	'Гоголев(Броварской р-н)'),
(3,	911,	'Годинівка'),
(1,	911,	'Годыновка'),
(3,	912,	'Гожули'),
(1,	912,	'Гожулы'),
(3,	913,	'Гола Пристань'),
(1,	913,	'Голая Пристань'),
(3,	914,	'Голгоча'),
(1,	914,	'Голгоча'),
(3,	915,	'Голинь'),
(1,	915,	'Голынь'),
(3,	916,	'Голишів (Рівненська обл.)'),
(1,	916,	'Голышев (Ровенская обл.)'),
(3,	917,	'Голоби'),
(1,	917,	'Голобы'),
(3,	918,	'Голобородьківське'),
(1,	918,	'Голобородьковское'),
(3,	919,	'Голованівськ'),
(1,	919,	'Голованевск'),
(3,	920,	'Головківка'),
(1,	920,	'Головковка'),
(3,	921,	'Головне'),
(1,	921,	'Головно'),
(3,	922,	'Головниця'),
(1,	922,	'Головница'),
(3,	923,	'Головурів'),
(1,	923,	'Головуров'),
(3,	924,	'Головчинці'),
(1,	924,	'Головчинцы'),
(3,	925,	'Голозубинці'),
(1,	925,	'Голозубинцы'),
(3,	926,	'Голосків'),
(1,	926,	'Голосков'),
(3,	927,	'Голосків (Хмельницька обл.)'),
(1,	927,	'Голосков (Хмельницкая обл.)'),
(3,	928,	'Голубине'),
(1,	928,	'Голубиное'),
(3,	929,	'Голубівка'),
(1,	929,	'Голубовка'),
(3,	930,	'Гольма '),
(1,	930,	'Гольма '),
(3,	931,	'Гончарівка'),
(1,	931,	'Гончаровка'),
(3,	932,	'Гончарівське'),
(1,	932,	'Гончаровское'),
(3,	933,	'Гоптівка'),
(1,	933,	'Гоптовка'),
(3,	934,	'Гопчиця'),
(1,	934,	'Гопчиця'),
(3,	935,	'Гора (Бориспільський р-н., Київська обл.)'),
(1,	935,	'Гора (Бориспольский р-н., Киевская обл.)'),
(3,	936,	'Гораймівка'),
(1,	936,	'Гораймовка'),
(3,	937,	'Горбаків'),
(1,	937,	'Горбаков'),
(3,	938,	'Горбова'),
(1,	938,	'Горбова'),
(3,	939,	'Горбове'),
(1,	939,	'Горбово'),
(3,	940,	'Гордіївка'),
(1,	940,	'Гордиевка'),
(3,	941,	'Гореничі'),
(1,	941,	'Гореничи'),
(3,	942,	'Горенка'),
(1,	942,	'Горенка'),
(3,	943,	'Горинка'),
(1,	943,	'Горынка'),
(3,	944,	'Горінчово'),
(1,	944,	'Горинчово'),
(3,	945,	'Горішнє Залуччя'),
(1,	945,	'Горишнее Залучье'),
(3,	946,	'Горішні Плавні'),
(1,	946,	'Горишние Плавни'),
(3,	947,	'Горішні Шерівці'),
(1,	947,	'Горишние Шеровцы'),
(3,	948,	'Горностаївка'),
(1,	948,	'Горностаевка'),
(3,	949,	'Горностайпіль'),
(1,	949,	'Горностайполь'),
(3,	950,	'Горобіївка'),
(1,	950,	'Горобиевка'),
(3,	951,	'Городенка'),
(1,	951,	'Городенка'),
(3,	952,	'Городець'),
(1,	952,	'Городец'),
(3,	953,	'Городецьке'),
(1,	953,	'Городецкое'),
(3,	954,	'Городище (Березнівський р-н.)'),
(1,	954,	'Городище (Березновский р-н.)'),
(3,	955,	'Городище (Луганська обл.)'),
(1,	955,	'Городище (Луганская обл.)'),
(3,	956,	'Городище (Менський р-н)'),
(1,	956,	'Городище (Менський р-н)'),
(3,	957,	'Городище (Рівненський р-н., Рівненська обл.)'),
(1,	957,	'Городище (Ровенский р-н., Ровенская обл.)'),
(3,	958,	'Городище (Черкаська обл.)'),
(1,	958,	'Городище (Черкасская обл.)'),
(3,	959,	'Городище-Косівське'),
(1,	959,	'Городище-Косовское'),
(3,	960,	'Городище-Пустоварівське'),
(1,	960,	'Городище-Пустоваровское'),
(3,	961,	'Городківка'),
(1,	961,	'Городковка'),
(3,	962,	'Городниця (Житомирська обл.)'),
(1,	962,	'Городница (Житомирская обл.)'),
(3,	963,	'Городня'),
(1,	963,	'Городня'),
(3,	964,	'Городок (Волинська обл.)'),
(1,	964,	'Городок (Волынская обл.)'),
(3,	965,	'Городок (Житомирська обл.)'),
(1,	965,	'Городок (Житомирская обл.)'),
(3,	966,	'Городок (Рівненська обл.)'),
(1,	966,	'Городок (Ровенская обл.)'),
(3,	967,	'Городок (Хмельницька обл.)'),
(1,	967,	'Городок (Хмельницкая обл.)'),
(3,	968,	'Городок(Львівська обл.)'),
(1,	968,	'Городок(Львовская обл.)'),
(3,	969,	'Горонда'),
(1,	969,	'Горонда'),
(3,	970,	'Горохів'),
(1,	970,	'Горохов'),
(3,	971,	'Горошова'),
(1,	971,	'Горошова'),
(3,	972,	'Горщик'),
(1,	972,	'Горщик'),
(3,	973,	'Горького'),
(1,	973,	'Горького'),
(3,	974,	'Горянівське'),
(1,	974,	'Горяновское'),
(3,	975,	'Гостра Могила'),
(1,	975,	'Острая Могила'),
(3,	976,	'Гостре'),
(1,	976,	'Гострое'),
(3,	977,	'Гостролуччя'),
(1,	977,	'Остролучье'),
(3,	978,	'Гошів'),
(1,	978,	'Гошев'),
(3,	979,	'Гоща'),
(1,	979,	'Гоща'),
(3,	980,	'Грабів'),
(1,	980,	'Грабов'),
(3,	981,	'Грабів (Рівненська обл.)'),
(1,	981,	'Грабов (Ровенская обл.)'),
(3,	982,	'Грабівка'),
(1,	982,	'Грабовка'),
(3,	983,	'Грабове'),
(1,	983,	'Грабово'),
(3,	984,	'Градениці'),
(1,	984,	'Граденицы'),
(3,	985,	'Градизьк'),
(1,	985,	'Градижск'),
(3,	986,	'Градівка'),
(1,	986,	'Градовка'),
(3,	987,	'Гранів'),
(1,	987,	'Гранов'),
(3,	988,	'Гранівка (Рівненська обл.)'),
(1,	988,	'Грановка ((Ровенская обл.)'),
(3,	989,	'Гранітне'),
(1,	989,	'Гранитное'),
(3,	990,	'Гранітне (Житомирська обл.)'),
(1,	990,	'Гранитное (Житомирская обл.)'),
(3,	991,	'Гребеники'),
(1,	991,	'Гребеники'),
(3,	992,	'Гребениківка'),
(1,	992,	'Гребениковка'),
(3,	993,	'Гребінка (Полтавська обл.)'),
(1,	993,	'Гребенка (Полтавская обл.)'),
(3,	994,	'Гребінки (Київська обл.)'),
(1,	994,	'Гребенки (Киевская обл.)'),
(3,	995,	'Гребля'),
(1,	995,	'Гребля'),
(3,	996,	'Грем\'яче'),
(1,	996,	'Гремячее'),
(3,	997,	'Гречишкине'),
(1,	997,	'Гречишкино'),
(3,	998,	'Грибовиця'),
(1,	998,	'Грибовиця'),
(3,	999,	'Григорівка'),
(1,	999,	'Григоровка'),
(3,	1000,	'Григорівка (Великобурлуцький р-н., Харків обл.)'),
(1,	1000,	'Григорьевка (Великобурлукский р-н., Харьков. обл.'),
(3,	1001,	'Григорівка (Світловодський р-н.,Кіровог. обл.)'),
(1,	1001,	'Григорьевка (Светловодский р-н., Кировог. обл.)'),
(3,	1002,	'Григорівка (Харківська обл.)'),
(1,	1002,	'Григоровка (Харьковская обл.)'),
(3,	1003,	'Григорівка (Херсонська обл.)'),
(1,	1003,	'Григорьевка (Херсонская обл.)'),
(3,	1004,	'Григорівка (Чернігівська обл.)'),
(1,	1004,	'Григоровка (Черниговская обл.)'),
(3,	1005,	'Гримайлів'),
(1,	1005,	'Гримайлов'),
(3,	1006,	'Гриненки'),
(1,	1006,	'Гриненки'),
(3,	1007,	'Гриців'),
(1,	1007,	'Грицев'),
(3,	1008,	'Гриціївка'),
(1,	1008,	'Грициевка'),
(3,	1009,	'Гришківці'),
(1,	1009,	'Гришковцы'),
(3,	1010,	'Грімне'),
(1,	1010,	'Громное'),
(3,	1011,	'Грінченкове'),
(1,	1011,	'Гринчинково'),
(3,	1012,	'Гродівка'),
(1,	1012,	'Гродовка'),
(3,	1013,	'Гроза'),
(1,	1013,	'Гроза'),
(3,	1014,	'Грозине'),
(1,	1014,	'Грозино'),
(3,	1015,	'Грозинці'),
(1,	1015,	'Грозинцы'),
(3,	1016,	'Громівка'),
(1,	1016,	'Громовка'),
(3,	1017,	'Грубна'),
(1,	1017,	'Грубна'),
(3,	1018,	'Грузевиця'),
(1,	1018,	'Грузевица'),
(3,	1019,	'Грузьке'),
(1,	1019,	'Грузское'),
(3,	1020,	'Грунь'),
(1,	1020,	'Грунь'),
(3,	1021,	'Грушине'),
(1,	1021,	'Грушино'),
(3,	1022,	'Грушівка'),
(1,	1022,	'Грушевка'),
(3,	1023,	'Грушівка (Дніпропетровська обл.)'),
(1,	1023,	'Грушевка (Днепропетровская обл.)'),
(3,	1024,	'Грушівці'),
(1,	1024,	'Грушевцы'),
(3,	1025,	'Грушка'),
(1,	1025,	'Грушка'),
(3,	1026,	'Грушка (Кіровоградська обл.)'),
(1,	1026,	'Грушка (Кировоградская обл.)'),
(3,	1027,	'Грушківка'),
(1,	1027,	'Грушковка'),
(3,	1028,	'Грушківці'),
(1,	1028,	'Грушковцы'),
(3,	1029,	'Грушово'),
(1,	1029,	'Грушево'),
(3,	1030,	'Гряда'),
(1,	1030,	'Гряда'),
(3,	1031,	'Губарівка'),
(1,	1031,	'Губаровка'),
(3,	1032,	'Губиниха'),
(1,	1032,	'Губиниха'),
(3,	1033,	'Губник'),
(1,	1033,	'Губник'),
(3,	1034,	'Гузіїв'),
(1,	1034,	'Гузиев'),
(3,	1035,	'Гуйва'),
(1,	1035,	'Гуйва'),
(3,	1036,	'Гуляйпільське'),
(1,	1036,	'Гуляйпольское'),
(3,	1037,	'Гуляйполе'),
(1,	1037,	'Гуляйполе'),
(3,	1038,	'Гуляйполе (Дніпропетровська обл.)'),
(1,	1038,	'Гуляйполе (Днепропетровская обл.)'),
(3,	1039,	'Гулянка'),
(1,	1039,	'Гулянка'),
(3,	1040,	'Гуменці'),
(1,	1040,	'Гуменцы'),
(3,	1041,	'Гупалівка'),
(1,	1041,	'Гупаловка'),
(3,	1042,	'Гур\'ївка'),
(1,	1042,	'Гурьевка'),
(3,	1043,	'Гурбинці'),
(1,	1043,	'Гурбинцы'),
(3,	1044,	'Гуринівка'),
(1,	1044,	'Гуриновка'),
(3,	1045,	'Гурівщина'),
(1,	1045,	'Гуровщина'),
(3,	1046,	'Гусарівка'),
(1,	1046,	'Гусаровка'),
(3,	1047,	'Гусятин'),
(1,	1047,	'Гусятин'),
(3,	1048,	'Гути'),
(1,	1048,	'Гуты'),
(3,	1049,	'Гущинці'),
(1,	1049,	'Гущинцы'),
(3,	1050,	'Давидів'),
(1,	1050,	'Давыдов'),
(3,	1051,	'Давидівка (Запорізька обл.)'),
(1,	1051,	'Давыдовка (Запорожская обл.)'),
(3,	1052,	'Давидівка (Полтавська обл.)'),
(1,	1052,	'Давидовка (Полтавская обл.)'),
(3,	1053,	'Давидівка (Чернівецька обл.)'),
(1,	1053,	'Давыдовка (Черновицкая обл.)'),
(3,	1054,	'Дальник'),
(1,	1054,	'Дальник'),
(3,	1055,	'Данилівка'),
(1,	1055,	'Даниловка'),
(3,	1056,	'Данилово'),
(1,	1056,	'Данилово'),
(3,	1057,	'Данківці'),
(1,	1057,	'Данковцы'),
(3,	1058,	'Дар\'ївка'),
(1,	1058,	'Дарьевка'),
(3,	1059,	'Дарахів'),
(1,	1059,	'Дарахов'),
(3,	1060,	'Дарівка'),
(1,	1060,	'Даровка'),
(3,	1061,	'Дачне'),
(1,	1061,	'Дачное'),
(3,	1062,	'Дачне (Донецька обл.)'),
(1,	1062,	'Дачное (Донецкая обл.)'),
(3,	1063,	'Дашава'),
(1,	1063,	'Дашава'),
(3,	1064,	'Дашів'),
(1,	1064,	'Дашев'),
(3,	1065,	'Двірець'),
(1,	1065,	'Дворец'),
(3,	1066,	'Двірці'),
(1,	1066,	'Дворцы'),
(3,	1067,	'Дворічна'),
(1,	1067,	'Двуречная'),
(3,	1068,	'Дворічний Кут'),
(1,	1068,	'Двуречный Кут'),
(3,	1069,	'Дебальцеве'),
(1,	1069,	'Дебальцево'),
(3,	1070,	'Девладове'),
(1,	1070,	'Девладово'),
(3,	1071,	'Делева'),
(1,	1071,	'Делева'),
(3,	1072,	'Делень'),
(1,	1072,	'Делень'),
(3,	1073,	'Дельжилер'),
(1,	1073,	'Дельжилер'),
(3,	1074,	'Делятин'),
(1,	1074,	'Делятин'),
(3,	1075,	'Дем\'янів'),
(1,	1075,	'Демьянов'),
(3,	1076,	'Дем\'янівка'),
(1,	1076,	'Демьяновка'),
(3,	1077,	'Демидів'),
(1,	1077,	'Демидов'),
(3,	1078,	'Демидівка'),
(1,	1078,	'Демидовка'),
(3,	1079,	'Демидівка (Вінницька обл.)'),
(1,	1079,	'Демидовка (Винницкая обл.)'),
(3,	1080,	'Демидове'),
(1,	1080,	'Демидово'),
(3,	1081,	'Дениси'),
(1,	1081,	'Денисы'),
(3,	1082,	'Денихівка'),
(1,	1082,	'Дениховка'),
(3,	1083,	'Дениші'),
(1,	1083,	'Дениши'),
(3,	1084,	'Деражне'),
(1,	1084,	'Деражное'),
(3,	1085,	'Деражня'),
(1,	1085,	'Деражня'),
(3,	1086,	'Дергачі'),
(1,	1086,	'Дергачи'),
(3,	1087,	'Деребчин'),
(1,	1087,	'Деребчин'),
(3,	1088,	'Дережичі'),
(1,	1088,	'Дережичи'),
(3,	1089,	'Дерезувате'),
(1,	1089,	'Дерезоватое'),
(3,	1090,	'Деренковець'),
(1,	1090,	'Деренковец'),
(3,	1091,	'Деріївка'),
(1,	1091,	'Дериевка'),
(3,	1092,	'Деркачівка'),
(1,	1092,	'Деркачовка'),
(3,	1093,	'Дермань Друга'),
(1,	1093,	'Дермань Вторая'),
(3,	1094,	'Дерно'),
(1,	1094,	'Дерно'),
(3,	1095,	'Дернове'),
(1,	1095,	'Дерновое'),
(3,	1096,	'Дерцен'),
(1,	1096,	'Дерцен'),
(3,	1097,	'Десантне'),
(1,	1097,	'Десантное'),
(3,	1098,	'Десна (Вінницька обл.)'),
(1,	1098,	'Десна (Винницкая обл.)'),
(3,	1099,	'Десна (Чернігівська обл.)'),
(1,	1099,	'Десна (Черниговская обл.)'),
(3,	1100,	'Деснянське'),
(1,	1100,	'Деснянское'),
(3,	1101,	'Джулинка (Бершадський р-н)'),
(1,	1101,	'Джулинка (Бершадской р-н)'),
(3,	1102,	'Джурин (Шаргородський р-н.)'),
(1,	1102,	'Джурин (Шаргородский р-н)'),
(3,	1103,	'Дзвиняч'),
(1,	1103,	'Дзвиняч'),
(3,	1104,	'Дзензелівка'),
(1,	1104,	'Дзензелевка'),
(3,	1105,	'Дзюньків'),
(1,	1105,	'Дзюньков'),
(3,	1106,	'Дибинці'),
(1,	1106,	'Дыбинцы'),
(3,	1107,	'Дийда'),
(1,	1107,	'Дыйда'),
(3,	1108,	'Диканька'),
(1,	1108,	'Диканька'),
(3,	1109,	'Диківка'),
(1,	1109,	'Диковка'),
(3,	1110,	'Димер'),
(1,	1110,	'Дымер'),
(3,	1111,	'Димка'),
(1,	1111,	'Дымка'),
(3,	1112,	'Динівці'),
(1,	1112,	'Диновцы'),
(3,	1113,	'Дирдин'),
(1,	1113,	'Дырдин'),
(3,	1114,	'Дитятки'),
(1,	1114,	'Дитятки'),
(3,	1115,	'Дихтинець'),
(1,	1115,	'Дихтинец'),
(3,	1116,	'Дібрівка'),
(1,	1116,	'Дибровка'),
(3,	1117,	'Дібрівне'),
(1,	1117,	'Дибровное'),
(3,	1118,	'Дібрівськ'),
(1,	1118,	'Дибровск'),
(3,	1120,	'Дівички'),
(1,	1120,	'Девички'),
(3,	1121,	'Дігтярі'),
(1,	1121,	'Дегтяри'),
(3,	1122,	'Дідичі'),
(1,	1122,	'Дедычи'),
(3,	1123,	'Ділове'),
(1,	1123,	'Деловое'),
(3,	1124,	'Дмитрашківка'),
(1,	1124,	'Дмитрашковка'),
(3,	1125,	'Дмитрівка (Дніпропетровська обл.)'),
(1,	1125,	'Дмитровка (Днепропетровская обл.)'),
(3,	1126,	'Дмитрівка (Донецька обл.)'),
(1,	1126,	'Дмитровка (Донецкая обл.)'),
(3,	1127,	'Дмитрівка (Запорізька обл.)'),
(1,	1127,	'Дмитровка (Запорожская обл.)'),
(3,	1128,	'Дмитрівка (Знам\'янський р-н Кіровоградська обл.)'),
(1,	1128,	'Дмитровка (Знамянский р-н Кировоградская обл.)'),
(3,	1129,	'Дмитрівка (Києво- Святошинський р-н)'),
(1,	1129,	'Дмитровка (Киево-Святошинский р-н)'),
(3,	1130,	'Дмитрівка (Київська обл.)'),
(1,	1130,	'Дмитровка (Киевская обл.)'),
(3,	1131,	'Дмитрівка (Миколаївська обл.)'),
(1,	1131,	'Дмитровка (Николаевская обл.)'),
(3,	1132,	'Дмитрівка (Херсонська обл.)'),
(1,	1132,	'Дмитровка (Херсонская обл.)'),
(3,	1133,	'Дмитрівка (Чернігівська обл.)'),
(1,	1133,	'Дмитровка (Черниговская обл.)'),
(3,	1134,	'Дмитрушки'),
(1,	1134,	'Дмитрушки'),
(3,	1135,	'Дніпрельстан'),
(1,	1135,	'Днепрельстан'),
(3,	1136,	'Дніпро'),
(1,	1136,	'Днепр'),
(3,	1137,	'Дніпровка (Запорізька обл.)'),
(1,	1137,	'Днепровка (Запорожская обл.)'),
(3,	1138,	'Дніпровське'),
(1,	1138,	'Днепровское'),
(3,	1139,	'Дніпровське (Херсонська обл.)'),
(1,	1139,	'Днепровское (Херсонская обл.)'),
(3,	1140,	'Дніпрорудне'),
(1,	1140,	'Днепрорудное'),
(3,	1141,	'Дніпряни'),
(1,	1141,	'Днепряны'),
(3,	1142,	'Добра Криниця'),
(1,	1142,	'Добрая Криница'),
(3,	1143,	'Добре (Миколаївська обл.)'),
(1,	1143,	'Доброе (Николаевская обл.)'),
(3,	1144,	'Добровеличківка'),
(1,	1144,	'Добровеличковка'),
(3,	1145,	'Добровляни'),
(1,	1145,	'Добровляны'),
(3,	1146,	'Доброводи'),
(1,	1146,	'Доброводы'),
(3,	1147,	'Доброводи (Тернопільська обл.)'),
(1,	1147,	'Доброводы (Тернопольская обл.)'),
(3,	1148,	'Доброгостів'),
(1,	1148,	'Доброгостив'),
(3,	1149,	'Добромиль'),
(1,	1149,	'Добромиль'),
(3,	1150,	'Добронадіївка'),
(1,	1150,	'Добронадиевка'),
(3,	1151,	'Добропілля'),
(1,	1151,	'Доброполье'),
(3,	1152,	'Добросин'),
(1,	1152,	'Добросин'),
(3,	1153,	'Доброслав'),
(1,	1153,	'Доброслав'),
(3,	1154,	'Добротвір'),
(1,	1154,	'Добротвор'),
(3,	1155,	'Добротів'),
(1,	1155,	'Добротов'),
(3,	1156,	'Добряни'),
(1,	1156,	'Добряны'),
(3,	1157,	'Добрянка'),
(1,	1157,	'Добрянка'),
(3,	1158,	'Добрянка (Чернігівська обл.)'),
(1,	1158,	'Добрянка (Черниговская обл.)'),
(3,	1159,	'Довбиш'),
(1,	1159,	'Довбыш'),
(3,	1160,	'Довге (Закарпатська обл.)'),
(1,	1160,	'Долгое (Закарпатская обл.)'),
(3,	1161,	'Довге (Запорізька обл.)'),
(1,	1161,	'Долгое (Запорожская обл.)'),
(3,	1162,	'Довге (Львівська обл.)'),
(1,	1162,	'Долгое (Львовская обл.)'),
(3,	1163,	'Довге-Калуське'),
(1,	1163,	'Долгое-Калушское'),
(3,	1164,	'Довгий Войнилів'),
(1,	1164,	'Долгий Войнилов'),
(3,	1165,	'Довговоля'),
(1,	1165,	'Довговоля'),
(3,	1166,	'Довгомостиська'),
(1,	1166,	'Долгомостиска'),
(3,	1167,	'Довжик'),
(1,	1167,	'Должик'),
(3,	1168,	'Довжик (Житомирська обл.)'),
(1,	1168,	'Должик (Житомирская обл.)'),
(3,	1169,	'Довжик (Харківська обл.)'),
(1,	1169,	'Довжик (Харьковская обл.)'),
(3,	1170,	'Довжок'),
(1,	1170,	'Должок'),
(3,	1171,	'Довпотів'),
(1,	1171,	'Довпотов'),
(3,	1172,	'Докучаєвське'),
(1,	1172,	'Докучаевское'),
(3,	1173,	'Долина'),
(1,	1173,	'Долина'),
(3,	1174,	'Долина (Донецька обл.)'),
(1,	1174,	'Долина (Донецкая обл.)'),
(3,	1175,	'Долинівка'),
(1,	1175,	'Долиновка'),
(3,	1176,	'Долинка'),
(1,	1176,	'Долинка'),
(3,	1177,	'Долинська'),
(1,	1177,	'Долинская'),
(3,	1178,	'Долинське (Запорізький р-н)'),
(1,	1178,	'Долинское (Запорожский р-н)'),
(3,	1179,	'Долинське (Мелітопольський р-н)'),
(1,	1179,	'Долинское (Мелитопольский р-н)'),
(3,	1180,	'Долинське (Одеська обл.)'),
(1,	1180,	'Долинское (Одеська обл.)'),
(3,	1181,	'Долинське (Херсонська обл.)'),
(1,	1181,	'Долинское (Херсонская обл.)'),
(3,	1182,	'Долиняни'),
(1,	1182,	'Долиняны'),
(3,	1183,	'Долішнє Залуччя'),
(1,	1183,	'Долишнее Залучье'),
(3,	1184,	'Долішній Шепіт'),
(1,	1184,	'Долишний Шепот'),
(3,	1185,	'Доманівка'),
(1,	1185,	'Доманевка'),
(3,	1186,	'Домантове'),
(1,	1186,	'Домантово'),
(3,	1187,	'Донець(Балаклійський р-н)'),
(1,	1187,	'Донец(Балаклейский р-н)'),
(3,	1188,	'Донське'),
(1,	1188,	'Донское'),
(3,	1189,	'Донцівка'),
(1,	1189,	'Донцовка'),
(3,	1190,	'Доробратово'),
(1,	1190,	'Доробратово'),
(3,	1191,	'Дорожнянка'),
(1,	1191,	'Дорожнянка'),
(3,	1192,	'Дорошівка'),
(1,	1192,	'Дорошовка'),
(3,	1193,	'Дорошівці'),
(1,	1193,	'Дорошовцы'),
(3,	1194,	'Дослідне'),
(1,	1194,	'Дослидное'),
(3,	1195,	'Дослідницьке'),
(1,	1195,	'Дослидницкое'),
(3,	1196,	'Драбів'),
(1,	1196,	'Драбов'),
(3,	1198,	'Драбове-Барятинське'),
(1,	1198,	'Драбово-Барятинское'),
(3,	1199,	'Драгово'),
(1,	1199,	'Драгово'),
(3,	1200,	'Драниця'),
(1,	1200,	'Драница'),
(3,	1201,	'Драчинці'),
(1,	1201,	'Драчинцы'),
(3,	1202,	'Древині'),
(1,	1202,	'Древини'),
(3,	1203,	'Дробишеве'),
(1,	1203,	'Дробышево'),
(3,	1204,	'Дробишів'),
(1,	1204,	'Дробышев'),
(3,	1205,	'Дрогобич'),
(1,	1205,	'Дрогобыч'),
(3,	1206,	'Дроговиж'),
(1,	1206,	'Дроговиж'),
(3,	1207,	'Дроздинь (Рівненська обл.)'),
(1,	1207,	'Дроздынь (Ровенская обл.)'),
(3,	1208,	'Дроздні '),
(1,	1208,	'Дроздни'),
(3,	1209,	'Дружба (Донецька обл.)'),
(1,	1209,	'Дружба (Донецкая обл.)'),
(3,	1210,	'Дружба (Сумська обл.)'),
(1,	1210,	'Дружба (Сумська обл.)'),
(3,	1211,	'Дружба (Тернопільська обл.)'),
(1,	1211,	'Дружба (Тернопольская обл.)'),
(3,	1212,	'Дружківка'),
(1,	1212,	'Дружковка'),
(3,	1213,	'Дружнє'),
(1,	1213,	'Дружное'),
(3,	1214,	'Друхів'),
(1,	1214,	'Друхов'),
(3,	1215,	'Дуба'),
(1,	1215,	'Дуба'),
(3,	1216,	'Дубечне'),
(1,	1216,	'Дубечно'),
(3,	1217,	'Дубинове'),
(1,	1217,	'Дубиново'),
(3,	1218,	'Дубище'),
(1,	1218,	'Дубище'),
(3,	1219,	'Дубівка'),
(1,	1219,	'Дубовка'),
(3,	1220,	'Дубівці'),
(1,	1220,	'Дубовцы'),
(3,	1221,	'Дубівці (Івано-Франківська обл.)'),
(1,	1221,	'Дубовцы (Ивано-Франковская обл.)'),
(3,	1222,	'Дубіївка'),
(1,	1222,	'Дубиевка'),
(3,	1223,	'Дубляни (Львів.обл.,Жовків.р-н)'),
(1,	1223,	'Дубляны (Львов.обл.,Жовков.р-н)'),
(3,	1224,	'Дубляни (Самбірський р-н)'),
(1,	1224,	'Дубляны (Самборский р-н)'),
(3,	1225,	'Дублянка'),
(1,	1225,	'Дублянка'),
(3,	1226,	'Дубно'),
(1,	1226,	'Дубно'),
(3,	1227,	'Дубов\'язівка'),
(1,	1227,	'Дубовязовка'),
(3,	1228,	'Дубове'),
(1,	1228,	'Дубовое'),
(3,	1229,	'Дубове (Волинська обл.)'),
(1,	1229,	'Дубовое (Волынская обл.)'),
(3,	1230,	'Дубовики'),
(1,	1230,	'Дубовики'),
(3,	1231,	'Дубриничі'),
(1,	1231,	'Дубриничи'),
(3,	1232,	'Дубрівка'),
(1,	1232,	'Дубровка'),
(3,	1233,	'Дубровиця (Львівська обл.)'),
(1,	1233,	'Дубровица (Львовская обл.)'),
(3,	1234,	'Дубровиця (Рівненська обл.)'),
(1,	1234,	'Дубровица (Ровенская обл.)'),
(3,	1235,	'Дударків'),
(1,	1235,	'Дударков'),
(3,	1236,	'Дудчани'),
(1,	1236,	'Дудчаны'),
(3,	1237,	'Дудчине'),
(1,	1237,	'Дудчино'),
(3,	1238,	'Дуліби'),
(1,	1238,	'Дулибы'),
(3,	1239,	'Дулово'),
(1,	1239,	'Дулово'),
(3,	1240,	'Дунаєць'),
(1,	1240,	'Дунаец'),
(3,	1241,	'Дунаїв'),
(1,	1241,	'Дунаев'),
(3,	1242,	'Дунаївка'),
(1,	1242,	'Дунаевка '),
(3,	1243,	'Дунаївці'),
(1,	1243,	'Дунаевцы'),
(3,	1244,	'Дунаївці (Дунаєвецький р-н.)'),
(1,	1244,	'Дунаивцы (Дунаевецкий р-н.)'),
(3,	1245,	'Дусино'),
(1,	1245,	'Дусино'),
(3,	1246,	'Дядьковичі (Рівненський р-н)'),
(1,	1246,	'Дядьковичи (Ровненский р-н)'),
(3,	1247,	'Дяківці'),
(1,	1247,	'Дьяковцы'),
(3,	1248,	'Елітне'),
(1,	1248,	'Элитное'),
(3,	1249,	'Енергодар'),
(1,	1249,	'Энергодар'),
(3,	1250,	'Есмань'),
(1,	1250,	'Эсмань'),
(3,	1251,	'Есхар'),
(1,	1251,	'Эсхар'),
(3,	1252,	'Євгенівка'),
(1,	1252,	'Евгеновка'),
(3,	1253,	'Євсуг'),
(1,	1253,	'Евсуг'),
(3,	1254,	'Єгорівка'),
(1,	1254,	'Егоровка'),
(3,	1255,	'Єзупіль'),
(1,	1255,	'Езуполь'),
(3,	1256,	'Єланець'),
(1,	1256,	'Еланец'),
(3,	1257,	'Єлизаветівка'),
(1,	1257,	'Елизаветовка'),
(3,	1258,	'Ємилівка'),
(1,	1258,	'Емиловка'),
(3,	1259,	'Ємільчине'),
(1,	1259,	'Емильчино'),
(3,	1260,	'Єпіфанівка'),
(1,	1260,	'Епифановка'),
(3,	1261,	'Єреміївка'),
(1,	1261,	'Еремеевка'),
(3,	1262,	'Єрки'),
(1,	1262,	'Ерки'),
(3,	1263,	'Єрківці'),
(1,	1263,	'Ерковцы'),
(3,	1264,	'Єфремівка'),
(1,	1264,	'Ефремовка'),
(3,	1265,	'Жабокрич'),
(1,	1265,	'Жабокрыч'),
(3,	1266,	'Жаботин (Черкаська обл.)'),
(1,	1266,	'Жаботин (Черкасская обл.)'),
(3,	1267,	'Жалибори'),
(1,	1267,	'Жалиборы'),
(3,	1268,	'Жашків'),
(1,	1268,	'Жашков'),
(3,	1269,	'Жванець'),
(1,	1269,	'Жванец'),
(3,	1270,	'Жвирка'),
(1,	1270,	'Жвирка'),
(3,	1271,	'Жданівка (Дніпропетровська обл.)'),
(1,	1271,	'Ждановка (Днепропетровская обл.)'),
(3,	1272,	'Жденієво'),
(1,	1272,	'Ждениево'),
(3,	1273,	'Жежелів'),
(1,	1273,	'Жежелев'),
(3,	1274,	'Жердова'),
(1,	1274,	'Жердова'),
(3,	1275,	'Жердя'),
(1,	1275,	'Жердя'),
(3,	1276,	'Жеребкове'),
(1,	1276,	'Жеребково'),
(3,	1277,	'Живанівка'),
(1,	1277,	'Живановка'),
(3,	1278,	'Живачів'),
(1,	1278,	'Живачов'),
(3,	1279,	'Жигайлівка'),
(1,	1279,	'Жигайловка'),
(3,	1280,	'Жидачів'),
(1,	1280,	'Жидачов'),
(3,	1281,	'Жидичин'),
(1,	1281,	'Жидычин'),
(3,	1282,	'Житлівка'),
(1,	1282,	'Житловка'),
(3,	1283,	'Житні Гори'),
(1,	1283,	'Житные Горы'),
(3,	1284,	'Житомир'),
(1,	1284,	'Житомир'),
(3,	1285,	'Жихор'),
(1,	1285,	'Жихорь'),
(3,	1286,	'Жмеринка'),
(1,	1286,	'Жмеринка'),
(3,	1287,	'Жнятино'),
(1,	1287,	'Жнятино'),
(3,	1288,	'Жовква'),
(1,	1288,	'Жовква'),
(3,	1289,	'Жовкині'),
(1,	1289,	'Жовкини'),
(3,	1290,	'Жовнине'),
(1,	1290,	'Жовнино'),
(3,	1291,	'Жовта Круча'),
(1,	1291,	'Желтая Круча'),
(3,	1292,	'Жовтанці'),
(1,	1292,	'Жовтанцы'),
(3,	1293,	'Жовте'),
(1,	1293,	'Жолтое'),
(3,	1294,	'Жовте (П\'ятихатський р-н., Дніпропетровська обл.)'),
(1,	1294,	'Желтое (Пятихатский р-н., Днепропетровская обл.)'),
(3,	1295,	'Жовті Води'),
(1,	1295,	'Желтые Воды'),
(3,	1296,	'Жоравка'),
(1,	1296,	'Жоравка'),
(3,	1297,	'Жубровичі'),
(1,	1297,	'Жубровичи'),
(3,	1298,	'Жуки '),
(1,	1298,	'Жуки'),
(3,	1299,	'Журавичі'),
(1,	1299,	'Журавичи'),
(3,	1300,	'Журавка'),
(1,	1300,	'Журавка'),
(3,	1301,	'Журавлинка'),
(1,	1301,	'Журавлинка'),
(3,	1302,	'Журавлиха'),
(1,	1302,	'Журавлиха'),
(3,	1303,	'Журавне'),
(1,	1303,	'Журавное'),
(3,	1304,	'Журавники'),
(1,	1304,	'Журавники'),
(3,	1305,	'Журавно'),
(1,	1305,	'Журавно'),
(3,	1306,	'Заайдарівка'),
(1,	1306,	'Заайдаровка'),
(3,	1307,	'Забарине'),
(1,	1307,	'Забарино'),
(3,	1308,	'Забір\'я'),
(1,	1308,	'Заборье'),
(3,	1309,	'Заболотів (Снятинський р-н)'),
(1,	1309,	'Заболотов (Снятинский р-н)'),
(3,	1310,	'Заболоття (Волинська обл.)'),
(1,	1310,	'Заболотье (Волынская обл.)'),
(3,	1311,	'Заболоття (Рівненська обл.)'),
(1,	1311,	'Заболотье (Ровненская обл.)'),
(3,	1312,	'Заболотці'),
(1,	1312,	'Заболотцы'),
(3,	1313,	'Забуяння'),
(1,	1313,	'Забуянье'),
(3,	1315,	'Завадів (Яворський р-н., Львівська обл.)'),
(1,	1315,	'Завадов (Яворский р-н., Львовская обл.)'),
(3,	1316,	'Завадівка'),
(1,	1316,	'Завадовка'),
(3,	1317,	'Завадівка (Львівська обл.)'),
(1,	1317,	'Завадовка (Львовская обл.)'),
(3,	1318,	'Завадівка (Черкаська обл.)'),
(1,	1318,	'Завадовка (Черкасская обл.)'),
(3,	1319,	'Завадка'),
(1,	1319,	'Завадка'),
(3,	1320,	'Завалля (Івано-Франківська обл.)'),
(1,	1320,	'Завалье (Ивано-Франковская обл.)'),
(3,	1321,	'Завалля (Кіровоград. обл)'),
(1,	1321,	'Завалье (Кировоград обл.)'),
(3,	1322,	'Заверешиця'),
(1,	1322,	'Заверешица'),
(3,	1323,	'Завидовичі'),
(1,	1323,	'Завидовичи'),
(3,	1324,	'Завидово'),
(1,	1324,	'Завидово'),
(3,	1325,	'Завій'),
(1,	1325,	'Завой '),
(3,	1326,	'Заводівка'),
(1,	1326,	'Заводовка'),
(3,	1327,	'Заводське(Лохвицький р-н,Полтав. обл)'),
(1,	1327,	'Заводское(Лохвицкий р-н,Полтав.обл)'),
(3,	1328,	'Заводське(Тернопільська обл.)'),
(1,	1328,	'Заводское(Тернопольская обл.)'),
(3,	1329,	'Заворичі'),
(1,	1329,	'Заворичи'),
(3,	1330,	'Загаття'),
(1,	1330,	'Загатье'),
(3,	1331,	'Загвіздя'),
(1,	1331,	'Загвоздье'),
(3,	1332,	'Загірне'),
(1,	1332,	'Загорное'),
(3,	1333,	'Загнітків'),
(1,	1333,	'Загнитков'),
(3,	1334,	'Загребелля'),
(1,	1334,	'Загребелье'),
(3,	1335,	'Задністря'),
(1,	1335,	'Заднестрье'),
(3,	1336,	'Задністрянське'),
(1,	1336,	'Заднестрянское'),
(3,	1337,	'Задубрівці'),
(1,	1337,	'Задубровцы'),
(3,	1338,	'Зазим\'я'),
(1,	1338,	'Зазимье'),
(3,	1339,	'Зазірки'),
(1,	1339,	'Зезерки'),
(3,	1340,	'Заїзд'),
(1,	1340,	'Заезд'),
(3,	1341,	'Зайцеве'),
(1,	1341,	'Зайцево'),
(3,	1342,	'Зайцеве (Дніпропетровська обл.)'),
(1,	1342,	'Зайцево (Днепропетровская обл.)'),
(3,	1343,	'Закерничне'),
(1,	1343,	'Закерничное'),
(3,	1344,	'Закупне'),
(1,	1344,	'Закупное'),
(3,	1345,	'Залав\'я'),
(1,	1345,	'Залавье'),
(3,	1346,	'Заланів'),
(1,	1346,	'Заланов'),
(3,	1347,	'Заливне'),
(1,	1347,	'Заливное'),
(3,	1348,	'Залізний Міст'),
(1,	1348,	'Железный Мост'),
(3,	1349,	'Залізний Порт'),
(1,	1349,	'Железный Порт'),
(3,	1350,	'Залізниця'),
(1,	1350,	'Зализница'),
(3,	1351,	'Залізничне'),
(1,	1351,	'Зализничное '),
(3,	1352,	'Залізничне (Вінницька обл.)'),
(1,	1352,	'Зализничное (Винницкая обл.)'),
(3,	1353,	'Залізничне (Дніпропетровська обл.)'),
(1,	1353,	'Зализничное (Днепропетровская обл.)'),
(3,	1354,	'Залізничне (Запорізька обл.)'),
(1,	1354,	'Зализничное (Запорожский р-н)'),
(3,	1355,	'Залізці'),
(1,	1355,	'Заложцы'),
(3,	1356,	'Залісоче'),
(1,	1356,	'Залесочье'),
(3,	1357,	'Залісся (Волинська обл.)'),
(1,	1357,	'Залесье (Волынская обл.)'),
(3,	1358,	'Залісся Перше'),
(1,	1358,	'Залесье Первое'),
(3,	1359,	'Залісці'),
(1,	1359,	'Залесцы'),
(3,	1360,	'Залісці (Тернопільська обл.)'),
(1,	1360,	'Залесцы (Тернопольская обл.)'),
(3,	1361,	'Заліщики'),
(1,	1361,	'Залещики'),
(3,	1362,	'Залокоть'),
(1,	1362,	'Залокоть'),
(3,	1363,	'Залужжя'),
(1,	1363,	'Залужжя'),
(3,	1364,	'Залужжя (Закарпатська обл.)'),
(1,	1364,	'Залужье (Закарпатская обл.)'),
(3,	1365,	'Залужжя (Івано-Франківська обл.)'),
(1,	1365,	'Залужье (Ивано-Франковская обл.)'),
(3,	1366,	'Залужжя (Львівська обл.)'),
(1,	1366,	'Залужье (Львовская обл.)'),
(3,	1367,	'Залуква'),
(1,	1367,	'Залуква'),
(3,	1368,	'Замглай'),
(1,	1368,	'Замглай'),
(3,	1369,	'Замостя'),
(1,	1369,	'Замостье'),
(3,	1370,	'Заозерне'),
(1,	1370,	'Заозерное'),
(3,	1371,	'Западинці'),
(1,	1371,	'Западинцы'),
(3,	1372,	'Запитів'),
(1,	1372,	'Запытов'),
(3,	1373,	'Запоріжжя'),
(1,	1373,	'Запорожье'),
(3,	1374,	'Запоріжжя (Великолепетиський р-н)'),
(1,	1374,	'Запорожье (Великолепетихский район)'),
(3,	1375,	'Запоріжжя (Токмацький р-н)'),
(1,	1375,	'Запорожье (Токмацкий р-н)'),
(3,	1376,	'Запруддя'),
(1,	1376,	'Запрудье'),
(3,	1377,	'Запсілля'),
(1,	1377,	'Запселье'),
(3,	1378,	'Запсонь'),
(1,	1378,	'Запсонь'),
(3,	1379,	'Зарванці'),
(1,	1379,	'Зарванцы'),
(3,	1380,	'Зарічани'),
(1,	1380,	'Заричаны'),
(3,	1381,	'Зарічанка'),
(1,	1381,	'Заречанка'),
(3,	1382,	'Зарічне (Донецька обл.)'),
(1,	1382,	'Заречное (Донецкая обл.)'),
(3,	1383,	'Зарічне (Запорізька обл.)'),
(1,	1383,	'Заречное (Запорожская обл.)'),
(3,	1384,	'Зарічне(Рівненська обл.)'),
(1,	1384,	'Заречное(Ровенская обл.)'),
(3,	1385,	'Заріччя (Волинська обл.)'),
(1,	1385,	'Заречье (Волынская обл.)'),
(3,	1386,	'Заріччя (Володимир-Волинський р-н)'),
(1,	1386,	'Заречье (Владимир-Волынский р-н)'),
(3,	1387,	'Заріччя (Івано-Франківська обл.)'),
(1,	1387,	'Заречье (Ивано-Франковская обл.)'),
(3,	1388,	'Заріччя (Овруцький р-н., Житомирська обл.)'),
(1,	1388,	'Заречье (Овручский р-н., Житомирская обл.)'),
(3,	1389,	'Заріччя (Черкаська обл.)'),
(1,	1389,	'Заречье (Черкасская обл.)'),
(3,	1390,	'Заріччя(Закарпатська обл.)'),
(1,	1390,	'Заречье(Закарпатская обл.)'),
(3,	1391,	'Зарожани'),
(1,	1391,	'Зарожаны'),
(3,	1392,	'Зарудчі'),
(1,	1392,	'Зарудчи'),
(3,	1393,	'Засілля'),
(1,	1393,	'Заселье'),
(3,	1394,	'Заслучне'),
(1,	1394,	'Заслучное'),
(3,	1395,	'Заставки'),
(1,	1395,	'Заставки'),
(3,	1396,	'Заставна'),
(1,	1396,	'Заставна'),
(3,	1397,	'Заставці'),
(1,	1397,	'Заставцы'),
(3,	1398,	'Заставче'),
(1,	1398,	'Заставче'),
(3,	1399,	'Засулля'),
(1,	1399,	'Засулье'),
(3,	1400,	'Затишне '),
(1,	1400,	'Затишное'),
(3,	1401,	'Затишшя'),
(1,	1401,	'Затишье'),
(3,	1402,	'Затишшя (Волинська обл.)'),
(1,	1402,	'Затишье (Волынская обл.)'),
(3,	1403,	'Затока'),
(1,	1403,	'Затока'),
(3,	1404,	'Затурці'),
(1,	1404,	'Затурцы'),
(3,	1405,	'Захарівка(Одеська обл)'),
(1,	1405,	'Захарьевка(Одесская обл)'),
(3,	1406,	'Зачатівка'),
(1,	1406,	'Зачатовка'),
(3,	1407,	'Зачепилівка'),
(1,	1407,	'Зачепиловка'),
(3,	1408,	'Зашків'),
(1,	1408,	'Зашков'),
(3,	1409,	'Збараж'),
(1,	1409,	'Збараж'),
(3,	1410,	'Збора'),
(1,	1410,	'Збора'),
(3,	1411,	'Зборів'),
(1,	1411,	'Зборов'),
(3,	1412,	'Званівка '),
(1,	1412,	'Звановка'),
(3,	1413,	'Звенигородка'),
(1,	1413,	'Звенигородка'),
(3,	1414,	'Звиняче'),
(1,	1414,	'Звиняче'),
(3,	1415,	'Звірів'),
(1,	1415,	'Зверев '),
(3,	1416,	'Звірівка'),
(1,	1416,	'Зверевка'),
(3,	1417,	'Згорани'),
(1,	1417,	'Згораны'),
(3,	1418,	'Згурівка'),
(1,	1418,	'Згуровка'),
(3,	1419,	'Здвижівка'),
(1,	1419,	'Здвижевка'),
(3,	1420,	'Здовбиця'),
(1,	1420,	'Здовбица'),
(3,	1421,	'Здолбунів'),
(1,	1421,	'Здолбунов'),
(3,	1422,	'Зелена'),
(1,	1422,	'Зеленая '),
(3,	1423,	'Зелена (Івано-Франківська обл.)'),
(1,	1423,	'Зеленая (Ивано-Франковская обл.)'),
(3,	1424,	'Зелене'),
(1,	1424,	'Зеленое'),
(3,	1425,	'Зелене (Запорізька обл.)'),
(1,	1425,	'Зеленое (Запорожская обл.)'),
(3,	1426,	'Зелене (Херсонська обл.)'),
(1,	1426,	'Зеленое (Херсонская обл.)'),
(3,	1427,	'Зелене Поле (Великоновосілківський р-н)'),
(1,	1427,	'Зелёное Поле (Великоновоселковский р-н)'),
(3,	1428,	'Зелений Гай'),
(1,	1428,	'Зеленый Гай'),
(3,	1429,	'Зелений Гай (Запорізька обл.)'),
(1,	1429,	'Заленый Гай (Запорожская обл.)'),
(3,	1430,	'Зелений Під'),
(1,	1430,	'Зеленый Под'),
(3,	1431,	'Зелений Яр'),
(1,	1431,	'Зеленый Яр'),
(3,	1432,	'Зелений Яр (Донецька обл.)'),
(1,	1432,	'Зеленый Яр (Донецкая обл.)'),
(3,	1433,	'Зеленогірське'),
(1,	1433,	'Зеленогорское'),
(3,	1434,	'Зеленодольськ'),
(1,	1434,	'Зеленодольск'),
(3,	1435,	'Зеленопілля'),
(1,	1435,	'Зеленополье'),
(3,	1436,	'Зеленче'),
(1,	1436,	'Зеленче'),
(3,	1437,	'Зеленьки'),
(1,	1437,	'Зеленьки'),
(3,	1438,	'Зибкове'),
(1,	1438,	'Зибкове'),
(3,	1439,	'Зимівник'),
(1,	1439,	'Зимовник'),
(3,	1440,	'Зимна Вода'),
(1,	1440,	'Зимняя Вода'),
(3,	1441,	'Зідьки'),
(1,	1441,	'Зидьки'),
(3,	1442,	'Зінове'),
(1,	1442,	'Зиново'),
(3,	1443,	'Зіньків'),
(1,	1443,	'Зеньков'),
(3,	1444,	'Зіньків (Хмельницька обл.)'),
(1,	1444,	'Зиньков (Хмельницкая обл.)'),
(3,	1445,	'Зіньківщина'),
(1,	1445,	'Зеньковщина'),
(3,	1446,	'Зірне'),
(1,	1446,	'Зорное'),
(3,	1447,	'Златоустівка'),
(1,	1447,	'Златоустовка'),
(3,	1448,	'Злинка (Маловисківський р-н.)'),
(1,	1448,	'Злинка (Маловисковский р-н.)'),
(3,	1449,	'Зміїв'),
(1,	1449,	'Змиев'),
(3,	1450,	'Зміїнець'),
(1,	1450,	'Змиенец'),
(3,	1451,	'Змітнів'),
(1,	1451,	'Змитнев'),
(3,	1452,	'Знам\'янка (Кіровоградська обл.)'),
(1,	1452,	'Знаменка (Кировоградская обл.)'),
(3,	1453,	'Знам\'янка (Одеська обл.)'),
(1,	1453,	'Знаменка (Одесская обл.)'),
(3,	1454,	'Знам\'янка Друга'),
(1,	1454,	'Знаменка Вторая'),
(3,	1455,	'Знаменівка (Новомосковський р-н)'),
(1,	1455,	'Знаменовка (Новомосковский р-н)'),
(3,	1456,	'Зноб-Новгородське'),
(1,	1456,	'Знобь-Новгородское'),
(3,	1457,	'Зняцьово'),
(1,	1457,	'Зняцево'),
(3,	1458,	'Зозів'),
(1,	1458,	'Зозов'),
(3,	1459,	'Золота Балка'),
(1,	1459,	'Золотая Балка'),
(3,	1460,	'Золотарівка'),
(1,	1460,	'Золотаревка'),
(3,	1461,	'Золотарьово'),
(1,	1461,	'Золотарево'),
(3,	1462,	'Золоте'),
(1,	1462,	'Золотое'),
(3,	1463,	'Золотий Потік'),
(1,	1463,	'Золотой Поток'),
(3,	1464,	'Золоті Пруди'),
(1,	1464,	'Золотые Пруды'),
(3,	1465,	'Золотники (Тернопільська обл.)'),
(1,	1465,	'Золотники (Тернопольськая обл.)'),
(3,	1466,	'Золотоноша'),
(1,	1466,	'Золотоноша'),
(3,	1467,	'Золочів (Львівська обл.)'),
(1,	1467,	'Золочев (Львовская обл.)'),
(3,	1468,	'Золочів(Харківська обл.)'),
(1,	1468,	'Золочев (Харьковськая обл.)'),
(3,	1469,	'Зоря (Дніпропетровська обл., Дніпровський р-н)'),
(1,	1469,	'Заря (Днепропетровская обл., Днепровский р-н)'),
(3,	1470,	'Зоря (Дніпропетровська обл.)'),
(1,	1470,	'Заря (Днепропетровская обл.)'),
(3,	1471,	'Зоря (Донецька обл.,Нікольський р-н)'),
(1,	1471,	'Заря (Донецкая обл.,Никольский р-н)'),
(3,	1472,	'Зоря (Костянтинівський р-н.)'),
(1,	1472,	'Зоря (Костантиновский район)'),
(3,	1473,	'Зоря (Одеська обл.)'),
(1,	1473,	'Зоря (Одесская обл.)'),
(3,	1474,	'Зоря (Рівненська обл.)'),
(1,	1474,	'Заря (Ровенская обл.)'),
(3,	1475,	'Зубівка'),
(1,	1475,	'Зубовка'),
(3,	1476,	'Зубковичі '),
(1,	1476,	'Зубковичи'),
(3,	1477,	'Зубра'),
(1,	1477,	'Зубра'),
(3,	1478,	'Зяньківці'),
(1,	1478,	'Зяньковцы'),
(3,	1479,	'Зятківці'),
(1,	1479,	'Зятковцы'),
(3,	1480,	'Іване-Пусте'),
(1,	1480,	'Иване-Пусте'),
(3,	1481,	'Іваничі (Волинська обл.)'),
(1,	1481,	'Иваничи (Волынская обл.)'),
(3,	1482,	'Іванів (Калинівський р-н)'),
(1,	1482,	'Иванов (Калиновский р-н)'),
(3,	1483,	'Іванівка (Богуславський р-н.)'),
(1,	1483,	'Ивановка (Богуславский р-н.)'),
(3,	1484,	'Іванівка (Дніпропетровська обл.)'),
(1,	1484,	'Ивановка (Днепропетровская обл.)'),
(3,	1485,	'Іванівка (Донецька обл.)'),
(1,	1485,	'Ивановка (Донецкая обл.)'),
(3,	1486,	'Іванівка (Запорізька обл.)'),
(1,	1486,	'Ивановка (Запорожская обл.)'),
(3,	1487,	'Іванівка (Миколаївська обл.)'),
(1,	1487,	'Ивановка (Николаевская обл.)'),
(3,	1488,	'Іванівка (Одеська обл., Іванівський р-н)'),
(1,	1488,	'Ивановка (Одесская обл. Ивановський р-н)'),
(3,	1489,	'Іванівка (Сумська обл.)'),
(1,	1489,	'Ивановка (Сумская обл.)'),
(3,	1490,	'Іванівка (Тернопільська обл.)'),
(1,	1490,	'Ивановка (Тернопольская обл.)'),
(3,	1491,	'Іванівка (Херсонська обл.)'),
(1,	1491,	'Ивановка (Херсонская обл.)'),
(3,	1492,	'Іванівка (Черкаська обл.)'),
(1,	1492,	'Ивановка (Черкасская обл.)'),
(3,	1493,	'Іванівське'),
(1,	1493,	'Ивановское'),
(3,	1494,	'Іванівці'),
(1,	1494,	'Ивановцы'),
(3,	1495,	'Іванівці (Вінницька обл.)'),
(1,	1495,	'Ивановцы (Винницкая обл.)'),
(3,	1496,	'Іванівці (Закарпатська обл.)'),
(1,	1496,	'Ивановцы (Закарпатская обл.)'),
(3,	1497,	'Іванівці (Чернівецька обл.)'),
(1,	1497,	'Ивановцы (Черновицкая обл.)'),
(3,	1498,	'Іванків (Іванківський р-н)'),
(1,	1498,	'Иванков (Иванковский р-н)'),
(3,	1499,	'Іванків (Тернопільська обл.)'),
(1,	1499,	'Иванков (Тернопольская обл.)'),
(3,	1500,	'Іванків(Бориспільський р-н)'),
(1,	1500,	'Иванков(Бориспольский р-н)'),
(3,	1501,	'Іванківці (Чернівецька обл.)'),
(1,	1501,	'Иванковцы (Черновицкая обл.)'),
(3,	1502,	'Іванковичі'),
(1,	1502,	'Иванковичи '),
(3,	1503,	'Івано-Франківськ'),
(1,	1503,	'Ивано-Франковск'),
(3,	1504,	'Івано-Франкове'),
(1,	1504,	'Ивано-Франково'),
(3,	1505,	'Іванове (Лиманський р-н)'),
(1,	1505,	'Иваново (Лиманський р-н)'),
(3,	1506,	'Іванопілля '),
(1,	1506,	'Иванополье'),
(3,	1507,	'Іванопіль'),
(1,	1507,	'Иванополь'),
(3,	1508,	'Іванопіль (Житомирська обл.) '),
(1,	1508,	'Иванополь (Житомирская обл.)'),
(3,	1509,	'Іваньків'),
(1,	1509,	'Иваньков'),
(3,	1510,	'Івашків'),
(1,	1510,	'Ивашков'),
(3,	1511,	'Івашківці'),
(1,	1511,	'Ивашковцы'),
(3,	1512,	'Івашківці (Вінницька обл.)'),
(1,	1512,	'Ивашковцы (Винницкаяобл.)'),
(3,	1513,	'Ігнатпіль'),
(1,	1513,	'Игнатполь'),
(3,	1514,	'Іза'),
(1,	1514,	'Иза'),
(3,	1515,	'Ізки'),
(1,	1515,	'Изки'),
(3,	1516,	'Ізмаїл'),
(1,	1516,	'Измаил'),
(3,	1517,	'Ізюм'),
(1,	1517,	'Изюм'),
(3,	1518,	'Ізяслав'),
(1,	1518,	'Изяслав'),
(3,	1519,	'Ілавче'),
(1,	1519,	'Илавче'),
(3,	1520,	'Іларіонове'),
(1,	1520,	'Илларионово'),
(3,	1521,	'Ілемня'),
(1,	1521,	'Илемня'),
(3,	1522,	'Ілічанка'),
(1,	1522,	'Иличанка'),
(3,	1523,	'Іллінівка'),
(1,	1523,	'Иллиновка'),
(3,	1524,	'Іллінці'),
(1,	1524,	'Ильинцы'),
(3,	1525,	'Іллінці (Івано-Франківська обл.)'),
(1,	1525,	'Ильинцы (Ивано-Франковская обл.)'),
(3,	1526,	'Ільник'),
(1,	1526,	'Ильник'),
(3,	1527,	'Ільниця'),
(1,	1527,	'Ильница'),
(3,	1528,	'Ільці'),
(1,	1528,	'Ильцы'),
(3,	1529,	'Імстичово'),
(1,	1529,	'Имстичево'),
(3,	1530,	'Інгулець'),
(1,	1530,	'Ингулец'),
(3,	1531,	'Інгулка'),
(1,	1531,	'Ингулка'),
(3,	1532,	'Інженерне'),
(1,	1532,	'Инженерное'),
(3,	1533,	'Іркліїв'),
(1,	1533,	'Ирклиев'),
(3,	1534,	'Ірпінь'),
(1,	1534,	'Ирпень'),
(3,	1535,	'Іршава'),
(1,	1535,	'Иршава'),
(3,	1536,	'Іршанськ'),
(1,	1536,	'Иршанск'),
(3,	1537,	'Ісаєве'),
(1,	1537,	'Исаево'),
(3,	1538,	'Ісайки'),
(1,	1538,	'Исайки'),
(3,	1539,	'Іскра'),
(1,	1539,	'Искра'),
(3,	1540,	'Іскрівка (Полтавська обл.)'),
(1,	1540,	'Искровка (Полтавская обл.)'),
(3,	1541,	'Іспас'),
(1,	1541,	'Испас'),
(3,	1542,	'Ічня'),
(1,	1542,	'Ичня'),
(3,	1543,	'Їжівці'),
(1,	1543,	'Иживци'),
(3,	1544,	'Йорданешти'),
(1,	1544,	'Йорданешты'),
(3,	1545,	'Йосипівка'),
(1,	1545,	'Йосоповка'),
(3,	1546,	'Йосипівка (Вінницька обл.)'),
(1,	1546,	'Иосиповка (Винницкая обл.)'),
(3,	1547,	'Йосипівка (Кіровоградська обл.)'),
(1,	1547,	'Йосиповка (Кировоградская обл.)'),
(3,	1548,	'Йосипівка (Львівська обл.)'),
(1,	1548,	'Йосиповка (Львовская обл.)'),
(3,	1549,	'Кавське'),
(1,	1549,	'Кавское'),
(3,	1550,	'Кавуни'),
(1,	1550,	'Кавуны'),
(3,	1551,	'Кагарлик'),
(1,	1551,	'Кагарлык'),
(3,	1552,	'Кагарлик (Одеська обл.)'),
(1,	1552,	'Кагарлик (Одесская обл.)'),
(3,	1553,	'Кадиївці'),
(1,	1553,	'Кадиевцы'),
(3,	1554,	'Кадобна'),
(1,	1554,	'Кадобна'),
(3,	1555,	'Кадомка'),
(1,	1555,	'Кадомка'),
(3,	1556,	'Кадубівці'),
(1,	1556,	'Кадубовцы'),
(3,	1557,	'Казанка'),
(1,	1557,	'Казанка'),
(3,	1558,	'Казначеївка'),
(1,	1558,	'Казначеевка'),
(3,	1559,	'Каїри'),
(1,	1559,	'Каиры'),
(3,	1560,	'Калаглія'),
(1,	1560,	'Калаглия'),
(3,	1561,	'Калантаїв'),
(1,	1561,	'Калантаев'),
(3,	1562,	'Каланчак'),
(1,	1562,	'Каланчак'),
(3,	1563,	'Калини'),
(1,	1563,	'Калины'),
(3,	1564,	'Калинівка (Березанський р-н., Миколаївська обл.)'),
(1,	1564,	'Калиновка (Березанский р-н., Николаевская обл.)'),
(3,	1565,	'Калинівка (Броварський р-н)'),
(1,	1565,	'Калиновка (Броварской р-н)'),
(3,	1566,	'Калинівка (Вінницька обл., Калинівський р-н)'),
(1,	1566,	'Калиновка (Винницкая обл., Калиновский р-н)'),
(3,	1567,	'Калинівка (Вітовський р-н., Миколаївська обл.)'),
(1,	1567,	'Калиновка (Витовский р-н., Николаевская обл.)'),
(3,	1568,	'Калинівка(Васильківський р-н.)'),
(1,	1568,	'Калиновка(Васильковский район)'),
(3,	1569,	'Калинівське'),
(1,	1569,	'Калиновское'),
(3,	1570,	'Калита'),
(1,	1570,	'Калита'),
(3,	1571,	'Калуш'),
(1,	1571,	'Калуш'),
(3,	1572,	'Кальна'),
(1,	1572,	'Кальная'),
(3,	1573,	'Кальне'),
(1,	1573,	'Кальное '),
(3,	1574,	'Кальник'),
(1,	1574,	'Кальник'),
(3,	1575,	'Кальчик'),
(1,	1575,	'Кальчик'),
(3,	1576,	'Калюжинці'),
(1,	1576,	'Калюжинцы'),
(3,	1577,	'Кам\'яна'),
(1,	1577,	'Каменная'),
(3,	1578,	'Кам\'яна Яруга'),
(1,	1578,	'Каменная Яруга'),
(3,	1579,	'Кам\'яне'),
(1,	1579,	'Каменное'),
(3,	1580,	'Кам\'янець-Подільський'),
(1,	1580,	'Каменец-Подольский'),
(3,	1581,	'Кам\'янече'),
(1,	1581,	'Каменечье'),
(3,	1582,	'Кам\'яний Брід'),
(1,	1582,	'Каменный Брод'),
(3,	1583,	'Кам\'яниця'),
(1,	1583,	'Каменица'),
(3,	1584,	'Кам\'янка (Житомирська обл.)'),
(1,	1584,	'Каменка (Житомирская обл.)'),
(3,	1585,	'Кам\'янка (Луганська обл.)'),
(1,	1585,	'Каменка (Луганская обл.)'),
(3,	1586,	'Кам\'янка (Миколаївська обл.)'),
(1,	1586,	'Каменка (Николаевская обл.)'),
(3,	1587,	'Кам\'янка (Одеська обл., Біляївський р-н)'),
(1,	1587,	'Каменка (Одесская обл., Беляевский р-н)'),
(3,	1588,	'Кам\'янка (Одеська обл., Ізмаїльський р-н)'),
(1,	1588,	'Каменка (Одесская обл., Измаильский р-н)'),
(3,	1589,	'Кам\'янка (Одеська обл., Роздільнянський р-н)'),
(1,	1589,	'Каменка (Одесская обл., Роздельнянский р-н)'),
(3,	1590,	'Кам\'янка (Рівненська обл.)'),
(1,	1590,	'Каменка (Ровенская обл.)'),
(3,	1591,	'Кам\'янка (Хмельницька обл.)'),
(1,	1591,	'Каменка (Хмельницкая обл.)'),
(3,	1592,	'Кам\'янка (Черкаська обл.)'),
(1,	1592,	'Каменка (Черкасская обл.)'),
(3,	1593,	'Кам\'янка (Чернівецька обл., Глибоцький р-н)'),
(1,	1593,	'Каменка (Черновицкая обл. Глыбокский р-н)'),
(3,	1594,	'Кам\'янка-Бузька'),
(1,	1594,	'Каменка-Бугская'),
(3,	1595,	'Кам\'янка-Дніпровська (Запорізька обл.)'),
(1,	1595,	'Каменка-Днепровская (Запорожская обл.)'),
(3,	1596,	'Кам\'янки (Тернопільська обл.)'),
(1,	1596,	'Каменки (Тернопольская обл.)'),
(3,	1597,	'Кам\'янське (Запорізька обл.)'),
(1,	1597,	'Каменское (Запорожская обл.)'),
(3,	1598,	'Кам\'янське (Нікопольський р-н)'),
(1,	1598,	'Каменское (Никопольский р-н)'),
(3,	1599,	'Кам\'янське (Одеська обл., Арцизький р-н)'),
(1,	1599,	'Каменское (Одесская обл., Арцизский р-н)'),
(3,	1600,	'Кам\'янське(Дніпропетровська обл)'),
(1,	1600,	'Каменское(Днепропетровская обл)'),
(3,	1601,	'Камбурліївка'),
(1,	1601,	'Камбурлеевка'),
(3,	1602,	'Камінь'),
(1,	1602,	'Камень'),
(3,	1603,	'Камінь-Каширський'),
(1,	1603,	'Камень-Каширский'),
(3,	1604,	'Канів'),
(1,	1604,	'Канев'),
(3,	1605,	'Каноничі'),
(1,	1605,	'Каноничи'),
(3,	1606,	'Кантакузівка'),
(1,	1606,	'Кантакузовка'),
(3,	1607,	'Капітанівка (Кіровоградська обл.)'),
(1,	1607,	'Капитановка (Кировоградская обл.)'),
(3,	1608,	'Капустяни'),
(1,	1608,	'Капустяны'),
(3,	1609,	'Карапиші'),
(1,	1609,	'Карапыши'),
(3,	1610,	'Карапчів'),
(1,	1610,	'Карапчов'),
(3,	1611,	'Карапчів (Вижницький р-н., Чернівецька обл.)'),
(1,	1611,	'Карапчив (Вижницкий р-н., Черновицкая обл.)'),
(3,	1612,	'Карашина'),
(1,	1612,	'Карашина'),
(3,	1613,	'Карильське'),
(1,	1613,	'Карыльское'),
(3,	1614,	'Карлівка'),
(1,	1614,	'Карловка'),
(3,	1615,	'Карлівка (Донецька обл.)'),
(1,	1615,	'Карловка (Донецька обл.)'),
(3,	1616,	'Карнаухівка(Дніпропетровська обл.)'),
(1,	1616,	'Карнауховка(Днепропетровская обл.)'),
(3,	1617,	'Кароліно-Бугаз'),
(1,	1617,	'Каролино-Бугаз'),
(3,	1618,	'Карпатське'),
(1,	1618,	'Карпатское'),
(3,	1619,	'Карпилівка'),
(1,	1619,	'Карпиловка'),
(3,	1620,	'Карпилівка (Волинська обл.)'),
(1,	1620,	'Карпиловка (Волынская обл.)'),
(3,	1621,	'Карпилівка (Рівненський р-н. Рівненська обл.)'),
(1,	1621,	'Карпиловка (Ровенский р-н. Ровенская обл.)'),
(3,	1622,	'Карпилівка (Рокитнівський р-н, Рівненська обл.)'),
(1,	1622,	'Карпиловка (Рокитновский р-н, Ровненская обл.)'),
(3,	1623,	'Карпівка (Широківський р-н)'),
(1,	1623,	'Карповка (Широковский р-н)'),
(3,	1624,	'Каскада'),
(1,	1624,	'Каскада'),
(3,	1625,	'Касянівка (Донецька обл., Нікольський р-н)'),
(1,	1625,	'Касьяновка (Донецкая обл., Никольский р-н)'),
(3,	1626,	'Катеринівка'),
(1,	1626,	'Катериновка'),
(3,	1627,	'Катеринівка (Донецька обл.)'),
(1,	1627,	'Катериновка (Донецкая обл.)'),
(3,	1628,	'Катеринівка (Миколаївська обл.)'),
(1,	1628,	'Катериновка (Николаевская обл.)'),
(3,	1629,	'Катеринопіль'),
(1,	1629,	'Катеринополь'),
(3,	1630,	'Катюжанка'),
(1,	1630,	'Катюжанка'),
(3,	1631,	'Каховка'),
(1,	1631,	'Каховка'),
(3,	1632,	'Качанівка'),
(1,	1632,	'Качановка'),
(3,	1633,	'Качківка'),
(1,	1633,	'Качковка'),
(3,	1634,	'Кашперівка'),
(1,	1634,	'Кашперовка'),
(3,	1635,	'Квасилів (Рівненська обл.)'),
(1,	1635,	'Квасилов (Ровенская обл.)'),
(3,	1636,	'Квітки'),
(1,	1636,	'Квитки'),
(3,	1637,	'Кегичівка'),
(1,	1637,	'Кегичевка'),
(3,	1638,	'Кельменці'),
(1,	1638,	'Кельменцы'),
(3,	1639,	'Керецьки'),
(1,	1639,	'Керецки'),
(3,	1640,	'Керменчик'),
(1,	1640,	'Керменчик'),
(3,	1641,	'Керниця'),
(1,	1641,	'Керница'),
(3,	1642,	'Керносівка'),
(1,	1642,	'Керносовка'),
(3,	1643,	'Керстенці'),
(1,	1643,	'Керстенцы'),
(3,	1644,	'Кибинці'),
(1,	1644,	'Кибинцы'),
(3,	1645,	'Київ'),
(1,	1645,	'Киев'),
(3,	1646,	'Кирдани (Житомирська обл.)'),
(1,	1646,	'Кирданы (Житомирская обл.)'),
(3,	1647,	'Кириківка(Великописарів.р-н)'),
(1,	1647,	'Кириковка(Великописар.р-н)'),
(3,	1648,	'Кирилівка (Донецька обл., Нікольський р-н)'),
(1,	1648,	'Кирилловка (Донецкая обл., Никольский р-н)'),
(3,	1649,	'Кирилівка(Якимівський р-н)'),
(1,	1649,	'Кирилловка(Акимовский р-н)'),
(3,	1650,	'Кирнасівка'),
(1,	1650,	'Кирнасовка'),
(3,	1651,	'Кирнички'),
(1,	1651,	'Кирнички'),
(3,	1652,	'Киселів'),
(1,	1652,	'Киселев'),
(3,	1653,	'Киселівка (Миколаївська обл.)'),
(1,	1653,	'Киселевка (Николаевская обл.)'),
(3,	1654,	'Киселівка (Херсонська обл.)'),
(1,	1654,	'Киселевка (Херсонская обл.)'),
(3,	1655,	'Кислиця'),
(1,	1655,	'Кислица'),
(3,	1656,	'Кисоричі'),
(1,	1656,	'Кисоричи'),
(3,	1657,	'Китайгород'),
(1,	1657,	'Китайгород'),
(3,	1658,	'Китайгород (Дніпропетровська обл.)'),
(1,	1658,	'Китайгород (Днепропетровская обл.)'),
(3,	1659,	'Китченківка'),
(1,	1659,	'Китченковка'),
(3,	1660,	'Кишин'),
(1,	1660,	'Кишин'),
(3,	1661,	'Ківерці'),
(1,	1661,	'Киверцы'),
(3,	1662,	'Ківшарівка'),
(1,	1662,	'Ковшаровка'),
(3,	1663,	'Ківшовата'),
(1,	1663,	'Кившовата'),
(3,	1664,	'Кідри'),
(1,	1664,	'Кидры'),
(3,	1665,	'Кізлівка'),
(1,	1665,	'Кызливка'),
(3,	1666,	'Кізомис'),
(1,	1666,	'Кизомыс'),
(3,	1667,	'Кілія'),
(1,	1667,	'Килия'),
(3,	1668,	'Кінашів'),
(1,	1668,	'Кинашев'),
(3,	1669,	'Кінецьпіль'),
(1,	1669,	'Конецполь'),
(3,	1670,	'Кінські Роздори'),
(1,	1670,	'Конские Раздоры'),
(3,	1671,	'Кіреші'),
(1,	1671,	'Киреши'),
(3,	1672,	'Кіцмань'),
(1,	1672,	'Кицмань'),
(3,	1673,	'Клавдієво-Тарасове'),
(1,	1673,	'Клавдиево-Тарасово'),
(3,	1674,	'Клевань'),
(1,	1674,	'Клевань'),
(3,	1675,	'Клембівка'),
(1,	1675,	'Клембовка'),
(3,	1676,	'Клесів'),
(1,	1676,	'Клесов'),
(3,	1677,	'Климівка'),
(1,	1677,	'Климовка'),
(3,	1678,	'Кліводин'),
(1,	1678,	'Кливодин'),
(3,	1679,	'Клішківці'),
(1,	1679,	'Клишковцы'),
(3,	1680,	'Кліщинці'),
(1,	1680,	'Клещинцы'),
(3,	1681,	'Клопочин'),
(1,	1681,	'Клопочин'),
(3,	1682,	'Клубівка'),
(1,	1682,	'Клубовка'),
(3,	1683,	'Клубівці'),
(1,	1683,	'Клубовцы'),
(3,	1684,	'Клугино-Башкирівка'),
(1,	1684,	'Клугино-Башкировка'),
(3,	1685,	'Клюки'),
(1,	1685,	'Клюки'),
(3,	1686,	'Ключарки'),
(1,	1686,	'Ключарки'),
(3,	1687,	'Княгининок'),
(1,	1687,	'Княгининок'),
(3,	1688,	'Княжа'),
(1,	1688,	'Княжья'),
(3,	1689,	'Княжа Криниця'),
(1,	1689,	'Княжья Криница'),
(3,	1690,	'Княже'),
(1,	1690,	'Княжее'),
(3,	1691,	'Княжичі (Броварський р-н)'),
(1,	1691,	'Княжичи (Броварской р-н)'),
(3,	1692,	'Княжичі (Києво-Святошинський р-н.)'),
(1,	1692,	'Княжичи (Киево-Святошинский р-н.)'),
(3,	1693,	'Княжолука'),
(1,	1693,	'Княжелука'),
(3,	1694,	'Князе-Григорівка'),
(1,	1694,	'Князе-Григоровка'),
(3,	1695,	'Князівське'),
(1,	1695,	'Князевское'),
(3,	1696,	'Кобаки'),
(1,	1696,	'Кобаки'),
(3,	1697,	'Кобеляки'),
(1,	1697,	'Кобеляки'),
(3,	1698,	'Кобижча'),
(1,	1698,	'Кобыжча'),
(3,	1699,	'Кобилецька Поляна'),
(1,	1699,	'Кобылецкая Поляна'),
(3,	1700,	'Кобиловолоки'),
(1,	1700,	'Кобыловолоки'),
(3,	1701,	'Коблеве'),
(1,	1701,	'Коблево'),
(3,	1702,	'Коболчин'),
(1,	1702,	'Коболчин'),
(3,	1703,	'Кобринове'),
(1,	1703,	'Кобриново'),
(3,	1704,	'Ковалеве'),
(1,	1704,	'Ковалево'),
(3,	1705,	'Ковалин'),
(1,	1705,	'Ковалин'),
(3,	1706,	'Ковалівка (Вінницька обл.)'),
(1,	1706,	'Ковалевка (Винницкая обл.)'),
(3,	1707,	'Ковалівка (Івано-Франківська обл.)'),
(1,	1707,	'Ковалевка ( Ивано-Франковская обл.)'),
(3,	1708,	'Ковалівка (Київська обл.)'),
(1,	1708,	'Ковалевка (Киевская обл.)'),
(3,	1709,	'Ковалівка (Миколаївський р-н)'),
(1,	1709,	'Ковалевка (Николаевский р-н)'),
(3,	1710,	'Ковалівка(Полтав.р-н,Полтав.обл.)'),
(1,	1710,	'Ковалевка(Полтав.р-н,Полтав.обл.)'),
(3,	1711,	'Ковель'),
(1,	1711,	'Ковель'),
(3,	1712,	'Кодаки'),
(1,	1712,	'Кодаки'),
(3,	1713,	'Кодема'),
(1,	1713,	'Кодема'),
(3,	1714,	'Кодима'),
(1,	1714,	'Кодыма'),
(3,	1715,	'Кодня'),
(1,	1715,	'Кодня'),
(3,	1716,	'Кодра'),
(1,	1716,	'Кодра'),
(3,	1717,	'Кожанка'),
(1,	1717,	'Кожанка'),
(3,	1718,	'Кожухівка'),
(1,	1718,	'Кожуховка'),
(3,	1719,	'Козаровичі'),
(1,	1719,	'Козаровичи'),
(3,	1720,	'Козацьке (Херсонська обл.)'),
(1,	1720,	'Козацкое (Херсонская обл.)'),
(3,	1721,	'Козацьке (Черкаська обл.)'),
(1,	1721,	'Казацкое (Черкасская обл.)'),
(3,	1722,	'Козача Лопань'),
(1,	1722,	'Козачья Лопань'),
(3,	1723,	'Козачі Лагері'),
(1,	1723,	'Казачьи Лагери'),
(3,	1724,	'Козачки'),
(1,	1724,	'Козачки'),
(3,	1725,	'Козелець'),
(1,	1725,	'Козелец'),
(3,	1726,	'Козельщина'),
(1,	1726,	'Козельщина'),
(3,	1727,	'Козилівка'),
(1,	1727,	'Козиловка'),
(3,	1728,	'Козин (Київська обл., Обухівський р-н)'),
(1,	1728,	'Козин (Киевская обл., Обуховский р-н)'),
(3,	1729,	'Козин (Миронівський р-н)'),
(1,	1729,	'Козин (Мироновский р-н)'),
(3,	1730,	'Козин (Рівненська обл.)'),
(1,	1730,	'Козын (Ровенская обл.)'),
(3,	1731,	'Козирка'),
(1,	1731,	'Козырка'),
(3,	1732,	'Козичанка'),
(1,	1732,	'Козичанка'),
(3,	1733,	'Козлів'),
(1,	1733,	'Козлов'),
(3,	1734,	'Козляничі'),
(1,	1734,	'Козляничи'),
(3,	1735,	'Козова'),
(1,	1735,	'Козова'),
(3,	1736,	'Козьова'),
(1,	1736,	'Козьова'),
(3,	1737,	'Козятин (місто, Вінницька обл.)'),
(1,	1737,	'Казатин (город, Винницкая обл.)'),
(3,	1738,	'Козятин (село, Козятинський р-н., Вінницька обл.)'),
(1,	1738,	'Казатин (село, Казатинский р-н., Винницкая обл.)'),
(3,	1739,	'Колибаївка'),
(1,	1739,	'Колыбаевка'),
(3,	1740,	'Колінківці'),
(1,	1740,	'Коленковцы'),
(3,	1741,	'Колісець'),
(1,	1741,	'Колисец'),
(3,	1742,	'Колки'),
(1,	1742,	'Колки'),
(3,	1743,	'Колки (Рівненська обл.)'),
(1,	1743,	'Колки (Ровенская обл.)'),
(3,	1744,	'Колоденка'),
(1,	1744,	'Колоденка'),
(3,	1745,	'Колодисте'),
(1,	1745,	'Колодистое'),
(3,	1746,	'Колодіївка'),
(1,	1746,	'Колодиевка'),
(3,	1747,	'Колодне (Закарпатська обл.)'),
(1,	1747,	'Колодное (Закарпатская обл.)'),
(3,	1748,	'Колодяжне'),
(1,	1748,	'Колодежно'),
(3,	1749,	'Колодязне (Рівненська обл.)'),
(1,	1749,	'Колодезное (Ровенская обл.)'),
(3,	1750,	'Колом\'є'),
(1,	1750,	'Коломье'),
(3,	1751,	'Коломак'),
(1,	1751,	'Коломак'),
(3,	1752,	'Коломия'),
(1,	1752,	'Коломыя'),
(3,	1753,	'Колонтаїв'),
(1,	1753,	'Колонтаев'),
(3,	1754,	'Колонщина'),
(1,	1754,	'Колонщина'),
(3,	1755,	'Колочава'),
(1,	1755,	'Колочава'),
(3,	1756,	'Колубаївці'),
(1,	1756,	'Колубаевцы'),
(3,	1757,	'Кольчино'),
(1,	1757,	'Кольчино'),
(3,	1758,	'Комань'),
(1,	1758,	'Комань'),
(3,	1759,	'Комар'),
(1,	1759,	'Комар'),
(3,	1760,	'Комарів'),
(1,	1760,	'Комаров'),
(3,	1761,	'Комарів (Чернівецька обл.)'),
(1,	1761,	'Комаров (Черновицкая обл.)'),
(3,	1762,	'Комарівка'),
(1,	1762,	'Комаровка'),
(3,	1763,	'Комарівка (Чернігівська обл.)'),
(1,	1763,	'Комаровка (Черниговская обл.)'),
(3,	1764,	'Комарівці'),
(1,	1764,	'Комаровцы'),
(3,	1765,	'Комарники'),
(1,	1765,	'Комарники '),
(3,	1766,	'Комарно'),
(1,	1766,	'Комарно'),
(3,	1767,	'Комиш-Зоря'),
(1,	1767,	'Камыш-Заря'),
(3,	1768,	'Комишани'),
(1,	1768,	'Камышаны'),
(3,	1769,	'Комишня'),
(1,	1769,	'Камышня'),
(3,	1770,	'Комишувате (Донецька обл)'),
(1,	1770,	'Камышеватое (Донецкая обл.)'),
(3,	1771,	'Комишуваха'),
(1,	1771,	'Камышеваха'),
(3,	1772,	'Комишуваха (Донецька обл.)'),
(1,	1772,	'Комышеваха (Донецкая обл.)'),
(3,	1773,	'Компаніївка'),
(1,	1773,	'Компанеевка'),
(3,	1774,	'Конищів'),
(1,	1774,	'Конищев'),
(3,	1775,	'Кононівка (селище)'),
(1,	1775,	'Кононивка (поселок)'),
(3,	1776,	'Коноплівці'),
(1,	1776,	'Конопливци'),
(3,	1777,	'Конопляне'),
(1,	1777,	'Конопляное'),
(3,	1778,	'Конотоп'),
(1,	1778,	'Конотоп'),
(3,	1779,	'Концово'),
(1,	1779,	'Концово'),
(3,	1780,	'Конюшки'),
(1,	1780,	'Конюшки'),
(3,	1781,	'Конятин'),
(1,	1781,	'Конятин'),
(3,	1782,	'Копайгород'),
(1,	1782,	'Копайгород'),
(3,	1783,	'Копанки'),
(1,	1783,	'Копанки'),
(3,	1784,	'Копачівка'),
(1,	1784,	'Копачовка'),
(3,	1785,	'Копачівка (Волинська обл.)'),
(1,	1785,	'Копачовка (Волынская обл.)'),
(3,	1786,	'Копашново'),
(1,	1786,	'Копашново'),
(3,	1787,	'Копили'),
(1,	1787,	'Копылы'),
(3,	1788,	'Копилів'),
(1,	1788,	'Копылов'),
(3,	1789,	'Копистин'),
(1,	1789,	'Копыстин'),
(3,	1790,	'Копитинці'),
(1,	1790,	'Копытинцы'),
(3,	1791,	'Копичинці (Гусятинський р-н)'),
(1,	1791,	'Копычинцы (Гусятинский р-н)'),
(3,	1792,	'Корделівка'),
(1,	1792,	'Корделевка'),
(3,	1793,	'Кордишівка'),
(1,	1793,	'Кордишовка'),
(3,	1794,	'Корець'),
(1,	1794,	'Корец'),
(3,	1795,	'Коржі'),
(1,	1795,	'Коржи'),
(3,	1796,	'Користова'),
(1,	1796,	'Корыстова'),
(3,	1797,	'Користь (Корецький р-н., Рівненська обл.)'),
(1,	1797,	'Корысть (Корецкий р-н., Ровенская обл.)'),
(3,	1798,	'Коритне'),
(1,	1798,	'Корытное'),
(3,	1799,	'Коритня'),
(1,	1799,	'Корытня '),
(3,	1800,	'Коритняни'),
(1,	1800,	'Корытняны'),
(3,	1801,	'Корнин (Житомирська обл.)'),
(1,	1801,	'Корнын (Житомирская обл.)'),
(3,	1802,	'Корнин (Рівненська обл.)'),
(1,	1802,	'Корнин (Ровенский р-н)'),
(3,	1803,	'Корниця'),
(1,	1803,	'Корница'),
(3,	1804,	'Коробки'),
(1,	1804,	'Коробки'),
(3,	1805,	'Коровинці'),
(1,	1805,	'Коровинцы'),
(3,	1806,	'Коровія'),
(1,	1806,	'Коровия'),
(3,	1807,	'Королево'),
(1,	1807,	'Королево'),
(3,	1808,	'Королівка'),
(1,	1808,	'Королевка'),
(3,	1809,	'Королівка (Тернопільська обл.)'),
(1,	1809,	'Королевка (Тернопольская обл.)'),
(3,	1810,	'Короп'),
(1,	1810,	'Короп'),
(3,	1811,	'Коростень'),
(1,	1811,	'Коростень'),
(3,	1812,	'Коростишів'),
(1,	1812,	'Коростышев'),
(3,	1813,	'Коростів'),
(1,	1813,	'Коростов'),
(3,	1814,	'Коростівці'),
(1,	1814,	'Коростовцы'),
(3,	1815,	'Коростовичі'),
(1,	1815,	'Коростовичи'),
(3,	1816,	'Коротич'),
(1,	1816,	'Коротыч'),
(3,	1817,	'Корсунка'),
(1,	1817,	'Корсунка'),
(3,	1818,	'Корсунь-Шевченківський'),
(1,	1818,	'Корсунь-Шевченковский'),
(3,	1819,	'Корчин'),
(1,	1819,	'Корчин'),
(3,	1820,	'Коршів'),
(1,	1820,	'Коршев'),
(3,	1821,	'Корюківка'),
(1,	1821,	'Корюковка'),
(3,	1822,	'Косарі (Черкаська обл.)'),
(1,	1822,	'Косари (Черкаська обл.)'),
(3,	1823,	'Косів'),
(1,	1823,	'Косов'),
(3,	1824,	'Косівка'),
(1,	1824,	'Косовка'),
(3,	1825,	'Косівка (Кіровоградська обл.)'),
(1,	1825,	'Косовка (Кировоградская обл.)'),
(3,	1826,	'Косівська Поляна'),
(1,	1826,	'Косовская Поляна'),
(3,	1827,	'Косівщина'),
(1,	1827,	'Косовщина'),
(3,	1828,	'Косонь (Косино)'),
(1,	1828,	'Косонь (Косино)'),
(3,	1829,	'Костичани'),
(1,	1829,	'Костычаны'),
(3,	1830,	'Костівці'),
(1,	1830,	'Костовцы'),
(3,	1831,	'Костобобрів'),
(1,	1831,	'Костобобров'),
(3,	1832,	'Костомарівка (Кіровоградська обл.)'),
(1,	1832,	'Костомаровка (Кировоградская обл.)'),
(3,	1833,	'Костопіль'),
(1,	1833,	'Костополь'),
(3,	1834,	'Кострижівка'),
(1,	1834,	'Кострижевка'),
(3,	1835,	'Костянтинівка (Донецька обл.)'),
(1,	1835,	'Константиновка (Донецкая обл.)'),
(3,	1836,	'Костянтинівка (Мар\'їнський  р-н)'),
(1,	1836,	'Константиновка (Марьинский р-н)'),
(3,	1837,	'Костянтинівка (Новоодеський р-н, Микол. обл.)'),
(1,	1837,	'Контстантиновка (Новоодеский р-н, Никол. обл.)'),
(3,	1838,	'Костянтинівка (Харківська обл.)'),
(1,	1838,	'Константиновка (Харьковская обл.)'),
(3,	1839,	'Костянтинівка (Херсонська обл.)'),
(1,	1839,	'Константиновка (Херсонская обл.)'),
(3,	1840,	'Костянтинівка(Арбузинський р-н, Микол.обл.)'),
(1,	1840,	'Констянтиновка(Арбузинский р-н, Никол.обл.)'),
(3,	1841,	'Костянтинівка(Мелітоп.р-н,Запоріз.обл)'),
(1,	1841,	'Константиновка(Мелитоп.р-н,Запорож.обл)'),
(3,	1842,	'Костянтинопіль'),
(1,	1842,	'Константинополь'),
(3,	1843,	'Котелеве'),
(1,	1843,	'Котелево'),
(3,	1844,	'Котельва'),
(1,	1844,	'Котельва'),
(3,	1845,	'Котляреве'),
(1,	1845,	'Котляреве'),
(3,	1846,	'Котляри'),
(1,	1846,	'Котляры'),
(3,	1847,	'Котовка '),
(1,	1847,	'Котовка '),
(3,	1848,	'Котюжинці'),
(1,	1848,	'Котюжинцы'),
(3,	1849,	'Коцюбинське'),
(1,	1849,	'Коцюбинское'),
(3,	1850,	'Коцюри'),
(1,	1850,	'Коцюры'),
(3,	1851,	'Кочережки'),
(1,	1851,	'Кочережки'),
(3,	1852,	'Кочеток'),
(1,	1852,	'Кочеток'),
(3,	1853,	'Кошельово'),
(1,	1853,	'Кошелево '),
(3,	1854,	'Кошманівка'),
(1,	1854,	'Кошмановка'),
(3,	1855,	'Крайниково'),
(1,	1855,	'Крайниково'),
(3,	1856,	'Краковець'),
(1,	1856,	'Краковец'),
(3,	1857,	'Краматорськ'),
(1,	1857,	'Краматорск'),
(3,	1858,	'Красилів'),
(1,	1858,	'Красилов'),
(3,	1859,	'Красилівка (Броварський р-н)'),
(1,	1859,	'Красиловка (Броварской р-н)'),
(3,	1860,	'Красилівка (Чернігівська обл.)'),
(1,	1860,	'Красиловка (Черниговская обл.)'),
(3,	1861,	'Красна (Івано-Франківська обл.)'),
(1,	1861,	'Красная (Ивано-Франковская обл.)'),
(3,	1862,	'Красна Лука '),
(1,	1862,	'Красная Лука'),
(3,	1863,	'Красна Поляна'),
(1,	1863,	'Красная Поляна'),
(3,	1864,	'Красне (Вінницька обл.)'),
(1,	1864,	'Красное (Винницкая обл.)'),
(3,	1865,	'Красне (Івано-Франківська обл.)'),
(1,	1865,	'Красное (Ивано-Франковская обл.)'),
(3,	1866,	'Красне (Київська обл.)'),
(1,	1866,	'Красное (Киевская обл.)'),
(3,	1867,	'Красне (Львівська обл.)'),
(1,	1867,	'Красное (Львовская обл.)'),
(3,	1868,	'Красне (Миколаївська обл.)'),
(1,	1868,	'Красное (Николаевская обл.)'),
(3,	1869,	'Красне (Одеська обл.)'),
(1,	1869,	'Красное (Одесская обл.)'),
(3,	1870,	'Красне (Харківська обл.)'),
(1,	1870,	'Красное (Харьковская обл.)'),
(3,	1871,	'Красне (Херсонська обл.)'),
(1,	1871,	'Красное (Херсонская обл.)'),
(3,	1872,	'Красний Яр'),
(1,	1872,	'Красный Яр'),
(3,	1873,	'Красногорівка'),
(1,	1873,	'Красногоровка'),
(3,	1874,	'Красноград (Харківська обл)'),
(1,	1874,	'Красноград (Харьковская обл)'),
(3,	1875,	'Красноіванівка'),
(1,	1875,	'Красноивановка'),
(3,	1876,	'Краснокутськ'),
(1,	1876,	'Краснокутск'),
(3,	1877,	'Краснопавлівка'),
(1,	1877,	'Краснопавловка'),
(3,	1878,	'Краснопілка'),
(1,	1878,	'Краснополка'),
(3,	1879,	'Краснопілка (Черкаська обл.)'),
(1,	1879,	'Краснополка (Черкасская обл.)'),
(3,	1880,	'Краснопілля (Сумська обл.)'),
(1,	1880,	'Краснополье (Сумская обл.)'),
(3,	1881,	'Краснопілля (Чернігівська обл., Коропський р-н)'),
(1,	1881,	'Краснополье (Черниговская обл., Коропский р-н)'),
(3,	1882,	'Краснопіль'),
(1,	1882,	'Краснополь'),
(3,	1883,	'Красноріченське'),
(1,	1883,	'Краснореченское'),
(3,	1884,	'Красносілка'),
(1,	1884,	'Красноселка'),
(3,	1885,	'Красносілка (Житомирська обл.)'),
(1,	1885,	'Красноселка (Житомирская обл.)'),
(3,	1886,	'Красносілля'),
(1,	1886,	'Красноселье'),
(3,	1887,	'Красносілля (Кіровоградська обл.)'),
(1,	1887,	'Красноселье (Кировоградская обл.)'),
(3,	1888,	'Красноторка'),
(1,	1888,	'Красноторка'),
(3,	1889,	'Красятичі'),
(1,	1889,	'Красятичи'),
(3,	1890,	'Кременець'),
(1,	1890,	'Кременец'),
(3,	1891,	'Кременець (Волинська обл.)'),
(1,	1891,	'Кременец (Волынская обл.)'),
(3,	1892,	'Кременівка'),
(1,	1892,	'Кременевка'),
(3,	1893,	'Кременчук'),
(1,	1893,	'Кременчуг'),
(3,	1894,	'Кремидівка '),
(1,	1894,	'Кремидовка'),
(3,	1895,	'Кремінна'),
(1,	1895,	'Кременная'),
(3,	1896,	'Кремінна (Хмельницька обл.)'),
(1,	1896,	'Кременная (Хмельницкая обл.)'),
(3,	1898,	'Креховичі'),
(1,	1898,	'Креховичи'),
(3,	1899,	'Крива'),
(1,	1899,	'Крива'),
(3,	1900,	'Крива Балка'),
(1,	1900,	'Кривая Балка'),
(3,	1901,	'Криве (Житомирська обл.)'),
(1,	1901,	'Кривое (Житомирская обл.)'),
(3,	1902,	'Криве Озеро'),
(1,	1902,	'Кривое Озеро'),
(3,	1903,	'Криве Озеро Друге'),
(1,	1903,	'Кривое Озеро Второе'),
(3,	1904,	'Кривий Ріг'),
(1,	1904,	'Кривой Рог'),
(3,	1905,	'Криворівня'),
(1,	1905,	'Криворовня'),
(3,	1906,	'Кривошиїнці'),
(1,	1906,	'Кривошеинцы'),
(3,	1907,	'Кривче'),
(1,	1907,	'Крывче'),
(3,	1908,	'Крижопіль'),
(1,	1908,	'Крыжополь'),
(3,	1909,	'Крилів'),
(1,	1909,	'Крылов'),
(3,	1910,	'Крилос'),
(1,	1910,	'Крылос'),
(3,	1911,	'Кримки'),
(1,	1911,	'Крымки'),
(3,	1912,	'Кримне (Старовижівський р-н., Волинська обл.)'),
(1,	1912,	'Крымное (Старовыжевский р-н., Волынская обл.)'),
(3,	1913,	'Кринички'),
(1,	1913,	'Кринички'),
(3,	1914,	'Криски'),
(1,	1914,	'Криски'),
(3,	1915,	'Крихівці'),
(1,	1915,	'Криховцы'),
(3,	1916,	'Крищинці'),
(1,	1916,	'Крищинцы'),
(3,	1917,	'Кролевець'),
(1,	1917,	'Кролевец'),
(3,	1918,	'Кропивна'),
(1,	1918,	'Крапивна'),
(3,	1919,	'Кропивник'),
(1,	1919,	'Крапивник'),
(3,	1920,	'Кропивник (Калуський р-н)'),
(1,	1920,	'Крапивник (Калушский р-н)'),
(3,	1921,	'Кропивницький'),
(1,	1921,	'Кропивницкий'),
(3,	1922,	'Кротошин'),
(1,	1922,	'Кротошин'),
(3,	1923,	'Круглоозерка'),
(1,	1923,	'Круглозёрка'),
(3,	1924,	'Крукеничі'),
(1,	1924,	'Крукеничи'),
(3,	1925,	'Крупець (Рівненська обл.)'),
(1,	1925,	'Крупец (Ровенская обл.)'),
(3,	1926,	'Крупець (Хмельницька обл.)'),
(1,	1926,	'Крупец (Хмельницкая обл.)'),
(3,	1927,	'Крутьки'),
(1,	1927,	'Крутьки'),
(3,	1928,	'Крюківщина'),
(1,	1928,	'Крюковщина'),
(3,	1929,	'Ксаверівка (Вінницька обл.)'),
(1,	1929,	'Ксаверовка (Винницкая обл.)'),
(3,	1930,	'Ксаверівка (Київська обл.)'),
(1,	1930,	'Ксаверовка (Киевская обл.)'),
(3,	1931,	'Кугаївці'),
(1,	1931,	'Кугаевцы'),
(3,	1932,	'Кудинка'),
(1,	1932,	'Кудинка'),
(3,	1933,	'Кудлаївка'),
(1,	1933,	'Кудлаевка'),
(3,	1934,	'Кудлатівка'),
(1,	1934,	'Кудлатовка'),
(3,	1935,	'Кудринці'),
(1,	1935,	'Кудренцы'),
(3,	1936,	'Кузнецове'),
(1,	1936,	'Кузнецово'),
(3,	1937,	'Кузьмин'),
(1,	1937,	'Кузьмин'),
(3,	1938,	'Кукільники'),
(1,	1938,	'Кукольники'),
(3,	1939,	'Куколівка'),
(1,	1939,	'Куколовка'),
(3,	1940,	'Кулажинці'),
(1,	1940,	'Кулажинцы'),
(3,	1941,	'Кулачківці'),
(1,	1941,	'Кулачковцы'),
(3,	1942,	'Куликів'),
(1,	1942,	'Куликов'),
(3,	1943,	'Куликівка'),
(1,	1943,	'Куликовка'),
(3,	1944,	'Кулиничі'),
(1,	1944,	'Кулиничи'),
(3,	1945,	'Куліші'),
(1,	1945,	'Кулиши'),
(3,	1946,	'Кулішівка'),
(1,	1946,	'Кулешовка'),
(3,	1947,	'Кульчинки'),
(1,	1947,	'Кульчинки'),
(3,	1948,	'Кульчиці'),
(1,	1948,	'Кульчицы'),
(3,	1949,	'Кумейки'),
(1,	1949,	'Кумейки'),
(3,	1950,	'Куми'),
(1,	1950,	'Кумы'),
(3,	1951,	'Куна'),
(1,	1951,	'Куна'),
(3,	1952,	'Куп\'янськ'),
(1,	1952,	'Купянск'),
(3,	1953,	'Куп\'янськ-Вузловий'),
(1,	1953,	'Купянск-Узловой'),
(3,	1954,	'Купичів'),
(1,	1954,	'Купичев'),
(3,	1955,	'Купіль'),
(1,	1955,	'Купель'),
(3,	1956,	'Купка'),
(1,	1956,	'Купка'),
(3,	1957,	'Курахівка'),
(1,	1957,	'Кураховка'),
(3,	1958,	'Курахове'),
(1,	1958,	'Курахово'),
(3,	1959,	'Курилівка'),
(1,	1959,	'Куриловка'),
(3,	1960,	'Курилівка (Харківська обл.)'),
(1,	1960,	'Куриловка (Харьковская обл.)'),
(3,	1961,	'Курилівка (Хмельницька обл.)'),
(1,	1961,	'Куриловка (Хмельницкая обл.)'),
(3,	1962,	'Курінь'),
(1,	1962,	'Курень'),
(3,	1963,	'Курісове'),
(1,	1963,	'Курисово'),
(3,	1964,	'Куровичі'),
(1,	1964,	'Куровичи'),
(3,	1965,	'Куряни'),
(1,	1965,	'Куряны'),
(3,	1966,	'Куснища'),
(1,	1966,	'Куснища'),
(3,	1967,	'Кустолово-Суходілка'),
(1,	1967,	'Кустолово-Суходолка'),
(3,	1968,	'Кути (Косівський р-н)'),
(1,	1968,	'Куты (Косовский р-н)'),
(3,	1969,	'Кутище'),
(1,	1969,	'Кутище'),
(3,	1970,	'Кутківці'),
(1,	1970,	'Кутковцы'),
(3,	1971,	'Кутузівка'),
(1,	1971,	'Кутузовка'),
(3,	1972,	'Кутузівка (Запорізька обл.)'),
(1,	1972,	'Кутузовка (Запорожская обл.)'),
(3,	1973,	'Кухарі'),
(1,	1973,	'Кухари'),
(3,	1974,	'Куцеволівка (Кіровоград.обл)'),
(1,	1974,	'Куцеволовка (Кировоград.обл)'),
(3,	1975,	'Куча'),
(1,	1975,	'Куча'),
(3,	1976,	'Кучаків'),
(1,	1976,	'Кучаков'),
(3,	1977,	'Кучурган'),
(1,	1977,	'Кучурган'),
(3,	1978,	'Кушниця'),
(1,	1978,	'Кушница'),
(3,	1979,	'Куштановиця'),
(1,	1979,	'Куштановица'),
(3,	1980,	'Кушугум'),
(1,	1980,	'Кушугум'),
(3,	1981,	'Кущинці'),
(1,	1981,	'Кущинцы'),
(3,	1982,	'Куянівка'),
(1,	1982,	'Куяновка'),
(3,	1983,	'Лавочне'),
(1,	1983,	'Лавочное'),
(3,	1984,	'Лаврики'),
(1,	1984,	'Лаврики'),
(3,	1985,	'Лаврів'),
(1,	1985,	'Лавров '),
(3,	1986,	'Лаврівка'),
(1,	1986,	'Лавровка'),
(3,	1987,	'Ладан'),
(1,	1987,	'Ладан'),
(3,	1988,	'Ладиги'),
(1,	1988,	'Ладыги'),
(3,	1989,	'Ладижин'),
(1,	1989,	'Ладыжин'),
(3,	1990,	'Ладижинка'),
(1,	1990,	'Ладыжинка'),
(3,	1991,	'Ладичин'),
(1,	1991,	'Ладычин'),
(3,	1992,	'Лазарівка'),
(1,	1992,	'Лазаревка'),
(3,	1993,	'Лазещина'),
(1,	1993,	'Лазещина'),
(3,	1994,	'Лази'),
(1,	1994,	'Лазы'),
(3,	1995,	'Лазірки (Оржицький р-н)'),
(1,	1995,	'Лазорки (Оржицкий р-н)'),
(3,	1996,	'Лалово'),
(1,	1996,	'Лалово'),
(3,	1997,	'Ландарі'),
(1,	1997,	'Ландари'),
(3,	1998,	'Ланівка'),
(1,	1998,	'Лановка '),
(3,	1999,	'Ланівці'),
(1,	1999,	'Лановцы'),
(3,	2000,	'Ланна'),
(1,	2000,	'Ланна'),
(3,	2001,	'Лантратівка'),
(1,	2001,	'Лантаратовка'),
(3,	2002,	'Ланчин'),
(1,	2002,	'Ланчин'),
(3,	2003,	'Лапаївка'),
(1,	2003,	'Лапаевка'),
(3,	2004,	'Ларжанка'),
(1,	2004,	'Ларжанка'),
(3,	2005,	'Лашківка'),
(1,	2005,	'Лашковка'),
(3,	2006,	'Леб\'яже'),
(1,	2006,	'Лебяжье'),
(3,	2007,	'Лебедин (Сумська обл.)'),
(1,	2007,	'Лебедин (Сумская обл.)'),
(3,	2008,	'Лебедин (Черкаська обл., Шполянський р-н)'),
(1,	2008,	'Лебедин (Черкаская обл., Шполянский р-н)'),
(3,	2009,	'Лебедівка'),
(1,	2009,	'Лебедевка'),
(3,	2010,	'Лебедівка (Сахновщинський р-н., Харківська обл.)'),
(1,	2010,	'Лебедевка (Сахновщинский р-н., Харьковская обл.)'),
(3,	2011,	'Левадівка'),
(1,	2011,	'Левадовка'),
(3,	2012,	'Левків'),
(1,	2012,	'Левков'),
(3,	2013,	'Легедзине'),
(1,	2013,	'Легедзино'),
(3,	2014,	'Лелюхівка'),
(1,	2014,	'Лелюховка'),
(3,	2015,	'Лемешівка'),
(1,	2015,	'Лемешовка'),
(3,	2016,	'Ленківці'),
(1,	2016,	'Ленковцы'),
(3,	2017,	'Ленківці (Хмельницька обл.)'),
(1,	2017,	'Ленковцы (Хмельницкая обл.)'),
(3,	2018,	'Леонівка'),
(1,	2018,	'Леоновка'),
(3,	2019,	'Лепетиха'),
(1,	2019,	'Лепетиха'),
(3,	2020,	'Леськи'),
(1,	2020,	'Леськи'),
(3,	2021,	'Летава'),
(1,	2021,	'Летава'),
(3,	2022,	'Летичів'),
(1,	2022,	'Летичев'),
(3,	2023,	'Летківка'),
(1,	2023,	'Летковка'),
(3,	2024,	'Летня'),
(1,	2024,	'Летня'),
(3,	2025,	'Леухи'),
(1,	2025,	'Леухи'),
(3,	2026,	'Лехнівка'),
(1,	2026,	'Лехновка'),
(3,	2027,	'Лецьки'),
(1,	2027,	'Лецки'),
(3,	2028,	'Лешнів'),
(1,	2028,	'Лешнев'),
(3,	2029,	'Либохора'),
(1,	2029,	'Либохора'),
(3,	2030,	'Либохора (Сколівський р-н)'),
(1,	2030,	'Либохора (Сколевский р-н)'),
(3,	2031,	'Лигівка'),
(1,	2031,	'Лиговка'),
(3,	2032,	'Лизогубівка'),
(1,	2032,	'Лизогубовка'),
(3,	2033,	'Лиман (Харківська обл.)'),
(1,	2033,	'Лиман (Харьковская обл.)'),
(3,	2034,	'Лиман(Донецька обл)'),
(1,	2034,	'Лиман(Донецька обл)'),
(3,	2035,	'Лиманське (Запорізька обл.)'),
(1,	2035,	'Лиманское (Запорожская обл.)'),
(3,	2036,	'Лиманське (Роздільнянський р-н)'),
(1,	2036,	'Лиманское (Раздельнянский р-н)'),
(3,	2037,	'Линовиця'),
(1,	2037,	'Линовица'),
(3,	2038,	'Липини'),
(1,	2038,	'Липины'),
(3,	2039,	'Липівка'),
(1,	2039,	'Липовка'),
(3,	2040,	'Липівка (Івано-Франківська обл.)'),
(1,	2040,	'Липовка (Ивано-Франковская обл.)'),
(3,	2041,	'Липівка (Львівська обл.)'),
(1,	2041,	'Липовка (Львовская обл.)'),
(3,	2042,	'Липкуватівка'),
(1,	2042,	'Липковатовка'),
(3,	2043,	'Липне'),
(1,	2043,	'Липно'),
(3,	2044,	'Липники'),
(1,	2044,	'Липники'),
(3,	2045,	'Липова Долина'),
(1,	2045,	'Липовая Долина'),
(3,	2046,	'Липовець'),
(1,	2046,	'Липовец'),
(3,	2047,	'Липовець (Київська обл.)'),
(1,	2047,	'Липовец (Киевская обл.)'),
(3,	2049,	'Липовиця'),
(1,	2049,	'Липовица'),
(3,	2050,	'Липці'),
(1,	2050,	'Липцы'),
(3,	2051,	'Липча'),
(1,	2051,	'Липча'),
(3,	2052,	'Лиса Гора'),
(1,	2052,	'Лысая Гора'),
(3,	2053,	'Лисанівці'),
(1,	2053,	'Лисановцы'),
(3,	2054,	'Лисець'),
(1,	2054,	'Лисец'),
(3,	2055,	'Лисиничі (Львівська обл.)'),
(1,	2055,	'Лисиничи (Львовская обл.)'),
(3,	2056,	'Лисичанськ'),
(1,	2056,	'Лисичанск'),
(3,	2057,	'Лисичово'),
(1,	2057,	'Лисичово'),
(3,	2058,	'Лисівка'),
(1,	2058,	'Лысовка'),
(3,	2059,	'Лисогірка (Летичівський р-н., Хмельницька обл.) '),
(1,	2059,	'Лысогорка (Летичевский р-н., Хмельницкая обл.)'),
(3,	2060,	'Листопадове'),
(1,	2060,	'Листопадово'),
(3,	2061,	'Лисянка'),
(1,	2061,	'Лысянка'),
(3,	2062,	'Лисятичі'),
(1,	2062,	'Лисятичи'),
(3,	2063,	'Литвинівка'),
(1,	2063,	'Литвиновка'),
(3,	2064,	'Литовеж'),
(1,	2064,	'Литовеж'),
(3,	2065,	'Лихівка'),
(1,	2065,	'Лиховка'),
(3,	2066,	'Личанка'),
(1,	2066,	'Лычанка'),
(3,	2067,	'Личківці'),
(1,	2067,	'Лычковцы'),
(3,	2068,	'Личкове '),
(1,	2068,	'Лычково'),
(3,	2069,	'Лівинці'),
(1,	2069,	'Левинцы'),
(3,	2070,	'Лімна'),
(1,	2070,	'Лимна'),
(3,	2071,	'Ліпляве'),
(1,	2071,	'Лепляво'),
(3,	2072,	'Лісна Поляна'),
(1,	2072,	'Лесная Поляна'),
(3,	2073,	'Лісна Тарновиця'),
(1,	2073,	'Лесная Тарновица '),
(3,	2074,	'Лісний Хлібичин'),
(1,	2074,	'Лесной Хлебычин'),
(3,	2075,	'Лісники'),
(1,	2075,	'Лесники'),
(3,	2076,	'Лісове'),
(1,	2076,	'Лесовое'),
(3,	2077,	'Лісове (Черкаська обл.)'),
(1,	2077,	'Лесовое (Черкасская обл.)'),
(3,	2078,	'Лісовичі'),
(1,	2078,	'Лесовичи'),
(3,	2079,	'Лісоводи'),
(1,	2079,	'Лесоводы'),
(3,	2080,	'Лісопіль'),
(1,	2080,	'Лесополь'),
(3,	2081,	'Літин'),
(1,	2081,	'Литин'),
(3,	2082,	'Літки'),
(1,	2082,	'Летки'),
(3,	2083,	'Літки (Хмельницька обл.)'),
(1,	2083,	'Летки (Хмельницкая обл.)'),
(3,	2084,	'Літочки'),
(1,	2084,	'Леточки'),
(3,	2085,	'Лішня'),
(1,	2085,	'Лешня'),
(3,	2086,	'Ліщани'),
(1,	2086,	'Лищаны'),
(3,	2087,	'Лобачівка'),
(1,	2087,	'Лобачевка'),
(3,	2088,	'Лобойківка'),
(1,	2088,	'Лобойковка'),
(3,	2089,	'Логвин'),
(1,	2089,	'Логвин'),
(3,	2090,	'Лоєва'),
(1,	2090,	'Лоевая'),
(3,	2091,	'Лозино'),
(1,	2091,	'Лозино'),
(3,	2092,	'Лозно-Олександрівка'),
(1,	2092,	'Лозно-Александровка'),
(3,	2093,	'Лозова'),
(1,	2093,	'Лозовая'),
(3,	2094,	'Лозова (Тернопільська обл.)'),
(1,	2094,	'Лозовая (Тернопольськая обл.)'),
(3,	2095,	'Лозове'),
(1,	2095,	'Лозовое'),
(3,	2096,	'Лозове (Хмельницька обл.)'),
(1,	2096,	'Лозовое (Хмельницкая обл.)'),
(3,	2097,	'Лозувата (Кіровоградська обл.)'),
(1,	2097,	'Лозоватая (Кировоградская обл.)'),
(3,	2098,	'Лозуватка (П\'ятихатський р-н)'),
(1,	2098,	'Лозуватка (Пятихатський р-н)'),
(3,	2099,	'Лозуватка(Криворізький р-н)'),
(1,	2099,	'Лозоватка(Криворожский р-н)'),
(3,	2100,	'Локачі'),
(1,	2100,	'Локачи'),
(3,	2101,	'Лолин'),
(1,	2101,	'Лолин'),
(3,	2102,	'Ломачинці'),
(1,	2102,	'Ломачинцы'),
(3,	2103,	'Лоп\'янка'),
(1,	2103,	'Лопянка'),
(3,	2104,	'Лопатин (Львівська обл.)'),
(1,	2104,	'Лопатин (Львовская обл.)'),
(3,	2105,	'Лопатичі'),
(1,	2105,	'Лопатичи'),
(3,	2106,	'Лопушна'),
(1,	2106,	'Лопушна'),
(3,	2107,	'Лосинівка'),
(1,	2107,	'Лосиновка'),
(3,	2108,	'Лосятин (Київська обл.)'),
(1,	2108,	'Лосятин (Киевская обл.)'),
(3,	2109,	'Лосятин (Тернопільська обл.)'),
(1,	2109,	'Лосятин (Тернопольськая обл.)'),
(3,	2110,	'Лохвиця'),
(1,	2110,	'Лохвица'),
(3,	2111,	'Лоцкине'),
(1,	2111,	'Лоцкино'),
(3,	2112,	'Лошківці'),
(1,	2112,	'Лошковцы'),
(3,	2113,	'Луб\'янка'),
(1,	2113,	'Лубянка'),
(3,	2114,	'Лубни'),
(1,	2114,	'Лубны'),
(3,	2115,	'Луганка'),
(1,	2115,	'Луганка'),
(3,	2116,	'Луги'),
(1,	2116,	'Луги'),
(3,	2117,	'Лугини'),
(1,	2117,	'Лугины'),
(3,	2118,	'Лужани'),
(1,	2118,	'Лужаны'),
(3,	2119,	'Лук\'янівка'),
(1,	2119,	'Лукьяновка '),
(3,	2120,	'Лук\'янівка (Баришівський р-н)'),
(1,	2120,	'Лукьяновка (Барышевский р-н)'),
(3,	2121,	'Лук\'янці'),
(1,	2121,	'Лукьянцы'),
(3,	2122,	'Лука'),
(1,	2122,	'Лука'),
(3,	2123,	'Лука-Мелешківська'),
(1,	2123,	'Лука-Мелешковская'),
(3,	2124,	'Лукавці'),
(1,	2124,	'Лукавцы'),
(3,	2125,	'Лукашеве'),
(1,	2125,	'Лукашево'),
(3,	2126,	'Лукаші'),
(1,	2126,	'Лукаши'),
(3,	2127,	'Луків'),
(1,	2127,	'Луков'),
(3,	2128,	'Луко'),
(1,	2128,	'Луко'),
(3,	2129,	'Лупареве'),
(1,	2129,	'Лупарево'),
(3,	2130,	'Лутівка'),
(1,	2130,	'Лутовка'),
(3,	2131,	'Лутовинівка'),
(1,	2131,	'Лутовиновка'),
(3,	2132,	'Луцьк'),
(1,	2132,	'Луцк'),
(3,	2133,	'Лучинці'),
(1,	2133,	'Лучинцы'),
(3,	2134,	'Львів'),
(1,	2134,	'Львов'),
(3,	2135,	'Львівське'),
(1,	2135,	'Львовское'),
(3,	2136,	'Львове'),
(1,	2136,	'Львовое'),
(3,	2137,	'Льотниче'),
(1,	2137,	'Летничье'),
(3,	2138,	'Люб\'язь'),
(1,	2138,	'Любязь'),
(3,	2139,	'Любар'),
(1,	2139,	'Любар'),
(3,	2140,	'Любарці'),
(1,	2140,	'Любарцы'),
(3,	2141,	'Любашівка'),
(1,	2141,	'Любашевка'),
(3,	2142,	'Любеч'),
(1,	2142,	'Любеч'),
(3,	2143,	'Любешів'),
(1,	2143,	'Любешов'),
(3,	2144,	'Любимівка'),
(1,	2144,	'Любимовка'),
(3,	2145,	'Любимівка (Каховський р-н)'),
(1,	2145,	'Любимовка (Каховский р-н)'),
(3,	2146,	'Любимівка (Київська обл.)'),
(1,	2146,	'Любимовка (Киевская обл.)'),
(3,	2147,	'Любимівка (Нововоронцовський р-н)'),
(1,	2147,	'Любимовка (Нововоронцовський р-н)'),
(3,	2148,	'Любимо-Павлівка'),
(1,	2148,	'Любимо-Павловка'),
(3,	2149,	'Любинці'),
(1,	2149,	'Любинцы'),
(3,	2150,	'Любитів'),
(1,	2150,	'Любитов'),
(3,	2151,	'Любицьке'),
(1,	2151,	'Любицкое '),
(3,	2152,	'Люблинець'),
(1,	2152,	'Люблинец'),
(3,	2153,	'Любомирівка'),
(1,	2153,	'Любомировка'),
(3,	2154,	'Любомль'),
(1,	2154,	'Любомль'),
(3,	2155,	'Люботин'),
(1,	2155,	'Люботин'),
(3,	2156,	'Любохини'),
(1,	2156,	'Любохини'),
(3,	2157,	'Лютарівка'),
(1,	2157,	'Лютаривка'),
(3,	2158,	'Лютарка'),
(1,	2158,	'Лютарка'),
(3,	2159,	'Лютенька'),
(1,	2159,	'Лютенька'),
(3,	2160,	'Лютинськ'),
(1,	2160,	'Лютинск'),
(3,	2161,	'Лютіж'),
(1,	2161,	'Лютеж'),
(3,	2162,	'Люча'),
(1,	2162,	'Люча'),
(3,	2163,	'Ляшківка'),
(1,	2163,	'Ляшковка'),
(3,	2164,	'Лящівка'),
(1,	2164,	'Лящовка'),
(3,	2165,	'М\'якеньківка'),
(1,	2165,	'Мякеньковка '),
(3,	2166,	'Мавковичі'),
(1,	2166,	'Мавковичи'),
(3,	2167,	'Магала'),
(1,	2167,	'Магала'),
(3,	2168,	'Магдалинівка'),
(1,	2168,	'Магдалиновка'),
(3,	2169,	'Магерів'),
(1,	2169,	'Магеров'),
(3,	2170,	'Мазінки'),
(1,	2170,	'Мазинки'),
(3,	2171,	'Мазурівка'),
(1,	2171,	'Мазуровка'),
(3,	2172,	'Майдан'),
(1,	2172,	'Майдан'),
(3,	2173,	'Майданецьке'),
(1,	2173,	'Майданецкое'),
(3,	2174,	'Майори'),
(1,	2174,	'Майоры'),
(3,	2175,	'Майорське'),
(1,	2175,	'Майорское'),
(3,	2176,	'Майське'),
(1,	2176,	'Майское'),
(3,	2177,	'Макарів'),
(1,	2177,	'Макаров'),
(3,	2178,	'Макарьово'),
(1,	2178,	'Макарово'),
(3,	2179,	'Макишин'),
(1,	2179,	'Макишин'),
(3,	2180,	'Маківка'),
(1,	2180,	'Маковка'),
(3,	2181,	'Макіївка'),
(1,	2181,	'Макеевка'),
(3,	2182,	'Максима Горького'),
(1,	2182,	'Максима Горького'),
(3,	2183,	'Максимівка'),
(1,	2183,	'Максимовка'),
(3,	2184,	'Мала Білозерка'),
(1,	2184,	'Малая Белозерка'),
(3,	2185,	'Мала Бурімка'),
(1,	2185,	'Малая Буромка'),
(3,	2186,	'Мала Виска'),
(1,	2186,	'Малая Виска'),
(3,	2187,	'Мала Глуша'),
(1,	2187,	'Малая Глуша'),
(3,	2188,	'Мала Данилівка'),
(1,	2188,	'Малая Даниловка'),
(3,	2189,	'Мала Дівиця'),
(1,	2189,	'Малая Девица'),
(3,	2190,	'Мала Добронь'),
(1,	2190,	'Малая Добронь'),
(3,	2191,	'Мала Каратуль'),
(1,	2191,	'Малая Каратуль '),
(3,	2192,	'Мала Копаня'),
(1,	2192,	'Малая Копаня'),
(3,	2193,	'Мала Любаша'),
(1,	2193,	'Малая Любаша'),
(3,	2194,	'Мала Михайлівка'),
(1,	2194,	'Малая Михайловка'),
(3,	2195,	'Мала Олександрівка'),
(1,	2195,	'Малая Александровка'),
(3,	2196,	'Мала Перещепина'),
(1,	2196,	'Малая Перещепина'),
(3,	2197,	'Мала Петриківка'),
(1,	2197,	'Мала Петриковка'),
(3,	2198,	'Мала Рибиця'),
(1,	2198,	'Малая Рыбица'),
(3,	2199,	'Мала Рогань'),
(1,	2199,	'Малая Рогань'),
(3,	2200,	'Мала Солтанівка'),
(1,	2200,	'Малая Солтановка'),
(3,	2201,	'Мала Токмачка'),
(1,	2201,	'Малая Токмачка'),
(3,	2202,	'Мала Тур\'я'),
(1,	2202,	'Малая Турья'),
(3,	2203,	'Малаївці'),
(1,	2203,	'Малаевцы'),
(3,	2204,	'Малашівці'),
(1,	2204,	'Малашевцы'),
(3,	2205,	'Малехів'),
(1,	2205,	'Малехов'),
(3,	2206,	'Малечковичі'),
(1,	2206,	'Малечковичи'),
(3,	2207,	'Малий Березний'),
(1,	2207,	'Малый Березный'),
(3,	2208,	'Малий Бурлук'),
(1,	2208,	'Малый Бурлук'),
(3,	2209,	'Малий Кучурів'),
(1,	2209,	'Малый Кучуров'),
(3,	2210,	'Малий Мидськ'),
(1,	2210,	'Малый Мидск'),
(3,	2211,	'Малий Стидин'),
(1,	2211,	'Малый Стыдин'),
(3,	2212,	'Малий Ходачків'),
(1,	2212,	'Малый Ходачков'),
(3,	2213,	'Малин'),
(1,	2213,	'Малин'),
(3,	2214,	'Малинівка (Донецька обл.)'),
(1,	2214,	'Малиновка (Донецкая обл.)'),
(3,	2215,	'Малинівка (Запорізька обл.)'),
(1,	2215,	'Малиновка (Запорожская обл.)'),
(3,	2216,	'Малинівка (Харківська обл.)'),
(1,	2216,	'Малиновка (Харьковская обл.)'),
(3,	2217,	'Малинськ'),
(1,	2217,	'Малинск'),
(3,	2218,	'Малинці'),
(1,	2218,	'Малинцы'),
(3,	2219,	'Малишівка'),
(1,	2219,	'Малышевка'),
(3,	2220,	'Малі Дорогостаї'),
(1,	2220,	'Малые Дорогостаи'),
(3,	2221,	'Малі Копані'),
(1,	2221,	'Малые Копани'),
(3,	2222,	'Малі Крушлинці'),
(1,	2222,	'Малые Крушлинцы'),
(3,	2223,	'Малі Мокряни'),
(1,	2223,	'Малые Мокряны'),
(3,	2224,	'Малі Підліски'),
(1,	2224,	'Малые Подлески'),
(3,	2225,	'Малі Телковичі'),
(1,	2225,	'Малые Телковичи'),
(3,	2226,	'Маліївці'),
(1,	2226,	'Малиевцы'),
(3,	2227,	'Малодолинське'),
(1,	2227,	'Малодолинское '),
(3,	2228,	'Малокатеринівка'),
(1,	2228,	'Малокатериновка'),
(3,	2229,	'Малокаховка'),
(1,	2229,	'Малокаховка'),
(3,	2230,	'Маломихайлівка'),
(1,	2230,	'Маломихайловка'),
(3,	2231,	'Малополовецьке'),
(1,	2231,	'Малополовецкое'),
(3,	2232,	'Малотаранівка'),
(1,	2232,	'Малотарановка'),
(3,	2233,	'Малоянисоль (Донецька обл., Нікольський р-н)'),
(1,	2233,	'Малоянисоль (Донецкая обл., Никольский р-н)'),
(3,	2234,	'Мамаївці'),
(1,	2234,	'Мамаевцы'),
(3,	2235,	'Мамалига'),
(1,	2235,	'Мамалига'),
(3,	2236,	'Мангуш'),
(1,	2236,	'Мангуш'),
(3,	2237,	'Маневичі'),
(1,	2237,	'Маневичи'),
(3,	2238,	'Манжелія'),
(1,	2238,	'Манжелия '),
(3,	2239,	'Мануйлівка'),
(1,	2239,	'Мануйловка'),
(3,	2240,	'Манченки'),
(1,	2240,	'Манченки'),
(3,	2241,	'Маньківка'),
(1,	2241,	'Маньковка'),
(3,	2242,	'Маньківка (Вінницька обл.)'),
(1,	2242,	'Маньковка (Винницкая обл.)'),
(3,	2243,	'Манява'),
(1,	2243,	'Манява'),
(3,	2244,	'Мар\'ївка (Запорізький р-н., Запорізька обл.)'),
(1,	2244,	'Марьевка (Запорожский р-н., Запорожская обл.)'),
(3,	2245,	'Мар\'їнка'),
(1,	2245,	'Марьинка'),
(3,	2246,	'Мар\'янівка (Березівський р-н., Одеська обл.)'),
(1,	2246,	'Марьяновка (Березовский р-н., Одесская обл.)'),
(3,	2247,	'Мар\'янівка (Васильківський р-н)'),
(1,	2247,	'Марьяновка (Васильковский р-н)'),
(3,	2248,	'Мар\'янівка (Волинська обл.)'),
(1,	2248,	'Марьяновка (Волынская обл.)'),
(3,	2249,	'Мар\'янівка (Житомирська обл.)'),
(1,	2249,	'Марьяновка (Житомирская обл.)'),
(3,	2250,	'Мар\'янівка (Запорізька обл.)'),
(1,	2250,	'Марьяновка (Запорожская обл.)'),
(3,	2251,	'Мар\'янівка (Макарівський р-н)'),
(1,	2251,	'Марьяновка (Макаровский р-н)'),
(3,	2252,	'Мар\'янівка (Овідіопольський р-н., Одеська обл.)'),
(1,	2252,	'Марьяновка (Овидиопольский р-н., Одесская обл.)'),
(3,	2253,	'Мар\'янівка (Черкаська обл.)'),
(1,	2253,	'Марьяновка (Черкасская обл.)'),
(3,	2254,	'Мар\'янівка (Ширяївський р-н., Одеська обл.)'),
(1,	2254,	'Марьяновка (Ширяевский р-н., Одесская обл.)'),
(3,	2255,	'Мар\'янське'),
(1,	2255,	'Марьянское'),
(3,	2256,	'Марганець'),
(1,	2256,	'Марганец'),
(3,	2257,	'Маринівка'),
(1,	2257,	'Мариновка'),
(3,	2258,	'Маріуполь'),
(1,	2258,	'Мариуполь'),
(3,	2259,	'Маріямпіль'),
(1,	2259,	'Мариямполь'),
(3,	2260,	'Марківка'),
(1,	2260,	'Марковка'),
(3,	2261,	'Марківка (Полтавська обл.)'),
(1,	2261,	'Марковка (Полтавская обл.)'),
(3,	2262,	'Марківці (Івано-Франківська обл.)'),
(1,	2262,	'Марковцы (Ивано-Франковская обл.)'),
(3,	2264,	'Маркопіль'),
(1,	2264,	'Маркополь'),
(3,	2265,	'Мартинівка'),
(1,	2265,	'Мартыновка'),
(3,	2266,	'Мартинівка (Полтавська обл.)'),
(1,	2266,	'Мартыновка (Полтавская обл.)'),
(3,	2267,	'Мартинівка (Сумська обл.)'),
(1,	2267,	'Мартыновка  (Сумская обл.)'),
(3,	2268,	'Мартинівське'),
(1,	2268,	'Мартыновское'),
(3,	2269,	'Марто-Іванівка'),
(1,	2269,	'Марто-Ивановка'),
(3,	2270,	'Мартове'),
(1,	2270,	'Мартовое'),
(3,	2271,	'Мартоноша'),
(1,	2271,	'Мартоноша'),
(3,	2272,	'Мархалівка'),
(1,	2272,	'Мархалевка'),
(3,	2273,	'Маршинці'),
(1,	2273,	'Маршинцы'),
(3,	2274,	'Масевичі'),
(1,	2274,	'Масевичи'),
(3,	2275,	'Маслівка'),
(1,	2275,	'Масловка'),
(3,	2276,	'Матвіївка(Вільнянський р-н)'),
(1,	2276,	'Матвеевка(Вольнянский р-н)'),
(3,	2277,	'Матеївці'),
(1,	2277,	'Матеевцы'),
(3,	2278,	'Матишівка'),
(1,	2278,	'Матышевка'),
(3,	2279,	'Матроска'),
(1,	2279,	'Матроска'),
(3,	2280,	'Матусів'),
(1,	2280,	'Матусов'),
(3,	2281,	'Махаринці'),
(1,	2281,	'Махаринцы'),
(3,	2282,	'Махнівка (Вінницька обл.)'),
(1,	2282,	'Махнивка (Винницкая обл.)'),
(3,	2283,	'Мацьківці'),
(1,	2283,	'Мацьковцы'),
(3,	2284,	'Мачухи'),
(1,	2284,	'Мачухи'),
(3,	2285,	'Машівка'),
(1,	2285,	'Машевка'),
(3,	2286,	'Маща'),
(1,	2286,	'Маща'),
(3,	2287,	'Маяки'),
(1,	2287,	'Маяки'),
(3,	2288,	'Маяки (Одеська обл.)'),
(1,	2288,	'Маяки (Одесская обл.)'),
(3,	2289,	'Маячка'),
(1,	2289,	'Маячка'),
(3,	2290,	'Медведівка'),
(1,	2290,	'Медведевка'),
(3,	2291,	'Медвеже Вушко'),
(1,	2291,	'Медвежье Ушко'),
(3,	2292,	'Медвин'),
(1,	2292,	'Медвин'),
(3,	2293,	'Меденичі'),
(1,	2293,	'Меденичи'),
(3,	2294,	'Меджибіж'),
(1,	2294,	'Меджибож'),
(3,	2295,	'Мединя'),
(1,	2295,	'Мединя'),
(3,	2296,	'Межиріч '),
(1,	2296,	'Межирич'),
(3,	2297,	'Межиріч (Острозький р-н, Рівненська обл.)'),
(1,	2297,	'Межирич (Острожский р-н, Ровенская обл.)'),
(3,	2298,	'Межиріч (Черкаська обл.)'),
(1,	2298,	'Межирич (Черкасская обл.)'),
(3,	2299,	'Межиріччя'),
(1,	2299,	'Межиречье'),
(3,	2300,	'Межова'),
(1,	2300,	'Межевая'),
(3,	2301,	'Мезенівка'),
(1,	2301,	'Мезеновка'),
(3,	2302,	'Мелекіне'),
(1,	2302,	'Мелекино'),
(3,	2303,	'Меліоративне (Новомосковський р-н)'),
(1,	2303,	'Мелиоративное (Новомосковский р-н)'),
(3,	2304,	'Мелітополь'),
(1,	2304,	'Мелитополь'),
(3,	2305,	'Мельники'),
(1,	2305,	'Мельники'),
(3,	2306,	'Мельники (Чигиринський р-н.)'),
(1,	2306,	'Мельники (Чигиринский р-н.)'),
(3,	2307,	'Мельники (Чорнобаївський р-н)'),
(1,	2307,	'Мельники (Чернобаевский р-н)'),
(3,	2308,	'Мельниця-Подільська (Тернопільська обл.)'),
(1,	2308,	'Мельница-Подольская (Тернопольская обл.)'),
(3,	2309,	'Мена'),
(1,	2309,	'Мена'),
(3,	2310,	'Менчикури'),
(1,	2310,	'Менчикуры'),
(3,	2311,	'Мервичі'),
(1,	2311,	'Мервичи'),
(3,	2312,	'Мерефа'),
(1,	2312,	'Мерефа'),
(3,	2313,	'Метьолкіне'),
(1,	2313,	'Метёлкино'),
(3,	2314,	'Мигалки'),
(1,	2314,	'Мигалки'),
(3,	2315,	'Мигія'),
(1,	2315,	'Мигия '),
(3,	2316,	'Мигове'),
(1,	2316,	'Мигово'),
(3,	2317,	'Микільське (Монастир) (Волновас. р-н, Донец. обл.)'),
(1,	2317,	'Никольское (Монастырь) (Волновахск. р-н., Донецкая'),
(3,	2318,	'Микільське (Світловодський р-н., Кіровоград. обл.)'),
(1,	2318,	'Никольское (Светловодский р-н., Кировоград. Обл.)'),
(3,	2319,	'Миклашів'),
(1,	2319,	'Миклашев'),
(3,	2320,	'Миколаїв'),
(1,	2320,	'Николаев'),
(3,	2321,	'Миколаїв (Львівська обл., Миколаївський р-н)'),
(1,	2321,	'Николаев (Львовская обл., Николаевский р-н)'),
(3,	2322,	'Миколаїв (Львівська обл., Радехівський р-н)'),
(1,	2322,	'Николаев (Львовская обл., Радеховский р-н)'),
(3,	2323,	'Миколаївка (Великолепетиський р-н)'),
(1,	2323,	'Николаевка (Великолепетихский район)'),
(3,	2324,	'Миколаївка (Дніпровський р-н,, Дніпропетр. обл.)'),
(1,	2324,	'Николаевка (Днепровский р-н,, Днепропетр. Обл.)'),
(3,	2325,	'Миколаївка (Казанківський р-н., Миколаївська обл.)'),
(1,	2325,	'Николаевка (Казанковский р-н., Николаевская обл.)'),
(3,	2326,	'Миколаївка (Миколаївська сільська рада)'),
(1,	2326,	'Николаевка (Николаевский сельский совет)'),
(3,	2327,	'Миколаївка (Новомосковський р-н)'),
(1,	2327,	'Николаевка ( Новомосковский р-н)'),
(3,	2328,	'Миколаївка (Овідіопольський р-н., Одеська обл.)'),
(1,	2328,	'Николаевка (Овидиопольский р-н., Одесская обл.)'),
(3,	2329,	'Миколаївка (Одеська обл., Миколаївський р-н)'),
(1,	2329,	'Николаевка (Одесская обл., Николаевский р-н)'),
(3,	2330,	'Миколаївка (Петриківський р-н.)'),
(1,	2330,	'Николаевка (Петриковский р-н.)'),
(3,	2331,	'Миколаївка (Петропавлівський р-н)'),
(1,	2331,	'Николаевка (Петропавловский р-н)'),
(3,	2332,	'Миколаївка (Слов’янська міська рада)'),
(1,	2332,	'Николаевка (Славянский городской совет)'),
(3,	2333,	'Миколаївка(Білопільський р-н)'),
(1,	2333,	'Николаевка(Белопольский р-н)'),
(3,	2334,	'Микулинці'),
(1,	2334,	'Микулинцы'),
(3,	2335,	'Микуличин'),
(1,	2335,	'Микуличин'),
(3,	2336,	'Микуличі'),
(1,	2336,	'Микуличи'),
(3,	2337,	'Микуличі (Волинська обл.)'),
(1,	2337,	'Микуличи (Волынская обл.)'),
(3,	2338,	'Мила'),
(1,	2338,	'Милая'),
(3,	2339,	'Минай'),
(1,	2339,	'Минай'),
(3,	2340,	'Миргород'),
(1,	2340,	'Миргород'),
(3,	2341,	'Мирівка'),
(1,	2341,	'Мировка'),
(3,	2342,	'Мирне (Біляївський р-н., Одеська обл.)'),
(1,	2342,	'Мирное (Беляевский р-н., Одесская обл.)'),
(3,	2343,	'Мирне (Волинська обл.)'),
(1,	2343,	'Мирное (Волынская обл.)'),
(3,	2344,	'Мирне (Донецька обл.)'),
(1,	2344,	'Мирное (Донецкая обл.)'),
(3,	2345,	'Мирне (Київська обл.)'),
(1,	2345,	'Мирное (Киевская обл.)'),
(3,	2346,	'Мирне (Кілійський р-н)'),
(1,	2346,	'Мирное (Килийский р-н)'),
(3,	2347,	'Мирне (Оріхівський р-н.)'),
(1,	2347,	'Мирное (Ореховский р-н.)'),
(3,	2348,	'Мирне (Рівненська обл.)'),
(1,	2348,	'Мирное (Ровенская обл.)'),
(3,	2349,	'Мирне(Мелітопол.р-н)'),
(1,	2349,	'Мирное(Мелитопол. р-н)'),
(3,	2350,	'Мирне(Херсонська обл.)'),
(1,	2350,	'Мирное(Херсонская обл.)'),
(3,	2351,	'Мирноград'),
(1,	2351,	'Мирноград'),
(3,	2352,	'Мирнопілля'),
(1,	2352,	'Мирнополье'),
(3,	2353,	'Мирове'),
(1,	2353,	'Мировое'),
(3,	2354,	'Миролюбівка'),
(1,	2354,	'Миролюбовка'),
(3,	2355,	'Миролюбівка (Синельниківський р-н., Дніпроп. обл.)'),
(1,	2355,	'Миролюбовка (Синельниковский р-н., Днепр. Обл.)'),
(3,	2356,	'Миролюбівка (Херсонська обл.)'),
(1,	2356,	'Миролюбовка (Херсонская обл.)'),
(3,	2357,	'Мирони'),
(1,	2357,	'Мироны'),
(3,	2358,	'Миронівка'),
(1,	2358,	'Мироновка'),
(3,	2359,	'Миронівський (Бахмутський р-н.)'),
(1,	2359,	'Мироновский (Бахмутский р-н.)'),
(3,	2360,	'Миропілля (Черкаська обл.)'),
(1,	2360,	'Мирополье (Черкасская обл.)'),
(3,	2361,	'Миропілля(Сумська обл.)'),
(1,	2361,	'Мирополье(Сумская обл.)'),
(3,	2362,	'Миропіль(Житомирська обл.)'),
(1,	2362,	'Мирополь(Житомирская обл.)'),
(3,	2363,	'Миртюки'),
(1,	2363,	'Миртюки'),
(3,	2364,	'Мисайлівка'),
(1,	2364,	'Мисайловка'),
(3,	2365,	'Мислів'),
(1,	2365,	'Мыслов'),
(3,	2366,	'Мислятин'),
(1,	2366,	'Мыслятин'),
(3,	2367,	'Мистичі'),
(1,	2367,	'Мистичи'),
(3,	2368,	'Мита'),
(1,	2368,	'Мыта'),
(3,	2369,	'Митки'),
(1,	2369,	'Мытки'),
(3,	2370,	'Митниця'),
(1,	2370,	'Мытница'),
(3,	2371,	'Михайлівка (Буринський р-н, Сумська обл.)'),
(1,	2371,	'Михайловка (Буринский р-н, Сумская обл.)'),
(3,	2372,	'Михайлівка (Вінницька обл.)'),
(1,	2372,	'Михайловка (Винницкая обл.)'),
(3,	2373,	'Михайлівка (Гайсинський р-н., Вінницька обл.)'),
(1,	2373,	'Михайловка (Гайсинский р-н., Винницкая обл.)'),
(3,	2374,	'Михайлівка (Дніпропетровська обл.)'),
(1,	2374,	'Михайловка (Днепропетровская обл.)'),
(3,	2375,	'Михайлівка (Житомирська обл.)'),
(1,	2375,	'Михайлівка (Житомирська обл.)'),
(3,	2376,	'Михайлівка (Кіровоградська обл.)'),
(1,	2376,	'Михайловка (Кировоградская обл.)'),
(3,	2377,	'Михайлівка (Луганська обл.)'),
(1,	2377,	'Михайловка (Луганская обл.)'),
(3,	2378,	'Михайлівка (Миколаївська обл.)'),
(1,	2378,	'Михайловка (Николаевская обл.)'),
(3,	2379,	'Михайлівка (Михайлівський р-н., Запорізька обл.)'),
(1,	2379,	'Михайловка (Михайловский р-н., Запорожская обл.)'),
(3,	2380,	'Михайлівка (Одеська обл)'),
(1,	2380,	'Михайловка (Одесская обл)'),
(3,	2381,	'Михайлівка (Покровський р-н, Донецька обл.)'),
(1,	2381,	'Михайловка (Покровский р-н, Донецкая обл.)'),
(3,	2382,	'Михайлівка (Полтавська обл.)'),
(1,	2382,	'Михайловка (Полтавская обл.)'),
(3,	2383,	'Михайлівка (Рівненська обл., Радивилівський р-н)'),
(1,	2383,	'Михайловка (Ровенская обл., Радивиловский р-н))'),
(3,	2384,	'Михайлівка (Сумська обл.)'),
(1,	2384,	'Михайловка (Сумская обл.)'),
(3,	2385,	'Михайлівка (Херсонська обл.)'),
(1,	2385,	'Михайловка (Херсонская обл.)'),
(3,	2386,	'Михайлівка (Черкаська обл.)'),
(1,	2386,	'Михайловка (Черкаська обл.)'),
(3,	2387,	'Михайлівка-Рубежівка'),
(1,	2387,	'Михайловка-Рубежовка'),
(3,	2388,	'Михайло-Лукашеве'),
(1,	2388,	'Михайло-Лукашово'),
(3,	2389,	'Михайло-Олександрівка'),
(1,	2389,	'Михайло-Александровка'),
(3,	2390,	'Михалкове'),
(1,	2390,	'Михалково'),
(3,	2391,	'Михальча'),
(1,	2391,	'Михальча'),
(3,	2392,	'Михля'),
(1,	2392,	'Михля'),
(3,	2393,	'Мишковичі'),
(1,	2393,	'Мышковичи'),
(3,	2394,	'Мишурин Ріг'),
(1,	2394,	'Мишурин Рог'),
(3,	2395,	'Міжгір\'я'),
(1,	2395,	'Межгорье'),
(3,	2396,	'Міжлісся '),
(1,	2396,	'Межлесье'),
(3,	2397,	'Міжріччя'),
(1,	2397,	'Междуречье'),
(3,	2398,	'Мізоч'),
(1,	2398,	'Мизоч'),
(3,	2399,	'Мізяківські Хутори'),
(1,	2399,	'Мизяковские Хутора'),
(3,	2400,	'Мілієве'),
(1,	2400,	'Милиево'),
(3,	2401,	'Мілове'),
(1,	2401,	'Меловое'),
(3,	2402,	'Містки (Сватівський р-н)'),
(1,	2402,	'Мостки (Сватовский р-н)'),
(3,	2403,	'Міцівці'),
(1,	2403,	'Мицевцы'),
(3,	2404,	'Мішково-Погорілове'),
(1,	2404,	'Мешково-Погорелово'),
(3,	2405,	'Млинів'),
(1,	2405,	'Млинов'),
(3,	2406,	'Мліїв'),
(1,	2406,	'Млиев'),
(3,	2407,	'Мньов'),
(1,	2407,	'Мнёв'),
(3,	2408,	'Могилів'),
(1,	2408,	'Могилев'),
(3,	2409,	'Могилів-Подільський'),
(1,	2409,	'Могилев - Подольский'),
(3,	2410,	'Могилівка'),
(1,	2410,	'Могилевка'),
(3,	2411,	'Могиляни'),
(1,	2411,	'Могиляны'),
(3,	2412,	'Модричі'),
(1,	2412,	'Модрычи'),
(3,	2413,	'Можняківка'),
(1,	2413,	'Можняковка'),
(3,	2414,	'Моївка'),
(1,	2414,	'Моевка'),
(3,	2415,	'Моквин'),
(1,	2415,	'Моквин'),
(3,	2416,	'Мокра Калигірка'),
(1,	2416,	'Мокрая Калигорка'),
(3,	2417,	'Мокре'),
(1,	2417,	'Мокре'),
(3,	2418,	'Молодецьке'),
(1,	2418,	'Молодецкое'),
(3,	2419,	'Молодіжне'),
(1,	2419,	'Молодежное'),
(3,	2420,	'Молодіжне (Кіровоградська обл.)'),
(1,	2420,	'Молодежное (Кировоградская обл.)'),
(3,	2421,	'Молодія'),
(1,	2421,	'Молодия '),
(3,	2422,	'Молодятин'),
(1,	2422,	'Молодятин'),
(3,	2423,	'Молочанськ'),
(1,	2423,	'Молочанск'),
(3,	2424,	'Монастириська'),
(1,	2424,	'Монастыриска'),
(3,	2425,	'Монастирище'),
(1,	2425,	'Монастырище'),
(3,	2426,	'Монастирчани'),
(1,	2426,	'Монастирчани'),
(3,	2427,	'Мордвинівка'),
(1,	2427,	'Мордвиновка'),
(3,	2428,	'Моринці'),
(1,	2428,	'Моринцы'),
(3,	2429,	'Моринці (Корсунь-Шевченківський р-н)'),
(1,	2429,	'Моринцы (Корсунь-Шевченковский р-н)'),
(3,	2430,	'Морозівка'),
(1,	2430,	'Морозовка'),
(3,	2431,	'Морозівка (Житомирська обл.)'),
(1,	2431,	'Морозовка (Житомирская обл.)'),
(3,	2432,	'Морозівка (Рівненська обл.)'),
(1,	2432,	'Морозовка (Ровенская обл.)'),
(3,	2433,	'Морозівка (Харківська обл.)'),
(1,	2433,	'Морозовка (Харьковская обл.)'),
(3,	2434,	'Морозовичі'),
(1,	2434,	'Морозовичи'),
(3,	2435,	'Моршин'),
(1,	2435,	'Моршин'),
(3,	2436,	'Москаленки'),
(1,	2436,	'Москаленки'),
(3,	2437,	'Мостиська'),
(1,	2437,	'Мостиска'),
(3,	2438,	'Мостище (Івано-Франківська обл.)'),
(1,	2438,	'Мостище (Ивано-Франковская обл.)'),
(3,	2439,	'Мостове'),
(1,	2439,	'Мостовое'),
(3,	2440,	'Мотовилівка'),
(1,	2440,	'Мотовиловка'),
(3,	2441,	'Мошни'),
(1,	2441,	'Мошны'),
(3,	2442,	'Мошорине'),
(1,	2442,	'Мошорино'),
(3,	2443,	'Мошурів'),
(1,	2443,	'Мошуров'),
(3,	2444,	'Мощаниця'),
(1,	2444,	'Мощаница'),
(3,	2445,	'Мрин'),
(1,	2445,	'Мрин'),
(3,	2446,	'Мужилів'),
(1,	2446,	'Мужилов'),
(3,	2447,	'Мужієво'),
(1,	2447,	'Мужиево'),
(3,	2448,	'Музиківка'),
(1,	2448,	'Музыковка'),
(3,	2449,	'Музичі'),
(1,	2449,	'Музичи'),
(3,	2450,	'Мукачево'),
(1,	2450,	'Мукачево'),
(3,	2451,	'Мульчиці'),
(1,	2451,	'Мульчицы'),
(3,	2452,	'Мурафа'),
(1,	2452,	'Мурафа'),
(3,	2453,	'Мурафа (Харківська обл.)'),
(1,	2453,	'Мурафа (Харьковская обл.)'),
(3,	2454,	'Муроване'),
(1,	2454,	'Муроване'),
(3,	2455,	'Муровані Курилівці'),
(1,	2455,	'Мурованые Куриловцы'),
(3,	2456,	'Мутин'),
(1,	2456,	'Мутин'),
(3,	2457,	'Мушкатівка'),
(1,	2457,	'Мушкатовка'),
(3,	2458,	'Мшана'),
(1,	2458,	'Мшана'),
(3,	2459,	'Набережне'),
(1,	2459,	'Набережное'),
(3,	2460,	'Набутів'),
(1,	2460,	'Набутов'),
(3,	2461,	'Наварія'),
(1,	2461,	'Навария'),
(3,	2462,	'Нагірна'),
(1,	2462,	'Нагорная'),
(3,	2463,	'Нагірне (Львівська обл.)'),
(1,	2463,	'Нагорное (Львовская обл.)'),
(3,	2464,	'Нагірне (Мостиський р-н)'),
(1,	2464,	'Нагорное (Мостиский р-н)'),
(3,	2465,	'Нагірне (Ренінський р-н)'),
(1,	2465,	'Нагорное (Ренинский р-н)'),
(3,	2466,	'Нагірянка'),
(1,	2466,	'Нагорянка'),
(3,	2467,	'Нагуєвичі'),
(1,	2467,	'Нагуевичи'),
(3,	2468,	'Надвірна'),
(1,	2468,	'Надворная'),
(3,	2469,	'Надеждівка'),
(1,	2469,	'Надеждовка'),
(3,	2470,	'Надеждівка (Білозерський р-н)'),
(1,	2470,	'Надеждовка (Белозёрский р-н)'),
(3,	2471,	'Надеждівка (Херсонська обл.)'),
(1,	2471,	'Надеждовка (Херсонская обл.)'),
(3,	2472,	'Надіїв'),
(1,	2472,	'Надиев'),
(3,	2473,	'Надіївка'),
(1,	2473,	'Надиевка'),
(3,	2474,	'Надлиманське'),
(1,	2474,	'Надлиманское'),
(3,	2475,	'Надточії'),
(1,	2475,	'Надточии'),
(3,	2476,	'Назавизів'),
(1,	2476,	'Назавизов'),
(3,	2477,	'Наконечне Друге'),
(1,	2477,	'Наконечное Второе'),
(3,	2478,	'Наливайківка'),
(1,	2478,	'Наливайковка'),
(3,	2479,	'Нанково'),
(1,	2479,	'Нанково'),
(3,	2480,	'Нападівка'),
(1,	2480,	'Нападовка'),
(3,	2481,	'Нападівка (Вінницька обл.)'),
(1,	2481,	'Нападовка (Винницкая обл.)'),
(3,	2482,	'Наркевичі'),
(1,	2482,	'Наркевичи'),
(3,	2483,	'Народичі'),
(1,	2483,	'Народичи'),
(3,	2484,	'Настасів'),
(1,	2484,	'Настасов'),
(3,	2485,	'Настасіївка'),
(1,	2485,	'Настасиевка'),
(3,	2486,	'Насташине'),
(1,	2486,	'Насташино'),
(3,	2487,	'Насташка'),
(1,	2487,	'Насташка'),
(3,	2488,	'Наталівка'),
(1,	2488,	'Наталовка'),
(3,	2489,	'Наумівка'),
(1,	2489,	'Наумовка'),
(3,	2490,	'Небелиця'),
(1,	2490,	'Небелица'),
(3,	2491,	'Небилів'),
(1,	2491,	'Небылов'),
(3,	2492,	'Неветленфолу'),
(1,	2492,	'Неветленфолу'),
(3,	2493,	'Негівці'),
(1,	2493,	'Неговцы'),
(3,	2494,	'Негровець'),
(1,	2494,	'Негровец'),
(3,	2495,	'Недобоївці'),
(1,	2495,	'Недобоивцы'),
(3,	2496,	'Недригайлів (Сумська обл.)'),
(1,	2496,	'Недригайлов (Сумская обл.)'),
(3,	2497,	'Нежухів'),
(1,	2497,	'Нежухов'),
(3,	2498,	'Некрасове (Вінницький р-н)'),
(1,	2498,	'Некрасово (Винницкий р-н)'),
(3,	2499,	'Некрасове (Сумська обл.)'),
(1,	2499,	'Некрасово (Сумская обл.)'),
(3,	2500,	'Нелипівці'),
(1,	2500,	'Нелиповцы'),
(3,	2501,	'Неліпино'),
(1,	2501,	'Нелепино'),
(3,	2502,	'Неліпівка'),
(1,	2502,	'Нелеповка '),
(3,	2503,	'Нелюбівка'),
(1,	2503,	'Нелюбовка'),
(3,	2504,	'Немирів (Вінницька обл.)'),
(1,	2504,	'Немиров (Винницкая обл.)'),
(3,	2505,	'Немирів (Львівська обл.)'),
(1,	2505,	'Немиров (Львовская обл.)'),
(3,	2506,	'Немирівське'),
(1,	2506,	'Немировское'),
(3,	2507,	'Немішаєве'),
(1,	2507,	'Немешаево'),
(3,	2508,	'Немія'),
(1,	2508,	'Немия'),
(3,	2509,	'Немовичі'),
(1,	2509,	'Немовичи'),
(3,	2510,	'Неполоківці'),
(1,	2510,	'Неполоковцы'),
(3,	2511,	'Нересниця (Тячівський р-н)'),
(1,	2511,	'Нересница (Тячевский р-н)'),
(3,	2512,	'Нерубайка'),
(1,	2512,	'Нерубайка'),
(3,	2513,	'Нерубайське'),
(1,	2513,	'Нерубайское'),
(3,	2514,	'Нерудсталь'),
(1,	2514,	'Нерудсталь'),
(3,	2515,	'Нерушай'),
(1,	2515,	'Нерушай'),
(3,	2516,	'Несвоя'),
(1,	2516,	'Несвоя'),
(3,	2517,	'Нескучне'),
(1,	2517,	'Нескучное'),
(3,	2518,	'Нестеренки'),
(1,	2518,	'Нестеренки'),
(3,	2519,	'Нестерівці'),
(1,	2519,	'Нестеровцы '),
(3,	2520,	'Нестерянка'),
(1,	2520,	'Нестерянка'),
(3,	2521,	'Нетеребка'),
(1,	2521,	'Нетеребка'),
(3,	2522,	'Нетечинці'),
(1,	2522,	'Нетеченцы'),
(3,	2523,	'Нетішин'),
(1,	2523,	'Нетешин'),
(3,	2524,	'Нехаївка'),
(1,	2524,	'Нехаевка'),
(3,	2525,	'Нехвороща'),
(1,	2525,	'Нехвороща'),
(3,	2526,	'Нещеретове'),
(1,	2526,	'Нещеретово'),
(3,	2527,	'Нещерів'),
(1,	2527,	'Нещерів'),
(3,	2528,	'Нива Трудова'),
(1,	2528,	'Нива Трудовая'),
(3,	2529,	'Нижанковичі'),
(1,	2529,	'Нижанковичи'),
(3,	2530,	'Нижнє Селище'),
(1,	2530,	'Нижнее Селище'),
(3,	2531,	'Нижнє Синьовидне'),
(1,	2531,	'Нижнее Синевидное'),
(3,	2532,	'Нижні Ворота'),
(1,	2532,	'Нижние Ворота'),
(3,	2533,	'Нижні Петрівці'),
(1,	2533,	'Нижние Петровцы'),
(3,	2534,	'Нижні Сірогози'),
(1,	2534,	'Нижние Серогозы'),
(3,	2535,	'Нижні Станівці'),
(1,	2535,	'Нижние Становци'),
(3,	2536,	'Нижні Торгаї'),
(1,	2536,	'Нижние Торгаи'),
(3,	2537,	'Нижнів'),
(1,	2537,	'Нижнев'),
(3,	2538,	'Нижній Березів'),
(1,	2538,	'Нижний Березов'),
(3,	2539,	'Нижній Булатець'),
(1,	2539,	'Нижний Булатец'),
(3,	2540,	'Нижній Вербіж'),
(1,	2540,	'Нижний Вербиж'),
(3,	2541,	'Нижній Коропець'),
(1,	2541,	'Нижний Коропец'),
(3,	2542,	'Нижній Струтинь'),
(1,	2542,	'Нижний Струтинь'),
(3,	2543,	'Нижня Апша'),
(1,	2543,	'Нижняя Апша'),
(3,	2544,	'Нижня Дуванка'),
(1,	2544,	'Нижняя Дуванка'),
(3,	2545,	'Нижня Ланна'),
(1,	2545,	'Нижняя Ланная'),
(3,	2546,	'Нижня Сироватка'),
(1,	2546,	'Нижняя Сыроватка'),
(3,	2548,	'Нижня Хортиця'),
(1,	2548,	'Нижняя Хортица'),
(3,	2549,	'Нижня Яблунька'),
(1,	2549,	'Нижняя Яблонька'),
(3,	2550,	'Нижча Дубечня'),
(1,	2550,	'Низшая Дубечня'),
(3,	2551,	'Нижчі Луб\'янки'),
(1,	2551,	'Низшие Лубянки'),
(3,	2552,	'Низи'),
(1,	2552,	'Низы'),
(3,	2553,	'Никифорівка'),
(1,	2553,	'Никифоровка'),
(3,	2554,	'Ницаха'),
(1,	2554,	'Ницаха'),
(3,	2555,	'Ничипорівка'),
(1,	2555,	'Нечипоровка'),
(3,	2556,	'Ніжиловичі'),
(1,	2556,	'Нежиловичи'),
(3,	2557,	'Ніжин'),
(1,	2557,	'Нежин'),
(3,	2558,	'Нікольське (Нікольський р-н., Донецька обл.)'),
(1,	2558,	'Никольское (Никольский р-н., Донецкая обл.)'),
(3,	2559,	'Нікополь (Дніпропетровська обл.)'),
(1,	2559,	'Никополь (Днепропетровская обл.)'),
(3,	2560,	'Нова Астрахань'),
(1,	2560,	'Новая Астрахань'),
(3,	2561,	'Нова Басань'),
(1,	2561,	'Новая Басань'),
(3,	2562,	'Нова Борова'),
(1,	2562,	'Новая Боровая'),
(3,	2563,	'Нова Водолага'),
(1,	2563,	'Новая Водолага'),
(3,	2564,	'Нова Галещина (Козельщинський р-н)'),
(1,	2564,	'Новая Галещина (Козельщенский р-н)'),
(3,	2565,	'Нова Гребля'),
(1,	2565,	'Новая Гребля'),
(3,	2566,	'Нова Гусарівка'),
(1,	2566,	'Новая Гусаровка'),
(3,	2567,	'Нова Дмитрівка'),
(1,	2567,	'Новая Дмитровка'),
(3,	2568,	'Нова Долина'),
(1,	2568,	'Новая Долина'),
(3,	2569,	'Нова Дофінівка'),
(1,	2569,	'Новая Дофиновка'),
(3,	2570,	'Нова Збур\'ївка'),
(1,	2570,	'Новая Збурьевка'),
(3,	2571,	'Нова Іванівка'),
(1,	2571,	'Новая Ивановка'),
(3,	2572,	'Нова Каховка'),
(1,	2572,	'Новая Каховка'),
(3,	2573,	'Нова Лішня'),
(1,	2573,	'Новая Лешня'),
(3,	2574,	'Нова Маківка'),
(1,	2574,	'Новая Маковка'),
(3,	2575,	'Нова Маячка'),
(1,	2575,	'Новая Маячка'),
(3,	2576,	'Нова Одеса'),
(1,	2576,	'Новая Одесса'),
(3,	2577,	'Нова Олександрівка'),
(1,	2577,	'Новая Александровка'),
(3,	2578,	'Нова Осота'),
(1,	2578,	'Новая Осота'),
(3,	2579,	'Нова Прага'),
(1,	2579,	'Новая Прага'),
(3,	2580,	'Нова Слобода'),
(1,	2580,	'Новая Слобода'),
(3,	2581,	'Нова Ушиця'),
(1,	2581,	'Новая Ушица'),
(3,	2582,	'Нова Чортория'),
(1,	2582,	'Новая Чертория'),
(3,	2583,	'Новаки'),
(1,	2583,	'Новички'),
(3,	2584,	'Новгород-Сіверський'),
(1,	2584,	'Новгород-Северский'),
(3,	2585,	'Новгородка(Кіровоградська обл.)'),
(1,	2585,	'Новгородка(Кировоградская обл.)'),
(3,	2586,	'Новгородківка (Мелітопольський р-н,Запорізька обл)'),
(1,	2586,	'Новгородковка (Мелитопольский р-н,Запорожская обл)'),
(3,	2587,	'Новгородське (Донецька обл.)'),
(1,	2587,	'Новгородское (Донецкая обл.)'),
(3,	2588,	'Нове'),
(1,	2588,	'Новое'),
(3,	2589,	'Нове (Київська обл.)'),
(1,	2589,	'Новое (Киевская обл.)'),
(3,	2590,	'Нове (Мелітопольський р-н., Запорізька обл.)'),
(1,	2590,	'Новое (Мелитопольский р-н., Запорожская обл.)'),
(3,	2591,	'Нове Давидково'),
(1,	2591,	'Новое Давыдково'),
(3,	2592,	'Нове Залісся'),
(1,	2592,	'Новое Залесье'),
(3,	2593,	'Нове Запоріжжя'),
(1,	2593,	'Новое Запорожье'),
(3,	2594,	'Нове Мажарове'),
(1,	2594,	'Новое Мажарове'),
(3,	2595,	'Нове Місто'),
(1,	2595,	'Новое Мисто'),
(3,	2596,	'Нове Село'),
(1,	2596,	'Новое Село'),
(3,	2597,	'Нове Село (Городоцький р-н)'),
(1,	2597,	'Новое Село (Городокский р-н)'),
(3,	2598,	'Нове Село (Львівська обл.)'),
(1,	2598,	'Новое Село (Львовская обл.)'),
(3,	2599,	'Новий Буг'),
(1,	2599,	'Новый Буг'),
(3,	2600,	'Новий Двір'),
(1,	2600,	'Новый Двор'),
(3,	2601,	'Новий Калинів'),
(1,	2601,	'Новый Калинов'),
(3,	2602,	'Новий Коротич'),
(1,	2602,	'Новый Коротич'),
(3,	2603,	'Новий Кропивник'),
(1,	2603,	'Новый Крапивник'),
(3,	2604,	'Новий Розділ'),
(1,	2604,	'Новый Роздол'),
(3,	2605,	'Новий Стародуб'),
(1,	2605,	'Новый Стародуб'),
(3,	2606,	'Новий Яричів'),
(1,	2606,	'Новый Ярычев'),
(3,	2607,	'Новики'),
(1,	2607,	'Новики'),
(3,	2608,	'Новиця'),
(1,	2608,	'Новица'),
(3,	2609,	'Новичка'),
(1,	2609,	'Новичка'),
(3,	2610,	'Нові Білокоровичі'),
(1,	2610,	'Новые Белокоровичи'),
(3,	2611,	'Нові Бросківці'),
(1,	2611,	'Новые Бросковцы'),
(3,	2612,	'Нові Велідники'),
(1,	2612,	'Новые Веледники'),
(3,	2613,	'Нові Вирки'),
(1,	2613,	'Новые Вирки'),
(3,	2614,	'Нові Петрівці'),
(1,	2614,	'Новые Петровцы'),
(3,	2615,	'Нові Санжари'),
(1,	2615,	'Новые Санжары'),
(3,	2616,	'Нові Червища'),
(1,	2616,	'Новые Червища'),
(3,	2617,	'Новоайдар'),
(1,	2617,	'Новоайдар'),
(3,	2618,	'Новоандріївка'),
(1,	2618,	'Новоандреевка'),
(3,	2619,	'Новоархангельськ'),
(1,	2619,	'Новоархангельск'),
(3,	2620,	'Новоберислав'),
(1,	2620,	'Новоберислав'),
(3,	2621,	'Новобіла'),
(1,	2621,	'Новобелая'),
(3,	2622,	'Новобогданівка(Запоріз.обл.)'),
(1,	2622,	'Новобогдановка(Запорож.обл.)'),
(3,	2623,	'Новоборисівка'),
(1,	2623,	'Новоборисовка'),
(3,	2624,	'Новов\'язівське'),
(1,	2624,	'Нововязовское'),
(3,	2625,	'Нововасилівка'),
(1,	2625,	'Нововасильевка'),
(3,	2626,	'Нововасилівка (Бердянська міск. рада.)'),
(1,	2626,	'Нововасилевка (Бердянский гор. совет)'),
(3,	2627,	'Нововодяне'),
(1,	2627,	'Нововодяное'),
(3,	2628,	'Нововолинськ'),
(1,	2628,	'Нововолынск'),
(3,	2629,	'Нововоронцовка'),
(1,	2629,	'Нововоронцовка'),
(3,	2630,	'Новогорівка'),
(1,	2630,	'Новогоровка'),
(3,	2631,	'Новоград-Волинський'),
(1,	2631,	'Новоград-Волынский'),
(3,	2632,	'Новоградківка'),
(1,	2632,	'Новоградковка'),
(3,	2633,	'Новогригорівка'),
(1,	2633,	'Новогригоровка'),
(3,	2634,	'Новогригорівка (Херсонська обл.)'),
(1,	2634,	'Новогригоровка (Херсонская обл.)'),
(3,	2635,	'Новогригорівка Перша (Кіровоградська обл.)'),
(1,	2635,	'Новогригоровка Первая (Кировоградская обл.)'),
(3,	2636,	'Новогродівка'),
(1,	2636,	'Новогродовка'),
(3,	2637,	'Новогуйвинське'),
(1,	2637,	'Новогуйвинское'),
(3,	2638,	'Новогупалівка'),
(1,	2638,	'Новогупаловка'),
(3,	2639,	'Новоданилівка'),
(1,	2639,	'Новоданиловка'),
(3,	2640,	'Новоданилівка (Оріхівський р-н)'),
(1,	2640,	'Новоданиловка (Ореховский р-н)'),
(3,	2641,	'Новодеркул'),
(1,	2641,	'Новодеркул'),
(3,	2642,	'Новодмитрівка (Білозерський р-н)'),
(1,	2642,	'Новодмитровка (Белозёрский р-н)'),
(3,	2643,	'Новодмитрівка (Херсонська обл.)'),
(1,	2643,	'Новодмитровка (Херсонская обл.)'),
(3,	2644,	'Новодніпровка'),
(1,	2644,	'Новоднепровка'),
(3,	2645,	'Новодністровськ'),
(1,	2645,	'Новоднестровск'),
(3,	2646,	'Новодонецьке'),
(1,	2646,	'Новодонецкое'),
(3,	2647,	'Новодружеськ'),
(1,	2647,	'Новодружеск'),
(3,	2648,	'Новоєгорівка'),
(1,	2648,	'Новоегоровка'),
(3,	2649,	'Новозлатопіль'),
(1,	2649,	'Новозлатополь'),
(3,	2650,	'Новоіванівка'),
(1,	2650,	'Новоивановка'),
(3,	2651,	'Новоіванівка (Запорізька обл.)'),
(1,	2651,	'Новоивановка (Запорожская обл.)'),
(3,	2652,	'Новоівницьке'),
(1,	2652,	'Новоивницкое'),
(3,	2653,	'Новоігорівка (Кіровоградська обл)'),
(1,	2653,	'Новоигоревка (Кировоградская обл.)'),
(3,	2654,	'Новокарлівка'),
(1,	2654,	'Новокарловка'),
(3,	2655,	'Новокатьощине'),
(1,	2655,	'Новокатещино'),
(3,	2656,	'Новокостянтинів'),
(1,	2656,	'Новоконстантинов'),
(3,	2657,	'Новомиколаївка (Верхньодніпров. р-н, Дніпроп. обл)'),
(1,	2657,	'Новониколаевка (Верхньоднипров. р-н, Днепроп. обл)'),
(3,	2658,	'Новомиколаївка (Дніпровський р-н)'),
(1,	2658,	'Новониколаевка (Днепровский р-н)'),
(3,	2659,	'Новомиколаївка (Запорізька обл.)'),
(1,	2659,	'Новониколаевка (Запорожская обл.)'),
(3,	2660,	'Новомиколаївка (Кіроговоградська обл.)'),
(1,	2660,	'Новониколаевка (Кировоградская обл.)'),
(3,	2661,	'Новомиколаївка (Мелітопольський р-н)'),
(1,	2661,	'Новониколаевка (Мелитопольский р-н)'),
(3,	2662,	'Новомиколаївка (Миколаївська обл.)'),
(1,	2662,	'Новониколаевка (Николаевская обл.)'),
(3,	2663,	'Новомиколаївка (Новотроїцький р-н)'),
(1,	2663,	'Новониколаевка (Новотроицкий р-н)'),
(3,	2664,	'Новомиколаївка(Скадовський р-н)'),
(1,	2664,	'Новониколаевка(Скадовский р-н)'),
(3,	2665,	'Новомиргород'),
(1,	2665,	'Новомиргород'),
(3,	2666,	'Новомихайлівка (Донецька обл.)'),
(1,	2666,	'Новомихайловка (Донецкая обл.)'),
(3,	2667,	'Новомлинівка'),
(1,	2667,	'Новомлиновка'),
(3,	2668,	'Новомосковськ'),
(1,	2668,	'Новомосковск'),
(3,	2669,	'Новоолександрівка (Донецька обл.)'),
(1,	2669,	'Новоалександровка (Донецкая обл.)'),
(3,	2670,	'Новоолександрівка (Кіровоградська обл.)'),
(1,	2670,	'Новоалександровка (Кировоградская обл.)'),
(3,	2671,	'Новоолександрівка (Миколаївська обл.)'),
(1,	2671,	'Новоалександровка (Николаевская обл.)'),
(3,	2672,	'Новоолександрівка (Нижньосірогозький р-н)'),
(1,	2672,	'Новоалександровка (Нижнесерогозский р-н)'),
(3,	2673,	'Новоолександрівка (Нововорон.р-н,Херсон.обл.)'),
(1,	2673,	'Новоалександровка (Нововорон.р-н,Херсон.обл.)'),
(3,	2674,	'Новоолександрівка (Новоукраїнський р-н, Кіров обл)'),
(1,	2674,	'Новоалександровка (Новоукраинский р-н., Киров. обл'),
(3,	2675,	'Новоолександрівка (Харківська обл.)'),
(1,	2675,	'Новоалександровка (Харьковская обл.)'),
(3,	2676,	'Новоолександрівка(Дніпропетровська обл.)'),
(1,	2676,	'Новоалександровка (Днепропетровская обл.)'),
(3,	2677,	'Новоолексіївка (Херсонська обл.)'),
(1,	2677,	'Новоалексеевка (Херсонская обл.)'),
(3,	2678,	'Новооржицьке'),
(1,	2678,	'Новооржицкое'),
(3,	2679,	'Новооріхівка'),
(1,	2679,	'Новоореховка'),
(3,	2680,	'Новоосинове'),
(1,	2680,	'Новоосиново'),
(3,	2681,	'Новоохтирка'),
(1,	2681,	'Новоохтирка'),
(3,	2682,	'Новопавлівка (Запорізька обл., Оріхівський р-н)'),
(1,	2682,	'Новопавловка (Запорожская обл., Ореховский р-н)'),
(3,	2683,	'Новопавлівка (Запорізька обл.)'),
(1,	2683,	'Новопавловка (Запорожская обл.)'),
(3,	2684,	'Новопавлівка(Межівський р-н)'),
(1,	2684,	'Новопавловка(Межевский р-н)'),
(3,	2685,	'Новопетриківка'),
(1,	2685,	'Новопетриковка'),
(3,	2686,	'Новопетрівка'),
(1,	2686,	'Новопетровка'),
(3,	2687,	'Новопетрівка (Кіровоградська обл.)'),
(1,	2687,	'Новопетровка (Кировоградская обл.)'),
(3,	2688,	'Новопетрівка (Одеська обл.)'),
(1,	2688,	'Новопетровка (Одесская обл.)'),
(3,	2689,	'Новопетрівське '),
(1,	2689,	'Новопетровское'),
(3,	2690,	'Новопилипівка'),
(1,	2690,	'Новопилиповка '),
(3,	2691,	'Новопідкряж'),
(1,	2691,	'Новоподкряж'),
(3,	2692,	'Новопокровка (Харківська обл.)'),
(1,	2692,	'Новопокровка (Харьковская обл.)'),
(3,	2693,	'Новопокровка (Херсонська обл.)'),
(1,	2693,	'Новопокровка (Херсонская обл.)'),
(3,	2694,	'Новополтавка'),
(1,	2694,	'Новополтавка'),
(3,	2695,	'Новополтавка (Запорізька обл.)'),
(1,	2695,	'Новополтавка (Запрожская обл.)'),
(3,	2696,	'Новопрокопівка'),
(1,	2696,	'Новопрокоповка'),
(3,	2697,	'Новопсков'),
(1,	2697,	'Новопсков'),
(3,	2698,	'Новорайськ'),
(1,	2698,	'Новорайск'),
(3,	2699,	'Новорозсош'),
(1,	2699,	'Новороссошь'),
(3,	2700,	'Новоселиця (Долинський р-н)'),
(1,	2700,	'Новоселица (Долинский р-н)'),
(3,	2701,	'Новоселиця (Закарпатська обл.)'),
(1,	2701,	'Новоселица (Закарпатская обл.)'),
(3,	2702,	'Новоселиця (Івано-Франківська обл.)'),
(1,	2702,	'Новоселица (Ивано-Франковская обл.)'),
(3,	2703,	'Новоселиця (Кельменецький р-н)'),
(1,	2703,	'Новоселица (Кельменецкий р-н)'),
(3,	2704,	'Новоселиця (Хмельницька обл.)'),
(1,	2704,	'Новоселица (Хмельницкая обл.)'),
(3,	2705,	'Новоселиця (Чернівецька обл.)'),
(1,	2705,	'Новоселица (Черновицкая обл.)'),
(3,	2706,	'Новоселівка (Березівський р-н)'),
(1,	2706,	'Новоселовка (Березовский р-н)'),
(3,	2707,	'Новоселівка (Вінницька обл.)'),
(1,	2707,	'Новоселовка (Винницкая обл.)'),
(3,	2708,	'Новоселівка (Дніпропетровська обл.)'),
(1,	2708,	'Новосёловка (Днепропетровская обл.)'),
(3,	2709,	'Новоселівка (Донецька обл.)'),
(1,	2709,	'Новоселовка (Донецкая обл.)'),
(3,	2710,	'Новоселівка (Кілійський р-н)'),
(1,	2710,	'Новоселовка (Килийский р-н)'),
(3,	2711,	'Новоселівка (Оріхівський р-н.)'),
(1,	2711,	'Новосёловка (Ореховский р-н.)'),
(3,	2712,	'Новоселівка (Пологівський р-н., Запорізька обл.)'),
(1,	2712,	'Новоселовка (Пологовский р-н., Запорожская обл.)'),
(3,	2713,	'Новоселівка (Полтавська обл.)'),
(1,	2713,	'Новоселовка (Полтавская обл.)'),
(3,	2714,	'Новоселівка (Слов\'янський р-н, Донецька обл.)'),
(1,	2714,	'Новоселовка (Славянский р-н, Донецкая обл.)'),
(3,	2715,	'Новоселівка (Харківська обл.)'),
(1,	2715,	'Новоселовка (Харьковская обл.)'),
(3,	2716,	'Новосілка (Підвочиський р-н.)'),
(1,	2716,	'Новоселка (Подволочиский р-н.)'),
(3,	2717,	'Новосілки (Вишгородський р-н)'),
(1,	2717,	'Новоселки (Вишгородский р-н)'),
(3,	2718,	'Новосілки (Києво-Святошинський р-н)'),
(1,	2718,	'Новоселки (Киево-Святошинский р-н)'),
(3,	2719,	'Новосілки (Макарівський р-н.)'),
(1,	2719,	'Новоселки (Макаровский р-н.)'),
(3,	2720,	'Новосілки (Рівненська обл.)'),
(1,	2720,	'Новоселки (Ровенская обл.)'),
(3,	2721,	'Новосільське (Ренінський р-н)'),
(1,	2721,	'Новосельское (Ренинский р-н)'),
(3,	2722,	'Новослобідка'),
(1,	2722,	'Новослободка'),
(3,	2723,	'Новософіївка'),
(1,	2723,	'Новософиевка'),
(3,	2724,	'Новостав'),
(1,	2724,	'Новостав'),
(3,	2725,	'Новоставці'),
(1,	2725,	'Новоставци'),
(3,	2726,	'Новостепнянське'),
(1,	2726,	'Новостепнянське'),
(3,	2727,	'Новострільцівка '),
(1,	2727,	'Новострельцовка'),
(3,	2728,	'Новосуханівка'),
(1,	2728,	'Новосухановка'),
(3,	2729,	'Новотавричеське'),
(1,	2729,	'Новотаврическое'),
(3,	2730,	'Новотаромське'),
(1,	2730,	'Новотаромське'),
(3,	2731,	'Новотроїцьке (Донецька обл.)'),
(1,	2731,	'Новотроицкое (Донецкая обл.)'),
(3,	2732,	'Новотроїцьке (Запорізька обл.)'),
(1,	2732,	'Новотроицкое (Запорожская обл.)'),
(3,	2733,	'Новотроїцьке (Херсонська обл.)'),
(1,	2733,	'Новотроицкое (Херсонская обл.)'),
(3,	2734,	'Новоукраїнка'),
(1,	2734,	'Новоукраинка'),
(3,	2735,	'Новоукраїнка (Запорізька обл.)'),
(1,	2735,	'Новоукраинка (Запорожская обл.)'),
(3,	2736,	'Новоукраїнка (Мар\'їнський р-н., Донецька обл.)'),
(1,	2736,	'Новоукраинка (Марьинский р-н., Донецкая обл.)'),
(3,	2737,	'Новофедорівка'),
(1,	2737,	'Новофедоровка'),
(3,	2738,	'Новошин'),
(1,	2738,	'Новошин'),
(3,	2739,	'Новояворівськ'),
(1,	2739,	'Новояворовск'),
(3,	2740,	'Норинськ'),
(1,	2740,	'Норинск'),
(3,	2741,	'Носачів'),
(1,	2741,	'Носачев'),
(3,	2742,	'Носівка'),
(1,	2742,	'Носовка'),
(3,	2743,	'Обарів'),
(1,	2743,	'Обаров'),
(3,	2744,	'Обенижі'),
(1,	2744,	'Обенижи'),
(3,	2745,	'Обертин'),
(1,	2745,	'Обертин'),
(3,	2746,	'Обільне'),
(1,	2746,	'Обильное'),
(3,	2747,	'Ободівка'),
(1,	2747,	'Ободовка'),
(3,	2748,	'Оболоння'),
(1,	2748,	'Оболонье'),
(3,	2749,	'Оболоння (Івано-Франківська обл.)'),
(1,	2749,	'Оболонье (Ивано-Франковская обл.)'),
(3,	2750,	'Оболонь (Семенівський р-н)'),
(1,	2750,	'Оболонь (Семеновский р-н)'),
(3,	2751,	'Оброшине'),
(1,	2751,	'Оброшино'),
(3,	2752,	'Обтове'),
(1,	2752,	'Обтове'),
(3,	2753,	'Обухів'),
(1,	2753,	'Обухов'),
(3,	2754,	'Обухівка'),
(1,	2754,	'Обуховка'),
(3,	2755,	'Обуховичі'),
(1,	2755,	'Обуховичи'),
(3,	2756,	'Овідіополь'),
(1,	2756,	'Овидиополь'),
(3,	2757,	'Овруч'),
(1,	2757,	'Овруч'),
(3,	2758,	'Огіївка'),
(1,	2758,	'Огиевка'),
(3,	2759,	'Огульці'),
(1,	2759,	'Огульцы'),
(3,	2760,	'Огурцівка'),
(1,	2760,	'Огурцовка'),
(3,	2761,	'Одеса'),
(1,	2761,	'Одесса'),
(3,	2762,	'Одноробівка'),
(1,	2762,	'Одноробовка'),
(3,	2763,	'Одрадівка'),
(1,	2763,	'Отрадовка'),
(3,	2764,	'Одрадокам\'янка'),
(1,	2764,	'Отрадокаменка'),
(3,	2765,	'Ожеве'),
(1,	2765,	'Ожево'),
(3,	2766,	'Оженин'),
(1,	2766,	'Оженин'),
(3,	2767,	'Ожидів'),
(1,	2767,	'Ожидов'),
(3,	2768,	'Озера (Бородянський р-н)'),
(1,	2768,	'Озера (Бородянский р-н)'),
(3,	2769,	'Озерна'),
(1,	2769,	'Озерна'),
(3,	2770,	'Озерне (Житомирська обл.)'),
(1,	2770,	'Озерное (Житомирская обл.)'),
(3,	2771,	'Озеро'),
(1,	2771,	'Озеро'),
(3,	2772,	'Озерці'),
(1,	2772,	'Озерцы '),
(3,	2773,	'Озерці (Волинська обл.)'),
(1,	2773,	'Озерцы (Волынская обл.)'),
(3,	2775,	'Озеряни (Бучацький р-н, Тернопільська обл.)'),
(1,	2775,	'Озеряны (Бучацкий р-н, Тернопольская обл.)'),
(3,	2776,	'Озерянка'),
(1,	2776,	'Озерянка'),
(3,	2777,	'Озірна'),
(1,	2777,	'Озирна'),
(3,	2778,	'Окни'),
(1,	2778,	'Окны'),
(3,	2779,	'Оконськ'),
(1,	2779,	'Оконск'),
(3,	2780,	'Оксамитне'),
(1,	2780,	'Оксамитное'),
(3,	2781,	'Олевськ'),
(1,	2781,	'Олевск'),
(3,	2782,	'Олександрівка (Білозерський р-н., Херсонська обл.)'),
(1,	2782,	'Александровка (Белозерский р-н., Херсонская обл.)'),
(3,	2783,	'Олександрівка (Вінницька обл.)'),
(1,	2783,	'Александровка (Винницкая обл.)'),
(3,	2784,	'Олександрівка (Дніпропетровський р-н)'),
(1,	2784,	'Александровка (Днепропетровская обл.)'),
(3,	2785,	'Олександрівка (Долинський р-н.Кіровоградська обл.)'),
(1,	2785,	'Александровка (Долинский р-н. Кировоградска обл.)'),
(3,	2786,	'Олександрівка (Миколаївська обл.)'),
(1,	2786,	'Александровка (Николаевская обл.)'),
(3,	2787,	'Олександрівка (Новотроїцький р-н, Херсонська обл.)'),
(1,	2787,	'Александровка (Новотроицкий р-н, Херсонская обл.)'),
(3,	2788,	'Олександрівка (Одеська обл., Лиманський р-н)'),
(1,	2788,	'Александровка (Одесская обл., Лиманский р-н)'),
(3,	2789,	'Олександрівка (Одеська обл.)'),
(1,	2789,	'Александровка (Одесская обл.)'),
(3,	2790,	'Олександрівка (Олександр.р-н,Донец.обл.)'),
(1,	2790,	'Александровка (Александр.р-н,Донец.обл)'),
(3,	2791,	'Олександрівка (Олександрійський р-н, Кіров. обл.)'),
(1,	2791,	'Александровка (Александрийский р-н, Киров. обл.)'),
(3,	2792,	'Олександрівка (Покровський р-н. Дніпропетровська)'),
(1,	2792,	'Александровка (Покровский р-н. Днепропетровская)'),
(3,	2793,	'Олександрівка (Приазовський р-н, Запорізька обл.)'),
(1,	2793,	'Александровка (Приазовский р-н, Запорожская обл.)'),
(3,	2794,	'Олександрівка (смт.Кіровог.обл.райц)'),
(1,	2794,	'Александровка (пгт.Кировог.обл.райц)'),
(3,	2795,	'Олександрівка (Широківський р-н)'),
(1,	2795,	'Александровка (Широковский р-н)'),
(3,	2796,	'Олександрійське'),
(1,	2796,	'Александрийское'),
(3,	2797,	'Олександрія (м.Кіровогр.обл.райц)'),
(1,	2797,	'Александрия (г.Кировогр.обл.райц)'),
(3,	2798,	'Олександрія (Рівненська обл.)'),
(1,	2798,	'Александрия (Ровенская обл.)'),
(3,	2799,	'Олександро-Калинове'),
(1,	2799,	'Александро-Калиново'),
(3,	2801,	'Олександропіль (Солонянський р-н.)'),
(1,	2801,	'Александрополь (Солонянский р-н.)'),
(3,	2802,	'Олексієво-Дружківка'),
(1,	2802,	'Алексеево-Дружковка'),
(3,	2803,	'Олексіївка'),
(1,	2803,	'Алексеевка'),
(3,	2804,	'Олексіївка (Генічеський р-н, Херсонська обл.)'),
(1,	2804,	'Алексеевка (Генический р-н, Херсонская обл.)'),
(3,	2805,	'Олексіївка (Дніпроп. обл., Нікопольский р-н.)'),
(1,	2805,	'Алексеевка (Днепроп. обл., Никопольский р-н.)'),
(3,	2806,	'Олексіївка (Запорізька обл.)'),
(1,	2806,	'Алексеевка (Запорожская обл.)'),
(3,	2807,	'Олексіївка (Харківська обл.)'),
(1,	2807,	'Алексеевка (Харьковская обл.)'),
(3,	2808,	'Олексіївка (Херсонська обл.)'),
(1,	2808,	'Алексеевка (Херсонская обл.)'),
(3,	2809,	'Оленинське'),
(1,	2809,	'Оленинское'),
(3,	2810,	'Оленівка (Дніпропетровська обл.)'),
(1,	2810,	'Оленовка (Днепропетровская обл.)'),
(3,	2811,	'Оленівка (Київська обл.)'),
(1,	2811,	'Оленовка (Киевская обл.)'),
(3,	2812,	'Оленівка (Одеська обл.)'),
(1,	2812,	'Оленовка (Одесская обл.)'),
(3,	2813,	'Олеськ'),
(1,	2813,	'Олеськ '),
(3,	2814,	'Олесько'),
(1,	2814,	'Олесько'),
(3,	2815,	'Олефірівка'),
(1,	2815,	'Олефировка'),
(3,	2816,	'Олеша'),
(1,	2816,	'Олеша'),
(3,	2817,	'Олешин'),
(1,	2817,	'Олешин'),
(3,	2818,	'Олешів'),
(1,	2818,	'Олешов'),
(3,	2819,	'Олешки(Херсонська обл)'),
(1,	2819,	'Олешки (Херсонская обл.)'),
(3,	2820,	'Олешник'),
(1,	2820,	'Олешник'),
(3,	2821,	'Олешня'),
(1,	2821,	'Олешня'),
(3,	2822,	'Олива'),
(1,	2822,	'Олива'),
(3,	2823,	'Олика'),
(1,	2823,	'Олыка'),
(3,	2824,	'Олієво-Королівка'),
(1,	2824,	'Олиево-Королевка'),
(3,	2825,	'Оліївка'),
(1,	2825,	'Олиевка'),
(3,	2826,	'Олійникова Слобода'),
(1,	2826,	'Олейникова Слобода'),
(3,	2827,	'Ольгівка'),
(1,	2827,	'Ольговка'),
(3,	2828,	'Ольшана'),
(1,	2828,	'Ольшана'),
(3,	2829,	'Ольшаниця'),
(1,	2829,	'Ольшаница'),
(3,	2830,	'Ольшанське'),
(1,	2830,	'Ольшанское'),
(3,	2831,	'Омельне'),
(1,	2831,	'Омельно'),
(3,	2832,	'Омельник'),
(1,	2832,	'Омельник '),
(3,	2833,	'Омельник (Оріхівський р-н. Запорізька обл)'),
(1,	2833,	'Омельник (Ореховский р-н. Запорожская обл)'),
(3,	2834,	'Оникієве'),
(1,	2834,	'Оникеево'),
(3,	2835,	'Ониськове'),
(1,	2835,	'Онисково'),
(3,	2836,	'Оноківці (ст. Доманинці)'),
(1,	2836,	'Оноковцы (ст. Доманинцы)'),
(3,	2837,	'Онуфріївка'),
(1,	2837,	'Онуфриевка'),
(3,	2838,	'Опака'),
(1,	2838,	'Опака'),
(3,	2839,	'Опитне (Бахмутський р-н)'),
(1,	2839,	'Опытное (Бахмутский р-н)'),
(3,	2840,	'Опішня'),
(1,	2840,	'Опошня'),
(3,	2841,	'Опори'),
(1,	2841,	'Опоры'),
(3,	2842,	'Опришени'),
(1,	2842,	'Опрышены'),
(3,	2843,	'Оране'),
(1,	2843,	'Ораное'),
(3,	2844,	'Оратів'),
(1,	2844,	'Оратов'),
(3,	2845,	'Орв\'яниця'),
(1,	2845,	'Орвяница'),
(3,	2846,	'Орданівка'),
(1,	2846,	'Ордановка'),
(3,	2847,	'Орестів'),
(1,	2847,	'Орестов'),
(3,	2848,	'Оржиця'),
(1,	2848,	'Оржица'),
(3,	2849,	'Оржів'),
(1,	2849,	'Оржев'),
(3,	2850,	'Оринин'),
(1,	2850,	'Оринин'),
(3,	2851,	'Оришківці'),
(1,	2851,	'Оришковцы'),
(3,	2852,	'Орілька'),
(1,	2852,	'Орелька'),
(3,	2853,	'Оріхів'),
(1,	2853,	'Орехов'),
(3,	2854,	'Оріхівка'),
(1,	2854,	'Ореховка'),
(3,	2855,	'Оріховець'),
(1,	2855,	'Ореховец'),
(3,	2856,	'Орлик'),
(1,	2856,	'Орлик'),
(3,	2857,	'Орлівка (Ренійський р-н)'),
(1,	2857,	'Орловка (Ренийский р-н)'),
(3,	2858,	'Орлівка (Рівненська обл.)'),
(1,	2858,	'Орловка (Ровенская обл.)'),
(3,	2859,	'Орлівка (Чернігівська обл.)'),
(1,	2859,	'Орловка (Черниговская обл.)'),
(3,	2860,	'Орлівщина'),
(1,	2860,	'Орловщина'),
(3,	2861,	'Орлове'),
(1,	2861,	'Орлово'),
(3,	2862,	'Орловець'),
(1,	2862,	'Орловец'),
(3,	2863,	'Орлянське'),
(1,	2863,	'Орлянское'),
(3,	2864,	'Оршівці'),
(1,	2864,	'Оршевцы'),
(3,	2865,	'Осещина'),
(1,	2865,	'Осещина'),
(3,	2866,	'Осикове'),
(1,	2866,	'Осыково'),
(3,	2867,	'Осикове (Житомирська обл.)'),
(1,	2867,	'Осыково (Житомирская обл.)'),
(3,	2868,	'Осинове'),
(1,	2868,	'Осиновое'),
(3,	2869,	'Осипенко(Бердянський р-н)'),
(1,	2869,	'Осипенко(Бердянский р-н)'),
(3,	2870,	'Осички'),
(1,	2870,	'Осычки'),
(3,	2871,	'Осій'),
(1,	2871,	'Осий '),
(3,	2872,	'Осламів'),
(1,	2872,	'Осламов'),
(3,	2873,	'Осмиловичі'),
(1,	2873,	'Осмиловичи'),
(3,	2874,	'Осоївка'),
(1,	2874,	'Осоевка'),
(3,	2875,	'Осокорівка'),
(1,	2875,	'Осокоровка'),
(3,	2876,	'Остер'),
(1,	2876,	'Остер'),
(3,	2877,	'Остриківка'),
(1,	2877,	'Остриковка'),
(3,	2878,	'Остриця'),
(1,	2878,	'Острица'),
(3,	2879,	'Острів (Тернопільська обл.)'),
(1,	2879,	'Остров (Тернопольская обл.)'),
(3,	2880,	'Острог'),
(1,	2880,	'Острог'),
(3,	2881,	'Острожець'),
(1,	2881,	'Острожец'),
(3,	2882,	'Отинія'),
(1,	2882,	'Отыния'),
(3,	2883,	'Охіньки'),
(1,	2883,	'Охиньки'),
(3,	2884,	'Охоче'),
(1,	2884,	'Охочее'),
(3,	2885,	'Охрімівка'),
(1,	2885,	'Охримовка'),
(3,	2886,	'Охтирка'),
(1,	2886,	'Ахтырка'),
(3,	2887,	'Очаків'),
(1,	2887,	'Очаков'),
(3,	2888,	'Очеретине (Ясинуватський р-н)'),
(1,	2888,	'Очеретино (Ясиноватский р-н)'),
(3,	2889,	'Очеретувате'),
(1,	2889,	'Очеретоватое'),
(3,	2890,	'Ошихліби'),
(1,	2890,	'Ошихлебы'),
(3,	2891,	'П\'ядики'),
(1,	2891,	'Пядики'),
(3,	2892,	'П\'ятигірське'),
(1,	2892,	'Пятигорское'),
(3,	2893,	'П\'ятигори'),
(1,	2893,	'Пятигоры'),
(3,	2894,	'П\'ятидні'),
(1,	2894,	'Пятыдни'),
(3,	2895,	'П\'ятихатки'),
(1,	2895,	'Пятихатки'),
(3,	2896,	'Павлиш'),
(1,	2896,	'Павлыш'),
(3,	2897,	'Павлів(Львівська обл.)'),
(1,	2897,	'Павлов(Львовская обл.)'),
(3,	2898,	'Павлівка (Вінницька обл., Калинівський р-н)'),
(1,	2898,	'Павловка (Винницкая обл., Калиновский р-н)'),
(3,	2899,	'Павлівка (Вінницька обл.)'),
(1,	2899,	'Павловка (Винницкая обл.)'),
(3,	2900,	'Павлівка (Донецька обл.)'),
(1,	2900,	'Павловка (Донецкая обл.)'),
(3,	2901,	'Павлівка (Івано-Франківська обл.)'),
(1,	2901,	'Павловка (Ивано-Франковская обл.)'),
(3,	2902,	'Павлівка (Кіровоградська обл.)'),
(1,	2902,	'Павловка (Кировоградская обл.)'),
(3,	2903,	'Павлівка (Миколаївська обл.)'),
(1,	2903,	'Павловка (Николаевская обл.)'),
(3,	2904,	'Павлівка (Харківська обл.)'),
(1,	2904,	'Павловка (Харьковская обл.)'),
(3,	2905,	'Павлівка (Херсонська обл., Генічеський р-н)'),
(1,	2905,	'Павловка (Херсонская обл., Генический р-н)'),
(3,	2906,	'Павлівка (Херсонська обл.)'),
(1,	2906,	'Павловка (Херсонская обл.)'),
(3,	2907,	'Павлоград'),
(1,	2907,	'Павлоград'),
(3,	2908,	'Павшино'),
(1,	2908,	'Павшино'),
(3,	2909,	'Паліївка'),
(1,	2909,	'Палиевка'),
(3,	2910,	'Пам\'ятне'),
(1,	2910,	'Памятное'),
(3,	2911,	'Панасівка'),
(1,	2911,	'Панасовка'),
(3,	2912,	'Панка'),
(1,	2912,	'Панка'),
(3,	2913,	'Пантаївка'),
(1,	2913,	'Пантаевка'),
(3,	2914,	'Панфили'),
(1,	2914,	'Панфилы'),
(3,	2915,	'Панчеве'),
(1,	2915,	'Панчево'),
(3,	2916,	'Паньківці'),
(1,	2916,	'Паньковцы'),
(3,	2917,	'Панютине'),
(1,	2917,	'Панютино'),
(3,	2918,	'Паплинці'),
(1,	2918,	'Паплинцы'),
(3,	2919,	'Парасковіївка'),
(1,	2919,	'Парасковеевка'),
(3,	2920,	'Парафіївка'),
(1,	2920,	'Парафиевка'),
(3,	2921,	'Партизанське (Дніпропетров.р-н)'),
(1,	2921,	'Партизанское (Днепропетров.р-н)'),
(3,	2922,	'Парутине'),
(1,	2922,	'Парутино'),
(3,	2923,	'Пархомівка (Київська обл.)'),
(1,	2923,	'Пархомовка (Киевская обл.)'),
(3,	2924,	'Пархомівка (Краснокутський р-н.)'),
(1,	2924,	'Пархомовка (Краснокутский р-н.)'),
(3,	2925,	'Пасіка'),
(1,	2925,	'Пасека '),
(3,	2926,	'Пасіки-Зубрицькі'),
(1,	2926,	'Пасеки-Зубрицкие'),
(3,	2927,	'Пасічна'),
(1,	2927,	'Пасечная'),
(3,	2928,	'Пасічна (Хмельницька обл.)'),
(1,	2928,	'Пасечная (Хмельницкая обл.)'),
(3,	2929,	'Пациків'),
(1,	2929,	'Пациков'),
(3,	2930,	'Пеньківка'),
(1,	2930,	'Пеньковка'),
(3,	2931,	'Пеняки'),
(1,	2931,	'Пеняки'),
(3,	2932,	'Первомаївка'),
(1,	2932,	'Первомаевка'),
(3,	2933,	'Первомайськ(Микол.обл.Первомайс.р-н)'),
(1,	2933,	'Первомайск(Никол.обл.Первомайс.р-н)'),
(3,	2934,	'Первомайське(смт-Микол.обл.Вітовський.р-н)'),
(1,	2934,	'Первомайское(пгт-Никол.обл.Витовский.р-н)'),
(3,	2935,	'Первомайський (Харківська обл.)'),
(1,	2935,	'Первомайский (Харьковская обл.)'),
(3,	2936,	'Перебиківці'),
(1,	2936,	'Перебыковцы'),
(3,	2937,	'Перевозець'),
(1,	2937,	'Перевозец'),
(3,	2938,	'Перегінське'),
(1,	2938,	'Перегинское'),
(3,	2939,	'Перегонівка'),
(1,	2939,	'Перегоновка'),
(3,	2940,	'Передільське'),
(1,	2940,	'Передельское'),
(3,	2941,	'Переїзне'),
(1,	2941,	'Переездное'),
(3,	2942,	'Перельоти'),
(1,	2942,	'Перелеты'),
(3,	2943,	'Перемишляни'),
(1,	2943,	'Перемышляны'),
(3,	2944,	'Перемога'),
(1,	2944,	'Перемога'),
(3,	2945,	'Перемога (Сумська обл.)'),
(1,	2945,	'Победа (Сумская обл.)'),
(3,	2946,	'Переможне'),
(1,	2946,	'Переможное'),
(3,	2947,	'Переможне (Запорізька обл.)'),
(1,	2947,	'Переможное (Запорожская обл.)'),
(3,	2948,	'Перепільчинці'),
(1,	2948,	'Перепильчинцы '),
(3,	2949,	'Перерісль'),
(1,	2949,	'Переросль'),
(3,	2950,	'Пересадівка'),
(1,	2950,	'Пересадовка'),
(3,	2951,	'Пересипки'),
(1,	2951,	'Пересыпки'),
(3,	2952,	'Пересічне'),
(1,	2952,	'Пересечное'),
(3,	2953,	'Переспа'),
(1,	2953,	'Переспа'),
(3,	2954,	'Перехрестове'),
(1,	2954,	'Перекрестово'),
(3,	2955,	'Перечин'),
(1,	2955,	'Перечин'),
(3,	2956,	'Перещепине'),
(1,	2956,	'Перещепино'),
(3,	2957,	'Переяслав'),
(1,	2957,	'Переяслав'),
(3,	2958,	'Переяславське'),
(1,	2958,	'Переяславское'),
(3,	2959,	'Першокостянтинівка'),
(1,	2959,	'Першоконстантиновка'),
(3,	2960,	'Першотравенськ (Дніпропетровська обл)'),
(1,	2960,	'Першотравенск (Днепропетровская обл)'),
(3,	2961,	'Першотравенськ (Житомирська обл.)'),
(1,	2961,	'Першотравенск (Житомирская обл.)'),
(3,	2962,	'Першотравневе (Житомирська обл.)'),
(1,	2962,	'Першотравневое (Житомирская обл.)'),
(3,	2963,	'Першотравневе (Одеська обл.)'),
(1,	2963,	'Першотравневое (Одесская обл.)'),
(3,	2964,	'Першотравневе (Харківська обл.)'),
(1,	2964,	'Першотравневое (Харьковская обл.)'),
(3,	2965,	'Петранка'),
(1,	2965,	'Петранка'),
(3,	2966,	'Петраші'),
(1,	2966,	'Петраши'),
(3,	2967,	'Петриківка'),
(1,	2967,	'Петриковка'),
(3,	2968,	'Петричанка'),
(1,	2968,	'Петрычанка'),
(3,	2969,	'Петрівка (Запорізька обл.)'),
(1,	2969,	'Петровка (Запорожская обл.)'),
(3,	2970,	'Петрівка (Миколаївська обл.)'),
(1,	2970,	'Петровка (Николаевская обл.)'),
(3,	2971,	'Петрівка (Херсонська обл.)'),
(1,	2971,	'Петровка (Херсонская обл.)'),
(3,	2972,	'Петрівка (Чернігівська обл.)'),
(1,	2972,	'Петровка (Черниговская обл.)'),
(3,	2973,	'Петрівка (Чутівський р-н.)'),
(1,	2973,	'Петровка (Чутовский р-н.)'),
(3,	2974,	'Петрівка-Роменська'),
(1,	2974,	'Петровка - Роменская'),
(3,	2975,	'Петрівське (Харківська обл.)'),
(1,	2975,	'Петровское (Харьковская обл.)'),
(3,	2976,	'Петро-Давидівка'),
(1,	2976,	'Петро-Давыдовка'),
(3,	2977,	'Петро-Михайлівка'),
(1,	2977,	'Петро-Михайлівка'),
(3,	2978,	'Петрове (Одеська обл.)'),
(1,	2978,	'Петрове (Одеська обл.)'),
(3,	2979,	'Петрове (Петрівський р-н., Кіровоградська обл)'),
(1,	2979,	'Петрово (Петровский р-н., Кировоградская обл)'),
(3,	2980,	'Петродолинське'),
(1,	2980,	'Петродолинское'),
(3,	2981,	'Петропавлівка (Дніпропетровська обл.)'),
(1,	2981,	'Петропавловка (Днепропетровская обл.)'),
(3,	2982,	'Петропавлівка (Луганська обл.)'),
(1,	2982,	'Петропавловка (Луганская обл.)'),
(3,	2983,	'Петропавлівка (Харківська обл.)'),
(1,	2983,	'Петропавловка (Харьковская обл.)'),
(3,	2984,	'Петропавлівка (Черкаська обл.)'),
(1,	2984,	'Петропавловка (Черкасская обл.)'),
(3,	2985,	'Петропавлівське'),
(1,	2985,	'Петропавловское'),
(3,	2986,	'Петрушки'),
(1,	2986,	'Петрушки'),
(3,	2987,	'Печанівка'),
(1,	2987,	'Печановка'),
(3,	2988,	'Печеніги'),
(1,	2988,	'Печенеги'),
(3,	2989,	'Печеніжин'),
(1,	2989,	'Печенежин'),
(3,	2990,	'Печини'),
(1,	2990,	'Печины'),
(3,	2991,	'Печихвости'),
(1,	2991,	'Печихвосты'),
(3,	2992,	'Пийтерфолво'),
(1,	2992,	'Пийтерфолво'),
(3,	2993,	'Пиків'),
(1,	2993,	'Пиков'),
(3,	2994,	'Пикуловичі'),
(1,	2994,	'Пикуловичи '),
(3,	2995,	'Пилипець'),
(1,	2995,	'Пилипец'),
(3,	2996,	'Пилипи-Олександрівські'),
(1,	2996,	'Пилипы-Александровские'),
(3,	2997,	'Пилиповичі'),
(1,	2997,	'Пилиповичи '),
(3,	2998,	'Пирогівці'),
(1,	2998,	'Пироговцы'),
(3,	2999,	'Пирятин'),
(1,	2999,	'Пирятин'),
(3,	3000,	'Писарівка'),
(1,	3000,	'Писаревка'),
(3,	3001,	'Писарівка (Луганська обл.)'),
(1,	3001,	'Писаревка (Луганская обл.)'),
(3,	3002,	'Писарівка (Одеська обл.)'),
(1,	3002,	'Писаревка (Одесская обл.)'),
(3,	3004,	'Писарівка (Харківська обл.)'),
(1,	3004,	'Писаревка (Харьковская обл.)'),
(3,	3005,	'Писарівщина'),
(1,	3005,	'Писаревщина'),
(3,	3006,	'Письменне'),
(1,	3006,	'Письменное'),
(3,	3007,	'Пищики'),
(1,	3007,	'Пищики'),
(3,	3008,	'Південне (Харківський р-н)'),
(1,	3008,	'Пивденное (Харьковский обл.)'),
(3,	3009,	'Півні'),
(1,	3009,	'Пивни'),
(3,	3010,	'Північне'),
(1,	3010,	'Пивничное'),
(3,	3011,	'Підбережжя'),
(1,	3011,	'Подбережье'),
(3,	3012,	'Підбереззя'),
(1,	3012,	'Подберезье'),
(3,	3013,	'Підберізці'),
(1,	3013,	'Подберезцы'),
(3,	3014,	'Підбірці'),
(1,	3014,	'Подборцы'),
(3,	3015,	'Підбуж'),
(1,	3015,	'Подбуж'),
(3,	3016,	'Підвиноградів'),
(1,	3016,	'Подвиноградов'),
(3,	3017,	'Підвисоке'),
(1,	3017,	'Подвысокое'),
(3,	3018,	'Підвисоке (Івано-Франківська обл.)'),
(1,	3018,	'Подвысокое (Ивано-Франковская обл.)'),
(3,	3019,	'Підволочиськ'),
(1,	3019,	'Подволочиск'),
(3,	3020,	'Підгайці (Луцький р-н)'),
(1,	3020,	'Подгайцы (Луцкий р-н)'),
(3,	3021,	'Підгайці (Млинівський р-н)'),
(1,	3021,	'Подгайцы (Млиновский р-н)'),
(3,	3022,	'Підгайці (Підгаєцький р-н., Тернопільська обл.)'),
(1,	3022,	'Подгайцы (Подгаецкий р-н., Тернопольская обл.)'),
(3,	3023,	'Підгайчики'),
(1,	3023,	'Подгайчики'),
(3,	3024,	'Підгайчики (Львівська обл.)'),
(1,	3024,	'Подгайчики (Львовская обл.)'),
(3,	3025,	'Підгір\'я'),
(1,	3025,	'Подгорье'),
(3,	3026,	'Підгірне'),
(1,	3026,	'Подгорное'),
(3,	3027,	'Підгірне (Одеська обл.)'),
(1,	3027,	'Подгорное (Одесская обл.)'),
(3,	3028,	'Підгірці (Київська обл.)'),
(1,	3028,	'Подгорцы (Киевская обл.)'),
(3,	3029,	'Підгірці (Львівська обл.)'),
(1,	3029,	'Подгорцы (Львовская обл.)'),
(3,	3030,	'Підгорівка'),
(1,	3030,	'Подгоровка'),
(3,	3031,	'Підгородне (Дніпропетровська обл.)'),
(1,	3031,	'Подгородное (Днепропетровская обл.)'),
(3,	3032,	'Підгородне (Золочівський р-н., Львівська обл.)'),
(1,	3032,	'Подгородное (Золочевский р-н., Львовская обл.)'),
(3,	3033,	'Підгородне (Тернопільс. р-н., Тернопільська обл.)'),
(1,	3033,	'Подгородное (Тернопольс. р-н., Тернопольская обл.)'),
(3,	3034,	'Підгородці (Львівська обл.)'),
(1,	3034,	'Подгородцы (Львовская обл.)'),
(3,	3035,	'Піддубці'),
(1,	3035,	'Поддубцы'),
(3,	3036,	'Підзамочок'),
(1,	3036,	'Подзамочек'),
(3,	3037,	'Підзамче'),
(1,	3037,	'Подзамче'),
(3,	3038,	'Підзахаричі'),
(1,	3038,	'Подзахаричи'),
(3,	3039,	'Підкамінь'),
(1,	3039,	'Подкамень'),
(3,	3040,	'Підлиман'),
(1,	3040,	'Подлиман'),
(3,	3041,	'Підлісне (Кіровоградська обл.)'),
(1,	3041,	'Подлесное (Кировоградская обл.)'),
(3,	3042,	'Підлісний Мукарів'),
(1,	3042,	'Подлесный Мукаров '),
(3,	3043,	'Підлужжя'),
(1,	3043,	'Подлужье'),
(3,	3044,	'Підманове'),
(1,	3044,	'Подманово'),
(3,	3045,	'Підмихайля'),
(1,	3045,	'Подмихайля'),
(3,	3046,	'Підопригори'),
(1,	3046,	'Подопригоры'),
(3,	3047,	'Підпечери'),
(1,	3047,	'Подпечеры'),
(3,	3048,	'Підплеша'),
(1,	3048,	'Подплеша'),
(3,	3049,	'Пізники'),
(1,	3049,	'Позники'),
(3,	3050,	'Пії'),
(1,	3050,	'Пии'),
(3,	3051,	'Пійло'),
(1,	3051,	'Пийло'),
(3,	3052,	'Пільний Олексинець'),
(1,	3052,	'Пильный Алексинец'),
(3,	3053,	'Пінчуки'),
(1,	3053,	'Пинчуки'),
(3,	3054,	'Пірнове'),
(1,	3054,	'Пирново'),
(3,	3055,	'Піски (Житомирська обл.)'),
(1,	3055,	'Пески (Житомирская обл.)'),
(3,	3056,	'Піски (Луганська обл.)'),
(1,	3056,	'Пески (Луганская обл.)'),
(3,	3057,	'Піски (Полтавська обл.)'),
(1,	3057,	'Пески (Полтавская обл.)'),
(3,	3058,	'Піски (Сумська обл.)'),
(1,	3058,	'Пески (Сумская обл.)'),
(3,	3059,	'Піски (Чернігівська обл.)'),
(1,	3059,	'Пески (Черниговская обл.)'),
(3,	3060,	'Піски-Радьківські'),
(1,	3060,	'Пески-Радьковские'),
(3,	3061,	'Пісків'),
(1,	3061,	'Песков'),
(3,	3062,	'Пісківка'),
(1,	3062,	'Песковка'),
(3,	3063,	'Пісочин'),
(1,	3063,	'Песочин'),
(3,	3064,	'Пісочна'),
(1,	3064,	'Песочная'),
(3,	3065,	'Пістинь'),
(1,	3065,	'Пистынь'),
(3,	3066,	'Пістрялово'),
(1,	3066,	'Пестрялово'),
(3,	3067,	'Піща'),
(1,	3067,	'Пища'),
(3,	3068,	'Піщане'),
(1,	3068,	'Песчаное'),
(3,	3069,	'Піщане ( Полтавська обл.)'),
(1,	3069,	'Песчаное ( Полтавская обл.)'),
(3,	3070,	'Піщане(Черкаська обл.)'),
(1,	3070,	'Песчаное(Черкаская обл.)'),
(3,	3071,	'Піщаний Брід'),
(1,	3071,	'Песчаный Брод'),
(3,	3072,	'Піщаний Брід (Олександрійський р-н)'),
(1,	3072,	'Песчаный Брод (Александрийский район)'),
(3,	3073,	'Піщанка (Вінницька обл.)'),
(1,	3073,	'Песчанка (Винницкая обл.)'),
(3,	3074,	'Піщанка(Дніпропетровська обл.)'),
(1,	3074,	'Песчанка(Днепропетровская обл.)'),
(3,	3075,	'Плав\'я'),
(1,	3075,	'Плавье'),
(3,	3076,	'Плавні'),
(1,	3076,	'Плавни'),
(3,	3077,	'Плахтіївка'),
(1,	3077,	'Плахтиевка'),
(3,	3078,	'Плебанівка'),
(1,	3078,	'Плебановка'),
(3,	3079,	'Плесецьке'),
(1,	3079,	'Плесецкое'),
(3,	3080,	'Плиски'),
(1,	3080,	'Плиски'),
(3,	3081,	'Плисків'),
(1,	3081,	'Плисков'),
(3,	3082,	'Плодове'),
(1,	3082,	'Плодовое'),
(3,	3083,	'Плоске'),
(1,	3083,	'Плоское'),
(3,	3084,	'Плоске (Рівненська обл.)'),
(1,	3084,	'Плоское (Ровенская обл.)'),
(3,	3085,	'Плоске (Таращанський р-н) '),
(1,	3085,	'Плоское (Таращанский р-н)'),
(3,	3086,	'Плоске (Харківська обл.)'),
(1,	3086,	'Плоское (Харьковская обл.)'),
(3,	3087,	'Плотича'),
(1,	3087,	'Плотыча'),
(3,	3088,	'Плужне'),
(1,	3088,	'Плужное'),
(3,	3089,	'Пляківка'),
(1,	3089,	'Пляковка'),
(3,	3090,	'Пнів'),
(1,	3090,	'Пнев'),
(3,	3091,	'Пнівне'),
(1,	3091,	'Пневно'),
(3,	3092,	'Побережжя'),
(1,	3092,	'Побережье'),
(3,	3093,	'Побєда'),
(1,	3093,	'Победа'),
(3,	3094,	'Побузьке'),
(1,	3094,	'Побугское'),
(3,	3095,	'Погорілівка'),
(1,	3095,	'Погореловка'),
(3,	3096,	'Погреби'),
(1,	3096,	'Погребы'),
(3,	3097,	'Погреби (Васильківський р-н)'),
(1,	3097,	'Погребы (Васильковский р-н)'),
(3,	3098,	'Погреби (Полтавська обл.)'),
(1,	3098,	'Погребы (Полтавская обл.)'),
(3,	3099,	'Погреби (Тетіївський р-н)'),
(1,	3099,	'Погребы (Тетиевский р-н)'),
(3,	3100,	'Погребище'),
(1,	3100,	'Погребище'),
(3,	3101,	'Подвір\'ївка'),
(1,	3101,	'Подворьевка'),
(3,	3102,	'Подвірки'),
(1,	3102,	'Подворки'),
(3,	3103,	'Подвірне'),
(1,	3103,	'Подворное'),
(3,	3104,	'Поділ'),
(1,	3104,	'Подол'),
(3,	3105,	'Поділля'),
(1,	3105,	'Подолье'),
(3,	3106,	'Подільки'),
(1,	3106,	'Подолки '),
(3,	3107,	'Подільськ'),
(1,	3107,	'Подольск'),
(3,	3108,	'Подорожнє'),
(1,	3108,	'Подорожное'),
(3,	3109,	'Познанка Перша'),
(1,	3109,	'Познанка Первая'),
(3,	3110,	'Познань (Рівненська обл.)'),
(1,	3110,	'Познань (Ровенская обл.)'),
(3,	3111,	'Покалів'),
(1,	3111,	'Покалев'),
(3,	3112,	'Покотилівка'),
(1,	3112,	'Покотиловка'),
(3,	3113,	'Покотилове'),
(1,	3113,	'Покотилово'),
(3,	3114,	'Покошичі'),
(1,	3114,	'Покошичи'),
(3,	3115,	'Покров (Дніпропетровська обл.)'),
(1,	3115,	'Покров'),
(3,	3116,	'Покровськ (Донецька обл.)'),
(1,	3116,	'Покровск'),
(3,	3117,	'Покровська Багачка '),
(1,	3117,	'Покровская Богачка'),
(3,	3118,	'Покровське (Артемівський р-н) '),
(1,	3118,	'Покровское (Артемовский р-н)'),
(3,	3119,	'Покровське (Запорізька обл.)'),
(1,	3119,	'Покровское (запорожская обл.)'),
(3,	3120,	'Покровське (Мангушський р-н)'),
(1,	3120,	'Покровское (Мангушський р-н)'),
(3,	3121,	'Покровське (Покровський р-н Дніпропетровська обл.)'),
(1,	3121,	'Покровское'),
(3,	3122,	'Покровське (Полтавська обл.)'),
(1,	3122,	'Покровское (Полтавская обл.)'),
(3,	3123,	'Покровське (Чернігівська обл.)'),
(1,	3123,	'Покровское (Черниговская обл.)'),
(3,	3124,	'Поливанівка'),
(1,	3124,	'Поливановка'),
(3,	3125,	'Полиці'),
(1,	3125,	'Полицы'),
(3,	3126,	'Полігон'),
(1,	3126,	'Полигон'),
(3,	3127,	'Поліське (Рівненська обл.)'),
(1,	3127,	'Полесское (Ровенская обл.)'),
(3,	3128,	'Полкова Микитівка'),
(1,	3128,	'Полковая-Никитовка'),
(3,	3129,	'Половинчик'),
(1,	3129,	'Половинчик'),
(3,	3130,	'Пологи (Запорізька обл.)'),
(1,	3130,	'Пологи (Запорожская обл.)'),
(3,	3131,	'Пологи (Київська обл.)'),
(1,	3131,	'Пологи (Киевская обл.)'),
(3,	3132,	'Пологи (село)'),
(1,	3132,	'Пологи (село)'),
(3,	3133,	'Пологи-Яненки'),
(1,	3133,	'Пологи-Яненки'),
(3,	3134,	'Положеве'),
(1,	3134,	'Положево'),
(3,	3135,	'Полонка'),
(1,	3135,	'Полонка'),
(3,	3136,	'Полонне'),
(1,	3136,	'Полонное'),
(3,	3137,	'Полошки'),
(1,	3137,	'Полошки'),
(3,	3138,	'Полтава'),
(1,	3138,	'Полтава'),
(3,	3139,	'Полтавка (Запорізька обл.)'),
(1,	3139,	'Полтавка (Запорожская обл.)'),
(3,	3140,	'Полтавка (Кіровоградська обл.)'),
(1,	3140,	'Полтавка (Кировоградская обл.)'),
(3,	3141,	'Поляна (Закарпатська обл.)'),
(1,	3141,	'Поляна (Закарпатская обл.)'),
(3,	3142,	'Поляна (Чернівецька обл.)'),
(1,	3142,	'Поляна (Черновицкая обл.)'),
(3,	3143,	'Поляне'),
(1,	3143,	'Поляне'),
(3,	3144,	'Полянецьке '),
(1,	3144,	'Полянецкое'),
(3,	3145,	'Поляни (Рівненська обл.)'),
(1,	3145,	'Поляны (Ровенская обл.)'),
(3,	3146,	'Поляниця (Буковель)'),
(1,	3146,	'Поляница (Буковель)'),
(3,	3147,	'Поляниця (Івано-Франківська обл.)'),
(1,	3147,	'Поляница (Ивано-Франковская обл.)'),
(3,	3148,	'Полянка'),
(1,	3148,	'Полянка'),
(3,	3149,	'Поляхова'),
(1,	3149,	'Поляхова'),
(3,	3150,	'Поминик'),
(1,	3150,	'Поминик'),
(3,	3151,	'Помічна'),
(1,	3151,	'Помошная'),
(3,	3152,	'Пониковиця'),
(1,	3152,	'Пониковица'),
(3,	3153,	'Понінка'),
(1,	3153,	'Понинка'),
(3,	3154,	'Понорниця'),
(1,	3154,	'Понорница'),
(3,	3155,	'Понятівка'),
(1,	3155,	'Понятовка'),
(3,	3156,	'Попасна'),
(1,	3156,	'Попасная'),
(3,	3157,	'Попасне (Новомосковський р-н.)'),
(1,	3157,	'Попасное (Новомосковский р-н.)'),
(3,	3158,	'Попелі'),
(1,	3158,	'Попели'),
(3,	3159,	'Попельники'),
(1,	3159,	'Попельники'),
(3,	3160,	'Попівка (Карлівський р-н)'),
(1,	3160,	'Поповка (Карловский р-н)'),
(3,	3161,	'Попівка (Миргородський р-н)'),
(1,	3161,	'Поповка (Миргородский р-н)'),
(3,	3162,	'Попільня'),
(1,	3162,	'Попельня'),
(3,	3163,	'Порадівка'),
(1,	3163,	'Порадовка'),
(3,	3164,	'Порохня'),
(1,	3164,	'Порохня'),
(3,	3165,	'Порошково'),
(1,	3165,	'Порошково'),
(3,	3166,	'Посад-Покровське'),
(1,	3166,	'Посад-Покровское'),
(3,	3167,	'Постійне'),
(1,	3167,	'Постойное'),
(3,	3168,	'Постолівка'),
(1,	3168,	'Постоловка'),
(3,	3169,	'Поташ'),
(1,	3169,	'Поташ'),
(3,	3170,	'Поташня'),
(1,	3170,	'Поташня'),
(3,	3171,	'Потелич'),
(1,	3171,	'Потелич'),
(3,	3172,	'Потіївка'),
(1,	3172,	'Потиевка'),
(3,	3173,	'Потік'),
(1,	3173,	'Поток'),
(3,	3174,	'Потічок'),
(1,	3174,	'Поточек'),
(3,	3175,	'Потоки'),
(1,	3175,	'Потоки'),
(3,	3176,	'Почаїв'),
(1,	3176,	'Почаев'),
(3,	3177,	'Почапинці'),
(1,	3177,	'Почапинцы'),
(3,	3178,	'Почапинці (Хмельницька обл.)'),
(1,	3178,	'Почапинцы (Хмельницкая обл.)'),
(3,	3179,	'Почапинці (Черкаська обл.)'),
(1,	3179,	'Почапинцы (Черкасская обл.)'),
(3,	3180,	'Правдівка'),
(1,	3180,	'Правдовка'),
(3,	3181,	'Преображенка (Каланчацький р-н)'),
(1,	3181,	'Преображенка (Каланчацкий р-н)'),
(3,	3182,	'Преображенка (Криничанський р-н,, Дніпроп. обл.)'),
(1,	3182,	'Преображенка (Криничанский р-н ,, Днепроп. обл.)'),
(3,	3183,	'Преображенка (Оріхівський р-н.)'),
(1,	3183,	'Преображенка (Ореховский р-н.)'),
(3,	3184,	'Преображенка (Царичанський р-н., Дніпроп. обл.)'),
(1,	3184,	'Преображенка (Царичанський р-н., Днепроп. обл.'),
(3,	3185,	'Преображенка (Чаплинський р-н., Херсонська обл.)'),
(1,	3185,	'Преображенка (Чаплинский р-н., Херсонская обл.)'),
(3,	3186,	'Преображенне '),
(1,	3186,	'Преображенное'),
(3,	3187,	'Пречистівка'),
(1,	3187,	'Пречистовка'),
(3,	3188,	'Приазовське'),
(1,	3188,	'Приазовское'),
(3,	3189,	'Прибірськ'),
(1,	3189,	'Приборск'),
(3,	3190,	'Приборжавське'),
(1,	3190,	'Приборжавское'),
(3,	3191,	'Приборівка'),
(1,	3191,	'Приборовка'),
(3,	3192,	'Прибужжя'),
(1,	3192,	'Прибужье'),
(3,	3193,	'Прибузьке'),
(1,	3193,	'Прибужское'),
(3,	3194,	'Привілля (Лисичанська міська рада)'),
(1,	3194,	'Приволье (Лисичанский городской совет)'),
(3,	3195,	'Привілля (Троїцький р-н)'),
(1,	3195,	'Приволье (Троицкий р-н)'),
(3,	3196,	'Привільне'),
(1,	3196,	'Привольное'),
(3,	3197,	'Привільне (Дніпропетровська обл.)'),
(1,	3197,	'Привольное (Днепропетровская обл.)'),
(3,	3198,	'Привітне'),
(1,	3198,	'Приветное'),
(3,	3199,	'Привокзальне'),
(1,	3199,	'Привокзальное'),
(3,	3200,	'Придніпровське'),
(1,	3200,	'Приднепровское'),
(3,	3201,	'Придніпровське (Дніпропетровська обл.)'),
(1,	3201,	'Приднепровское (Днепропетровская обл.)'),
(3,	3202,	'Придніпрянське (Полтавська обл.)'),
(1,	3202,	'Приднепрянское (Полтавская обл.)'),
(3,	3203,	'Приколотне'),
(1,	3203,	'Приколотное'),
(3,	3204,	'Прилісне'),
(1,	3204,	'Прилесное'),
(3,	3205,	'Прилуки'),
(1,	3205,	'Прилуки'),
(3,	3206,	'Прилуцьке'),
(1,	3206,	'Прилуцкое'),
(3,	3207,	'Приморськ (Запорізька обл.)'),
(1,	3207,	'Приморск (Запорожская обл.)'),
(3,	3208,	'Приморське (Білгород-Дністровський р-н.)'),
(1,	3208,	'Приморское (Белгород-Днестровский р-н.)'),
(3,	3209,	'Приморське (Запорізька обл.)'),
(1,	3209,	'Приморское (Запорожская обл.)'),
(3,	3210,	'Приморське (Кілійський р-н)'),
(1,	3210,	'Приморское (Килийский р-н)'),
(3,	3211,	'Приморський Посад'),
(1,	3211,	'Приморский Посад'),
(3,	3212,	'Приозерне (Одеська обл.)'),
(1,	3212,	'Приозерное (Одесская обл.)'),
(3,	3213,	'Прислуч'),
(1,	3213,	'Прислуч'),
(3,	3214,	'Пристайлове'),
(1,	3214,	'Пристайлово'),
(3,	3215,	'Пристроми'),
(1,	3215,	'Пристромы'),
(3,	3216,	'Пришиб (Харківська обл.)'),
(1,	3216,	'Пришиб (Харьковская обл.)'),
(3,	3217,	'Приютівка (Кіровоградська обл.)'),
(1,	3217,	'Приютовка (Кировоградская обл.)'),
(3,	3218,	'Прогрес'),
(1,	3218,	'Прогрес'),
(3,	3219,	'Проліски'),
(1,	3219,	'Пролиски'),
(3,	3220,	'Просторе'),
(1,	3220,	'Просторе'),
(3,	3221,	'Просяна (Покровський р-н)'),
(1,	3221,	'Просяная (Покровский р-н)'),
(3,	3222,	'Просяне'),
(1,	3222,	'Просяное'),
(3,	3223,	'Протопопівка'),
(1,	3223,	'Протопоповка'),
(3,	3224,	'Протопопівка (Кіровоградська обл.)'),
(1,	3224,	'Протопоповка (Кировоградская обл.)'),
(3,	3225,	'Протопопівка (Одеська обл.)'),
(1,	3225,	'Протопоповка (Одесская обл.)'),
(3,	3226,	'Проців'),
(1,	3226,	'Процев'),
(3,	3227,	'Прутівка'),
(1,	3227,	'Прутовка'),
(3,	3228,	'Прядівка'),
(1,	3228,	'Прядивка'),
(3,	3229,	'Пузирі'),
(1,	3229,	'Пузыри'),
(3,	3230,	'Пулини'),
(1,	3230,	'Пулины'),
(3,	3231,	'Пульмо'),
(1,	3231,	'Пульмо'),
(3,	3232,	'Пустоварівка'),
(1,	3232,	'Пустоваровка'),
(3,	3233,	'Пустовійтове'),
(1,	3233,	'Пустовойтово'),
(3,	3234,	'Пустовіти'),
(1,	3234,	'Пустовиты'),
(3,	3235,	'Пустоіванне'),
(1,	3235,	'Пустоиванье'),
(3,	3236,	'Пустомити'),
(1,	3236,	'Пустомыты'),
(3,	3237,	'Путивль'),
(1,	3237,	'Путивль'),
(3,	3238,	'Путила'),
(1,	3238,	'Путила'),
(3,	3239,	'Путятинці'),
(1,	3239,	'Путятинцы'),
(3,	3240,	'Пухівка'),
(1,	3240,	'Пуховка'),
(3,	3241,	'Пушкарівка'),
(1,	3241,	'Пушкарёвка'),
(3,	3242,	'Пушкове'),
(1,	3242,	'Пушково'),
(3,	3243,	'Пуща-Водиця (Київ)'),
(1,	3243,	'Пуща-Водица (Киев)'),
(3,	3244,	'Пшеничники'),
(1,	3244,	'Пшеничники'),
(3,	3245,	'Рава-Руська'),
(1,	3245,	'Рава-Русская'),
(3,	3246,	'Раденськ'),
(1,	3246,	'Раденск'),
(3,	3247,	'Радехів'),
(1,	3247,	'Радехов'),
(3,	3248,	'Радивилів'),
(1,	3248,	'Радивилов'),
(3,	3249,	'Радивонівка'),
(1,	3249,	'Радивоновка'),
(3,	3250,	'Радижеве'),
(1,	3250,	'Радижеве'),
(3,	3251,	'Радичів'),
(1,	3251,	'Радичев'),
(3,	3252,	'Радісний Сад'),
(1,	3252,	'Радостный сад'),
(3,	3253,	'Радовель'),
(1,	3253,	'Радовель'),
(3,	3254,	'Радовичі'),
(1,	3254,	'Радовичи'),
(3,	3255,	'Радомишль'),
(1,	3255,	'Радомышль'),
(3,	3256,	'Радошівка'),
(1,	3256,	'Радошевка'),
(3,	3257,	'Радушне'),
(1,	3257,	'Радушное'),
(3,	3258,	'Радча'),
(1,	3258,	'Радча'),
(3,	3259,	'Раївка'),
(1,	3259,	'Раевка'),
(3,	3260,	'Рай-Олександрівка'),
(1,	3260,	'Рай-Александровка'),
(3,	3261,	'Райгородка'),
(1,	3261,	'Райгородка'),
(3,	3262,	'Райгородок(Слов\'янський р-н)'),
(1,	3262,	'Райгородок(Славянский р-н)'),
(3,	3263,	'Райки'),
(1,	3263,	'Райки'),
(3,	3264,	'Райське(Херсонська обл.)'),
(1,	3264,	'Райское(Херсонская обл.)'),
(3,	3265,	'Раків'),
(1,	3265,	'Раков'),
(3,	3266,	'Раків Ліс'),
(1,	3266,	'Раков Лес'),
(3,	3267,	'Раківчик'),
(1,	3267,	'Раковчик'),
(3,	3268,	'Ракове'),
(1,	3268,	'Раково'),
(3,	3269,	'Раковець'),
(1,	3269,	'Раковец'),
(3,	3270,	'Раковець (Львівська обл.)'),
(1,	3270,	'Раковець (Львівська обл.)'),
(3,	3271,	'Ракошино'),
(1,	3271,	'Ракошино'),
(3,	3272,	'Ралівка'),
(1,	3272,	'Ралевка'),
(3,	3273,	'Раневичі'),
(1,	3273,	'Раневичи'),
(3,	3274,	'Ратне'),
(1,	3274,	'Ратно'),
(3,	3275,	'Раухівка'),
(1,	3275,	'Рауховка'),
(3,	3276,	'Рафалівка'),
(1,	3276,	'Рафаловка'),
(3,	3277,	'Рахиня'),
(1,	3277,	'Рахиня'),
(3,	3278,	'Рахів'),
(1,	3278,	'Рахов'),
(3,	3279,	'Рахни-Лісові'),
(1,	3279,	'Рахны-Лисовые'),
(3,	3280,	'Рашівка '),
(1,	3280,	'Рашевка'),
(3,	3281,	'Ребедайлівка'),
(1,	3281,	'Ребедайловка'),
(3,	3282,	'Ревівка'),
(1,	3282,	'Ревовка'),
(3,	3283,	'Ревне'),
(1,	3283,	'Ревное'),
(3,	3284,	'Ревне (Чернівецька обл.)'),
(1,	3284,	'Ревное (Черновицкая обл.)'),
(3,	3285,	'Ременів'),
(1,	3285,	'Ременов'),
(3,	3286,	'Рені'),
(1,	3286,	'Рени'),
(3,	3287,	'Репужинці'),
(1,	3287,	'Репужинцы'),
(3,	3288,	'Решетилівка'),
(1,	3288,	'Решетиловка'),
(3,	3289,	'Ржавинці'),
(1,	3289,	'Ржавинцы'),
(3,	3290,	'Ржавчик'),
(1,	3290,	'Ржавчик'),
(3,	3291,	'Ржищів'),
(1,	3291,	'Ржищев'),
(3,	3292,	'Риб\'янцеве'),
(1,	3292,	'Рыбянцево'),
(3,	3293,	'Рибинськ '),
(1,	3293,	'Рыбинск'),
(3,	3294,	'Риботин'),
(1,	3294,	'Рыботин'),
(3,	3295,	'Ридомиль'),
(1,	3295,	'Рыдомиль'),
(3,	3296,	'Рижани'),
(1,	3296,	'Рыжаны'),
(3,	3297,	'Рикове'),
(1,	3297,	'Рыково'),
(3,	3298,	'Римачі'),
(1,	3298,	'Рымачи'),
(3,	3299,	'Рихальське'),
(1,	3299,	'Рыхальское'),
(3,	3300,	'Ричагів'),
(1,	3300,	'Рычагов'),
(3,	3301,	'Рівне'),
(1,	3301,	'Ровно'),
(3,	3302,	'Рівне (Новоукраїнський р-н Кіровоградська обл.)'),
(1,	3302,	'Ровное (Новоукраинский р-н, Кировоградская обл.)'),
(3,	3303,	'Рівне (Херсонська обл.)'),
(1,	3303,	'Ровное (Херсонская обл.)'),
(3,	3304,	'Рівнопіль (Донецька обл.)'),
(1,	3304,	'Ровнополь (Донецкая обл.)'),
(3,	3305,	'Рівня'),
(1,	3305,	'Ровня'),
(3,	3306,	'Рідківці'),
(1,	3306,	'Редковцы'),
(3,	3307,	'Ріжки'),
(1,	3307,	'Рожки'),
(3,	3308,	'Різдвянка'),
(1,	3308,	'Риздвянка'),
(3,	3309,	'Ріп\'янка'),
(1,	3309,	'Рипянка'),
(3,	3310,	'Ріпки'),
(1,	3310,	'Репки'),
(3,	3311,	'Ріпна'),
(1,	3311,	'Репна'),
(3,	3312,	'Ріпне'),
(1,	3312,	'Репное'),
(3,	3313,	'Річки'),
(1,	3313,	'Речки'),
(3,	3314,	'Річки (Львівська обл.)'),
(1,	3314,	'Речки (Львовская обл.)'),
(3,	3315,	'Роботине'),
(1,	3315,	'Работино'),
(3,	3316,	'Рованці'),
(1,	3316,	'Рованцы'),
(3,	3317,	'Рогань(Велика Рогань)'),
(1,	3317,	'Рогань(Великая Рогань)'),
(3,	3318,	'Рогатин'),
(1,	3318,	'Рогатин'),
(3,	3319,	'Роги'),
(1,	3319,	'Роги'),
(3,	3320,	'Рогізки'),
(1,	3320,	'Рогозки'),
(3,	3321,	'Рогозів'),
(1,	3321,	'Рогозов'),
(3,	3322,	'Родатичі'),
(1,	3322,	'Родатычи'),
(3,	3323,	'Родинське'),
(1,	3323,	'Родинское'),
(3,	3324,	'Рождественське'),
(1,	3324,	'Рождественське'),
(3,	3325,	'Рожище'),
(1,	3325,	'Рожище'),
(3,	3326,	'Рожівка'),
(1,	3326,	'Рожевка'),
(3,	3327,	'Рожни'),
(1,	3327,	'Рожны'),
(3,	3328,	'Рожни (Хмельницька обл.)'),
(1,	3328,	'Рожны (Хмельницкая обл.)'),
(3,	3329,	'Рожнів'),
(1,	3329,	'Рожнов'),
(3,	3330,	'Рожнятів'),
(1,	3330,	'Рожнятов'),
(3,	3331,	'Розалівка'),
(1,	3331,	'Розалевка'),
(3,	3332,	'Розбишівка'),
(1,	3332,	'Розбишевка'),
(3,	3333,	'Розваж '),
(1,	3333,	'Розваж'),
(3,	3334,	'Розважів'),
(1,	3334,	'Розважев'),
(3,	3335,	'Розділ'),
(1,	3335,	'Раздел'),
(3,	3336,	'Роздільна (Одеська обл.)'),
(1,	3336,	'Раздельная (Одесская обл.)'),
(3,	3337,	'Роздол'),
(1,	3337,	'Раздол'),
(3,	3338,	'Роздолівка'),
(1,	3338,	'Роздоловка'),
(3,	3339,	'Роздольне'),
(1,	3339,	'Раздольное'),
(3,	3340,	'Роздольне (Донецька обл.)'),
(1,	3340,	'Раздольное (Донецкая обл.)'),
(3,	3341,	'Роздори'),
(1,	3341,	'Роздоры'),
(3,	3342,	'Розівка'),
(1,	3342,	'Розовка'),
(3,	3343,	'Розівка (Розівський р-н., Запорізька обл.)  '),
(1,	3343,	'Розовка (Розовский р-н., Запорожская обл.)'),
(3,	3344,	'Розквіт'),
(1,	3344,	'Розквит'),
(3,	3345,	'Розлуч'),
(1,	3345,	'Розлуч'),
(3,	3346,	'Розношенське'),
(1,	3346,	'Разношенское'),
(3,	3347,	'Розсошенці(Полтавська обл.)'),
(1,	3347,	'Рассошенцы(Полтавская обл.)'),
(3,	3348,	'Розтоки'),
(1,	3348,	'Розтоки'),
(3,	3349,	'Розтоки (Івано-Франківська обл.)'),
(1,	3349,	'Ростоки (Ивано-Франковская обл.)'),
(3,	3350,	'Розумівка (Запорізький р-н., Запорізька обл.)'),
(1,	3350,	'Разумовка (Запорожский р-н., Запорожская обл.)'),
(3,	3351,	'Рокині'),
(1,	3351,	'Рокини'),
(3,	3352,	'Рокитне (Київська обл., Рокитнянський р-н)'),
(1,	3352,	'Ракитное (Киевская обл., Ракитнянский р-н)'),
(3,	3353,	'Рокитне (Нововодолазький р-н. Харківська обл.)'),
(1,	3353,	'Рокитное (Нововодолажский р-н. Харьковская обл.)'),
(3,	3354,	'Рокитне (Рівненська обл., Костопільський р-н)'),
(1,	3354,	'Ракитное (Ровенская обл., Костопельский р-н)'),
(3,	3355,	'Рокитне (Рівненська обл., Рокитнівський р-н)'),
(1,	3355,	'Ракитное (Ровенская обл., Рокитновский р-н)'),
(3,	3356,	'Рокитне (Чернівецька обл., Новоселицький р-н)'),
(1,	3356,	'Рокитное (Черновицкая обл., Новоселицкий р-н)'),
(3,	3357,	'Рокитниця'),
(1,	3357,	'Ракитница'),
(3,	3358,	'Рокосово'),
(1,	3358,	'Рокосово'),
(3,	3359,	'Роксолани'),
(1,	3359,	'Роксоланы'),
(3,	3360,	'Романів'),
(1,	3360,	'Романов'),
(3,	3361,	'Романківці'),
(1,	3361,	'Романковцы'),
(3,	3362,	'Ромашки'),
(1,	3362,	'Ромашки'),
(3,	3363,	'Ромашкове'),
(1,	3363,	'Ромашково'),
(3,	3364,	'Ромейки'),
(1,	3364,	'Ромейки'),
(3,	3365,	'Ромни'),
(1,	3365,	'Ромны'),
(3,	3366,	'Ромодан'),
(1,	3366,	'Ромодан'),
(3,	3367,	'Ропча'),
(1,	3367,	'Ропча'),
(3,	3368,	'Росава'),
(1,	3368,	'Росава'),
(3,	3369,	'Росош'),
(1,	3369,	'Росош'),
(3,	3370,	'Росоша'),
(1,	3370,	'Росоша'),
(3,	3371,	'Ротмістрівка'),
(1,	3371,	'Ротмистровка'),
(3,	3372,	'Рубаний Міст'),
(1,	3372,	'Рубаный Мост'),
(3,	3373,	'Рубанівка'),
(1,	3373,	'Рубановка'),
(3,	3374,	'Рубіжне'),
(1,	3374,	'Рубежное'),
(3,	3375,	'Рубці'),
(1,	3375,	'Рубцы'),
(3,	3376,	'Руда'),
(1,	3376,	'Руда'),
(3,	3377,	'Руданське'),
(1,	3377,	'Руданское'),
(3,	3378,	'Руде Село'),
(1,	3378,	'Рудое Село'),
(3,	3379,	'Руденківка'),
(1,	3379,	'Руденковка'),
(3,	3380,	'Рудки'),
(1,	3380,	'Рудки'),
(3,	3381,	'Рудне'),
(1,	3381,	'Рудно'),
(3,	3382,	'Рудники'),
(1,	3382,	'Рудники'),
(3,	3383,	'Рудники (Волинська обл.)'),
(1,	3383,	'Рудники (Волынская обл.)'),
(3,	3384,	'Рудники (Івано-Франківська обл.)'),
(1,	3384,	'Рудники (Ивано-Франковская обл.)'),
(3,	3385,	'Рудницьке'),
(1,	3385,	'Рудницкое'),
(3,	3386,	'Рудниця'),
(1,	3386,	'Рудница'),
(3,	3387,	'Рудня'),
(1,	3387,	'Рудня'),
(3,	3388,	'Ружин'),
(1,	3388,	'Ружин'),
(3,	3389,	'Рукшин'),
(1,	3389,	'Рукшин'),
(3,	3390,	'Рунгури'),
(1,	3390,	'Рунгуры'),
(3,	3391,	'Русанів'),
(1,	3391,	'Русанов'),
(3,	3392,	'Русанівка'),
(1,	3392,	'Русановка'),
(3,	3393,	'Русів'),
(1,	3393,	'Русов'),
(3,	3394,	'Руська Лозова'),
(1,	3394,	'Русская Лозовая'),
(3,	3395,	'Руська Поляна'),
(1,	3395,	'Русская Поляна'),
(3,	3396,	'Руське Поле'),
(1,	3396,	'Русское Поле'),
(3,	3397,	'Руські Комарівці'),
(1,	3397,	'Русские Комаровцы'),
(3,	3398,	'Руські Тишки'),
(1,	3398,	'Русские Тишки'),
(3,	3399,	'Ручаївка'),
(1,	3399,	'Ручаевка'),
(3,	3400,	'Ручки (Гадяцький р-н.)'),
(1,	3400,	'Ручки (Гадячский р-н.)'),
(3,	3401,	'Рябина'),
(1,	3401,	'Рябина'),
(3,	3402,	'Рябківка '),
(1,	3402,	'Рябковка'),
(3,	3403,	'Рясне'),
(1,	3403,	'Рясное'),
(3,	3404,	'Рясне-Руське'),
(1,	3404,	'Рясное-Русское'),
(3,	3405,	'Ряське'),
(1,	3405,	'Рясское'),
(3,	3406,	'Савин'),
(1,	3406,	'Савин'),
(3,	3407,	'Савинки'),
(1,	3407,	'Савинки'),
(3,	3408,	'Савинці'),
(1,	3408,	'Савинцы'),
(3,	3409,	'Савинці (Миргородський р-н.)'),
(1,	3409,	'Савинцы (Миргородский р-н)'),
(3,	3410,	'Савинці (Оржицький р-н)'),
(1,	3410,	'Савинцы (Оржицкий р-н)'),
(3,	3411,	'Савинці (Харківська обл.)'),
(1,	3411,	'Савинцы (Харьковская обл.)'),
(3,	3412,	'Саврань'),
(1,	3412,	'Саврань'),
(3,	3413,	'Сагайдак'),
(1,	3413,	'Сагайдак'),
(3,	3414,	'Сагунівка'),
(1,	3414,	'Сагуновка'),
(3,	3415,	'Сад'),
(1,	3415,	'Сад'),
(3,	3416,	'Садковичі'),
(1,	3416,	'Садковичи'),
(3,	3417,	'Садове (Миколаївська обл.)'),
(1,	3417,	'Садовое (Николаевская обл.)'),
(3,	3418,	'Саївка'),
(1,	3418,	'Саевка'),
(3,	3419,	'Саксагань'),
(1,	3419,	'Саксагань'),
(3,	3420,	'Салгани'),
(1,	3420,	'Салгани'),
(3,	3421,	'Салиха'),
(1,	3421,	'Салиха'),
(3,	3422,	'Салькове'),
(1,	3422,	'Сальвоково'),
(3,	3423,	'Сальник'),
(1,	3423,	'Сальник'),
(3,	3424,	'Сальниця'),
(1,	3424,	'Сальница'),
(3,	3425,	'Самарське (Дніпропетровська обл.)'),
(1,	3425,	'Самарское (Днепропетровская обл.)'),
(3,	3426,	'Самбір'),
(1,	3426,	'Самбор'),
(3,	3427,	'Самгородок'),
(1,	3427,	'Самгородок'),
(3,	3428,	'Самгородок (Вінницька обл.)'),
(1,	3428,	'Самгородок (Винницкая обл.)'),
(3,	3429,	'Самгородок (Київська обл.)'),
(1,	3429,	'Самгородок (Киевская обл.)'),
(3,	3430,	'Самійлівка'),
(1,	3430,	'Самойловка'),
(3,	3431,	'Самотоївка'),
(1,	3431,	'Саматоевка'),
(3,	3432,	'Самчики'),
(1,	3432,	'Самчыки'),
(3,	3433,	'Санжійка'),
(1,	3433,	'Санжейка'),
(3,	3434,	'Сапанів'),
(1,	3434,	'Сапанов'),
(3,	3435,	'Сапогів'),
(1,	3435,	'Сапогов'),
(3,	3436,	'Сарата'),
(1,	3436,	'Сарата'),
(3,	3437,	'Сари'),
(1,	3437,	'Сары'),
(3,	3438,	'Сарни'),
(1,	3438,	'Сарны'),
(3,	3439,	'Сартана (Донецька обл.)'),
(1,	3439,	'Сартана (Донецкая обл.)'),
(3,	3440,	'Сасівка'),
(1,	3440,	'Сасовка'),
(3,	3441,	'Сасово'),
(1,	3441,	'Сасово'),
(3,	3442,	'Сатанів'),
(1,	3442,	'Сатанов'),
(3,	3443,	'Сатанівка'),
(1,	3443,	'Сатановка'),
(3,	3444,	'Сахнівка'),
(1,	3444,	'Сахновка'),
(3,	3445,	'Сахнівщина (Полтавська обл.)'),
(1,	3445,	'Сахновщина (Полтавская обл.)'),
(3,	3446,	'Сахновщина (Харківська обл.)'),
(1,	3446,	'Сахновщина (Харьковская обл.)'),
(3,	3447,	'Сахутівка'),
(1,	3447,	'Сахутовка'),
(3,	3448,	'Свалява'),
(1,	3448,	'Свалява'),
(3,	3449,	'Сварицевичі'),
(1,	3449,	'Сварицевичи'),
(3,	3450,	'Сваричів'),
(1,	3450,	'Сваричев'),
(3,	3451,	'Сватове'),
(1,	3451,	'Сватово'),
(3,	3452,	'Свеса'),
(1,	3452,	'Свесса'),
(3,	3453,	'Свидівок'),
(1,	3453,	'Свидовок'),
(3,	3454,	'Свіршківці'),
(1,	3454,	'Свершковцы'),
(3,	3455,	'Світанок'),
(1,	3455,	'Свитанок'),
(3,	3456,	'Світанок (Запорізька обл.)'),
(1,	3456,	'Свитанок (Запорожская обл.)'),
(3,	3457,	'Світильня'),
(1,	3457,	'Светильня'),
(3,	3458,	'Світле'),
(1,	3458,	'Светлое'),
(3,	3459,	'Світличне'),
(1,	3459,	'Светличное'),
(3,	3460,	'Світловодськ'),
(1,	3460,	'Светловодск'),
(3,	3461,	'Світлогірське'),
(1,	3461,	'Светлогорское'),
(3,	3462,	'Світлодарськ'),
(1,	3462,	'Светлодарск'),
(3,	3463,	'Світлодолинське'),
(1,	3463,	'Светлодолинское'),
(3,	3464,	'Світязь'),
(1,	3464,	'Свитязь'),
(3,	3465,	'Свободне'),
(1,	3465,	'Свободное'),
(3,	3466,	'Святець'),
(1,	3466,	'Святец'),
(3,	3467,	'Святилівка '),
(1,	3467,	'Святиловка'),
(3,	3468,	'Святогірськ'),
(1,	3468,	'Святогорск'),
(3,	3469,	'Святопетрівське (Києво-Свят.р-н)'),
(1,	3469,	'Святопетровское (Киево-Свят. р-н)'),
(3,	3470,	'Себине'),
(1,	3470,	'Себино'),
(3,	3471,	'Северинівка'),
(1,	3471,	'Севериновка'),
(3,	3472,	'Северинівка (Київська обл.)'),
(1,	3472,	'Севериновка (Киевская обл.)'),
(3,	3473,	'Северинівка (Таращанський р-н)'),
(1,	3473,	'Севериновка (Таращанский р-н)'),
(3,	3474,	'Северинівка (Тростянецький р-н)'),
(1,	3474,	'Севериновка (Тростянецкий р-н)'),
(3,	3475,	'Седлище'),
(1,	3475,	'Седлище'),
(3,	3476,	'Седлище (Любешівський р-н) '),
(1,	3476,	'Седлище (Любашевский р-н)'),
(3,	3477,	'Седнів'),
(1,	3477,	'Седнев'),
(3,	3478,	'Секретарка'),
(1,	3478,	'Секретарка'),
(3,	3479,	'Селекційне'),
(1,	3479,	'Селекционное'),
(3,	3480,	'Селець (Рівненська обл.)'),
(1,	3480,	'Селец (Ровенская обл.)'),
(3,	3481,	'Селещина'),
(1,	3481,	'Селещина'),
(3,	3482,	'Селидове'),
(1,	3482,	'Селидово'),
(3,	3483,	'Селичівка'),
(1,	3483,	'Селичевка'),
(3,	3484,	'Селище'),
(1,	3484,	'Селище'),
(3,	3485,	'Селище (Київська обл.)'),
(1,	3485,	'Селище (Киевская обл.)'),
(3,	3486,	'Селище (Тиврівський р-н., Вінницька обл.)'),
(1,	3486,	'Селище (Тывровский р-н., Винницкая обл.)'),
(3,	3487,	'Селище (Черкаська обл.)'),
(1,	3487,	'Селище (Черкасская обл.)'),
(3,	3488,	'Селятин'),
(1,	3488,	'Селятин'),
(3,	3489,	'Сем\'янівка'),
(1,	3489,	'Семьяновка'),
(3,	3490,	'Семаківці (Коломийський р-н)'),
(1,	3490,	'Семаковцы (Коломыйский р-н)'),
(3,	3491,	'Семенівка (Дніпропетровська обл.)'),
(1,	3491,	'Семеновка (Днепропетровская обл.)'),
(3,	3492,	'Семенівка (Донецька обл.)'),
(1,	3492,	'Семеновка (Донецкая обл.)'),
(3,	3493,	'Семенівка (Запорізька обл.)'),
(1,	3493,	'Семеновка (Запорожская обл.)'),
(3,	3494,	'Семенівка (Київська обл.)'),
(1,	3494,	'Семеновка (Киевская обл.)'),
(3,	3495,	'Семенівка (Криничанський р-н., Дніпроп. обл.)'),
(1,	3495,	'Семеновка (Криничанський р-н., Днепроп. обл.)'),
(3,	3496,	'Семенівка (Львівська обл.) '),
(1,	3496,	'Семёновка (Львовская обл.)'),
(3,	3497,	'Семенівка (Миколаївська обл.)'),
(1,	3497,	'Семеновка (Николаевская обл.)'),
(3,	3498,	'Семенівка (Пологівський р-н)'),
(1,	3498,	'Семеновка (Пологовский р-н)'),
(3,	3499,	'Семенівка (Харківська обл.)'),
(1,	3499,	'Семеновка (Харьковская обл.)'),
(3,	3500,	'Семенівка (Херсонська обл.)'),
(1,	3500,	'Семеновка (Херсонская обл.)'),
(3,	3501,	'Семенівка(Полт.обл., Семенів.р-н)'),
(1,	3501,	'Семеновка(Полт.обл.,Семенов.р-н)'),
(3,	3502,	'Семенівка(Чернігівська обл.)'),
(1,	3502,	'Семеновка (Черниговская обл.)'),
(3,	3503,	'Семенки'),
(1,	3503,	'Семенки'),
(3,	3504,	'Семереньки'),
(1,	3504,	'Семеренки'),
(3,	3506,	'Семиполки'),
(1,	3506,	'Семиполки'),
(3,	3507,	'Сенечів'),
(1,	3507,	'Сенечев'),
(3,	3508,	'Сенкевичівка'),
(1,	3508,	'Сенкевечевка'),
(3,	3509,	'Сенча'),
(1,	3509,	'Сенча'),
(3,	3510,	'Сеньківка'),
(1,	3510,	'Сеньковка'),
(3,	3511,	'Серби'),
(1,	3511,	'Сербы'),
(3,	3512,	'Сербичани'),
(1,	3512,	'Сербичаны'),
(3,	3513,	'Сербка'),
(1,	3513,	'Сербка'),
(3,	3514,	'Сербо-Слобідка'),
(1,	3514,	'Сербо-Слободка'),
(3,	3515,	'Сергії'),
(1,	3515,	'Сергии'),
(3,	3516,	'Сергіївка (Білгород-Дністровський р-н)'),
(1,	3516,	'Сергеевка (Белгород-Днестровский р-н)'),
(3,	3517,	'Сергіївка (Гадяцький р-н)'),
(1,	3517,	'Сергеевка (Гадячский р-н)'),
(3,	3518,	'Сергіївка (Дніпропетровська обл.)'),
(1,	3518,	'Сергеевка (Днепропетровская обл.)'),
(3,	3519,	'Сергіївка (Каховський р-н)'),
(1,	3519,	'Сергеевка (Каховский р-н)'),
(3,	3520,	'Сергіївка (Покровський р-н, Донецька обл)'),
(1,	3520,	'Сергіївка (Покровський р-н, Донецька обл)'),
(3,	3521,	'Сергіївка (Слов\'янський р-н)'),
(1,	3521,	'Сергеевка (Славянский р-н)'),
(3,	3522,	'Серебрія'),
(1,	3522,	'Серебрия'),
(3,	3523,	'Середина-Буда'),
(1,	3523,	'Середина-Буда'),
(3,	3524,	'Середівка'),
(1,	3524,	'Середовка '),
(3,	3525,	'Середкевичі'),
(1,	3525,	'Середкевичи'),
(3,	3526,	'Середнє'),
(1,	3526,	'Среднее'),
(3,	3527,	'Середнє Водяне'),
(1,	3527,	'Среднее Водяное'),
(3,	3528,	'Середній Березів'),
(1,	3528,	'Средний Березов'),
(3,	3529,	'Середняки (Гадяцький р-н, Полтавська обл.)'),
(1,	3529,	'Середняки (Гадячский р-н, Полтавская обл.)'),
(3,	3530,	'Серне'),
(1,	3530,	'Серное'),
(3,	3531,	'Серники'),
(1,	3531,	'Серники'),
(3,	3532,	'Серпневе'),
(1,	3532,	'Серпневое'),
(3,	3533,	'Сєвєродонецьк'),
(1,	3533,	'Северодонецк'),
(3,	3534,	'Сиваське'),
(1,	3534,	'Сивашское'),
(3,	3535,	'Сигнаївка'),
(1,	3535,	'Сигнаевка'),
(3,	3537,	'Сидорове'),
(1,	3537,	'Сидорово'),
(3,	3538,	'Симонів'),
(1,	3538,	'Симонов'),
(3,	3539,	'Синевир'),
(1,	3539,	'Синевир'),
(3,	3540,	'Синельникове'),
(1,	3540,	'Синельниково'),
(3,	3541,	'Синівка'),
(1,	3541,	'Синевка '),
(3,	3542,	'Синьки'),
(1,	3542,	'Синьки'),
(3,	3543,	'Синютки'),
(1,	3543,	'Синютки'),
(3,	3544,	'Синява'),
(1,	3544,	'Синява'),
(3,	3545,	'Синяк'),
(1,	3545,	'Синяк'),
(3,	3546,	'Сираї'),
(1,	3546,	'Сыраи'),
(3,	3547,	'Сиротине'),
(1,	3547,	'Сиротино'),
(3,	3548,	'Ситківці'),
(1,	3548,	'Ситковцы'),
(3,	3549,	'Ситне'),
(1,	3549,	'Сытное'),
(3,	3550,	'Сіверськ'),
(1,	3550,	'Северск'),
(3,	3551,	'Сівка-Калуська'),
(1,	3551,	'Сивка-Калушская'),
(3,	3552,	'Сілець'),
(1,	3552,	'Селец'),
(3,	3553,	'Сілець (Івано-Франківська обл.)'),
(1,	3553,	'Селец (Ивано-Франковская обл.)'),
(3,	3554,	'Сільце'),
(1,	3554,	'Сельцо '),
(3,	3555,	'Сільце (Волинська обл.)'),
(1,	3555,	'Сельцо (Волынская обл.)'),
(3,	3556,	'Сім\'янівка'),
(1,	3556,	'Симьянивка'),
(3,	3557,	'Сінгури'),
(1,	3557,	'Сингуры'),
(3,	3558,	'Скадовськ'),
(1,	3558,	'Скадовск'),
(3,	3559,	'Скала-Подільська'),
(1,	3559,	'Скала-Подольская'),
(3,	3560,	'Скалат'),
(1,	3560,	'Скалат'),
(3,	3561,	'Скалівські Хутори'),
(1,	3561,	'Скалевские Хутора'),
(3,	3562,	'Скаржинці'),
(1,	3562,	'Скаржинцы'),
(3,	3563,	'Сквира'),
(1,	3563,	'Сквира'),
(3,	3564,	'Скелівка'),
(1,	3564,	'Скелевка'),
(3,	3566,	'Скибин'),
(1,	3566,	'Скибин'),
(3,	3567,	'Скибин (Київська обл.)'),
(1,	3567,	'Скибин (Киевская обл.)'),
(3,	3568,	'Скибинці'),
(1,	3568,	'Скибинцы'),
(3,	3569,	'Скибівка'),
(1,	3569,	'Скибовка'),
(3,	3570,	'Скірче'),
(1,	3570,	'Скирче'),
(3,	3571,	'Скнилів'),
(1,	3571,	'Скнилов '),
(3,	3572,	'Скобелка'),
(1,	3572,	'Скобелка'),
(3,	3573,	'Сковородинівка'),
(1,	3573,	'Сковородиновка'),
(3,	3574,	'Сколе'),
(1,	3574,	'Сколе'),
(3,	3575,	'Скоморохи'),
(1,	3575,	'Скоморохи'),
(3,	3576,	'Скоморохи (Житомирська обл.)'),
(1,	3576,	'Скоморохи (Житомирская обл.)'),
(3,	3577,	'Скоморошки'),
(1,	3577,	'Скоморошки'),
(3,	3578,	'Скородистик'),
(1,	3578,	'Скородистик'),
(3,	3579,	'Скороходове (Полтавська обл.)'),
(1,	3579,	'Скороходово (Полтавська обл.)'),
(3,	3580,	'Скосарівка'),
(1,	3580,	'Скосаревка'),
(3,	3581,	'Скраглівка'),
(1,	3581,	'Скраглевка'),
(3,	3582,	'Скребиші'),
(1,	3582,	'Скребыши'),
(3,	3583,	'Скрипаї'),
(1,	3583,	'Скрипаи'),
(3,	3584,	'Скрицьке'),
(1,	3584,	'Скрицкое'),
(3,	3585,	'Славгород (Дніпропетровська обл.)'),
(1,	3585,	'Славгород (Днепропетровская обл.)'),
(3,	3586,	'Славгород (Сумська обл.)'),
(1,	3586,	'Славгород (Сумская обл.)'),
(3,	3587,	'Славське (Львівська обл.)'),
(1,	3587,	'Славское(Львовская обл.)'),
(3,	3588,	'Славута'),
(1,	3588,	'Славута'),
(3,	3589,	'Славутич'),
(1,	3589,	'Славутич'),
(3,	3590,	'Слатине'),
(1,	3590,	'Слатино'),
(3,	3591,	'Сливки'),
(1,	3591,	'Сливки'),
(3,	3592,	'Слобідка (Івано-Франківська обл.)'),
(1,	3592,	'Слободка (Ивано-Франковская обл.)'),
(3,	3593,	'Слобідка (Калуський р-н)'),
(1,	3593,	'Слободка (Калушский р-н)'),
(3,	3594,	'Слобідка (Хмельницька обл.)'),
(1,	3594,	'Слободка (Хмельницкая обл.)'),
(3,	3595,	'Слобідка-Гуменецька'),
(1,	3595,	'Слободка-Гуменецка'),
(3,	3596,	'Слобідка-Охрімовецька'),
(1,	3596,	'Слободка-Охримовецкая '),
(3,	3597,	'Слобідське'),
(1,	3597,	'Слободское'),
(3,	3598,	'Слобода (Київська обл.)'),
(1,	3598,	'Слобода (Киевская обл.)'),
(3,	3599,	'Слобода (Сумська обл.)'),
(1,	3599,	'Слобода (Сумская обл.)'),
(3,	3600,	'Слобода-Банилів'),
(1,	3600,	'Слобода-Банилов'),
(3,	3601,	'Слобода-Болехівська'),
(1,	3601,	'Слобода-Болеховская'),
(3,	3602,	'Слобода-Шаргородська'),
(1,	3602,	'Слобода-Шаргородская'),
(3,	3603,	'Слобожанське (Харківська обл., Кегичівський р-н)'),
(1,	3603,	'Слобожанское (Харьковская обл., Кегичевский р-н)'),
(3,	3604,	'Слобожанське (Харківська обл., Нововодолазький р-н'),
(1,	3604,	'Слобожанское (Харьковская обл. Нововодолажский р-н'),
(3,	3605,	'Слобожанське (Харківський р-н., Харківська обл.)'),
(1,	3605,	'Слобожанское (Харьковский р-н., Харьковская обл.)'),
(3,	3606,	'Слобожанське(Зміївський р-н., Харківська обл.)'),
(1,	3606,	'Слобожанское(Змиёвский р-н., Харьковская обл.)'),
(3,	3607,	'Слов\'янка'),
(1,	3607,	'Славянка'),
(3,	3608,	'Слов\'яносербка'),
(1,	3608,	'Славяносербка'),
(3,	3609,	'Слов\'янськ'),
(1,	3609,	'Славянск'),
(3,	3610,	'Словечне'),
(1,	3610,	'Словечное'),
(3,	3611,	'Слоут'),
(1,	3611,	'Слоут'),
(3,	3612,	'Смига'),
(1,	3612,	'Смыга'),
(3,	3613,	'Смиківці'),
(1,	3613,	'Смыковцы'),
(3,	3614,	'Смідин'),
(1,	3614,	'Смидин'),
(3,	3615,	'Сміла'),
(1,	3615,	'Смела'),
(3,	3616,	'Смоліне'),
(1,	3616,	'Смолино'),
(3,	3617,	'Смолянинове'),
(1,	3617,	'Смоляниново'),
(3,	3618,	'Смотрики'),
(1,	3618,	'Смотрики'),
(3,	3619,	'Смотрич (Дунаєвецький р-н)'),
(1,	3619,	'Смотрич (Дунаевецкий р-н)'),
(3,	3620,	'Снігурівка'),
(1,	3620,	'Снигиревка'),
(3,	3621,	'Сніжків'),
(1,	3621,	'Снежков'),
(3,	3622,	'Сновськ'),
(1,	3622,	'Сновск'),
(3,	3623,	'Снятин'),
(1,	3623,	'Снятин'),
(3,	3624,	'Собіщиці'),
(1,	3624,	'Собещицы'),
(3,	3625,	'Соболівка'),
(1,	3625,	'Соболевка'),
(3,	3626,	'Сокаль'),
(1,	3626,	'Сокаль'),
(3,	3627,	'Сокиринці'),
(1,	3627,	'Сокиринцы'),
(3,	3628,	'Сокиринці (Вінницька обл.)'),
(1,	3628,	'Сокиринцы (Винницкая обл.)'),
(3,	3629,	'Сокиричі'),
(1,	3629,	'Сокиричи'),
(3,	3630,	'Сокирниця (Хуст.р-н,Закарпатська обл.)'),
(1,	3630,	'Сокирница(Хуст.р-н, Закарпатская обл.)'),
(3,	3631,	'Сокиряни'),
(1,	3631,	'Сокиряны'),
(3,	3632,	'Сокіл'),
(1,	3632,	'Сокол'),
(3,	3633,	'Сокіл (Івано-Франківська обл.)'),
(1,	3633,	'Сокол (Ивано-Франковская обл.)'),
(3,	3634,	'Сокільники'),
(1,	3634,	'Сокольники'),
(3,	3635,	'Соколівка'),
(1,	3635,	'Соколовка'),
(3,	3636,	'Соколівка (Вінницька обл.)'),
(1,	3636,	'Соколовка (Винницкая обл.)'),
(3,	3637,	'Соколівка (Івано-Франківська)'),
(1,	3637,	'Соколовка (Ивано-Франковская)'),
(3,	3638,	'Соколівка (Хмельницька обл.)'),
(1,	3638,	'Соколовка (Хмельницкая обл.)'),
(3,	3639,	'Соколова Балка'),
(1,	3639,	'Соколова Балка'),
(3,	3640,	'Соколове'),
(1,	3640,	'Соколово'),
(3,	3641,	'Солгутове'),
(1,	3641,	'Солгутово'),
(3,	3642,	'Соледар'),
(1,	3642,	'Соледар'),
(3,	3643,	'Солобківці'),
(1,	3643,	'Солобковцы'),
(3,	3644,	'Соловичі'),
(1,	3644,	'Соловичи'),
(3,	3645,	'Солодка Балка'),
(1,	3645,	'Сладкая Балка'),
(3,	3646,	'Соломоново'),
(1,	3646,	'Соломоново'),
(3,	3647,	'Солоне'),
(1,	3647,	'Соленое'),
(3,	3648,	'Солоне (Вільнянський р-н)'),
(1,	3648,	'Соленое ( Вольнянский р-н)'),
(3,	3649,	'Солоницівка'),
(1,	3649,	'Солоницевка'),
(3,	3650,	'Солонка (Львівська обл.)'),
(1,	3650,	'Солонка (Львовская обл.)'),
(3,	3651,	'Солотвин'),
(1,	3651,	'Солотвин'),
(3,	3652,	'Солотвино'),
(1,	3652,	'Солотвино'),
(3,	3653,	'Солочин'),
(1,	3653,	'Солочин'),
(3,	3654,	'Солтанівка'),
(1,	3654,	'Солтановка'),
(3,	3655,	'Солуків'),
(1,	3655,	'Солуков'),
(3,	3656,	'Сонячне'),
(1,	3656,	'Солнечное'),
(3,	3657,	'Сопошин'),
(1,	3657,	'Сопошин'),
(3,	3658,	'Сороки-Львівські'),
(1,	3658,	'Сороки-Львовские'),
(3,	3659,	'Сосни'),
(1,	3659,	'Сосны'),
(3,	3660,	'Сосниця'),
(1,	3660,	'Сосница'),
(3,	3661,	'Соснівка (Львівська обл.)'),
(1,	3661,	'Сосновка (Львовская обл.)'),
(3,	3662,	'Соснівка (Полтавська обл.)'),
(1,	3662,	'Сосновка (Полтавская обл.)'),
(3,	3663,	'Соснова'),
(1,	3663,	'Соснова'),
(3,	3664,	'Соснове (Рівненська обл.)'),
(1,	3664,	'Сосновое (Ровенская обл.)'),
(3,	3665,	'Сосонка'),
(1,	3665,	'Сосонка'),
(3,	3666,	'Софіївка (Миколаївська обл.)'),
(1,	3666,	'Софиевка (Николаевская обл.)'),
(3,	3667,	'Софіївка (Черкаська обл., Черкаський р-н)'),
(1,	3667,	'Софиевка (Черкасская обл., Черкасский р-н)'),
(3,	3668,	'Софіївка(Дніпропетровська обл.)'),
(1,	3668,	'Софиевка(Днепропетровская обл.)'),
(3,	3669,	'Сошичне'),
(1,	3669,	'Сошично'),
(3,	3670,	'Сошників'),
(1,	3670,	'Сошников'),
(3,	3671,	'Спас (Коломийський р-н., Івано-Франківс. обл.)'),
(1,	3671,	'Спас (Коломыйский р-н., Ивано-Франковск. Обл.)'),
(3,	3672,	'Спас (Рожнятівський р-н., Івано-Франків. обл.)'),
(1,	3672,	'Спас (Рожнятовский р-н., Ивано-Франков. Обл.)'),
(3,	3673,	'Спаське (Дніпропетровська обл.)'),
(1,	3673,	'Спасское (Днепропетровская обл.)'),
(3,	3674,	'Спаське (Одеська обл.)'),
(1,	3674,	'Спасское (Одесская обл.)'),
(3,	3675,	'Спаське (Чернігівська обл.)'),
(1,	3675,	'Спасское (Черниговская обл.)'),
(3,	3676,	'Сприня'),
(1,	3676,	'Сприня'),
(3,	3677,	'Срібне (Рівненська обл.)'),
(1,	3677,	'Сребное (Ровенская обл.)'),
(3,	3678,	'Срібне (Чернігівська обл.)'),
(1,	3678,	'Сребное (Черниговская обл.)'),
(3,	3679,	'Ставищани'),
(1,	3679,	'Ставищаны'),
(3,	3680,	'Ставище'),
(1,	3680,	'Ставище'),
(3,	3681,	'Ставки (Миколаївська обл.)'),
(1,	3681,	'Ставки (Николаевская обл.)'),
(3,	3682,	'Ставкове'),
(1,	3682,	'Ставковое'),
(3,	3683,	'Ставрове'),
(1,	3683,	'Ставрово'),
(3,	3684,	'Ставчани (Кіцманський р-н.)'),
(1,	3684,	'Ставчани (Кицманский р-н.)'),
(3,	3685,	'Ставчани (Хотинський р-н.)'),
(1,	3685,	'Ставчаны (Хотинский р-н.)'),
(3,	3686,	'Стадниця'),
(1,	3686,	'Стадниця'),
(3,	3687,	'Стайки'),
(1,	3687,	'Стайки'),
(3,	3688,	'Стальнівці'),
(1,	3688,	'Стальновцы'),
(3,	3689,	'Станиця Луганська'),
(1,	3689,	'Станица Луганская'),
(3,	3690,	'Станичне'),
(1,	3690,	'Станичное'),
(3,	3691,	'Станишівка'),
(1,	3691,	'Станишовка '),
(3,	3692,	'Станівці'),
(1,	3692,	'Становцы'),
(3,	3693,	'Станіслав'),
(1,	3693,	'Станислав'),
(3,	3694,	'Станіславчик'),
(1,	3694,	'Станиславчик'),
(3,	3695,	'Станківці'),
(1,	3695,	'Станковцы'),
(3,	3696,	'Станова'),
(1,	3696,	'Становая '),
(3,	3697,	'Станово'),
(1,	3697,	'Становое'),
(3,	3698,	'Станційне'),
(1,	3698,	'Станционное'),
(3,	3699,	'Станькова'),
(1,	3699,	'Станьковая'),
(3,	3700,	'Стара Вижівка'),
(1,	3700,	'Старая Выжевка'),
(3,	3701,	'Стара Жадова'),
(1,	3701,	'Старая Жадова'),
(3,	3702,	'Стара Збур\'ївка'),
(1,	3702,	'Старая Збурьевка'),
(3,	3703,	'Стара Лішня'),
(1,	3703,	'Старая Лешня'),
(3,	3704,	'Стара Некрасівка'),
(1,	3704,	'Старая Некрасовка'),
(3,	3705,	'Стара Синява'),
(1,	3705,	'Старая Синява'),
(3,	3706,	'Стара Сіль'),
(1,	3706,	'Старая Соль'),
(3,	3707,	'Старе'),
(1,	3707,	'Старое'),
(3,	3708,	'Старе Село'),
(1,	3708,	'Старое село'),
(3,	3709,	'Старе Село (Рівненська обл.)'),
(1,	3709,	'Старое Село (Ровенская обл.)'),
(3,	3710,	'Старий Вишнівець'),
(1,	3710,	'Старый Вишневец'),
(3,	3711,	'Старий Вовчинець'),
(1,	3711,	'Старый Волчинец'),
(3,	3712,	'Старий Корець'),
(1,	3712,	'Старый Корец'),
(3,	3713,	'Старий Кривин'),
(1,	3713,	'Старый Кривин'),
(3,	3714,	'Старий Крим (Донецька обл.)'),
(1,	3714,	'Старый Крым (Донецкая обл.)'),
(3,	3715,	'Старий Лисець'),
(1,	3715,	'Старый Лисец'),
(3,	3716,	'Старий Мізунь'),
(1,	3716,	'Старый Мизунь'),
(3,	3717,	'Старий Остропіль'),
(1,	3717,	'Старый Острополь'),
(3,	3718,	'Старий Порицьк'),
(1,	3718,	'Старый Порицк'),
(3,	3719,	'Старий Салтів'),
(1,	3719,	'Старый Салтов'),
(3,	3720,	'Старий Самбір'),
(1,	3720,	'Старый Самбор'),
(3,	3721,	'Старий Угринів'),
(1,	3721,	'Старый Угринов'),
(3,	3722,	'Старий Чорторийськ'),
(1,	3722,	'Старый Чарторийск'),
(3,	3723,	'Старий Яр'),
(1,	3723,	'Старый Яр'),
(3,	3724,	'Старі Бабани'),
(1,	3724,	'Старые Бабаны'),
(3,	3725,	'Старі Безрадичі'),
(1,	3725,	'Старые Безрадичи'),
(3,	3726,	'Старі Бросківці'),
(1,	3726,	'Старые Бросковцы'),
(3,	3727,	'Старі Кодаки'),
(1,	3727,	'Старые Кодаки'),
(3,	3728,	'Старі Кривотули'),
(1,	3728,	'Старые Кривотулы'),
(3,	3729,	'Старі Маяки'),
(1,	3729,	'Старые Маяки'),
(3,	3730,	'Старі Петрівці'),
(1,	3730,	'Старые Петровцы'),
(3,	3731,	'Старі Санжари'),
(1,	3731,	'Старые Санжары'),
(3,	3732,	'Старі Трояни'),
(1,	3732,	'Старые Трояны'),
(3,	3733,	'Староаврамівка'),
(1,	3733,	'Староаврамовка'),
(3,	3734,	'Старобільськ'),
(1,	3734,	'Старобельск'),
(3,	3735,	'Старовірівка'),
(1,	3735,	'Староверовка'),
(3,	3736,	'Старовойтове'),
(1,	3736,	'Старовойтово'),
(3,	3737,	'Старокозаче'),
(1,	3737,	'Староказачье'),
(3,	3738,	'Старокостянтинів'),
(1,	3738,	'Староконстантинов'),
(3,	3739,	'Старомлинівка'),
(1,	3739,	'Старомлиновка'),
(3,	3740,	'Старопетрівка'),
(1,	3740,	'Старопетровка'),
(3,	3741,	'Старосілля'),
(1,	3741,	'Староселье'),
(3,	3742,	'Старосілля (Іваничівський р-н)'),
(1,	3742,	'Староселье (Иваничевский р-н)'),
(3,	3743,	'Старосілля (Маневицький р-н., Волинська обл.)'),
(1,	3743,	'Староселье (Маневичский р-н., Волынская обл.)'),
(3,	3744,	'Старосільці'),
(1,	3744,	'Старосельцы '),
(3,	3745,	'Старуня'),
(1,	3745,	'Старуня'),
(3,	3746,	'Старява'),
(1,	3746,	'Старява'),
(3,	3747,	'Стасі'),
(1,	3747,	'Стаси'),
(3,	3748,	'Стеблів (Черкаська обл.)'),
(1,	3748,	'Стеблев (Черкасская обл.)'),
(3,	3749,	'Стеблівка'),
(1,	3749,	'Стеблёвка'),
(3,	3750,	'Стебне'),
(1,	3750,	'Стебное'),
(3,	3751,	'Стебник'),
(1,	3751,	'Стебник'),
(3,	3752,	'Степангород'),
(1,	3752,	'Степангород'),
(3,	3753,	'Степанівка (Вінницька обл.)'),
(1,	3753,	'Степанивка (Винницкая обл.)'),
(3,	3754,	'Степанівка (Сумська обл.)'),
(1,	3754,	'Степановка (Сумская обл.)'),
(3,	3755,	'Степанівка Перша'),
(1,	3755,	'Степановка Первая'),
(3,	3756,	'Степанки'),
(1,	3756,	'Степанки'),
(3,	3757,	'Степанці'),
(1,	3757,	'Степанцы'),
(3,	3758,	'Степань'),
(1,	3758,	'Степань'),
(3,	3759,	'Степківка'),
(1,	3759,	'Степковка'),
(3,	3760,	'Степне (Полтавська обл.)'),
(1,	3760,	'Степное (Полтавская обл.)'),
(3,	3761,	'Степногірськ'),
(1,	3761,	'Степногорск'),
(3,	3762,	'Степове (Дніпропетровська обл.)'),
(1,	3762,	'Степное (Днепропетровская обл.)'),
(3,	3763,	'Степове (Кіровоградська обл.)'),
(1,	3763,	'Степовое (Кировоградская обл.)'),
(3,	3764,	'Степове (Миколаївський р-н., Миколаївська обл.)'),
(1,	3764,	'Степовое (Николаевский р-н., Николаевская обл.)'),
(3,	3765,	'Степове (Одеська обл.)'),
(1,	3765,	'Степовое (Одесская обл.)'),
(3,	3766,	'Стерче'),
(1,	3766,	'Стерче'),
(3,	3767,	'Стецева'),
(1,	3767,	'Стецева'),
(3,	3768,	'Стецівка'),
(1,	3768,	'Стецовка'),
(3,	3769,	'Стецівка (Чигиринський р-н)'),
(1,	3769,	'Стецовка (Чигиринский р-н)'),
(3,	3770,	'Стецьківка'),
(1,	3770,	'Стецковка'),
(3,	3771,	'Стільсько'),
(1,	3771,	'Стольско '),
(3,	3772,	'Стовп’яги'),
(1,	3772,	'Стовпяги'),
(3,	3773,	'Стольне'),
(1,	3773,	'Стольное'),
(3,	3774,	'Стопчатів'),
(1,	3774,	'Стопчатов'),
(3,	3775,	'Сторожинець'),
(1,	3775,	'Сторожинец'),
(3,	3776,	'Сторожниця(Ужгородський р-н)'),
(1,	3776,	'Сторожница(Ужгородский р-н)'),
(3,	3777,	'Сторона '),
(1,	3777,	'Сторона '),
(3,	3778,	'Стоянів (Львівська обл.)'),
(1,	3778,	'Стоянов (Львовская обл.)'),
(3,	3779,	'Стоянка'),
(1,	3779,	'Стоянка'),
(3,	3780,	'Страбичово'),
(1,	3780,	'Страбичово'),
(3,	3781,	'Страдч'),
(1,	3781,	'Страдч'),
(3,	3782,	'Стратіївка'),
(1,	3782,	'Стратиевка'),
(3,	3783,	'Страхолісся'),
(1,	3783,	'Страхолесье'),
(1,	4476,	'Страшевичи'),
(2,	4476,	'Страшевичі'),
(3,	4476,	'Страшевичі'),
(3,	3784,	'Стриганці'),
(1,	3784,	'Стриганцы'),
(3,	3785,	'Стрижавка'),
(1,	3785,	'Стрижавка'),
(3,	3786,	'Стрижівка (Коростишівський р-н, Житомирська обл.)'),
(1,	3786,	'Стрижевка (Коростышевский р-н, Житомирская обл.)'),
(3,	3787,	'Стрижівка (Любарський р-н, Житомирська обл.)'),
(1,	3787,	'Стрижевка (Любарский р-н, Житомирская обл.)'),
(3,	3788,	'Стрий'),
(1,	3788,	'Стрый'),
(3,	3789,	'Стрілецький Кут'),
(1,	3789,	'Стрелецкий Кут'),
(3,	3790,	'Стрілеча'),
(1,	3790,	'Стрелече'),
(3,	3791,	'Стрілки'),
(1,	3791,	'Стрелки'),
(3,	3792,	'Стрілків'),
(1,	3792,	'Стрелков'),
(3,	3793,	'Стрілкове'),
(1,	3793,	'Стрелковое'),
(3,	3794,	'Стрілковичі'),
(1,	3794,	'Стрелковичи'),
(3,	3795,	'Стрільбичі'),
(1,	3795,	'Стрельбичи'),
(3,	3796,	'Стрільцівка'),
(1,	3796,	'Стрельцовка'),
(3,	3797,	'Строїнці (Вінницька обл.)'),
(1,	3797,	'Строинцы (Винницкая обл.)'),
(3,	3798,	'Строїнці (Чернівецька обл.)'),
(1,	3798,	'Строинцы (Черновицкая обл.)'),
(3,	3799,	'Стройне (Свалявський р-н., Закарпатська обл.)'),
(1,	3799,	'Стройное (Свалявский р-н., Закарпатская обл.)'),
(3,	3800,	'Строкова'),
(1,	3800,	'Строкова'),
(3,	3801,	'Струга'),
(1,	3801,	'Струга'),
(3,	3802,	'Струмівка'),
(1,	3802,	'Струмовка'),
(3,	3803,	'Струмок'),
(1,	3803,	'Струмок'),
(3,	3804,	'Струпків'),
(1,	3804,	'Струпков'),
(3,	3805,	'Струсів'),
(1,	3805,	'Струсов'),
(3,	3806,	'Стрюкове'),
(1,	3806,	'Стрюково'),
(3,	3807,	'Студена'),
(1,	3807,	'Студенная'),
(3,	3808,	'Студеники'),
(1,	3808,	'Студеники'),
(3,	3809,	'Студениця'),
(1,	3809,	'Студеница'),
(3,	3810,	'Студінка'),
(1,	3810,	'Студинка'),
(3,	3811,	'Стульневе'),
(1,	3811,	'Стульнево'),
(3,	3812,	'Стуфчинці'),
(1,	3812,	'Стуфчинцы'),
(3,	3813,	'Суботці'),
(1,	3813,	'Субботцы'),
(3,	3814,	'Сувид'),
(1,	3814,	'Сувид'),
(3,	3815,	'Суворове'),
(1,	3815,	'Суворово'),
(3,	3816,	'Сугаки'),
(1,	3816,	'Сугаки'),
(3,	3817,	'Суданка'),
(1,	3817,	'Суданка'),
(3,	3818,	'Судилків'),
(1,	3818,	'Судилков'),
(3,	3819,	'Судова Вишня'),
(1,	3819,	'Судовая Вишня '),
(3,	3820,	'Судче'),
(1,	3820,	'Судче'),
(3,	3821,	'Сукачі'),
(1,	3821,	'Сукачи '),
(3,	3822,	'Сулимівка'),
(1,	3822,	'Сулимовка'),
(3,	3823,	'Сулимівка (Бориспільський р-н)'),
(1,	3823,	'Сулимовка (Бориспольский р-н)'),
(3,	3824,	'Суми'),
(1,	3824,	'Сумы'),
(3,	3825,	'Сунки'),
(1,	3825,	'Сунки'),
(3,	3826,	'Супоївка'),
(1,	3826,	'Супоевка'),
(3,	3827,	'Супрунівка (Полтавська обл.)'),
(1,	3827,	'Супруновка (Полтавская обл.)'),
(3,	3828,	'Сураж'),
(1,	3828,	'Сураж'),
(3,	3829,	'Сурсько-Литовське'),
(1,	3829,	'Сурско-Литовское'),
(3,	3830,	'Сутиски'),
(1,	3830,	'Сутиски'),
(3,	3831,	'Сутківці'),
(1,	3831,	'Сутковцы'),
(3,	3832,	'Суха Балка'),
(1,	3832,	'Сухая Балка'),
(3,	3833,	'Сухий'),
(1,	3833,	'Сухой'),
(3,	3834,	'Сухий Лиман'),
(1,	3834,	'Сухой Лиман'),
(3,	3835,	'Сухинівка'),
(1,	3835,	'Сухиновка '),
(3,	3836,	'Суховерхів'),
(1,	3836,	'Суховерхов'),
(3,	3837,	'Суховоля'),
(1,	3837,	'Суховоля'),
(3,	3838,	'Суховоля (Бродівський р-н.)'),
(1,	3838,	'Суховоля (Бродовский р-н.)'),
(3,	3839,	'Суходіл'),
(1,	3839,	'Суходол'),
(3,	3840,	'Сухорабівка'),
(1,	3840,	'Сухорабовка '),
(3,	3841,	'Сучевени'),
(1,	3841,	'Сучевены'),
(3,	3842,	'Сущани'),
(1,	3842,	'Сущаны'),
(3,	3843,	'Східниця'),
(1,	3843,	'Сходница'),
(3,	3844,	'Сюрте'),
(1,	3844,	'Сюрте'),
(3,	3845,	'Сядрине'),
(1,	3845,	'Сядрино'),
(3,	3846,	'Табаки'),
(1,	3846,	'Табаки'),
(3,	3847,	'Тавільжанка'),
(1,	3847,	'Таволжанка'),
(3,	3848,	'Тавричанка'),
(1,	3848,	'Тавричанка'),
(3,	3849,	'Таврійськ (Херсонська обл.)'),
(1,	3849,	'Таврийск (Херсонская обл.)'),
(3,	3850,	'Таврійське (Голопристанський р-н)'),
(1,	3850,	'Таврийское (Голопристанский р-н)'),
(3,	3851,	'Таврійське (Оріхівській р-н)'),
(1,	3851,	'Таврическое (Ореховский р-н)'),
(3,	3852,	'Таврійське (Якимівський р-н., Запорізька обл.)'),
(1,	3852,	'Таврическое (Акимовский р-н, Запорожская обл.)'),
(3,	3853,	'Таврія'),
(1,	3853,	'Таврия'),
(3,	3854,	'Таганча'),
(1,	3854,	'Таганча'),
(3,	3855,	'Таїрове'),
(1,	3855,	'Таирово'),
(3,	3856,	'Талаківка'),
(1,	3856,	'Талаковка'),
(3,	3857,	'Талалаївка (Ніжинський р-н. Чернігівська обл.)'),
(1,	3857,	'Талалаевка (Нежинский р-н. Черниговская обл.)'),
(3,	3858,	'Талалаївка (Талалаївський р-н., Чернігівська обл.)'),
(1,	3858,	'Талалаевка (Талалаевский р-н., Черниговская обл.)'),
(3,	3859,	'Тальне'),
(1,	3859,	'Тальное'),
(3,	3860,	'Тальянки'),
(1,	3860,	'Тальянки'),
(3,	3861,	'Танське'),
(1,	3861,	'Танское'),
(3,	3862,	'Танюшівка'),
(1,	3862,	'Танюшевка'),
(3,	3863,	'Тараканів'),
(1,	3863,	'Тараканов'),
(3,	3864,	'Таранівка'),
(1,	3864,	'Тарановка'),
(3,	3865,	'Тарасівка'),
(1,	3865,	'Тарасовка'),
(3,	3866,	'Тарасівка (Броварський р-н)'),
(1,	3866,	'Тарасовка (Броварской р-н)'),
(3,	3867,	'Тарасівка (Вінницька обл.)'),
(1,	3867,	'Тарасовка (Винницкая обл.)'),
(3,	3868,	'Тарасівка (Київська обл., Володарський р-н)'),
(1,	3868,	'Тарасовка (Киевская обл., Володарский р-н)'),
(3,	3869,	'Тарасівка (Кіровоградська обл.)'),
(1,	3869,	'Тарасовка (Кировоградская обл.)'),
(3,	3870,	'Тарасівка (Полтавська обл.)'),
(1,	3870,	'Тарасовка (Полтавская обл.)'),
(3,	3871,	'Тарасівка (Тячівський р-н)'),
(1,	3871,	'Тарасовка (Тячевский р-н)'),
(3,	3872,	'Тарасівці'),
(1,	3872,	'Тарасовцы'),
(3,	3873,	'Тарасове'),
(1,	3873,	'Тарасово'),
(3,	3874,	'Тарашани'),
(1,	3874,	'Тарашаны'),
(3,	3875,	'Тараща'),
(1,	3875,	'Тараща'),
(3,	3876,	'Тарган'),
(1,	3876,	'Тарган'),
(3,	3877,	'Тарнава'),
(1,	3877,	'Тарнава'),
(3,	3878,	'Тарнівці'),
(1,	3878,	'Тарновцы'),
(3,	3879,	'Тарноруда'),
(1,	3879,	'Тарноруда'),
(3,	3880,	'Тартаків'),
(1,	3880,	'Тартаков'),
(3,	3881,	'Тарутине'),
(1,	3881,	'Тарутино'),
(3,	3882,	'Татарбунари'),
(1,	3882,	'Татарбунары'),
(3,	3883,	'Татарів'),
(1,	3883,	'Татаров'),
(3,	3884,	'Таужне'),
(1,	3884,	'Таужное'),
(3,	3885,	'Ташань'),
(1,	3885,	'Ташань'),
(3,	3886,	'Ташлик '),
(1,	3886,	'Ташлык'),
(3,	3887,	'Теково'),
(1,	3887,	'Теково'),
(3,	3888,	'Текуча'),
(1,	3888,	'Текуча'),
(3,	3889,	'Текуче'),
(1,	3889,	'Текучее'),
(3,	3890,	'Телепине'),
(1,	3890,	'Телепино'),
(3,	3891,	'Телешівка'),
(1,	3891,	'Телешовка'),
(3,	3892,	'Темрюк'),
(1,	3892,	'Темрюк'),
(3,	3893,	'Теофіполь'),
(1,	3893,	'Теофиполь'),
(3,	3894,	'Теперівка'),
(1,	3894,	'Теперовка'),
(3,	3895,	'Теплик'),
(1,	3895,	'Теплик'),
(3,	3896,	'Теплиця'),
(1,	3896,	'Теплица'),
(3,	3897,	'Теплодар'),
(1,	3897,	'Теплодар'),
(3,	3898,	'Тереблече'),
(1,	3898,	'Тереблече'),
(3,	3899,	'Теребля'),
(1,	3899,	'Теребля'),
(3,	3900,	'Теребовля'),
(1,	3900,	'Теребовля'),
(3,	3901,	'Терентіївка'),
(1,	3901,	'Терентиивка'),
(3,	3902,	'Тересва'),
(1,	3902,	'Тересва'),
(3,	3903,	'Терешки (Вінницька обл.)'),
(1,	3903,	'Терешки (Винницкая обл.)'),
(3,	3904,	'Терешки (Полтавський р-н)'),
(1,	3904,	'Терешки (Полтавский р-н)'),
(3,	3905,	'Терешки (Черкаська обл.)'),
(1,	3905,	'Терешки (Черкасская обл.)'),
(3,	3906,	'Тернавка'),
(1,	3906,	'Тернавка'),
(3,	3907,	'Терни'),
(1,	3907,	'Терны'),
(3,	3908,	'Тернівка'),
(1,	3908,	'Терновка'),
(3,	3909,	'Тернова'),
(1,	3909,	'Терновая'),
(3,	3910,	'Терново'),
(1,	3910,	'Терново'),
(3,	3911,	'Тернопіль'),
(1,	3911,	'Тернополь'),
(3,	3912,	'Тернувате'),
(1,	3912,	'Терноватое'),
(3,	3913,	'Терпіння'),
(1,	3913,	'Терпенье'),
(3,	3914,	'Терсянка'),
(1,	3914,	'Терсянка'),
(3,	3915,	'Тершів'),
(1,	3915,	'Тершев'),
(3,	3916,	'Тетевчиці'),
(1,	3916,	'Тетевчицы'),
(3,	3917,	'Тетерівка'),
(1,	3917,	'Тетеревка'),
(3,	3918,	'Тетерівка (Черкаська обл.)'),
(1,	3918,	'Тетеровка (Черкасская обл.)'),
(3,	3919,	'Тетіїв'),
(1,	3919,	'Тетиев'),
(3,	3920,	'Тиврів'),
(1,	3920,	'Тывров'),
(3,	3921,	'Тимошівка'),
(1,	3921,	'Тимошовка'),
(3,	3922,	'Тимошівка (Черкаська обл.)'),
(1,	3922,	'Тимошовка (Черкасская обл.)'),
(3,	3923,	'Тимченки'),
(1,	3923,	'Тимченки'),
(3,	3924,	'Тиниця'),
(1,	3924,	'Тиница'),
(3,	3925,	'Тинне'),
(1,	3925,	'Тинное'),
(3,	3926,	'Тисів'),
(1,	3926,	'Тисов'),
(3,	3927,	'Тисмениця'),
(1,	3927,	'Тысменица'),
(3,	3928,	'Тисменичани'),
(1,	3928,	'Тысменичаны'),
(3,	3929,	'Тисобикень'),
(1,	3929,	'Тисобикень'),
(3,	3930,	'Тисовець'),
(1,	3930,	'Тисовец'),
(3,	3931,	'Тишиця (Рівненська обл.)'),
(1,	3931,	'Тышица (Ровенская обл.)'),
(3,	3932,	'Тишківка'),
(1,	3932,	'Тишковка'),
(3,	3933,	'Тлумач'),
(1,	3933,	'Тлумач'),
(3,	3934,	'Тоболи'),
(1,	3934,	'Тоболы'),
(3,	3935,	'Товкачівка'),
(1,	3935,	'Толкачёвка'),
(3,	3936,	'Товмачик'),
(1,	3936,	'Товмачик'),
(3,	3937,	'Товсте'),
(1,	3937,	'Толстое'),
(3,	3938,	'Токарі'),
(1,	3938,	'Токари'),
(3,	3939,	'Токарі (Сумська обл.)'),
(1,	3939,	'Токари (Сумская обл.)'),
(3,	3940,	'Токарівка'),
(1,	3940,	'Токаревка'),
(3,	3941,	'Токарівка (Херсонська обл.)'),
(1,	3941,	'Токаревка (Херсонская обл.)'),
(3,	3942,	'Токівське'),
(1,	3942,	'Токовское'),
(3,	3943,	'Токмак'),
(1,	3943,	'Токмак'),
(3,	3944,	'Томаківка'),
(1,	3944,	'Томаковка'),
(3,	3945,	'Томашгород'),
(1,	3945,	'Томашгород'),
(3,	3946,	'Томашівка'),
(1,	3946,	'Томашовка'),
(3,	3947,	'Томашівці'),
(1,	3947,	'Томашовцы'),
(3,	3948,	'Томашпіль'),
(1,	3948,	'Томашполь'),
(3,	3949,	'Томина Балка'),
(1,	3949,	'Томина Балка'),
(3,	3950,	'Топали'),
(1,	3950,	'Топалы'),
(3,	3951,	'Топільне'),
(1,	3951,	'Топольне'),
(3,	3952,	'Топільниця'),
(1,	3952,	'Топольница '),
(3,	3953,	'Тополівка'),
(1,	3953,	'Тополевка'),
(3,	3954,	'Тополя'),
(1,	3954,	'Тополя'),
(3,	3955,	'Топори'),
(1,	3955,	'Топоры'),
(3,	3956,	'Топорівці'),
(1,	3956,	'Топоровцы'),
(3,	3957,	'Топорівці (Чернівецька обл.)'),
(1,	3957,	'Топоровцы (Черновецкая обл.)'),
(3,	3958,	'Торговиця'),
(1,	3958,	'Торговиця'),
(3,	3959,	'Торговиця (Кіровоградська обл.)'),
(1,	3959,	'Торговица (Кировоградская обл.)'),
(3,	3960,	'Торецьк'),
(1,	3960,	'Торецк'),
(3,	3961,	'Торське'),
(1,	3961,	'Торское'),
(3,	3962,	'Торчин'),
(1,	3962,	'Торчин'),
(3,	3963,	'Тошківка'),
(1,	3963,	'Тошковка'),
(3,	3964,	'Трапівка'),
(1,	3964,	'Траповка'),
(3,	3965,	'Требухів'),
(1,	3965,	'Требухов'),
(3,	3966,	'Трепівка'),
(1,	3966,	'Треповка'),
(3,	3967,	'Трибусівка'),
(1,	3967,	'Трибусовка'),
(3,	3968,	'Тридуби'),
(1,	3968,	'Тридубы'),
(3,	3969,	'Трикрати'),
(1,	3969,	'Трикраты'),
(3,	3970,	'Триліси'),
(1,	3970,	'Трилесы '),
(3,	3971,	'Трипілля (Київська обл.)'),
(1,	3971,	'Триполье (Киевская обл.)'),
(3,	3972,	'Трительники'),
(1,	3972,	'Трительники'),
(3,	3973,	'Тритузне'),
(1,	3973,	'Тритузное'),
(3,	3974,	'Трихати'),
(1,	3974,	'Трихаты'),
(3,	3975,	'Трійчате'),
(1,	3975,	'Тройчатое'),
(3,	3976,	'Троїцьке'),
(1,	3976,	'Троицкое'),
(3,	3977,	'Троїцьке (Луганська обл.)'),
(1,	3977,	'Троицкое (Луганская обл.)'),
(3,	3978,	'Троїцьке (Миколаївська обл.)'),
(1,	3978,	'Троицкое (Николаевская обл.)'),
(3,	3979,	'Троїцьке (Одеська обл.Біляївський р-н)'),
(1,	3979,	'Троицкое (Одес.обл, Беляевский р-н)'),
(3,	3980,	'Троїцьке (Одеська обл.Любашівський р-н)'),
(1,	3980,	'Троицкое (Одесская обл.Любашовский р-н)'),
(3,	3981,	'Троїцьке (Рокитнянський р-н)'),
(1,	3981,	'Троицкое (Рокитновский р-н)'),
(3,	3982,	'Троїцьке (Харківська обл.)'),
(1,	3982,	'Троицкое (Харьковская обл.)'),
(3,	3983,	'Троїцько-Сафонове'),
(1,	3983,	'Троицко-Сафоново'),
(3,	3984,	'Троїця'),
(1,	3984,	'Троица'),
(3,	3985,	'Тропове'),
(1,	3985,	'Троповое'),
(3,	3987,	'Тростинська Новоселиця'),
(1,	3987,	'Тростинская Новоселица'),
(3,	3988,	'Тростянець (Вінницька обл.)'),
(1,	3988,	'Тростянец (Винницкая обл.)'),
(3,	3989,	'Тростянець (Волинська обл.)'),
(1,	3989,	'Тростянец (Волынская обл.)'),
(3,	3990,	'Тростянець (Івано-Франківська обл.)'),
(1,	3990,	'Тростянец (Ивано-Франковская обл.)'),
(3,	3991,	'Тростянець (Снятинський р-н)'),
(1,	3991,	'Тростянец (Снятинский р-н)'),
(3,	3992,	'Тростянець (Сумська обл.)'),
(1,	3992,	'Тростянец (Сумская обл.)'),
(3,	3993,	'Тростянчик'),
(1,	3993,	'Тростянчик'),
(3,	3994,	'Трояндове'),
(1,	3994,	'Трояндовое'),
(3,	3995,	'Троянка'),
(1,	3995,	'Троянка'),
(3,	3996,	'Трудове'),
(1,	3996,	'Трудовое'),
(3,	3997,	'Трудове (Новомиколаївський р-н)'),
(1,	3997,	'Трудовое (Новониколаевский р-н)'),
(3,	3998,	'Трудове (Токмацький р-н)'),
(1,	3998,	'Трудовое (Токмацкий р-н)'),
(3,	3999,	'Трудолюб'),
(1,	3999,	'Трудолюб'),
(3,	4000,	'Трускавець'),
(1,	4000,	'Трускавец'),
(3,	4001,	'Труханів'),
(1,	4001,	'Труханов'),
(3,	4002,	'Тубільці'),
(1,	4002,	'Тубольцы'),
(3,	4003,	'Тужилів'),
(1,	4003,	'Тужилов'),
(3,	4004,	'Тульчин'),
(1,	4004,	'Тульчин'),
(3,	4005,	'Тупичів'),
(1,	4005,	'Тупичев'),
(3,	4006,	'Тур\'ї Ремети'),
(1,	4006,	'Турьи Реметы'),
(3,	4007,	'Турбів'),
(1,	4007,	'Турбов'),
(3,	4008,	'Туринка'),
(1,	4008,	'Туринка'),
(3,	4009,	'Турійськ'),
(1,	4009,	'Турийск'),
(3,	4010,	'Турія'),
(1,	4010,	'Турия'),
(3,	4011,	'Турка'),
(1,	4011,	'Турка'),
(3,	4012,	'Турятка'),
(1,	4012,	'Турятка'),
(3,	4013,	'Тустань'),
(1,	4013,	'Тустань'),
(3,	4014,	'Тухля'),
(1,	4014,	'Тухля'),
(3,	4015,	'Тучин'),
(1,	4015,	'Тучин'),
(3,	4016,	'Тхорин'),
(1,	4016,	'Тхорин'),
(3,	4017,	'Тюдів'),
(1,	4017,	'Тюдов'),
(3,	4018,	'Тютюнниця'),
(1,	4018,	'Тютюнница'),
(3,	4019,	'Тягинка'),
(1,	4019,	'Тягинка'),
(3,	4020,	'Тязів'),
(1,	4020,	'Тязев'),
(3,	4021,	'Тяпче'),
(1,	4021,	'Тяпче'),
(3,	4022,	'Тячів'),
(1,	4022,	'Тячев'),
(3,	4023,	'Тячівка'),
(1,	4023,	'Тячевка'),
(3,	4024,	'Увисла (Тернопільська обл.)'),
(1,	4024,	'Увисла (Тернопольская обл.)'),
(3,	4025,	'Угерсько'),
(1,	4025,	'Угерско'),
(3,	4026,	'Угля'),
(1,	4026,	'Угля'),
(3,	4027,	'Угорники'),
(1,	4027,	'Угорники'),
(3,	4028,	'Угри'),
(1,	4028,	'Угры'),
(3,	4029,	'Угринів (Волинська обл.)'),
(1,	4029,	'Угринов (Волынская обл.)'),
(3,	4030,	'Угринів (Тисменицький р-н., Івано-Франк. обл.)'),
(1,	4030,	'Угринов (Тысменицкий р-н., Ивано-Франк. обл.)'),
(3,	4031,	'Угринь'),
(1,	4031,	'Угринь'),
(3,	4032,	'Угроїди'),
(1,	4032,	'Угроеды'),
(3,	4033,	'Удачне'),
(1,	4033,	'Удачное'),
(3,	4034,	'Ужгород'),
(1,	4034,	'Ужгород'),
(3,	4035,	'Ужинець'),
(1,	4035,	'Ужинец '),
(3,	4036,	'Узин'),
(1,	4036,	'Узин'),
(3,	4037,	'Українка'),
(1,	4037,	'Украинка'),
(3,	4038,	'Українка (Криничанський р-н.)'),
(1,	4038,	'Украинка (Криничанский р-н.)'),
(3,	4039,	'Українка (Миколаївська обл.)'),
(1,	4039,	'Украинка (Николаевская обл.)'),
(3,	4040,	'Українськ (Донецька обл.)'),
(1,	4040,	'Украинск (Донецкая обл.)'),
(3,	4041,	'Українське'),
(1,	4041,	'Украинское'),
(3,	4042,	'Уладівка'),
(1,	4042,	'Уладовка'),
(3,	4043,	'Улакли (Великоновосілківський р-н)'),
(1,	4043,	'Улаклы (Великоновоселковский р-н)'),
(3,	4044,	'Уланів'),
(1,	4044,	'Уланов'),
(3,	4045,	'Уличне'),
(1,	4045,	'Уличное'),
(3,	4046,	'Ульвівок'),
(1,	4046,	'Ульвивок'),
(3,	4047,	'Улянівка'),
(1,	4047,	'Ульяновка'),
(3,	4048,	'Улянівка (Кіровоградська обл.)'),
(1,	4048,	'Ульяновка (Кировоградская обл.)'),
(3,	4049,	'Умань'),
(1,	4049,	'Умань'),
(3,	4050,	'Унятичі'),
(1,	4050,	'Унятичи'),
(3,	4051,	'Урзуф'),
(1,	4051,	'Урзуф'),
(3,	4052,	'Уріж'),
(1,	4052,	'Урож'),
(3,	4053,	'Урожайне'),
(1,	4053,	'Урожайное'),
(3,	4054,	'Усатове'),
(1,	4054,	'Усатово'),
(3,	4055,	'Усатове (селище)'),
(1,	4055,	'Усатово (поселок)'),
(3,	4056,	'Усичі'),
(1,	4056,	'Усычи'),
(3,	4057,	'Усівка'),
(1,	4057,	'Усовка'),
(3,	4058,	'Успенівка'),
(1,	4058,	'Успеновка'),
(3,	4059,	'Успенка'),
(1,	4059,	'Успенка'),
(3,	4060,	'Успенка (Кіровоградська обл.)'),
(1,	4060,	'Успенка (Кировоградская обл.)'),
(3,	4061,	'Устеріки'),
(1,	4061,	'Устерики'),
(3,	4062,	'Устивиця'),
(1,	4062,	'Устивица'),
(3,	4063,	'Устилуг'),
(1,	4063,	'Устилуг'),
(3,	4064,	'Устимівка'),
(1,	4064,	'Устимовка'),
(3,	4065,	'Устинівка'),
(1,	4065,	'Устиновка'),
(3,	4066,	'Усть-Путила'),
(1,	4066,	'Усть-Путила'),
(3,	4067,	'Усть-Чорна'),
(1,	4067,	'Усть-Чорна'),
(3,	4068,	'Устя'),
(1,	4068,	'Устье'),
(3,	4069,	'Устя (Вінницька обл.)'),
(1,	4069,	'Устье (Винницкая обл.)'),
(3,	4070,	'Утківка'),
(1,	4070,	'Утковка'),
(3,	4071,	'Утконосівка'),
(1,	4071,	'Утконосовка'),
(3,	4072,	'Уторопи'),
(1,	4072,	'Уторопы'),
(3,	4073,	'Ушкалка'),
(1,	4073,	'Ушкалка'),
(3,	4074,	'Фанчиково'),
(1,	4074,	'Фанчиково'),
(3,	4075,	'Фарбоване'),
(1,	4075,	'Фарбованое'),
(3,	4076,	'Фастів'),
(1,	4076,	'Фастов'),
(3,	4077,	'Фастівець '),
(1,	4077,	'Фастовец'),
(3,	4078,	'Фастівці'),
(1,	4078,	'Фастовцы'),
(3,	4079,	'Федірки'),
(1,	4079,	'Федиркы'),
(3,	4080,	'Федорівка (Донецька обл., Нікольський р-н) '),
(1,	4080,	'Федоровка (Донецкая обл., Никольский р-н)'),
(3,	4081,	'Федорівка (Донецька обл.)'),
(1,	4081,	'Федоровка (Донецкая обл.)'),
(3,	4082,	'Федорівка (Запорізька обл.)'),
(1,	4082,	'Федоровка (Запорожская обл.)'),
(3,	4083,	'Федорівка (Полтавська обл.)'),
(1,	4083,	'Федоровка (Полтавскаяобл.)'),
(3,	4084,	'Федунка'),
(1,	4084,	'Федунка'),
(3,	4085,	'Феневичі'),
(1,	4085,	'Феневичи'),
(3,	4086,	'Феськи'),
(1,	4086,	'Феськи'),
(3,	4087,	'Филенкове'),
(1,	4087,	'Филенково'),
(3,	4088,	'Фитьків'),
(1,	4088,	'Фитьков'),
(3,	4089,	'Фонтанка'),
(1,	4089,	'Фонтанка'),
(3,	4090,	'Форнош'),
(1,	4090,	'Форнош'),
(3,	4091,	'Фрузинівка'),
(1,	4091,	'Фрузиновка'),
(3,	4092,	'Фруктове'),
(1,	4092,	'Фруктовое'),
(3,	4093,	'Фурманівка'),
(1,	4093,	'Фурмановка'),
(3,	4094,	'Фурманка'),
(1,	4094,	'Фурманка'),
(3,	4095,	'Фурси'),
(1,	4095,	'Фурсы'),
(3,	4096,	'Халимонове'),
(1,	4096,	'Халимоново'),
(3,	4097,	'Харитонівка'),
(1,	4097,	'Харитоновка'),
(3,	4098,	'Харків'),
(1,	4098,	'Харьков'),
(3,	4099,	'Харківці'),
(1,	4099,	'Харковци'),
(3,	4100,	'Хацьки'),
(1,	4100,	'Хацки'),
(3,	4101,	'Хащів'),
(1,	4101,	'Хащев'),
(3,	4102,	'Хащувате'),
(1,	4102,	'Хащеватое'),
(3,	4103,	'Хватів'),
(1,	4103,	'Хватов'),
(3,	4104,	'Хворостове'),
(1,	4104,	'Хворостово'),
(3,	4105,	'Херсон'),
(1,	4105,	'Херсон'),
(3,	4106,	'Хиночі'),
(1,	4106,	'Хиночи'),
(3,	4107,	'Хирів'),
(1,	4107,	'Хыров'),
(3,	4108,	'Хлепча'),
(1,	4108,	'Хлепча'),
(3,	4109,	'Хлистунівка'),
(1,	4109,	'Хлыстуновка'),
(3,	4110,	'Хлібодарівка'),
(1,	4110,	'Хлебодаровка'),
(3,	4111,	'Хлібодарське'),
(1,	4111,	'Хлебодарское'),
(3,	4112,	'Хлоп\'яники'),
(1,	4112,	'Хлопяники'),
(3,	4113,	'Хлопівка (Тернопільська обл.)'),
(1,	4113,	'Хлоповка (Тернопольская обл.)'),
(3,	4114,	'Хмелівка'),
(1,	4114,	'Хмелевка'),
(3,	4115,	'Хмельницький'),
(1,	4115,	'Хмельницкий'),
(3,	4116,	'Хмельове (Кіровоградська обл.)'),
(1,	4116,	'Хмелевое (Кировоградская обл.)'),
(3,	4117,	'Хмільник (Вінницька обл.)'),
(1,	4117,	'Хмельник (Винницкая обл.)'),
(3,	4118,	'Ходорів'),
(1,	4118,	'Ходоров'),
(3,	4119,	'Ходосівка'),
(1,	4119,	'Ходосовка'),
(3,	4120,	'Холмець'),
(1,	4120,	'Холмец'),
(3,	4121,	'Холми'),
(1,	4121,	'Холмы'),
(3,	4122,	'Холмок'),
(1,	4122,	'Холмок'),
(3,	4123,	'Холмське'),
(1,	4123,	'Холмское'),
(3,	4124,	'Холодна Балка'),
(1,	4124,	'Холодная Балка'),
(3,	4125,	'Холоневичі'),
(1,	4125,	'Холоневичи'),
(3,	4126,	'Хом\'яківка'),
(1,	4126,	'Хомяковка'),
(3,	4127,	'Хомутець (Житомирська обл.)'),
(1,	4127,	'Хомутец (Житомирская обл.)'),
(3,	4128,	'Хомутець (Полтавська обл.)'),
(1,	4128,	'Хомутец (Полтавская обл.)'),
(3,	4129,	'Хорів'),
(1,	4129,	'Хоров'),
(3,	4130,	'Хорол'),
(1,	4130,	'Хорол'),
(3,	4131,	'Хоростків'),
(1,	4131,	'Хоростков'),
(3,	4132,	'Хороше'),
(1,	4132,	'Хорошее'),
(3,	4133,	'Хорошеве'),
(1,	4133,	'Хорошево'),
(3,	4134,	'Хорошів'),
(1,	4134,	'Хорошев'),
(3,	4135,	'Хотин'),
(1,	4135,	'Хотин'),
(3,	4136,	'Хотин (Рівненська обл.)'),
(1,	4136,	'Хотин (Ровенская обл.)'),
(3,	4137,	'Хотів'),
(1,	4137,	'Хотов'),
(3,	4138,	'Хотімля'),
(1,	4138,	'Хотомля'),
(3,	4139,	'Хотінь'),
(1,	4139,	'Хотень'),
(3,	4140,	'Хотянівка'),
(1,	4140,	'Хотяновка'),
(3,	4141,	'Хохітва'),
(1,	4141,	'Хохитва'),
(3,	4142,	'Хоцьки'),
(1,	4142,	'Хоцки'),
(3,	4143,	'Хрестителеве'),
(1,	4143,	'Крестителево'),
(3,	4144,	'Хрестище'),
(1,	4144,	'Крестище'),
(3,	4145,	'Хрестівка'),
(1,	4145,	'Хрестовка'),
(3,	4146,	'Хрипівка'),
(1,	4146,	'Хриповка'),
(3,	4147,	'Хриплин'),
(1,	4147,	'Хриплин'),
(3,	4148,	'Христинівка'),
(1,	4148,	'Христиновка'),
(3,	4149,	'Христинівка (село)'),
(1,	4149,	'Христиновка (село)'),
(3,	4150,	'Хрінники'),
(1,	4150,	'Хренники'),
(3,	4151,	'Хроли'),
(1,	4151,	'Хролы'),
(3,	4152,	'Худльово'),
(1,	4152,	'Худлево'),
(3,	4153,	'Худяки'),
(1,	4153,	'Худяки'),
(3,	4154,	'Хуст'),
(1,	4154,	'Хуст'),
(3,	4155,	'Хутір-Будилів'),
(1,	4155,	'Хутор-Будилов'),
(3,	4156,	'Хутірське'),
(1,	4156,	'Хуторское'),
(3,	4157,	'Хутори'),
(1,	4157,	'Хутора'),
(3,	4158,	'Хухра'),
(1,	4158,	'Хухра'),
(3,	4159,	'Царичанка'),
(1,	4159,	'Царичанка'),
(3,	4160,	'Цвіткове'),
(1,	4160,	'Цветково'),
(3,	4161,	'Цвітоха'),
(1,	4161,	'Цветоха'),
(3,	4162,	'Цебрикове'),
(1,	4162,	'Цебриково'),
(3,	4163,	'Цекинівка'),
(1,	4163,	'Цекиновка'),
(3,	4164,	'Центральне'),
(1,	4164,	'Центральное'),
(3,	4165,	'Центральне (Миколаївська обл.)'),
(1,	4165,	'Центральное (Николаевская обл.)'),
(3,	4166,	'Ценява'),
(1,	4166,	'Ценява'),
(3,	4167,	'Цепцевичі'),
(1,	4167,	'Цепцевичи'),
(3,	4168,	'Церковна'),
(1,	4168,	'Церковна'),
(3,	4169,	'Циблі'),
(1,	4169,	'Цибли'),
(3,	4170,	'Цибулеве'),
(1,	4170,	'Цибулеве'),
(3,	4171,	'Цибулів'),
(1,	4171,	'Цибулев'),
(3,	4172,	'Цибулівка'),
(1,	4172,	'Цибулевка'),
(3,	4173,	'Цир'),
(1,	4173,	'Цир'),
(3,	4174,	'Циркуни'),
(1,	4174,	'Циркуны'),
(3,	4175,	'Цінева'),
(1,	4175,	'Цинева'),
(3,	4176,	'Цукури'),
(1,	4176,	'Цукуры'),
(3,	4177,	'Цумань'),
(1,	4177,	'Цумань'),
(3,	4178,	'Цупівка'),
(1,	4178,	'Цуповка'),
(3,	4179,	'Цуцилів'),
(1,	4179,	'Цуцилов'),
(3,	4180,	'Чабани'),
(1,	4180,	'Чабаны'),
(3,	4181,	'Чагор'),
(1,	4181,	'Чагор'),
(3,	4182,	'Чайки'),
(1,	4182,	'Чайки'),
(3,	4183,	'Чайкине'),
(1,	4183,	'Чайкино'),
(3,	4184,	'Чаньків'),
(1,	4184,	'Чаньков'),
(3,	4185,	'Чапаєвка'),
(1,	4185,	'Чапаевка'),
(3,	4186,	'Чаплине'),
(1,	4186,	'Чаплино'),
(3,	4187,	'Чаплинка (Дніпропетровська обл.)'),
(1,	4187,	'Чаплинка (Днепропетровская обл.)'),
(3,	4188,	'Чаплинка (Херсонська обл.)'),
(1,	4188,	'Чаплинка (Херсонская обл.)'),
(3,	4189,	'Чаплинка (Юр\'ївський р-н)'),
(1,	4189,	'Чаплинка (Юрьевский р-н)'),
(3,	4190,	'Чарівне'),
(1,	4190,	'Чаривное'),
(3,	4191,	'Чаруків'),
(1,	4191,	'Чаруков'),
(3,	4192,	'Часів Яр'),
(1,	4192,	'Часов Яр'),
(3,	4193,	'Чемерівці'),
(1,	4193,	'Чемеровцы'),
(3,	4194,	'Чемужівка'),
(1,	4194,	'Чемужовка'),
(3,	4195,	'Чепа'),
(1,	4195,	'Чепа'),
(3,	4196,	'Чепелівка'),
(1,	4196,	'Чепелевка'),
(3,	4197,	'Червона Кам\'янка'),
(1,	4197,	'Червоная Каменка'),
(3,	4198,	'Червона Слобода (Київська обл.)'),
(1,	4198,	'Червоная Слобода (Киевская обл.)'),
(3,	4199,	'Червона Слобода (Сумська обл.)'),
(1,	4199,	'Червоная Слобода (Сумская обл.)'),
(3,	4200,	'Червона Слобода (Черкаська обл.)'),
(1,	4200,	'Червоная Слобода (Черкасская обл.)'),
(3,	4201,	'Червона Хвиля'),
(1,	4201,	'Червоная Хвыля'),
(3,	4202,	'Червоне (Житомирська обл.)'),
(1,	4202,	'Червоное (Житомирская обл.)'),
(3,	4203,	'Червоне (Закарпатська обл.)'),
(1,	4203,	'Червоное (Закарпатская обл.)'),
(3,	4204,	'Червоне (Кіровоградська обл.)'),
(1,	4204,	'Червоное (Кировоградская обл.)'),
(3,	4205,	'Червоне (Львівська обл.)'),
(1,	4205,	'Червоное (Львовская обл.)'),
(3,	4206,	'Червоне Знамено'),
(1,	4206,	'Червоное Знамено'),
(3,	4207,	'Червоне Озеро'),
(1,	4207,	'Червоное Озеро'),
(3,	4208,	'Червоний Маяк'),
(1,	4208,	'Красный Маяк'),
(3,	4209,	'Червоноград (Львівська обл.)'),
(1,	4209,	'Червоноград (Львовская обл.)'),
(3,	4210,	'Червоногригорівка'),
(1,	4210,	'Червоногригоровка'),
(3,	4211,	'Червонопопівка'),
(1,	4211,	'Червонопоповка'),
(3,	4212,	'Черевки'),
(1,	4212,	'Черевки'),
(3,	4213,	'Черемхів'),
(1,	4213,	'Черемхов'),
(3,	4214,	'Черепашинці'),
(1,	4214,	'Черепашинцы'),
(3,	4215,	'Черепин'),
(1,	4215,	'Черепин'),
(3,	4216,	'Черепин (Черкаська обл.)'),
(1,	4216,	'Черепин (Черкасская обл.)'),
(3,	4217,	'Черепківці'),
(1,	4217,	'Черепковцы'),
(3,	4218,	'Череш'),
(1,	4218,	'Череш'),
(3,	4219,	'Черкаси'),
(1,	4219,	'Черкассы'),
(3,	4220,	'Черкаська Лозова'),
(1,	4220,	'Черкасская Лозовая'),
(3,	4221,	'Черкаське'),
(1,	4221,	'Черкасское'),
(3,	4222,	'Черкаські Тишки'),
(1,	4222,	'Черкасские Тишки'),
(3,	4223,	'Черленівка (Чернівецька обл.)'),
(1,	4223,	'Черленовка (Черновецкая обл.)'),
(3,	4224,	'Черляни'),
(1,	4224,	'Черляны'),
(3,	4225,	'Чермалик'),
(1,	4225,	'Чермалык'),
(3,	4226,	'Чернелиця'),
(1,	4226,	'Чернелица'),
(3,	4227,	'Чернелівка'),
(1,	4227,	'Чернеловка'),
(3,	4228,	'Чернеча Слобода'),
(1,	4228,	'Чернеча Слобода'),
(3,	4229,	'Чернечий Яр'),
(1,	4229,	'Чернечий Яр '),
(3,	4230,	'Чернеччина'),
(1,	4230,	'Чернетчина'),
(3,	4231,	'Чернин'),
(1,	4231,	'Чернин'),
(3,	4232,	'Чернівці'),
(1,	4232,	'Черновцы'),
(3,	4233,	'Чернівці(Вінницька обл.)'),
(1,	4233,	'Черновцы (Винницкая обл.)'),
(3,	4234,	'Чернігів'),
(1,	4234,	'Чернигов'),
(3,	4235,	'Чернігівка'),
(1,	4235,	'Черниговка'),
(3,	4236,	'Черніїв'),
(1,	4236,	'Черниев'),
(3,	4237,	'Чернявщина'),
(1,	4237,	'Чернявщина'),
(3,	4238,	'Чернятин (Жмеринський р-н)'),
(1,	4238,	'Чернятин (Жмеринский р-н)'),
(3,	4239,	'Черняхів (Житомирська обл.)'),
(1,	4239,	'Черняхов (Житомирская обл.)'),
(3,	4240,	'Черняхівка'),
(1,	4240,	'Черняховка'),
(3,	4241,	'Черхава'),
(1,	4241,	'Черхава'),
(3,	4242,	'Черче'),
(1,	4242,	'Черче'),
(3,	4243,	'Четвертинівка'),
(1,	4243,	'Четвертиновка'),
(3,	4244,	'Четвертня'),
(1,	4244,	'Четвертня'),
(3,	4245,	'Чечелеве'),
(1,	4245,	'Чечелево'),
(3,	4246,	'Чечеліївка'),
(1,	4246,	'Чечелиевка'),
(3,	4247,	'Чечельник'),
(1,	4247,	'Чечельник'),
(3,	4248,	'Чигирин'),
(1,	4248,	'Чигирин'),
(3,	4249,	'Чижиків'),
(1,	4249,	'Чижиков'),
(3,	4250,	'Чижівка'),
(1,	4250,	'Чижовка'),
(3,	4251,	'Чинадійово'),
(1,	4251,	'Чинадиево'),
(3,	4252,	'Чистилів'),
(1,	4252,	'Чистилов'),
(3,	4253,	'Чишки'),
(1,	4253,	'Чишки'),
(3,	4254,	'Чкалове (Запорізька обл.)'),
(1,	4254,	'Чкалово (Запорожская обл.)'),
(3,	4255,	'Чкалове (Новотроїцький р-н, Херсонська обл.)'),
(1,	4255,	'Чкалово (Новотроицкий р-н, Херсонская обл.)'),
(3,	4256,	'Чкаловське'),
(1,	4256,	'Чкаловское'),
(3,	4257,	'Чомонин'),
(1,	4257,	'Чомонин'),
(3,	4258,	'Чонгар(Херсонська обл.)'),
(1,	4258,	'Чонгар(Херсонская обл.)'),
(3,	4259,	'Чоп'),
(1,	4259,	'Чоп'),
(3,	4260,	'Чорна'),
(1,	4260,	'Чорна'),
(3,	4261,	'Чорна (Хмельницька обл.)'),
(1,	4261,	'Черная(Хмельницкая обл.)'),
(3,	4262,	'Чорна Тиса'),
(1,	4262,	'Черная Тиса'),
(3,	4263,	'Чорниводи'),
(1,	4263,	'Черниводы'),
(3,	4264,	'Чорниж'),
(1,	4264,	'Черныж'),
(3,	4265,	'Чорний Острів'),
(1,	4265,	'Чорный Остров'),
(3,	4266,	'Чорний Потік'),
(1,	4266,	'Чёрный Поток'),
(3,	4267,	'Чорний Потік (Закарпатська обл.)'),
(1,	4267,	'Черный Поток (Закарпатская обл.)'),
(3,	4268,	'Чорні Ослави'),
(1,	4268,	'Чёрные Ославы'),
(3,	4269,	'Чорнобаївка'),
(1,	4269,	'Чорнобаевка'),
(3,	4270,	'Чорнобай'),
(1,	4270,	'Чернобай'),
(3,	4271,	'Чорногородка'),
(1,	4271,	'Чорногородка'),
(3,	4272,	'Чорногузи'),
(1,	4272,	'Черногузы'),
(3,	4273,	'Чорноземне'),
(1,	4273,	'Черноземное'),
(3,	4274,	'Чорнолізці'),
(1,	4274,	'Чернолозцы'),
(3,	4275,	'Чорномин'),
(1,	4275,	'Черномин '),
(3,	4276,	'Чорноморськ'),
(1,	4276,	'Черноморск'),
(3,	4277,	'Чорноморське'),
(1,	4277,	'Черноморское'),
(3,	4278,	'Чорноморське (Голопристанський р-н)'),
(1,	4278,	'Черноморское (Голопристанский р-н)'),
(3,	4279,	'Чорнотисів'),
(1,	4279,	'Чернотисов'),
(3,	4280,	'Чорнотичі'),
(1,	4280,	'Чернотичи'),
(3,	4281,	'Чорнухи (Полтавська обл.)'),
(1,	4281,	'Чернухи (Полтавская обл.)'),
(3,	4282,	'Чорнянка'),
(1,	4282,	'Чернянка'),
(3,	4283,	'Чортків'),
(1,	4283,	'Чортков'),
(3,	4284,	'Чортовець'),
(1,	4284,	'Чертовец'),
(3,	4285,	'Чубинське'),
(1,	4285,	'Чубинское'),
(3,	4286,	'Чугуїв'),
(1,	4286,	'Чугуев'),
(3,	4287,	'Чудей'),
(1,	4287,	'Чудей'),
(3,	4288,	'Чудель'),
(1,	4288,	'Чудель'),
(3,	4289,	'Чуднів'),
(1,	4289,	'Чуднов'),
(3,	4290,	'Чукалівка'),
(1,	4290,	'Чукаловка'),
(3,	4291,	'Чуква'),
(1,	4291,	'Чуква'),
(3,	4292,	'Чуків'),
(1,	4292,	'Чуков'),
(3,	4293,	'Чулаківка'),
(1,	4293,	'Чулаковка'),
(3,	4294,	'Чулатів'),
(1,	4294,	'Чулатов'),
(3,	4295,	'Чумаки'),
(1,	4295,	'Чумаки'),
(3,	4296,	'Чумакове'),
(1,	4296,	'Чумакове'),
(3,	4297,	'Чумальово'),
(1,	4297,	'Чумалево'),
(3,	4298,	'Чуньків'),
(1,	4298,	'Чуньков'),
(3,	4299,	'Чупахівка'),
(1,	4299,	'Чупаховка'),
(3,	4300,	'Чутове'),
(1,	4300,	'Чутово'),
(3,	4301,	'Чухелі'),
(1,	4301,	'Чухели'),
(3,	4302,	'Шабалинів'),
(1,	4302,	'Шаболинов'),
(3,	4303,	'Шабельківка'),
(1,	4303,	'Шабельковка'),
(3,	4304,	'Шабо'),
(1,	4304,	'Шабо'),
(3,	4305,	'Шаболтасівка'),
(1,	4305,	'Шаболтасовка'),
(3,	4306,	'Шаланки'),
(1,	4306,	'Шаланки'),
(3,	4307,	'Шалигине'),
(1,	4307,	'Шалыгино'),
(3,	4308,	'Шамраєве'),
(1,	4308,	'Шамраево'),
(3,	4309,	'Шамраївка'),
(1,	4309,	'Шамраевка'),
(3,	4310,	'Шандра'),
(1,	4310,	'Шандра'),
(3,	4311,	'Шандриголове'),
(1,	4311,	'Шандриголово'),
(3,	4312,	'Шандровець'),
(1,	4312,	'Шандровец'),
(3,	4313,	'Шаповалівка'),
(1,	4313,	'Шаповаловка'),
(3,	4314,	'Шаргород (Вінницька обл.)'),
(1,	4314,	'Шаргород (Винницкая обл.)'),
(3,	4315,	'Шарин'),
(1,	4315,	'Шарин'),
(3,	4316,	'Шарівка'),
(1,	4316,	'Шаровка'),
(3,	4317,	'Шарівка (Валківський р-н)'),
(1,	4317,	'Шаровка (Валковский р-н)'),
(3,	4318,	'Шарівка (Хмельницька обл.)'),
(1,	4318,	'Шаровка (Хмельницкая обл.)'),
(3,	4319,	'Шарки'),
(1,	4319,	'Шарки'),
(3,	4320,	'Шаровечка'),
(1,	4320,	'Шаровечка'),
(3,	4321,	'Шатава'),
(1,	4321,	'Шатава'),
(3,	4322,	'Шахтарське'),
(1,	4322,	'Шахтерское'),
(3,	4323,	'Шацьк'),
(1,	4323,	'Шацк'),
(3,	4324,	'Шаян'),
(1,	4324,	'Шаян'),
(3,	4325,	'Шебутинці'),
(1,	4325,	'Шебутинцы'),
(3,	4326,	'Шевченка (Запорізька обл.)'),
(1,	4326,	'Шевченка (Запорожская обл.)'),
(3,	4327,	'Шевченківка'),
(1,	4327,	'Шевченковка'),
(3,	4328,	'Шевченківське'),
(1,	4328,	'Шевченковское'),
(3,	4329,	'Шевченко (Донецька обл.)'),
(1,	4329,	'Шевченко (Донецкая обл.)'),
(3,	4330,	'Шевченкове (Івано-Франківська обл.)'),
(1,	4330,	'Шевченково (Ивано-Франковская обл.)'),
(3,	4331,	'Шевченкове (Київська обл.)'),
(1,	4331,	'Шевченково (Киевская обл.)'),
(3,	4332,	'Шевченкове (Кілійський р-н)'),
(1,	4332,	'Шевченково (Килийский р-н)'),
(3,	4333,	'Шевченкове (Миколаївська обл.)'),
(1,	4333,	'Шевченково (Николаевска обл.)'),
(3,	4334,	'Шевченкове (Полтавська обл.)'),
(1,	4334,	'Шевченково (Полтавская обл.)'),
(3,	4335,	'Шевченкове (Харківська обл.)'),
(1,	4335,	'Шевченково (Харьковская обл.)'),
(3,	4336,	'Шевченкове (Черкаська обл.)'),
(1,	4336,	'Шевченково (Черкаская обл.)'),
(3,	4337,	'Шегині'),
(1,	4337,	'Шегини'),
(3,	4338,	'Шедієве'),
(1,	4338,	'Шедиево'),
(3,	4339,	'Шелехове'),
(1,	4339,	'Шелехово'),
(3,	4340,	'Шелудьківка'),
(1,	4340,	'Шелудьковка'),
(3,	4341,	'Шелюги'),
(1,	4341,	'Шелюги'),
(3,	4343,	'Шепетівка'),
(1,	4343,	'Шепетовка'),
(3,	4344,	'Шешори'),
(1,	4344,	'Шешоры'),
(3,	4345,	'Шибалин'),
(1,	4345,	'Шибалин'),
(3,	4346,	'Шибена'),
(1,	4346,	'Шибена'),
(3,	4347,	'Шибене'),
(1,	4347,	'Шибеное'),
(3,	4348,	'Шилівці'),
(1,	4348,	'Шиловцы'),
(3,	4349,	'Шипинці'),
(1,	4349,	'Шипинцы'),
(3,	4350,	'Шипувате'),
(1,	4350,	'Шиповатое'),
(3,	4351,	'Ширівці'),
(1,	4351,	'Шировцы'),
(3,	4352,	'Широка Балка'),
(1,	4352,	'Широкая Балка'),
(3,	4353,	'Широка Гребля'),
(1,	4353,	'Широкая Гребля'),
(3,	4354,	'Широка Долина'),
(1,	4354,	'Широкая Долина'),
(3,	4355,	'Широке (Закарпатська обл.)'),
(1,	4355,	'Широкое (Закарпатская обл.)'),
(3,	4356,	'Широке (Запорізький р-н. Запорізька обл)'),
(1,	4356,	'Широкое (Запорожский р-н. Запорожская обл)'),
(3,	4357,	'Широке (Широківський р-н. Дніпропетровська обл)'),
(1,	4357,	'Широкое (Широковский р-н. Днепропетровская обл)'),
(3,	4358,	'Широке(Веселівський р-н., Запорізька обл.)'),
(1,	4358,	'Широкое (Веселовский р-н., Запорожская обл.)'),
(3,	4359,	'Широколанівка'),
(1,	4359,	'Широколановка'),
(3,	4360,	'Ширяєве'),
(1,	4360,	'Ширяево'),
(3,	4361,	'Шишаки'),
(1,	4361,	'Шишаки'),
(3,	4362,	'Шишківці (Кіцманський р-н., Чернівецька обл.)'),
(1,	4362,	'Шишковци (Кицманский р-н., Черновицкая обл.)'),
(3,	4363,	'Шишківці (Сокирянський р-н., Чернівецька обл.)'),
(1,	4363,	'Шишковцы (Сокирянский р-н., Черновицкая обл.)'),
(3,	4364,	'Шклинь'),
(1,	4364,	'Шклинь'),
(3,	4365,	'Шкло'),
(1,	4365,	'Шкло'),
(3,	4366,	'Шкуратівка'),
(1,	4366,	'Шкуратовка'),
(3,	4368,	'Шостка'),
(1,	4368,	'Шостка'),
(3,	4369,	'Шпанів'),
(1,	4369,	'Шпанов'),
(3,	4370,	'Шпиків'),
(1,	4370,	'Шпиков'),
(3,	4371,	'Шпилі'),
(1,	4371,	'Шпили'),
(3,	4372,	'Шпитьки'),
(1,	4372,	'Шпитьки'),
(3,	4373,	'Шпола'),
(1,	4373,	'Шпола'),
(3,	4374,	'Шрамківка'),
(1,	4374,	'Шрамковка'),
(3,	4375,	'Шрубків'),
(1,	4375,	'Шрубков'),
(3,	4376,	'Штепівка'),
(1,	4376,	'Штеповка'),
(3,	4377,	'Штунь'),
(1,	4377,	'Штунь'),
(3,	4378,	'Шубків'),
(1,	4378,	'Шубков'),
(3,	4379,	'Шубранець'),
(1,	4379,	'Шубранец'),
(3,	4380,	'Шульгівка'),
(1,	4380,	'Шульговка'),
(3,	4381,	'Шумськ'),
(1,	4381,	'Шумск'),
(3,	4382,	'Шупики'),
(1,	4382,	'Шупики'),
(3,	4383,	'Щасливе'),
(1,	4383,	'Счастливое'),
(3,	4384,	'Щасливе (Запорізька обл.) '),
(1,	4384,	'Счастливое (Запорожская обл.)'),
(3,	4385,	'Щасливе (Миколаївська обл.)'),
(1,	4385,	'Счастливое (Николаевская обл.)'),
(3,	4386,	'Щасливе (Херсонська обл.)'),
(1,	4386,	'Счастливое (Херсонская обл.)'),
(3,	4387,	'Щасливцеве (Херсонська обл.)'),
(1,	4387,	'Счастливцево (Херсонская обл.)'),
(3,	4388,	'Щастя'),
(1,	4388,	'Счастье'),
(3,	4389,	'Щербані'),
(1,	4389,	'Щербани'),
(3,	4390,	'Щербанка'),
(1,	4390,	'Щербанка'),
(3,	4391,	'Щербинівка'),
(1,	4391,	'Щербиновка'),
(3,	4392,	'Щиборівка'),
(1,	4392,	'Щиборовка'),
(3,	4393,	'Щирець'),
(1,	4393,	'Щирец'),
(3,	4394,	'Южинець'),
(1,	4394,	'Юженец'),
(3,	4395,	'Южне'),
(1,	4395,	'Южное'),
(3,	4396,	'Южноукраїнськ'),
(1,	4396,	'Южноукраинск'),
(3,	4397,	'Юр\'ївка (Дніпропетровська обл.)'),
(1,	4397,	'Юрьевка (Днепропетровская обл.)'),
(3,	4398,	'Юр\'ївка (Донецька обл.)'),
(1,	4398,	'Юрьевка (Донецкая обл.)'),
(3,	4399,	'Юрівка (Київська обл.)'),
(1,	4399,	'Юровка (Киевская обл.)'),
(3,	4400,	'Юрківка'),
(1,	4400,	'Юрковка'),
(3,	4401,	'Юрківка (Черкаська обл.)'),
(1,	4401,	'Юрковка (Черкасская обл.)'),
(3,	4402,	'Юхимівка'),
(1,	4402,	'Юхимовка'),
(3,	4403,	'Юхимівці'),
(1,	4403,	'Юхимовцы'),
(3,	4404,	'Юхнове'),
(1,	4404,	'Юхново'),
(3,	4405,	'Юшків Ріг'),
(1,	4405,	'Юшков Рог'),
(3,	4406,	'Яблунець'),
(1,	4406,	'Яблонец'),
(3,	4407,	'Яблуниця'),
(1,	4407,	'Яблоница'),
(3,	4408,	'Яблунів'),
(1,	4408,	'Яблонов'),
(3,	4409,	'Яблунівка'),
(1,	4409,	'Яблуневка'),
(3,	4410,	'Яблунівка (Київська обл.)'),
(1,	4410,	'Яблоновка (Киевская обл.)'),
(3,	4411,	'Яблунівка (Тернопільська обл.)'),
(1,	4411,	'Яблоновка (Тернопольская обл.)'),
(3,	4412,	'Яблунівка (Черкаська обл.)'),
(1,	4412,	'Яблоновка (Черкасская обл.)'),
(3,	4413,	'Яблунне'),
(1,	4413,	'Яблунное'),
(3,	4414,	'Яблунька'),
(1,	4414,	'Яблонька'),
(3,	4415,	'Явкине'),
(1,	4415,	'Явкино'),
(3,	4416,	'Явора'),
(1,	4416,	'Явора'),
(3,	4417,	'Яворів'),
(1,	4417,	'Яворов'),
(3,	4418,	'Яворів (Долинський р-н, Івано-Франківська обл.)'),
(1,	4418,	'Яворов (Долинский р-н, Ивано-Франковская обл.)'),
(3,	4419,	'Яворів (Косівський р-н., Івано-Франківська обл.)'),
(1,	4419,	'Яворов (Косовский р-н., Ивано-Франковская обл.)'),
(3,	4420,	'Ягільниця'),
(1,	4420,	'Ягельниця'),
(3,	4421,	'Яготин'),
(1,	4421,	'Яготин'),
(3,	4422,	'Якимівка (Запорізька обл.)'),
(1,	4422,	'Акимовка (Запорожская обл.)'),
(3,	4423,	'Якимівка (Оратівський р-н)'),
(1,	4423,	'Якимовка (Оратовский р-н)'),
(3,	4424,	'Яковенкове'),
(1,	4424,	'Яковенково'),
(3,	4425,	'Яковлівка'),
(1,	4425,	'Яковлевка'),
(3,	4426,	'Яковлівка (Донецька обл.)'),
(1,	4426,	'Яковлевка (Донецкая обл.)'),
(3,	4427,	'Якубів'),
(1,	4427,	'Якубов'),
(3,	4428,	'Якушинці'),
(1,	4428,	'Якушинци'),
(3,	4430,	'Ялта (Донецька обл.)'),
(1,	4430,	'Ялта (Донецкая обл.)'),
(3,	4431,	'Ялтушків'),
(1,	4431,	'Ялтушков'),
(3,	4432,	'Ямне'),
(1,	4432,	'Ямное'),
(3,	4433,	'Ямниця'),
(1,	4433,	'Ямница'),
(3,	4434,	'Ямпіль (Вінницька обл.)'),
(1,	4434,	'Ямполь (Винницкая обл.)'),
(3,	4435,	'Ямпіль (Донецька обл.)'),
(1,	4435,	'Ямполь (Донецкая обл.)'),
(3,	4436,	'Ямпіль (Львівська обл.)'),
(1,	4436,	'Ямполь (Львовская обл.)'),
(3,	4437,	'Ямпіль (Сумська обл.)'),
(1,	4437,	'Ямполь (Сумская обл.)'),
(3,	4438,	'Ямпіль (Хмельницька обл.)'),
(1,	4438,	'Ямполь (Хмельницкая обл.)'),
(3,	4439,	'Янишівка'),
(1,	4439,	'Янишевка'),
(3,	4440,	'Яноші'),
(1,	4440,	'Яноши'),
(3,	4441,	'Яремче'),
(1,	4441,	'Яремче'),
(3,	4442,	'Яреськи'),
(1,	4442,	'Яреськи'),
(3,	4443,	'Ярешки'),
(1,	4443,	'Ярешки'),
(3,	4444,	'Яринівка (Березнівський р-н)   '),
(1,	4444,	'Яриновка (Березновский р-н)'),
(3,	4445,	'Яришів'),
(1,	4445,	'Ярышев'),
(3,	4446,	'Яришівка'),
(1,	4446,	'Ярышевка'),
(3,	4447,	'Ярмолинці'),
(1,	4447,	'Ярмолинцы'),
(3,	4448,	'Ярова'),
(1,	4448,	'Яровая'),
(3,	4449,	'Ярове'),
(1,	4449,	'Яровое'),
(3,	4450,	'Ярославець'),
(1,	4450,	'Ярославец'),
(3,	4451,	'Ярославка'),
(1,	4451,	'Ярославка'),
(3,	4452,	'Ярошівка'),
(1,	4452,	'Ярошовка'),
(3,	4453,	'Ясениця-Замкова'),
(1,	4453,	'Ясеница-Замковая'),
(3,	4454,	'Ясениця-Сільна'),
(1,	4454,	'Ясеница-Сольная'),
(3,	4455,	'Ясенів'),
(1,	4455,	'Ясенов'),
(3,	4456,	'Ясенів-Пільний'),
(1,	4456,	'Ясенов-Польный'),
(3,	4457,	'Ясенівка'),
(1,	4457,	'Ясеновка'),
(3,	4458,	'Ясенівці'),
(1,	4458,	'Ясеновцы'),
(3,	4459,	'Ясенове Друге'),
(1,	4459,	'Ясеново Второе'),
(3,	4460,	'Ясеновець'),
(1,	4460,	'Ясеновец'),
(3,	4461,	'Ясень'),
(1,	4461,	'Ясень'),
(3,	4462,	'Ясинуватка'),
(1,	4462,	'Ясинуватка'),
(3,	4463,	'Ясіня'),
(1,	4463,	'Ясиня'),
(3,	4464,	'Ясна Поляна'),
(1,	4464,	'Ясная Поляна'),
(3,	4465,	'Ясне'),
(1,	4465,	'Ясное'),
(3,	4466,	'Ясниська'),
(1,	4466,	'Ясниска'),
(3,	4467,	'Ясногірка'),
(1,	4467,	'Ясногорка'),
(3,	4468,	'Яснозір\'я'),
(1,	4468,	'Яснозорье'),
(3,	4469,	'Яськи'),
(1,	4469,	'Яски'),
(3,	4470,	'Яхни'),
(1,	4470,	'Яхны'),
(3,	4471,	'Яхники'),
(1,	4471,	'Яхники'),
(3,	4472,	'Яцьківка'),
(1,	4472,	'Яцкивка'),
(3,	4473,	'Яцьковичі (Рівненська обл.)'),
(1,	4473,	'Яцковичи (Ровенская обл.)'),
(1,	4477,	'Великие Дмитровичи'),
(2,	4477,	'Великі Дмитровичі '),
(3,	4477,	'Великі Дмитровичі '),
(1,	4478,	'Волосское'),
(2,	4478,	'Волоське'),
(3,	4478,	'Волоське'),
(1,	4479,	'Городница (Ивано-Франковская обл.)'),
(2,	4479,	'Городниця (Івано-Франківська обл.)'),
(3,	4479,	'Городниця (Івано-Франківська обл.)'),
(1,	4480,	'Давыдовцы'),
(2,	4480,	'Давидівці'),
(3,	4480,	'Давидівці'),
(1,	4481,	'Дашковка'),
(2,	4481,	'Дашківка'),
(3,	4481,	'Дашківка'),
(1,	4482,	'Дольск'),
(2,	4482,	'Дольськ'),
(3,	4482,	'Дольськ'),
(1,	4483,	'Драгомирчаны'),
(2,	4483,	'Драгомирчани'),
(3,	4483,	'Драгомирчани'),
(1,	4484,	'Зубани'),
(2,	4484,	'Зубані'),
(3,	4484,	'Зубані'),
(1,	4485,	'Калиновка'),
(2,	4485,	'Калинівка'),
(3,	4485,	'Калинівка'),
(1,	4486,	'Козиевка'),
(2,	4486,	'Козіївка'),
(3,	4486,	'Козіївка'),
(1,	4487,	'Копани'),
(2,	4487,	'Копані'),
(3,	4487,	'Копані'),
(1,	4488,	'Лагодинцы'),
(2,	4488,	'Лагодинці'),
(3,	4488,	'Лагодинці'),
(1,	4489,	'Мякоты'),
(2,	4489,	'М\'якоти'),
(3,	4489,	'М\'якоти'),
(1,	4490,	'Молодежное (Запорожская обл.)'),
(2,	4490,	'Молодіжне (Запорізька обл.)'),
(3,	4490,	'Молодіжне (Запорізька обл.)'),
(1,	4491,	'Новое Мисто (Львовская обл.)'),
(2,	4491,	'Нове Місто (Львівська обл.)'),
(3,	4491,	'Нове Місто (Львівська обл.)'),
(1,	4492,	'Новоянисоль'),
(2,	4492,	'Новоянисоль'),
(3,	4492,	'Новоянисоль'),
(1,	4493,	'Павловка (Волынская обл.)'),
(2,	4493,	'Павлівка (Волинська обл.)'),
(3,	4493,	'Павлівка (Волинська обл.)'),
(1,	4494,	'Паланка'),
(2,	4494,	'Паланка'),
(3,	4494,	'Паланка'),
(1,	4495,	'Первомайское (Днепропетровская обл.)'),
(2,	4495,	'Первомайське (Дніпропетровська обл.)'),
(3,	4495,	'Первомайське (Дніпропетровська обл.)'),
(1,	4496,	'Плоская'),
(2,	4496,	'Плоска'),
(3,	4496,	'Плоска'),
(1,	4497,	'Преслав'),
(2,	4497,	'Преслав'),
(3,	4497,	'Преслав'),
(1,	4498,	'Радехов (Любомльский р-н)'),
(2,	4498,	'Радехів (Любомльський р-н)'),
(3,	4498,	'Радехів (Любомльський р-н)'),
(1,	4499,	'Ракита  (Полтавская обл.)'),
(2,	4499,	'Рокита (Полтавська обл.)'),
(3,	4499,	'Рокита (Полтавська обл.)'),
(1,	4500,	'Сахновцы'),
(2,	4500,	'Сахнівці'),
(3,	4500,	'Сахнівці'),
(1,	4501,	'Семаковцы'),
(2,	4501,	'Семаківці'),
(3,	4501,	'Семаківці'),
(1,	4502,	'Серафинцы'),
(2,	4502,	'Серафинці'),
(3,	4502,	'Серафинці'),
(1,	4503,	'Сереховичи'),
(2,	4503,	'Сереховичі'),
(3,	4503,	'Сереховичі'),
(1,	4504,	'Сосновка (Киевская обл.)'),
(2,	4504,	'Соснівка (Київська обл.)'),
(3,	4504,	'Соснівка (Київська обл.)'),
(1,	4505,	'Тышковцы'),
(2,	4505,	'Тишківці'),
(3,	4505,	'Тишківці'),
(1,	4506,	'Топиловка'),
(2,	4506,	'Топилівка'),
(3,	4506,	'Топилівка'),
(1,	4507,	'Туличев'),
(2,	4507,	'Туличів'),
(3,	4507,	'Туличів'),
(1,	4508,	'Успенівка (Одеська обл.)'),
(2,	4508,	'Успенівка (Одеська обл.)'),
(3,	4508,	'Успенівка (Одеська обл.)'),
(1,	4509,	'Цурень'),
(2,	4509,	'Цурень'),
(3,	4509,	'Цурень');

DROP TABLE IF EXISTS `ok_lang_okaycms__np_warehouses`;
CREATE TABLE `ok_lang_okaycms__np_warehouses` (
  `lang_id` int(11) DEFAULT NULL,
  `warehouse_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  UNIQUE KEY `lang_id_warehouse_id` (`lang_id`,`warehouse_id`),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_okaycms__np_warehouses` (`lang_id`, `warehouse_id`, `name`) VALUES
(3,	1,	'Пункт приймання-видачі (до 30 кг): вул. Андрія Бобира, 13'),
(1,	1,	'Пункт приема-выдачи (до 30 кг): ул. Андрея Бобырь, 13'),
(3,	2,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 5А'),
(1,	2,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 5А'),
(3,	3,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 12/1'),
(1,	3,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12/1'),
(3,	4,	'Відділення №1: вул. М. Грушевського, 3'),
(1,	4,	'Отделение №1: ул. М. Грушевского, 3'),
(3,	5,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 78а'),
(1,	5,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78а'),
(3,	6,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1'),
(1,	6,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(3,	7,	'Відділення №1: вул. Суворова, 62'),
(1,	7,	'Отделение №1: ул. Суворова, 62'),
(3,	8,	'Пункт приймання-видачі (до 30 кг): вул. Луференка, 13-А'),
(1,	8,	'Пункт приема-выдачи (до 30 кг): ул. Луференко, 13-А'),
(3,	9,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1'),
(1,	9,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(3,	10,	'Відділення № 1: вул. Театральна, 9'),
(1,	10,	'Отделение № 1: ул. Театральная, 19'),
(3,	11,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 22'),
(1,	11,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(3,	12,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 137'),
(1,	12,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13'),
(3,	13,	'Відділення №1: вул. Гетьмана Івана Сулими, 81а'),
(1,	13,	'Отделение №1: ул. Гетмана Ивана Сулимы, 81а'),
(3,	14,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 122а'),
(1,	14,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 122а'),
(3,	15,	'Пункт приймання-видачі (до 30 кг): пров. Північний, 1'),
(1,	15,	'Пункт приема-выдачи (до 30 кг): пер. Северный, 1'),
(3,	16,	'Пункт приймання видачі (до 30 кг): вул. Центральна, 42'),
(1,	16,	'Пункт приема выдачи (до 30 кг): ул. Центральная, 42'),
(3,	17,	'Автолавка (до 30 кг): вул. Молодіжна, 5'),
(1,	17,	'Автолавка (до 30 кг): ул. Молодежная, 5'),
(3,	18,	'Пункт приймання-видачі (до 30 кг): вул. Китайгородська, 1'),
(1,	18,	'Пункт приема-выдачи (до 30 кг): ул. Китайгородская, 1'),
(3,	19,	'Відділення №1: вул. Ярослава Мудрого, 24'),
(1,	19,	'Отделение №1: ул. Ярослава Мудрого, 24'),
(3,	20,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 7'),
(1,	20,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 7'),
(3,	21,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 89'),
(1,	21,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 89'),
(3,	22,	'Пункт приймання-видачі (до 30 кг): вул. Тарутинська, 20'),
(1,	22,	'Пункт приема-выдачи (до 30 кг): ул. Тарутинская, 20'),
(3,	23,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	23,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	24,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 21Б'),
(1,	24,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 21Б'),
(3,	25,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9'),
(1,	25,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 9'),
(3,	26,	'Пункт приймання-видачі (до 30 кг): вул. Георгія Кірпи, 98а'),
(1,	26,	'Пункт приема-выдачи (до 30 кг): ул. Георгия Кирпы, 98а'),
(3,	27,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 4'),
(1,	27,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 4'),
(3,	28,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 40Б'),
(1,	28,	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 40Б'),
(3,	29,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	29,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	30,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 12'),
(1,	30,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 12'),
(3,	31,	'Пункт приймання-видачі (до 30 кг): вул. Чехова, 1'),
(1,	31,	'Пункт приема-выдачи (до 30 кг): ул. Чехова, 1'),
(3,	32,	'Відділення №1: вул. Лесі Українки, 2'),
(1,	32,	'Отделение №1: ул. Леси Украинки, 2'),
(3,	33,	'Пункт приймання-видачі (до 30 кг): вул. Стовбова, 2'),
(1,	33,	'Пункт приема-выдачи (до 30 кг): ул. Столбовая, 2'),
(3,	34,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 21/А'),
(1,	34,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21/А'),
(3,	35,	'Автолавка (до 30 кг): вул. Миру, 74'),
(1,	35,	'Автолавка (до 30 кг): ул. Мира, 74'),
(3,	36,	'Пункт приймання-видачі (до 30 кг): вул. Кобринської, 3'),
(1,	36,	'Пункт приема-выдачи (до 30 кг): ул. Кобринской, 3'),
(3,	37,	'Пункт приймання-видачі (до 30 кг): вул. Юбкіна, 59а'),
(1,	37,	'Пункт приема-выдачи (до 30 кг): ул. Юбкина, 59а'),
(3,	38,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1'),
(1,	38,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(3,	39,	'Відділення №1: вул. Гоголя, 4'),
(1,	39,	'Отделение: ул. Гоголя, 4'),
(3,	40,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 46'),
(1,	40,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 46'),
(3,	41,	'Пункт приймання-видачі (до 30 кг): вул. Велика Лутовецька, 178'),
(1,	41,	'Пункт приема-выдачи (до 30 кг), ул. Великая Лутовецкая, 178'),
(3,	42,	'Пункт приймання-видачі (до 30 кг): вул. А.Горбаня, 53'),
(1,	42,	'Пункт приема-выдачи (до 30 кг): ул. А.Горбаня, 53'),
(3,	43,	'Пункт приймання-видачі (до 30 кг): вул. Андріївська, 70а'),
(1,	43,	'Пункт приема-выдачи (до 30 кг): ул. Андреевская, 70а'),
(3,	44,	'Відділення №1: вул. Соборна, 34'),
(1,	44,	'Отделение №1: ул. Соборная, 34'),
(3,	45,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 1Д'),
(1,	45,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1Д'),
(3,	46,	'Відділення №1: вул. Маяковського, 8'),
(1,	46,	'Отделение №1: ул. Маяковского, 8'),
(3,	47,	'Відділення №1: вул. Центральна, 76'),
(1,	47,	'Отделение №1: ул. Центральная, 76'),
(3,	48,	'Відділення №1: вул. Міцкевича, 9'),
(1,	48,	'Отделение №1: ул. Мицкевича, 9'),
(3,	49,	'Відділення №1: вул. Космонавтів, 50'),
(1,	49,	'Отделение №1: ул. Космонавтов, 50'),
(3,	50,	'Відділення №1: вул. Шатохіна, 3-а'),
(1,	50,	'Отделение №1: ул. Шатохина, 3-а'),
(3,	51,	'Відділення №1: вул. Центральна, 1/4'),
(1,	51,	'Отделение №1: ул. Центральная, 1/4'),
(3,	52,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 13Б'),
(1,	52,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13Б'),
(3,	53,	'Пункт приймання-видачі (до 30 кг): вул. Кiрова, 110'),
(1,	53,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 110'),
(3,	54,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 41'),
(1,	54,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 41'),
(3,	55,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 25а'),
(1,	55,	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 25а'),
(3,	56,	'Пункт приймання-видачі (до 30 кг): вул. Кифоруків, 36'),
(1,	56,	'Пункт приема-выдачи (до 30 кг): ул. Кифоруков, 36'),
(3,	57,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	57,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	58,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 10/1'),
(1,	58,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 10/1'),
(3,	59,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 88'),
(1,	59,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 88'),
(3,	60,	'Відділення № 1: вул. Миру, 20'),
(1,	60,	'Отделение № 1: ул. Мира, 20'),
(3,	61,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	61,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 1'),
(3,	62,	'Відділення № 1: вул. Монастирська, 11а'),
(1,	62,	'Отделение № 1: ул. Монастырская, 11а'),
(3,	63,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 4'),
(1,	63,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4'),
(3,	64,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 21'),
(1,	64,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 21'),
(3,	65,	'Відділення №1: вул. Інтернаціональна, 20а'),
(1,	65,	'Отделение №1: ул. Интернациональная, 20а'),
(3,	66,	'Відділення № 1: вул. Патріса Лумумби, 116/1'),
(1,	66,	'Отделение № 1: ул. Патриса Лумумбы, 116/1'),
(3,	67,	'Відділення №1 (до 30 кг): вул. 1-го Травня, 7'),
(1,	67,	'Отделение №1 (до 30 кг): ул. Независимости, 3'),
(3,	68,	'Відділення №1: вул. Козацький Шлях , 23'),
(1,	68,	'Отделение №1: ул. Ленина, 23'),
(3,	69,	'Відділення №1: вул. Смавзюка, 34'),
(1,	69,	'Отделение №1: ул. Смавзюка, 34'),
(3,	70,	'Відділення №1 (до 30 кг): вул. Барська, 5'),
(1,	70,	'Отделение №1: ул. 50-летия Октября, 5'),
(3,	71,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 1а'),
(1,	71,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 1а'),
(3,	72,	'Відділення №1: вул. Миру, 77'),
(1,	72,	'Отделение №1: ул. Мира, 77'),
(3,	73,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 17'),
(1,	73,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 17'),
(3,	74,	'Пункт приймання-видачі (до 30 кг): вул. Могильницького, 104'),
(1,	74,	'Пункт приема-выдачи (до 30 кг): ул. Могильницкого, 104'),
(3,	75,	'Відділення №1: вул. Івана Франка, 4'),
(1,	75,	'Отделение №1: ул. Ивана Франко, 4'),
(3,	76,	'Пункт приймання-видачі (до 30 кг): вул. Червона, 47'),
(1,	76,	'Пункт приема-выдачи (до 30 кг): ул. Красная, 47'),
(3,	77,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 17'),
(1,	77,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 17'),
(3,	78,	'Пункт приймання-видачі (до 30 кг): вул. Мічуріна, 7'),
(1,	78,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 7'),
(3,	79,	'Пункт приймання-видачі (до 30 кг): вул. Світанкова,  7А'),
(1,	79,	'Пункт приема-выдачи (до 30 кг): ул. Рассветная, 7А'),
(3,	80,	'Пункт приймання видачі (до 30 кг): вул. В. Стефаника, 2'),
(1,	80,	'Пункт приема-выдачи (до 30 кг), ул. В. Стефаника, 2'),
(3,	81,	'Відділення №1, вул. Сваромська, 8'),
(1,	81,	'Отделение №1 (до 30 кг): ул. Сваромська, 8'),
(3,	82,	'Відділення №1: вул. Космічна, 12а'),
(1,	82,	'Отделение №1: ул. Космическая, 12а'),
(3,	83,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 42а'),
(1,	83,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 42а'),
(3,	84,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 62'),
(1,	84,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 62'),
(3,	85,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 9а'),
(1,	85,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 9а'),
(3,	86,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	86,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	87,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1Б'),
(1,	87,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1Б'),
(3,	88,	'Пункт приймання-видачі (до 30 кг): вул. Козацька, 1'),
(1,	88,	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 1'),
(3,	89,	'Пункт приймання-видачі (до 30 кг): вул. Ляшенко, 36'),
(1,	89,	'Пункт приема-выдачи (до 30 кг): ул. Ляшенко, 36'),
(3,	90,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1/1'),
(1,	90,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1/1'),
(3,	91,	'Відділення №1: вул. 1 Травня, 2а'),
(1,	91,	'Отделение №1: ул. 1 Мая, 2а'),
(3,	92,	'Відділення №1: вул. Стадіонна, 2'),
(1,	92,	'Отделение №1: ул. Стадионная, 2'),
(3,	93,	'Відділення №1: вул. Центральна, 15а'),
(1,	93,	'Отделение №1: ул. Центральная, 15а'),
(3,	94,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 112а'),
(1,	94,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 112а'),
(3,	95,	'Пункт приймання-видачі (до 30 кг): вул. Південна, 21/а'),
(1,	95,	'Пункт приема-выдачи (до 30 кг), ул. Южная, 21/а'),
(3,	96,	'Відділення №1: вул. Центральна, 126 а'),
(1,	96,	'Отделение №1: ул. Центральная, 126 а'),
(3,	97,	'Пункт приймання-видачі (до 30 кг): вул. Героїв майдану, 5'),
(1,	97,	'Пункт приема-выдачи (до 30 кг): ул. Героев майдана, 5'),
(3,	98,	'Відділення №1: вул. Головна, 3'),
(1,	98,	'Отделение №1: ул. Главная, 3'),
(3,	99,	'Відділення №1: вул. Лінійна, 15'),
(1,	99,	'Отделение №1: ул. Линейная, 15'),
(3,	100,	'Відділення №1: вул. П. Козинця, 12а'),
(1,	100,	'Отделение №1: ул. П. Козинца, 12а'),
(3,	101,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 38'),
(1,	101,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 38'),
(3,	102,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 79а'),
(1,	102,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(3,	103,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 35'),
(1,	103,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 35'),
(3,	104,	'Пункт приймання-видачі (до 30 кг): вул. 8 Березня, 5'),
(1,	104,	'Пункт приема-выдачи (до 30 кг), ул. 8 Марта, 5'),
(3,	105,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 44а'),
(1,	105,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 44а'),
(3,	106,	'Відділення №1: вул. Спортивна, 13а'),
(1,	106,	'Отделение №1: ул. Спортивная, 13а'),
(3,	107,	'Відділення №1: вул. Коновальця, 25/27'),
(1,	107,	'Отделение №1: ул. Коновалца, 25/27'),
(3,	108,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 1'),
(1,	108,	'Пункт приймання-видачі (до 30 кг), вул. Соборна, 1'),
(3,	109,	'Пункт приймання-видачі (до 30 кг): вул. 1-го Травня, 10'),
(1,	109,	'Пункт приема-выдачи (до 30 кг): ул. 1-го Мая, 10'),
(3,	110,	'Відділення №1: вул. Преображенська, 91'),
(1,	110,	'Отделение №1: вул. Преображенская, 91'),
(3,	111,	'Пункт приймання-видачі (до 30 кг): вул. Центральная, 85'),
(1,	111,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85'),
(3,	112,	'Відділення №1: вул. 9-го Січня, 102'),
(1,	112,	'Отделение №1: ул. 9-го Января, 102'),
(3,	113,	'Пункт приймання-видачі (до 30 кг): вул. Загуменна, 76'),
(1,	113,	'Пункт приема-выдачи (до 30 кг), ул. Загуменная, 76'),
(3,	114,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 6'),
(1,	114,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6'),
(3,	115,	'Відділення № 1: вул. Козацький Шлях, 64а'),
(1,	115,	'Отделение № 1: ул. Казацкий Путь, 64а'),
(3,	116,	'Відділення № 1: вул. Травнева, 8'),
(1,	116,	'Отделение № 1: ул. Майская, 8'),
(3,	117,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 109а'),
(1,	117,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 109а'),
(3,	118,	'Відділення №1: вул. Незалежності, 20'),
(1,	118,	'Отделение №1: ул. Независимости, 20'),
(3,	119,	'Відділення №1: вул. Польова, 1'),
(1,	119,	'Отделение №1: ул. Полевая, 1'),
(3,	120,	'Відділення №1: вул. М.Кривоноса, 2'),
(1,	120,	'Отделение №1: ул. М.Кривоноса, 2'),
(3,	121,	'Відділення №1: вул. Стефаника, 26а'),
(1,	121,	'Отделение №1: ул. Стефаника, 26а'),
(3,	122,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 57А'),
(1,	122,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 57А'),
(3,	123,	'Пункт приймання-видачі (до 30 кг): вул. Партизанська, 1'),
(1,	123,	'Пункт приема-выдачи (до 30 кг): ул. Партизанская, 1'),
(3,	124,	'Відділення №1: вул. Миру, 3А'),
(1,	124,	'Отделение №1: ул. Мира, 3А'),
(3,	125,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 7'),
(1,	125,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 7'),
(3,	126,	'Відділення №1: вул. Войти, 1'),
(1,	126,	'Отделение №1: ул. Войты, 1'),
(3,	127,	'Пункт приймання-видачі (до 30 кг): вул. Б. Хмельницького, 68'),
(1,	127,	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 68'),
(3,	128,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 9'),
(1,	128,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 9'),
(3,	129,	'Відділення № 1: вул. Комарова, 23м'),
(1,	129,	'Отделение № 1: ул. Комарова, 23м'),
(3,	130,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1/5'),
(1,	130,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1/5'),
(3,	131,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 20'),
(1,	131,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3,	132,	'Пункт приймання-видачі (до 30 кг): вул. Острозька, 77'),
(1,	132,	'Пункт приема-выдачи (до 30 кг): ул. Острожская, 77'),
(3,	133,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 18'),
(1,	133,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 18'),
(3,	134,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 1а'),
(1,	134,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 1а'),
(3,	135,	'Відділення №1: вул. Центральна, 8'),
(1,	135,	'Отделение №1: ул. Центральная, 8'),
(3,	136,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 11'),
(1,	136,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15/а'),
(3,	137,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 39а'),
(1,	137,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 39а'),
(3,	138,	'Пункт приймання-видачі: вул. Нова, 67/а'),
(1,	138,	'Пункт приема-выдачи, ул. Новая, 67/а'),
(3,	139,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 40'),
(1,	139,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 40'),
(3,	140,	'Відділення №1: вул. Павлова, 2а'),
(1,	140,	'Отделение №1: ул. Павлова, 2а'),
(3,	141,	'Відділення №1: вул. Набережна, 21'),
(1,	141,	'Отделение №1: ул. Набережная, 21'),
(3,	142,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 39А'),
(1,	142,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 39А'),
(3,	143,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 1'),
(1,	143,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 1'),
(3,	144,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 19'),
(1,	144,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(3,	145,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 195'),
(1,	145,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 195'),
(3,	146,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 75'),
(1,	146,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 75'),
(3,	147,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 73'),
(1,	147,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 73'),
(3,	148,	'Пункт приймання-видачі ( до 30 кг): вул. Центральна, 85'),
(1,	148,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85'),
(3,	149,	'Автолавка (до 30 кг): вул. Центральна, 10'),
(1,	149,	'Автолавка (до 30 кг): ул. Центральная, 10'),
(3,	150,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 482'),
(1,	150,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 482'),
(3,	151,	'Відділення №1: вул. Львівська, 23'),
(1,	151,	'Отделение №1: ул. Львовская, 23'),
(3,	152,	'Пункт приймання видачі (до 30 кг): вул. Шевченка, 53'),
(1,	152,	'Пункт приема выдачи (до 30 кг): ул. Шевченко, 53'),
(3,	153,	'Відділення №1: вул. Українська, 193'),
(1,	153,	'Отделение №1: ул. Украинская, 193'),
(3,	154,	'Відділення №1: площа 40-річчя Перемоги, 4'),
(1,	154,	'Отделение №1: площадь 40-летия Победы, 4'),
(3,	155,	'Відділення №1: вул. Центральна, 13'),
(1,	155,	'Отделение №1: ул. Центральная, 13'),
(3,	156,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 164'),
(1,	156,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 164'),
(3,	157,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31'),
(1,	157,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31'),
(3,	158,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 1'),
(1,	158,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 1'),
(3,	159,	'Відділення №1: вул. Василя Симоненка, 45'),
(1,	159,	'Отделение №1: ул. Василия Симоненко, 45'),
(3,	160,	'Відділення №1: вул. Довженка, 7'),
(1,	160,	'Отделение №1: ул. Довженко, 7'),
(3,	161,	'Відділення № 1: вул. Гоголя, 81'),
(1,	161,	'Отделение № 1: ул. Гоголя, 81'),
(3,	162,	'Відділення №1: вул. Михайлівська, 30Г'),
(1,	162,	'Отделение №1: ул. Михайловская, 30Г'),
(3,	163,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17'),
(1,	163,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17'),
(3,	164,	'Відділення №1: вул. Олександра Єрмакова, 5'),
(1,	164,	'Отделение №1: ул. Александра Ермакова, 5'),
(3,	165,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 25'),
(1,	165,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 25'),
(3,	166,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 19а'),
(1,	166,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 19а'),
(3,	167,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 59'),
(1,	167,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 59'),
(3,	168,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 42'),
(1,	168,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(3,	169,	'Відділення №1: вул. Київська, 55'),
(1,	169,	'Отделение №1: ул. Киевская, 55'),
(3,	170,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	170,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	171,	'Відділення № 1: вул. Коцюбинського, 1'),
(1,	171,	'Отделение № 1: ул. Коцюбинского, 1'),
(3,	172,	'Відділення №1: вул. Столичне шосе, 9б'),
(1,	172,	'Отделение №1: ул. Столичное шоссе, 9б'),
(3,	173,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 113'),
(1,	173,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 113'),
(3,	174,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 230'),
(1,	174,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 230'),
(3,	175,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 85'),
(1,	175,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 85'),
(3,	176,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 73'),
(1,	176,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 73'),
(3,	177,	'Пункт приймання-видачі (до 30 кг): вул. Копельмана, 56'),
(1,	177,	'Пункт приема-выдачи (до 30 кг): ул. Копельмана, 56'),
(3,	178,	'Пункт приймання-видачі (до 30 кг): вул. Кононенка, 33а'),
(1,	178,	'Пункт приема-выдачи (до 30 кг): ул. Кононенко, 33а'),
(3,	179,	'Пункт приймання-видачі (до 30 кг): вул. Весела, 54'),
(1,	179,	'Пункт приема-выдачи (до 30 кг): ул. Веселая, 54'),
(3,	180,	'Відділення №1: вул. Шевченка, 40'),
(1,	180,	'Отделение №1: ул. Шевченка, 40'),
(3,	181,	'Відділення №1: вул. Матросова, 33б'),
(1,	181,	'Отделение №1: ул. Матросова, 33б'),
(3,	182,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 92а'),
(1,	182,	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 92а'),
(3,	183,	'Відділення №1: вул. Молодіжна, 1'),
(1,	183,	'Отделение №1: ул. Молодежная, 1'),
(3,	184,	'Пункт приймання-видачі (до 30 кг): вул. Братів Бойчуків, 67-А'),
(1,	184,	'Пункт приема-выдачи (до 30 кг): ул. Братьев Бочуков, 67-А'),
(3,	185,	'Відділення №1 (до 30 кг): вул. Миру, 52'),
(1,	185,	'Отделение №1 (до 30 кг): ул. Мира, 52'),
(3,	186,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 41'),
(1,	186,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 41'),
(3,	187,	'Відділення №1: вул. Валова, 12'),
(1,	187,	'Отделение №1: ул. Валовая, 12'),
(3,	188,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 62а'),
(1,	188,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 62а'),
(3,	189,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 89а'),
(1,	189,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 89а'),
(3,	190,	'Пункт приймання-видачі (до 30 кг): вул. Сонячна, 1'),
(1,	190,	'Пункт приема-выдачи (до 30 кг): ул. Солнечная, 1'),
(3,	191,	'Пункт приймання-видачі (до 30 кг): вул. Рудка, 1'),
(1,	191,	'Пункт приема-выдачи (до 30 кг): ул. Рудка, 1'),
(3,	192,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 66'),
(1,	192,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 66'),
(3,	193,	'Відділення №1 (до 30 кг): вул. Ветеранів, 99'),
(1,	193,	'Отделение №1 (до 30 кг): ул. Ветеранов, 99'),
(3,	194,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 78б'),
(1,	194,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78б'),
(3,	195,	'Пункт приймання-видачі (до 30 кг): вул. Глибока, 1'),
(1,	195,	'Пункт приема-выдачи (до 30 кг): ул. Глубокая, 1'),
(3,	196,	'Пункт приймання-видачі (до 30 кг): вул. Ольховська, 85А'),
(1,	196,	'Пункт приема-выдачи (до 30 кг): ул. Ольховская, 85А'),
(3,	197,	'Відділення № 1: вул. Богдана Хмельницького, 10'),
(1,	197,	'Отделение № 1: ул. Богдана Хмельницького,, 10'),
(3,	198,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 114'),
(1,	198,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 114'),
(3,	199,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 70'),
(1,	199,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 70'),
(3,	200,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	200,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	201,	'Відділення №1: вул. Симоненка, 17'),
(1,	201,	'Отделение №1: ул. Симоненко, 17'),
(3,	202,	'Автолавка (до 30 кг): вул. Перемоги, 9'),
(1,	202,	'Автолавка (до 30 кг): ул. Победы, 9'),
(3,	203,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 19'),
(1,	203,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(3,	204,	'Відділення № 1: вул. Пушкіна, 30в'),
(1,	204,	'Отделение № 1: ул. Пушкина, 30в'),
(3,	205,	'Пункт приймання-видачі (до 30 кг): вул. Миколи Хоречка, 2а'),
(1,	205,	'Пункт приема-выдачи (до 30 кг): ул. Николая Хоречко, 2а'),
(3,	206,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 121'),
(1,	206,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 121'),
(3,	207,	'Пункт приймання-видачі  (до 30 кг): вул. Героїв Майдану, 13А'),
(1,	207,	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 13А'),
(3,	208,	'Відділення №1: вул. Центральна, 113'),
(1,	208,	'Отделение №1: ул. Центральная, 113'),
(3,	209,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 42'),
(1,	209,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 42'),
(3,	210,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 44'),
(1,	210,	'Пункт приема-выдачи (до 30 кг), ул. Главная, 44'),
(3,	211,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 18'),
(1,	211,	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 18'),
(3,	212,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 39'),
(1,	212,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 39'),
(3,	213,	'Відділення №1: вул. 8-го Березня, 8а'),
(1,	213,	'Отделение №1: ул. 8-го марта, 8а'),
(3,	214,	'Відділення № 1: вул. Миру, 8/3'),
(1,	214,	'Отделение № 1: ул. Мира, 8/3'),
(3,	215,	'Відділення №1: вул. Першотравнева, 3'),
(1,	215,	'Отделение №1: ул. Первомайская, 3'),
(3,	216,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 65'),
(1,	216,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 65'),
(3,	217,	'Пункт приймання-видачі (до 30 кг): вул. Інженерна, 1'),
(1,	217,	'Пункт приема-выдачи (до 30 кг): ул. Инженерная, 1'),
(3,	218,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 1б'),
(1,	218,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 16'),
(3,	219,	'Пункт приймання-видачі (до 30 кг): вул. Костюченка, 41'),
(1,	219,	'Пункт приема-выдачи (до 30 кг): ул. Костюченка, 41'),
(3,	220,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 28'),
(1,	220,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(3,	221,	'Відділення №1: вул. Центральна, 26'),
(1,	221,	'Отделение №1: ул. Центральная, 26'),
(3,	222,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 24'),
(1,	222,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24'),
(3,	223,	'Пункт приймання-видачі (до 30 кг): вул. Антипенка, 77а'),
(1,	223,	'Пункт приема-выдачи (до 30 кг), ул. Антипенка, 77а'),
(3,	224,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 2ж'),
(1,	224,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 2ж'),
(3,	225,	'Відділення № 1: вул. Миру, 1'),
(1,	225,	'Отделение № 1: ул. Мира, 1'),
(3,	226,	'Пункт приймання-видачі (до 30 кг): вул. Узлова, 1'),
(1,	226,	'Пункт приема-выдачи (до 30 кг): ул. Узловая, 1'),
(3,	227,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 1'),
(1,	227,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 1'),
(3,	228,	'Відділення №1: вул. Київська, 164'),
(1,	228,	'Отделение №1: ул. Киевская, 164'),
(3,	229,	'Відділення №1: вул. Фабрична, 7'),
(1,	229,	'Отделение №1: ул. Фабричная, 7'),
(3,	230,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 1а'),
(1,	230,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1а'),
(3,	231,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 1'),
(1,	231,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(3,	232,	'Пункт приймання-видачі (до 30 кг): вул. Широка, 48'),
(1,	232,	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 48'),
(3,	233,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 26'),
(1,	233,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 26'),
(3,	234,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 12'),
(1,	234,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 12'),
(3,	235,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 123'),
(1,	235,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 123'),
(3,	236,	'Пункт приймання-видачі (до 30 кг): вул. Калуська, 34'),
(1,	236,	'Пункт приема-выдачи (до 30 кг): ул. Калужская, 34'),
(3,	237,	'Пункт приймання-видачі (до 30 кг): вул. Постишева, 21'),
(1,	237,	'Пункт приема-выдачи (до 30 кг): ул. Варвары Ханенко, 8'),
(3,	238,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 30'),
(1,	238,	'Пункт приема-выдачи (до 30 кг), ул. Богдана Хмельницкого, 30'),
(3,	239,	'Пункт приймання-видачі (до 30 кг): вул. Зузука, 17А'),
(1,	239,	'Пункт приема-выдачи (до 30 кг): ул. Зузука, 17А'),
(3,	240,	'Пункт приймання-видачі (до 30 кг): вул. Донецька, 55'),
(1,	240,	'Пункт приема-выдачи (до 30 кг): ул. Донецкая, 55'),
(3,	241,	'Пункт приймання-видачі (до 30 кг): вул. Слобожанська, 127'),
(1,	241,	'Пункт приема-выдачи (до 30 кг): ул. Слобожанская, 127'),
(3,	242,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 6а'),
(1,	242,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 6а'),
(3,	243,	'Пункт приймання-видачі (до 30 кг): вул. Маковщина, 1'),
(1,	243,	'Пункт приема-выдачи (до 30 кг): ул. Маковщина, 1'),
(3,	244,	'Пункт приймання-видачі (до 30 кг): вул. Луцька, 9'),
(1,	244,	'Пункт приема-выдачи (до 30 кг): ул. Луцка, 9'),
(3,	245,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 30А'),
(1,	245,	'Пункт приема-выдачи (до 30 кг), ул. Франко, 30А'),
(3,	246,	'Відділення №1: вул. Центральна, 95з'),
(1,	246,	'Отделение №1: ул. Центральная, 95в'),
(3,	247,	'Відділення №1 (до 30 кг): вул. Головна, 62'),
(1,	247,	'Отделение №1 (до 30 кг): ул. Главная, 62'),
(3,	248,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 18'),
(1,	248,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 18'),
(3,	249,	'Відділення №1: вул. Гойди, 70/12'),
(1,	249,	'Отделение №1: ул. Гойды, 70/12'),
(3,	250,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 2а'),
(1,	250,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 2а'),
(3,	251,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	251,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 1'),
(3,	252,	'Пункт приймання-видачі (до 30 кг): вул. Грихнівська, 2а'),
(1,	252,	'Пункт приема-выдачи (до 30 кг): ул. Грихнивська, 2а'),
(3,	253,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 14'),
(1,	253,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 14'),
(3,	254,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 68'),
(1,	254,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 68'),
(3,	255,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 38'),
(1,	255,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 38'),
(3,	256,	'Пункт приймання-видачі (до 30 кг): вул. Горького, 12'),
(1,	256,	'Пункт приема-выдачи (до 30 кг): ул. Горького, 12'),
(3,	257,	'Пункт приймання-видачі (до 30 кг): вул. Таврийська, 70'),
(1,	257,	'Пункт приема-выдачи (до 30 кг): ул. Таврийская, 70'),
(3,	258,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 49'),
(1,	258,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 49'),
(3,	259,	'Відділення №1: вул. Соборна, 231'),
(1,	259,	'Отделение №1: ул. Соборная, 231'),
(3,	260,	'Відділення №1: вул. Промислова,  13'),
(1,	260,	'Отделение №1: ул. Промышленная, 13'),
(3,	261,	'Пункт приймання-видачі (до 30 кг): вул. Визгіна, 25'),
(1,	261,	'Пункт приема-выдачи (до 30 кг): ул. Визгина, 25'),
(3,	262,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2/2'),
(1,	262,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2/2'),
(3,	263,	'Пункт приймання-видачі (до 30 кг): вул. Студентська, 1а'),
(1,	263,	'Пункт приема-выдачи (до 30 кг): ул.  Студенческая, 1а'),
(3,	264,	'Пункт приймання-видачі (до 30 кг): вул. Шашкевича, 63'),
(1,	264,	'Пункт приема-выдачи (до 30 кг), ул. Шашкевича, 63'),
(3,	265,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 20а'),
(1,	265,	'Пункт приема-выдачи (до 30 кг): ул. Франко, 20а'),
(3,	266,	'Відділення №1 (до 30 кг на одне місце): вул. Козацька, 1Б'),
(1,	266,	'Отделение №1 (до 30 кг на одно место): ул. Козацкая, 1Б'),
(3,	267,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 70'),
(1,	267,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 70'),
(3,	268,	'Відділення №1: вул. Тараса Шевченка, 45а'),
(1,	268,	'Отделение №1: ул. Тараса Шевченко, 45а'),
(3,	269,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 48'),
(1,	269,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 48'),
(3,	270,	'Відділення №1: вул. Личанська, 9-А'),
(1,	270,	'Отделение №1: ул. Личанская, 9-А'),
(3,	271,	'Відділення №1 (до 30 кг): вул. Терещенка, 14'),
(1,	271,	'Отделение №1 (до 30 кг): ул. Терещенко, 14'),
(3,	272,	'Відділення № 1: вул. Перемоги, 33/1'),
(1,	272,	'Отделение № 1: ул. Победы, 33/1'),
(3,	273,	'Пункт приймання-видачі (до 30 кг): вул. Івана-Франка, 2'),
(1,	273,	'Пункт приема-выдачи (до 30 кг): ул. Ивана-Франка, 2'),
(3,	274,	'Відділення №1: вул. Привокзальна, 9а'),
(1,	274,	'Отделение №1: ул. Привокзальная, 9а'),
(3,	275,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 94а'),
(1,	275,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 94а'),
(3,	276,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 174'),
(1,	276,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 174'),
(3,	277,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 108'),
(1,	277,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 108'),
(3,	278,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 111'),
(1,	278,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 111'),
(3,	279,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1'),
(1,	279,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(3,	280,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 95'),
(1,	280,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 95'),
(3,	281,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 41а'),
(1,	281,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41а'),
(3,	282,	'Пункт приймання-видачі (до 30 кг): вул. Гоголівська, 9'),
(1,	282,	'Пункт приема-выдачи (до 30 кг): ул. Гоголевская, 9'),
(3,	283,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 133'),
(1,	283,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 133'),
(3,	284,	'Відділення №1: площа Миру, 8а'),
(1,	284,	'Отделение №1: площадь Мира, 8а'),
(3,	285,	'Пункт приймання-видачі (до 30 кг): вул. Горинська, 17б'),
(1,	285,	'Пункт приема-выдачи (до 30 кг): ул. Горинская, 17б'),
(3,	286,	'Пункт приймання-видачі (до 30 кг): вул. Стрийська, 55а'),
(1,	286,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	287,	'Відділення №1: вул. Енергетиків, 5'),
(1,	287,	'Отделение №1: ул. Энергетиков, 5'),
(3,	288,	'Відділення №1: вул. Базарна, 40'),
(1,	288,	'Отделение №1: ул. Базарна, 40'),
(3,	289,	'Відділення №1: вул. Івана Мазепи, 21г'),
(1,	289,	'Отделение №1: ул. Ивана Мазепы, 21г'),
(3,	290,	'Відділення №1: вул. І. Франка, 19'),
(1,	290,	'Отделение №1: ул. И. Франко, 19'),
(3,	291,	'Відділення №1: вул. Тараса Шевченка (ран. Жовтнева), 18'),
(1,	291,	'Отделение №1: ул. Тараса Шевченко (ран. Октябрьская), 18'),
(3,	292,	'Відділення №1: вул. Микулинецька, 46, прим. 1'),
(1,	292,	'Отделение №1: ул. Микулинецкая, 46, пом. 1'),
(3,	293,	'Відділення №1: вул. Савченка, 1в'),
(1,	293,	'Отделение №1: ул. Савченко, 1в'),
(3,	294,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1'),
(1,	294,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(3,	295,	'Відділення №1: вул. Київська, 46'),
(1,	295,	'Отделение №1: ул. Киевская, 46'),
(3,	296,	'Відділення №1: вул. Володимира Великого, 3б'),
(1,	296,	'Отделение №1: ул. Владимира Великого, 3б'),
(3,	297,	'Відділення №1: вул. Доманинська, 308а'),
(1,	297,	'Отделение №1: ул. Доманинская, 308а'),
(3,	298,	'Пункт приймання-видачі (до 30 кг): вул. Миронівська, 30'),
(1,	298,	'Пункт приема-выдачи (до 30 кг): ул. Мироновская, 30'),
(3,	299,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 3'),
(1,	299,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 3'),
(3,	300,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 203'),
(1,	300,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 203'),
(3,	301,	'Відділення №1: вул. Січових Стрільців, 2'),
(1,	301,	'Отделение №1: ул. Сечевых Стрельцов, 2'),
(3,	302,	'Пункт приймання-видачі (до 30 кг): пров. Шкільний,  4'),
(1,	302,	'Пункт приема-выдачи (до 30 кг): пер. Школьный, 4'),
(3,	303,	'Відділення № 1: вул. Дружби Народів, 7'),
(1,	303,	'Отделение № 1: ул. Дружбы Народов, 7'),
(3,	304,	'Відділення №1: вул. Поштова, 2а'),
(1,	304,	'Отделение №1: ул. Почтовая, 2а'),
(3,	305,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 165'),
(1,	305,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 165'),
(3,	306,	'Пункт приймання-видачі (до 30 кг): вул. Первомайська, 86'),
(1,	306,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 86'),
(3,	307,	'Відділення №1: вул. Рівненська, 74а'),
(1,	307,	'Отделение № 1: ул. Ровенская, 72'),
(3,	308,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 22а'),
(1,	308,	'Пункт приема-выдачи (до 30 кг): ул. Франко, 22а'),
(3,	309,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 2'),
(1,	309,	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 2'),
(3,	310,	'Відділення №1: вул. Небесної Сотні, 32а'),
(1,	310,	'Отделение №1: ул. Небесной Сотни, 32а'),
(3,	311,	'Відділення №1: просп. Перемоги, 86-а'),
(1,	311,	'Отделение №1: просп. Победы, 86-а'),
(3,	312,	'Відділення №1: вул. Гоголя, 2'),
(1,	312,	'Отделение: ул. Гоголя, 2'),
(3,	313,	'Відділення №1: вул. Братів Вільшинських, 3'),
(1,	313,	'Отделение №1: ул. Братьев Вильшинських, 3'),
(3,	314,	'Відділення №1: вул. Красна, 134'),
(1,	314,	'Отделение №1: ул. Красная, 134'),
(3,	315,	'Відділення №1: вул. Тура, 80а'),
(1,	315,	'Отделение №1: ул. Тура, 80а'),
(3,	316,	'Відділення №1: вул. Тиверська, 38'),
(1,	316,	'Отделение №1: ул. Тиверская, 38'),
(3,	317,	'Пункт приймання-видачі  (до 30 кг): вул. Соборна, 146'),
(1,	317,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 146'),
(3,	318,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 101'),
(1,	318,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 101'),
(3,	319,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 85'),
(1,	319,	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 85'),
(3,	320,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	320,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	321,	'Пункт приймання-видачі (до 30 кг): вул. Травнева, 15'),
(1,	321,	'Пункт приема-выдачи (до 30 кг): ул. Майская, 15'),
(3,	322,	'Відділення №1: вул. Центральна, 65а'),
(1,	322,	'Отделение №1: Центральная, 65а'),
(3,	323,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 15'),
(1,	323,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(3,	324,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 12'),
(1,	324,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 12'),
(3,	325,	'Пункт приймання-видачі (до 30 кг): вул. Капітана Агєєнка, 4'),
(1,	325,	'Пункт приема-выдачи (до 30 кг): ул. Капитана Агеенко, 4'),
(3,	326,	'Відділення №1: вул. Лесі Українки, 68'),
(1,	326,	'Отделение №1: ул. Леси Украинки, 68'),
(3,	327,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 42'),
(1,	327,	'Пункт приема-выдачи (до 30 кг): ул.  Главная, 42'),
(3,	328,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	328,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	329,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8'),
(1,	329,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(3,	330,	'Відділення №1: вул. Миру, 97'),
(1,	330,	'Отделение №1: ул. Мира, 97'),
(3,	331,	'Пункт приймання-видачі (до 30 кг): вул. Братів Піроженко, 15А'),
(1,	331,	'Пункт приема-выдачи (до 30 кг): ул. Братьев Пироженко, 15А'),
(3,	332,	'Відділення №1: пл. Шухевича, 8'),
(1,	332,	'Отделение №1: пл. Шухевича, 8'),
(3,	333,	'Пункт приймання-видачі (до 30 кг): вул.  Конончука, 8'),
(1,	333,	'Пункт приема-выдачи (до 30 кг): ул. Конончука, 8'),
(3,	334,	'Пункт приймання-видачі (до 30 кг): вул. Миропільська, 7'),
(1,	334,	'Пункт приема-выдачи (до 30 кг): ул. Миропольская, 7'),
(3,	335,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 13'),
(1,	335,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 13'),
(3,	336,	'Відділення №1: вул. Винниченка, 1'),
(1,	336,	'Отделение №1: ул. Винниченко, 1'),
(3,	337,	'Відділення №1: вул. Карпенка, 10'),
(1,	337,	'Отделение №1: ул. Карпенка, 10'),
(3,	338,	'Відділення №1: вул. Привокзальна, 1'),
(1,	338,	'Отделение №1: ул. Привокзальная, 1'),
(3,	339,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 72'),
(1,	339,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 72'),
(3,	340,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 181'),
(1,	340,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 181'),
(3,	341,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 34'),
(1,	341,	'Пункт приема-выдачи (до 30 кг): ул. Дружби, 34'),
(3,	342,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 1а'),
(1,	342,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1а'),
(3,	343,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 57'),
(1,	343,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 57'),
(3,	344,	'Пункт приймання-видачі (до 30 кг): вул. Устименка, 138'),
(1,	344,	'Пункт приема-выдачи (до 30 кг): ул. Устименко, 138'),
(3,	345,	'Відділення №1: вул. Заводська, 1а'),
(1,	345,	'Отделение №1: ул. Заводская, 1 а'),
(3,	346,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 183'),
(1,	346,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 183'),
(3,	347,	'Пункт приймання-видачі (до 30 кг): вул. Марченка, 3'),
(1,	347,	'Пункт приема-выдачи (до 30 кг): ул. Марченко, 3'),
(3,	348,	'Відділення №1: вул. Малоданилівський шлях, 93А'),
(1,	348,	'Отделение №1: ул. Малоданиловской путь, 93А'),
(3,	349,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 22'),
(1,	349,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 22'),
(3,	350,	'Відділення №1: пл. Січових Стрільців, 7'),
(1,	350,	'Отделение №1: пл. Сечевых Стрельцов, 7'),
(3,	351,	'Відділення №1: вул. Соборна, 379'),
(1,	351,	'Отделение №1: вул. Соборная, 379'),
(3,	352,	'Відділення №1: вул. 1-го Травня, 96'),
(1,	352,	'Отделение №1: ул. 1-го Мая, 96'),
(3,	353,	'Автолавка (до 30 кг): вул. Першотравнева, 55'),
(1,	353,	'Автолавка (до 30 кг): ул. Первомайская, 55'),
(3,	354,	'Відділення № 1: вул. Ольшанського, 1'),
(1,	354,	'Отделение № 1: ул. Ольшанского, 1'),
(3,	355,	'Відділення №1: пров. Гаражний, 2'),
(1,	355,	'Отделение №1: пер. Гаражный, 2'),
(3,	356,	'Відділення №1: вул. Шевченка, 145в'),
(1,	356,	'Отделение №1: ул. Шевченка, 145в'),
(3,	357,	'Пункт приймання-видачі  (до 30 кг): вул. Лісна, 14'),
(1,	357,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 14'),
(3,	358,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 30'),
(1,	358,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 30'),
(3,	359,	'Пункт приймання-видачі (до 30 кг): вул. Горького, 1'),
(1,	359,	'Пункт приема-выдачи (до 30 кг): ул. Горького, 1'),
(3,	360,	'Відділення №1: вул. Василя Липківського, 55'),
(1,	360,	'Отделение №1: ул. Василия Липковского, 55'),
(3,	361,	'Відділення №1: вул. Б. Хмельницького, 2'),
(1,	361,	'Отделение №1: ул. Б. Хмельницкого, 2'),
(3,	362,	'Відділення №1: вул. Бондарчука, 1'),
(1,	362,	'Отделение №1: ул. Бондарчука, 1'),
(3,	363,	'Відділення №1: вул. Слобідська, 7'),
(1,	363,	'Отделение №1: вул. Слободская, 7'),
(3,	364,	'Пункт приймання-видачі (до 30 кг): вул. Штефана Чел Маре, 24'),
(1,	364,	'Пункт приема-выдачи (до 30 кг): ул. Штефана Чел Маре, 24'),
(3,	365,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 20'),
(1,	365,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 20'),
(3,	366,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 4'),
(1,	366,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 4'),
(3,	367,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 24'),
(1,	367,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 24'),
(3,	368,	'Пункт приймання-видачі (до 30 кг): вул. Дніпровська, 1-А'),
(1,	368,	'Пункт приема-выдачи (до 30 кг): ул. Днепровская, 1-А'),
(3,	369,	'Пункт приймання-видачі (до 30 кг): вул. Поштова, 4'),
(1,	369,	'Пункт приема-выдачи (до 30 кг), ул. Почтовая, 4'),
(3,	370,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 116'),
(1,	370,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 116'),
(3,	371,	'Відділення №1: вул. Гайдара, 1'),
(1,	371,	'Отделение №1: ул. Гайдара, 1'),
(3,	372,	'Пункт приймання-видачі (до 30 кг): вул. М. Грушевського, 1'),
(1,	372,	'Пункт приема-выдачи (до 30 кг): ул. М. Грушевского, 1'),
(3,	373,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 144А'),
(1,	373,	'Пункт приема-выдачи (до 30 кг), ул. Вишневая, 144А'),
(3,	374,	'Пункт приймання-видачі (до 30 кг): вул. Іллінська, 20'),
(1,	374,	'Пункт приема-выдачи (до 30 кг): ул. Ильинская, 20'),
(3,	375,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1-Б'),
(1,	375,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1-Б'),
(3,	376,	'Відділення №1: вул. Шосейна, 6'),
(1,	376,	'Отделение №1: ул. Шоссейная, 6'),
(3,	377,	'Пункт приймання-видачі (до 30 кг): вул. Нахімова, 27'),
(1,	377,	'Пункт приема-выдачи (до 30 кг): ул. Нахимова, 27'),
(3,	378,	'Відділення №1: вул. Тернопільська, 60'),
(1,	378,	'Отделение №1: ул. Тернопольская, 60'),
(3,	379,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 191'),
(1,	379,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 191'),
(3,	380,	'Пункт приймання-видачі (до 30 кг): вул. Сторожинецька, 38'),
(1,	380,	'Пункт приема-выдачи (до 30 кг): ул. Сторожинецкая, 38'),
(3,	381,	'Відділення №1: вул. Степана Бандери, 6/2'),
(1,	381,	'Отделение №1: ул. Степана Бандеры, 6/2'),
(3,	382,	'Відділення №1: вул. Поштова, 4'),
(1,	382,	'Отделение №1: ул. Почтовая, 4'),
(3,	383,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 32'),
(1,	383,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 32'),
(3,	384,	'Пункт приймання-видачі (до 30 кг): вул. Почаївська, 7'),
(1,	384,	'Пункт приема-выдачи (до 30 кг): ул. Почаевская, 7'),
(3,	385,	'Відділення №1: вул. Центральна, 1'),
(1,	385,	'Отделение №1: ул. Центральная, 1'),
(3,	386,	'Відділення №1: вул. Центральна, 42'),
(1,	386,	'Отделение №1: ул. Центральная, 42'),
(3,	387,	'Відділення №1: вул. Терещенків, 45'),
(1,	387,	'Отделение №1: ул. Терещенков, 45'),
(3,	388,	'Відділення №1: вул. Лівобережна, 350'),
(1,	388,	'Отделение №1: ул. Левобережная, 350'),
(3,	389,	'Відділення №1: вул. Лесі Українки, 2'),
(1,	389,	'Отделение №1: ул. Леси Украинки, 2'),
(3,	390,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 47'),
(1,	390,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 47'),
(3,	391,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 1А'),
(1,	391,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1А'),
(3,	392,	'Відділення №1: вул. Харківська, 11а'),
(1,	392,	'Отделение №1: ул. Харьковская, 11а'),
(3,	393,	'Відділення №1: вул. Перемоги, 34/14'),
(1,	393,	'Отделение №1: ул. Победы, 34/14'),
(3,	394,	'Відділення №1: вул. Транспортна, 14'),
(1,	394,	'Отделение №1: ул. Транспортная, 14'),
(3,	395,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 4'),
(1,	395,	'Пункт приема-выдачи (до 30 кг), ул. Ивана Франко, 4'),
(3,	396,	'Відділення № 1: вул. Соборна, 97/4'),
(1,	396,	'Отделение № 1: ул. Соборная, 97/4'),
(3,	397,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 64'),
(1,	397,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64'),
(3,	398,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 30А'),
(1,	398,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 30А'),
(3,	399,	'Пункт приймання-видачі (до 30 кг): вул. Б. Хмельницького, 18а'),
(1,	399,	'Пункт приема-выдачи (до 30 кг), ул. Б. Хмельницкого, 18а'),
(3,	400,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 71'),
(1,	400,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 71'),
(3,	401,	'Пункт приймання-видачі (до 30 кг): вул. Миру,  39'),
(1,	401,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 39'),
(3,	402,	'Відділення №1: вул. Набережна, 20/1'),
(1,	402,	'Отделение №1: ул. Набережная, 20/1'),
(3,	403,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 61А'),
(1,	403,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 61А'),
(3,	404,	'Пункт приймання-видачі (до 30 кг): вул. Горького, 250А'),
(1,	404,	'Пункт приема-выдачи (до 30 кг): ул. Горького, 250А'),
(3,	405,	'Відділення №1: вул. Центральна, 97'),
(1,	405,	'Отделение №1: ул. Центральная, 97'),
(3,	406,	'Пункт приймання-видачі (до 30 кг): вул. Суворова, б/н'),
(1,	406,	'Пункт приема-выдачи (до 30 кг): ул. Суворова, б/н'),
(3,	407,	'Пункт приймання-видачі (до 30 кг): вул. Сибір, 26а'),
(1,	407,	'Пункт приема-выдачи (до 30 кг): ул. Сибирь, 26а'),
(3,	408,	'Відділення №1: вул. Незалежності України, 106'),
(1,	408,	'Отделение №1: ул. Независимости Украины, 106'),
(3,	409,	'Відділення №1: вул. Гагаріна, 18а'),
(1,	409,	'Отделение №1: ул. Гагарина, 18а'),
(3,	410,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 49'),
(1,	410,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 49'),
(3,	411,	'Пункт приймання-видачі ( до 30 кг): вул. Дорожна, 1'),
(1,	411,	'Пункт приема-выдачи (до 30 кг): ул. Дорожная, 1'),
(3,	412,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 47е'),
(1,	412,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 47е'),
(3,	413,	'Пункт приймання-видачі (до 30 кг): вул. Вербова, 45'),
(1,	413,	'Пункт приема-выдачи (до 30 кг): ул. Вербовая, 45'),
(3,	414,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 16'),
(1,	414,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(3,	415,	'Пункт приймання-видачі (до 30 кг): пров. Садовий, 2'),
(1,	415,	'Пункт приема-выдачи (до 30 кг): пер. Садовый, 2'),
(3,	416,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 104'),
(1,	416,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 104'),
(3,	417,	'Пункт приймання-видачі (до 30 кг): вул. Корольова, 20'),
(1,	417,	'Пункт приема-выдачи (до 30 кг): ул. Королева, 20'),
(3,	418,	'Відділення №1 (до 30 кг): вул. Незалежності, 34'),
(1,	418,	'Отделение №1 (до 30 кг): ул. Независимости, 34'),
(3,	419,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 90'),
(1,	419,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 90'),
(3,	420,	'Пункт приймання-видачі (до 30 кг): вул. Рудченкова, 26'),
(1,	420,	'Пункт приема-выдачи (до 30 кг): ул. Рудченкова, 26'),
(3,	421,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6'),
(1,	421,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(3,	422,	'Пункт приймання-видачі (до 30 кг): вул. Садова 17'),
(1,	422,	'Пункт приема-выдачи (до 30 кг): ул. Садовая 17'),
(3,	423,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 3'),
(1,	423,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 3'),
(3,	424,	'Пункт приймання-видачі (до 30 кг): вул. Бикова,59'),
(1,	424,	'Пункт приема-выдачи (до 30 кг): ул. Быкова, 59'),
(3,	425,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 45'),
(1,	425,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(3,	426,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 104'),
(1,	426,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 104'),
(3,	427,	'Відділення № 1: вул. Центральна, 2б'),
(1,	427,	'Отделение № 1: ул. Центральная, 2б'),
(3,	428,	'Пункт приймання-видачі (до 30 кг): шосе Запоріжське, 2'),
(1,	428,	'Пункт приема-выдачи (до 30 кг), шоссе Запорожское, 2'),
(3,	429,	'Пункт приймання-видачі (до 30 кг): вул. Культури, 34'),
(1,	429,	'Пункт приема-выдачи (до 30 кг): ул. Культуры, 34'),
(3,	430,	'Пункт приймання-видачі (до 30 кг): вул. Бєлгородська, 98'),
(1,	430,	'Пункт приема-выдачи (до 30 кг): ул. Белгородская, 98'),
(3,	431,	'Пункт приймання-видачі (до 30 кг): вул. Кутузова, 13'),
(1,	431,	'Пункт приема-выдачи (до 30 кг): ул. Кутузова, 13'),
(3,	432,	'Пункт приймання-видачі (до 30 кг): вул. Вокзальна, 10в'),
(1,	432,	'Пункт приема-выдачи (до 30 кг), ул. Вокзальная, 10в'),
(3,	433,	'Відділення №1: вул. Робітнича, 32'),
(1,	433,	'Отделение №1: ул. Рабочая, 32'),
(3,	434,	'Пункт приймання-видачі (до 30 кг): вул. Мурованого, 1'),
(1,	434,	'Пункт приема-выдачи (до 30 кг): ул. Мурованого, 1'),
(3,	435,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1б'),
(1,	435,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1б'),
(3,	436,	'Відділення №1: вул. Лесі Українки, 18а'),
(1,	436,	'Отделение №1: ул. Леси Украинки, 18а'),
(3,	437,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 20'),
(1,	437,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 20'),
(3,	438,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 13'),
(1,	438,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 13'),
(3,	439,	'Пункт приймання-видачі (до 30 кг): вул. Якушева, 26в'),
(1,	439,	'Пункт приема-выдачи (до 30 кг): ул. Якушева, 26в'),
(3,	440,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 29'),
(1,	440,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 29'),
(3,	441,	'Пункт приймання-видачі (до 30 кг): вул. Верховинця, 11'),
(1,	441,	'Пункт приема-выдачи (до 30 кг): ул. Верховинца, 11'),
(3,	442,	'Відділення №1: вул. Вокзальна, 6'),
(1,	442,	'Отделение: ул. Вокзальная, 6'),
(3,	443,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 2'),
(1,	443,	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 2'),
(3,	444,	'Пункт приймання-видачі (до 30 кг): вул. Кільцева, 2'),
(1,	444,	'Пункт приема-выдачи (до 30 кг): ул. Кольцевая, 2'),
(3,	445,	'Пункт приймання-видачі (до 30 кг): вул. І. Гешка, 16'),
(1,	445,	'Пункт приема-выдачи (до 30 кг): ул. И. Гешка, 16'),
(3,	446,	'Пункт приймання-видачі (до 30 кг): вул. Гайдара, 34'),
(1,	446,	'Пункт приема-выдачи (до 30 кг): ул. Гайдара, 34'),
(3,	447,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 121'),
(1,	447,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 121'),
(3,	448,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 1'),
(1,	448,	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 1'),
(3,	449,	'Відділення №1: вул. Проектна, 1'),
(1,	449,	'Отделение №1: ул. Проектная, 1'),
(3,	450,	'Пункт приймання-видачі (до 30 кг): вул. Гарфункіна, 15'),
(1,	450,	'Пункт приема-выдачи (до 30 кг): ул. Гарфункина, 15'),
(3,	451,	'Автолавка (до 30 кг): вул. 600-річчя Жовтня, 48'),
(1,	451,	'Автолавка (до 30 кг): ул. 600-летия Октября, 48'),
(3,	452,	'Відділення № 1: вул. Магістральна, 43а'),
(1,	452,	'Отделение № 1: ул. Магистральная, 43а'),
(3,	453,	'Пункт приймання-видачі (до 30 кг): вул. Коцюбинського, 10'),
(1,	453,	'Пункт приема-выдачи (до 30 кг), ул. Коцюбинского, 10'),
(3,	454,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	454,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	455,	'Пункт приймання-видачі (до 30 кг): вул. Миру,16'),
(1,	455,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 16'),
(3,	456,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 35а'),
(1,	456,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 35а'),
(3,	457,	'Пункт приймання видачі (до 30 кг): вул. Рибальська, 1-А'),
(1,	457,	'Пункт приема-выдачи (до 30 кг), ул. Рыболовная, 1-А'),
(3,	458,	'Відділення №1: вул. Острівська, 32г'),
(1,	458,	'Отделение №1: ул. Остривська, 32г'),
(3,	459,	'Відділення №1: вул. Грушевського, 3'),
(1,	459,	'Отделение №1: ул. Грушевского, 3'),
(3,	460,	'Відділення №1: вул. Миру, 29А'),
(1,	460,	'Отделение №1: ул. Мира, 29А'),
(3,	461,	'Відділення №1: вул. Центральна, 29'),
(1,	461,	'Отделение №1: ул. Центральная, 29'),
(3,	462,	'Пункт приймання-видачі (до 30 кг): вул. Добровольского, 31'),
(1,	462,	'Пункт приема-выдачи (до 30 кг): ул. Добровольского, 31'),
(3,	463,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 77'),
(1,	463,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 77'),
(3,	464,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 19'),
(1,	464,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 19'),
(3,	465,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 57'),
(1,	465,	'Пункт приема-выдачи (до 30 кг), ул. Набережная, 57'),
(3,	466,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 3'),
(1,	466,	'Пункт приема-выдачи (до 30 кг): ул. Кольцевая, 16'),
(3,	467,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2В'),
(1,	467,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2В'),
(3,	468,	'Відділення №1: вул. Шевченка, 36'),
(1,	468,	'Отделение №1: ул. Шевченко, 36'),
(3,	469,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 2'),
(1,	469,	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 2'),
(3,	470,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 98'),
(1,	470,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 98'),
(3,	471,	'Відділення №1: вул. Челюскінців, 30'),
(1,	471,	'Отделение №1:ул. Челюскинцев, 30'),
(3,	472,	'Пункт приймання-видачі (до 30 кг): вул. Корди, 95'),
(1,	472,	'Пункт приема-выдачи (до 30 кг): ул. Корды, 95'),
(3,	473,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	473,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	474,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5'),
(1,	474,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3,	475,	'Пункт приймання-видачі (до 30 кг): вул. Базарна, 1'),
(1,	475,	'Пункт приема-выдачи (до 30 кг), ул. Базарная, 1'),
(3,	476,	'Відділення №1: пров. Кооперативний, 3'),
(1,	476,	'Отделение №1: проул. Кооперативный, 3'),
(3,	477,	'Пункт приймання-видачі (до 30 кг): вул. Бортника, 1А'),
(1,	477,	'Пункт приема-выдачи (до 30 кг): ул. Бортника, 1А'),
(3,	478,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 14а'),
(1,	478,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14а'),
(3,	479,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 58'),
(1,	479,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 58'),
(3,	480,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1'),
(1,	480,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(3,	481,	'Відділення №1: вул. Миру, 222'),
(1,	481,	'Отделение №1: ул. Мира, 222'),
(3,	482,	'Відділення №1: вул. Депутатська, 32'),
(1,	482,	'Отделение №1: ул. Депутатская, 32'),
(3,	483,	'Відділення №1: вул. Леонтовича, 14'),
(1,	483,	'Отделение №1: ул. Леонтовича, 14'),
(3,	484,	'Відділення №1: вул. Центральна, 38'),
(1,	484,	'Отделение №1: ул. Центральная, 39'),
(3,	485,	'Відділення №1: вул. Героїв Дніпра, 2-а'),
(1,	485,	'Отделение №1: ул. Героев Днепра, 2-а'),
(3,	486,	'Відділення №1: вул. Петра Захарова, 36'),
(1,	486,	'Отделение №1: ул.  Петра Захарова, 36'),
(3,	487,	'Пункт приймання-видачі (до 30 кг): вул. 600 річчя Голиня, 29б'),
(1,	487,	'Пункт приема-выдачи (до 30 кг): ул. 600 летие Голиня, 29б'),
(3,	488,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 10'),
(1,	488,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 10'),
(3,	489,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 39А'),
(1,	489,	'Пункт приймання-видачі (до 30 кг): вул. Берегова, 9'),
(3,	490,	'Відділення №1: вул. Січових Стрільців, 176'),
(1,	490,	'Отделение №1: ул. Сечевых Стрельцов, 176'),
(3,	491,	'Відділення №1: вул. Перемоги, 6'),
(1,	491,	'Отделение №1: ул. Победы, 6'),
(3,	492,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 32'),
(1,	492,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 32'),
(3,	493,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 16-Б'),
(1,	493,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 16-Б'),
(3,	494,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 39'),
(1,	494,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 39'),
(3,	495,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 61а'),
(1,	495,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61а'),
(3,	496,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 46а'),
(1,	496,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 46а'),
(3,	497,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 89в'),
(1,	497,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 89'),
(3,	498,	'Відділення №1: вул. Тисменицька, 249б'),
(1,	498,	'Отделение №1: ул. Тисменицкая, 249б'),
(3,	499,	'Відділення №1: вул. Луцька, 2а'),
(1,	499,	'Отделение №1: ул. Луцкая, 2а'),
(3,	500,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 62А'),
(1,	500,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 62А'),
(3,	501,	'Пункт приймання-видачі (до 30 кг): вул. Весняна, 22'),
(1,	501,	'Пункт приема-выдачи (до 30 кг): ул. Весенняя, 22'),
(3,	502,	'Пункт приймання-видачі (до 30 кг): вул. Лугова, 141а'),
(1,	502,	'Пункт приема-выдачи (до 30 кг): ул. Луговая, 141а'),
(3,	503,	'Пункт приймання-видачі (до 30 кг): вул. Черняховська, 75'),
(1,	503,	'Пункт приема-выдачи (до 30 кг): ул. Черняховская, 75'),
(3,	504,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 35'),
(1,	504,	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 35'),
(3,	505,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 31'),
(1,	505,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 31'),
(3,	506,	'Пункт приймання-видачі ( до 30 кг): вул. Щедра, 2'),
(1,	506,	'Пункт приема-выдачи (до 30 кг): ул. Щедрая, 2'),
(3,	507,	'Пункт приймання-видачі (до 30 кг): вул. Дрогобицька, 169'),
(1,	507,	'Пункт приема-выдачи (до 30 кг): ул. Дрогобыческая, 169'),
(3,	508,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30а'),
(1,	508,	'Наливайковка, Центральная 30а'),
(3,	509,	'Відділення №1: вул. Центральна, 16'),
(1,	509,	'Отделение №1: ул. Центральная, 16'),
(3,	510,	'Пункт приймання-видачі (до 30 кг): вул. Монастирецька, 15'),
(1,	510,	'Пункт приема-выдачи (до 30 кг): ул. Монастырецкая, 15'),
(3,	511,	'Пункт приймання-видачі (до 30 кг): вул. Чернігівська, 31А'),
(1,	511,	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 31А'),
(3,	512,	'Пункт приймання-видачі (до 30 кг): вул. Олексія Заріцького, 6'),
(1,	512,	'Пункт приема-выдачи (до 30 кг): ул. Алексея Зарицкого, 6'),
(3,	513,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5а'),
(1,	513,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5а'),
(3,	514,	'Пункт приймання-видачі (до 30 кг): вул. Загревського, 74'),
(1,	514,	'Пункт приема-выдачи (до 30 кг): ул. Загревського, 74'),
(3,	515,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 23б'),
(1,	515,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23б'),
(3,	516,	'Пункт приймання-видачі (до 30 кг): вул. 30 років Перемоги, 32'),
(1,	516,	'Пункт приема-выдачи (до 30 кг): ул. 30 лет Победы, 32'),
(3,	517,	'Пункт приймання-видачі (до 30 кг): вул. Польова, 1'),
(1,	517,	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 1'),
(3,	518,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 1а'),
(1,	518,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 1а'),
(3,	519,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 65'),
(1,	519,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 65'),
(3,	520,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 7'),
(1,	520,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 37а'),
(3,	521,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 3'),
(1,	521,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 3'),
(3,	522,	'Пункт приймання-видачі (до 30 кг): вул. Чорнобильська, 20'),
(1,	522,	'Пункт приема-выдачи (до 30 кг): ул. Чернобыльская, 20'),
(3,	523,	'Відділення №1: вул. Нова, 3 а'),
(1,	523,	'Отделение №1: ул. Новая, 3 а'),
(3,	524,	'Відділення №1: вул. І.Сірка, 40'),
(1,	524,	'Отделение №1: ул. И.Сирыка, 40'),
(3,	525,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 58/1'),
(1,	525,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 58/1'),
(3,	526,	'Відділення № 1: вул. Ворвуля, 12'),
(1,	526,	'Отделение № 1: ул. Ворвуля, 12'),
(3,	527,	'Пункт приймання-видачі (до 30 кг): вул. Лугова, 10'),
(1,	527,	'Пункт приема-выдачи (до 30 кг): ул. Луговая, 10'),
(3,	528,	'Відділення №1: вул. Нова, 3а'),
(1,	528,	'Отделение №1: ул. Новая, 3а'),
(3,	529,	'Відділення №1: вул. Центральна, 2а'),
(1,	529,	'Отделение №1: ул. Центральная, 2а'),
(3,	530,	'Пункт приймання-видачі  (до 30 кг): вул. Грушевського, 20'),
(1,	530,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 20'),
(3,	531,	'Пункт приймання-видачі (до 30 кг): вул. Дніпровська, 34'),
(1,	531,	'Пункт приема-выдачи (до 30 кг): ул. Днепровская, 34'),
(3,	532,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 32а'),
(1,	532,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 32а'),
(3,	533,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 2'),
(1,	533,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 2'),
(3,	534,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 29'),
(1,	534,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 29'),
(3,	535,	'Відділення №1: вул. Котляревського, 2а'),
(1,	535,	'Отделение №1: ул. Котляревского, 2а'),
(3,	536,	'Відділення №1: вул. Миру, 123а'),
(1,	536,	'Отделение №1: ул. Мира, 123а'),
(3,	537,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	537,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	538,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2А'),
(1,	538,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2А'),
(3,	539,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 360а'),
(1,	539,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 360А'),
(3,	540,	'Пункт приймання-видачі (до 30 кг): вул. Штокалівка, 140а'),
(1,	540,	'Пункт приема-выдачи (до 30 кг): ул. Штокаливка, 140а'),
(3,	541,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3А'),
(1,	541,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3А'),
(3,	542,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 31в'),
(1,	542,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 31в'),
(3,	543,	'Відділення №1: вул. 30-річчя Перемоги, 8'),
(1,	543,	'Отделение №1: ул. 30-летия Победы, 8'),
(3,	544,	'Відділення №1: вул. Партизанська, 60'),
(1,	544,	'Отделение №1: вул. Партизанская, 60'),
(3,	545,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 23а'),
(1,	545,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 23а'),
(3,	546,	'Пункт приймання-видачі (до 30 кг): вул. Княгині Ольги, 30'),
(1,	546,	'Пункт приема-выдачи (до 30 кг): ул. Княгини Ольги, 30'),
(3,	547,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 36'),
(1,	547,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 36'),
(3,	548,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 36'),
(1,	548,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 36'),
(3,	549,	'Пункт приймання-видачі (до 30 кг): вул. Сумська, 1'),
(1,	549,	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 1'),
(3,	550,	'Пункт приймання-видачі (до 30 кг): вул. Дмитрівська, 94б'),
(1,	550,	'Пункт приема-выдачи (до 30 кг): ул. Дмитриевская, 94б'),
(3,	551,	'Пункт приймання-видачі (до 30 кг): вул. Дністровська, 106Б'),
(1,	551,	'Пункт приема-выдачи (до 30 кг): ул. Днестровская, 106Б'),
(3,	552,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	552,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	553,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1а'),
(1,	553,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(3,	554,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10'),
(1,	554,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3,	555,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5а'),
(1,	555,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5а'),
(3,	556,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 100'),
(1,	556,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 100'),
(3,	557,	'Пункт приймання-видачі (до 30 кг): вул. Лугова, 2'),
(1,	557,	'Иванополь, ул Луговая, 2'),
(3,	558,	'Пункт приймання-видачі (до 30 кг): вул. Б.Хмельницького, 41'),
(1,	558,	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 41'),
(3,	559,	'Пункт приймання-видачі (до 30 кг): вул. Гребля, 239'),
(1,	559,	'Пункт приема-выдачи (до 30 кг): ул. Гребля, 239'),
(3,	560,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 70А'),
(1,	560,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 70А'),
(3,	561,	'Пункт приймання-видачі (до 30 кг): вул. Кутузова, 45а'),
(1,	561,	'Пункт приема-выдачи (до 30 кг): ул. Кутузова, 45а'),
(3,	562,	'Відділення №1: вул. Житомирська, 39а'),
(1,	562,	'Отделение №1: ул. Житомирская, 39а'),
(3,	563,	'Пункт приймання-видачі (до 30 кг): вул. Надслучанська, 306'),
(1,	563,	'Пункт приема-выдачи (до 30 кг): ул. Надслучанская, 306'),
(3,	564,	'Відділення №1: вул. 22 Січня, 58Б'),
(1,	564,	'Отделение №1: ул. 22 Января, 82'),
(3,	565,	'Відділення №1: вул. Південна, 21'),
(1,	565,	'Отделение №1: ул. Южная, 21'),
(3,	566,	'Відділення №1 (до 30 кг): вул. Свободи, 41-В'),
(1,	566,	'Отделение №1 (до 30 кг): ул. Свободы, 41-В'),
(3,	567,	'Пункт приймання-видачі (до 30 кг): вул. Шевченко, 35'),
(1,	567,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 35'),
(3,	568,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 88'),
(1,	568,	'Руське Поле'),
(3,	569,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	569,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	570,	'Відділення №1: вул. Отамана Григорʼєва, 325А'),
(1,	570,	'Отделение №1: ул. Атамана Григорьева, 325А'),
(3,	571,	'Пункт приймання-видачі (до 30 кг): вул. Т.Шевченка, 58'),
(1,	571,	'Пункт приема-выдачи (до 30 кг): ул. Т.Шевченко, 58'),
(3,	572,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 41'),
(1,	572,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41'),
(3,	573,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 17'),
(1,	573,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 17'),
(3,	574,	'Відділення №1: вул. Урожайна, 1'),
(1,	574,	'Отделение №1: ул. Урожайная, 1'),
(3,	575,	'Пункт приймання-видачі (до 30 кг): вул. Старобільська, 24'),
(1,	575,	'Пункт приема-выдачи (до 30 кг): ул. Старобельска, 24'),
(3,	576,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 11'),
(1,	576,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 11'),
(3,	577,	'Пункт приймання-видачі (до 30 кг): вул. Слави, 1'),
(1,	577,	'Пункт приема-выдачи (до 30 кг): ул. Славы, 1'),
(3,	578,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 11а'),
(1,	578,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 11а'),
(3,	579,	'Пункт приймання-видачі (до 30 кг): вул. Таврійська, 127'),
(1,	579,	'Пункт приема-выдачи (до 30 кг): ул. Таврическая, 127'),
(3,	580,	'Пункт приймання-видачі (до 30 кг): вул. Ватутіна, 9'),
(1,	580,	'Пункт приема-выдачи (до 30 кг): ул. Ватутина, 9'),
(3,	581,	'Відділення №1: вул. Палія Семена, 12є'),
(1,	581,	'Отделение №1: ул. Палия Семена, 12є'),
(3,	582,	'Відділення №1: вул. Симоненка, 2б/43'),
(1,	582,	'Отделение №1: ул. Симоненка, 2б/43'),
(3,	583,	'Пункт приймання-видачі (до 30 кг): вул. Жиліна, 36'),
(1,	583,	'Пункт приема-выдачи (до 30 кг): ул. Жилина, 36'),
(3,	584,	'Відділення №1: вул. Соборна, 156в'),
(1,	584,	'Отделение №1: ул. Соборная, 156в'),
(3,	585,	'Відділення №1: вул. Шевченка, 193'),
(1,	585,	'Отделение № 1: ул. Шевченка, 193'),
(3,	586,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 39'),
(1,	586,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 39'),
(3,	587,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 58а'),
(1,	587,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 58а'),
(3,	588,	'Відділення №1: вул. Грушевського, 87Б'),
(1,	588,	'Отделение №1: ул. Грушевского, 87Б'),
(3,	589,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5'),
(1,	589,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3,	590,	'Відділення №1 (до 30 кг): вул. Гутніка, 40-в'),
(1,	590,	'Пункт приема-выдачи (до 30 кг): ул. Гутника, 40-в'),
(3,	591,	'Пункт приймання-видачі (до 30 кг): вул. Шполянська, 46'),
(1,	591,	'Пункт приема-выдачи (до 30 кг): ул. Шполянская, 46'),
(3,	592,	'Пункт приймання-видачі (до 30 кг): вул. Ходарева, 1А'),
(1,	592,	'Пункт приема-выдачи (до 30 кг): ул. Ходарева, 1А'),
(3,	593,	'Відділення №1: вул. Березова, 2 (лот 220, біля Клініки &quot;Мануфактура&quot;)'),
(1,	593,	'Отделение №1: ул. Березовая, 2'),
(3,	594,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 63'),
(1,	594,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63'),
(3,	595,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 12'),
(1,	595,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 12'),
(3,	596,	'Пункт приймання-видачі (до 30 кг): вул. Попівська, 82'),
(1,	596,	'Пункт приема-выдачи (до 30 кг), ул. Поповская, 82'),
(3,	597,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 5а'),
(1,	597,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 5а'),
(3,	598,	'Пункт приймання-видачі (до 30 кг): вул. Сонячна, 17'),
(1,	598,	'Пункт приема-выдачи (до 30 кг), ул. Солнечная, 17'),
(3,	599,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 29'),
(1,	599,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(3,	600,	'Відділення №1: вул. Центральна 33а'),
(1,	600,	'Отделение №1: ул. Центральная 33а'),
(3,	601,	'Відділення №1: вул. Українська, 90а'),
(1,	601,	'Отделение №1: ул. Украинская, 90а'),
(3,	602,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 2'),
(1,	602,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 2'),
(3,	603,	'Пункт приймання-видачі (до 30 кг): вул. Т.Шевченка, 9'),
(1,	603,	'Пункт приема-выдачи (до 30 кг): ул. Т.Шевченко, 9'),
(3,	604,	'Відділення №1 (до 30 кг на одне місце): вул. Базарна, 3'),
(1,	604,	'Отделение №1 (до 30 кг на одно место): ул. Базарна, 3'),
(3,	605,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 64'),
(1,	605,	'Автолавка: ВК 4215 ВМ: ул. Школьная, 64'),
(3,	606,	'Пункт приймання-видачі (до 30 кг): вул. Фігура, 53'),
(1,	606,	'Пункт приема-выдачи (до 30 кг): ул. Фигура, 53'),
(3,	607,	'Відділення №1: вул. Центральна, 64а (маг. &quot;Капітошка&quot;)'),
(1,	607,	'Отделение №1: ул. Центральная, 64а (маг. &quot;Капитошка&quot;)'),
(3,	608,	'Пункт приймання-видачі (до 30 кг): вул. Центральна,28'),
(1,	608,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(3,	609,	'Відділення № 1: вул. Монастирецька, 2'),
(1,	609,	'Отделение № 1: ул. Монастырецкая, 2'),
(3,	610,	'Відділення №1: вул. Миру, 34'),
(1,	610,	'Отделение №1: ул. Мира, 34'),
(3,	611,	'Відділення №1: вул. Незалежності, 1Б'),
(1,	611,	'Отделение №1: ул. Независимости, 1Б'),
(3,	612,	'Відділення №1: вул. Коцюбинського, 29'),
(1,	612,	'Отделение №1: ул. Коцюбинского, 29'),
(3,	613,	'Відділення №1: вул. Жовтнева, 2'),
(1,	613,	'Отделение №1: ул. Октябрьская, 2'),
(3,	614,	'Пункт приймання-видачі (до 30 кг): вул. Ферапонтова, 9'),
(1,	614,	'Пункт приема-выдачи (до 30 кг): ул. Ферапонтова, 9'),
(3,	615,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 109'),
(1,	615,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 109'),
(3,	616,	'Пункт приймання-видачі (до 30 кг): вул. Кревецького,29б'),
(1,	616,	'Пункт приема-выдачи (до 30 кг): ул. Кревецкого, 29б'),
(3,	617,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 81'),
(1,	617,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 81'),
(3,	618,	'Пункт приймання-видачі (до 30 кг): вул. Героїв Майдану, 42А'),
(1,	618,	'Пункт приема-выдачи (до 30 кг), ул. Героев Майдана, 42А'),
(3,	619,	'Пункт приймання-видачі (до 30 кг): вул. Дрогобицька, 353'),
(1,	619,	'Пунт приема-выдачи (до 30 кг), ул. Дрогобычская, 353'),
(3,	620,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 86'),
(1,	620,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 86'),
(3,	621,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 57а'),
(1,	621,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	622,	'Відділення №1: вул. Єгорова, 8'),
(1,	622,	'Отделение №1: ул. Егорова, 8'),
(3,	623,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 22-А'),
(1,	623,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22-А'),
(3,	624,	'Відділення №1: вул. Приміська, 5'),
(1,	624,	'Отделение №1: ул. Пригородная, 5'),
(3,	625,	'Пункт приймання-видачі (до 30 кг): вул. Карпатська, 2а'),
(1,	625,	'Пункт приема-выдачи (до 30 кг): ул. Карпатская, 2а'),
(3,	626,	'Пункт приймання-видачі (до 30 кг): вул. Свято-Михайлівська, 1'),
(1,	626,	'Пункт приема-выдачи (до 30 кг): ул. Свято-Михайловская, 1'),
(3,	627,	'Відділення №1: вул. Центральна, 56 А'),
(1,	627,	'Отделение №1: ул. Центральная, 56 А'),
(3,	628,	'Відділення №1: пров. Парковий, 11а'),
(1,	628,	'Отделение №1: просп. Парковый, 11а'),
(3,	629,	'Відділення №1: вул. 1-го Травня, 18'),
(1,	629,	'Отделение №1: ул. 1-го Мая, 18'),
(3,	630,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 7'),
(1,	630,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(3,	631,	'Пункт приймання-видачі (до 30 кг): вул. Зарічна, 1А'),
(1,	631,	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 1А'),
(3,	632,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	632,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	633,	'Пункт приймання-видачі (до 30 кг): вул. Липецкая, 36'),
(1,	633,	'Пункт приема-выдачи (до 30 кг): ул. Липецкая, 36'),
(3,	634,	'Пункт приймання-видачі (до 30 кг): вул. Серафинець, 21'),
(1,	634,	'Пункт приема-выдачи (до 30 кг): ул. Серафинець, 21'),
(3,	635,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 45'),
(1,	635,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(3,	636,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 82Б'),
(1,	636,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 82б'),
(3,	637,	'Відділення №1: вул. Чернавіна, 42а'),
(1,	637,	'Отделение №1: ул. Чернавина, 42а'),
(3,	638,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 98'),
(1,	638,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 98'),
(3,	639,	'Автолавка (до 30 кг): вул. Грушевського, 17'),
(1,	639,	'Автолавка (до 30 кг): ул. Грушевского, 17'),
(3,	640,	'Відділення №1: вул. Виставкова, 12'),
(1,	640,	'Отделение №1: ул. Выставочная, 12'),
(3,	641,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5А'),
(1,	641,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5А'),
(3,	642,	'Пункт приймання-видачі (до 30 кг): вул. Кошута, 197'),
(1,	642,	'Пункт приема-выдачи (до 30 кг): ул. Кошута, 197'),
(3,	643,	'Пункт приймання-видачі (до 30 кг): вул. М. Емінеску, 73'),
(1,	643,	'Пункт приема-выдачи (до 30 кг): ул. М. Эминеску, 73'),
(3,	644,	'Відділення №1: пров. Поштовий, 4/4'),
(1,	644,	'Отделение №1: пер. Почтовый, 4/4.'),
(3,	645,	'Відділення №1: вул. Благовіщенська, 58'),
(1,	645,	'Отделение №1: ул. Благовещенская, 58'),
(3,	646,	'Пункт приймання-видачі (до 30 кг): вул. Подільська, 29а'),
(1,	646,	'Пункт приема-выдачи (до 30 кг): ул. Подольская, 29а'),
(3,	647,	'Пункт приймання-видачі  (до 30 кг): вул. Тишика, 56а'),
(1,	647,	'Пункт приема-выдачи (до 30 кг): ул. Тишика, 56а'),
(3,	648,	'Відділення № 1: вул. Богдана Хмельницького, 1'),
(1,	648,	'Отделение № 1: ул. Богдана Хмельницкого, 1'),
(3,	649,	'Пункт приймання-видачі (до 30 кг): вул. Тернопільська, 41'),
(1,	649,	'Пункт приема-выдачи (до 30 кг): ул. Тернопольская, 41'),
(3,	650,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31а'),
(1,	650,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31а'),
(3,	651,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 89а'),
(1,	651,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 89а'),
(3,	652,	'Відділення №1: вул. Головна, 28'),
(1,	652,	'Отделение №1: ул. Главная, 28'),
(3,	653,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 37'),
(1,	653,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 37'),
(3,	654,	'Пункт приймання-видачі (до 30 кг): вул. Сторожинецька, 24а'),
(1,	654,	'Пункт приема-выдачи (до 30 кг): ул. Сторожинецкая, 24а'),
(3,	655,	'Пункт приймання-видачі (до 30 кг): вул. Буднок, 31'),
(1,	655,	'Пункт приема-выдачи (до 30 кг): ул. Буднок, 31'),
(3,	656,	'Пункт приймання-видачі (до 30 кг): вул. Баня, 150'),
(1,	656,	'Пункт приема-выдачи (до 30 кг): ул. Баня, 150'),
(3,	657,	'Пункт приймання-видачі (до 30 кг): вул. Виноградна, 60'),
(1,	657,	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 60'),
(3,	658,	'Пункт приймання-видачі (до 30 кг): вул. Кільцева, 48'),
(1,	658,	'Пункт приема-выдачи (до 30 кг): ул. Кольцевая, 48'),
(3,	659,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 24'),
(1,	659,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 24'),
(3,	660,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 5'),
(1,	660,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 5'),
(3,	661,	'Відділення №1: вул. О. Маковея, 62'),
(1,	661,	'Отделение №1: ул. А. Маковея, 62'),
(3,	662,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 23'),
(1,	662,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23'),
(3,	663,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 58'),
(1,	663,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(3,	664,	'Пункт приймання-видачі (до 30 кг): вул. Ігоря Сікорського, 44б'),
(1,	664,	'Пункт приема-выдачи (до 30 кг), ул. Игоря Сикорского, 44Б'),
(3,	665,	'Автолавка (до 30 кг): АН 2938 КН, площа Гагаріна (біля сільради)'),
(1,	665,	'Автолавка (до 30 кг): АН 2938 КН, площадь Гагарина (возле сельсовета)'),
(3,	666,	'Відділення №1: вул. Миру,109'),
(1,	666,	'Отделение №1: ул. Мира,109'),
(3,	667,	'Пункт приймання-видачі (до 30 кг): вул. Променева, 13'),
(1,	667,	'Пункт приема-выдачи (до 30 кг): ул. Лучевая, 13'),
(3,	668,	'Пункт приймання-видачі (до 30 кг): вул. Поліська, 65'),
(1,	668,	'Пункт приема-выдачи (до 30 кг): ул. Полесская, 65'),
(3,	669,	'Пункт приймання-видачі (до 30 кг): вул. Комсомольська, 8'),
(1,	669,	'Пункт приема-выдачи (до 30 кг): ул. Комсомольская, 8'),
(3,	670,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 155'),
(1,	670,	'Пункт приема-выдачи (до 30 кг): ул. Центральна, 155'),
(3,	671,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 32'),
(1,	671,	'Дегтяри, Центральная, 32'),
(3,	672,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 45'),
(1,	672,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 45'),
(3,	673,	'Відділення №1: вул. Дружби, 1'),
(1,	673,	'Отделение №1: ул. Дружбы, 1'),
(3,	674,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	674,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	675,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 42'),
(1,	675,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 42'),
(3,	676,	'Відділення №1: вул. Шухевича, 3'),
(1,	676,	'Отделение №1: ул. Шухевича, 3'),
(3,	677,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 50'),
(1,	677,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50'),
(3,	678,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 15'),
(1,	678,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(3,	679,	'Пункт приймання-видачі (до 30 кг): вул. Мілієнка, 46'),
(1,	679,	'Пункт приема-выдачи (до 30 кг), ул. Милиенка, 46'),
(3,	680,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 37'),
(1,	680,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 37'),
(3,	681,	'Відділення №1: вул. Леніна,54 (ТРК Альтаїр)'),
(1,	681,	'Отделение №1: ул. Ленина, 54 (ТРК Альтаир)'),
(3,	682,	'Відділення №1: вул. Погребняка, 8б'),
(1,	682,	'Отделение №1: ул. Погребняка, 8б'),
(3,	683,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 31-А'),
(1,	683,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 31-А'),
(3,	684,	'Відділення №1: вул. Б.Хмельницького, 42'),
(1,	684,	'Отделение №1: ул. Б. Хмельницкого, 42'),
(3,	685,	'Відділення № 1: вул. Жовтнева, 8'),
(1,	685,	'Отделение № 1: ул. Октябрьская, 8'),
(3,	686,	'Відділення №1: вул. Хміль, 50а'),
(1,	686,	'Отделение №1: ул. Хмель, 50а'),
(3,	687,	'Пункт приймання-видачі (до 30 кг): вул. Проектна, 11'),
(1,	687,	'Пункт приема-выдачи (до 30 кг), ул. Проектная, 11'),
(3,	688,	'Пункт приймання-видачі (до 30 кг): вул. Мічуріна, 1б'),
(1,	688,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 1б'),
(3,	689,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 13'),
(1,	689,	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 13'),
(3,	690,	'Пункт приймання-видачі (до 30 кг): вул.  Парусна, 1'),
(1,	690,	'Пункт приема-выдачи (до 30 кг): ул. Парусная, 1'),
(3,	691,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 177'),
(1,	691,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 109'),
(3,	692,	'Пункт приймання-видачі (до 30 кг): вул. Мифодія Ковальчука, 33'),
(1,	692,	'Пункт приема-выдачи (до 30 кг): ул. Мифодия Ковальчука, 33'),
(3,	693,	'Пункт приймання-видачі  (до 30 кг): вул. Жовтнева, 24'),
(1,	693,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 24'),
(3,	694,	'Пункт приймання-видачі (до 30 кг): вул. Б.Хмельницького, 17А'),
(1,	694,	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 17А'),
(3,	695,	'Автолавка: ВК 4215 ВМ, вул. Богдана Хмельницького, 8 (біля Укрпошти)'),
(1,	695,	'Автолавка: ВК 4215 ВМ: ул. Богдана Хмельницкого, 8'),
(3,	696,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 35'),
(1,	696,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 35'),
(3,	697,	'Автолавка (до 30 кг): вул. Центральна, 10'),
(1,	697,	'Автолавка (до 30 кг): ул. Центральная, 10'),
(3,	698,	'Пункт приймання-видачі (до 30 кг): вул. Лісна, 1'),
(1,	698,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1'),
(3,	699,	'Пункт приймання-видачі (до 30 кг): вул. Залізнична , 2Б'),
(1,	699,	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 2Б'),
(3,	700,	'Відділення №1: вул. Шевченко, 2/82'),
(1,	700,	'Отделение №1: ул. Шевченко, 2/82'),
(3,	701,	'Відділення №1: вул. Поштова, 7'),
(1,	701,	'Отделение №1: ул. Почтовая, 7'),
(3,	702,	'Відділення №1: вул. Соборна, 104а'),
(1,	702,	'Отделение №1: ул. Соборная, 104а'),
(3,	703,	'Відділення №1: вул. Центральна, 70'),
(1,	703,	'Отделение №1: ул. Центральная, 70'),
(3,	704,	'Відділення №1: вул. Шевченка, 35'),
(1,	704,	'Отделение №1: ул., Шевченка, 35'),
(3,	705,	'Відділення №1: вул. Козака Володимира, 50'),
(1,	705,	'Отделение №1: ул. Владимира Козака, 50'),
(3,	706,	'Відділення №1: вул. Олекси Тихого, 70в'),
(1,	706,	'Отделение №1: ул. Олекси Тихого, 70в'),
(3,	707,	'Відділення № 1: вул. Кіпенко, 4'),
(1,	707,	'Отделение № 1: ул. Кипенко, 4'),
(3,	708,	'Відділення №1: вул. Незалежності, 19а'),
(1,	708,	'Отделение №1: ул. Незавизимости, 19а'),
(3,	709,	'Пункт приймання-видачі (до 30 кг): вул. Довбуша, 3'),
(1,	709,	'Пункт приема-выдачи (до 30 кг): ул. Довбуша, 3'),
(3,	710,	'Пункт приймання-видачі (до 30 кг): вул. Митяшкіна, 65'),
(1,	710,	'Пункт приема-выдачи (до 30 кг), ул. Митяшкина, 65'),
(3,	711,	'Пункт приймання-видачі (до 30 кг): вул. Мартірок, б/н'),
(1,	711,	'Пункт приема-выдачи (до 30 кг): ул. Мартирок б/н'),
(3,	712,	'Пункт приймання-видачі (до 30 кг): вул. Весняна, 2а'),
(1,	712,	'Пункт приема-выдачи (до 30 кг): ул. Весенняя, 2а'),
(3,	713,	'Пункт приймання-видачі (до 30 кг): вул. Довбуша, 141'),
(1,	713,	'Пункт приема-выдачи (до 30 кг), ул. Довбуша, 141'),
(3,	714,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 3'),
(1,	714,	'ункт приема-выдачи (до 30 кг): ул. Зеленая, 3'),
(3,	715,	'Пункт приймання-видачі (до 30 кг): вул. Велика Луб\'янка, 17'),
(1,	715,	'Пункт приема-выдачи (до 30 кг): ул. Большая Лубянка, 17'),
(3,	716,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 40'),
(1,	716,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 40'),
(3,	717,	'Пункт приймання-видачі (до 30 кг): вул. Суворова, 10-а'),
(1,	717,	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 10'),
(3,	718,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 57А'),
(1,	718,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 57А'),
(3,	719,	'Відділення №1: вул. Кооперативна, 4'),
(1,	719,	'Отделение №1: ул. Кооперативная, 4'),
(3,	720,	'Відділення №1: вул. Верещагіна, 16'),
(1,	720,	'Отделение №1: ул. Верещагина, 16'),
(3,	721,	'Відділення №1: вул. Привокзальна, 21'),
(1,	721,	'Отделение №1: ул. Привокзальная, 21'),
(3,	722,	'Відділення №1: вул. Городоцька, 355/6'),
(1,	722,	'Отделение №1: ул. Городоцкая, 355/6'),
(3,	723,	'Відділення №1: вул. Купріна, 10'),
(1,	723,	'Отделение №1: ул. Куприна, 10'),
(3,	724,	'Відділення №1: с. Грабовець, вул. Поповича, 11а'),
(1,	724,	'Отделение №1: с. Грабовец, ул. Поповича, 11а'),
(3,	725,	'Відділення №1: вул. Молодіжна, 6-Г'),
(1,	725,	'Отделение №1: ул. Молодежная, 6-Г'),
(3,	726,	'Відділення №1: вул. Максимовича, 8'),
(1,	726,	'Отделение №1: ул. Максимовича, 8'),
(3,	727,	'Відділення №1: вул. Князя Володимира 109а'),
(1,	727,	'Отделение №1: ул. Князя Владимира, 109а'),
(3,	728,	'Відділення №1: вул. Олега Оникієнка (ран. Кутузова), 125'),
(1,	728,	'Отделение №1: ул. Олега Оникиенко (ран. Кутузова), 125'),
(3,	729,	'Відділення №1 (до 30 кг на одне місце): вул. Старобілоуська, 77'),
(1,	729,	'Отделение №1 (до 30 кг на одно место): ул. Старобелоуская, 77'),
(3,	730,	'Відділення №1: вул. Володимирська, 135'),
(1,	730,	'Отделение №1: ул. Владимирская, 135'),
(3,	731,	'Відділення №1: вул. Козацька (ран. Червоного Козацтва), 122/1'),
(1,	731,	'Отделение №1: ул. Казацкая (ран. Красного Казачества), 122/1'),
(3,	732,	'Відділення №1: вул. Флотська, 2'),
(1,	732,	'Отделение №1: ул. Флотская, 2'),
(3,	733,	'Відділення №1: вул. І.Франка, 40а'),
(1,	733,	'Отделение №1: ул. И. Франко, 40а'),
(3,	734,	'Відділення №1: вул. Узинська (ран. 1-ша Радгоспна), 5'),
(1,	734,	'Отделение №1: ул. Узынская (ран. 1-ая Совхозная), 5'),
(3,	735,	'Відділення №1: просп. Героїв України (ран. просп. Героїв Сталінграду), буд. 13'),
(1,	735,	'Отделение №1: просп. Героев Украины (ран. просп. Героев Сталинграда), д. 13'),
(3,	736,	'Відділення №1: вул. Ветеринарна, 22 (заїзд з вул. Європейська &quot;Меблевий квартал&quot;)'),
(1,	736,	'Отделение №1: ул. Ветеринарная, 22 (заезд с ул. Европейская &quot;Меблевий квартал&quot;)'),
(3,	737,	'Відділення №1: вул. Фортечна (ран. Грязнова), 2в (Набережна магістраль)'),
(1,	737,	'Отделение №1: ул. Крепостная (ран. Грязнова), 2в (Набережная магистраль)'),
(3,	738,	'Автолавка (до 30 кг): вул. Кравченка, 156'),
(1,	738,	'Автолавка (до 30 кг): ул. Кравченко, 156'),
(3,	739,	'Пункт приймання-видачі (до 30 кг): вул. Чорнобильська, 16г'),
(1,	739,	'Пункт приема-выдачи (до 30 кг): ул. Чернобыльская, 16г'),
(3,	740,	'Пункт приймання-видачі (до 30 кг): вул. Залужна, 2'),
(1,	740,	'Пункт приема-выдачи (до 30 кг): ул. Залужна, 2'),
(3,	741,	'Пункт приймання-видачі (до 30 кг): вул. Волгодонська, 73'),
(1,	741,	'Пункт приема-выдачи (до 30 кг), ул. Волгодонская, 73'),
(3,	742,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 26'),
(1,	742,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 26'),
(3,	743,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 14'),
(1,	743,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 14'),
(3,	744,	'Відділення №1: вул. Каштанова, 16'),
(1,	744,	'Отделение №1: ул. Каштановая, 16'),
(3,	745,	'Відділення №1: вул. Центральна, 28а'),
(1,	745,	'Отделение №1: ул. Центральная, 28а'),
(3,	746,	'Відділення №1: вул. Авіаційна (ринок)'),
(1,	746,	'Отделение №1: ул. Авиационная (рынок)'),
(3,	747,	'Пункт приймання-видачі(до 30 кг): вул. Центральна, 1а'),
(1,	747,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(3,	748,	'Відділення №1: вул. Соборна (ран. Радянська), 31'),
(1,	748,	'Отделение №1: ул. Соборная (ран. Советская), 31'),
(3,	749,	'Відділення № 1: вул. Шевченко, 9а'),
(1,	749,	'Отделение № 1: ул. Шевченко, 9а'),
(3,	750,	'Відділення № 1: вул. Соборна, 2'),
(1,	750,	'Отделение № 1: ул. Соборная, 2'),
(3,	751,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 98'),
(1,	751,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 98'),
(3,	752,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 39'),
(1,	752,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 39'),
(3,	753,	'Відділення № 1: вул. Підлісна, 27'),
(1,	753,	'Отделение № 1: ул. Подлесная, 27'),
(3,	754,	'Пункт приймання-видачі (до 30 кг): вул. Сонячна, 1'),
(1,	754,	'Пункт приема-выдачи (до 30 кг): ул. Солнечная, 1'),
(3,	755,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 1'),
(1,	755,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(3,	756,	'Пункт приймання-видачі (до 30 кг): вул. Берегівська, 22а'),
(1,	756,	'Пункт приема-выдачи (до 30 кг): ул. Береговский, 22а'),
(3,	757,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9'),
(1,	757,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(3,	758,	'Відділення №1:  вул. Комуністична, 4'),
(1,	758,	'Отделение №1: ул. Коммунистическая, 4'),
(3,	759,	'Пункт приймання-видачі (до 30 кг): вул. Шосова, 97'),
(1,	759,	'Пункт приема-выдачи (до 30 кг): ул. Шосова, 97'),
(3,	760,	'Автолавка (до 30 кг): вул. Соборна, 1'),
(1,	760,	'Автолавка (до 30 кг): ул. Соборная, 1'),
(3,	761,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 6-Б'),
(1,	761,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 6-Б'),
(3,	762,	'Відділення №1 (до 30 кг): вул. Музична, 2-Б'),
(1,	762,	'Отделение №1 (до 30 кг): ул. Музыкальная, 2-Б'),
(3,	763,	'Відділення №1: вул. Карнаухіна, 32'),
(1,	763,	'Отделение №1: ул. Карнаухина, 32'),
(3,	764,	'Пункт приймання-видачі (до 30 кг): вул. Мартинова, 11'),
(1,	764,	'Пункт приема-выдачи (до 30 кг): ул. Мартынова, 11'),
(3,	765,	'Пункт приймання-видачі (до 30 кг): вул. Підсухи, 102 б'),
(1,	765,	'Пункт приема-выдачи (до 30 кг): ул. Подсухи, 102 б'),
(3,	766,	'Відділення №1: вул. Шевченко, 56а'),
(1,	766,	'Отделение №1: ул. Шевченка, 56а'),
(3,	767,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 78'),
(1,	767,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78'),
(3,	768,	'Пункт приймання-видачі (до 30 кг): вул. Кушніра, 55'),
(1,	768,	'Пункт приема-выдачи (до 30 кг): ул. Кушнира, 55'),
(3,	769,	'Відділення №1: вул. Траян,10'),
(1,	769,	'Отделение №1: ул. Траян,10'),
(3,	770,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 87'),
(1,	770,	'Юрковка, ул Октябрьская, 87'),
(3,	771,	'Відділення №1: вул. Ювілейна, 37А'),
(1,	771,	'Отделение №1: ул. Юбилейная, 37А'),
(3,	772,	'Пункт приймання-видачі (до 30 кг): вул. Гургули, 33'),
(1,	772,	'Пункт приема-выдачи (до 30 кг): ул. Гургули, 33'),
(3,	773,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 1'),
(1,	773,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 1'),
(3,	774,	'Відділення №1: вул. Молодіжна, 7'),
(1,	774,	'Отделение №1: ул. Молодёжная, 7'),
(3,	775,	'Пункт приймання-видачі (до 30 кг): вул. Шухевича, 2Б'),
(1,	775,	'Пункт приема-выдачи (до 30 кг): ул. Шухевича, 2Б'),
(3,	776,	'Відділення №1: вул. Чкалова, 93'),
(1,	776,	'Отделение: ул. Чкалова, 93'),
(3,	777,	'Відділення №1: вул. Калініна, 70'),
(1,	777,	'Отделение №1: ул. Калинина, 70'),
(3,	778,	'Відділення №1: вул. Центральна, 103'),
(1,	778,	'Отделение №1: ул. Центральная, 103'),
(3,	779,	'Відділення №1: вул. Генерала Плієва, 29/4'),
(1,	779,	'Отделение №1: ул. Генерала Плиева, 29/4.'),
(3,	780,	'Пункт приймання-видачі (до 30 кг): вул. Шевченко,19'),
(1,	780,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(3,	781,	'Пункт приймання-видачі (до 30 кг): вул. Таврійська, 1'),
(1,	781,	'Пункт приема-выдачи (до 30 кг): ул. Таврическая, 1'),
(3,	782,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 124а'),
(1,	782,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 124а'),
(3,	783,	'Пункт приймання-видачі (до 30 кг): вул. Героїв України, 8а'),
(1,	783,	'Пункт приема-выдачи (до 30 кг): ул. Героев Украины, 8а'),
(3,	784,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 19'),
(1,	784,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 19'),
(3,	785,	'Пункт приймання-видачі (до 30 кг): вул. Калініна, 28Б'),
(1,	785,	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 28Б'),
(3,	787,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 447'),
(1,	787,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 447'),
(3,	788,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 1'),
(1,	788,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 1'),
(3,	789,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 19б'),
(1,	789,	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 19б'),
(3,	790,	'Відділення №1: вул. Промислова, 1'),
(1,	790,	'Отделение №1: ул. Промышленная, 1'),
(3,	791,	'Відділення №1: вул. Київська (ран. Кірова), 34'),
(1,	791,	'Отделение №1: ул. Киевская (ран. Кирова), 34'),
(3,	792,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1'),
(1,	792,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 1'),
(3,	793,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 98'),
(1,	793,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 98'),
(3,	794,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2а'),
(1,	794,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3,	795,	'Відділення №1: вул. Берегового, 46'),
(1,	795,	'Отделение №1: ул. Берегового, 46'),
(3,	796,	'Відділення №1: вул. Правденська, 1'),
(1,	796,	'Отделение №1: ул. Правденская, 1'),
(3,	797,	'Пункт приймання-видачі (до 30 кг): вул. Т.Г. Шевченка, 55'),
(1,	797,	'Пункт приема-выдачи (до 30 кг): ул. Т.Г. Шевченко, 55'),
(3,	798,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5'),
(1,	798,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3,	799,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 5'),
(1,	799,	'Пункт приема-выдачи (до 30 кг), ул. Сечевых Стрельцов, 5'),
(3,	800,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 77'),
(1,	800,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 77'),
(3,	801,	'Пункт приймання-видачі (до 30 кг): вул. Беке, 156'),
(1,	801,	'Пункт приема-выдачи (до 30 кг): ул. Беке, 156'),
(3,	802,	'Відділення №1: вул. Грищенко, 6а'),
(1,	802,	'Отделение №1: ул. Грищенко, 6а'),
(3,	803,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 4'),
(1,	803,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 4'),
(3,	804,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 48'),
(1,	804,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(3,	805,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8'),
(1,	805,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(3,	806,	'Відділення №1: вул. Зозулинського, 15 Б'),
(1,	806,	'Отделение №1: ул. Зозулинского, 15 Б'),
(3,	807,	'Відділення № 1: вул. Олега Кошевого, 42б'),
(1,	807,	'Отделение № 1: ул. Олега Кошевого, 42б'),
(3,	808,	'Відділення №1: вул. Набережна, 170'),
(1,	808,	'Отделение №1: ул. Набережная, 170'),
(3,	809,	'Відділення №1: вул. Луганська, 1а'),
(1,	809,	'Отделение №1: ул. Луганская, 1а'),
(3,	810,	'Відділення №1: вул. Свободи,102а'),
(1,	810,	'Отделение №1: ул. Свободы,102а'),
(3,	811,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	811,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	812,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 138-а'),
(1,	812,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(3,	813,	'Відділення №1 (до 30 кг): вул. Адмірала Левченка, 132'),
(1,	813,	'Отделение №1 (до 30 кг): ул. Адмирала Левченко, 132'),
(3,	814,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 26'),
(1,	814,	'Пункт приема-выдачи (до 30 кг): ул. Удянская, 11'),
(3,	815,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 1'),
(1,	815,	'Пункт приема-выдачи (до 30 кг): ул. Украинский, 1'),
(3,	816,	'Пункт приймання-видачі (до 30 кг): вул. Євдокімова, 5А'),
(1,	816,	'Пункт приема-выдачи (до 30 кг): ул. Евдокимова, 5а'),
(3,	817,	'Відділення №1: вул. Соборна, 189а'),
(1,	817,	'Отделение №1: ул. Соборная, 189а'),
(3,	818,	'Відділення № 1: вул. Горького, 2'),
(1,	818,	'Отделение № 1: ул. Горького, 2'),
(3,	819,	'Пункт приймання-видачі (до 30 кг): вул. Аграрна, 8а'),
(1,	819,	'Пункт приема-выдачи (до 30 кг): ул. Аграрная, 8а'),
(3,	820,	'Пункт приймання-видачі (до 30 кг): вул. Гвардійська, 50'),
(1,	820,	'Пункт приема-выдачи (до 30 кг): ул. Гвардейская, 50'),
(3,	821,	'Відділення №1: вул. Вокзальна, 11'),
(1,	821,	'Отделение №1: ул. Вокзальная, 11'),
(3,	822,	'Пункт приймання-видачі (до 30 кг): вул. Городоцька, 2'),
(1,	822,	'Пункт приема-выдачи (до 30 кг): ул. Городецкая, 2'),
(3,	823,	'Пункт приймання-видачі (до 30 кг): вул. Овлочинська, 5'),
(1,	823,	'Пункт приема-выдачи (до 30 кг): ул. Овлочинська, 5'),
(3,	824,	'Відділення №1: вул. Декабристів, 2а'),
(1,	824,	'Отделение №1: ул. Декабристов, 2а'),
(3,	825,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 16'),
(1,	825,	'\nПункт приема-выдачи (до 30 кг), ул. Школьная, 16'),
(3,	826,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 12'),
(1,	826,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 12'),
(3,	827,	'Пункт приймання-видачі (до 30 кг): вул. Фантераль, 81'),
(1,	827,	'Пункт приема-выдачи (до 30 кг): ул. Фантераль, 81'),
(3,	828,	'Відділення №1: вул. Горішня Брама, 183'),
(1,	828,	'Отделение №1: ул. Горишня Брама, 183'),
(3,	829,	'Відділення №1 (до 30 кг): вул. Київська, 47а'),
(1,	829,	'Отделение №1 (до 30 кг): ул. Киевская, 47а'),
(3,	830,	'Відділення №1: вул. Вокзальна, 2а'),
(1,	830,	'Отделение №1: ул. Вокзальная, 2а'),
(3,	831,	'Відділення №1: вул. Миру, 121'),
(1,	831,	'Отделение №1, ул. Мира, 121'),
(3,	832,	'Відділення №1: вул. Центральна, 24а'),
(1,	832,	'Отделение №1: ул. Центральная, 24а'),
(3,	833,	'Пункт приймання-видачі (до 30 кг): вул. Паркова, 8'),
(1,	833,	'Пункт приема-выдачи (до 30 кг): ул. Парковая, 8'),
(3,	834,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 45а'),
(1,	834,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 45а'),
(3,	835,	'Відділення №1: вул. Рівненська, 1'),
(1,	835,	'Отделение №1: ул. Ровенская, 1'),
(3,	836,	'Відділення №1: вул. Івана Франка, 2А'),
(1,	836,	'Отделение №1: ул. Ивана Франко, 2А'),
(3,	837,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 26а'),
(1,	837,	'Пункт приема-выдачи (до 30 кг), ул. Киевская, 26а'),
(3,	838,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 21'),
(1,	838,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 21'),
(3,	839,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 17'),
(1,	839,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 17'),
(3,	840,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 2'),
(1,	840,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 2'),
(3,	841,	'Відділення №1: вул. Львівська, 33'),
(1,	841,	'Отделение №1: ул. Львовская, 33'),
(3,	842,	'Пункт приймання-видачі (до 30 кг): вул. Небесної Сотні, 1'),
(1,	842,	'Пункт приема-выдачи (до 30 кг): ул. Небесной Сотни, 1'),
(3,	843,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 22'),
(1,	843,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 22'),
(3,	844,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 26'),
(1,	844,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 26'),
(3,	845,	'Пункт приймання-видачі (до 30 кг): вул. Ковельська, 55а'),
(1,	845,	'Пункт приема-выдачи (до 30 кг): ул. Ковельская, 55а'),
(3,	846,	'Пункт приймання-видачі (до 30 кг): вул. Козловського, 12'),
(1,	846,	'Пункт приема-выдачи (до 30 кг): ул. Козловского, 12'),
(3,	847,	'Відділення №1: вул. Шевченка, 11а'),
(1,	847,	'Отделение №1: ул. Шевченко, 11а'),
(3,	848,	'Відділення №1: вул. Героїв Майдану, 12а'),
(1,	848,	'Отделение №1: ул. Героев Майдана, 12а'),
(3,	849,	'Відділення №1: вул. Героїв Чорнобиля, 19'),
(1,	849,	'Отделение №1: ул. Героев Чернобыля, 19'),
(3,	850,	'Пункт приймання-видачі (до 30 кг): вул. Дімітрова, 66а'),
(1,	850,	'Пункт приема-выдачи (до 30 кг): ул. Димитрова, 66а'),
(3,	851,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 33б'),
(1,	851,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 33б'),
(3,	852,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 34'),
(1,	852,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(3,	853,	'Пункт приймання-видачі (до 30 кг): вул. Інгулецька, 9'),
(1,	853,	'Пункт приема-выдачи (до 30 кг): ул. Ингулецкая, 9'),
(3,	854,	'Відділення №1: вул. Медова, 10'),
(1,	854,	'Оделение №1: ул. Медовая, 10'),
(3,	855,	'Пункт приймання-видачі (до 30 кг): вул. Героїв Майдану, б\\н'),
(1,	855,	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, б\\н'),
(3,	856,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 88'),
(1,	856,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 88'),
(3,	857,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	857,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	858,	'Пункт приймання-видачі (до 30 кг): вул. Примака, 1'),
(1,	858,	'Пункт приема-выдачи (до 30 кг): ул. Примака, 1'),
(3,	859,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 80'),
(1,	859,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 80'),
(3,	860,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 24'),
(1,	860,	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 24'),
(3,	861,	'Відділення №1: вул. Першотравнева, 2Б'),
(1,	861,	'Отделение №1: ул. Первомайская, 2Б'),
(3,	862,	'Відділення №1: вул. Чайковського, 2а'),
(1,	862,	'Отделение №1: ул. Чайковского, 2а'),
(3,	863,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6'),
(1,	863,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(3,	864,	'Пункт приймання-видачі (до 30 кг): вул. Подільська, 7'),
(1,	864,	'Пункт приема-выдачи (до 30 кг): ул. Подольская, 7'),
(3,	865,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 22'),
(1,	865,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 22'),
(3,	866,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 7'),
(1,	866,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 7'),
(3,	867,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 18'),
(1,	867,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 18'),
(3,	868,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 22'),
(1,	868,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(3,	869,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 11'),
(1,	869,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 11'),
(3,	870,	'Відділення № 1: вул. Незалежності, 2'),
(1,	870,	'Отделение 1: ул. Независимости, 2'),
(3,	871,	'Відділення №1 (до 30 кг на одне місце): вул. Нескорених, 22'),
(1,	871,	'Отделение №1 (до 30 кг на одно место): ул. Непокоренных, 22'),
(3,	872,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 29'),
(1,	872,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 29'),
(3,	873,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8'),
(1,	873,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(3,	874,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 23'),
(1,	874,	'Огурцовка, ул Дружбы, 23'),
(3,	875,	'Пункт приймання-видачі  (до 30 кг): вул. Кар\'єрна, 5'),
(1,	875,	'Пункт приема-выдачи (до 30 кг): ул. Карьерная, 5'),
(3,	876,	'Пункт приймання-видачі (до 30 кг): вул. Бондаренка, 99'),
(1,	876,	'Пункт приема-выдачи (до 30 кг): ул. Бондаренко, 99'),
(3,	877,	'Пункт приймання-видачі (до 30 кг): вул. Суворова, 39А'),
(1,	877,	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 39А'),
(3,	879,	'Пункт приймання-видачі (до 30 кг): вул. Фармаковського, 8'),
(1,	879,	'Пункт приема-выдачи (до 30 кг): ул. Фармаковский, 8'),
(3,	880,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	880,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	881,	'Відділення №1: вул. Володимира Сосюри (ран. Свердлова), 355'),
(1,	881,	'Отделение №1: ул. Владимира Сосюры (ран. Свердлова), 355'),
(3,	882,	'Відділення №1: бул. Незалежності, 2а'),
(1,	882,	'Отделение №1: бул. Независимости, 2а'),
(3,	883,	'Відділення №1: вул. Полтавська, 41'),
(1,	883,	'Отделение №1: ул. Полтавская, 41'),
(3,	884,	'Відділення №1: вул. Гвардійська, 153а'),
(1,	884,	'Отделение №1: ул. Гвардейская, 153а'),
(3,	885,	'Відділення №1: вул. Миру, 12'),
(1,	885,	'Отделение №1: ул. Мира, 12'),
(3,	886,	'Відділення №1: вул. Незалежності, 10'),
(1,	886,	'Отделение №1: ул. Независимости, 10'),
(3,	887,	'Пункт приймання-видачі (до 30 кг): вул. Центральний майдан, 1'),
(1,	887,	'Пункт приема-выдачи (до 30 кг): ул. Центральный майдан, 1'),
(3,	888,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 45'),
(1,	888,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 45'),
(3,	889,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 37'),
(1,	889,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 37'),
(3,	890,	'Пункт приймання-видачі  (до 30 кг): вул. Шевченка, 62а'),
(1,	890,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 62а'),
(3,	891,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 28'),
(1,	891,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 28'),
(3,	892,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 3'),
(1,	892,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 3'),
(3,	893,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 81'),
(1,	893,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 81'),
(3,	894,	'Відділення №1: вул. Головна, 37'),
(1,	894,	'Отделение №1: ул. Главная, 37'),
(3,	895,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 21А'),
(1,	895,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 21А'),
(3,	896,	'Пункт приймання-видачі (до 30 кг): вул. Дрогобицька, 65'),
(1,	896,	'Пункт приема-выдачи (до 30 кг): ул. Дрогобычская, 65'),
(3,	897,	'Відділення №1: вул. Яворницького,8'),
(1,	897,	'Отделение №1: ул. Яворницкого,8'),
(3,	898,	'Відділення №1: вул. Львівська, 8'),
(1,	898,	'Отделение №1: ул. Львовская, 8'),
(3,	899,	'Пункт приймання-видачі (до 30 кг): вул. Джерельна, 2'),
(1,	899,	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 2'),
(3,	900,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 29'),
(1,	900,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(3,	901,	'Відділення №1: вул. Київська (ран. просп. Жовтневої революції), 48а'),
(1,	901,	'Отделение №1: ул. Киевская (ран. просп. Октябрьской революции), 48а'),
(3,	902,	'Відділення №1: вул. Перспективна, 2'),
(1,	902,	'Отделение №1: ул. Перспективная, 2'),
(3,	903,	'Відділення №1: вул. Наукова, 1'),
(1,	903,	'Отделение №1: ул. Научная, 1'),
(3,	904,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 28'),
(1,	904,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(3,	905,	'Пункт приймання-видачі (до 30 кг): вул. Попова, 30'),
(1,	905,	'Пункт приема-выдачи (до 30 кг): ул. Попова, 30'),
(3,	906,	'Пункт приймання-видачі (до 30 кг): вул. Меліоративна, 1'),
(1,	906,	'Пункт приема-выдачи (до 30 кг): ул. Мелиоративная, 1'),
(3,	907,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1а'),
(1,	907,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(3,	908,	'Пункт приймання-видачі (до 30 кг): вул. Коростенська, 18'),
(1,	908,	'Пункте приема-выдачи (до 30 кг): ул. Коростенский, 18'),
(3,	909,	'Пункт приймання-видачі (до 30 кг): вул. Затишна, 9'),
(1,	909,	'Пункт приема-выдачи (до 30 кг): ул. Уютная, 9'),
(3,	910,	'Відділення №1: вул. Патруся Карпатського, 13а'),
(1,	910,	'Отделение №1: ул. Патруся Карпатского, 13а'),
(3,	911,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 10'),
(1,	911,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10'),
(3,	912,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6Б'),
(1,	912,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6Б'),
(3,	913,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 2'),
(1,	913,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 2'),
(3,	914,	'Пункт приймання-видачі (до 30 кг): вул. Шахтарська, 15а'),
(1,	914,	'Пункт приема-выдачи (до 30 кг): ул. Шахтерская, 15а'),
(3,	915,	'Пункт приймання-видачі (до 30 кг): вул. Вайди, 80'),
(1,	915,	'Пункт приема-выдачи (до 30 кг): ул. Вайды, 80'),
(3,	916,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 159/3'),
(1,	916,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 159/3'),
(3,	917,	'Пункт приймання-видачі (до 30 кг): вул. Арпада, 39'),
(1,	917,	'Пункт приема-выдачи (до 30 кг): ул. Арпада, 39'),
(3,	918,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 77'),
(1,	918,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 77'),
(3,	919,	'Пункт приймання-видачі (до 30 кг): вул. Джерельна, 46'),
(1,	919,	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 46'),
(3,	920,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 1'),
(1,	920,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 1'),
(3,	921,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 36'),
(1,	921,	'Михальча'),
(3,	922,	'Відділення №1: вул. Шевченка, 8'),
(1,	922,	'Отделение №1: ул. Шевченко, 8'),
(3,	924,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	924,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	925,	'Відділення №1: вул. Привокзальна, 35 а'),
(1,	925,	'Отделение №1: ул. Привокзальная, 35 а'),
(3,	926,	'Пункт приймання-видачі (до 30 кг): вул. Мостова, 1'),
(1,	926,	'Пункт приема-выдачи (до 30 кг): ул. Мостовая, 1'),
(3,	927,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 44'),
(1,	927,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44'),
(3,	928,	'Відділення №1: вул. Приморська, 54/1'),
(1,	928,	'Отделение №1: ул. Приморская, 54/1'),
(3,	929,	'Пункт приймання-видачі (до 30 кг): вул. Преображенська, 5а'),
(1,	929,	'Пункт приема-выдачи (до 30 кг): ул. Преображенская, 5а'),
(3,	930,	'Пункт приймання-видачі (до 30 кг): вул. Кірешська, б/н'),
(1,	930,	'Пункт приема-выдачи (до 30 кг), ул. Кирешская, б/н'),
(3,	931,	'Відділення №1: вул. Горького, 8'),
(1,	931,	'Отделение №1: ул. Горького, 8'),
(3,	932,	'Пункт приймання-видачі (до 30 кг): вул. Слабожанська, 76'),
(1,	932,	'Пункт приема-выдачи (до 30 кг): ул. Слабожанська, 76'),
(3,	933,	'Відділення №1: вул. Шевченка, 30б'),
(1,	933,	'Отделение №1: ул. Шевченка, 30б'),
(3,	934,	'Відділення №1: вул. Шевченка, 35'),
(1,	934,	'Отделение №1, ул. Шевченко, 35'),
(3,	935,	'Пункт приймання-видачі (до 30 кг): вул. Торгова, 16'),
(1,	935,	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 16'),
(3,	936,	'Відділення №1: вул. Зарічна, 5-А'),
(1,	936,	'Отделение №1: ул. Заречная, 5-А'),
(3,	937,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 171в'),
(1,	937,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 171в'),
(3,	938,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 65'),
(1,	938,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 65'),
(3,	939,	'Відділення №1: вул. Центральна, 14є'),
(1,	939,	'Отделение №1: ул. Центральная, 14е'),
(3,	940,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10'),
(1,	940,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3,	941,	'Відділення №1: вул. Радянська, 12'),
(1,	941,	'Отделение №1: ул. Советская, 12'),
(3,	942,	'Відділення №1: вул. Тернопільська, 5я'),
(1,	942,	'Отделение №1: ул. Тернопольская, 5я'),
(3,	943,	'Відділення №1: вул. Чкалова, 25'),
(1,	943,	'Отделение №1: ул. Чкалова, 25'),
(3,	944,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 1'),
(1,	944,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 1'),
(3,	945,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 137-А'),
(1,	945,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 137-А'),
(3,	946,	'Відділення №1: вул. Молодіжна, 26'),
(1,	946,	'Отделение № 1: ул. Молодежная, 26'),
(3,	947,	'Пункт приймання-видачі (до 30 кг): вул. Шоскинський шлях, 5'),
(1,	947,	'Пункт приема-выдачи (до 30 кг): ул. Шоскинський путь, 5'),
(3,	948,	'Пункт приймання-видачі (до 30 кг): вул. Східна, 72'),
(1,	948,	'Пункт приема-выдачи (до 30 кг): ул.  Восточная, 72'),
(3,	949,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 97/2'),
(1,	949,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 97/2'),
(3,	950,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	950,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	951,	'Відділення №1: вул. Центральна, 24'),
(1,	951,	'Отделение №1: ул. Центральная, 24'),
(3,	952,	'Відділення №1: вул. Незалежності, 13'),
(1,	952,	'Отделение №1: ул. Независимости, 13'),
(3,	953,	'Відділення №1: вул. Шевченка, 15'),
(1,	953,	'Отделение №1: ул. Шевченка, 15'),
(3,	954,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 6'),
(1,	954,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 6'),
(3,	955,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 26'),
(1,	955,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 26'),
(3,	956,	'Пункт приймання-видачі (до 30 кг): вул. Полтавська, 29'),
(1,	956,	'Пункт приема-выдачи (до 30 кг): ул. Полтавская, 29'),
(3,	957,	'Відділення №1: вул. Степана Бандери, 46'),
(1,	957,	'Отделение №1: ул. Степана Бандеры, 46'),
(3,	958,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 44'),
(1,	958,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44'),
(3,	959,	'Відділення №1: пл. Перемоги, 7'),
(1,	959,	'Отделение №1: пл. Победы, 7'),
(3,	960,	'Відділення №1: вул. Яблунева, 25'),
(1,	960,	'Отделение №1: ул. Яблоневая, 10'),
(3,	961,	'Відділення №1: вул. Мічуріна, 6'),
(1,	961,	'Отделение №1: ул. Мичурина, 6'),
(3,	962,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 3'),
(1,	962,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 3'),
(3,	963,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 119а'),
(1,	963,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 119а'),
(3,	964,	'Відділення №1: вул. Каштанова, 81'),
(1,	964,	'Отделение №1: ул. Ленина, 81'),
(3,	965,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	965,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	966,	'Відділення №1: 1/2 мікрорайон, буд. 55'),
(1,	966,	'Отделение №1: 1/2 микрорайон, дом 55'),
(3,	967,	'Пункт приймання-видачі (до 30 кг): вул. Верховинська, 146'),
(1,	967,	'Пункт приема-выдачи (до 30 кг), ул. Верховинская, 146'),
(3,	968,	'Відділення №1 (до 30 кг): вул. Миру, 50'),
(1,	968,	'Отделение №1 (до 30 кг): ул. Мира, 50'),
(3,	969,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 11'),
(1,	969,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 11'),
(3,	970,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33'),
(1,	970,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3,	971,	'Відділення №1: вул. Чкалова, 64'),
(1,	971,	'Отделение №1: ул. Чкалова, 64'),
(3,	972,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 28'),
(1,	972,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 28'),
(3,	973,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 1а'),
(1,	973,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1а'),
(3,	974,	'Відділення №1: вул. Калініна, 2'),
(1,	974,	'Отделение №1: ул. Калинина, 2'),
(3,	975,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	975,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 2'),
(3,	976,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 5'),
(1,	976,	'Пункт приема-выдачи (до 30 кг), ул. Победы, 5'),
(3,	977,	'Пункт приймання-видачі (до 30 кг): вул. Урожайна, б\\н'),
(1,	977,	'Пункт приема-выдачи (до 30 кг): ул. Урожайная, б/н'),
(3,	978,	'Відділення №1: вул. 16 липня, 267а'),
(1,	978,	'Отделение №1: ул. 16 июля, 267а'),
(3,	979,	'Відділення №1: вул. Свободи, 20'),
(1,	979,	'Отделение №1: ул. Свободы, 20'),
(3,	980,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 7'),
(1,	980,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 7'),
(3,	981,	'Відділення №1: вул. Жукова, 17'),
(1,	981,	'Отделение №1: ул. Жукова, 17'),
(3,	982,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 100а'),
(1,	982,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 100а'),
(3,	983,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 13'),
(1,	983,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 13'),
(3,	984,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 23А'),
(1,	984,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23А'),
(3,	985,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 54а'),
(1,	985,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 54а'),
(3,	986,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 3'),
(1,	986,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(3,	987,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2а'),
(1,	987,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3,	988,	'Відділення №1: вул. Ракоці, 12'),
(1,	988,	'Отделение №1: ул. Ракоцы, 12'),
(3,	989,	'Пункт приймання-видачі (до 30 кг): вул. Червоні партизани, 5'),
(1,	989,	'Пункт приема-выдачи (до 30 кг): ул. Красные партизаны, 5'),
(3,	990,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 20'),
(1,	990,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2'),
(3,	991,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	991,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	992,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	992,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	993,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 2'),
(1,	993,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2'),
(3,	994,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5'),
(1,	994,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3,	995,	'Пункт приймання-видачі (до 30 кг): вул. Вовченка, 15'),
(1,	995,	'Пункт приема-выдачи (до 30 кг): ул. Вовченко, 15'),
(3,	996,	'Відділення №1: вул. Тернопільська, 7'),
(1,	996,	'Отделение №1: ул. Тернопольская, 7'),
(3,	997,	'Пункт приймання-видачі (до 30 кг): вул. Шляхова, 65'),
(1,	997,	'Пункт приема-выдачи (до 30 кг): ул. Шляхова, 65'),
(3,	998,	'Відділення №1: вул. Б. Хмельницького, 65'),
(1,	998,	'Отделение №1: ул. Б. Хмельницкого, 65'),
(3,	999,	'Відділення №1: с. Хромове, вул. Київська, 2а'),
(1,	999,	'Отделение №1: с. Хромово, ул. Киевская, 2а'),
(3,	1000,	'Відділення №1: вул. Смірнова, 1а'),
(1,	1000,	'Отделение №1: ул. Смирнова, 1а'),
(3,	1001,	'Відділення №1: просп. Іоанна Путивльського , 36'),
(1,	1001,	'Отделение №1: просп. Иоанна Путивльского, 36'),
(3,	1002,	'Відділення №1: вул. Козацька, 17'),
(1,	1002,	'Отделение №1: ул. Козацкая, 17'),
(3,	1003,	'Пункт приймання-видачі (до 30 кг): вул. Плисенко, 1'),
(1,	1003,	'Пункт приема-выдачи (до 30 кг): ул. Плисенко, 1'),
(3,	1004,	'Пункт приймання-видачі (до 30 кг): вул. Мічуріна, 37'),
(1,	1004,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 37'),
(3,	1005,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 4А'),
(1,	1005,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4А'),
(3,	1006,	'Відділення №1: вул. Яковенка, 10'),
(1,	1006,	'Отделение №1: ул. Яковенко, 10'),
(3,	1007,	'Відділення №1: просп. Калнишевського, 59а'),
(1,	1007,	'Отделение №1: просп. Калнишевского, 59а'),
(3,	1008,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 9'),
(1,	1008,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 9'),
(3,	1009,	'Відділення №1: вул. Незалежності, 7'),
(1,	1009,	'Отделение №1: ул. Независимости, 7'),
(3,	1010,	'Відділення №1: вул. Липова, 44'),
(1,	1010,	'Отделение №1: ул. Липовая, 44'),
(3,	1011,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 44д'),
(1,	1011,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 44д'),
(3,	1012,	'Відділення №1: вул. Трудова, 5/4 (за заправкою Shell)'),
(1,	1012,	'Отделение №1: ул. Трудовая, 5/4 (за заправкой Shell)'),
(3,	1013,	'Відділення №1: вул. Повстанців, 68'),
(1,	1013,	'Отделение №1: ул. Повстанцев, 68'),
(3,	1014,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2а'),
(1,	1014,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2а'),
(3,	1015,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 22'),
(1,	1015,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 22'),
(3,	1016,	'Пункт приймання-видачі (до 30 кг): вул. Вигінь, 28'),
(1,	1016,	'Пункт приема-выдачи (до 30 кг): ул. Выгон, 28'),
(3,	1017,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 180'),
(1,	1017,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 180'),
(3,	1018,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 126'),
(1,	1018,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 126'),
(3,	1019,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 11г'),
(1,	1019,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11г'),
(3,	1020,	'Відділення №1: вул. Центральна, 16'),
(1,	1020,	'Отделение №1: ул. Центральная, 16'),
(3,	1021,	'Відділення №1: вул. Героїв Майдану, 292/2 &quot;А&quot;'),
(1,	1021,	'Отделение №1: ул. Героев Майдана, 292/2 &quot;А&quot;'),
(3,	1022,	'Пункт приймання-видачі (до 30 кг): вул. Гутянська, 60А'),
(1,	1022,	'Пункт приема-выдачи (до 30 кг): ул. Гутянская, 60А'),
(3,	1023,	'Відділення №1: вул. Горького, 5'),
(1,	1023,	'Отделение №1: ул. Горького, 5'),
(3,	1024,	'Пункт приймання-видачі (до 30 кг): вул. Лебединська, 43'),
(1,	1024,	'Пункт приема-выдачи (до 30 кг): ул. Лебединская, 43'),
(3,	1025,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 55б'),
(1,	1025,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 55б'),
(3,	1026,	'Відділення №1 (до 30 кг): вул. Винниківська, 27а'),
(1,	1026,	'Отделение №1 (до 30 кг): ул. Винниковская, 27а'),
(3,	1027,	'Пункт приймання-видачі (до 30 кг): вул. Збаразька, 1а'),
(1,	1027,	'Пункт приема-выдачи (до 30 кг): ул. Збаражская, 1а'),
(3,	1028,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 2а'),
(1,	1028,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 2а'),
(3,	1029,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 47'),
(1,	1029,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 47'),
(3,	1030,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 44а'),
(1,	1030,	'Михайло-Лукашево, Центральная, 44а'),
(3,	1031,	'Пункт приймання-видачі (до 30 кг): вул. Залізнична, 4'),
(1,	1031,	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 4'),
(3,	1032,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 27'),
(1,	1032,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(3,	1033,	'Пункт приймання-видачі (до 30 кг): вул. Грубріна, 28'),
(1,	1033,	'Пункт приема-выдачи (до 30 кг): ул. Грубрина, 28'),
(3,	1034,	'Відділення №1: вул. Шевченка, 74а'),
(1,	1034,	'Отделение №1: ул. Шевченко, 74а'),
(3,	1035,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 18а'),
(1,	1035,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 18а'),
(3,	1036,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 106'),
(1,	1036,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 106'),
(3,	1037,	'Пункт приймання-видачі (до 30 кг): вул. Грецька, 8'),
(1,	1037,	'Пункт приема-выдачи (до 30 кг): ул. Греческая, 8'),
(3,	1038,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 1В'),
(1,	1038,	'\nПункт приема-выдачи (до 30 кг), ул. Гагарина, 1В'),
(3,	1039,	'Відділення №1: вул. Молодіжна, 21'),
(1,	1039,	'Почтовая лавка (до 30 кг): ул. Молодежная 21'),
(3,	1040,	'Відділення №1: вул. Шевченка, 38'),
(1,	1040,	'Отделение №1: ул. Шевченко, 38'),
(3,	1041,	'Відділення №1: вул. Слобідська, 8'),
(1,	1041,	'Отделение №1: ул. Слободская, 8'),
(3,	1042,	'Пункт приймання-видачі (до 30 кг): вул. Переяславська, 9а'),
(1,	1042,	'Пункт приема-выдачи (до 30 кг): ул. Переяславская, 9а'),
(3,	1043,	'ВІдділення №1: вул. Незалежності, 7а'),
(1,	1043,	'Отделение №1: ул. Независимости, 7а'),
(3,	1044,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 40'),
(1,	1044,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 40'),
(3,	1045,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 56'),
(1,	1045,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 56'),
(3,	1046,	'Відділення №1: вул. Гагаріна, 1 (готель &quot;Центральний&quot;)'),
(1,	1046,	'Отделение №1: ул. Гагарина, 1 (отель &quot;Центральний&quot;)'),
(3,	1047,	'Відділення №1: вул. Українська, 36'),
(1,	1047,	'Отделение: ул. Украинская, 36'),
(3,	1048,	'Відділення №1: вул. Чехова, 22/1'),
(1,	1048,	'Отделение №1: ул. Чехова, 22/1'),
(3,	1049,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 230'),
(1,	1049,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 230'),
(3,	1050,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 89'),
(1,	1050,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 89'),
(3,	1051,	'Відділення № 1: вул. Центральна, 85а'),
(1,	1051,	'Отделение № 1: ул. Центральная, 85а'),
(3,	1052,	'Пункт приймання-видачі (до 30 кг): вул. Андрусенка, 16'),
(1,	1052,	'Пункт приема-выдачи (до 30 кг): ул. Андрусенка, 16'),
(3,	1053,	'Пункт приймання-видачі (до 30 кг): вул. Тернопільська, 2а'),
(1,	1053,	'Пункт приема-выдачи (до 30 кг): ул. Тернопольская, 2а'),
(3,	1054,	'Відділення №1: вул. Історична, 1'),
(1,	1054,	'Отделение №1: ул. Историческая, 1'),
(3,	1055,	'Пункт приймання-видачі (до 30 кг): вул.  Мічуріна, 90а'),
(1,	1055,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 90а'),
(3,	1056,	'Пункт приймання-видачі (до 30 кг): вул. Підгорянська, 15'),
(1,	1056,	'Пункт приема-выдачи (до 30 кг): ул. Подгорянская, 15'),
(3,	1057,	'Пункт приймання-видачі (до 30 кг): вул. Чіковані, 72'),
(1,	1057,	'Пункт приема-выдачи (до 30 кг): ул. Чиковани, 72'),
(3,	1058,	'Відділення №1: вул. Чорновола, 5Б'),
(1,	1058,	'Отделение №1: ул. Чорновола, 5Б'),
(3,	1059,	'Відділення №1: вул. Гагаріна, 22'),
(1,	1059,	'Отделение №1: ул. Гагарина,22'),
(3,	1060,	'Пункт приймання-видачі (до 30 кг): вул. 35 років Перемоги, 30'),
(1,	1060,	'Пункт приема-выдачи (до 30 кг), ул. 35 лет Победы, 30'),
(3,	1061,	'Пункт приймання-видачі (до 30 кг): вул. Весела, 32'),
(1,	1061,	'Пункт приема-выдачи (до 30 кг): ул. Веселая, 32'),
(3,	1062,	'Відділення №1 (до 30 кг): вул. Бердичівська, 2'),
(1,	1062,	'Отделение №1 (до 30 кг): ул. Бердичевская, 2'),
(3,	1063,	'Відділення №1: вул. Чумацький шлях (ран. Жовтнева), 14а'),
(1,	1063,	'Отделение №1: ул. Чумацкий Шлях (ран. Октябрьская), 14а'),
(3,	1064,	'Відділення №1: вул. Садова, 2з'),
(1,	1064,	'Отделение №1, ул. Садовая, 2з'),
(3,	1065,	'Відділення №1: вул. Гостинець, 61'),
(1,	1065,	'Отделение №1: ул. Гостинец, 61'),
(3,	1066,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 82Б'),
(1,	1066,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 82Б'),
(3,	1067,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17б'),
(1,	1067,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17б'),
(3,	1068,	'Автолавка: АН 2938 КН, вул. Центральна, 18 (біля сільради)'),
(1,	1068,	'Автолавка: АН 2938 КН, ул. Центральная, 18 (возле сельсовета)'),
(3,	1069,	'Пункт приймання-видачі (до 30 кг): вул. Маринича Павла, 1'),
(1,	1069,	'Пункт приема-выдачи (до 30 кг): ул. Маринича Павла, 1'),
(3,	1070,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 107'),
(1,	1070,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 107'),
(3,	1071,	'Пункт приймання-видачі (до 30 кг): вул. Пришкільна, 9'),
(1,	1071,	'Пункт приема-выдачи (до 30 кг): ул. Пришкольная, 9'),
(3,	1072,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 2б'),
(1,	1072,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 2б'),
(3,	1073,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 65'),
(1,	1073,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 65'),
(3,	1074,	'Відділення №1 (до 30 кг): вул. Незалежності, 11'),
(1,	1074,	'Отделение №1 (до 30 кг): ул. Независимости, 11'),
(3,	1075,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1А'),
(1,	1075,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1А'),
(3,	1076,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 3а'),
(1,	1076,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3а'),
(3,	1077,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 30А'),
(1,	1077,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 30А'),
(3,	1078,	'Пункт приймання-видачі (до 30 кг): вул. Торгова, 44 (маг. &quot;Наша Марка&quot;)'),
(1,	1078,	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 44 (маг. &quot;Наша Марка&quot;)'),
(3,	1079,	'Відділення №1: вул. Центральна, 121'),
(1,	1079,	'Отделение №1: ул. Центральная, 121'),
(3,	1080,	'Відділення №1: вул. Центральна, 39'),
(1,	1080,	'Отделение №1: ул. Центральная, 39'),
(3,	1081,	'Пункт приймання-видачі (до 30 кг): вул. Поштова, 1а'),
(1,	1081,	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 1а'),
(3,	1082,	'Відділення №1: вул. Каракая, 32а'),
(1,	1082,	'Отделение №1: ул. Каракая, 32а'),
(3,	1083,	'Відділення №1: вул. Батуринська, 22а'),
(1,	1083,	'Отделение № 1: ул. Батуринская, 22а'),
(3,	1084,	'Відділення №1: вул. Хоменка, 15'),
(1,	1084,	'Отделение №1: ул. Хоменка 15'),
(3,	1085,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5/1'),
(1,	1085,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 5/1'),
(3,	1086,	'Пункт приймання-видачі (до 30 кг): просп. Перемоги, 1'),
(1,	1086,	'Пункт приема-передачи (до 30 кг): просп. Победы, 1'),
(3,	1087,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17'),
(1,	1087,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17'),
(3,	1088,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 5а'),
(1,	1088,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 5а'),
(3,	1089,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 38'),
(1,	1089,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 38'),
(3,	1090,	'Пункт приймання-видачі (до 30 кг): вул. Луганська, 15'),
(1,	1090,	'Пункт приема-выдачи (до 30 кг): ул. Луганская, 15'),
(3,	1091,	'Пункт приймання-видачі (до 30 кг): вул. Ковтуна, 103'),
(1,	1091,	'Пункт приема-выдачи (до 30 кг): ул. Ковтуна, 103'),
(3,	1092,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 23а'),
(1,	1092,	'Пункт приема-выдачи (до 30 кг), ул. Победы, 23а'),
(3,	1093,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 111'),
(1,	1093,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111'),
(3,	1095,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 15'),
(1,	1095,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 15'),
(3,	1096,	'Пункт приймання-видачі (до 30 кг): вул. Майдан Михайлівський, 1'),
(1,	1096,	'Пункт приема-выдачи (до 30 кг): ул. Площадь Михайловский, 1'),
(3,	1097,	'Відділення №1: вул. Чкалова, 2г'),
(1,	1097,	'Отделение №1: ул. Чкалова, 2г'),
(3,	1098,	'Пункт приймання-видачі (до 30 кг): вул. Запорізька, 34'),
(1,	1098,	'Пункт приема-выдачи (до 30 кг): ул. Запорожская, 34'),
(3,	1099,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 44А'),
(1,	1099,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 44А'),
(3,	1100,	'Пункт приймання-видачі (до 30 кг): вул. Воронкова, 4'),
(1,	1100,	'Пункт приема-выдачи (до 30 кг): ул. Воронкова, 4'),
(3,	1101,	'Відділення №1 (до 30 кг): пл. Центральна, 8'),
(1,	1101,	'Отделение №1 (до 30 кг): ул. Центральная, 8'),
(3,	1102,	'Пункт приймання-видачі (до 30 кг): вул. Волкова, 1'),
(1,	1102,	'Пункт приема-выдачи (до 30 кг): ул. Волкова, 1'),
(3,	1103,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 34'),
(1,	1103,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(3,	1104,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 4'),
(1,	1104,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 4'),
(3,	1105,	'Пункт приймання-видачі (до 30 кг): вул. Станьківська, 1'),
(1,	1105,	'Пункт приема-выдачи (до 30 кг): ул. Станьковская, 1'),
(3,	1106,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 71а'),
(1,	1106,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 71а'),
(3,	1107,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 67'),
(1,	1107,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 67'),
(3,	1108,	'Відділення №1: вул. Кооперативна, 6'),
(1,	1108,	'Отделение №1: ул. Кооперативная, 6'),
(3,	1109,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 8'),
(1,	1109,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 8'),
(3,	1110,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 169'),
(1,	1110,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 169'),
(3,	1111,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 4'),
(1,	1111,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4'),
(3,	1112,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 63А'),
(1,	1112,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 63А'),
(3,	1113,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 3'),
(1,	1113,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(3,	1114,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1114,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1115,	'Відділення №1: Київське шосе (ран. Ленінградське шосе), 27'),
(1,	1115,	'Отделение №1: Киевское шоссе (ран. Ленинградское шоссе), 27'),
(3,	1116,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 29'),
(1,	1116,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 29'),
(3,	1117,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 87б'),
(1,	1117,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 87б'),
(3,	1118,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 7'),
(1,	1118,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 7'),
(3,	1119,	'Відділення №1: вул. Індустріальна, 14а'),
(1,	1119,	'Отделение №1: ул. Индустриальная, 14а'),
(3,	1120,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 63'),
(1,	1120,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63'),
(3,	1121,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 85'),
(1,	1121,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85'),
(3,	1122,	'Пункт приймання-видачі (до 30 кг): вул. Лучка, 1а'),
(1,	1122,	'Пункт приема-выдачи (до 30 кг): ул. Лучка, 1а'),
(3,	1123,	'Відділення №1: вул. Самгородецька, 9'),
(1,	1123,	'Отделение №1: ул. Самгородоцкая, 9'),
(3,	1124,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 75'),
(1,	1124,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 75'),
(3,	1125,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 27'),
(1,	1125,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 27'),
(3,	1126,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 21'),
(1,	1126,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 21'),
(3,	1127,	'Пункт приймання-видачі (до 30 кг): вул. Липинського, 59'),
(1,	1127,	'Пункт приема-выдачи (до 30 кг): ул. Липинского, 59'),
(3,	1128,	'Відділення №1: вул. Соборна, 2а'),
(1,	1128,	'Отделение №1: ул. Соборна, 2а'),
(3,	1129,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 35А'),
(1,	1129,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35А'),
(3,	1130,	'Пункт приймання-видачі (до 30 кг): вул. Юності, 1-В'),
(1,	1130,	'Пункт приема-выдачи (до 30 кг): ул. Юности, 1-В'),
(3,	1131,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	1131,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 2'),
(3,	1132,	'Відділення №1: вул. Данила Галицького, 39'),
(1,	1132,	'Отделение №1: ул. Данила Галицкого, 39'),
(3,	1133,	'Відділення №1 (до 30 кг): вул. Центральна, 122а'),
(1,	1133,	'Отделение №1 (до 30 кг): ул. Центральная, 122а'),
(3,	1134,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 88'),
(1,	1134,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 88'),
(3,	1135,	'Пункт приймання-видачі (до 30 кг): вул. Щаслива, 3'),
(1,	1135,	'Пункт приема-выдачи (до 30 кг): ул. Счастливая, 3'),
(3,	1136,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9'),
(1,	1136,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(3,	1137,	'Відділення №1: вул. Нафтовиків, 11в'),
(1,	1137,	'Отделение №1: ул. Нефтяников, 11в'),
(3,	1138,	'Пункт приймання-видачі  (до 30 кг): вул. Незалежності, 168'),
(1,	1138,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 168'),
(3,	1139,	'Відділення №1: вул. Ліченка, 136-Я'),
(1,	1139,	'Отделение №1: ул. Личенка, 136-я'),
(3,	1140,	'Відділення №1: вул. Енгельса, 1а'),
(1,	1140,	'Отделение №1: ул. Энгельса, 1а'),
(3,	1141,	'Відділення №1: вул. Шкільна, 15/1'),
(1,	1141,	'Отделение №1: ул. Школьная, 15/1'),
(3,	1142,	'Відділення №1: вул. Центральна, 70а'),
(1,	1142,	'Отделение №1: ул. Центральная, 70а'),
(3,	1143,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 56'),
(1,	1143,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 56'),
(3,	1144,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 36'),
(1,	1144,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 36'),
(3,	1145,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 4'),
(1,	1145,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(3,	1146,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 76'),
(1,	1146,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 76'),
(3,	1147,	'Пункт приймання-видачі (до 30 кг): вул. Барона Штейнгеля, 89А'),
(1,	1147,	'Пункт приема-выдачи (до 30 кг): ул. Барона Штейнгеля, 89А'),
(3,	1148,	'Пункт приймання-видачі (до 30 кг): вул. Шосейна, 2а'),
(1,	1148,	'Пункт приема-выдачи (до 30 кг): ул. Шоссейная, 2а'),
(3,	1149,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(1,	1149,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(3,	1150,	'Відділення №1: вул. Ковельська, 102'),
(1,	1150,	'Отделение №1: ул. Ковельская, 102'),
(3,	1151,	'Пункт приймання-видачі (до 30 кг): вул.  Кооперативна, 15'),
(1,	1151,	'Пункт приема-выдачи (до 30 кг): вул. Кооперативна, 15'),
(3,	1152,	'Пункт приймання-видачі (до 30 кг): вул. Кельменецька, 1'),
(1,	1152,	'Пункт приема-выдачи (до 30 кг): ул. Кельменецкая, 1'),
(3,	1153,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 1'),
(1,	1153,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 1'),
(3,	1154,	'Відділення №1: вул. Дубрівська, 12/4'),
(1,	1154,	'Старі Петрівці'),
(3,	1155,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 152'),
(1,	1155,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 152'),
(3,	1156,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1156,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1157,	'Пункт приймання-видачі (до 30 кг): вул. М.Підгірянки, 150д'),
(1,	1157,	'Пункт приема-выдачи (до 30 кг): ул. М.Подгорянки, 150К'),
(3,	1158,	'Пункт приймання-видачі (до 30 кг): вул. Будильська, 35'),
(1,	1158,	'Пункт приема-выдачи (до 30 кг): ул. Будильская, 35'),
(3,	1159,	'Пункт приймання-видачі (до 30 кг): вул. Колгоспна, 1А'),
(1,	1159,	'Пункт приема-выдачи (до 30 кг): ул. Колхозная, 1А'),
(3,	1160,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 60А'),
(1,	1160,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 60А'),
(3,	1161,	'Відділення №1: пл. Привокзальна, 10/3'),
(1,	1161,	'Отделение №1: пл. Привокзальная, 10/3'),
(3,	1162,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 13'),
(1,	1162,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 13'),
(3,	1163,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 20А'),
(1,	1163,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 20А'),
(3,	1164,	'Відділення №1: вул. Незалежності, 60'),
(1,	1164,	'Отделение №1: ул. Независимости, 60'),
(3,	1165,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1в'),
(1,	1165,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1 в'),
(3,	1166,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 26'),
(1,	1166,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 26'),
(3,	1167,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2а'),
(1,	1167,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 2а'),
(3,	1168,	'Пункт приймання-видачі (до 30 кг): вул. Київський шлях, 16А'),
(1,	1168,	'Пункт приема-выдачи (до 30 кг): ул. Киевский путь, 16А'),
(3,	1169,	'Відділення № 1: вул. Центральна, 20'),
(1,	1169,	'Отделение № 1: ул. Центральная, 20'),
(3,	1170,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	1170,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	1171,	'Пункт приймання-видачі (до 30 кг): вул. Щорса, 15'),
(1,	1171,	'Пункт приема-выдачи (до 30 кг): ул. Щорса, 15'),
(3,	1172,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 17'),
(1,	1172,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 17'),
(3,	1173,	'Відділення №1: вул. Грушевського, 112 (прим. Побуткомбінату)'),
(1,	1173,	'Отделение №1: ул. Грушевского, 112 (пом. Быткомбината)'),
(3,	1174,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6Б'),
(1,	1174,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6Б'),
(3,	1175,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 21'),
(1,	1175,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 21'),
(3,	1176,	'Відділення №1: вул. Леніна, 8'),
(1,	1176,	'Отделение №1: ул. Ленина, 8'),
(3,	1177,	'Пункт приймання-видачі (до 30 кг): вул. Світла, 1'),
(1,	1177,	'Пункт приема-выдачи (до 30 кг): ул. Светлая, 1'),
(3,	1178,	'Відділення №1: вул. Горького, 1'),
(1,	1178,	'Отделение №1: ул. Горького, 1'),
(3,	1179,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 12А'),
(1,	1179,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12А'),
(3,	1180,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 81а'),
(1,	1180,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 81а'),
(3,	1181,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1'),
(1,	1181,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(3,	1182,	'Відділення №1: вул. Центральна,18г'),
(1,	1182,	'Отделение №1: ул. Центральная,18г'),
(3,	1183,	'Відділення № 1: вул. Героїв України, 9а'),
(1,	1183,	'Отделение № 1: ул. Героев Украины, 9а'),
(3,	1184,	'Пункт приймання-видачі (до 30 кг): вул. Горького, 1'),
(1,	1184,	'Пункт приема-выдачи (до 30 кг), ул. Горького, 1'),
(3,	1185,	'Пункт приймання-видачі (до 30 кг): вул. Свободи, 13'),
(1,	1185,	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 13'),
(3,	1186,	'Пункт приймання-видачі (до 30 кг): вул. Волоти, 2а'),
(1,	1186,	'Пункт приема-выдачи (до 30 кг): ул. Волоти, 2а'),
(3,	1187,	'Відділення №1: вул. Шкільна, 23'),
(1,	1187,	'Отделение №1: ул. Школьная, 23'),
(3,	1188,	'Пункт приймання-видачі (до 30 кг): вул. Щаслива, 2а'),
(1,	1188,	'Пункт приема-выдачи (до 30 кг), ул. Счастливая, 2а'),
(3,	1189,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 94'),
(1,	1189,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 94'),
(3,	1190,	'Пункт приймання-видачі (до 30 кг): вул. 223-ї стрілецької дивізії, 2г'),
(1,	1190,	'Пункт приема-выдачи (до 30 кг): ул. 223-й стрелковой дивизии, 2г'),
(3,	1191,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 11в'),
(1,	1191,	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 11в'),
(3,	1192,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 56'),
(1,	1192,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 56'),
(3,	1193,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 35'),
(1,	1193,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 35'),
(3,	1194,	'Пункт приймання-видачі (до 30 кг): вул. Йосипа Косюка, 22'),
(1,	1194,	'Пункт приймання-видачі (до 30 кг): вул. Йосипа Косюка, 22'),
(3,	1195,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 4а'),
(1,	1195,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4а'),
(3,	1196,	'Відділення №1: вул. Пономарьова, 30'),
(1,	1196,	'Отделение №1: ул. Пономарева, 30'),
(3,	1197,	'Пункт приймання-видачі (до 30 кг): вул. Зої Космодемянської, 3'),
(1,	1197,	'Пункт приема-выдачи (до 30 кг): ул. Зои Космодемьянской, 3'),
(3,	1198,	'Відділення №1: вул. Садова, 4в'),
(1,	1198,	'Отделение №1: ул. Садовая, 4в'),
(3,	1199,	'Відділення №1: вул. Центральна, 4а'),
(1,	1199,	'Отделение №1: ул. Центральна, 4'),
(3,	1200,	'Відділення №1: вул. Миру, 132в'),
(1,	1200,	'Отделение №1: ул. Ленина, 132в'),
(3,	1201,	'Пункт приймання-видачі (до 30 кг): вул. Шахтарська, 16'),
(1,	1201,	'Пункт приема-выдачи (до 30 кг): ул. Шахтерская, 16'),
(3,	1202,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 15'),
(1,	1202,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 15'),
(3,	1203,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	1203,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 1'),
(3,	1204,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 12'),
(1,	1204,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 12'),
(3,	1205,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 3'),
(1,	1205,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3'),
(3,	1206,	'Пункт приймання-видачі (до 30 кг): вул. Степаняка, 27А'),
(1,	1206,	'Пункт приема-выдачи (до 30 кг): ул. Степаняка, 27А'),
(3,	1207,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 8а'),
(1,	1207,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 8а'),
(3,	1208,	'Пункт приймання-видачі (до 30 кг): вул. Широка,12'),
(1,	1208,	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 12'),
(3,	1209,	'Відділення №1: вул. Миру, 4А'),
(1,	1209,	'Отделение №1: ул. Мира, 4А'),
(3,	1210,	'Пункт приймання-видачі (до 30 кг): вул. Єлісєєва, 11'),
(1,	1210,	'Пункт приема-выдачи (до 30 кг): ул. Елисеева, 11'),
(3,	1211,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 43'),
(1,	1211,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 43'),
(3,	1212,	'Відділення №1: вул. Князів Острозьких, 3'),
(1,	1212,	'Отделение №1: ул. Князей Острожских, 3'),
(3,	1213,	'Відділення №1: вул. Героїв Врадіївщини, 162'),
(1,	1213,	'Отделение №1: ул. Героев Врадиевщины,162'),
(3,	1214,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 164'),
(1,	1214,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 164'),
(3,	1215,	'Відділення №1: вул. Шевченка, 31б'),
(1,	1215,	'Отделение №1: ул. Шевченко, 31б'),
(3,	1216,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2/1'),
(1,	1216,	'Пункт приема-выдачи (до 30 кг): ул. Подлесная, 2/1'),
(3,	1217,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33А'),
(1,	1217,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33А'),
(3,	1218,	'Відділення №1: вул. Трамвайна, 17'),
(1,	1218,	'Отделение №1: ул. Трамвайная, 17'),
(3,	1219,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 33'),
(1,	1219,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 33'),
(3,	1220,	'Пункт приймання-видачі (до 30 кг): вул. Миколайчука, 3'),
(1,	1220,	'Пункт приема-выдачи (до 30 кг): ул. Миколайчука, 3'),
(3,	1221,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 2а'),
(1,	1221,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2а'),
(3,	1222,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 24А'),
(1,	1222,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 24А'),
(3,	1223,	'Відділення №1: вул. Садовий бульвар (ран. Леніна), 28'),
(1,	1223,	'Отделение №1: ул. Садовый бульвар (ран. Ленина), 28'),
(3,	1224,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 113'),
(1,	1224,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 113'),
(3,	1225,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 82'),
(1,	1225,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 82'),
(3,	1226,	'Пункт приймання-видачі (до 30 кг): вул. Меля, 120'),
(1,	1226,	'Пункт приема-выдачи (до 30 кг): ул. Меля, 120'),
(3,	1227,	'Відділення №1: вул. Чехова, 3а (територія МРЕВ ДАІ)'),
(1,	1227,	'Отделение № 1: ул. Чехова, 3а (территория МРЭО ГАИ)'),
(3,	1228,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 37а'),
(1,	1228,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 37а'),
(3,	1229,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 24а'),
(1,	1229,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 24а'),
(3,	1230,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 257'),
(1,	1230,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 257'),
(3,	1231,	'Пункт приймання-видачі (до 30 кг): вул. Декабристів, 11'),
(1,	1231,	'Пункт приема-выдачи (до 30 кг): ул. Декабристов, 11'),
(3,	1232,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 81'),
(1,	1232,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 81'),
(3,	1233,	'Пункт приймання-видачі (до 30 кг): вул. Дільниці, 1'),
(1,	1233,	'Пункт приема-выдачи (до 30 кг): ул. Участки, 1'),
(3,	1234,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 8'),
(1,	1234,	'Пункт приема-выдачи (до 30 кг), ул. Победы, 8'),
(3,	1235,	'Відділення №1: вул. Галицька, 50с'),
(1,	1235,	'Отделение №1: ул. Галицкая, 50с'),
(3,	1236,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 4є'),
(1,	1236,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 4е'),
(3,	1237,	'Відділення № 1: вул. Заводська, 29а'),
(1,	1237,	'Отделение № 1: ул. Заводская, 29а'),
(3,	1238,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 56'),
(1,	1238,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 56'),
(3,	1239,	'Відділення №1: вул. Миру, 17'),
(1,	1239,	'Отделение №1: ул. Мира, 17'),
(3,	1240,	'Пункт приймання-видачі (до 30 кг): вул. Свободи, 1'),
(1,	1240,	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 1'),
(3,	1241,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 45А'),
(1,	1241,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 45А'),
(3,	1242,	'Пункт приймання-видачі (до 30 кг): вул. Адажія, 65'),
(1,	1242,	'Пункт приема-выдачи (до 30 кг): ул. Адажия, 65'),
(3,	1243,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 2'),
(1,	1243,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 2'),
(3,	1244,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 53'),
(1,	1244,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 53'),
(3,	1245,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 3Б'),
(1,	1245,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 3Б'),
(3,	1246,	'Відділення №1 (до 30 кг): вул. Соборна,  23А'),
(1,	1246,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 23А'),
(3,	1247,	'Пункт приймання-видачі (до 30 кг): вул. Кобилянської, 5а'),
(1,	1247,	'Пункт приема-выдачи (до 30 кг): ул. Кобылянской, 5а'),
(3,	1248,	'Відділення №1: вул. Леніна, 3'),
(1,	1248,	'Отделение №1: ул. Ленина, 3'),
(3,	1249,	'Пункт приймання-видачі (до 30 кг): вул. Гуторова, 6'),
(1,	1249,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 10'),
(3,	1250,	'Пункт приймання-видачі (до 30 кг): вул. Безуха, 30х/1'),
(1,	1250,	'Пункт приема-выдачи (до 30 кг): ул. Безуха, 30х/1'),
(3,	1251,	'Відділення №1: вул. Каховська, 43'),
(1,	1251,	'Отделение №1: ул. Каховская, 43'),
(3,	1252,	'Пункт приймання-видачі (до 30 кг): вул. Данила Галицького, 375А'),
(1,	1252,	'Пункт приема-выдачи (до 30 кг): ул. Данила Галицкого, 375А'),
(3,	1253,	'Автолавка (до 30 кг): вул. Перемоги, 1'),
(1,	1253,	'Автолавка (до 30 кг): ул. Победы, 1'),
(3,	1254,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 9'),
(1,	1254,	'Пункт приема-выдачи (до 30 кг): ул.  Молодежная, 9'),
(3,	1255,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 3'),
(1,	1255,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 3'),
(3,	1256,	'Пункт приймання-видачі (до 30 кг): вул. Сонечна, 5'),
(1,	1256,	'Пункт приема-выдачи (до 30 кг), ул. Солнечная, 5'),
(3,	1257,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	1257,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(3,	1258,	'Пункт приймання-видачі (до 30 кг): вул. Донецька, 101'),
(1,	1258,	'Пункт приема-выдачи (до 30 кг): ул. Донецкая, 101'),
(3,	1259,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 8а'),
(1,	1259,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 8а'),
(3,	1260,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 32а'),
(1,	1260,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32а'),
(3,	1261,	'Пункт приймання-видачі (до 30 кг): вул. Братів Соловйових, 5'),
(1,	1261,	'Пункт приема-выдачи (до 30 кг): ул. Братьев Соловьевых, 5'),
(3,	1262,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 27'),
(1,	1262,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 27'),
(3,	1263,	'Відділення №1: вул. Набережна, 1'),
(1,	1263,	'Отделение №1: ул. Набережная, 1'),
(3,	1264,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 2'),
(1,	1264,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 2'),
(3,	1265,	'Відділення №1: вул. Шевченка, 29К'),
(1,	1265,	'Отделение №1: ул. Шевченко, 29К'),
(3,	1266,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 72'),
(1,	1266,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 72'),
(3,	1267,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 210'),
(1,	1267,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 210'),
(3,	1268,	'Відділення №1: вул. Миру, 6'),
(1,	1268,	'Отделение №1: ул. Миру, 6'),
(3,	1269,	'Відділення №1: вул. Першотравнева, 12Б'),
(1,	1269,	'Отделение №1: ул. Первомайская, 12Б'),
(3,	1270,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 94а'),
(1,	1270,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 94а'),
(3,	1271,	'Відділення №1: вул. Театральна, 8а'),
(1,	1271,	'Отделение №1: ул. Театральная, 8а'),
(3,	1272,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 26а'),
(1,	1272,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 26а'),
(3,	1273,	'Пункт приймання-видачі (до 30 кг): вул. Свободи, 57'),
(1,	1273,	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 57'),
(3,	1274,	'Пункт приймання-видачі (до 30 кг): вул. Корецька, 15'),
(1,	1274,	'Пункт приема-выдачи (до 30 кг): ул. Корецкая, 15'),
(3,	1275,	'Автолавка (до 30 кг): вул. Леніна, 36'),
(1,	1275,	'Автолавка (до 30 кг): ул. Ленина, 36'),
(3,	1276,	'Відділення №1: вул. Миру, 3'),
(1,	1276,	'Відділення №1: вул. Мира, 3'),
(3,	1277,	'Пункт приймання-видачі (до 30 кг): вул. Корчагіна, 11'),
(1,	1277,	'Пункт приема-выдачи (до 30 кг), ул. Корчагина, 11'),
(3,	1278,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 3А'),
(1,	1278,	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 3А'),
(3,	1279,	'Пункт приймання-видачі ( до 30 кг): вул. Театральна, 1-Д'),
(1,	1279,	'Пункт приема-выдачи (до 30 кг): ул. Театральная, 1-Д'),
(3,	1280,	'Пункт приймання-видачі (до 30 кг): вул. Гоголя, 3 (Магазин Ромашка)'),
(1,	1280,	'Пункт приема-выдачи (до 30 кг): ул. Гоголя, 3 (Магазин Ромашка)'),
(3,	1281,	'Відділення №1 (до 30 кг на 1 місце): вул. Писаренка, 46'),
(1,	1281,	'Отделение №1 (до 30 кг на одно место): ул. Писаренко, 46'),
(3,	1282,	'Відділення №1: вул. Маршала Малиновського, 114'),
(1,	1282,	'Отделение №1: ул. Маршала Малиновского, 114'),
(3,	1283,	'ВІдділення №1: вул. Привокзальна,3а'),
(1,	1283,	'Отделение №1: ул. Привокзальная, 3а'),
(3,	1284,	'ВІдділення №1: вул. Незалежності, 2а'),
(1,	1284,	'Отделение №1: ул. Независимости, 2а'),
(3,	1285,	'Відділення №1 (до 30 кг): вул. Миру 22/вул. 1-го Травня 1'),
(1,	1285,	'Отделение №1 (до 30 кг), ул. Мира, 2/1-го Мая1'),
(3,	1286,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1286,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1287,	'Пункт приймання-видачі (до 30 кг): вул. Бігунська, 67'),
(1,	1287,	'Пункт приема-выдачи (до 30 кг): ул. Бегунская, 67'),
(3,	1288,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 25а'),
(1,	1288,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 25а'),
(3,	1289,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 27Д'),
(1,	1289,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 27Д'),
(3,	1290,	'Пункт приймання-видачі (до 30 кг): вул. Бродівська, 25'),
(1,	1290,	'Пункт приема-выдачи (до 30 кг): ул. Бродовская, 25'),
(3,	1291,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 1'),
(1,	1291,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинская, 1'),
(3,	1292,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 51'),
(1,	1292,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 51'),
(3,	1293,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 19/1'),
(1,	1293,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19/1'),
(3,	1294,	'Відділення №1 (до 30 кг): вул. Травнева, 64а'),
(1,	1294,	'Отделение №1 (до 30 кг): ул. Майская, 64а'),
(3,	1295,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 66'),
(1,	1295,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 66'),
(3,	1296,	'Пункт приймання-видачі (до 30 кг): вул. 8 Березня, 1'),
(1,	1296,	'Пункт приема-выдачи (до 30 кг): ул. 8 марта, 1'),
(3,	1297,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 27/1'),
(1,	1297,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27/1'),
(3,	1298,	'Відділення № 1: вул. Колгоспна, 2б'),
(1,	1298,	'Отделение № 1: ул. Колхозная, 2б'),
(3,	1299,	'Відділення №1: вул. Миколи Вороного, 90'),
(1,	1299,	'Отделение №1: ул. Николая Вороного, 90'),
(3,	1300,	'Відділення №1: вул. Євгенія Присяжного, 21/56'),
(1,	1300,	'Отделение №1: ул. Евгения Присяжного, 21/56'),
(3,	1301,	'Пункт приймання-видачі (до 30 кг): вул. Преображенська, 103'),
(1,	1301,	'Пункт приема-выдачи (до 30 кг): ул. Преображенская, 103'),
(3,	1302,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 230'),
(1,	1302,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 230'),
(3,	1303,	'Відділення №1: вул. Широка, 17-А'),
(1,	1303,	'Отделение №1: ул. Широка, 17-А'),
(3,	1304,	'Пункт приймання-видачі (до 30 кг): вул. Климчука, 65'),
(1,	1304,	'Пункт приема-выдачи (до 30 кг): ул. Климчука, 65'),
(3,	1305,	'Відділення №1: вул. Миру, 1Р'),
(1,	1305,	'Отделение №1: ул. Миру, 1Р'),
(3,	1306,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 32-А'),
(1,	1306,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32-А'),
(3,	1307,	'Пункт приймання-видачі (до 30 кг): вул. Гетьмана Мазепи, 15'),
(1,	1307,	'Пункт приема-выдачи (до 30 кг): ул. Гетьмана Мазепы, 15'),
(3,	1308,	'Пункт приймання-видачі (до 30 кг): вул. Шашкевича, 72'),
(1,	1308,	'Пункт приема-выдачи (до 30 кг): ул. Шашкевича, 72'),
(3,	1309,	'Відділення №1: вул. Миру, 60а'),
(1,	1309,	'Отделение №1: ул. Мира, 60а'),
(3,	1310,	'Відділення №1 (до 30 кг): вул. Головна, 3'),
(1,	1310,	'Отделение №1 (до 30 кг): ул. Главная, 3'),
(3,	1311,	'Відділення №1: вул. Центральна, 5'),
(1,	1311,	'Отделение №1: ул. Центральная, 5'),
(3,	1312,	'Відділення №1: пров. Робітничий, 22'),
(1,	1312,	'Отделение №1: пер. Рабочий, 22'),
(3,	1313,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 27'),
(1,	1313,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(3,	1314,	'Пункт приймання-видачі (до 30 кг): вул. Рівненська, 1'),
(1,	1314,	'Пункт приема-выдачи (до 30 кг): ул. Ровенская, 1'),
(3,	1315,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 47'),
(1,	1315,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 47'),
(3,	1316,	'Відділення №1: вул. Дрогобицька, 35а'),
(1,	1316,	'Отделение №1: ул. Дрогобицкая, 35а'),
(3,	1317,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 108а'),
(1,	1317,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 108а'),
(3,	1318,	'Пункт приймання-видачі (до 30 кг): вул. Б.Хмельницького, 101'),
(1,	1318,	'Пункт приема-выдачи (до 30 кг), ул. Б.Хмельницкого, 101'),
(3,	1319,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги 29, н/1'),
(1,	1319,	'Пункт приема-выдачи (до 30 кг), ул. Победы 29, н/1'),
(3,	1320,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 36'),
(1,	1320,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 36'),
(3,	1321,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 69'),
(1,	1321,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 69'),
(3,	1322,	'Пункт приймання-видачі (до 30 кг): вул. Задорожнього, 46а'),
(1,	1322,	'Пункт приема-выдачи (до 30 кг), ул. Задорожного, 46а'),
(3,	1323,	'Відділення № 1: вул. Ангарська, 13/1'),
(1,	1323,	'Отделение № 1: ул. Ангарская, 13/1'),
(3,	1324,	'Відділення № 1: вул. Леніна, 91ф'),
(1,	1324,	'Отделение № 1: ул. Ленина, 91ф'),
(3,	1325,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 2'),
(1,	1325,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 2'),
(3,	1326,	'Відділення №1: вул. Соборна, 4'),
(1,	1326,	'Отделение №1: ул. Соборная, 4'),
(3,	1327,	'Відділення №1: вул. Паркова, 4а'),
(1,	1327,	'Отделение №1: ул. Парковая, 4а'),
(3,	1328,	'Пункт приймання-видачі (до 30 кг): вул. Закарпатська, 22'),
(1,	1328,	'Пункт приема-выдачи (до 30 кг), ул. Закарпатская, 22'),
(3,	1329,	'Відділення №1: площа Привокзальна, 1а'),
(1,	1329,	'Отделение №1: площадь Привокзальная, 1а'),
(3,	1330,	'Відділення №1: вул. Козацька, 34/2'),
(1,	1330,	'Отделение №1: ул. Козацкая 34/2'),
(3,	1331,	'Пункт приймання-видачі (до 30 кг): вул. Свободи, 6'),
(1,	1331,	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 6'),
(3,	1332,	'Відділення №1: вул. Петровського, 74'),
(1,	1332,	'Отделение №1, ул. Петровского, 74'),
(3,	1333,	'Відділення №1: вул. Соборна, 12Б'),
(1,	1333,	'Отделение №1: ул. Соборная, 12Б'),
(3,	1334,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 43'),
(1,	1334,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 43'),
(3,	1335,	'Відділення №1: вул. Громова, 55'),
(1,	1335,	'Отделение №1: ул. Громова, 55'),
(3,	1336,	'Відділення №1 (до 30 кг): вул. Центральна, 93А'),
(1,	1336,	'Отделение №1: ул. Центральная, 93А'),
(3,	1337,	'Пункт приймання-видачі (до 30 кг): вул. Коляджина, 91'),
(1,	1337,	'Пункт приема-выдачи (до 30 кг): ул. Коляджина, 91'),
(3,	1338,	'Пункт приймання-видачі (до 30 кг): вул. Польова, 2б'),
(1,	1338,	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 2б'),
(3,	1339,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 53б'),
(1,	1339,	'Кулачківці'),
(3,	1340,	'Відділення №1: пл. Авіації, 24/11'),
(1,	1340,	'Отделение №1: пл. Авиации, 24/11'),
(3,	1341,	'Автолавка (до 30 кг): вул. Заводська, 2'),
(1,	1341,	'Автолавка (до 30 кг): ул. Заводская, 2'),
(3,	1342,	'Пункт приймання-видачі (до 30 кг): вул. Новичка, 19'),
(1,	1342,	'Пункт приема-выдачи (до 30 кг): ул. Новичка, 19'),
(3,	1343,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1343,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1344,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 120'),
(1,	1344,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 120'),
(3,	1345,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 56'),
(1,	1345,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 56'),
(3,	1346,	'Пункт приймання-видачі (до 30 кг): вул. Андріївська, 17'),
(1,	1346,	'Пункт приема-выдачи (до 30 кг): ул. Андреевская, 17'),
(3,	1347,	'Пункт приймання-видачі (до 30 кг): вул. Зелений Гай, 1'),
(1,	1347,	'Пункт приема-выдачи (до 30 кг): ул. Зеленый Гай, 1'),
(3,	1348,	'Пункт приймання-видачі (до 30 кг): вул. Героїв України, 72/3'),
(1,	1348,	'Пункт приема-выдачи (до 30 кг): ул. Героев Украины, 72/3'),
(3,	1349,	'Відділення №1: вул. Кордуби, 100'),
(1,	1349,	'Отделение №1: ул. Кордуби, 100'),
(3,	1350,	'Пункт приймання-видачі (до 30 кг): вул. 40 років Перемоги, 46г'),
(1,	1350,	'Пункт приема-выдачи (до 30 кг): ул. 40 лет Победы, 46г'),
(3,	1351,	'Відділення №1: вул. Центральна, 75в'),
(1,	1351,	'Отделение №1: ул. Центральная, 75в'),
(3,	1352,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 114'),
(1,	1352,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 114'),
(3,	1353,	'Відділення №1: вул. Першотравнева, 17'),
(1,	1353,	'Отделение №1: ул. Первомайская, 17'),
(3,	1354,	'Відділення №1: вул. Роменська, 13'),
(1,	1354,	'Отделение №1: ул. Роменская, 13'),
(3,	1355,	'Відділення №1: вул. Миру, 25'),
(1,	1355,	'Отделение №1: ул. Мира, 25'),
(3,	1356,	'Відділення №1: вул. Грушева, 28'),
(1,	1356,	'Отделение №1: ул. Грушева, 28'),
(3,	1357,	'Пункт приймання-видачі (до 30 кг): вул. Дослідна, 1'),
(1,	1357,	'Пункт приема-выдачи (до 30 кг): ул. Опытная, 1'),
(3,	1358,	'Пункт приймання-видачі (до 30 кг): вул. Модестова, 52а'),
(1,	1358,	'Пункт приема-выдачи (до 30 кг): ул. Модестова, 52а'),
(3,	1359,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 71/1'),
(1,	1359,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 71/1'),
(3,	1360,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 52'),
(1,	1360,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 52'),
(3,	1361,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 114'),
(1,	1361,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 114'),
(3,	1362,	'Відділення №1: вул. Чайковського, 32'),
(1,	1362,	'Отделение №1: ул. Чайковського, 32'),
(3,	1363,	'Відділення №1: вул. Зарогатка, 1'),
(1,	1363,	'Отделение №1: ул. Зарогатка, 1'),
(3,	1364,	'Пункт приймання-видачі (до 30 кг): вул. Мекаберідзе, 23/а'),
(1,	1364,	'Пункт приема-выдачи (до 30 кг): ул. Мекаберидзе, 23/а'),
(3,	1365,	'Пункт приймання-видачі (до 30 кг): вул. Свято-Покровська, 16'),
(1,	1365,	'Пункт приема-выдачи (до 30 кг): ул. Свято-Покровская, 16'),
(3,	1366,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 38а'),
(1,	1366,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 38а'),
(3,	1367,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 32'),
(1,	1367,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32'),
(3,	1368,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 67'),
(1,	1368,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 67'),
(3,	1369,	'Відділення №1: вул. Гомельська,15'),
(1,	1369,	'Отделение №1: ул. Гомельская, 15'),
(3,	1370,	'Відділення №1: вул. Виноградського, 24'),
(1,	1370,	'Отделение: ул. Виноградского, 24'),
(3,	1371,	'Пункт приймання-видачі (до 30 кг): вул. Південна, 31'),
(1,	1371,	'Пункт приема-выдачи (до 30 кг): ул. Южная, 31'),
(3,	1372,	'Пункт приймання-видачі (до 30 кг): вул. Первомайська, 1'),
(1,	1372,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(3,	1373,	'Відділення №1: площа Соборна, 22'),
(1,	1373,	'Отделение №1: площадь Соборная, 22'),
(3,	1374,	'Відділення №1: вул. Аккерманська, 1'),
(1,	1374,	'Отделение №1: ул. Аккерманская, 1'),
(3,	1375,	'Відділення №1: вул. Вокзальна, 10д'),
(1,	1375,	'Отделение №1: ул. Вокзальная, 10д'),
(3,	1376,	'Відділення №1: вул. Соборна, 113'),
(1,	1376,	'Отделение №1: ул. Соборная, 113'),
(3,	1378,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 6'),
(1,	1378,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 6'),
(3,	1379,	'Відділення №1: вул. Молодіжна, 19Б'),
(1,	1379,	'Отделение №1: ул. Молодежная, 19Б'),
(3,	1380,	'Відділення №1: вул. Центральна, 46'),
(1,	1380,	'Отделение №1: ул. Центральная, 46'),
(3,	1381,	'Відділення №1: вул. Якова Шепеля, 1'),
(1,	1381,	'Отделение №1: ул. Якова Шепеля, 1'),
(3,	1382,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 20'),
(1,	1382,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 20'),
(3,	1383,	'Відділення №1 (до 30 кг): вул. Заводська, 4-а'),
(1,	1383,	'Отделение №1 (до 30 кг): ул. Заводская, 4-а'),
(3,	1384,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 79а'),
(1,	1384,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 79а'),
(3,	1385,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1385,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1386,	'Пункт приймання-видачі (до 30 кг): вул. Тиха,1'),
(1,	1386,	'Пункт приема-выдачи (до 30 кг): ул. Тихая, 1'),
(3,	1387,	'Відділення №1: вул. Центральна, 48'),
(1,	1387,	'Николаевка (Новомосковський р-н), Центральная, 48'),
(3,	1388,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 68'),
(1,	1388,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 68'),
(3,	1389,	'Відділення №1: вул. Лікарняна, 18'),
(1,	1389,	'Отделение №1: ул. Больничная, 18'),
(3,	1390,	'Відділення №1: вул. Шевченка, 134а'),
(1,	1390,	'Отделение №1, ул. Шевченко, 134'),
(3,	1391,	'Пункт приймання-видачі (до 30 кг): вул. Козацька, 34'),
(1,	1391,	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 34'),
(3,	1392,	'Пункт приймання-видачі (до 30 кг): вул. Б. Хмельницького, 1а'),
(1,	1392,	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 1а'),
(3,	1393,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 26а'),
(1,	1393,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 26а'),
(3,	1394,	'Автолавка (до 30 кг): вул. Шевченка, 47'),
(1,	1394,	'Автолавка (до 30 кг): ул. Шевченка, 47'),
(3,	1395,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1395,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	1397,	'Відділення №1: вул. Київський Шлях, 38'),
(1,	1397,	'Отделение №1: ул. Киевский Путь, 38'),
(3,	1398,	'Відділення №1: вул. Південновокзальна, 3'),
(1,	1398,	'Отделение №1: ул. Южновокзальная, 3'),
(3,	1399,	'Відділення №1: вул. Шкільна, 1а'),
(1,	1399,	'Отделение №1: ул. Школьная, 1а'),
(3,	1400,	'Відділення № 1: вул. Суворова, 28'),
(1,	1400,	'Отделение № 1: ул. Суворова, 28'),
(3,	1401,	'Відділення №1: вул. Покровська, 5а'),
(1,	1401,	'Отделение №1: ул. Покровская, 5а'),
(3,	1402,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 30А'),
(1,	1402,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 30А'),
(3,	1403,	'Відділення №1: вул. Центральна, 94а'),
(1,	1403,	'Отделение №1: ул. Центральная, 94а'),
(3,	1404,	'Відділення №1: вул. Тараса Дороша , 20а'),
(1,	1404,	'Отделение №1: ул. Тараса Дороша, 20а'),
(3,	1405,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 3'),
(1,	1405,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3'),
(3,	1406,	'Відділення №1: вул. Довженка, 25В'),
(1,	1406,	'Отделение №1: ул. Довженко, 25В'),
(3,	1407,	'Пункт приймання-видачі (до 30 кг): вул. Верхній кінець, 108'),
(1,	1407,	'Пункт приема-выдачи (до 30 кг): ул. Верхний конец, 108'),
(3,	1408,	'Автолавка (до 30 кг): вул. Першотравнева, 22'),
(1,	1408,	'Автолавка (до 30 кг): ул. Первомайская, 22'),
(3,	1409,	'Пункт приймання-видачі (до 30 кг): вул. Кожедуба, 26'),
(1,	1409,	'Пункт приема-выдачи (до 30 кг): ул. Кожедуба, 26'),
(3,	1410,	'Пункт приймання-видачі (до 30 кг): вул. Котовського, 71'),
(1,	1410,	'Пункт приема-выдачи (до 30 кг): ул. Котовского, 71'),
(3,	1411,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 56'),
(1,	1411,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 56'),
(3,	1412,	'Відділення №1: вул. Мирна, 21'),
(1,	1412,	'Отделение №1: ул. Мирная, 21'),
(3,	1413,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 88'),
(1,	1413,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 88'),
(3,	1414,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 28'),
(1,	1414,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(3,	1415,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 13'),
(1,	1415,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 13'),
(3,	1416,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 121'),
(1,	1416,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 121'),
(3,	1417,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 33'),
(1,	1417,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 33'),
(3,	1418,	'Відділення №1: вул. Центральна, 1а'),
(1,	1418,	'Отделение №1: ул. Центральная, 1а'),
(3,	1419,	'Пункт приймання-видачі (до 30 кг): вул. Бойківка, 1'),
(1,	1419,	'Пункт приема-выдачи (до 30 кг): ул. Бойковка, 1'),
(3,	1420,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 19'),
(1,	1420,	'Автолавка (до 30 кг): ул. Главная, 19 (возле сельсовета)'),
(3,	1421,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 75'),
(1,	1421,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 75'),
(3,	1422,	'Відділення №1: вул. Гагаріна, 10'),
(1,	1422,	'Отделение №1: ул. Гагарина, 10'),
(3,	1423,	'Відділення №1: вул. Харківська, 100Д'),
(1,	1423,	'Отделение №1: ул. Харьковская, 100Д'),
(3,	1424,	'Відділення №1: вул. Центральна, 73'),
(1,	1424,	'Отделение №1: ул. Центральная, 73'),
(3,	1425,	'Відділення №1: вул. Шевченка, 28'),
(1,	1425,	'Отделение №1: ул. Шевченка, 28'),
(3,	1426,	'Відділення №1: вул. Українська, 178'),
(1,	1426,	'Отделение №1: ул. Украинская, 178'),
(3,	1427,	'Відділення №1: вул. Карпатська, 12'),
(1,	1427,	'Отделение №1: ул. Карпатская, 12'),
(3,	1428,	'Відділення №1: вул. Визволителів, 1б'),
(1,	1428,	'Отделение №1: ул. Освободителей , 1б'),
(3,	1429,	'Відділення №1: вул. Народна, 7'),
(1,	1429,	'Отделение №1: ул. Народная, 7'),
(3,	1430,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 124'),
(1,	1430,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 124'),
(3,	1431,	'Відділення №1: вул. Паркова, 2а'),
(1,	1431,	'Отделение №1: ул. Парковая, 2а'),
(3,	1432,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 84'),
(1,	1432,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 84'),
(3,	1433,	'Відділення №1: вул. Садова, 6'),
(1,	1433,	'Отделение №1: ул. Садовая, 6'),
(3,	1434,	'Відділення №1: вул. Подільська, 10/2'),
(1,	1434,	'Отделение №1: ул. Подольская, 10/2'),
(3,	1435,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 269'),
(1,	1435,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 26'),
(3,	1436,	'Відділення №1: вул. Центральна, 5а'),
(1,	1436,	'Отделение №1: ул. Центральная, 5а'),
(3,	1437,	'Відділення №1: вул. Енгельса, 5'),
(1,	1437,	'Отделение №1: ул. Энгельса, 5'),
(3,	1438,	'Відділення №1: вул. Покровська, 130'),
(1,	1438,	'Отделение №1: ул. Покровськая, 130'),
(3,	1439,	'Відділення № 1: вул. Незалежності, 1'),
(1,	1439,	'Отделение № 1: ул. Независимости, 1'),
(3,	1440,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 26'),
(1,	1440,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 26'),
(3,	1441,	'Пункт приймання-видачі (до 30 кг): вул. Сулікова, 2-Б'),
(1,	1441,	'Пункт приема-выдачи (до 30 кг), ул. Суликова, 2-Б'),
(3,	1442,	'Відділення №1: вул. Промислова, 11'),
(1,	1442,	'Отделение №1: ул. Промышленная, 11'),
(3,	1443,	'Відділення №1: вул. Привокзальна, 55'),
(1,	1443,	'Отделение №1: ул. Привокзальная, 55'),
(3,	1444,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 35/2'),
(1,	1444,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 35/2'),
(3,	1445,	'Пункт приймання-видачі (до 30 кг): вул. Визволителів, 25а'),
(1,	1445,	'Пункт приема-выдачи (до 30 кг): ул. Освободителей, 25а'),
(3,	1446,	'Пункт приймання-видачі (до 30 кг): вул. Мілованова, 1'),
(1,	1446,	'Пункт приема-выдачи (до 30 кг), ул. Милованова, 1'),
(3,	1447,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 19'),
(1,	1447,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19'),
(3,	1448,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 152'),
(1,	1448,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 152'),
(3,	1449,	'Пункт приймання-видачі (до 30 кг): вул. Шевченко, 1'),
(1,	1449,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	1450,	'Відділення №1: вул. Л.Українки, 7 б'),
(1,	1450,	'Отделение №1: ул. Л.Украинки, 7 б'),
(3,	1451,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 105'),
(1,	1451,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 105'),
(3,	1452,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 34'),
(1,	1452,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(3,	1453,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 32'),
(1,	1453,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32'),
(3,	1454,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 7а'),
(1,	1454,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 7а'),
(3,	1455,	'Автолавка (до 30 кг): вул. Незалежності, 36'),
(1,	1455,	'Автолавка (до 30 кг): ул. Независимости, 36'),
(3,	1456,	'Пункт приймання-видачі (до 30 кг): вул. Підкоритова, 8'),
(1,	1456,	'Пункт приема-выдачи (до 30 кг): ул. Подкорытова, 8'),
(3,	1457,	'Відділення №1: вул. Миру, 17'),
(1,	1457,	'Отделение №1: ул. Мира, 17'),
(3,	1458,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 1'),
(1,	1458,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 1'),
(3,	1459,	'Відділення №1 (до 30 кг): вул. Бердичівське шосе, 4'),
(1,	1459,	'Отделение №1 (до 30 кг): ул. Бердичевское шоссе, 4'),
(3,	1460,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1'),
(1,	1460,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(3,	1461,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 72'),
(1,	1461,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 72'),
(3,	1462,	'Відділення №1: вул. Миру, 20 -б'),
(1,	1462,	'Отделение №1: ул. Мира, 20 -б'),
(3,	1463,	'Відділення №1: вул. Шевченко, 23А'),
(1,	1463,	'Отделение №1: ул. Шевченко, 23А'),
(3,	1464,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 40'),
(1,	1464,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 40'),
(3,	1465,	'Пункт приймання-видачі  (до 30 кг): вул. Центральна, 16'),
(1,	1465,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(3,	1466,	'Відділення №1: вул. Київська, 1з'),
(1,	1466,	'Отделение №1: ул. Киевская, 1з'),
(3,	1467,	'Відділення №1: вул. Мелітопольська, 7а'),
(1,	1467,	'Отделение №1: ул. Мелитопольская, 7а'),
(3,	1468,	'Відділення №1: вул. Шкільна, 57 (пансіонат &quot;Прибой&quot;)'),
(1,	1468,	'Отделение №1: ул. Школьная, 57 (пансионат &quot;Прибой&quot;)'),
(3,	1469,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 45'),
(1,	1469,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 45'),
(3,	1470,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 47'),
(1,	1470,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 47'),
(3,	1471,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 27'),
(1,	1471,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 27'),
(3,	1472,	'Пункт приймання-видачі (до 30 кг): вул. 40-річчя Перемоги,1а'),
(1,	1472,	'Пункт приема-выдачи (до 30 кг): ул. 40-летия Победы, 1а'),
(3,	1473,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 25'),
(1,	1473,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 25'),
(3,	1474,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1а'),
(1,	1474,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	1475,	'Пункт приймання-видачі (до 30 кг), вул. Яготинська, 18'),
(1,	1475,	'Пункт приема-выдачи (до 30 кг), ул. Яготинская, 18'),
(3,	1476,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 2'),
(1,	1476,	'Пункт приема-выдачи (до 30 кг), ул. Главная, 2'),
(3,	1477,	'Відділення №1: вул. Шевченка, 72'),
(1,	1477,	'Отделение №1: ул. Шевченка, 72'),
(3,	1478,	'Пункт приймання-видачі (до 30 кг): вул. Чугуївська, 70'),
(1,	1478,	'Пункт приема-выдачи (до 30 кг): ул. Чугуевская, 70'),
(3,	1479,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 28'),
(1,	1479,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 28'),
(3,	1480,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 16'),
(1,	1480,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(3,	1481,	'Пункт приймання-видачі (до 30 кг): вул. Гребінківська, 3'),
(1,	1481,	'Пункт приема-выдачи (до 30 кг): ул. Гребенковская, 3'),
(3,	1482,	'Пункт приймання-видачі (до 30 кг): вул. Поштова, 1'),
(1,	1482,	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 1'),
(3,	1483,	'Відділення №1: пров. Шкільний, 2'),
(1,	1483,	'Отделение №1: проул. Школьный, 2'),
(3,	1484,	'Пункт приймання-видачі (до 30 кг): вул. Мічуріна, 55'),
(1,	1484,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 55'),
(3,	1485,	'Пункт приймання-видачі (до 30 кг): вул. Молодогвардійська, 53'),
(1,	1485,	'Пункт приема-выдачи (до 30 кг), ул. Молодогвардейская, 53'),
(3,	1486,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 11'),
(1,	1486,	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 11'),
(3,	1487,	'Відділення №1: вул. Миру, 154'),
(1,	1487,	'Отделение №1: ул. Мира, 154'),
(3,	1488,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 25а'),
(1,	1488,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25а'),
(3,	1489,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 28а'),
(1,	1489,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 28а'),
(3,	1490,	'Пункт приймання-видачі (до 30 кг): вул. Вознесенська, 106'),
(1,	1490,	'Пункт приема-выдачи (до 30 кг): ул. Вознесенская, 106'),
(3,	1491,	'Пункт приймання-видачі (до 30 кг): вул. Біловодська, 22'),
(1,	1491,	'Пункт приема-выдачи (до 30 кг): ул. Беловодская, 22'),
(3,	1492,	'Пункт приймання-видачі (до 30 кг): вул. Штефан Челмарі, 55'),
(1,	1492,	'Пункт приема-выдачи (до 30 кг): ул. Штефан Челмари, 55'),
(3,	1493,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 46'),
(1,	1493,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 46'),
(3,	1494,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 80'),
(1,	1494,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 80'),
(3,	1495,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 176'),
(1,	1495,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 176'),
(3,	1496,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9а'),
(1,	1496,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9а'),
(3,	1497,	'Пункт приймання-видачі (до 30 кг): вул. Дубини, 1а'),
(1,	1497,	'Пункт приема-выдачи (до 30 кг): ул. Дубины, 1а'),
(3,	1498,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 1-в'),
(1,	1498,	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 1-в'),
(3,	1499,	'Відділення №1: вул. Замкова, 3'),
(1,	1499,	'Отделене №1: ул. Замковая, 3'),
(3,	1500,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	1500,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	1501,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 65а'),
(1,	1501,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 65а'),
(3,	1502,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 136А/3'),
(1,	1502,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 136А/3'),
(3,	1503,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 11'),
(1,	1503,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 11'),
(3,	1504,	'Відділення №1: вул. Незалежності, 168а'),
(1,	1504,	'Отделение №1: ул. Независимости, 168а'),
(3,	1505,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 2'),
(1,	1505,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 2'),
(3,	1506,	'Пункт приймання-видачі (до 30 кг): вул. Рудяківська, 68'),
(1,	1506,	'Пункт приема-выдачи (до 30 кг): ул. Рудаковская, 68'),
(3,	1507,	'Відділення №1 (до 30 кг): вул. Пушкіна, 2'),
(1,	1507,	'Отделение №1 (до 30 кг): ул. Пушкина, 2'),
(3,	1508,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 7'),
(1,	1508,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7'),
(3,	1509,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 86'),
(1,	1509,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франка, 86'),
(3,	1510,	'Пункт приймання-видачі (до 30 кг): вул. Степана Бандери, 1'),
(1,	1510,	'Пункт приема-выдачи (до 30 кг): ул. Степана Бандеры, 1'),
(3,	1511,	'Відділення №1: вул. 40-річчя Перемоги, 8'),
(1,	1511,	'Отделение №1: ул. 40-летия Победы, 8'),
(3,	1512,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 8'),
(1,	1512,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 8'),
(3,	1513,	'Пункт приймання-видачі (до 30 кг): вул. Чкалова, 14А'),
(1,	1513,	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 14А'),
(3,	1514,	'Відділення №1: вул. Центральна, 7'),
(1,	1514,	'Отделение №1: ул. Центральная, 7'),
(3,	1515,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 4'),
(1,	1515,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 4'),
(3,	1516,	'Пункт приймання-видачі (до 30 кг): вул. Придеснянська, 47'),
(1,	1516,	'Пункт приема-выдачи (до 30 кг): ул. Придеснянская, 47'),
(3,	1517,	'Пункт приймання-видачі (до 30 кг): вул. Ворони, 304а'),
(1,	1517,	'Пункт приема-выдачи (до 30 кг): ул. Вороны, 304а'),
(3,	1518,	'Пункт приймання-видачі (до 30 кг): вул. Бойцуна, 26'),
(1,	1518,	'Пункт приема-выдачи (до 30 кг): ул. Бойцуна, 26'),
(3,	1519,	'Відділення №1: вул. Прокоф\'єва, 14а'),
(1,	1519,	'Отделение №1: ул. Прокофьева, 14а'),
(3,	1520,	'Відділення №1: вул. Ставніцера Олексія, 11'),
(1,	1520,	'Отделение №1: ул. Ставницера Алексея, 11'),
(3,	1521,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1521,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	1522,	'Відділення №1: вул. Київська, 46'),
(1,	1522,	'Отделение №1: ул. Киевская, 46'),
(3,	1523,	'Пункт приймання-видачі (до 30 кг): вул. Польова, 21-А'),
(1,	1523,	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 21-А'),
(3,	1524,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 2'),
(1,	1524,	'Пункт приема-выдачи (до 30 кг): ул. Франка, 2'),
(3,	1525,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 125а'),
(1,	1525,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 125а'),
(3,	1526,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 8'),
(1,	1526,	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 8'),
(3,	1527,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 1'),
(1,	1527,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1'),
(3,	1528,	'Відділення №1: пров. Севастопольський, 2б'),
(1,	1528,	'Отделение №1: пер. Севастопольский, 2б'),
(3,	1529,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 38'),
(1,	1529,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 38'),
(3,	1530,	'Відділення № 1: вул. Центральна, 44а'),
(1,	1530,	'Отделение № 1: ул. Центральная, 44а'),
(3,	1531,	'Відділення №1: вул. Графа Львова, 8а'),
(1,	1531,	'Отделение №1: ул. Первомайская, 8а'),
(3,	1532,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 136'),
(1,	1532,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 136'),
(3,	1533,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 43'),
(1,	1533,	'Пункт приема-выдачи (до 30 кг), ул. Галицкая, 43'),
(3,	1534,	'Пункт приймання-видачі (до 30 кг): вул. Іванківська, 7Б'),
(1,	1534,	'Пункт приема-выдачи (до 30 кг), ул. Иванковская, 7Б'),
(3,	1535,	'Відділення №1: вул. Степна, 4'),
(1,	1535,	'Отделение №1: ул. Степная, 4'),
(3,	1536,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 132'),
(1,	1536,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 132'),
(3,	1537,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 10а'),
(1,	1537,	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 10а'),
(3,	1538,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 72'),
(1,	1538,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 72'),
(3,	1539,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 57'),
(1,	1539,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 57'),
(3,	1540,	'Відділення №1: вул. 1-го Травня, 43а'),
(1,	1540,	'Отделение №1: ул. 1-го Мая, 43а'),
(3,	1541,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 22а'),
(1,	1541,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 22а'),
(3,	1542,	'Відділення №1: вул. Миколи Юнкерова, 29а (Київ)'),
(1,	1542,	'Отделение №1: ул. Николая Юнкерова, 29а (Киев)'),
(3,	1543,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1а'),
(1,	1543,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(3,	1544,	'Автолавка (до 30 кг): АН 2938 КН, вул. Державна, 94 (біля сільради)'),
(1,	1544,	'Автолавка (до 30 кг): АН 2938 КН, ул. Государственная, 94'),
(3,	1545,	'Пункт приймання-видачі (до 30 кг): вул. Центральна , 277'),
(1,	1545,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 277'),
(3,	1546,	'Пункт приймання-видачі (до 30 кг): вул. Середина,  38'),
(1,	1546,	'Пункт приема-выдачи (до 30 кг): ул. Середина, 38'),
(3,	1547,	'Відділення №1: вул. Балукова, 8Б'),
(1,	1547,	'Отделение №1: ул. Балукова, 8Б'),
(3,	1548,	'Відділення №1: вул. Сагайдачного, 47'),
(1,	1548,	'Отделение №1: ул. Сагайдачного, 47'),
(3,	1549,	'Пункт приймання-видачі (до 30 кг): вул. Ковальчука, 6н'),
(1,	1549,	'Пункт приема-выдачи (до 30 кг): ул. Ковальчука, 6н'),
(3,	1550,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6'),
(1,	1550,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(3,	1551,	'Пункт приймання-видачі (до 30 кг): вул. Терешкової, 15'),
(1,	1551,	'Пункт приема-выдачи (до 30 кг): ул. Терешковой, 15'),
(3,	1552,	'Відділення №1: вул. Визволителів, 64а'),
(1,	1552,	'Отделение №1 (до 30 кг): ул. Освободителей, 64а'),
(3,	1553,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 20'),
(1,	1553,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 20'),
(3,	1554,	'Відділення №1: вул. Буковинська, 11'),
(1,	1554,	'Отделение №1: ул. Буковинская, 11'),
(3,	1555,	'Пункт приймання-видачі (до 30 кг): вул. Чорновола, 39'),
(1,	1555,	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 39'),
(3,	1556,	'Відділення №1: вул. Трибушанська, 66'),
(1,	1556,	'Отделение №1: ул. Трибушанская, 66'),
(3,	1557,	'Пункт приймання-видачі (до 30 кг): присілок Горби, 317а'),
(1,	1557,	'Пункт приема-выдачи (до 30 кг): поселок Горби, 317а'),
(3,	1558,	'Пункт приймання-видачі (до 30 кг): вул. Ярослава Мудрого, 5'),
(1,	1558,	'Пункт приема-выдачи (до 30 кг), ул. Ярослава Мудрого, 5'),
(3,	1559,	'Відділення №1: вул. Дніпрова, 22а'),
(1,	1559,	'Отделение №1: ул. Днепровая, 22а'),
(3,	1560,	'Пункт приймання-видачі (до 30 кг): пров. Червоний, 11'),
(1,	1560,	'Пункт приема-выдачи (до 30 кг): пер. Красный, 11'),
(3,	1561,	'Відділення №1: вул. Шевченка, 17'),
(1,	1561,	'Отделение №1: ул. Шевченка, 17'),
(3,	1562,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 42'),
(1,	1562,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(3,	1563,	'Пункт приймання-видачі (до 30 кг): вул. Скаржинського, 30'),
(1,	1563,	'Пункт приема-выдачи (до 30 кг): ул. Скаржинского, 30'),
(3,	1564,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 107'),
(1,	1564,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 107'),
(3,	1565,	'Пункт приймання-видачі (до 30 кг): вул. Гагарина, 5а'),
(1,	1565,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 5а'),
(3,	1566,	'Пункт приймання-видачі (до 30 кг): вул. Автоливмашівська, 179'),
(1,	1566,	'Пункт приема-выдачи (до 30 кг): ул. Автоливмашевская, 179'),
(3,	1567,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 7'),
(1,	1567,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 7'),
(3,	1568,	'Пункт приймання-видачі (до 30 кг): вул. Байка, 31'),
(1,	1568,	'Пункт приема-выдачи (до 30 кг): ул. Байка, 31'),
(3,	1569,	'Відділення №1: вул. Центральна, 97'),
(1,	1569,	'Отделение №1: ул. Центральная, 97'),
(3,	1570,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 3'),
(1,	1570,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 3'),
(3,	1571,	'Відділення №1: вул. Миру, 40'),
(1,	1571,	'Отделение №1: ул. Мира, 40'),
(3,	1572,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 27а'),
(1,	1572,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 27а'),
(3,	1573,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 3'),
(1,	1573,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 3'),
(3,	1574,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 35'),
(1,	1574,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(3,	1575,	'Відділення №1: вул. Центральна, 32'),
(1,	1575,	'Отделение №1: ул. Центральная, 32'),
(3,	1576,	'Пункт приймання-видачі (до 30 кг): вул. Володимирівська, 14а'),
(1,	1576,	'Пункт приема-выдачи (до 30 кг): ул. Владимирская, 14а'),
(3,	1577,	'Відділення №1: вул. Воздвиженська, 59'),
(1,	1577,	'Отделение №1: ул. Воздвиженская, 59'),
(3,	1578,	'Відділення №1: вул. Незалежності, 82'),
(1,	1578,	'Отделение №1: ул. Независимости, 82'),
(3,	1579,	'Відділення №1: вул. Соборна, 43'),
(1,	1579,	'Отделение №1: ул. Соборная, 43'),
(3,	1580,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 12-а'),
(1,	1580,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 12-а'),
(3,	1581,	'Відділення № 1: вул. Духновича, 92'),
(1,	1581,	'Отделение № 1: ул. Духновича, 92'),
(3,	1582,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 48/1'),
(1,	1582,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48/1'),
(3,	1583,	'Відділення №1: вул. А. Ковпака, 2а'),
(1,	1583,	'Отделение №1: ул. А. Колпака, 2а'),
(3,	1584,	'Відділення №1: вул. Міцкевича, 1'),
(1,	1584,	'Отделение №1: ул. Мицкевича, 1'),
(3,	1585,	'Відділення №1: вул. Луцька, 10'),
(1,	1585,	'Отделение №1: ул. Луцкая, 10'),
(3,	1586,	'Відділення №1: вул. Аерофлотська, 2б'),
(1,	1586,	'Отделение №1: ул. Аэрофлотская, 2б'),
(3,	1587,	'Відділення №1: вул. Залізнична, 87'),
(1,	1587,	'Отделение №1: ул. Жалезнодорожная, 87'),
(3,	1588,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8'),
(1,	1588,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(3,	1589,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 22а'),
(1,	1589,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22а'),
(3,	1590,	'Відділення №1: вул. Ковельська, 52'),
(1,	1590,	'Отделение №1: ул. Ковельская, 52'),
(3,	1591,	'Пункт приймання-видачі (до 30 кг): вул. Придеснянська, 69'),
(1,	1591,	'Пункт приема-выдачи (до 30 кг): ул. Придеснянская, 69'),
(3,	1592,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 10'),
(1,	1592,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 10'),
(3,	1593,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 23'),
(1,	1593,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 23'),
(3,	1594,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 1А'),
(1,	1594,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 1А'),
(3,	1595,	'Відділення №1: вул. Гагаріна, 6с'),
(1,	1595,	'Отделение №1: ул. Гагарина, 6с'),
(3,	1596,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 67'),
(1,	1596,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 67'),
(3,	1597,	'Пункт приймання-видачі (до 30 кг): вул. І. Франка, 48'),
(1,	1597,	'Пункт приема-выдачи (до 30 кг): ул. И. Франко, 48'),
(3,	1598,	'Пункт приймання-видачі (до 30 кг): вул. Нікітченко, 12'),
(1,	1598,	'Пункт приема-выдачи (до 30 кг): ул. Никитченко, 12'),
(3,	1599,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 34/1'),
(1,	1599,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 34/1'),
(3,	1600,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 10-А'),
(1,	1600,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10-А'),
(3,	1601,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 37'),
(1,	1601,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 37'),
(3,	1602,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 94'),
(1,	1602,	'Пункт приема-передачи (до 30 кг): ул. Центральная, 94'),
(3,	1603,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 24'),
(1,	1603,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24'),
(3,	1604,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 12'),
(1,	1604,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 12'),
(3,	1605,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 15б'),
(1,	1605,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 15б'),
(3,	1606,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 2'),
(1,	1606,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2'),
(3,	1607,	'Відділення №1: вул. Радгоспна, 4'),
(1,	1607,	'Отделение №1: ул. Совхозная, 4'),
(3,	1608,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 24а'),
(1,	1608,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 24а'),
(3,	1609,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 25а'),
(1,	1609,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 25а'),
(3,	1610,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 129'),
(1,	1610,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 129'),
(3,	1611,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 48'),
(1,	1611,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 48'),
(3,	1612,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 55'),
(1,	1612,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 55'),
(3,	1613,	'Автолавка (до 30 кг): АН 2938 КН, вул. Леваневського, 13 (біля сільради)'),
(1,	1613,	'Автолавка (до 30 кг): АН 2938 КН, ул. Леваневского, 13 (возле сельсовета)'),
(3,	1614,	'Відділення № 1: вул. Центральна, 166/а'),
(1,	1614,	'Отделение № 1: ул. Центральная, 166/а'),
(3,	1615,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 28'),
(1,	1615,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(3,	1616,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 10а'),
(1,	1616,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 10а'),
(3,	1617,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 53'),
(1,	1617,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 53'),
(3,	1618,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченка, 48'),
(1,	1618,	'Чишки, Тараа Шевченка, 48'),
(3,	1619,	'Пункт приймання-видачі (до 30 кг): вул. БОС2, 9а'),
(1,	1619,	'Пункт приема-выдачи (до 30 кг): ул. БОС2, 9а'),
(3,	1620,	'Відділення №1: вул. Євгенія Колісниченка,40'),
(1,	1620,	'Отделение №1: ул. Евгения Колесниченко, 40'),
(3,	1621,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33'),
(1,	1621,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3,	1622,	'Пункт приймання-видачі (до 30 кг): вул. Кулеша Леоніда, 1а'),
(1,	1622,	'Пункт приема-выдачи (до 30 кг): ул. Кулеша Леонида, 1а'),
(3,	1623,	'Відділення №1: кв-л Молодіжний, 20'),
(1,	1623,	'Отделение №1: кв-л Молодёжный, 20'),
(3,	1624,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	1624,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	1625,	'Пункт приймання-видачі (до 30 кг): вул. Ковельська, 2'),
(1,	1625,	'Пункт приема-выдачи (до 30 кг): ул. Ковеля, 2'),
(3,	1626,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 4'),
(1,	1626,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 4'),
(3,	1627,	'Відділення № 1: вул. Полтавська 46'),
(1,	1627,	'Отделение № 1: ул. Полтавская, 46'),
(3,	1628,	'Пункт приймання-видачі (до 30 кг): вул. Снитка, 69а'),
(1,	1628,	'Пункт приема-выдачи (до 30 кг): ул. Снытка, 69а'),
(3,	1629,	'Відділення №1: вул. Хоменко, 26/А'),
(1,	1629,	'Отделение №1: ул. Хоменко, 26/А'),
(3,	1630,	'Пункт приймання-видачі (до 30 кг): вул. Зоряна, 61'),
(1,	1630,	'Пункт приема-выдачи (до 30 кг): ул. Звездная, 61'),
(3,	1631,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 15'),
(1,	1631,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(3,	1632,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1632,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	1633,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна , 13'),
(1,	1633,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 13'),
(3,	1634,	'Відділення №1: вул. Покровська, 21'),
(1,	1634,	'Отделение №1: ул. Покровская, 21'),
(3,	1635,	'Відділення №1: вул. Державна, 29'),
(1,	1635,	'Отделение №1: ул. Государственная, 29'),
(3,	1636,	'Відділення №1: вул. В\'ячеслава Чорновола, 103'),
(1,	1636,	'Отделение №1: ул. Вячеслава Черновола, 103'),
(3,	1637,	'Відділення №1: вул. Володимирська, 21б'),
(1,	1637,	'Отделение №1: ул. Владимирская, 21б'),
(3,	1638,	'Відділення №1: вул. Центральна, 4'),
(1,	1638,	'Отделение №1: ул. Центральная, 4'),
(3,	1639,	'Відділення №1: вул. 8-го Березня, 3б'),
(1,	1639,	'Отделение №1: ул. 8-го Марта, 3б'),
(3,	1640,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 14'),
(1,	1640,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 14'),
(3,	1641,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 7'),
(1,	1641,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 7'),
(3,	1642,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 43'),
(1,	1642,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 43'),
(3,	1643,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 30'),
(1,	1643,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 30'),
(3,	1644,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 51'),
(1,	1644,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 51'),
(3,	1645,	'Відділення №1: вул. Центральна, 104 Г'),
(1,	1645,	'Отделение №1: ул. Центральная, 104 Г'),
(3,	1647,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 1а'),
(1,	1647,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 1а'),
(3,	1648,	'Пункт приймання-видачі (до 30 кг): вул. Гоголя, 1а'),
(1,	1648,	'Пункт приема-выдачи (до 30 кг), ул. Гоголя, 1а'),
(3,	1649,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	1649,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	1650,	'Пункт приймання-видачі (до 30 кг): вул. Стрільникова, 2Б'),
(1,	1650,	'Пункт приема-выдачи (до 30 кг): ул. Стрильникова, 2Б'),
(3,	1651,	'Відділення №1: вул. Софіївська, 136'),
(1,	1651,	'Отделение №1, ул. Софиевская, 136'),
(3,	1652,	'Пункт приймання-видачі (до 30 кг): вул. Касперовська, 167'),
(1,	1652,	'Пункт приема-выдачи (до 30 кг): ул. Касперовская, 167'),
(3,	1653,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 210-А'),
(1,	1653,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 210-А'),
(3,	1654,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 187'),
(1,	1654,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 187'),
(3,	1655,	'Пункт приймання видачі (до 30 кг): вул. Соціалістична, 3а'),
(1,	1655,	'Пункт приема выдачи (до 30 кг): ул. Социалистическая, 3а'),
(3,	1656,	'Відділення №1: вул. Центральна, 84'),
(1,	1656,	'Отделение №1: ул. Центральная, 84'),
(3,	1657,	'Відділення №1: вул. Шевченка, 3'),
(1,	1657,	'Отделение №1: ул. Шевченко, 3'),
(3,	1658,	'Відділення №1: вул. Тімірязєва, 37'),
(1,	1658,	'Отделение №1: ул. Тимирязева, 37'),
(3,	1659,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 15а'),
(1,	1659,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 15а'),
(3,	1660,	'Пункт приймання-видачі (до 30 кг): вул. Сергієва, 1-В'),
(1,	1660,	'Пункт приема-выдачи (до 30 кг): ул. Сергиева, 1-В'),
(3,	1661,	'Автолавка (до 30 кг): АВ 3795 СР, вул. Соборна 15, (біля сільради)'),
(1,	1661,	'Автолавка (до 30 кг): АВ 3795 СР, ул. Соборная 15, (возле сельсовета)'),
(3,	1662,	'Відділення №1: вул. Грушевського, 3'),
(1,	1662,	'Отделение №1: ул. Грушевського, 3'),
(3,	1663,	'Пункт приймання-видачі (до 30 кг): вул. Ковельська, 36а'),
(1,	1663,	'Пункт приема-выдачи (до 30 кг): ул. Ковельская, 36а'),
(3,	1664,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 31'),
(1,	1664,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 31'),
(3,	1665,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 111'),
(1,	1665,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111'),
(3,	1666,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1666,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	1667,	'Пункт приймання-видачі  (до 30 кг): вул. Центральна, 24'),
(1,	1667,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 24'),
(3,	1668,	'Пункт приймання-видачі (до 30 кг): вул. Слобожанська, 4'),
(1,	1668,	'Пункт приема-выдачи (до 30 кг), ул. Слобожанская, 4'),
(3,	1669,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 45'),
(1,	1669,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 45'),
(3,	1670,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 924'),
(1,	1670,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 924'),
(3,	1671,	'Відділення №1: пров. Радянський, 6'),
(1,	1671,	'Отделение №1: проу. Советский, 6'),
(3,	1672,	'Відділення №1: вул. Кошут Лайоша 80/а'),
(1,	1672,	'Отделение №1: ул. Кошут Лаеша 80/а'),
(3,	1674,	'Відділення №1: вул. Шуменська, 9'),
(1,	1674,	'Отделение №1: ул. Шуменськая, 9'),
(3,	1675,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 49'),
(1,	1675,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 49'),
(3,	1676,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 40'),
(1,	1676,	'Пункт приема-выдачи (до 30 кг), ул. Франко, 40'),
(3,	1677,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 166'),
(1,	1677,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 166'),
(3,	1678,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 92а'),
(1,	1678,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 92а'),
(3,	1679,	'Пункт приймання-видачі (до 30 кг): вул. Очаківська, 39'),
(1,	1679,	'Пункт приема-выдачи (до 30 кг): ул. Очаковская, 39'),
(3,	1680,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1А'),
(1,	1680,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1А'),
(3,	1681,	'Відділення №1: ул. Шевченка, 2Б'),
(1,	1681,	'Отделение №1: ул. Шевченко, 2Б'),
(3,	1682,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 35б'),
(1,	1682,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35б'),
(3,	1683,	'Відділення № 1: вул. Незалежності, 100'),
(1,	1683,	'Отделение № 1: ул. Независимости, 100'),
(3,	1684,	'Відділення № 1: вул. Свято-Покровська, 18'),
(1,	1684,	'Отделение № 1: ул. Свято-Покровськая, 18'),
(3,	1685,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 55'),
(1,	1685,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 55'),
(3,	1686,	'Відділення №1: вул. Європейська, 177'),
(1,	1686,	'Отделение №1: ул. Европейская, 177'),
(3,	1687,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 7а'),
(1,	1687,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7а'),
(3,	1688,	'Пункт приймання видачі (до 30 кг): вул. Січових Стрільців, 24'),
(1,	1688,	'Пункт приема-выдачи (до 30 кг), ул. Сечевых Стрельцов, 24'),
(3,	1689,	'Відділення №1: вул. Маяковського, 59а'),
(1,	1689,	'Отделение №1: ул. Маяковского, 59а'),
(3,	1690,	'Пункт приймання-видачі (до 30 кг): вул. Федика, 257я'),
(1,	1690,	'Пункт приема-выдачи (до 30 кг): ул. Федика, 257я'),
(3,	1691,	'Пункт приймання-видачі (до 30 кг): вул. Залізнична, 11'),
(1,	1691,	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 11'),
(3,	1692,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 6'),
(1,	1692,	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 6'),
(3,	1693,	'Пункт приймання-видачі (до 30 кг): вул. Виноградна, 8'),
(1,	1693,	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 8'),
(3,	1694,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 52а'),
(1,	1694,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 52а'),
(3,	1695,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 106'),
(1,	1695,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 106'),
(3,	1696,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 23'),
(1,	1696,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 23'),
(3,	1697,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 35'),
(1,	1697,	'Пункт приема-выдачи (до 30 кг): ул.  Шевченко, 57а'),
(3,	1698,	'Відділення №1: вул. Свободи, 71'),
(1,	1698,	'Отделение №1: ул. Свободы, 71'),
(3,	1699,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 17'),
(1,	1699,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 17'),
(3,	1700,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна(Магазин №8)'),
(1,	1700,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная (Магазин №8)'),
(3,	1701,	'Пункт приймання-видачі (до 30 кг): вул. Каштанова, 9'),
(1,	1701,	'Пункт приема-выдачи (до 30 кг): ул. Каштановая, 9'),
(3,	1702,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1702,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1703,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 17'),
(1,	1703,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 17'),
(3,	1704,	'Відділення №1: вул. Незалежності, 67-Б'),
(1,	1704,	'Отделение №1: ул. Независимости, 65а (помещение дома &quot;Быта&quot;)'),
(3,	1705,	'Відділення №1: пров. Поштовий, 27 в (навпроти Центру зайнятості)'),
(1,	1705,	'Отделение №1: пер. Почтовый, 27 в (напротив Центра занятости)'),
(3,	1706,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 14'),
(1,	1706,	'Пункт приема-выдачи (до 30 кг), ул. Вишневая, 14'),
(3,	1707,	'Відділення №1: вул. Гоголя, 45д'),
(1,	1707,	'Отделение №1: ул. Гоголя, 45д'),
(3,	1708,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 77'),
(1,	1708,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 77'),
(3,	1709,	'Відділення №1: вул. Східна, 17'),
(1,	1709,	'Отделение №1: Восточная, 17'),
(3,	1710,	'Пункт приймання-видачі (до 30 кг): пров. Морський, 1'),
(1,	1710,	'Пункт приема-выдачи (до 30 кг): пер. Морской, 1'),
(3,	1711,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 2'),
(1,	1711,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5а'),
(3,	1712,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 91А'),
(1,	1712,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 91А'),
(3,	1713,	'Відділення №1: Миколаївське шосе, 5-й км'),
(1,	1713,	'Отделение №1: Николаевское шоссе, 5-й км'),
(3,	1714,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 79'),
(1,	1714,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 79'),
(3,	1715,	'Відділення №1: вул. Петрушевича, 4'),
(1,	1715,	'Отделение №1: ул. Петрушевича, 4'),
(3,	1716,	'Відділення №1: вул. Незалежності, 107 а'),
(1,	1716,	'Отделение№1: ул. Независимости, 107 а'),
(3,	1717,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 10'),
(1,	1717,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(3,	1718,	'Пункт приймання-видачі (до 30 кг): вул. Самосенків, 151'),
(1,	1718,	'Пункт приема-выдачи (до 30 кг): ул.  Самосенко, 151'),
(3,	1719,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 63'),
(1,	1719,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 63'),
(3,	1720,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 59'),
(1,	1720,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 59'),
(3,	1721,	'Пункт приймання-видачі (до 30 кг): вул. Ворошилова, 86'),
(1,	1721,	'Пункт приема-выдачи (до 30 кг): ул. Ворошилова, 86'),
(3,	1722,	'Пункт приймання-видачі (до 30 кг): вул. Тимошенко, 55'),
(1,	1722,	'Пункт приема-выдачи (до 30 кг), ул. Тимошенко, 55'),
(3,	1723,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 37'),
(1,	1723,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(3,	1724,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченко, 62а'),
(1,	1724,	'Пункт приймання-видачі (до 30 кг), вул. Тараса Шевченко, 62а'),
(3,	1725,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 26'),
(1,	1725,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 26'),
(3,	1726,	'Відділення №1: вул. Комплекс будівль і споруд 1, буд. 11а'),
(1,	1726,	'Отделение №1: ул. комплекс зданий и сооружений 1, д. 11а'),
(3,	1727,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 54'),
(1,	1727,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 54'),
(3,	1728,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 7'),
(1,	1728,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(3,	1729,	'Пункт приймання видачі (до 30 кг): вул. Незалежності, 36а'),
(1,	1729,	'Пункт приема выдачи (до 30 кг): ул. Независимости, 36а'),
(3,	1730,	'Відділення №1: вул. Ватутіна, 44'),
(1,	1730,	'Отделение №1: ул. Ватутина, 44'),
(3,	1731,	'Відділення №1: вул. Соборна, 47'),
(1,	1731,	'Отделение №1: ул. Соборная, 47'),
(3,	1732,	'Відділення №1: вул. Перемоги, 120'),
(1,	1732,	'Отделение №1: ул. Победы, 120'),
(3,	1733,	'Відділення №1: вул. Незалежності, 19'),
(1,	1733,	'Отделение №1: ул. Независимости, 19'),
(3,	1734,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 12'),
(1,	1734,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 12'),
(3,	1735,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 25'),
(1,	1735,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25'),
(3,	1736,	'Відділення №1: вул. Перемоги, 20'),
(1,	1736,	'Отделение №1: ул. Победы, 20'),
(3,	1737,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 31'),
(1,	1737,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 31'),
(3,	1738,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1'),
(1,	1738,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(3,	1739,	'Пункт приймання-видачі (до 30 кг): вул. Мурашка, 108-Б'),
(1,	1739,	'Пункт приема-выдачи (до 30 кг): ул. Муравей, 108-Б'),
(3,	1740,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	1740,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	1741,	'Відділення №1: вул. Берестецька, 128'),
(1,	1741,	'Отделение №1: ул. Берестецкая, 128'),
(3,	1742,	'Відділення №1: вул. Партизанської слави, 28А'),
(1,	1742,	'Отделение №1: ул. Партизанской славы, 28А'),
(3,	1743,	'Пункт приймання-видачі (до 30 кг): вул. Гошівська, 167'),
(1,	1743,	'Пункт приема-выдачи (до 30 кг): ул. Гомивська, 167'),
(3,	1744,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 75'),
(1,	1744,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 75'),
(3,	1745,	'Відділення №1: вул. Черкаська, 18'),
(1,	1745,	'Отделение №1: ул. Черкасская, 18'),
(3,	1746,	'Відділення №1: вул. Колокольцова, 17'),
(1,	1746,	'Отделение №1: ул. Колокольцова, 17'),
(3,	1747,	'Пункт приймання-видачі (до 30 кг): вул. Смирнова, 28'),
(1,	1747,	'Пункт приема-выдачи (до 30 кг): ул. Смирнова, 28'),
(3,	1748,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 1'),
(1,	1748,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(3,	1749,	'Відділення №1: вул. Кутаїська, 20'),
(1,	1749,	'Отделение №1: ул. Кутаисская, 20'),
(3,	1750,	'Відділення №1: вул. Центральна, 1'),
(1,	1750,	'Отделение №1: ул. Центральная, 1'),
(3,	1751,	'Пункт приймання-видачі (до 30 кг): вул. Первомайська, 60'),
(1,	1751,	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 60'),
(3,	1752,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 58'),
(1,	1752,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(3,	1753,	'Пункт приймання-видачі (до 30 кг): вул. Ламброва, 42'),
(1,	1753,	'Пункт приема-выдачи (до 30 кг): ул. Ламброва, 42'),
(3,	1754,	'Пункт приймання-видачі (до 30 кг): вул. Ринок, 24'),
(1,	1754,	'Пункт приема-выдачи (до 30 кг): ул. Рынок, 24'),
(3,	1755,	'Відділення №1: вул. Леніна, 1а'),
(1,	1755,	'Отделение №1: ул. Ленина, 1а'),
(3,	1756,	'Пункт приймання-видачі (до 30 кг): вул. Данилюка, 2'),
(1,	1756,	'Пункт приема-выдачи (до 30 кг): ул. Данилюка, 2'),
(3,	1757,	'Відділення №1: вул. Центральна, 125'),
(1,	1757,	'Отделение №1: ул. Центральная, 125'),
(3,	1758,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 25'),
(1,	1758,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 25'),
(3,	1759,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 25'),
(1,	1759,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25'),
(3,	1760,	'Пункт приймання-видачі (до 30 кг): вул. Центральна , 117'),
(1,	1760,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 117'),
(3,	1761,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 42'),
(1,	1761,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 42'),
(3,	1762,	'Відділення №1: вул. Казакова, 43'),
(1,	1762,	'Отделение: ул. Казакова, 43'),
(3,	1763,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 18'),
(1,	1763,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 18'),
(3,	1764,	'Відділення №1: вул. Патріарха Володимира, 49'),
(1,	1764,	'Отделение №1: ул. Патриарха Владимира, 49'),
(3,	1765,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 53'),
(1,	1765,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 53'),
(3,	1766,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 89'),
(1,	1766,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 89'),
(3,	1767,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 11'),
(1,	1767,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(3,	1768,	'Пункт приймання-видачі (до 30 кг): просп. Миру, 1а'),
(1,	1768,	'Пункт приема-выдачи (до 30 кг): просп. Мира, 1а'),
(3,	1769,	'Відділення №1: вул. Миру, б/н (перехрестя вул. Миру та вул. Шаянської)'),
(1,	1769,	'Отделение №1: ул. Мира, б/н (Перекресток ул. Мира и ул. Шаянской)'),
(3,	1770,	'Пункт приймання-видачі (до 30 кг): вул. Седова, 38'),
(1,	1770,	'Пункт приема-выдачи (до 30 кг): ул. Седова, 38'),
(3,	1771,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 65А'),
(1,	1771,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 65А'),
(3,	1772,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 20а'),
(1,	1772,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 20а'),
(3,	1773,	'Відділення №1: вул. Центральна, 30-А'),
(1,	1773,	'Отделение №1: ул. Центральная, 30-А'),
(3,	1774,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 43'),
(1,	1774,	'Заливне'),
(3,	1775,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 2'),
(1,	1775,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 2'),
(3,	1776,	'Автолавка (до 30 кг): вул. Леніна, 64'),
(1,	1776,	'Автолавка (до 30 кг): ул. Ленина, 64'),
(3,	1777,	'Пункт приймання видачі (до 30 кг): вул. Степана Бандери, 1'),
(1,	1777,	'Пункт приема-выдачи (до 30 кг), ул. Степана Бандеры, 1'),
(3,	1778,	'Відділення №1: вул. Центральна, 141а'),
(1,	1778,	'Отделение №1: ул. Центральная, 141а'),
(3,	1779,	'Відділення №1: вул. Перемоги, 36'),
(1,	1779,	'Отделение №1: ул. Победы, 36'),
(3,	1780,	'Пункт приймання-видачі  (до 30 кг): вул. Молодіжна, 1а'),
(1,	1780,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1а'),
(3,	1781,	'Пункт приймання-видачі (до 30 кг): вул. Воздвиженська, 16'),
(1,	1781,	'Пункт приема-выдачи (до 30 кг): ул. Воздвиженская, 16'),
(3,	1782,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 44'),
(1,	1782,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 44'),
(3,	1783,	'Відділення №1: вул. Центральна, 64'),
(1,	1783,	'Отделение №1: ул. Центральная, 64'),
(3,	1784,	'Відділення №1: вул. Гагаріна, 202'),
(1,	1784,	'Отделение №1: ул. Гагарина, 202'),
(3,	1785,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 56'),
(1,	1785,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 56'),
(3,	1786,	'Пункт приймання-видачі (до 30 кг): вул. Логвіненка, 8'),
(1,	1786,	'Пункт приема-выдачи (до 30 кг): ул. Логвиненко, 8'),
(3,	1787,	'Пункт приймання-видачі (до 30 кг): вул. Ломоносова, 18'),
(1,	1787,	'Пункт приема-выдачи (до 30 кг), ул. Ломоносова, 18'),
(3,	1788,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 55'),
(1,	1788,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55'),
(3,	1789,	'Відділення №1: вул. Могилівська, 24/2'),
(1,	1789,	'Отделение №1: ул. Могилевская, 24/2'),
(3,	1790,	'Пункт приймання-видачі (до 30 кг): вул. Белінського, 20'),
(1,	1790,	'Пункт приема-выдачи (до 30 кг): ул. Белинского, 20'),
(3,	1791,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 34'),
(1,	1791,	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 34'),
(3,	1792,	'Пункт приймання-видачі (до 30 кг): вул. Суворова, 47'),
(1,	1792,	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 47'),
(3,	1793,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 18'),
(1,	1793,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 18'),
(3,	1794,	'Пункт приймання-видачі (до 30  кг): вул. Центральна, 128'),
(1,	1794,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 128'),
(3,	1795,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 56'),
(1,	1795,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 56'),
(3,	1796,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 1В'),
(1,	1796,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 1В'),
(3,	1797,	'Пункт приймання-видачі (до 30 кг): вул. Резніченко, 113'),
(1,	1797,	'Пункт приема-выдачи (до 30 кг), ул. Резниченко, 113'),
(3,	1798,	'Пункт приймання-видачі (до 30 кг): вул. Клубна, 1'),
(1,	1798,	'Пункт приема-выдачи (до 30 кг): ул. Клубная, 1'),
(3,	1799,	'Відділення №1: вул. Шкільна, 1б'),
(1,	1799,	'Отделение №1: ул. Школьная, 1б'),
(3,	1800,	'Відділення №1: вул. Хирівська, 133'),
(1,	1800,	'Отделение №1: ул. Хировская, 133'),
(3,	1801,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 11б'),
(1,	1801,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 11б'),
(3,	1802,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 15'),
(1,	1802,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 15'),
(3,	1803,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 72'),
(1,	1803,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 72'),
(3,	1804,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 54'),
(1,	1804,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 54'),
(3,	1805,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 25а'),
(1,	1805,	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 25а'),
(3,	1806,	'Відділення №1: вул. Сухомлинського, 10'),
(1,	1806,	'Отделение №1: ул. Сухомлинского, 10'),
(3,	1807,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 208'),
(1,	1807,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 208'),
(3,	1808,	'Пункт приймання-видачі (до 30 кг): вул. Лещенко, 2а'),
(1,	1808,	'Пункт приема-выдачи (до 30 кг), ул. Лещенко, 2а'),
(3,	1809,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 37'),
(1,	1809,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 37'),
(3,	1810,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 27'),
(1,	1810,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 27'),
(3,	1811,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 12'),
(1,	1811,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12'),
(3,	1812,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 591'),
(1,	1812,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 591'),
(3,	1813,	'Пункт приймання-видачі (до 30 кг): вул. Комсомольська, 14'),
(1,	1813,	'Пункт приема-выдачи (до 30 кг): ул. Комсомольская, 14'),
(3,	1814,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 1а'),
(1,	1814,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 1а'),
(3,	1815,	'Відділення №1: вул. Млинівська, 55г'),
(1,	1815,	'Отделение №1: ул. Млыновская, 55 г'),
(3,	1816,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 514'),
(1,	1816,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 514'),
(3,	1817,	'Відділення №1: вул. Соборна, 220'),
(1,	1817,	'Отделение №1: ул. Соборная, 220'),
(3,	1818,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 44а'),
(1,	1818,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44а'),
(3,	1819,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 15'),
(1,	1819,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 15'),
(3,	1820,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	1820,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	1821,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1821,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1822,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 207'),
(1,	1822,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 207'),
(3,	1823,	'Відділення №1: вул. Шевченка, 133'),
(1,	1823,	'Отделение №1: ул. Шевченко, 133'),
(3,	1824,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 56'),
(1,	1824,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 56'),
(3,	1825,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1825,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1826,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 2'),
(1,	1826,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 2'),
(3,	1827,	'Відділення №1: вул. Червона Площа, 64'),
(1,	1827,	'Отделение №1: ул. Красная Площадь, 64'),
(3,	1828,	'Пункт приймання-видачі (до 30 кг): вул. Кобецькой, 51'),
(1,	1828,	'Пункт приема-выдачи (до 30 кг): ул. Кобецкой, 51'),
(3,	1829,	'Пункт приймання-видачі (до 30 кг): вул. Селянська, 112-Б'),
(1,	1829,	'Пункт приема-выдачи (до 30 кг): ул. Селянская, 112-Б'),
(3,	1830,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 1'),
(1,	1830,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 1'),
(3,	1831,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 18А'),
(1,	1831,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 18А'),
(3,	1832,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 3'),
(1,	1832,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 3'),
(3,	1833,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 96'),
(1,	1833,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 96'),
(3,	1834,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 8/2'),
(1,	1834,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 8/2'),
(3,	1835,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 14'),
(1,	1835,	'Пункт приема-выдачи (до 30 кг), ул. Кирова, 14'),
(3,	1836,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 105А'),
(1,	1836,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 105А'),
(3,	1837,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 221'),
(1,	1837,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 221'),
(3,	1838,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 74'),
(1,	1838,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 74'),
(3,	1839,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 35'),
(1,	1839,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(3,	1840,	'Відділення №1: вул. Пушкіна, 99'),
(1,	1840,	'Отделение №1: ул. Пушкина, 99'),
(3,	1841,	'Відділення №1: вул. Українська, 87'),
(1,	1841,	'Отделение №1: ул. Украинская, 87'),
(3,	1842,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 42'),
(1,	1842,	'Валява'),
(3,	1843,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 10'),
(1,	1843,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(3,	1844,	'Пункт приймання-видачі (до 30 кг): вул. Степова, 25'),
(1,	1844,	'Пункт приема-выдачи (до 30 кг), ул. Степная, 25'),
(3,	1845,	'Відділення №1: вул. Суворова, 61'),
(1,	1845,	'Отделение №1: ул. Суворова, 61'),
(3,	1846,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 28а'),
(1,	1846,	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 28а'),
(3,	1847,	'Пункт приймання-видачі (до 30 кг): вул. Задвірʼя, 6а'),
(1,	1847,	'Пункт приема-выдачи (до 30 кг): ул. Задворья, 6а'),
(3,	1848,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 111 б/2'),
(1,	1848,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(3,	1849,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 125А'),
(1,	1849,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 125А'),
(3,	1850,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 131'),
(1,	1850,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 131'),
(3,	1851,	'Пункт приймання-видачі (до 30 кг): вул. Мала, 1А'),
(1,	1851,	'Пункт приема-выдачи (до 30 кг): ул. Малая, 1А'),
(3,	1852,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 55а'),
(1,	1852,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 55а'),
(3,	1853,	'Пункт приймання-видачі (до 30 кг): вул. Зарічна, 1а'),
(1,	1853,	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 1а'),
(3,	1854,	'Відділення №1: вул. Львівська, 76'),
(1,	1854,	'Отделение №1: ул. Львовская, 76'),
(3,	1855,	'Пункт приймання-видачі (до 30 кг): вул. Раковці Ференца, 41'),
(1,	1855,	'Пункт приема-выдачи (до 30 кг): ул. Раковци Ференца, 41'),
(3,	1856,	'Пункт приймання-видачі (до 30 кг): вул. Новосілка, 35'),
(1,	1856,	'Пункт приема-выдачи (до 30 кг): ул. Новоселка, 35'),
(3,	1857,	'Пункт приймання-видачі (до 30 кг): вул. 40 років Перемоги, 26а'),
(1,	1857,	'Пункт приема-выдачи (до 30 кг): ул. 40 лет Победы, 26а'),
(3,	1858,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33'),
(1,	1858,	'Пунтк приема-выдачи (до 30 кг), ул. Центральная, 33'),
(3,	1859,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 28'),
(1,	1859,	'Пункт приема-выдачи (до 30 кг), ул. Лесная, 28'),
(3,	1860,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 89'),
(1,	1860,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 89'),
(3,	1861,	'Пункт приймання-видачі (до 30 кг): вул. 4-го ГККК, 20'),
(1,	1861,	'Пункт приема-выдачи (до 30 кг): ул. 4-го ГККК, 20'),
(3,	1862,	'Відділення №1: вул. Гагаріна, 1'),
(1,	1862,	'Отделение №1: ул. Гагарина, 1'),
(3,	1863,	'Пункт приймання-видачі (до 30 кг): вул. Зорянська, 1'),
(1,	1863,	'Пункт приема-выдачи (до 30 кг): ул. Зорянская, 1'),
(3,	1864,	'Пункт приймання-видачі (до 30 кг): вул.  Леніна, 43'),
(1,	1864,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 43'),
(3,	1865,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33'),
(1,	1865,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3,	1866,	'Пункт приймання-видачі (до 30 кг): вул. Діденка, 16а'),
(1,	1866,	'Пункт приема-выдачи (до 30 кг): ул. Диденко, 16а'),
(3,	1867,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 117'),
(1,	1867,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 117'),
(3,	1868,	'Пункт приймання-видачі (до 30 кг): вул. Миру,46'),
(1,	1868,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 46'),
(3,	1869,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1869,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1870,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 69'),
(1,	1870,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 69'),
(3,	1871,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 84'),
(1,	1871,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 84'),
(3,	1872,	'Пункт приймання-видачі (до 30 кг): вул. Слави, 1а'),
(1,	1872,	'Пункт приема-выдачи (до 30 кг), ул. Славы, 1а'),
(3,	1873,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 25'),
(1,	1873,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 25'),
(3,	1874,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 13'),
(1,	1874,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 13'),
(3,	1875,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 92б'),
(1,	1875,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 92б'),
(3,	1876,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	1876,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	1877,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 1а'),
(1,	1877,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1а'),
(3,	1878,	'Пункт приймання-видачі (до 30 кг): вул. Черкаська, 99б'),
(1,	1878,	'Пункт приема-выдачи (до 30 кг): ул. Черкасская, 99б'),
(3,	1879,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 86'),
(1,	1879,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 86'),
(3,	1880,	'Пункт приймання-видачі (до 30 кг): вул. Шевченко, 63'),
(1,	1880,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 63'),
(3,	1881,	'Пункт приймання-видачі (до 30 кг): вул. Миру,63'),
(1,	1881,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 63'),
(3,	1882,	'Пункт приймання-видачі (до 30 кг): вул. Ворошилова, 20а'),
(1,	1882,	'Пункт приема-выдачи (до 30 кг): ул. Ворошилова, 20а'),
(3,	1883,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 43'),
(1,	1883,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(3,	1884,	'Пункт приймання-видачі (до 30 кг): вул. Коськовецька, 54а'),
(1,	1884,	'Пункт приема-выдачи (до 30 кг), ул. Коськовецька, 54а'),
(3,	1885,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 86б'),
(1,	1885,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 86б'),
(3,	1886,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 283'),
(1,	1886,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 283'),
(3,	1887,	'Пункт приймання-видачі (до 30 кг): вул. Цигикала, 115'),
(1,	1887,	'Пункт приема-выдачи (до 30 кг): ул. Цигикал, 115'),
(3,	1888,	'Відділення №1: вул. Дмитра Донцова, 15/7'),
(1,	1888,	'Отделение №1: ул. Дмитрия Донцова, 15/7'),
(3,	1889,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 57'),
(1,	1889,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 57'),
(3,	1890,	'Пункт приймання-видачі (до 30 кг): вул. Даценка, 27'),
(1,	1890,	'Пункт приема-выдачи (до 30 кг): ул. Даценко, 27'),
(3,	1891,	'Автолавка (до 30 кг): вул. Центральна, 2'),
(1,	1891,	'Автолавка (до 30 кг): ул. Центральная, 2'),
(3,	1892,	'Відділення №1: вул. Горького, 49/5'),
(1,	1892,	'Отделение №1: ул. Горького, 49/5'),
(3,	1893,	'Відділення №1: вул. Криворізька, 12'),
(1,	1893,	'Отделение №1: ул. Криворожская, 12'),
(3,	1894,	'Відділення №1: вул. Пирогівський шлях, 135'),
(1,	1894,	'Отделение №1: ул. Пироговский путь, 135'),
(3,	1895,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 46'),
(1,	1895,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 46'),
(3,	1896,	'Пункт приймання-видачі (до 30 кг): вул. Святого Михайла, 1а'),
(1,	1896,	'Пункт приема-выдачи (до 30 кг): ул. Святого Михаила, 1а'),
(3,	1897,	'Відділення №1: вул. 20-го липня, 8 а'),
(1,	1897,	'Отделение №1: ул. 20-го июля, 8 а'),
(3,	1898,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 75А'),
(1,	1898,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 75А'),
(3,	1899,	'Пункт приймання-видачі (до 30 кг): вул. Кравченка, 104'),
(1,	1899,	'Пункт приема-выдачи (до 30 кг): ул. Кравченко, 104'),
(3,	1900,	'Відділення №1: вул. Гагаріна 1Г'),
(1,	1900,	'отделение №1: ул. Гагарина, 1Г'),
(3,	1901,	'Відділення №1: вул. Шахтарська, 3'),
(1,	1901,	'Отделение №1: ул. Шахтерская, 3'),
(3,	1902,	'Відділення №1: вул. Софіївська, 119'),
(1,	1902,	'Отделение №1: ул. Софиевская, 119'),
(3,	1903,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 47'),
(1,	1903,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 47'),
(3,	1904,	'Відділення №1: вул. Терешкової, 6а'),
(1,	1904,	'Отделение №1: ул. Терешковой, 6а'),
(3,	1905,	'Пункт приймання-видачі (до 30 кг): вул. Полтавська, 15'),
(1,	1905,	'Пункт приема-выдачи (до 30 кг): ул. Полтавская, 15'),
(3,	1906,	'Відділення №1: вул. Вічевий Майдан, 8'),
(1,	1906,	'Отделение №1: ул. Вечевой Майдан, 8'),
(3,	1907,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 72б'),
(1,	1907,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 72б'),
(3,	1908,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 20'),
(1,	1908,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3,	1909,	'Відділення №1: вул. Соборна, 22'),
(1,	1909,	'Отделение №1: ул. Соборная, 22'),
(3,	1910,	'Відділення №1: вул. Шкільна, 35'),
(1,	1910,	'Отделение №1: ул. Школьная, 35'),
(3,	1911,	'Відділення №1: вул. Перемоги, 58'),
(1,	1911,	'Отделение №1, ул. Победы, 58'),
(3,	1912,	'Автолавка: АН 2938 КН, вул. Свободи, 155 (біля маг. Оскольський)'),
(1,	1912,	'Автолавка: АН 2938 КН, ул. Свободы, 155 (возле маг. Оскольський)'),
(3,	1913,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 110а'),
(1,	1913,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 110а'),
(3,	1914,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 1'),
(1,	1914,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1'),
(3,	1915,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 35'),
(1,	1915,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 35'),
(3,	1916,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 38'),
(1,	1916,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 38'),
(3,	1917,	'Відділення №1: вул. Гребінківська, 20а'),
(1,	1917,	'Отделение №1: ул. Гребёнковская, 20а'),
(3,	1918,	'Відділення №1: вул. Лохвицька, 30в'),
(1,	1918,	'Отделение №1: ул. Лохвицкая, 30в'),
(3,	1919,	'Пункт приймання-видачі (до 30 кг): вул. Сидорська, 8'),
(1,	1919,	'Пункт приема-выдачи (до 30 кг), ул. Сидорская, 8'),
(3,	1920,	'Відділення №1: вул. Центральна, 113'),
(1,	1920,	'Отделение №1: ул. Центральная, 113'),
(3,	1921,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 4'),
(1,	1921,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4'),
(3,	1922,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 3'),
(1,	1922,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 3'),
(3,	1923,	'Пункт приймання-видачі (до 30 кг): вул. Слов\'янська, 49а'),
(1,	1923,	'Пункт приема-выдачи (до 30 кг): ул. Славянская, 49а'),
(3,	1924,	'Відділення №1: вул. Шкільна, 1'),
(1,	1924,	'Отделение №1: ул. Школьная, 1'),
(3,	1925,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	1925,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	1926,	'Відділення №1: вул. Гагаріна, 6'),
(1,	1926,	'Отделение №1: ул. Гагарина, 6'),
(3,	1927,	'Пункт приймання-видачі (до 30 кг): вул. Лозовецька, 1'),
(1,	1927,	'Пункт приема-выдачи (до 30 кг): ул. Лозовецкая, 1'),
(3,	1928,	'Пункт приймання-видачі (до 30 кг): вул. Поршнянська, 3а'),
(1,	1928,	'Пункт приема-видичи (до 30 кг): ул. Поршнянская, 3а'),
(3,	1929,	'Пункт приймання-видачі (до 30 кг): пров. Торговий, 1'),
(1,	1929,	'Пункт приема-выдачи (до 30 кг): проул. Торговый, 1'),
(3,	1930,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 31'),
(1,	1930,	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 31'),
(3,	1931,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 4б'),
(1,	1931,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 4б'),
(3,	1932,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 42'),
(1,	1932,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 42'),
(3,	1933,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 84'),
(1,	1933,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 84'),
(3,	1934,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 66'),
(1,	1934,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 66'),
(3,	1935,	'Пункт приймання-видачі (до 30 кг): вул. Ясена, 17'),
(1,	1935,	'Пункт приема-выдачи (до 30 кг): ул. Ясеня, 17'),
(3,	1936,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8'),
(1,	1936,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(3,	1937,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1-а'),
(1,	1937,	'Пункт приема-выдачи (до 30 кг): ул. Мира, первый'),
(3,	1938,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	1938,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	1939,	'Пункт приймання-видачі (до 30 кг): вул. Кременецька, 14'),
(1,	1939,	'Пункт приема-выдачи (до 30 кг): ул. Кременецкая, 14'),
(3,	1940,	'Пункт приймання-видачі (до 30 кг): вул. Яблунева, 32а'),
(1,	1940,	'Пункт приема-выдачи (до 30 кг): ул. Яблоневая, 32а'),
(3,	1941,	'Відділення №1: пл. Перемоги, 20'),
(1,	1941,	'Отделение №1: пл. Победы, 20'),
(3,	1942,	'Відділення №1: вул. Юності, 1'),
(1,	1942,	'Отделение №1: ул. Юности, 1'),
(3,	1943,	'Відділення №1: вул. Проектна, 1'),
(1,	1943,	'Отделение №1: ул. Проектная, 1'),
(3,	1944,	'Пункт приймання-видачі (до 30 кг): вул. Чкалова, 43'),
(1,	1944,	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 43'),
(3,	1945,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 35'),
(1,	1945,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 35'),
(3,	1946,	'Відділення №1 (до 30 кг): вул. Ілляшевської Варвари, 27'),
(1,	1946,	'Отделение №1 (до 30 кг): ул. Илляшевской Варвары, 27'),
(3,	1947,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 22'),
(1,	1947,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 22'),
(3,	1948,	'Пункт приймання-видачі (до 30 кг): вул. Г.Парна, 2'),
(1,	1948,	'Пункт приема-выдачи (до 30 кг): ул. Г.Парна, 2'),
(3,	1949,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 1а'),
(1,	1949,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1а'),
(3,	1950,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 2'),
(1,	1950,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 2'),
(3,	1951,	'Пункт приймання-видачі (до 30 кг): вул. Кам\'янська, 8'),
(1,	1951,	'Пункт приема-выдачи (до 30 кг): ул. Каменская, 8'),
(3,	1952,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 84б'),
(1,	1952,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 84б'),
(3,	1953,	'Відділення №1, вул. Центральна, 84'),
(1,	1953,	'Отделение №1: ул. Центральная, 84'),
(3,	1954,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31а'),
(1,	1954,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31а'),
(3,	1955,	'Відділення №1: вул. Тараса Шевченка, 1а'),
(1,	1955,	'Отделение №1: ул. Тараса Шевченко, 1а'),
(3,	1956,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 35В'),
(1,	1956,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35В'),
(3,	1957,	'Відділення №1: вул. Лікарняна, 1а'),
(1,	1957,	'Отделение №1: ул. Больничная, 1а'),
(3,	1958,	'Пункт приймання-видачі (до 30 кг): вул. Небесної Сотні, 4'),
(1,	1958,	'Пункт приема-выдачи (до 30 кг): ул. Небесной Сотни, 4'),
(3,	1959,	'Пункт приймання-видачі (до 30 кг): вул. Іштвана Сечені, 117'),
(1,	1959,	'Пункт приема-выдачи (до 30 кг): ул. Иштвана Сечени, 117'),
(3,	1960,	'Відділення №1: вул. Павла Каплуна, 71'),
(1,	1960,	'Отделение №1: ул. Павла Каплуна, 71'),
(3,	1961,	'Відділення №1: вул. Хіміків, 5б'),
(1,	1961,	'Отделение №1: ул. Химиков, 5б'),
(3,	1962,	'Відділення №1 (до 30 кг): вул. Поштова, 23-А'),
(1,	1962,	'Отделение №1 (до 30 кг), ул. Почтовая, 23-А'),
(3,	1963,	'Пункт приймання-видачі (до 30 кг): вул. Водолазко, 11'),
(1,	1963,	'Пункт приема-выдачи (до 30 кг): ул. Водолазко, 11'),
(3,	1964,	'Відділення №1 (до 30 кг): вул. Лесі Українки, 30-а'),
(1,	1964,	'Отделение №1: ул. Леси Украинки, 30-а'),
(3,	1965,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 39з'),
(1,	1965,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 39з'),
(3,	1966,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 5'),
(1,	1966,	'Пункт приема-выдачи (до 30 кг), ул. Киевская, 5'),
(3,	1967,	'Пункт приймання-видачі (до 30 кг): вул. Лебединська, 65'),
(1,	1967,	'Пункт приема-выдачи (до 30 кг): ул. Лебединская, 65'),
(3,	1968,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 122'),
(1,	1968,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 122'),
(3,	1969,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 23'),
(1,	1969,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 23'),
(3,	1970,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 18'),
(1,	1970,	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 18'),
(3,	1971,	'Відділення №1: вул. Матросова, 26'),
(1,	1971,	'Отделение №1: ул. Матросова, 26'),
(3,	1972,	'Відділення №1: вул. Миру, 48'),
(1,	1972,	'Отделение №1: ул. Мира, 48'),
(3,	1973,	'Відділення №1: вул. Фабрична, 1/Б'),
(1,	1973,	'Отделение №1: ул. Фабричная, 1/Б'),
(3,	1974,	'Відділення № 1: вул. Анатолія Міцерука, 4а'),
(1,	1974,	'Отделение № 1: ул. Калинина, 4а'),
(3,	1975,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 55'),
(1,	1975,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 55'),
(3,	1976,	'Пункт приймання-видачі (до 30 кг): вул. Дрогобицька, 23'),
(1,	1976,	'Пункт приема-выдачи (до 30 кг): ул. Дрогобычская, 23'),
(3,	1977,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33'),
(1,	1977,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3,	1978,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 62'),
(1,	1978,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 62'),
(3,	1979,	'Відділення № 1: вул. Миргородська, 25'),
(1,	1979,	'Отделение №1: ул. Миргородськая, 25'),
(3,	1980,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 12'),
(1,	1980,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 12'),
(3,	1981,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	1981,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	1982,	'Пункт приймання-видачі (до 30 кг): вул. Будівельна, 1а'),
(1,	1982,	'Пункт приема-выдачи (до 30 кг): ул. Строительная, 1а'),
(3,	1983,	'Відділення №1: вул. Богдана Хмельницького, 54'),
(1,	1983,	'Отделение №1: ул. Богдана Хмельницкого, 54'),
(3,	1984,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 174-а'),
(1,	1984,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 174-а'),
(3,	1985,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 77'),
(1,	1985,	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 77'),
(3,	1986,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 63'),
(1,	1986,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 63'),
(3,	1987,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 2'),
(1,	1987,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2'),
(3,	1988,	'Пункт приймання-видачі (до 30 кг): вул. 50 років Перемоги, 47а'),
(1,	1988,	'Пункт приема-выдачи (до 30 кг): ул. 50 лет Победы, 47а'),
(3,	1989,	'Відділення №1: вул. С. Шковороди, 29'),
(1,	1989,	'Отделение №1: ул. С. Шковороды, 29'),
(3,	1990,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 23'),
(1,	1990,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 23'),
(3,	1991,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 52'),
(1,	1991,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 52'),
(3,	1992,	'Відділення №1: вул. Соборна, 12'),
(1,	1992,	'Отделение №1: ул. Соборнаяї, 12'),
(3,	1993,	'Пункт приймання-видачі (до 30 кг): вул. Санжарівська, 55'),
(1,	1993,	'Полтавка, Санжаривськая, 55'),
(3,	1994,	'Пункт приймання-видачі (до 30 кг): вул. Патріотична, 12а'),
(1,	1994,	'Пункт приема-выдачи (до 30 кг): ул. Патриотическая, 12а'),
(3,	1995,	'Відділення №1: вул. Миру, 50а'),
(1,	1995,	'Отделение №1: ул. Мира, 50а'),
(3,	1996,	'Пункт приймання-видачі (до 30 кг): вул. Довбуша, 151'),
(1,	1996,	'Пункт приема-выдачи (до 30 кг): ул. Довбуша, 151'),
(3,	1997,	'Відділення №1: вул. Івана Франка, 32'),
(1,	1997,	'Отделение №1: ул. Ивана Франко, 32'),
(3,	1998,	'Пункт приймання-видачі (до 30 кг): пров. Кооперативний, 12'),
(1,	1998,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативный, 12'),
(3,	1999,	'Відділення №1: вул. Волі, 5Б'),
(1,	1999,	'Отделение №1: ул. Свободы, 5Б'),
(3,	2000,	'Пункт приймання-видачі (до 30 кг): вул. Стаханівська, 1а'),
(1,	2000,	'Пункт приема-выдачи (до 30 кг): ул. Стахановская, 1а'),
(3,	2001,	'Пункт приймання-видачі (до 30 кг): вул. Кириченка, 1Б'),
(1,	2001,	'Пункт приема-выдачи (до 30 кг): ул. Кириченко, 1Б'),
(3,	2002,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 22'),
(1,	2002,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 22'),
(3,	2003,	'Відділення №1: вул. Танкістів, 11Б'),
(1,	2003,	'Відділення №1: ул. Танкистов, 11Б'),
(3,	2004,	'Пункт приймання-видачі (до 30 кг): вул. Базарська, 2'),
(1,	2004,	'Пункт приема-выдачи (до 30 кг): ул. Базарская, 2'),
(3,	2005,	'Пункт приймання-видачі (до 30 кг): вул. Шляхова, 56'),
(1,	2005,	'Пункт приема-выдачи (до 30 кг): ул. Дорожная, 56'),
(3,	2006,	'Пункт приймання-видачі (до 30 кг): пров. Центральний, 2'),
(1,	2006,	'Пункт приема-выдачи (до 30 кг): ул. Центральный, 2'),
(3,	2007,	'Відділення №1: вул. Мазепи, 26'),
(1,	2007,	'Отделение №1: ул. Мазепы, 26'),
(3,	2008,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	2008,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 1'),
(3,	2009,	'Відділення №1: вул. Ковельська, 4а'),
(1,	2009,	'Отделение №1: Ковельская, 4а'),
(3,	2010,	'Відділення №1: вул. Миру, 37а'),
(1,	2010,	'Отделение №1: ул. Мира, 37а'),
(3,	2011,	'Відділення №1: вул. Шевченка, 158'),
(1,	2011,	'Отделение №1: ул. Шевченка, 158'),
(3,	2012,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 2/7'),
(1,	2012,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 2/7'),
(3,	2013,	'Відділення №1: вул. Центральна, 50б'),
(1,	2013,	'Отделение №1: ул. Центральная, 50б'),
(3,	2014,	'Пункт приймання-видачі (до 30 кг): вул. Будівельників, 8а'),
(1,	2014,	'Пункт приема-выдачи (до 30 кг), ул. Строителей, 8а'),
(3,	2015,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 1'),
(1,	2015,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(3,	2016,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 14'),
(1,	2016,	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 14'),
(3,	2017,	'Пункт приймання-видачі (до 30 кг): вул. Бринівка, 38'),
(1,	2017,	'Пункт приема-выдачи (до 30 кг): ул. Бриновка, 38'),
(3,	2018,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 19'),
(1,	2018,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(3,	2019,	'Відділення №1: вул. 8-го Березня, 10'),
(1,	2019,	'Отделение №1: ул. 8 Марта, 10'),
(3,	2020,	'Відділення №1: вул. Донецька, 123'),
(1,	2020,	'Отделение №1: ул. Донецкая, 123'),
(3,	2021,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 13'),
(1,	2021,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13'),
(3,	2022,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 2'),
(1,	2022,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 11'),
(3,	2023,	'Автолавка (до 30 кг): вул. Польова, 2'),
(1,	2023,	'Автолавка (до 30 кг): ул. Полевая, 2'),
(3,	2024,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 55-А'),
(1,	2024,	'Пункт приема-выдачи (до 30 кг), ул. Октябрьская, 55-А'),
(3,	2025,	'Пункт приймання-видачі (до 30 кг): вул. Петропавлівська, 48'),
(1,	2025,	'Пункт приема-выдачи (до 30 кг): ул. Петропавловская, 48'),
(3,	2026,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 133'),
(1,	2026,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 133'),
(3,	2027,	'Відділення №1: вул. Магістральна, 19'),
(1,	2027,	'Отделение №1, ул. Магистральная, 19'),
(3,	2028,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 5'),
(1,	2028,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 5'),
(3,	2029,	'Відділення №1: вул. Центральна, 57б'),
(1,	2029,	'Отделение №1: ул. Центральная, 57б'),
(3,	2030,	'Пункт приймання-видачі (до 30 кг): вул. Назаренка, 161'),
(1,	2030,	'Пункт приема-выдачи (до 30 кг): ул. Назаренко, 161'),
(3,	2031,	'Пункт приймання-видачі (до 30 кг): вул.  Соборна, 1'),
(1,	2031,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 1'),
(3,	2032,	'Пункт приймання-видачі  (до 30 кг): вул. Перемоги, 25'),
(1,	2032,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 25'),
(3,	2033,	'Пункт приймання-видачі (до 30 кг): вул. Михайлівська, 145'),
(1,	2033,	'Пункт приема-выдачи (до 30 кг): ул. Михайловская, 145'),
(3,	2034,	'Пункт приймання-видачі (до 30 кг): вул. Глазуна, 46б'),
(1,	2034,	'Пункт приема-выдачи (до 30 кг): ул. Глазуна, 46б'),
(3,	2035,	'Пункт приймання-видачі (до 30 кг): вул. Симона Петлюри, 1'),
(1,	2035,	'Пункт приема-выдачи (до 30 кг): ул. Симона Петлюры, 1'),
(3,	2036,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 12'),
(1,	2036,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 12'),
(3,	2037,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 36'),
(1,	2037,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 36'),
(3,	2038,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 90'),
(1,	2038,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 90'),
(3,	2039,	'Відділення №1: вул. Покровська, 6г'),
(1,	2039,	'Отделение №1: ул. Покровская, 6г'),
(3,	2040,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 56'),
(1,	2040,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 56'),
(3,	2041,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 8'),
(1,	2041,	'Пункт приема-выдачи (до 30 кг), ул. Гагарина, 8'),
(3,	2042,	'Відділення №1: вул. Перемоги, 7'),
(1,	2042,	'Отделение №1: ул. Победы, 7'),
(3,	2043,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 39'),
(1,	2043,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 39'),
(3,	2044,	'Пункт приймання-видачі (до 30 кг): вул. Торгова, 1'),
(1,	2044,	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 1'),
(3,	2045,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 76'),
(1,	2045,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 76'),
(3,	2046,	'Пункт приймання-видачі (до 30 кг): вул. Гідності, 1'),
(1,	2046,	'Пункт приема-выдачи (до 30 кг): ул. Гидности, 1'),
(3,	2047,	'Відділення № 1: вул. Чернігівська, 9/1'),
(1,	2047,	'Отделение № 1: ул. Черниговская, 9/1'),
(3,	2048,	'Пункт приймання-видачі (до 30 кг): вул. Воробкевича, 48'),
(1,	2048,	'Пункт приема-выдачи (до 30 кг): ул. Воробкевича, 48'),
(3,	2049,	'Пункт приймання-видачі (до 30 кг): вул. Широка, 79'),
(1,	2049,	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 79'),
(3,	2050,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 6'),
(1,	2050,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6'),
(3,	2051,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 15'),
(1,	2051,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(3,	2052,	'Відділення №1: вул. Польова, 67'),
(1,	2052,	'Отделение №1: ул. Полевая, 67'),
(3,	2053,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 45'),
(1,	2053,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(3,	2054,	'Відділення №1: вул. Миру, 82'),
(1,	2054,	'Отделение №1: ул. Мира, 82'),
(3,	2055,	'Відділення №1: вул. Музична, 15'),
(1,	2055,	'Отделение №1: ул. Музыкальная, 15'),
(3,	2056,	'Відділення №1: вул. Заводська, 4а'),
(1,	2056,	'Отделение №1: ул. Заводская, 4а'),
(3,	2057,	'Пункт приймання видачі (до 30 кг): вул. Леніна, 71'),
(1,	2057,	'Пункт приема выдачи (до 30 кг): ул. Ленина, 71'),
(3,	2058,	'Пункт приймання видачі (до 30 кг): вул. Шевченка, 12-А'),
(1,	2058,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 12-А'),
(3,	2059,	'Пункт приймання-видачі (до 30 кг): вул. Золочівська, 50'),
(1,	2059,	'Пункт приема-выдачи (до 30 кг): ул. Золочевская, 50'),
(3,	2060,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 8'),
(1,	2060,	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 8'),
(3,	2061,	'Відділення №1: вул. Красіна, 2'),
(1,	2061,	'Отделение №1: ул. Красина, 2'),
(3,	2062,	'Відділення №1: мікрорайон Військове містечко'),
(1,	2062,	'Отделение №1: микрорайон Военный городок'),
(3,	2063,	'Відділення №1: вул. Шевченка, 46А'),
(1,	2063,	'Отделение №1: ул. Шевченка, 46А'),
(3,	2064,	'Пункт приймання-видачі (до 30 кг): вул. Андрія Василишина, 23'),
(1,	2064,	'Пункт приема-выдачи (до 30 кг): ул. Андрея Василишина, 23'),
(3,	2065,	'Відділення №1: вул. Миру, 20'),
(1,	2065,	'Отделение №1: ул. Мира, 20'),
(3,	2066,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 3'),
(1,	2066,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(3,	2067,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 14'),
(1,	2067,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14'),
(3,	2068,	'Пункт приймання видачі (до 30 кг): вул. Степаненка, 34-А'),
(1,	2068,	'Пункт приема выдачи (до 30 кг): ул. Степаненко, 34-А'),
(3,	2069,	'Пункт приймання-видачі (до 30 кг): вул. Красна, 68а'),
(1,	2069,	'Пункт приема-выдачи (до 30 кг): ул. Красная, 68а'),
(3,	2070,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 49'),
(1,	2070,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 49'),
(3,	2071,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 178'),
(1,	2071,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 178'),
(3,	2072,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 8Б'),
(1,	2072,	'Пункт приема-выдачи (до 30 кг), ул. Франка, 8Б'),
(3,	2073,	'Пункт приймання-видачі (до 30 кг): вул. Курилівка, 1'),
(1,	2073,	'Пункт приема-выдачи (до 30 кг): ул. Куриловка, 1'),
(3,	2074,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 10'),
(1,	2074,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 10'),
(3,	2075,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 2а'),
(1,	2075,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2а'),
(3,	2076,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 20/а'),
(1,	2076,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 20/а'),
(3,	2077,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 101'),
(1,	2077,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 101'),
(3,	2078,	'Пункт приймання-видачі(до 30 кг): вул. Рівненська, 21'),
(1,	2078,	'Пункт приема-выдачи (до 30 кг): ул. Ровенская, 21'),
(3,	2079,	'Пункт приймання-видачі  (до 30 кг): вул. Квіткова, 41'),
(1,	2079,	'Пункт приема-выдачи (до 30 кг): ул. Цветочная, 41'),
(3,	2080,	'Пункт приймання-видачі (до 30 кг): вул. Козацька,12'),
(1,	2080,	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 12'),
(3,	2081,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 9'),
(1,	2081,	'ункт приема-выдачи (до 30 кг): ул. Гагарина, 9'),
(3,	2082,	'Відділення №1: вул. Бєлгородська, 8'),
(1,	2082,	'Отделение №1: ул. Белгородская, 8'),
(3,	2083,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 38а'),
(1,	2083,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 38а'),
(3,	2084,	'Пункт приймання-видачі (до 30 кг): вул. Фермерська, 1'),
(1,	2084,	'Пункт приема-выдачи (до 30 кг): ул. Фермерская, 1'),
(3,	2085,	'Пункт приймання-видачі (до 30 кг): пров. Центральний, 45'),
(1,	2085,	'Пункт приема-выдачи (до 30 кг): пров. Центральный, 45'),
(3,	2086,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 146Б'),
(1,	2086,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 146Б'),
(3,	2087,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 4'),
(1,	2087,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4'),
(3,	2088,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 52/3'),
(1,	2088,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 52/3'),
(3,	2089,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 4'),
(1,	2089,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 4'),
(3,	2090,	'Пункт приймання-видачі (до 30 кг): вул. Успенська, 119'),
(1,	2090,	'Пункт приема-выдачи (до 30 кг): ул. Успенская, 119'),
(3,	2091,	'Відділення №1: вул. Центральна, 64а'),
(1,	2091,	'Отделение №1: ул. Центральная, 64а'),
(3,	2092,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 10а'),
(1,	2092,	'Вашківці'),
(3,	2093,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 28'),
(1,	2093,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 28'),
(3,	2094,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 79а'),
(1,	2094,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 79а'),
(3,	2095,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 49А'),
(1,	2095,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 49А'),
(3,	2096,	'Відділення №1: вул. Соборна,  51'),
(1,	2096,	'Отделение №1: ул. Соборная, 51'),
(3,	2097,	'Автолавка (до 30 кг): вул. Незалежності, 36'),
(1,	2097,	'Автолавка (до 30 кг): ул. Независимости, 36'),
(3,	2098,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 234'),
(1,	2098,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 234'),
(3,	2099,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 74'),
(1,	2099,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 74'),
(3,	2100,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 31А'),
(1,	2100,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 31А'),
(3,	2101,	'Пункт приймання-видачі (до 30 кг): вул. Площа Героїв, 2'),
(1,	2101,	'Пункт приема-выдачи (до 30 кг): ул. Площадь Героев, 2'),
(3,	2102,	'Відділення № 1: вул. Головна, 42В'),
(1,	2102,	'Отделение № 1: ул. Главная, 42В'),
(3,	2103,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2103,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	2104,	'Пункт приймання-видачі (до 30 кг): вул. Переправська, 25'),
(1,	2104,	'Пункт приема-выдачи (до 30 кг): ул. Переправська, 17'),
(3,	2105,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 31-Б'),
(1,	2105,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 31-Б'),
(3,	2106,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 72б'),
(1,	2106,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 72б'),
(3,	2107,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 39'),
(1,	2107,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 39'),
(3,	2108,	'Пункт приймання-видачі (до 30 кг): вул. Чкалова, 36'),
(1,	2108,	'Пункт приема-выдачи (до 30 кг), ул. Чкалова, 36'),
(3,	2109,	'Відділення №1: вул. Харківська, 18'),
(1,	2109,	'Отделение №1: ул. Харьковская, 18'),
(3,	2110,	'Пункт приймання-видачі (до 30 кг): вул. Івана Грека, 3'),
(1,	2110,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Грека, 3'),
(3,	2111,	'Пункт приймання-видачі (до 30 кг): вул. Чорновола, 39'),
(1,	2111,	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 39'),
(3,	2112,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 2'),
(1,	2112,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 2'),
(3,	2113,	'Відділення №1: вул. Центральна, 114'),
(1,	2113,	'Отделение №1: ул. Центральная, 114'),
(3,	2114,	'Відділення №1 (до 30 кг): вул. Миру, 23а'),
(1,	2114,	'Отделение №1: ул. Мира, 23а'),
(3,	2115,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 167а'),
(1,	2115,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 167а'),
(3,	2116,	'Відділення №1: вул. Дубнівська, 2В/1'),
(1,	2116,	'Отделение №1: ул. Дубнивська, 2В/1'),
(3,	2117,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 1а'),
(1,	2117,	'Пункт приема-выдачи (до 30 кг), ул. Заводская, 1а'),
(3,	2118,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 27'),
(1,	2118,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 27'),
(3,	2119,	'Пункт приймання-видачі (до 30 кг): вул. Народна, 90'),
(1,	2119,	'Пункт приема-выдачи (до 30 кг): ул. Народная, 90'),
(3,	2120,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3а'),
(1,	2120,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3а'),
(3,	2121,	'Відділення №1: Житомирське шосе, 21 (склад Mary Kay)'),
(1,	2121,	'Отделение: Житомирское шоссе, 21 (склад Mary Kay)'),
(3,	2122,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 47А'),
(1,	2122,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 47А'),
(3,	2123,	'Пункт приймання-видачі (до 30 кг): вул. Зарічна, 84а'),
(1,	2123,	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 84а'),
(3,	2124,	'Відділення №1: вул. Луцька, 19'),
(1,	2124,	'Отделение №1: ул. Луцкая, 19'),
(3,	2125,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 48'),
(1,	2125,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 48'),
(3,	2126,	'Пункт приймання-видачі  (до 30 кг): вул. Соборна, 24'),
(1,	2126,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 24'),
(3,	2127,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 55'),
(1,	2127,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 55'),
(3,	2128,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 57'),
(1,	2128,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 57'),
(3,	2129,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6'),
(1,	2129,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(3,	2130,	'Відділення №1: вул. Боярська, 20а'),
(1,	2130,	'Отделение №1: ул. Боярськая, 20а'),
(3,	2131,	'Пункт приймання-видачі (до 30 кг): вул. Чернігівська, 6'),
(1,	2131,	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 6'),
(3,	2132,	'Відділення №1: вул. Київська, 101б'),
(1,	2132,	'Отделение №1: ул. Киевская, 101б'),
(3,	2133,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 84'),
(1,	2133,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 84'),
(3,	2134,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 111'),
(1,	2134,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111'),
(3,	2135,	'Пункт приймання-видачі (до 30 кг): вул. Святопокровська, 59'),
(1,	2135,	'Пункт приема-выдачи (до 30 кг): ул. Свято-Покровская, 49а'),
(3,	2136,	'Пункт приймання-видачі (до 30 кг): вул. Горіхова, 2483'),
(1,	2136,	'Пункт приема-выдачи (до 30 кг): ул. Ореховая, 2483'),
(3,	2137,	'Пункт приймання-видачі (до 30 кг): вул. Червоноармійська, 19Б'),
(1,	2137,	'Пункт приема-выдачи (до 30 кг): ул. Красноармейская, 19Б'),
(3,	2138,	'Відділення №1: вул. Трудова, 1в'),
(1,	2138,	'Отделение №1: ул. Трудовая, 1в'),
(3,	2139,	'Відділення №1: вул. Шосейна (ран. Артема), 169 (АЗС УкрТАТ Нафта)'),
(1,	2139,	'Отделение №1: ул. Шоссейная (ран. Артема), 169 (АЗС УкрТАТ Нафта)'),
(3,	2140,	'Відділення №1: вул. Перемоги, 6б'),
(1,	2140,	'Отделение №1: ул. Победы, 6б'),
(3,	2141,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1'),
(1,	2141,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(3,	2142,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 10'),
(1,	2142,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 10'),
(3,	2143,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 2А'),
(1,	2143,	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 2А'),
(3,	2144,	'Відділення №1: вул. Василя Стуса, 3є'),
(1,	2144,	'Отделение №1: ул. Василия Стуса, 3е'),
(3,	2145,	'Відділення №1: вул. Заславська, 6'),
(1,	2145,	'Отделение №1: ул. Заславская, 6'),
(3,	2146,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 10-А'),
(1,	2146,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 10-А'),
(3,	2147,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 4/1'),
(1,	2147,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4/1'),
(3,	2148,	'Відділення №1: вул. Гагаріна, 2'),
(1,	2148,	'Отделение №1: ул. Гагарина, 2'),
(3,	2149,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	2149,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	2150,	'Відділення №1: вул. Зубенка, 110д'),
(1,	2150,	'Отделение №1, ул. Зубенко, 110д'),
(3,	2151,	'Відділення № 1: вул. Кременчуцька, 8'),
(1,	2151,	'Отделение №1: ул. Кременчугская, 8'),
(3,	2152,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 27а'),
(1,	2152,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27а'),
(3,	2153,	'Відділення №1:  19-тий квартал, буд 2'),
(1,	2153,	'Отделение №1: 19-тый квартал, д. 2'),
(3,	2154,	'Відділення №1: вул. Гершуни, 14'),
(1,	2154,	'Отделение №1: ул. Гершуны, 14'),
(3,	2155,	'Пункт приймання-видачі (до 30 кг): вул. Квітнева, 16А'),
(1,	2155,	'Пункт приема-выдачи (до 30 кг): ул. Квитневая, 16А'),
(3,	2156,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17а'),
(1,	2156,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 17а'),
(3,	2157,	'Відділення №1: вул. Грушевського, 57'),
(1,	2157,	'Отделение №1: ул. Грушевського, 57'),
(3,	2158,	'Пункт приймання-видачі (до 30 кг): вул. Залізничників, 5-а'),
(1,	2158,	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожников, 5-а'),
(3,	2159,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2а'),
(1,	2159,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2а'),
(3,	2160,	'Пункт приймання-видачі (до 30 кг): вул. Білоуська, 17'),
(1,	2160,	'Пункт приема-выдачи (до 30 кг): ул. Белоусская, 17'),
(3,	2161,	'Пункт приймання-видачі (до 30 кг): вул. Зарічна, 24'),
(1,	2161,	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 24'),
(3,	2162,	'Пункт приймання-видачі (до 30 кг): вул. Центральная, 110 Б'),
(1,	2162,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 110 Б'),
(3,	2163,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9'),
(1,	2163,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(3,	2164,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	2164,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	2165,	'Пункт приймання-видачі (до 30 кг): вул. Калиніна, 162'),
(1,	2165,	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 162'),
(3,	2166,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1а'),
(1,	2166,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1а'),
(3,	2167,	'Пункт приймання-видачі (до 30 кг): вул. Степова, 9'),
(1,	2167,	'Пункт приема-выдачи (до 30 кг): ул. Степная, 9'),
(3,	2168,	'Відділення №1: просп. Миру, 24'),
(1,	2168,	'Отделение №1: просп. Мира, 24'),
(3,	2169,	'Пункт приймання-видачі (до 30 кг): вул. Фільтрова, 14'),
(1,	2169,	'Пункт приема-выдачи (до 30 кг), ул. Фильтровая, 14'),
(3,	2170,	'Пункт приймання-видачі (до 30 кг): вул. Михайловська, 40'),
(1,	2170,	'Пункт приема-выдачи (до 30 кг): ул. Михайловская, 40'),
(3,	2171,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 11'),
(1,	2171,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 11'),
(3,	2172,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 21а'),
(1,	2172,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21а'),
(3,	2173,	'Відділення №1: вул. Маяковського, 45'),
(1,	2173,	'Отделение №1: ул. Маяковского, 45'),
(3,	2174,	'Пункт приймання-видачі (до 30 кг): вул. Волі, 1А'),
(1,	2174,	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 1А'),
(3,	2175,	'Пункт приймання-видачі (до 30 кг): вул. Тіткова, 1'),
(1,	2175,	'Пункт приема-выдачи (до 30 кг): ул. Титкова, 1'),
(3,	2176,	'Пункт приймання-видачі (до 30 кг): вул. Надточіївська, 11'),
(1,	2176,	'Пункт приема-выдачи (до 30 кг): ул. Надточиивская, 11'),
(3,	2177,	'Відділення №1: вул. Ювілейна, 4'),
(1,	2177,	'Отделение №1: ул. Юбилейная, 4'),
(3,	2178,	'Відділення №1: вул. Соборна, 46'),
(1,	2178,	'Отделение №1: ул. Соборная, 46'),
(3,	2179,	'Відділення №1: вул. Сватівська (ран. Дзержинського), 56'),
(1,	2179,	'Отделение №1: ул. Сватовская (ран. Дзержинского), 56'),
(3,	2180,	'Відділення №1: вул. Волковенка, 1а'),
(1,	2180,	'Отделение №1: ул. Волковенко, 1а'),
(3,	2181,	'Відділення №1: вул. Рівненська, 107'),
(1,	2181,	'Отделение №1: ул. Ровенская, 107'),
(3,	2182,	'Відділення №1: вул. Маяковського, 48'),
(1,	2182,	'Отделение №1: ул. Маяковского, 48'),
(3,	2183,	'Відділення №1: вул. Федоренка, 10-К, корп. 2'),
(1,	2183,	'Отделение №1: ул. Федоренко, 10, корп. 2'),
(3,	2184,	'Відділення №1: вул. Степана Бандери, 38'),
(1,	2184,	'Отделение №1: ул. Степана Бандеры, 38'),
(3,	2185,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 27'),
(1,	2185,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 27'),
(3,	2186,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 6'),
(1,	2186,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6'),
(3,	2187,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2187,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2188,	'Пункт приймання-видачі (до 30 кг): вул. Тельмана, 102'),
(1,	2188,	'Пункт приема-выдачи (до 30 кг): ул. Тельмана, 102'),
(3,	2189,	'Відділення №1: вул. Миколаївська, 37'),
(1,	2189,	'Отделение №1: ул. Николаевская, 37'),
(3,	2190,	'Пункт приймання-видачі (до 30 кг): вул. Житомирська, 64'),
(1,	2190,	'Пункт приема-выдачи (до 30 кг): ул. Житомирская, 64'),
(3,	2191,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 108'),
(1,	2191,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 108'),
(3,	2192,	'Відділення №1: вул. Івана Франка, 10'),
(1,	2192,	'Отделение №1: ул. Ивана Франка, 10'),
(3,	2193,	'Відділення №1: пров. Залізничний, 1'),
(1,	2193,	'Отделение №1: пров. Железнодорожный, 1'),
(3,	2194,	'Відділення №1 (до 30 кг на одне місце): вул. Сенюка, 2а'),
(1,	2194,	'Отделение №1 (до 30 кг на одно место): ул. Сенюка, 2а'),
(3,	2195,	'Пункт приймання-видачі (до 30 кг): вул. Космічна, 37/2'),
(1,	2195,	'Пункт приема-выдачи (до 30 кг): ул. Космическая, 37/2'),
(3,	2196,	'Відділення №1: вул. Докучаєва, 2Ж'),
(1,	2196,	'Отделение №1: ул. Докучаева, 2Ж'),
(3,	2197,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 16'),
(1,	2197,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 16'),
(3,	2198,	'Відділення №1: вул. Свободи, 1а'),
(1,	2198,	'Отделение №1: ул. Свободы, 1а'),
(3,	2199,	'Пункт приймання-видачі  (до 30 кг): вул. Незалежності, 1а'),
(1,	2199,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1а'),
(3,	2200,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченка, 62'),
(1,	2200,	'Пункт приема-выдачи (до 30 кг), ул. Тараса Шевченко, 62'),
(3,	2201,	'Пункт приймання-видачі (до 30 кг): вул. урочище «Підвисік» магазин «Краєвид»'),
(1,	2201,	'Пункт приема-выдачи (до 30 кг): ул. урочище «Подвесок» магазин «Пейзаж»'),
(3,	2202,	'Відділення №1: вул. Кооперативна, 5'),
(1,	2202,	'Отделение №1: ул. Кооперативная, 5'),
(3,	2203,	'Відділення №1 (до 30 кг): вул. Іванова, 5а'),
(1,	2203,	'Отделение №1 (до 30 кг): ул. Иванова, 5а'),
(3,	2204,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 27'),
(1,	2204,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 27'),
(3,	2205,	'Пункт приймання-видачі (до 30 кг): вул. Олександра Білаша, 33'),
(1,	2205,	'Пункт приема-выдачи (до 30 кг), ул. Александра Билаша, 33'),
(3,	2206,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2206,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2207,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 4'),
(1,	2207,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4'),
(3,	2208,	'Пункт приймання-видачі (до 30 кг): вул. Шляхова, 2'),
(1,	2208,	'Пункт приема-выдачи (до 30 кг): ул. Шляховая, 2'),
(3,	2209,	'Відділення № 1: вул. Грушевського, 48 (Біля АЗС WOG)'),
(1,	2209,	'Отделение №1: ул. Грушевского, 48 (Возле АЗС WOG)'),
(3,	2210,	'Відділення №1: вул. Варшавська, 2є'),
(1,	2210,	'Отделение №1: ул. Варшавская, 2е'),
(3,	2211,	'Відділення №1: вул. Шевченка, 5'),
(1,	2211,	'Отделение №1: ул. Шевченко, 5'),
(3,	2212,	'Відділення №1: вул. Гаврилюка, 1'),
(1,	2212,	'Отделение №1: ул. Гаврилюка, 1'),
(3,	2213,	'Відділення №1: мікрорайон Світлий, &quot;Ринок Лідер&quot;, 3/1'),
(1,	2213,	'Отделение №1: микрорайон Светлий, &quot;Рынок Лидер&quot; 3/1'),
(3,	2214,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 27'),
(1,	2214,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 27'),
(3,	2215,	'Пункт приймання-видачі (до 30 кг): вул. Вигонська, 14А'),
(1,	2215,	'Пункт приема-выдачи (до 30 кг): ул. Выгонская, 14А'),
(3,	2216,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 11'),
(1,	2216,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(3,	2217,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 269'),
(1,	2217,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 269'),
(3,	2218,	'Відділення №1: вул. Центральна, 119а'),
(1,	2218,	'Отделение №1: ул. Центральная, 119а'),
(3,	2219,	'Пункт приймання видачі (до 30 кг): вул. Заозерна, 57'),
(1,	2219,	'Пункт приема выдачи (до 30 кг): ул. Заозерная, 57'),
(3,	2220,	'Відділення №1: вул. Соборна, 2-Б'),
(1,	2220,	'Отделение №1: ул. Соборная, 2-Б'),
(3,	2221,	'Пункт приймання-видачі (до 30 кг): вул. Чкалова, 2а'),
(1,	2221,	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 2а'),
(3,	2222,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 39'),
(1,	2222,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 39'),
(3,	2223,	'Пункт приймання-видачі (до 30 кг): вул. Сутиська, 8'),
(1,	2223,	'Пункт приема-выдачи (до 30 кг): ул. Сутиская, 8'),
(3,	2224,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 42'),
(1,	2224,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(3,	2225,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 3'),
(1,	2225,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 3'),
(3,	2226,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 149'),
(1,	2226,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 149'),
(3,	2227,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1Б'),
(1,	2227,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1Б'),
(3,	2228,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 37а'),
(1,	2228,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 37а'),
(3,	2229,	'Пункт приймання-видачі (до 30 кг): вул. Народна, 74'),
(1,	2229,	'Пункт приема-выдачи (до 30 кг), ул. Народная, 74'),
(3,	2230,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 5'),
(1,	2230,	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 5'),
(3,	2231,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 4'),
(1,	2231,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 4'),
(3,	2232,	'Пункт приймання-видачі (до 30 кг): вул. Парижської Комуни, 19'),
(1,	2232,	'Пункт приема-выдачи (до 30 кг): ул. Парижской Коммуны, 19'),
(3,	2233,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 24'),
(1,	2233,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 24'),
(3,	2234,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 49'),
(1,	2234,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 49'),
(3,	2235,	'Пункт приймання-видачі (до 30 кг): вул. Чубаря, 28'),
(1,	2235,	'Пункт приема-выдачи (до 30 кг): ул. Чубаря, 28'),
(3,	2236,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	2236,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	2237,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 63'),
(1,	2237,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63'),
(3,	2238,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 18'),
(1,	2238,	'Оконск, Шевченка,18'),
(3,	2239,	'Пункт приймання-видачі (до 30 кг): вул. Диканський шлях, 21а'),
(1,	2239,	'Пункт приема-выдачи (до 30 кг): ул. Диканский путь, 21а'),
(3,	2240,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 151'),
(1,	2240,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 151'),
(3,	2241,	'Пункт приймання-видачі (до 30 кг): вул. Комарова, 36'),
(1,	2241,	'Пункт приема-выдачи (до 30 кг): ул. Комарова, 36'),
(3,	2242,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 49'),
(1,	2242,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 49'),
(3,	2243,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 8'),
(1,	2243,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 8'),
(3,	2244,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 2'),
(1,	2244,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 2'),
(3,	2245,	'Пункт приймання-видачі (до 30 кг): вул. Транспортна, 117'),
(1,	2245,	'Пункт приема-выдачи (до 30 кг): ул. Транспортная, 117'),
(3,	2246,	'Відділення № 1: вул. Заводська, 2'),
(1,	2246,	'Отделение № 1: ул. Заводская, 2'),
(3,	2247,	'Пункт приймання-видачі (до 30 кг): вул. Конєва, 9а'),
(1,	2247,	'Пункт приема-выдачи (до 30 кг): ул. Конева, 9а'),
(3,	2248,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 48'),
(1,	2248,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 48'),
(3,	2249,	'Відділення №1: вул. Я. Лизогуба, 20'),
(1,	2249,	'Отделение №1: ул. Я. Лизогуба, 20'),
(3,	2250,	'Пункт приймання-видачі (до 30 кг): вул. Паркова, 4'),
(1,	2250,	'Пункт приема-выдачи (до 30 кг), ул. Парковая, 4'),
(3,	2251,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 22'),
(1,	2251,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 22'),
(3,	2252,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 50'),
(1,	2252,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50'),
(3,	2253,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 13а'),
(1,	2253,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 13а'),
(3,	2254,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 8/А'),
(1,	2254,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 8/А'),
(3,	2255,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 228/3'),
(1,	2255,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 228/3'),
(3,	2256,	'Відділення №1: вул. Набережна, 1'),
(1,	2256,	'Отделение №1: ул. Набережная, 1'),
(3,	2257,	'Відділення №1: вул. Бурмистренка,  2а'),
(1,	2257,	'Отделение №1: ул. Бурмистренка, 2а'),
(3,	2258,	'Відділення №1: вул. Львівська, 38л'),
(1,	2258,	'Отделение №1: ул. Львовская, 38л'),
(3,	2259,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2Б'),
(1,	2259,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2Б'),
(3,	2260,	'Пункт приймання-видачі (до 30 кг): вул. Кооператора, 1'),
(1,	2260,	'Пункт приема-выдачи (до 30 кг), ул. Кооператора, 1'),
(3,	2261,	'Відділення №1: вул. Володимирська, 25'),
(1,	2261,	'Отделение №1: ул. Владимирская, 25'),
(3,	2262,	'Пункт приймання-видачі (до 30 кг): вул. Південна, 29'),
(1,	2262,	'Пункт приема-выдачи (до 30 кг), ул. Южная, 29'),
(3,	2263,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 119а'),
(1,	2263,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 119а'),
(3,	2264,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 37'),
(1,	2264,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 37'),
(3,	2265,	'Відділення №1: площа Вічевий Майдан, 2'),
(1,	2265,	'Отделение №1: площадь Вечевой Майдан, 2'),
(3,	2266,	'Відділення №1: вул. Заводська, 9Б'),
(1,	2266,	'Отделение №1: ул. Заводская, 9Б'),
(3,	2267,	'Пункт приймання-видачі (до 30 кг): вул. Смілянська, 8'),
(1,	2267,	'Пункт приема-выдачи (до 30 кг): ул. Смелянская, 8'),
(3,	2268,	'Пункт приймання-видачі (до 30 кг): вул. Карла Маркса, 40'),
(1,	2268,	'Пункт приема-выдачи (до 30 кг): ул. Карла Маркса, 40'),
(3,	2269,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 21'),
(1,	2269,	'Пункт приема-выдачи (до 30 кг), ул. Богдана Хмельницкого, 21'),
(3,	2270,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 50а'),
(1,	2270,	'Пнкт приема-выдачи (до 30 кг), ул. Шевченко, 50а'),
(3,	2271,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 79'),
(1,	2271,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 79'),
(3,	2272,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 51А'),
(1,	2272,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 51А'),
(3,	2273,	'Пункт приймання-видачі (до 30 кг): вул. Горького, 6'),
(1,	2273,	'Пункт приема-выдачи (до 30 кг): ул. Горького, 6'),
(3,	2274,	'Пункт приймання-видачі (до 30 кг): вул. Набережна (Терит. садового товар. «Мотор 63»)'),
(1,	2274,	'Пункт приема-выдачи (до 30 кг): ул. Набережная (террит. Садового товар. «Мотор 63»)'),
(3,	2275,	'Пункт приймання-видачі ( до 30 кг): вул. Центральна, 76'),
(1,	2275,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 76'),
(3,	2276,	'Пункт приймання-видачі (до 30 кг): вул. Тітова, 212'),
(1,	2276,	'Пункт приема-выдачи (до 30 кг): ул. Титова, 212'),
(3,	2277,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 9'),
(1,	2277,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 9'),
(3,	2278,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 495'),
(1,	2278,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 495'),
(3,	2279,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 2'),
(1,	2279,	'Пункт приема-выдачи (до 30 кг): ул. Якобчука, 11'),
(3,	2280,	'Пункт приймання-видачі (до 30 кг): вул. Ізмаїльська, 38'),
(1,	2280,	'Пункт приема-выдачи (до 30 кг): ул. Измаильская, 38'),
(3,	2281,	'Відділення №1: вул. Макаренко, 13'),
(1,	2281,	'Отделение №1: ул. Макаренко, 13'),
(3,	2282,	'Відділення №1: вул. Б.Хмельницького, 58'),
(1,	2282,	'Отделение №1: ул. Б. Хмельницкого, 58'),
(3,	2283,	'Відділення №1: вул. Центральна, 32'),
(1,	2283,	'Отделение №1: ул. Центральная, 32'),
(3,	2284,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 153'),
(1,	2284,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 153'),
(3,	2285,	'Відділення №1: вул. Шевченка, 23'),
(1,	2285,	'Отделение №1: ул. Шевченко, 23'),
(3,	2286,	'Відділення №1: вул. Богдана Хмельницького, 43'),
(1,	2286,	'Отделение №1: ул. Богдана Хмельницкого, 43'),
(3,	2287,	'Відділення №1: вул. Миру, 9'),
(1,	2287,	'Отделение № 1: ул. Мира, 9'),
(3,	2288,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 7'),
(1,	2288,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 7'),
(3,	2289,	'Пункт приймання-видачі (до 30 кг): вул. Кам\'янецька, 80'),
(1,	2289,	'Пункт приема-выдачи (до 30 кг): ул. Каменецкая, 80'),
(3,	2290,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 62'),
(1,	2290,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 62'),
(3,	2291,	'Пункт приймання-видачі (до 30 кг): вул. Шевченко, 45'),
(1,	2291,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 45'),
(3,	2292,	'Пункт приймання-видачі (до 30 кг): вул. Дорошенка, 108'),
(1,	2292,	'Пункт приема-выдачи (до 30 кг), ул. Дорошенко, 108'),
(3,	2293,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 3а'),
(1,	2293,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 3а'),
(3,	2294,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 15а'),
(1,	2294,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 15а'),
(3,	2295,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 200/1'),
(1,	2295,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 200/1'),
(3,	2296,	'Відділення №1 (до 30 кг): вул. Шевченка, 25а'),
(1,	2296,	'Отделение №1 (до 30 кг): ул. Шевченко, 25а'),
(3,	2297,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2297,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	2298,	'Відділення № 1: вул. Молодіжна, 33-Б'),
(1,	2298,	'Отделение № 1: ул. Молодежная, 33-Б'),
(3,	2299,	'Пункт приймання-видачі (до 30 кг): вул. Мала, 7'),
(1,	2299,	'Пункт приема-выдачи (до 30 кг): ул. Малая, 7'),
(3,	2300,	'Пункт приймання-видачі (до 30 кг): вул. Піньковського, 47'),
(1,	2300,	'Пункт приема-выдачи (до 30 кг), ул. Пиньковского, 47'),
(3,	2301,	'Відділення №1: вул. Грушевського,11'),
(1,	2301,	'Отделение №1: ул. Грушевского, 11'),
(3,	2302,	'Відділення №1: вул. Вокзальна, 26'),
(1,	2302,	'Отделение №1: ул. Вокзальная, 26'),
(3,	2303,	'Відділення №1: вул. Дем`яна Бєдного, 4'),
(1,	2303,	'Отделение №1: ул. Демьяна Бедного, 4'),
(3,	2304,	'Відділення №1: вул. Січових Стрільців, 10'),
(1,	2304,	'Отделение №1: ул. Сечевых Стрельцов, 10'),
(3,	2305,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 4'),
(1,	2305,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(3,	2306,	'Пункт приймання-видачі (до 30 кг): вул. Матросова, 160'),
(1,	2306,	'Пункт приема-выдачи (до 30 кг): ул. Матросова, 160'),
(3,	2307,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 22А'),
(1,	2307,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 22А'),
(3,	2308,	'Відділення №1: вул. Миру, 57'),
(1,	2308,	'Отделение №1: ул. Мира, 57'),
(3,	2309,	'Відділення №1: вул. Шевченка, 54а'),
(1,	2309,	'Отделение №1: ул. Шевченка, 54а'),
(3,	2310,	'Відділення №1: вул. Михайла Грушевського, 10а'),
(1,	2310,	'Отделение №1: ул. Михаила Грушевского, 10а'),
(3,	2311,	'Відділення №1: вул. Ковельська, 58'),
(1,	2311,	'Отделение №1: ул. Ковельская, 58'),
(3,	2312,	'Відділення №1: вул. Героїв України, 51'),
(1,	2312,	'Отделение №1: ул. Героев Украины, 51'),
(3,	2313,	'Відділення №1: вул. Київська, 58'),
(1,	2313,	'Отделение №1: ул. Киевская, 58'),
(3,	2314,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2314,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	2315,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 20'),
(1,	2315,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 20'),
(3,	2316,	'Відділення №1: вул. Матросова, 30'),
(1,	2316,	'Отделение №1: ул. Матросова, 30'),
(3,	2317,	'Відділення №1: вул. Крупської, 1'),
(1,	2317,	'Отделение №1: ул. Крупской, 1'),
(3,	2318,	'Пункт приймання-видачі (до 30 кг): площа Миру, 8'),
(1,	2318,	'Пункт приема-выдачи (до 30 кг): площадь Мира, 8'),
(3,	2319,	'Відділення №1: вул. Центральна, 7'),
(1,	2319,	'Отделение №1: ул. Центральная, 7'),
(3,	2320,	'Відділення №1: вул. Мазепи, 4'),
(1,	2320,	'Отделение №1: ул. Ленина, 4'),
(3,	2321,	'Відділення №1: вул. Першотравнева, 11'),
(1,	2321,	'Отделеение №1: ул. Первомайская, 11'),
(3,	2322,	'Відділення №1: пров. Південний, 11-л'),
(1,	2322,	'Отделение №1: проул. Южный, 11-л'),
(3,	2323,	'Відділення №1: вул. Незалежності, 4'),
(1,	2323,	'Отделение №1: ул. Независимости, 4'),
(3,	2324,	'Пункт приймання-видачі (до 30 кг): вул. Марамурешська, 122'),
(1,	2324,	'Пункт приема-выдачи (до 30 кг): ул. Марамурешская, 122'),
(3,	2325,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 47'),
(1,	2325,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 47'),
(3,	2326,	'Відділення №1: вул. Львівська, 47'),
(1,	2326,	'Отделение №1: ул. Львовская, 47'),
(3,	2327,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 61'),
(1,	2327,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61'),
(3,	2328,	'Відділення № 1: вул. Центральна, 412'),
(1,	2328,	'Отделение № 1: ул. Центральная, 412'),
(3,	2329,	'Пункт приймання-видачі (до 30 кг): вул. Сигнальна, 14'),
(1,	2329,	'Пункт приема-выдачи (до 30 кг): ул. Сигнальная, 14'),
(3,	2330,	'Пункт приймання-видачі (до 30 кг): вул. Зарічна, 134'),
(1,	2330,	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 134'),
(3,	2331,	'Пункт приймання-видачі (до 30 кг): вул. Скородинського, 138'),
(1,	2331,	'Пункт приема-выдачи (до 30 кг): ул. Скородинского, 138'),
(3,	2332,	'Відділення №1: вул. 147'),
(1,	2332,	'Отделение №1: ул. 147'),
(3,	2333,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 64'),
(1,	2333,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 64'),
(3,	2334,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 2'),
(1,	2334,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2'),
(3,	2335,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2335,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2336,	'Відділення №1 (до 30 кг): вул. Дружби, 52'),
(1,	2336,	'Отделение № 1: ул. Дружбы, 52'),
(3,	2337,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 101-А'),
(1,	2337,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 101-А'),
(3,	2338,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1'),
(1,	2338,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(3,	2339,	'Пункт приймання-видачі (до 30 кг): вул. 40-річчя Перемоги , 52'),
(1,	2339,	'Пункт приема-выдачи (до 30 кг): ул. 40-летия Победы, 52'),
(3,	2340,	'Пункт приймання-видачі (до 30 кг): вул. Федьковича, 9'),
(1,	2340,	'Пункт приема-выдачи (до 30 кг): ул. Федьковича, 9'),
(3,	2341,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17'),
(1,	2341,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17'),
(3,	2342,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 124'),
(1,	2342,	'Могилёвка, Первомайская, 124'),
(3,	2343,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 35'),
(1,	2343,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(3,	2344,	'Пункт приймання-видачі (до 30 кг): вул. Миколи Короля, 23'),
(1,	2344,	'Пункт приема-выдачи (до 30 кг): ул. Николая Короля, 23'),
(3,	2345,	'Пункт приймання-видачі (до 30 кг): вул. Коминтерна, 74'),
(1,	2345,	'Пункт приема-выдачи (до 30 кг): ул. Коминтерна, 74'),
(3,	2346,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 15б'),
(1,	2346,	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 15б'),
(3,	2347,	'Пункт приймання-видачі (до 30 кг): вул. Пасічна, 11'),
(1,	2347,	'Пункт приема-выдачи (до 30 кг): ул. Пасечная, 11'),
(3,	2348,	'Автолавка (до 30 кг): вул. Набережна, 5'),
(1,	2348,	'Автолавка (до 30 кг): ул. Набережная, 5'),
(3,	2349,	'Пункт приймання-видачі (до 30 кг): вул. Рябоконя, 84'),
(1,	2349,	'Пункт приймання-видачі (до 30 кг): вул. Рябоконя, 84'),
(3,	2350,	'ВІдділення №1: вул. Коновальця, 4а (навпроти Укрпошти)'),
(1,	2350,	'Отделение №1: ул. Коновальца, 4а (напротив Укрпочты)'),
(3,	2351,	'Відділення №1: вул. Ходякова, 27е'),
(1,	2351,	'Отделение №1: ул. Ходякова, 27е'),
(3,	2352,	'Відділення №1: вул. Миру, 17'),
(1,	2352,	'Отделение №1: ул. Мира, 17'),
(3,	2353,	'Відділення №1: вул. Листопада, 53'),
(1,	2353,	'Отделение №1: ул. Ноября, 53'),
(3,	2354,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 2'),
(1,	2354,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2'),
(3,	2355,	'Пункт приймання-видачі (до 30 кг): вул. Акмечетська, 54'),
(1,	2355,	'Пункт приема-выдачи (до 30 кг): ул. Акметческая, 54'),
(3,	2356,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 54'),
(1,	2356,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 54'),
(3,	2357,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 1'),
(1,	2357,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1'),
(3,	2358,	'Пункт приймання-видачі (до 30 кг): вул. Петлюри, 4'),
(1,	2358,	'Пункт приема-выдачи (до 30 кг): ул. Петлюры, 4'),
(3,	2359,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 50'),
(1,	2359,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 50'),
(3,	2360,	'Відділення №1: вул. Бериславська, 6а'),
(1,	2360,	'Отделение №1: ул. Бериславская, 6а'),
(3,	2361,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 119'),
(1,	2361,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 119'),
(3,	2362,	'Пункт приймання-видачі (до 30 кг): вул. Степова, 33'),
(1,	2362,	'ункт приема-выдачи (до 30 кг): ул. Степная, 33'),
(3,	2363,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 93а'),
(1,	2363,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 93а'),
(3,	2364,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 9'),
(1,	2364,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 9'),
(3,	2365,	'Пункт приймання-видачі (до 30 кг): вул. Куклича, 99/1'),
(1,	2365,	'Пункт приема-выдачи (до 30 кг), ул. Куклича, 99/1'),
(3,	2366,	'Пункт приймання-видачі (до 30 кг): вул. Кобеляцька, 1'),
(1,	2366,	'Пункт приема-выдачи (до 30 кг): ул. Кобеляцкая, 1'),
(3,	2367,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2367,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2368,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 45А'),
(1,	2368,	'Отделение №1: ул. Центральная, 45А'),
(3,	2369,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 12'),
(1,	2369,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 12'),
(3,	2370,	'Відділення №1: вул. Івана Богуна, 9'),
(1,	2370,	'Отделение №1: ул. Ивана Богуна, 9'),
(3,	2371,	'Відділення №1: вул. Гагаріна, 23а'),
(1,	2371,	'Отделение №1: ул. Гагарина, 23а'),
(3,	2372,	'Відділення №1: вул. Чапаєва,1б'),
(1,	2372,	'Отделение №1: ул. Чапаева, 1б'),
(3,	2373,	'Відділення №1: вул. Висоцького, 3'),
(1,	2373,	'Отделение №1: ул. Высоцкого, 3'),
(3,	2374,	'Відділення №1: вул. Визволення, 21'),
(1,	2374,	'Отделение №1: ул. Освобождения, 21'),
(3,	2375,	'Відділення №1: вул. князя Дмитра Вишневського, 17'),
(1,	2375,	'Отделение №1: ул. князя Дмитрия Вишневецкого, 17'),
(3,	2376,	'Відділення №1: вул. Обліски, 36'),
(1,	2376,	'Отделение №1: ул. Облески, 36'),
(3,	2377,	'Відділення №1: вул. Соборна, 47'),
(1,	2377,	'Отделение №1: ул. Соборная, 47'),
(3,	2378,	'Відділення №1: пл. Миру, 33'),
(1,	2378,	'Отделение №1: пл. Мира, 33'),
(3,	2379,	'Пункт приймання-видачі (до 30 кг): вул. Квіткова, 37'),
(1,	2379,	'Пункт приема-выдачи (до 30 кг): ул. Цветочная, 37'),
(3,	2380,	'Відділення №1 (до 30 кг): вул. Сумський шлях, 146а'),
(1,	2380,	'Отделение №1 (до 30 кг): ул. Сумской путь, 146а'),
(3,	2381,	'Відділення №1: вул. Карла Маркса, 1'),
(1,	2381,	'Отделение №1: ул. Карла Маркса, 1'),
(3,	2382,	'Відділення № 1: вул. Площа Гагаріна, 8а'),
(1,	2382,	'Отделение № 1: ул. Площадь Гагарина, 8а'),
(3,	2383,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 29а'),
(1,	2383,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 29а'),
(3,	2384,	'Відділення №1: вул. Каштанова, 4/3'),
(1,	2384,	'Отделение №1: ул. Каштановая, 4/3'),
(3,	2385,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 22'),
(1,	2385,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 22'),
(3,	2386,	'Відділення №1: вул. Таврійська, 10 (Центральна Основа)'),
(1,	2386,	'Отделение №1: ул. Таврийская, 10 (Центральная Основа)'),
(3,	2387,	'Пункт приймання-видачі (до 30 кг): вул. Щаслива, 31'),
(1,	2387,	'Пункт приема-выдачи (до 30 кг): ул. Счастливая, 31'),
(3,	2388,	'Пункт приймання-видачі  (до 30 кг): вул. Незалежності, 26а'),
(1,	2388,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 26а'),
(3,	2389,	'Відділення №1: вул. Волошина, 61б'),
(1,	2389,	'Отделение №1: ул. Волошина, 61б'),
(3,	2390,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 137'),
(1,	2390,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 137'),
(3,	2391,	'Відділення №1 (до 30 кг): вул. 9-го Січня, 1-Г'),
(1,	2391,	'Отделение №1 (до 30 кг): ул. 9-го Января, 1-Г'),
(3,	2392,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 21а'),
(1,	2392,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21а'),
(3,	2393,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 5'),
(1,	2393,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 5'),
(3,	2394,	'Пункт приймання-видачі (до 30 кг): вул. Відродження, 7а'),
(1,	2394,	'Пункт приема-выдачи (до 30 кг): ул. Возрождения, 7а'),
(3,	2395,	'Відділення №1: вул. Миколи Терещенка, 5'),
(1,	2395,	'Отделение №1: ул. Николая Терещенко, 5'),
(3,	2396,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 105'),
(1,	2396,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 105'),
(3,	2397,	'Відділення №1: вул. Банківська, 18'),
(1,	2397,	'Отделение №1: ул. Банковская, 18'),
(3,	2398,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6'),
(1,	2398,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(3,	2399,	'Відділення №1: вул. Михайла Грушевського, 11а'),
(1,	2399,	'Отделение №1: ул. Михаила Грушевского, 11а'),
(3,	2400,	'Відділення №1: вул. Паркова, 80'),
(1,	2400,	'Отделение №1: ул. Парковая, 80'),
(3,	2401,	'Відділення №1: вул. Козацька, 2'),
(1,	2401,	'Отделение №1: ул. Козацкая, 2'),
(3,	2402,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 43а'),
(1,	2402,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 43а'),
(3,	2403,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 18в'),
(1,	2403,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 18в'),
(3,	2404,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2Б'),
(1,	2404,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2Б'),
(3,	2405,	'Відділення №1: вул. Грушевського, 8а'),
(1,	2405,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 8а'),
(3,	2406,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 4-в'),
(1,	2406,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 4-в'),
(3,	2407,	'Відділення №1: вул. Центральна, 1'),
(1,	2407,	'Отделение №1: ул. Центральная, 1'),
(3,	2408,	'Відділення №1: вул. Шевченко, 30'),
(1,	2408,	'Отделение №1: ул. Шевченко, 30'),
(3,	2409,	'Відділення №1: вул. Паркова, 1б'),
(1,	2409,	'Отделение №1: ул. Парковая, 1б'),
(3,	2410,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 86'),
(1,	2410,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 86'),
(3,	2411,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10а'),
(1,	2411,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 10а'),
(3,	2412,	'Пункт приймання-видачі (до 30 кг): вул. Осередок, 70'),
(1,	2412,	'Пункт приема-выдачи (до 30 кг): ул. Осередок, 70'),
(3,	2413,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1б'),
(1,	2413,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1б'),
(3,	2414,	'Пункт приймання-видачі (до 30 кг): вул. Млинова, 4'),
(1,	2414,	'Пункт приема-выдачи (до 30 кг), ул. Млинова, 4'),
(3,	2415,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 44'),
(1,	2415,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 44'),
(3,	2416,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 11'),
(1,	2416,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 11'),
(3,	2417,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1а'),
(1,	2417,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1а'),
(3,	2418,	'Відділення №1: вул. Поштова, 1, кв. 1'),
(1,	2418,	'Отделение №1: ул. Почтовая, 1, кв.1'),
(3,	2419,	'Пункт приймання-видачі (до 30 кг): вул. Едмунда, 28'),
(1,	2419,	'Пункт приема-выдачи (до 30 кг): ул. Эдмунда, 28'),
(3,	2420,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 56'),
(1,	2420,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 56'),
(3,	2421,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 12'),
(1,	2421,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 12'),
(3,	2422,	'Відділення №1: вул. Центральна, 1К'),
(1,	2422,	'Отделение №1: ул. Центральная, 1К'),
(3,	2423,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 5'),
(1,	2423,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 5'),
(3,	2424,	'Відділення №1: вул. Гагаріна, 20г'),
(1,	2424,	'Отделение №1: ул. Гагарина, 20г'),
(3,	2425,	'Відділення №1: вул. Командарма Шумілова, 87'),
(1,	2425,	'Отделение №1:вул. Командарма Шумилова, 87'),
(3,	2426,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 3'),
(1,	2426,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 3'),
(3,	2427,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1'),
(1,	2427,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(3,	2428,	'Відділення №1: вул. Незалежності, 25'),
(1,	2428,	'Отделение №1: ул. Независимости, 25'),
(3,	2429,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 114А'),
(1,	2429,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 114А'),
(3,	2430,	'Пункт приймання-видачі (до 30 кг): вул. Героїв України, 61а'),
(1,	2430,	'Пункт приема-выдачи (до 30 кг): ул. Героев Украины, 61а'),
(3,	2431,	'Відділення №1: вул. Центральна, 15'),
(1,	2431,	'Отделение №1: ул. Центральная, 11/18'),
(3,	2432,	'Пункт приймання-видачі (до 30 кг): вул. Велика, 3'),
(1,	2432,	'Пункт приема-выдачи (до 30 кг): ул. Великая, 3'),
(3,	2433,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 21'),
(1,	2433,	'Пункт приема-выдачи (до 30 кг), ул. Победы, 21'),
(3,	2434,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 50'),
(1,	2434,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 50'),
(3,	2435,	'Відділення №1: вул. Донецька, 19'),
(1,	2435,	'Отделение №1: ул. Донецкая, 19'),
(3,	2436,	'Пункт приймання-видачі (до 30 кг): вул. Виноградна, 36'),
(1,	2436,	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 36'),
(3,	2437,	'Пункт приймання-видачі (до 30 кг): вул. Данила Галицького, 67'),
(1,	2437,	'Пункт приема-выдачи (до 30 кг), ул. Данила Галицкого, 67'),
(3,	2438,	'Пункт приймання-видачі (до 30 кг): вул. Новоселівська, 1а'),
(1,	2438,	'Пункт приема-выдачи (до 30 кг): ул. Новоселовская, 1а'),
(3,	2439,	'Пункт приймання-видачі (до 30 кг): вул. Клименка, 28'),
(1,	2439,	'Пункт приема-выдачи (до 30 кг): ул. Клименко, 28'),
(3,	2440,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 16а'),
(1,	2440,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16а'),
(3,	2441,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 121'),
(1,	2441,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 121'),
(3,	2442,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 154'),
(1,	2442,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 154'),
(3,	2443,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 25'),
(1,	2443,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 25'),
(3,	2444,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 200в'),
(1,	2444,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 200в'),
(3,	2445,	'Пункт приймання-видачі (до 30 кг): вул. Поштова, 56'),
(1,	2445,	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 56'),
(3,	2446,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2446,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2447,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 96'),
(1,	2447,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 96'),
(3,	2448,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6'),
(1,	2448,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(3,	2449,	'Пункт приймання-видачі (до 30 кг): вул. Яремчука, 1а'),
(1,	2449,	'Пункт приема-выдачи (до 30 кг): ул. Яремчука, 1а'),
(3,	2450,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2а'),
(1,	2450,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3,	2451,	'Пункт приймання-видачі (до 30 кг): пров. Комсомольский, 16'),
(1,	2451,	'Пункт приема-выдачи (до 30 кг): ул. Комсомольский, 16'),
(3,	2452,	'Автолавка: АН 2938 КН, вул. Кузнецова, 1 (біля маг. Достаток)'),
(1,	2452,	'Автолавка, АН 2938 КН, ул. Кузнецова, 1 (возле маг. Изобилие)'),
(3,	2453,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 31'),
(1,	2453,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 31'),
(3,	2454,	'Пункт приймання-видачі (до 30 кг): вул. Героїв Небесної Сотні, 27'),
(1,	2454,	'Пункт приема-выдачи (до 30 кг): ул. Героев Небесной Сотни, 27'),
(3,	2455,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8д'),
(1,	2455,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8д'),
(3,	2456,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 11'),
(1,	2456,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 11'),
(3,	2457,	'Відділення №1: вул. Слобожанська, 32/2-19'),
(1,	2457,	'Отделение №1: ул. Слобожанская, 32/2-19'),
(3,	2458,	'Відділення №1: вул. Центральна, 72'),
(1,	2458,	'Отделение №1: ул. Центральная, 72'),
(3,	2459,	'Відділення №1: вул. Надвірнянcька, 2В'),
(1,	2459,	'Отделение №1: ул. Надворнянская, 2В'),
(3,	2460,	'Відділення №1: вул. Радянська, 66'),
(1,	2460,	'Отделение №1: ул. Советская, 66'),
(3,	2461,	'Пункт приймання-видачі (до 30 кг): вул. Майданська, 2А'),
(1,	2461,	'Пункт приема-выдачи (до 30 кг): ул. Майданская, 2А'),
(3,	2462,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2462,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	2463,	'Пункт приймання-видачі (до 30 кг): вул. Яблунева, 8а'),
(1,	2463,	'Пункт приема-выдачи (до 30 кг): ул. Яблоневая, 8а'),
(3,	2464,	'Відділення №1: вул. Київська, 234'),
(1,	2464,	'Отделение №1: ул Киевская, 234'),
(3,	2465,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 1'),
(1,	2465,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1'),
(3,	2466,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 111'),
(1,	2466,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 111'),
(3,	2467,	'Відділення №1: вул. Соборна, 14'),
(1,	2467,	'Отделение №1: ул. Соборная, 14'),
(3,	2468,	'Пункт приймання-видачі (до 30 кг): вул. Савишена, 1а'),
(1,	2468,	'Пункт приема-выдачи (до 30 кг): ул. Савишена, 1а'),
(3,	2469,	'Пункт приймання-видачі (до 30 кг): вул. Красівського, 68А'),
(1,	2469,	'Пункт приема-выдачи (до 30 кг): ул. Красовского, 68А'),
(3,	2470,	'Пункт приймання-видачі (до 30 кг): вул. Вокзальна, 33'),
(1,	2470,	'Пункт приема-выдачи (до 30 кг): ул. Вокзальная, 33'),
(3,	2471,	'Пункт приймання-видачі (до 30 кг): вул. Степова, 48а'),
(1,	2471,	'Пункт приема-выдачи (до 30 кг): ул. Степная, 48а'),
(3,	2472,	'Відділення №1: вул. Ірчана, 4'),
(1,	2472,	'Отделение №1: ул. Ирчана, 4'),
(3,	2473,	'Відділення №1: вул. Київська, 3'),
(1,	2473,	'Отделение №1: ул. Киевская, 3'),
(3,	2474,	'Пункт приймання-видачі (до 30 кг): вул. Транспортна, 10'),
(1,	2474,	'Пункт приема-выдачи (до 30 кг): ул. Транспортная, 10'),
(3,	2475,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 37'),
(1,	2475,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 37'),
(3,	2476,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 3'),
(1,	2476,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3'),
(3,	2477,	'Пункт приймання-видачі (до 30 кг): вул. Суворова, 3'),
(1,	2477,	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 3'),
(3,	2478,	'Пункт приймання-видачі (до 30 кг): вул. Щепкіна, 142'),
(1,	2478,	'Пункт приема-выдачи (до 30 кг): ул. Щепкина, 142'),
(3,	2479,	'Відділення № 1: вул. Поштова, 1б'),
(1,	2479,	'Отделение № 1: ул. Почтовая, 1б'),
(3,	2480,	'Відділення №1: вул. Центральна, 4'),
(1,	2480,	'Отделение №1: ул. Центральная, 4'),
(3,	2481,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 45А'),
(1,	2481,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45А'),
(3,	2482,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 41а'),
(1,	2482,	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 41а'),
(3,	2483,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 17'),
(1,	2483,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 17'),
(3,	2484,	'Відділення №1: вул. Ватутіна, 61а'),
(1,	2484,	'Отделение №1: ул. Ватутина, 61а'),
(3,	2485,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 22'),
(1,	2485,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(3,	2486,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 50'),
(1,	2486,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 50'),
(3,	2487,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10а'),
(1,	2487,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10а'),
(3,	2488,	'Пункт приймання-видачі (до 30 кг): вул. Стаханова, 2а'),
(1,	2488,	'Пункт приема-выдачи (до 30 кг): ул. Стаханова, 2а'),
(3,	2489,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 31А'),
(1,	2489,	'Пункт приема-выдачи (до 30 кг): ул. Лесовая, 31А'),
(3,	2490,	'Пункт приймання-видачі (до 30 кг): вул. Чернігівська, 50'),
(1,	2490,	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 50'),
(3,	2491,	'Відділення № 1: вул. Довженка, 3'),
(1,	2491,	'Отделение № 1: ул. Довженка, 3'),
(3,	2492,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 88А'),
(1,	2492,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 88А'),
(3,	2493,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2493,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2494,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	2494,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(3,	2495,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 44'),
(1,	2495,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 44'),
(3,	2496,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 164'),
(1,	2496,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 164'),
(3,	2497,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 92'),
(1,	2497,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 92'),
(3,	2498,	'Відділення №1: вул. Горького, 12'),
(1,	2498,	'Отделение №1: ул. Горького, 12'),
(3,	2499,	'Відділення №1: вул. Соборна, 69'),
(1,	2499,	'Отделение №1: ул. Соборная, 69'),
(3,	2500,	'Відділення №1: вул. 35-ї Гвардiйської дивiзiї, 20'),
(1,	2500,	'Отделение №1: ул. 35-й Гвардийской дивизии, 20'),
(3,	2501,	'Відділення №1: пров. Спортивний, 6'),
(1,	2501,	'Отделение №1: пер. Спортивный, 6'),
(3,	2502,	'Відділення №1: вул. Соборна, 9'),
(1,	2502,	'Отделение №1: ул. Соборная, 9'),
(3,	2503,	'Відділення №1: вул. Юрченка (Калініна), 27'),
(1,	2503,	'Отделение: ул. 1-го Мая, 11'),
(3,	2504,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2504,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2505,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 7'),
(1,	2505,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 7'),
(3,	2506,	'Відділення №1: вул. Шевченка, 5'),
(1,	2506,	'Отделение №1: ул. Шевченко, 5'),
(3,	2507,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	2507,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	2508,	'Відділення №1: вул. Ракоці Ференца ІІ, 165'),
(1,	2508,	'Отделение №1: ул. Ракоци Ференца, 165'),
(3,	2509,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 33'),
(1,	2509,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 33'),
(3,	2510,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 13'),
(1,	2510,	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 13'),
(3,	2511,	'Відділення №1: вул. Центральна, 345'),
(1,	2511,	'Отделение №1: ул. Центральная, 345'),
(3,	2512,	'Пункт приймання-видачі (до 30 кг): вул. Братів Якимчуків, 2'),
(1,	2512,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2513,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 5'),
(1,	2513,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 5'),
(3,	2514,	'Відділення № 1: вул. Івана Франка, 29'),
(1,	2514,	'Отделение № 1: ул. Ивана Франко, 29'),
(3,	2515,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 101'),
(1,	2515,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 101'),
(3,	2516,	'Відділення №1: вул. Вітовського, 39'),
(1,	2516,	'Отделение №1: ул. Витовского, 39'),
(3,	2517,	'Пункт приймання-видачі (до 30 кг): вул. Хрещатик, 5'),
(1,	2517,	'Пункт приема-выдачи (до 30 кг), ул. Крещатик, 5'),
(3,	2518,	'Пункт приймання-видачі (до 30 кг): вул. Сойне,  2'),
(1,	2518,	'Пункт приема-выдачи (до 30 кг): ул. Сойне, 2'),
(3,	2519,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 11А'),
(1,	2519,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 11А'),
(3,	2520,	'Пункт приймання-видачі (до 30 кг): вул. Деснянська, 50а'),
(1,	2520,	'Пункт приема-выдачи (до 30 кг): ул. Деснянская, 50а'),
(3,	2521,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 29'),
(1,	2521,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 29'),
(3,	2522,	'Пункт приймання-видачі (до 30 кг): вул. Центральна,1'),
(1,	2522,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2523,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 34'),
(1,	2523,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 34'),
(3,	2524,	'Відділення №1 (до 30 кг): вул. Варшавська, 33а'),
(1,	2524,	'Отделение №1 (до 30 кг): ул. Варшавская, 35'),
(3,	2525,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 110а'),
(1,	2525,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 110а'),
(3,	2526,	'Пункт приймання-видачі (до 30 кг): вул. Поліська, 31'),
(1,	2526,	'Пункт приема-выдачи (до 30 кг): ул. Полесская, 31'),
(3,	2527,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 137'),
(1,	2527,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 137'),
(3,	2528,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 46'),
(1,	2528,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 46'),
(3,	2529,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 58'),
(1,	2529,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(3,	2530,	'Відділення №1: вул. Чехова, 3'),
(1,	2530,	'Отделение №1, ул. Чехова, 3'),
(3,	2531,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 96'),
(1,	2531,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 96'),
(3,	2532,	'Відділення №1: вул. Закарпатська, 75'),
(1,	2532,	'Отделение №1: ул. Закарпатская, 75'),
(3,	2533,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2533,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2534,	'Пункт приймання-видачі (до 30 кг): вул. Вокзальна, 18'),
(1,	2534,	'Пункт приема-выдачи (до 30 кг): ул. Возкальна, 18'),
(3,	2535,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 53'),
(1,	2535,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 53'),
(3,	2536,	'Відділення №1: вул. Патріотів, 10'),
(1,	2536,	'Отделение №1: ул. Патриотов, 10'),
(3,	2537,	'Відділення №1: вул. Центральна, 92а'),
(1,	2537,	'Отделение №1: ул. Центральная, 92а'),
(3,	2538,	'Пункт приймання-видачі (до 30 кг): вул. 28 червня, 34'),
(1,	2538,	'Пункт приема-выдачи (до 30 кг): ул. 28 июня, 34'),
(3,	2539,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 2а'),
(1,	2539,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 2а'),
(3,	2540,	'Пункт приймання-видачі (до 30 кг): вул. Іларіона Сухомлина, 33-в'),
(1,	2540,	'Пункт приема-выдачи (до 30 кг): ул. Илариона Сухомлина, 33-в'),
(3,	2541,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 19Г'),
(1,	2541,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 22б'),
(3,	2542,	'Відділення №1: вул. Залізнична, 16а, Інтенданський р-н, за маг. &quot;Еталон&quot;'),
(1,	2542,	'Отделение №1: ул. Железнодорожная, 16а, (Интенданский р-н, за маг. &quot;Эталон&quot;'),
(3,	2543,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 31'),
(1,	2543,	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 31'),
(3,	2544,	'Відділення №1: вул. Центральна, 22 Б'),
(1,	2544,	'Отделение №1: ул. Центральная, 22 Б'),
(3,	2545,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 2'),
(1,	2545,	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 2'),
(3,	2546,	'Відділення № 1: вул. Вернигори, 25'),
(1,	2546,	'Отделение № 1: ул. Вернигоры, 25'),
(3,	2547,	'Пункт приймання-видачі (до 30 кг): вул. Джерельна, 2'),
(1,	2547,	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 2'),
(3,	2548,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6'),
(1,	2548,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(3,	2549,	'Відділення № 1: вул. Золотоворітська,93'),
(1,	2549,	'Отделение № 1: ул. Золотоворотская, 93'),
(3,	2550,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 20'),
(1,	2550,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 20'),
(3,	2551,	'Пункт приймання-видачі (до 30 кг): вул. Тельманівська, 7А'),
(1,	2551,	'Пункт приема-выдачи (до 30 кг): ул. Тельмановская, 7А'),
(3,	2552,	'Пункт приймання-видачі (до 30 кг): вул. Генерала Плієва, 45'),
(1,	2552,	'Пункт приема-выдачи (до 30 кг): ул. Генерала Плиева, 45'),
(3,	2553,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	2553,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	2554,	'Пункт приймання-видачі (до 30 кг): вул. Довгого, 24'),
(1,	2554,	'Пункт приема-выдачи (до 30 кг): ул. Долгого, 24'),
(3,	2555,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 29'),
(1,	2555,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 29'),
(3,	2556,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 32'),
(1,	2556,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32'),
(3,	2557,	'Пункт приймання-видачі (до 30 кг): вул. Харківська, 8'),
(1,	2557,	'Пункт приема-выдачи (до 30 кг): ул. Харьковская, 8'),
(3,	2558,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 168/1'),
(1,	2558,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 168/1'),
(3,	2559,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9'),
(1,	2559,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(3,	2560,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченка, 108'),
(1,	2560,	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 108'),
(3,	2561,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 68'),
(1,	2561,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 68'),
(3,	2562,	'Пункт приймання-видачі (до 30 кг): вул. Чумацький шлях, 15'),
(1,	2562,	'Пункт приема-выдачи (до 30 кг): ул. Чумацький шлях, 15'),
(3,	2563,	'Відділення №1: вул. Райради, 3'),
(1,	2563,	'Отделение №1: ул. Райрады, 3'),
(3,	2564,	'Пункт приймання-видачі (до 30 кг): вул. Сіверська, 53'),
(1,	2564,	'Пункт приема-выдачи (до 30 кг): ул. Северская, 53'),
(3,	2565,	'Відділення №1: вул. Жовтнева, 78'),
(1,	2565,	'Отделение №1: ул. Жовтнева, 78'),
(3,	2566,	'Пункт приймання-видачі (до 30 кг): вул. Репкіна, 5'),
(1,	2566,	'Пункт приема-выдачи (до 30 кг): ул. Репкина, 5'),
(3,	2567,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 5'),
(1,	2567,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 5'),
(3,	2568,	'Відділення №1: вул. Панікахи, 4'),
(1,	2568,	'Отделение №1: ул. Паникахи, 4'),
(3,	2569,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 11'),
(1,	2569,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 11'),
(3,	2570,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 261а'),
(1,	2570,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 261а'),
(3,	2571,	'Відділення №1: вул. Головна, 30'),
(1,	2571,	'Отделение №1: ул. Главная, 30'),
(3,	2572,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 48'),
(1,	2572,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(3,	2573,	'Пункт приймання-видачі (до 30 кг): вул. Котовського, 100'),
(1,	2573,	'Пункт приема-выдачи (до 30 кг): ул. Котовского, 100'),
(3,	2574,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 12'),
(1,	2574,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 12'),
(3,	2575,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 80'),
(1,	2575,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 80'),
(3,	2576,	'Відділення №1: вул. Комунарівська (Центральна), 46'),
(1,	2576,	'Отеделение №1: ул. Коммунаровская, 46'),
(3,	2577,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33'),
(1,	2577,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3,	2578,	'Пункт приймання-видачі (до 30 кг): вул. Смеричанська, 73а'),
(1,	2578,	'Пункт приема-выдачи (до 30 кг): ул. Смеричанська, 73а'),
(3,	2579,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 15Б'),
(1,	2579,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 15Б'),
(3,	2580,	'Відділення №1: вул. Хмельницьке шосе, 40б'),
(1,	2580,	'Отделение №1: ул. Хмельницкое шоссе, 40б'),
(3,	2581,	'Пункт приймання-видачі (до 30 кг): вул. Черемшини, 2'),
(1,	2581,	'Пункт приема-выдачи (до 30 кг): ул. Черемухи, 2'),
(3,	2582,	'Пункт приймання-видачі (до 30 кг): вул. К.Карого, 95'),
(1,	2582,	'Пункт приема-выдачи (до 30 кг): ул. К.Карого, 95'),
(3,	2583,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 32'),
(1,	2583,	'Пункт приема-выдачи (до 30 кг): ул. ЦНабережная, 32'),
(3,	2584,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6а'),
(1,	2584,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6а'),
(3,	2585,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	2585,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	2586,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 83'),
(1,	2586,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 83'),
(3,	2587,	'Пункт приймання-видачі  (до 30 кг): вул. Шкільна, 1'),
(1,	2587,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(3,	2588,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 108'),
(1,	2588,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 108'),
(3,	2589,	'Пункт приймання-видачі (до 30 кг): пров. Сонячний, 1'),
(1,	2589,	'Пункт приема-выдачи (до 30 кг): пер. Солнечный, 1'),
(3,	2590,	'Пункт приймання-видачі (до 30 кг): вул. Чкалова, 27'),
(1,	2590,	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 27'),
(3,	2591,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 54'),
(1,	2591,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 54'),
(3,	2592,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 19'),
(1,	2592,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19'),
(3,	2593,	'Відділення №1: вул. Сагайдачного, 62а'),
(1,	2593,	'Отделение №1: ул. Сагайдачного, 62а'),
(3,	2594,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 62'),
(1,	2594,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 62'),
(3,	2595,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 144'),
(1,	2595,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 144'),
(3,	2596,	'Пункт приймання-видачі (до 30 кг): пров. Мельничний, 3е'),
(1,	2596,	'Пункт приема-выдачи (до 30 кг): пер. Мельничный, 3е'),
(3,	2597,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 15а'),
(1,	2597,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15а'),
(3,	2598,	'Відділення №1 (до 30 кг): вул. Військове містечко 10, б.175'),
(1,	2598,	'Отделение №1 (до 30 кг), ул. Военный городок 10 д.175'),
(3,	2599,	'Пункт приймання-видачі (до 30 кг): вул. Центр, 53/2'),
(1,	2599,	'Пункт приема-выдачи (до 30 кг): ул. Центр, 53/2'),
(3,	2600,	'Пункт приймання-видачі (до 30 кг): вул. Героїв України, 52Б'),
(1,	2600,	'Пункт приема-выдачи (до 30 кг), ул. Героев Украины, 52Б'),
(3,	2601,	'Відділення №1: вул. Максима Кривоноса, 82'),
(1,	2601,	'Отделение №1: ул. Максима Кривоноса, 82'),
(3,	2602,	'Пункт приймання-видачі (до 30 кг): вул. Грабовського, 17'),
(1,	2602,	'Пункт приема-выдачи (до 30 кг): ул. Грабовского, 17'),
(3,	2603,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 44'),
(1,	2603,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 44'),
(3,	2604,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	2604,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(3,	2605,	'Пункт приймання-видачі (до 30 кг): вул. Полтавська, 45а'),
(1,	2605,	'Пункт приема-выдачи (до 30 кг), ул. Полтавская, 45а'),
(3,	2606,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3-Ж'),
(1,	2606,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3-Ж'),
(3,	2607,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 97'),
(1,	2607,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 97'),
(3,	2608,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 59/1'),
(1,	2608,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 59/1'),
(3,	2609,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 49'),
(1,	2609,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 49'),
(3,	2610,	'Відділення №1: вул. Івана Франка, 46'),
(1,	2610,	'Отделение №1: ул. Ивана Франко, 46'),
(3,	2611,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2611,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2612,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 17'),
(1,	2612,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 17'),
(3,	2613,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 13б'),
(1,	2613,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 13б'),
(3,	2614,	'Пункт приймання-видачі (до 30 кг): вул. Левченка, 4'),
(1,	2614,	'Пункт приема-выдачи (до 30 кг): ул. Левченко, 4'),
(3,	2615,	'Відділення №1: вул. Гагаріна, 25'),
(1,	2615,	'Отделение №1: ул. Гагарина, 25'),
(3,	2616,	'Пункт приймання-видачі (до 30 кг): вул. Червоноармійська, 15'),
(1,	2616,	'Пункт приема-выдачи (до 30 кг): ул. Красноармейская, 15'),
(3,	2617,	'Відділення №1: вул. Шабська, 39'),
(1,	2617,	'Отделение №1: ул. Шабская, 39'),
(3,	2618,	'Відділення № 1: Мікрорайон, 10/1'),
(1,	2618,	'Отделение № 1: Микрорайон, 10/1'),
(3,	2619,	'Відділення №1: вул. Володимира Великого, 21'),
(1,	2619,	'Отделение №1: ул. Владимира Великого, 21'),
(3,	2620,	'Пункт приймання-видачі (до 30 кг): вул. Мічуріна, 3а'),
(1,	2620,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 3а'),
(3,	2621,	'Відділення №1: вул. Чалдаєва, 22'),
(1,	2621,	'Отделение №1: ул. Чалдаева, 22'),
(3,	2622,	'Відділення №1: вул. Дорошенка, 1'),
(1,	2622,	'Отделение №1: ул. Дорошенко, 1'),
(3,	2623,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 132'),
(1,	2623,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинская, 132'),
(3,	2624,	'Пункт приймання-видачі (до 30 кг): вул. Коніщука, 4'),
(1,	2624,	'Пункт приема-выдачи (до 30 кг): ул. Конищука, 4'),
(3,	2625,	'Пункт приймання-видачі (до 30 кг): вул. Володимирська, 10'),
(1,	2625,	'Пункт приема-выдачи (до 30 кг): ул. Владимирская, 10'),
(3,	2626,	'Відділення №1: вул. Жовківська, 4а'),
(1,	2626,	'Отделение №1: ул. Жолковская, 4а'),
(3,	2627,	'Відділення №1: вул. Коломацька, 15а'),
(1,	2627,	'Отделение №1: ул. Калмыцкая, 15а'),
(3,	2628,	'Пункт приймання-видачі (до 30 кг): вул. Варшавська, 4'),
(1,	2628,	'Пункт приема-выдачи (до 30 кг): ул. Варшавская, 4'),
(3,	2629,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 92А'),
(1,	2629,	'Пункт приема-выдачи (до 30 кг): ул. Франко, 92А'),
(3,	2630,	'Автолавка (до 30 кг): вул. Механізаторів, 1'),
(1,	2630,	'Автолавка (до 30 кг): ул. Механизаторов, 1'),
(3,	2631,	'Відділення №1: вул. Набережна, 20'),
(1,	2631,	'Отделение №1: ул. Набережная, 20'),
(3,	2632,	'Відділення №1: вул. Шосейна, 14а'),
(1,	2632,	'Отделение №1: ул. Шоссейная, 14а'),
(3,	2633,	'Пункт приймання-видачі (до 30 кг): вул. Шевченко, 21'),
(1,	2633,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 21'),
(3,	2634,	'Пункт приймання-видачі (до 30 кг): вул. Парнянська, 9'),
(1,	2634,	'Пункт приема-выдачи (до 30 кг): ул. Парнянська, 9'),
(3,	2635,	'Пункт приймання-видачі (до 30 кг): вул. Симоненка, 1'),
(1,	2635,	'Пункт приема-выдачи (до 30 кг): ул. Симоненка, 1'),
(3,	2636,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 134'),
(1,	2636,	'Пункт приема-выдачи (до 30 кг): ул. Франко, 134'),
(3,	2637,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 34'),
(1,	2637,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 34'),
(3,	2638,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 2а'),
(1,	2638,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 2а'),
(3,	2639,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 165'),
(1,	2639,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 165'),
(3,	2640,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 67'),
(1,	2640,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 67'),
(3,	2641,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 37'),
(1,	2641,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 37'),
(3,	2642,	'Відділення №1 (до 30 кг): вул. Центральна, 2'),
(1,	2642,	'Отделение №1 (до 30 кг): ул. Центральная, 2'),
(3,	2643,	'Пункт приймання-видачі (до 30 кг): вул. Чайковського, 59'),
(1,	2643,	'Пункт приема-выдачи (до 30 кг), ул. Чайковского, 59'),
(3,	2644,	'Пункт приймання-видачі (до 30 кг): вул. Сергія Шепетька, 23'),
(1,	2644,	'Пункт приема-выдачи (до 30 кг): ул. Сергея Шепетько, 23'),
(3,	2645,	'Пункт приймання-видачі (до 30 кг): вул. Путивльська, 2'),
(1,	2645,	'Пункт приема-выдачи (до 30 кг): ул. Путивльская, 2'),
(3,	2646,	'Пункт приймання-видачі (до 30 кг): вул. Л.Українки, 66Б'),
(1,	2646,	'Пункт приема-выдачи (до 30 кг): ул. Л.Украинки, 66Б'),
(3,	2647,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 25'),
(1,	2647,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 25'),
(3,	2648,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1а'),
(1,	2648,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1а'),
(3,	2649,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 24а'),
(1,	2649,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24а'),
(3,	2650,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 16а'),
(1,	2650,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 16а'),
(3,	2651,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 15'),
(1,	2651,	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 15'),
(3,	2652,	'Пункт приймання-видачі (до 30 кг): вул. Біологічна, 15'),
(1,	2652,	'Пункт приема-выдачи (до 30 кг): ул. Биологическая, 15'),
(3,	2653,	'Пункт приймання-видачі (до 30 кг): вул. Победовська, 52'),
(1,	2653,	'Пункт приема-выдачи (до 30 кг), ул. Победная, 52'),
(3,	2654,	'Відділення №1: вул. Центральна, 35А'),
(1,	2654,	'Отделение №1: ул. Центральная, 35А'),
(3,	2655,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 27'),
(1,	2655,	'Пункт приема-выдачи (до 30 кг), ул. Октябрьская, 27'),
(3,	2656,	'Пункт приймання-видачі (до 30 кг): вул. Тіниста, 75'),
(1,	2656,	'Пункт приема-выдачи (до 30 кг), ул. Тенистая, 75'),
(3,	2657,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 7а'),
(1,	2657,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 7а'),
(3,	2658,	'Відділення №1: вул. Центральна, 101а'),
(1,	2658,	'Отделение №1: ул. Центральная, 101а'),
(3,	2659,	'Пункт приймання-видачі (до 30 кг): вул. Василенка, 15'),
(1,	2659,	'Пункт приема-выдачи (до 30 кг): ул. Василенко, 15'),
(3,	2660,	'Відділення №1: вул. Духновича, 66а'),
(1,	2660,	'Отделение №1: ул. Духновича, 66а'),
(3,	2661,	'Пункт приймання-видачі (до 30 кг): вул. Кримська, 1'),
(1,	2661,	'Пункт приема-выдачи (до 30 кг): ул. Крымская, 1'),
(3,	2662,	'Відділення №1: вул. Соборна, 116'),
(1,	2662,	'Отделение №1: ул. Соборная, 116'),
(3,	2663,	'Відділення №1: просп. Перемоги, 71'),
(1,	2663,	'Отделение №1: просп. Победы, 71'),
(3,	2664,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 39А'),
(1,	2664,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 39А'),
(3,	2665,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 28а'),
(1,	2665,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 28а'),
(3,	2666,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 15'),
(1,	2666,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 15'),
(3,	2667,	'Відділення №1: вул. Центральна, 2а'),
(1,	2667,	'Отделение № 1:вул. Центральная, 2а'),
(3,	2668,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 89Б'),
(1,	2668,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 89Б'),
(3,	2669,	'Відділення №1: вул. Микулинецька, 30'),
(1,	2669,	'Отделение №1: ул. Микулинецька, 30'),
(3,	2670,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 54'),
(1,	2670,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 54'),
(3,	2671,	'Відділення №1: вул. Соборна, 3'),
(1,	2671,	'Отделение №1: ул. Соборная, 3'),
(3,	2672,	'Пункт приймання-видачі (до 30 кг): площа Перемоги, 3'),
(1,	2672,	'Пункт приема-выдачи (до 30 кг): площадь Победы, 3'),
(3,	2673,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 61'),
(1,	2673,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61'),
(3,	2674,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченка, 55а'),
(1,	2674,	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 55а'),
(3,	2675,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 101'),
(1,	2675,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 101'),
(3,	2676,	'ВІдділення №1: вул. Гулія, 23'),
(1,	2676,	'Отделение №1: ул. Гулия, 23'),
(3,	2677,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 52'),
(1,	2677,	'Пункт приема-выдачи (до 30 кг), ул. Франко, 52'),
(3,	2678,	'Пункт приймання-видачі (до 30 кг): вул. Сквирська, 5а'),
(1,	2678,	'Пункт приема-выдачи (до 30 кг): ул. Сквирский, 5а'),
(3,	2679,	'Відділення №1 (до 30 кг): вул. Шкільна, 2а'),
(1,	2679,	'Отделение №1 (до 30 кг): ул. Школьная, 2а'),
(3,	2680,	'Відділення №1: вул. Духновича, 36'),
(1,	2680,	'Отделение №1: ул. Духновича, 36'),
(3,	2681,	'Пункт приймання-видачі (до 30 кг): вул. Травнева, 34'),
(1,	2681,	'Пункт приема-выдачи (до 30 кг): ул. Майская, 34'),
(3,	2682,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 8а'),
(1,	2682,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 8а'),
(3,	2683,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 41а'),
(1,	2683,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 41а'),
(3,	2684,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 68'),
(1,	2684,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 68'),
(3,	2685,	'Відділення №1: вул. Лесі Українки, 5'),
(1,	2685,	'Отделение №1: ул. Леси Украинки, 5'),
(3,	2686,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 6-Ж'),
(1,	2686,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 6-Ж'),
(3,	2687,	'Пункт приймання-видачі (до 30 кг): вул. Т.Шевченка, 52'),
(1,	2687,	'Пункт приема-выдачи (до 30 кг): ул. Т.Шевченко, 52'),
(3,	2688,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 50А'),
(1,	2688,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50А'),
(3,	2689,	'Відділення №1: вул. Миру, 104'),
(1,	2689,	'Отделение №1: ул. Мира, 104'),
(3,	2690,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 107'),
(1,	2690,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 107'),
(3,	2691,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 13'),
(1,	2691,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 13'),
(3,	2692,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 1'),
(1,	2692,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 1'),
(3,	2693,	'Відділення №1: вул. Лусти, 5а'),
(1,	2693,	'Отделение №1: ул. Лусти, 5а'),
(3,	2694,	'Відділення № 1: вул. Центральна, 100а'),
(1,	2694,	'Отдление № 1: ул. Центральная, 100а'),
(3,	2695,	'Пункт приймання-видачі (до 30 кг): вул. Кузніцова, 1'),
(1,	2695,	'Пункт приема-выдачи (до 30 кг), ул. Кузницова, 1'),
(3,	2696,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 27а'),
(1,	2696,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 27а'),
(3,	2697,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 54Б'),
(1,	2697,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 54Б'),
(3,	2698,	'Відділення №1: вул. Харківська, 6а'),
(1,	2698,	'Отделение №1: ул. Харьковская, 6а'),
(3,	2699,	'Відділення №1: вул. Порт, 24'),
(1,	2699,	'Отделение №1: ул. Порт, 24'),
(3,	2700,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 24'),
(1,	2700,	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 24'),
(3,	2701,	'Пункт приймання-видачі (до 30 кг): вул. Таврійська, 58а'),
(1,	2701,	'Пункт приема-выдачи (до 30 кг), ул. Таврическая, 58а'),
(3,	2702,	'Пункт приймання-видачі (до 30 кг): вул. Островського, 41'),
(1,	2702,	'Пункт приема-выдачи (до 30 кг): ул. Островского, 41'),
(3,	2703,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 26А'),
(1,	2703,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 26А'),
(3,	2704,	'Автолавка (до 30 кг): вул. Калініна, 3'),
(1,	2704,	'Автолавка (до 30 кг): ул. Калинина, 3'),
(3,	2705,	'Відділення №1: вул. Свободи, 3а'),
(1,	2705,	'Отделение №1: Свободы, 3а'),
(3,	2706,	'Пункт приймання-видачі (до 30 кг): вул. Дачна, 5  (СК Калиновий Гай)'),
(1,	2706,	'Пункт приема-выдачи (до 30 кг): ул. Дачная, 5 (СК Калиновый Гай)'),
(3,	2707,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 5'),
(1,	2707,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 5'),
(3,	2708,	'Пункт приймання-видачі  (до 30 кг), вул. Поворознюка, 38а'),
(1,	2708,	'Пункт приема-выдачи (до 30 кг): ул. Поворознюка, 38а'),
(3,	2709,	'Пункт приймання-видачі (до 30 кг): вул. Рівненська, 3А'),
(1,	2709,	'Пункт приема-выдачи (до 30 кг): ул. Ровенская, 3А'),
(3,	2710,	'Пункт приймання-видачі (до 30 кг): вул. Будівників, 3а'),
(1,	2710,	'Пункт приема-выдачи (до 30 кг): ул. Строителей, 3а'),
(3,	2711,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2711,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	2712,	'Пункт приймання-видачі (до 30кг): вул. Івана Франка, 1'),
(1,	2712,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франка, 1'),
(3,	2713,	'Відділення №1: вул. Богачова, 99'),
(1,	2713,	'Отделение №1: ул. Богачева, 99'),
(3,	2714,	'Пункт приймання-видачі (до 30 кг): вул. Калініна, 89'),
(1,	2714,	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 89'),
(3,	2715,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 51'),
(1,	2715,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3,	2716,	'Пункт приймання-видачі (до 30 кг): вул. Рівці, 67а'),
(1,	2716,	'Пункт приема-выдачи (до 30 кг): ул. Ривцы, 67а'),
(3,	2717,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 8б'),
(1,	2717,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 8б'),
(3,	2718,	'Пункт приймання-видачі (до 30 кг): вул. Макаренка, 86'),
(1,	2718,	'Пункт приема-выдачи (до 30 кг): ул. Макаренка, 86'),
(3,	2719,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 7'),
(1,	2719,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 7'),
(3,	2720,	'Відділення № 1: вул. Таврійська, 3а'),
(1,	2720,	'Отделение №1: ул. Таврическая, 3а'),
(3,	2721,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 30'),
(1,	2721,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 30'),
(3,	2722,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	2722,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	2723,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 64'),
(1,	2723,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 64'),
(3,	2724,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 49'),
(1,	2724,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 49'),
(3,	2725,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 1'),
(1,	2725,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(3,	2726,	'Відділення №1: вул. Грушевського, 2'),
(1,	2726,	'Отделение №1: ул. Грушевского, 2'),
(3,	2727,	'Відділення №1: вул. Гагаріна, 7а'),
(1,	2727,	'Отделение №1: ул. Гагарина, 7а'),
(3,	2728,	'Відділення №1: вул. Велика, 89б'),
(1,	2728,	'Отделение №1:ул. Великая, 89б'),
(3,	2729,	'Відділення №1: вул. Попудренко, 1'),
(1,	2729,	'Отделение№1: ул. Попудренко, 1'),
(3,	2730,	'Відділення №1: вул. Робітнича, 17'),
(1,	2730,	'Отделение №1: ул. Рабочая, 17'),
(3,	2731,	'Пункт приймання-видачі (до 30 кг): вул. Остриківці, 3'),
(1,	2731,	'Пункт приема-выдачи (до 30 кг): ул. Острыковцы, 3'),
(3,	2732,	'Відділення №1: вул. Кургузова, 14'),
(1,	2732,	'Отделение №1: ул. Кургузова, 14'),
(3,	2733,	'Пункт приймання-видачі (до 30 кг): вул. Приморська, 34'),
(1,	2733,	'Пункт приема-выдачи (до 30 кг): ул. Приморская, 34'),
(3,	2734,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 203'),
(1,	2734,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 203'),
(3,	2735,	'Відділення №1: вул. Привокзальна, 2А'),
(1,	2735,	'Отделение №1: ул. Привокзальная, 2А'),
(3,	2736,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 48'),
(1,	2736,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 48'),
(3,	2737,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 15'),
(1,	2737,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15'),
(3,	2738,	'Пункт приймання-видачі (до 30 кг): вул. Андріївська, 37'),
(1,	2738,	'Пункт приема-выдачи (до 30 кг): ул. Андреевская, 37'),
(3,	2739,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2739,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	2740,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 4'),
(1,	2740,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 4'),
(3,	2741,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 15'),
(1,	2741,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 15'),
(3,	2742,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 27'),
(1,	2742,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 27'),
(3,	2743,	'Пункт приймання-видачі (до 30 кг): вул. Донецька, 6а'),
(1,	2743,	'Пункт приема-выдачи (до 30 кг): ул. Донецкая, 6а'),
(3,	2744,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 12'),
(1,	2744,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 12'),
(3,	2745,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1'),
(1,	2745,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1'),
(3,	2746,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 138-А'),
(1,	2746,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 138-А'),
(3,	2747,	'Відділення №1: вул. Перемоги, 44'),
(1,	2747,	'Отделение №1: ул. Победы, 44'),
(3,	2748,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 44'),
(1,	2748,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 44'),
(3,	2749,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 4а'),
(1,	2749,	'Пункт приема-выдачи (до 30 кг): ул. Петровского, 24а'),
(3,	2750,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 26'),
(1,	2750,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 26'),
(3,	2751,	'Відділення №1: вул. Березина, 34'),
(1,	2751,	'Отделение №1: ул. Березина, 34'),
(3,	2752,	'Відділення №1: вул. Меліоративна, 2'),
(1,	2752,	'Отделение №1: ул. Мелиоративна, 2'),
(3,	2753,	'Відділення №1: вул. Полтавська, 24'),
(1,	2753,	'Отделение №1: ул. Полтавская, 24'),
(3,	2754,	'Відділення №1: вул. Горішного, 138/2'),
(1,	2754,	'Отделение №1: ул. Горишного, 138/2'),
(3,	2755,	'Відділення №1: майдан Злагоди, 7'),
(1,	2755,	'Отделение №1: майдан Согласия, 7'),
(3,	2756,	'Відділення №1: вул. Львівська, 8, прим. Б'),
(1,	2756,	'Отделение №1: ул. Львовская, 8, пом. Б'),
(3,	2757,	'Пункт приймання-видачі (до 30 кг): вул. Хальзова, 20'),
(1,	2757,	'Пункт приема-выдачи (до 30 кг): ул. Хальзова, 20'),
(3,	2758,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 79А'),
(1,	2758,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 79А'),
(3,	2759,	'Відділення №1: вул. Миру, 42'),
(1,	2759,	'Отделение №1: ул. Ленина, 42'),
(3,	2760,	'Відділення № 1: вул. Молодіжна, 46'),
(1,	2760,	'Отделение № 1: ул. Молодежная, 63'),
(3,	2761,	'Відділення № 1: вул. Шевченка, 12/2'),
(1,	2761,	'Отделение № 1: ул. Шевченко, 12/2'),
(3,	2762,	'Відділення № 1: вул. Соборна, 32а'),
(1,	2762,	'Отделение № 1: ул. Соборная, 32а'),
(3,	2763,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 38'),
(1,	2763,	'Пункт приема-выдачи (до 30 кг): ул.  Мира, 38'),
(3,	2764,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 6-А'),
(1,	2764,	'Пункт приема-выдачи (до 30 кг): ул. Артиллеристов, 12'),
(3,	2765,	'Пункт приймання-видачі  (до 30 кг): вул. Куйбишева, 69'),
(1,	2765,	'Пункт приема-выдачи (до 30 кг): ул. Куйбышева, 69'),
(3,	2766,	'Відділення №1 (до 30 кг): вул. Андрія Шептицького, 2'),
(1,	2766,	'Отделение №1 (до 30 кг): ул. Андрея Шептицкого, 2'),
(3,	2767,	'Відділення №1: вул. Прикордонників, 4 (біля митниці «Ягодин»)'),
(1,	2767,	'Отделение №1: ул. Пограничников, 4 (возле таможни «Ягодын»)'),
(3,	2768,	'Відділення №1: вул. Лікарняна, 2а'),
(1,	2768,	'Отделение №1: ул. Больничная, 2а'),
(3,	2769,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 24А'),
(1,	2769,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 24А'),
(3,	2770,	'Пункт приймання-видачі (до 30 кг): вул. Весніна, 1а'),
(1,	2770,	'Пункт приема-выдачи (до 30 кг): ул. Веснина, 1а'),
(3,	2771,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 133'),
(1,	2771,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 133'),
(3,	2772,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 57'),
(1,	2772,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 57'),
(3,	2773,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 26'),
(1,	2773,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 26'),
(3,	2774,	'Відділення №1: вул. Центральна, б/н'),
(1,	2774,	'Отделение №1: ул.  Центральная, б/н'),
(3,	2775,	'Відділення №1 (до 30 кг): вул. Центральна, 110'),
(1,	2775,	'Отделение №1 (до 30 кг): ул. Центральная, 110'),
(3,	2776,	'Пункт приймання-видачі (до 30 кг): вул. Морозенка, 4'),
(1,	2776,	'Пункт приема-выдачи (до 30 кг): ул. Марозенка, 4'),
(3,	2777,	'Пункт приймання-видачі  (до 30 кг): вул. Київська, 136'),
(1,	2777,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 136'),
(3,	2778,	'Відділення №1: вул. Небесної Сотні, 3'),
(1,	2778,	'Отделение №1: ул. Небесной Сотни, 3'),
(3,	2779,	'Відділення №1: вул. Шевченка, 29'),
(1,	2779,	'Отделение №1: ул. Шевченко, 29'),
(3,	2780,	'Відділення №1: вул. Миру, 10/3'),
(1,	2780,	'Отделение №1: ул. Мира, 10/3'),
(3,	2781,	'Відділення №1: вул. Армійська, 1'),
(1,	2781,	'Отделение №1: ул. Армейская, 1'),
(3,	2782,	'Пункт приймання-видачі (до 30 кг): вул. Героїв України, 25В'),
(1,	2782,	'Пункт приема-выдачи (до 30 кг): ул.  Героев Украины, 25В'),
(3,	2783,	'Пункт приймання-видачі (до 30 кг): вул. Дрогобицька, 44'),
(1,	2783,	'Пункт приема-выдачи (до 30 кг): ул. Дрогобычская, 44'),
(3,	2784,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 33'),
(1,	2784,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 33'),
(3,	2785,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 52'),
(1,	2785,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 52'),
(3,	2786,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 178'),
(1,	2786,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 178'),
(3,	2787,	'Відділення №1: площа Івана Франка, 14а'),
(1,	2787,	'Отделение №1: площадь Ивана Франка, 14а'),
(3,	2788,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 19В'),
(1,	2788,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19В'),
(3,	2789,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 205'),
(1,	2789,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 205'),
(3,	2790,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1А'),
(1,	2790,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1А'),
(3,	2791,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 9б'),
(1,	2791,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 9б'),
(3,	2792,	'Пункт приймання-видачі (до 30 кг): вул. Михайлівська, 36'),
(1,	2792,	'Пункт приема-выдачи (до 30 кг), ул. Михайловская, 36'),
(3,	2793,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 89'),
(1,	2793,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинская, 89'),
(3,	2794,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 1'),
(1,	2794,	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 1'),
(3,	2795,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10'),
(1,	2795,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3,	2796,	'Пункт приймання-видачі (до 30 кг): вул. Сабліна,32-А'),
(1,	2796,	'Пункт приема-выдачи (до 30 кг): ул. Саблина, 32-А'),
(3,	2797,	'Пункт приймання-видачі (до 30 кг): вул. Очаківська, 39'),
(1,	2797,	'Пункт приема-выдачи (до 30 кг): ул. Очаковская, 39'),
(3,	2798,	'Відділення №1: вул. Херсонська, 32б'),
(1,	2798,	'Отделение №1: ул. Херсонская, 32б'),
(3,	2799,	'Пункт приймання-видачі (до 30 кг): пров. Шкільний, 1А'),
(1,	2799,	'Пункт приема-выдачи (до 30 кг): пер. Школьный, 1А'),
(3,	2800,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 3'),
(1,	2800,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(3,	2801,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 14'),
(1,	2801,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 14'),
(3,	2802,	'Пункт приймання-видачі (до 30 кг): вул. Дружня, 28'),
(1,	2802,	'Пункт приема-выдачи (до 30 кг): ул. Дружня, 28'),
(3,	2803,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 2'),
(1,	2803,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 2'),
(3,	2804,	'Пункт приймання-видачі (до 30 кг): вул. Березена, 2'),
(1,	2804,	'Пункт приема-выдачи (до 30 кг): ул. Березена 2'),
(3,	2805,	'Відділення №1: вул. А. Коломійця, 146а'),
(1,	2805,	'Отделение №1: ул. А. Коломойца, 146а'),
(3,	2806,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 2А'),
(1,	2806,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 2А'),
(3,	2807,	'Відділення №1: вул. Свободи, 83а'),
(1,	2807,	'Отделение №1: ул. Свободы, 83а'),
(3,	2808,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 43А'),
(1,	2808,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 43А'),
(3,	2809,	'Відділення №1: вул. Незалежності, 22'),
(1,	2809,	'Отделение № 1: ул. Независимости, 22'),
(3,	2810,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 35'),
(1,	2810,	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 35'),
(3,	2811,	'Відділення № 1: вул. Вокзальна, 22'),
(1,	2811,	'Отделение № 1: ул. Вокзальная, 22'),
(3,	2812,	'Пункт приймання-видачі (до 30 кг): вул. Новий План, 22'),
(1,	2812,	'Пункт приема-выдачи (до 30 кг): ул. Новый План, 22'),
(3,	2813,	'Відділення № 1: вул. Шевченка, 57'),
(1,	2813,	'Отделение № 1: ул. Шевченко, 57'),
(3,	2814,	'Відділення №1: вул. Травнева, 2-А'),
(1,	2814,	'Отделение №1: ул. Майская, 2-А'),
(3,	2815,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 24'),
(1,	2815,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 24'),
(3,	2816,	'Пункт приймання-видачі (до 30 кг): вул. Березова, 11-А'),
(1,	2816,	'Пункт приема-выдачи (до 30 кг): ул. Березовая, 11-А'),
(3,	2817,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 53-А'),
(1,	2817,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 53-А'),
(3,	2818,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 56а'),
(1,	2818,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 56а'),
(3,	2819,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 21'),
(1,	2819,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21'),
(3,	2820,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 24'),
(1,	2820,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 24'),
(3,	2821,	'Відділення № 1: вул. 1-го Травня, 10'),
(1,	2821,	'Отделение № 1: ул. 1-го Мая, 10'),
(3,	2822,	'Відділення №1: вул. Соборна, 67'),
(1,	2822,	'Отделение №1: ул. Соборная, 67'),
(3,	2823,	'Відділення №1: пров. Старомонастирський, 5а'),
(1,	2823,	'Отделение №1: проу. Старомонастирський, 5а'),
(3,	2824,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 400'),
(1,	2824,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 400'),
(3,	2825,	'Пункт приймання-видачі (до 30 кг): вул. Леонтовича, 1'),
(1,	2825,	'Пункт приема-выдачи (до 30 кг): ул. Леонтовича, 1'),
(3,	2826,	'Пункт приймання-видачі (до 30 кг): вул. Чортківська, 5'),
(1,	2826,	'Пункт приема-выдачи (до 30 кг): ул. Чертковская, 5'),
(3,	2827,	'Пункт приймання-видачі (до 30 кг): вул. Братів Левчуків, 31'),
(1,	2827,	'Пункт приема-выдачи (до 30 кг): ул. Братьев Левчуков, 31'),
(3,	2828,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 54'),
(1,	2828,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 54'),
(3,	2829,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 27'),
(1,	2829,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 27'),
(3,	2830,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2а'),
(1,	2830,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2а'),
(3,	2831,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 25'),
(1,	2831,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25'),
(3,	2832,	'Пункт приймання-видачі (до 30 кг): вул. Белеївка, 26'),
(1,	2832,	'\nПункт приема-выдачи (до 30 кг), ул. Белеивка, 26'),
(3,	2833,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 38'),
(1,	2833,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 38'),
(3,	2834,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 18'),
(1,	2834,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 18'),
(3,	2835,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	2835,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	2836,	'Пункт приймання-видачі (до 30 кг): вул. Хрусталькова, 56'),
(1,	2836,	'Пункт приема-выдачи (до 30 кг): ул. Хрусталькова, 56'),
(3,	2837,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 110а'),
(1,	2837,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 110а'),
(3,	2838,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 93а'),
(1,	2838,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 93а'),
(3,	2839,	'Пункт приймання-видачі (до 30 кг): вул. Святотроїцька, 104'),
(1,	2839,	'Пункт приема-выдачи (до 30 кг): ул. Святотроицкая, 104'),
(3,	2840,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 27'),
(1,	2840,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(3,	2841,	'Відділення №1: вул. Українська, 10к'),
(1,	2841,	'Отделение №1: ул. Украинская, 10к'),
(3,	2842,	'Пункт приймання-видачі (до 30 кг): вул. Матиюка, 58'),
(1,	2842,	'Пункт приема-выдачи (до 30 кг): ул. Матиюка, 58'),
(3,	2843,	'Відділення №1: вул. Шевченка, 3'),
(1,	2843,	'Отделение №1: ул. Шевченко, 3'),
(3,	2844,	'Пункт приймання-видачі (до 30 кг): вул. Ів. Франка, 16'),
(1,	2844,	'Пункт приема-выдачи (до 30 кг): ул. Ив. Франко, 16'),
(3,	2845,	'Відділення №1: вул. Львівська, 20'),
(1,	2845,	'Отделение №1: ул. Львовская, 20'),
(3,	2846,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	2846,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	2847,	'Відділення №1: вул. Жовтнева, 2'),
(1,	2847,	'Отделение №1: ул. Октябрьская, 2'),
(3,	2848,	'Пункт приймання-видачі (до 30 кг): вул. Калініна, 60'),
(1,	2848,	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 60'),
(3,	2849,	'Пункт приймання-видачі (до 30 кг): вул. Захисників Вітчизни, 1'),
(1,	2849,	'Пункт приема-выдачи (до 30 кг): ул. Защитников Отечества, 1'),
(3,	2850,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 48'),
(1,	2850,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 48'),
(3,	2851,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 19'),
(1,	2851,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19'),
(3,	2852,	'Пункт приймання-видачі (до 30 кг): вул. В.Терешкової, 12'),
(1,	2852,	'Пункт приема-выдачи (до 30 кг): ул. В.Терешковой, 12'),
(3,	2853,	'Автолавка (до 30 кг): ВХ 2457 ВО, Поштова 1, (біля &quot;школи&quot; ЗОШ №1)'),
(1,	2853,	'Автолавка (до 30 кг): ВХ 2457 ВО, Почтовая 1 (возле &quot;школы&quot; СОШ №1)'),
(3,	2854,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 42'),
(1,	2854,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 42'),
(3,	2855,	'Відділення №1: вул. Прикордонна, 2'),
(1,	2855,	'Отделение №1: ул. Пограничная, 2'),
(3,	2856,	'Пункт приймання-видачі (до 30 кг): вул. Козацька, 23'),
(1,	2856,	'Пункт приема-выдачи (до 30 кг), ул. Козацкая, 23'),
(3,	2857,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 1'),
(1,	2857,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1'),
(3,	2858,	'Пункт приймання-видачі (до 30 кг): вул. Хмельницька, 16/6'),
(1,	2858,	'Пункт приема-выдачи (до 30 кг): ул. Хмельницкая, 16/6'),
(3,	2859,	'Пункт приймання видачі (до 30 кг): вул. Перемоги, 7'),
(1,	2859,	'Пункт приема выдачи (до 30 кг): ул. Пионерская, 1'),
(3,	2860,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 64/2'),
(1,	2860,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64/2'),
(3,	2861,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 41'),
(1,	2861,	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 41'),
(3,	2862,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	2862,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	2863,	'Пункт приймання-видачі (до 30 кг): вул. Сквирська, 88а'),
(1,	2863,	'Пункт приема-выдачи (до 30 кг): ул. Сквирская, 88а'),
(3,	2864,	'Відділення №1: вул. 1-го Травня, 30'),
(1,	2864,	'Отделение №1: ул. 1-го Мая, 30'),
(3,	2865,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 101'),
(1,	2865,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 101'),
(3,	2866,	'Пункт приймання видачі (до 30 кг): вул. Миру, 47'),
(1,	2866,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 47'),
(3,	2867,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 8'),
(1,	2867,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 8'),
(3,	2868,	'Пункт приймання-видачі (до 30 кг): вул. Янівська, 2'),
(1,	2868,	'Пункт приема-выдачи (до 30 кг), ул. Яновская, 2'),
(3,	2869,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 25'),
(1,	2869,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 25'),
(3,	2870,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 18'),
(1,	2870,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 18'),
(3,	2871,	'Відділення №1: вул. Григорія Балжи, 27'),
(1,	2871,	'Отделение №1: ул. Григория Балжи, 27'),
(3,	2872,	'Пункт приймання-видачі (до 30 кг): вул. К.Карого, 33'),
(1,	2872,	'Пункт приема-выдачи (до 30 кг): ул. К.Карого, 33'),
(3,	2873,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 21а'),
(1,	2873,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 21а'),
(3,	2874,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1Б'),
(1,	2874,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1Б'),
(3,	2875,	'Пункт приймання-видачі (до 30 кг): вул. І.Франка, 8'),
(1,	2875,	'Пункт приема-выдачи (до 30 кг): ул. И.Франко, 8'),
(3,	2876,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 21'),
(1,	2876,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21'),
(3,	2877,	'Відділення №1: вул. Соборна, 8-2/а'),
(1,	2877,	'Отделение №1: ул. Соборная, 8-2/а'),
(3,	2878,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 8А'),
(1,	2878,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 8А'),
(3,	2879,	'Відділення №1: вул. Гвардійська, 10'),
(1,	2879,	'Отделение №1, ул. Гвардейская, 10'),
(3,	2880,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 83б'),
(1,	2880,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 83б'),
(3,	2881,	'Пункт приймання-видачі (до 30 кг): вул. Піддубного, 51а'),
(1,	2881,	'Пункт приема-выдачи (до 30 кг), ул. Поддубного, 51а'),
(3,	2882,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 99А'),
(1,	2882,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 99А'),
(3,	2883,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 69'),
(1,	2883,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 69'),
(3,	2884,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 53б'),
(1,	2884,	'Пункт приема-выдачи (до 30 кг): ул. Лысова, 53б'),
(3,	2885,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 60'),
(1,	2885,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 60'),
(3,	2886,	'Відділення №1: вул. Шевченка, 171а/1'),
(1,	2886,	'Отделение №1: ул. Шевченко, 171а/1'),
(3,	2887,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 94'),
(1,	2887,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинский, 94'),
(3,	2889,	'Відділення №1: вул. Центральна, 5'),
(1,	2889,	'Отделение №1: ул. Центральная, 5'),
(3,	2890,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна,28'),
(1,	2890,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 28'),
(3,	2891,	'Відділення №1: вул. Ювілейна, 9а'),
(1,	2891,	'Отделение №1: ул. Юбилейная, 9а'),
(3,	2892,	'Відділення №1: вул. Кооперативна, 3'),
(1,	2892,	'Отделение №1: ул. Кооперативная, 3'),
(3,	2893,	'Відділення №1: вул. Центральна, 2'),
(1,	2893,	'Отделение №1: ул. Центральная, 2'),
(3,	2894,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 54'),
(1,	2894,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 54'),
(3,	2895,	'Відділення №1: вул. Незалежності, 95'),
(1,	2895,	'Отделение №1: ул. Независимости, 95'),
(3,	2896,	'Відділення №1: вул. Філіпова, 21б'),
(1,	2896,	'Отделение №1: ул. Филиппова, 21б'),
(3,	2897,	'Відділення №1: вул. Липки, 25'),
(1,	2897,	'Отделение №1: ул. Липки, 25'),
(3,	2898,	'Пункт приймання-видачі (до 30 кг): вул. Орловщина, 2'),
(1,	2898,	'Пункт приема-выдачи (до 30 кг), ул. Орловщина, 2'),
(3,	2899,	'Відділення №1 (до 30 кг): вул. Привокзальна, 9а'),
(1,	2899,	'Отделение №1 (до 30 кг): ул. Привокзальная, 9а'),
(3,	2900,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 21'),
(1,	2900,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 21'),
(3,	2901,	'Відділення №1: вул. Індустріальний проїзд, 4а'),
(1,	2901,	'Отделение №1:  ул. Индустриальный проезд, 4а'),
(3,	2902,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 61'),
(1,	2902,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 61'),
(3,	2903,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 15а'),
(1,	2903,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 15а'),
(3,	2904,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 12'),
(1,	2904,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 12'),
(3,	2905,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 34'),
(1,	2905,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 34'),
(3,	2906,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 20'),
(1,	2906,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 20'),
(3,	2907,	'Відділення №1: вул. Центральна, 12'),
(1,	2907,	'Отделение №1: ул. Центральная, 12'),
(3,	2908,	'Пункт приймання-видачі ( до 30 кг): вул. Санаторна, 1а'),
(1,	2908,	'Пункт приема-выдачи (до 30 кг): ул. Санаторная, 1а'),
(3,	2909,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 10'),
(1,	2909,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 10'),
(3,	2910,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 5'),
(1,	2910,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 5'),
(3,	2911,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 58'),
(1,	2911,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(3,	2912,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 71'),
(1,	2912,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 71'),
(3,	2913,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 3/2'),
(1,	2913,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 3/2'),
(3,	2914,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 56'),
(1,	2914,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 56'),
(3,	2915,	'Пункт приймання-видачі  (до 30 кг): вул. Зарічна, 20'),
(1,	2915,	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 20'),
(3,	2916,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 52'),
(1,	2916,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 52'),
(3,	2917,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 1а'),
(1,	2917,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1а'),
(3,	2918,	'Пункт приймання-видачі (до 30 кг): вул. Гвардійської Стрілкової Дивізії, 66'),
(1,	2918,	'Пункт приема-выдачи (до 30 кг): ул. Гвардейской стрелковой дивизии, 66'),
(3,	2919,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 59'),
(1,	2919,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 59'),
(3,	2920,	'Пункт приймання-видачі (до 30 кг): вул. Д. Галицького, 15в'),
(1,	2920,	'Пункт приема-выдачи (до 30 кг): ул. Д. Галицкого, 15в'),
(3,	2921,	'Пункт приймання-видачі (до 30 кг): вул. Куріців Кутик, 489'),
(1,	2921,	'Пункт приема-выдачи (до 30 кг): ул. Курицив Уголок, 489'),
(3,	2922,	'Пункт приймання-видачі (до 30 кг): вул. Ореста Левицького, 29'),
(1,	2922,	'Пункт приема-выдачи (до 30 кг): ул. Ореста Левицкого, 29'),
(3,	2923,	'Відділення №1: вул. Незалежності, 763'),
(1,	2923,	'Отделение №1, ул. Независимости, 763'),
(3,	2924,	'Автолавка (до 30 кг): вул. Шкільна, 12'),
(1,	2924,	'Автолавка (до 30 кг): ул. Школьная, 12'),
(3,	2925,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 23'),
(1,	2925,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23'),
(3,	2926,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 34'),
(1,	2926,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 34'),
(3,	2927,	'Пункт приймання-видачі (до 30 кг): вул. Ламана, 50'),
(1,	2927,	'Пункт приема-выдачи (до 30 кг): ул. Ломаная, 50'),
(3,	2928,	'Відділення №1: вул. Зелена, 9'),
(1,	2928,	'Отделение №1: ул. Зеленая, 9'),
(3,	2929,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 75д'),
(1,	2929,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 75Д'),
(3,	2930,	'Пункт приймання-видачі (до 30 кг): вул. Сторожинецька, 62а'),
(1,	2930,	'Пункт приема-выдачи (до 30 кг): ул.Сторожинецкая, 62а'),
(3,	2931,	'Відділення №1: вул. Виноградна, 3а'),
(1,	2931,	'Отделение №1: ул. Виноградная, 3а'),
(3,	2932,	'Відділення №1: вул. Полтавський шлях, 30'),
(1,	2932,	'Отделение №1: ул. Полтавский шлях, 30'),
(3,	2933,	'Відділення №1: вул. Захисників України (ран. Щучки), 73'),
(1,	2933,	'Отделение №1: ул. Защитников Украины (ран. Щучки), 73'),
(3,	2934,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 22а'),
(1,	2934,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 22а'),
(3,	2935,	'Пункт приймання-видачі (до 30 кг): вул. Афінська, 2Г, маг.&quot;Наталі&quot;'),
(1,	2935,	'Пункт приема-выдачи (до 30 кг): ул. Афинская, 2Г, маг.&quot;Натали&quot;'),
(3,	2936,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 61а'),
(1,	2936,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 61а'),
(3,	2937,	'Пункт приймання-видачі (до 30 кг): вул. Сонячна, 1'),
(1,	2937,	'Автолавка (до 30 кг): ул. Солнечная, 1 (возле сельсовета)'),
(3,	2938,	'Відділення №1: Маріупольське шосе, 24'),
(1,	2938,	'Отделение №1: Мариупольское шоссе, 24'),
(3,	2939,	'Відділення №1: вул. Ханіна, 13'),
(1,	2939,	'Отделение №1: ул. Ханина, 13'),
(3,	2940,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 49'),
(1,	2940,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 49'),
(3,	2941,	'Відділення №1: вул. Шевченка, 58'),
(1,	2941,	'Отделение №1: ул. Шевченка, 58'),
(3,	2942,	'Пункт приймання-видачі (до 30 кг): вул. Зелене, 8'),
(1,	2942,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 8'),
(3,	2943,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 14а'),
(1,	2943,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 14а'),
(3,	2944,	'Пункт приймання-видачі (до 30 кг): вул. Дорошенка, 124'),
(1,	2944,	'Пункт приема-выдачи (до 30 кг): ул. Дорошенко, 124'),
(3,	2945,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 17'),
(1,	2945,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 17'),
(3,	2946,	'Пункт приймання-видачі (до 30 кг): вул. Запольської, 27'),
(1,	2946,	'Пункт приема-выдачи (до 30 кг): ул. Запольской, 27'),
(3,	2947,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 45'),
(1,	2947,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 45'),
(3,	2948,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 43а'),
(1,	2948,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 43а'),
(3,	2949,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 133'),
(1,	2949,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 133'),
(3,	2950,	'Пункт приймання-видачі (до 30 кг): вул. Польова, 25Б'),
(1,	2950,	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 25Б'),
(3,	2951,	'Відділення №1 (до 30 кг): вул. Грушевського, 3а'),
(1,	2951,	'Отделение №1 (до 30 кг): ул. Грушевского, 3а'),
(3,	2952,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 24'),
(1,	2952,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24'),
(3,	2953,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 62'),
(1,	2953,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 62'),
(3,	2954,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 61'),
(1,	2954,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 61'),
(3,	2955,	'Пункт приймання-видачі (до 30 кг): вул. Зріні, 25'),
(1,	2955,	'Пункт приема-выдачи (до 30 кг): ул. Зрини, 25'),
(3,	2956,	'Пункт приймання-видачі (до 30 кг): вул. Мілашенкова, 32'),
(1,	2956,	'Пункт приема-выдачи (до 30 кг), ул. Милашенкова, 32'),
(3,	2957,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	2957,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	2958,	'Пункт приймання-видачі (до 30 кг): вул. Озерна, 33'),
(1,	2958,	'Пункт приема-выдачи (до 30 кг): ул. Озерная, 33'),
(3,	2959,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 91А'),
(1,	2959,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 91А'),
(3,	2960,	'Відділення №1: вул. Різдвяна, 9'),
(1,	2960,	'Отделение №1: ул. Рождественская, 9'),
(3,	2961,	'Відділення №1: вул. Центральна, 75і'),
(1,	2961,	'Отделение №1: ул. Центральная, 75и'),
(3,	2962,	'Відділення №1: вул. Дружби, 1а'),
(1,	2962,	'Отделение №1: ул. Дружбы, 1а'),
(3,	2963,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 24а'),
(1,	2963,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 24а'),
(3,	2964,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 43'),
(1,	2964,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 43'),
(3,	2965,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 18'),
(1,	2965,	'Пункт приема-выдачи (до 30 кг), ул. Лесная, 18'),
(3,	2966,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 13'),
(1,	2966,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 13'),
(3,	2967,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 916'),
(1,	2967,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 916'),
(3,	2968,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 9'),
(1,	2968,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 9'),
(3,	2969,	'Відділення №1: вул. Некрасова, 6'),
(1,	2969,	'Отделение №1: ул. Некрасова, 6'),
(3,	2970,	'Пункт приймання-видачі (до 30 кг): вул. Поповича, 1'),
(1,	2970,	'Пункт приема-выдачи (до 30 кг): ул. Поповича, 1'),
(3,	2971,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 144'),
(1,	2971,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 144'),
(3,	2972,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 13'),
(1,	2972,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 13'),
(3,	2973,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 101А'),
(1,	2973,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 101А'),
(3,	2974,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	2974,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	2975,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	2975,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	2976,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 2А'),
(1,	2976,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2А'),
(3,	2977,	'Пункт приймання-видачі (до 30 кг): вул. Меморіальна, 4'),
(1,	2977,	'Пункт приема-выдачи (до 30 кг): ул. Мемориальная, 4'),
(3,	2978,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1а'),
(1,	2978,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 1а'),
(3,	2979,	'Пункт приймання видачі (до 30 кг): вул. Ватутіна, 9'),
(1,	2979,	'Пункт приема-выдачи (до 30 кг), ул. Ватутина, 9'),
(3,	2980,	'Відділення №1: вул. Івана Франка, 125'),
(1,	2980,	'Отделение №1: ул. Ивана Франко, 125'),
(3,	2981,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 21А'),
(1,	2981,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 21А'),
(3,	2982,	'Пункт приймання-видачі (до 30 кг): вул. Пульного, 24'),
(1,	2982,	'Пункт приема-выдачи (до 30 кг): ул. Пульного, 24'),
(3,	2983,	'Відділення №1 (до 30 кг): вул. Свободи, 1Б'),
(1,	2983,	'Отделение №1 (до 30 кг): ул. Свободы, 1Б'),
(3,	2984,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 45'),
(1,	2984,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 45'),
(3,	2985,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 31'),
(1,	2985,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 31'),
(3,	2986,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 8'),
(1,	2986,	'Пункт приема-выдачи (до 30 кг): вул. Молодежная, 8'),
(3,	2987,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 68'),
(1,	2987,	'Микільське'),
(3,	2988,	'Пункт приймання-видачі (до 30 кг): вул. Кельменецька, 9а'),
(1,	2988,	'Пункт приема-выдачи (до 30 кг): ул. Кельменецкая, 9а'),
(3,	2989,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	2989,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	2990,	'Відділення №1: вул. Калинова, 2а(навпроти базару)'),
(1,	2990,	'Отделение №1: ул. Калинова, 2а (напротив базара)'),
(3,	2991,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33б'),
(1,	2991,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33б'),
(3,	2992,	'Пункт приймання-видачі  (до 30 кг): вул. Козацька, 78а'),
(1,	2992,	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 78а'),
(3,	2993,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 90'),
(1,	2993,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 90'),
(3,	2994,	'Пункт приймання-видачі (до 30 кг): вул. 8 Березня, 25'),
(1,	2994,	'Пункт приема-выдачи (до 30 кг): ул. 8 Марта, 25'),
(3,	2995,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 4а'),
(1,	2995,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4а'),
(3,	2996,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 2'),
(1,	2996,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 2'),
(3,	2997,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 41'),
(1,	2997,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 41'),
(3,	2998,	'Відділення №1: вул. Леніна, 82-а'),
(1,	2998,	'Отделение №1: ул. Ленина, 82-а'),
(3,	2999,	'Пункт приймання-видачі (до 30 кг): вул. Пушкинська, 62/1'),
(1,	2999,	'Пунк приема-выдачи (до 30 кг), ул. Пушкинская, 62/1'),
(3,	3000,	'Пункт приймання-видачі (до 30 кг): вул. Шлях, 20'),
(1,	3000,	'Пункт приема-выдачи (до 30 кг): ул. Путь, 20'),
(3,	3001,	'Відділення №1: вул. Шкільна, 5а'),
(1,	3001,	'Отделение №1: ул. Школьная, 5а'),
(3,	3002,	'Відділення №1: пров. Алмазний, 1-А'),
(1,	3002,	'Отделение №1: провул. Алмазный, 1-А'),
(3,	3003,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 10'),
(1,	3003,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 10'),
(3,	3004,	'Пункт приймання-видачі (до 30 кг): вул. Елеваторна, 16'),
(1,	3004,	'Пункт приема-выдачи (до 30 кг): ул. Элеваторная, 16'),
(3,	3005,	'Відділення №1: вул. Шевченка, 49а'),
(1,	3005,	'Отделение №1: ул. Шевченка, 49а'),
(3,	3006,	'Пункт приймання-видачі (до 30 кг): вул. Самарка, 155'),
(1,	3006,	'Пункт приема-выдачи (до 30 кг): ул. Самарка, 155'),
(3,	3007,	'Пункт приймання-видачі (до 30 кг): вул. Калініна, 27Б'),
(1,	3007,	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 27Б'),
(3,	3008,	'Відділення №1: вул. Шевченка, 2'),
(1,	3008,	'Отделение №1: ул. Шевченко, 2'),
(3,	3009,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 28'),
(1,	3009,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 28'),
(3,	3010,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 89в'),
(1,	3010,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 89в'),
(3,	3011,	'Автолавка (до 30 кг): вул. Миру, 23'),
(1,	3011,	'Автолавка (до 30 кг): ул. Мира, 23'),
(3,	3012,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1а'),
(1,	3012,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1а'),
(3,	3013,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 327'),
(1,	3013,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 327'),
(3,	3014,	'Відділення №1 (до 30 кг): вул. Київська, 54'),
(1,	3014,	'Отделение №1 (до 30 кг), ул. Киевская, 54'),
(3,	3015,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 2а'),
(1,	3015,	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 2а'),
(3,	3016,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 56'),
(1,	3016,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 56'),
(3,	3017,	'Відділення №1: вул. Садова, 2'),
(1,	3017,	'Отделение №1: ул. Садовая, 2'),
(3,	3018,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 26'),
(1,	3018,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 26'),
(3,	3019,	'Пункт приймання-видачі (до 30 кг): вул. Іванівська, 43'),
(1,	3019,	'Пункт приема-выдачи (до 30 кг): ул. Ивановская, 43'),
(3,	3021,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 52а'),
(1,	3021,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 52а'),
(3,	3022,	'Пункт приймання-видачі (до 30 кг): вул. Чернігівська, 32'),
(1,	3022,	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 32'),
(3,	3023,	'Пункт приймання-видачі (до 30 кг): вул. Б. Хмельницького, 2'),
(1,	3023,	'Пункт приема-выдачи (до 30 кг), ул. Б. Хмельницкого, 2'),
(3,	3024,	'Пункт приймання-видачі (до 30 кг): вул. І.Франка, 94'),
(1,	3024,	'Пункт приема-выдачи (до 30 кг): ул. И.Франко, 94'),
(3,	3025,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 7'),
(1,	3025,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 7'),
(3,	3026,	'Пункт приймання-видачі (до 30 кг): вул. Бачинського, 117'),
(1,	3026,	'Пункт приема-выдачи (до 30 кг): ул. Бачинского, 117'),
(3,	3027,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9а'),
(1,	3027,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9а'),
(3,	3028,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 86'),
(1,	3028,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 86'),
(3,	3029,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31'),
(1,	3029,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 31'),
(3,	3030,	'Відділення №1: вул. Шевченка, 6'),
(1,	3030,	'Отделение №1: ул. Шевченко, 6'),
(3,	3031,	'Відділення №1: вул. Дніпровська, 49 (район СШБ)'),
(1,	3031,	'Отделение №1: ул. Днепровская, 49 (район СШБ)'),
(3,	3032,	'Відділення №1: вул. Миру, 10'),
(1,	3032,	'Отделение №1: ул. Мира, 10'),
(3,	3033,	'Пункт приймання-видачі (до 30 кг): вул. Шептицького, 57'),
(1,	3033,	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 57'),
(3,	3034,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 17'),
(1,	3034,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 17'),
(3,	3035,	'Відділення №1: вул. Андріївська, 66'),
(1,	3035,	'Отделение №1: ул. Андреевская, 66'),
(3,	3036,	'Відділення №1: вул. Грушевського, 129'),
(1,	3036,	'Отделение №1: ул. Грушевського, 129'),
(3,	3037,	'Пункт приймання-видачі (до 30 кг): вул. Б.Хмельницького, 61Ф'),
(1,	3037,	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 61Ф'),
(3,	3038,	'Пункт приймання-видачі (до 30 кг): вул. В. Чорновола, 30'),
(1,	3038,	'Пункт приема-выдачи (до 30 кг): ул. В. Чорновола, 30'),
(3,	3039,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 106а'),
(1,	3039,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 106а'),
(3,	3040,	'Пункт приймання-видачі (до 30 кг): вул. Лиманська, 3'),
(1,	3040,	'Пункт приема-выдачи (до 30 кг): ул. Лиманская, 3'),
(3,	3041,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 54А'),
(1,	3041,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(3,	3042,	'Пункт приймання-видачі (до 30 кг): вул. Польова, 35'),
(1,	3042,	'Пункт приема-передачи (до 30 кг): ул. Полевая, 35'),
(3,	3043,	'Відділення №1: вул. Соборна, 50'),
(1,	3043,	'Отделение №1: ул. Соборная, 50'),
(3,	3044,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 45'),
(1,	3044,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 45'),
(3,	3045,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	3045,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	3046,	'Пункт приймання-видачі (до 30 кг): вул. Ірпінська, 65'),
(1,	3046,	'Пункт приема-выдачи (до 30 кг): ул. Ирпенская, 65'),
(3,	3047,	'Відділення №1: вул. Святомиколаївська, 95'),
(1,	3047,	'Отделение №1: ул. Святониколаевская, 95'),
(3,	3048,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 67А'),
(1,	3048,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 67А'),
(3,	3049,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 95В'),
(1,	3049,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 95В'),
(3,	3050,	'Пункт приймання-видачі (до 30 кг): вул. Кірова, 102'),
(1,	3050,	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 102'),
(3,	3051,	'Відділення №1: вул. Садова, 12'),
(1,	3051,	'Отделение №1: ул. Садовая, 12'),
(3,	3052,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	3052,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	3053,	'Відділення №1: вул. Сухинова, 7а'),
(1,	3053,	'Отделение №1: ул. Сухинова, 7а'),
(3,	3054,	'Пункт приймання-видачі (до 30 кг): вул. Степна, 1'),
(1,	3054,	'Пункт приема-выдачи (до 30 кг): ул. Степная, 1'),
(3,	3055,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3055,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3056,	'Пункт приймання-видачі  (до 30 кг): вул. Соборна, 3а'),
(1,	3056,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 3а'),
(3,	3057,	'Відділення №1: вул. Борців Революції, 23'),
(1,	3057,	'Отделение №1: ул. Борцов Революции, 23'),
(3,	3058,	'Пункт приймання-видачі (до 30 кг): вул.  Ярослава Мудрого, 60'),
(1,	3058,	'Пункт приема-выдачи (до 30 кг): ул. Ярослава Мудрого, 60'),
(3,	3059,	'Відділення №1: вул. Ринок, 1'),
(1,	3059,	'Отделение №1: ул. Рынок, 1'),
(3,	3060,	'Відділення №1: вул. Львівська, 150'),
(1,	3060,	'Отделение №1: ул. Львовская, 150'),
(3,	3061,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 25б'),
(1,	3061,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 25б'),
(3,	3062,	'Пункт приймання-видачі (до 30 кг): вул. Преображенська, 64'),
(1,	3062,	'Пункт приема-выдачи (до 30 кг), ул. Преображенская, 64'),
(3,	3063,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 64'),
(1,	3063,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64'),
(3,	3064,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 10А'),
(1,	3064,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10А'),
(3,	3065,	'Відділення №1: вул. Калініна, 2'),
(1,	3065,	'Отделение №1: ул. Калинина, 2'),
(3,	3066,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10'),
(1,	3066,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3,	3067,	'Відділення № 1: вул. Василя Стуса, 2а'),
(1,	3067,	'Отделение № 1: ул. Василия Стуса, 2а'),
(3,	3068,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 87'),
(1,	3068,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 87'),
(3,	3069,	'Пункт приймання-видачі (до 30 кг): вул. Слобідська, 16'),
(1,	3069,	'Пункт приема-выдачи (до 30 кг): ул. Слободская, 16'),
(3,	3070,	'Відділення №1: вул. Набережна, 12'),
(1,	3070,	'Юровка, Набережная, 12'),
(3,	3071,	'Відділення №1: вул. Металургів, 10'),
(1,	3071,	'Отделение №1: ул. Металургов, 10'),
(3,	3072,	'Відділення №1: вул. Центральна, 46'),
(1,	3072,	'Отделение №1: просп. Центральная, 46'),
(3,	3073,	'Відділення №1: вул. Шевченка, 97'),
(1,	3073,	'Отделение №1: ул. Шевченко, 97'),
(3,	3074,	'Пункт приймання-видачі (до 30 кг): вул. Василе Александрі, 13'),
(1,	3074,	'Пункт приема-выдачи (до 30 кг): ул. Василе Александри, 13'),
(3,	3075,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 1'),
(1,	3075,	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 1'),
(3,	3076,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 51'),
(1,	3076,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3,	3077,	'Пункт приймання-видачі (до 30 кг): вул. Курортна, 96'),
(1,	3077,	'Пункт приема-выдачи (до 30 кг): ул. Курортная, 96'),
(3,	3078,	'Пункт приймання-видачі (до 30 кг): вул. Залізнична, 16А'),
(1,	3078,	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 16А'),
(3,	3079,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 1'),
(1,	3079,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(3,	3080,	'Пункт приймання-видачі (до 30 кг): вул. Каласентіївка, 4а'),
(1,	3080,	'Пункт приема-выдачи (до 30 кг): ул. Каласентиивка, 4а'),
(3,	3081,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 23'),
(1,	3081,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 23'),
(3,	3082,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 20'),
(1,	3082,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 20'),
(3,	3083,	'Відділення № 1: вул. Івана Франка, 30'),
(1,	3083,	'Отделение № 1: ул. Ивана Франко, 30'),
(3,	3084,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 63а'),
(1,	3084,	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 63а'),
(3,	3085,	'Відділення №1: вул. Східна, 1'),
(1,	3085,	'Отделение №1: ул. Восточная, 1'),
(3,	3086,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 7'),
(1,	3086,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 7'),
(3,	3087,	'Відділення №1: вул. Пушкіна, 64'),
(1,	3087,	'Отделение №1: ул. Пушкина, 64'),
(3,	3088,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 28в'),
(1,	3088,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 28в'),
(3,	3089,	'Відділення №1: вул. Миру, 2а'),
(1,	3089,	'Отделение №1: ул. Мира, 2а'),
(3,	3090,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5'),
(1,	3090,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3,	3091,	'Відділення № 1: вул. Миру, 144'),
(1,	3091,	'Отделение № 1: ул. Мира, 144'),
(3,	3092,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 36'),
(1,	3092,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 36'),
(3,	3093,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3093,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3094,	'Відділення №1: просп. Соборний, 85'),
(1,	3094,	'Отделение №1: просп. Соборный, 85'),
(3,	3095,	'Відділення №1: бульв. Ювілейний, 7'),
(1,	3095,	'Отделение №1: бульв. Юбилейный, 7'),
(3,	3096,	'Відділення №1: вул. Ломоносова, 24а'),
(1,	3096,	'Отделение: ул. Ломоносова, 24а'),
(3,	3097,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 3'),
(1,	3097,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3'),
(3,	3098,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	3098,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	3099,	'Пункт приймання-видачі (до 30 кг): вул. Байбузівська, 2Б'),
(1,	3099,	'Пункт приема-выдачи (до 30 кг): ул. Байбузовська, 2Б'),
(3,	3100,	'Відділення №1: вул. Промислова, 5'),
(1,	3100,	'Отделение №1: ул. Промышленная, 5'),
(3,	3101,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 15'),
(1,	3101,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 15'),
(3,	3102,	'Пункт приймання-видачі (до 30 кг): вул. Осіпова, 47'),
(1,	3102,	'Пункт приема-выдачи (до 30 кг): ул. Осипова, 47'),
(3,	3103,	'Відділення №1: вул. Луцька, 1/2'),
(1,	3103,	'Отделение №1: ул. Луцкая, 1/2'),
(3,	3104,	'Відділення №1: вул. Миру, 73'),
(1,	3104,	'Отделение №1: ул. Мира, 73'),
(3,	3105,	'Відділення №1: вул. Черняхівського, 4а'),
(1,	3105,	'Отделение №1: ул. Черняховского, 4а'),
(3,	3106,	'Відділення №1: вул. Червона, 2г'),
(1,	3106,	'Отделение №1: ул. Красная, 2г'),
(3,	3107,	'Відділення №1: мікрорайон Орельський, 14'),
(1,	3107,	'Отделение №1: ул. микрорайон Орельский, 14'),
(3,	3108,	'Пункт приймання-видачі (до 30 кг): вул. Галагана, 76'),
(1,	3108,	'Пункт приема-выдачи (до 30 кг): ул. Галагана, 76'),
(3,	3109,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 14'),
(1,	3109,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14'),
(3,	3110,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 78'),
(1,	3110,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 78'),
(3,	3111,	'Пункт приймання видачі (до 30 кг): вул. Федоренка, 10'),
(1,	3111,	'Пункт приема-выдачи (до 30 кг), ул. Федоренко, 10'),
(3,	3112,	'Пункт приймання видачі (до 30 кг): вул. Петруші, 31'),
(1,	3112,	'Пункт приема выдачи (до 30 кг): ул. Петруши, 31'),
(3,	3113,	'Відділення №1: вул. Багата, 45'),
(1,	3113,	'отделение №1: ул. Багатая, 45'),
(3,	3114,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 44'),
(1,	3114,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 44'),
(3,	3115,	'Відділення №1: вул. Азовської флотилії, 2 (пос. Моряків)'),
(1,	3115,	'Отделение №1: ул. Азовской флотилии, 2 (пос. Моряков)'),
(3,	3116,	'Пункт приймання-видачі (до 30 кг): вул.  Добровольців, 1а'),
(1,	3116,	'Пункт приема-выдачи (до 30 кг), ул.  Добровольцев, 1а'),
(3,	3117,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 47'),
(1,	3117,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 47'),
(3,	3118,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 51'),
(1,	3118,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3,	3119,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 23'),
(1,	3119,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 23'),
(3,	3120,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 32а'),
(1,	3120,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32а'),
(3,	3121,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 23'),
(1,	3121,	'Пункт приймання-видачі(до 30 кг), вул. Богдана Хмельницького, 23'),
(3,	3122,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	3122,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	3123,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 143'),
(1,	3123,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 143'),
(3,	3124,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 44а'),
(1,	3124,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 44а'),
(3,	3125,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3125,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3126,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 67а'),
(1,	3126,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 67а'),
(3,	3127,	'Відділення №1: вул. Семидубська, 16'),
(1,	3127,	'Отделение №1: ул. Семидубская, 16'),
(3,	3128,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 40а'),
(1,	3128,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 40а'),
(3,	3129,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10'),
(1,	3129,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3,	3130,	'Пункт приймання-видачі (до 30 кг): вул. Миколи Мельника, 115'),
(1,	3130,	'Пункт приема-выдачи (до 30 кг): ул. Николая Мельника, 115'),
(3,	3131,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 18'),
(1,	3131,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 18'),
(3,	3132,	'Відділення №1: вул. Дунайська, 1'),
(1,	3132,	'Отделение №1: ул. Дунайская,1'),
(3,	3133,	'Відділення №1: вул. Шевченка Тараса, 55-а'),
(1,	3133,	'Отделение №1: ул. Шевченко Тараса, 55-а'),
(3,	3134,	'Пункт приймання-видачі (до 30 кг): вул. Героїв Небесної сотні, 6'),
(1,	3134,	'Пункт приема-выдачи (до 30), ул. Героев Небесной сотни, 6'),
(3,	3135,	'Пункт приймання-видачі (до 30 кг): вул. Коновальця, 112а'),
(1,	3135,	'Пункт приема-выдачи (до 30 кг): ул. Коновальца, 112а'),
(3,	3136,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 20'),
(1,	3136,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3,	3137,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 43'),
(1,	3137,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 43'),
(3,	3138,	'Відділення №1: вул. Ювілейна, 25'),
(1,	3138,	'Отделение №1: ул. Юбилейная, 25'),
(3,	3139,	'Пункт приймання-видачі (до 30 кг): вул. Шептицького, 4'),
(1,	3139,	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 4'),
(3,	3140,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 37'),
(1,	3140,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(3,	3141,	'Пункт приймання-видачі (до 30 кг): вул. Основська, 9а'),
(1,	3141,	'Пункт приема-выдачи (до 30 кг): ул. Основская, 9а'),
(3,	3142,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 16'),
(1,	3142,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 16'),
(3,	3143,	'Відділення №1: вул. Сергія Кемського (ран. Жовтнева), 72а'),
(1,	3143,	'Отделение №1: ул. Сергея Кемского (ран. Октябрьская), 72а'),
(3,	3144,	'Відділення №1: вул. Театральна, 9'),
(1,	3144,	'Отделение №1: ул. Театральная, 9'),
(3,	3145,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 4'),
(1,	3145,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(3,	3146,	'Відділення №1: вул. Тополева, 40'),
(1,	3146,	'Отделение №1: ул. Тополевая, 40'),
(3,	3147,	'Пункт приймання-видачі (до 30 кг): вул. Горького, 32'),
(1,	3147,	'Пункт приема-выдачи (до 30 кг): ул. Горького, 32'),
(3,	3148,	'Пункт приймання-видачі (до 30 кг): вул. Чорновола, 40а'),
(1,	3148,	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 40а'),
(3,	3149,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 21'),
(1,	3149,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 21'),
(3,	3150,	'Пункт приймання-видачі (до 30 кг): вул. Поштова, 3'),
(1,	3150,	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 3'),
(3,	3151,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 95'),
(1,	3151,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 95'),
(3,	3152,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 48'),
(1,	3152,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(3,	3153,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31а'),
(1,	3153,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	3154,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 70'),
(1,	3154,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 70'),
(3,	3155,	'Відділення №1: вул. Харківська, 3'),
(1,	3155,	'Отделение №1: ул. Харьковская, 3'),
(3,	3156,	'Відділення №1: вул. Дружби, 36'),
(1,	3156,	'Отделение №1: ул. Дружбы, 36'),
(3,	3157,	'Пункт приймання-видачі (до 30 кг): вул. Визволителів, 4-А'),
(1,	3157,	'Пункт приема-выдачи (до 30 кг), ул. Освободителей, 4-А'),
(3,	3158,	'Пункт приймання-видачі (до 30 кг): вул. Ружина, 42'),
(1,	3158,	'Пункт приема-выдачи (до 30 кг): ул. Ружина, 42'),
(3,	3159,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 27'),
(1,	3159,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 27'),
(3,	3160,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 10'),
(1,	3160,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 10'),
(3,	3161,	'Відділення №1: вул. 40 років Перемоги, 1а'),
(1,	3161,	'Отделение №1: ул. 40 лет Победы, 1а'),
(3,	3162,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 52'),
(1,	3162,	'Пункт приема-выдачи (до 30 кг), ул. Ивана Франко, 52'),
(3,	3163,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 52а'),
(1,	3163,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 52а'),
(3,	3164,	'Пункт приймання-видачі (до 30 кг): вул. Космічна 11-а'),
(1,	3164,	'Пункт приема-выдачи (до 30 кг): ул. Космическая, 15'),
(3,	3165,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 12а'),
(1,	3165,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 12а'),
(3,	3166,	'Відділення №1: вул. Леніна, 40'),
(1,	3166,	'Отделение №1: ул. Ленина, 40'),
(3,	3167,	'Пункт приймання-видачі (до 30 кг): вул. Прикарпатська, 1'),
(1,	3167,	'Пункт приема-выдачи (до 30 кг), ул. Прикарпатская, 1'),
(3,	3168,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 43'),
(1,	3168,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(3,	3169,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	3169,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	3170,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3170,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3171,	'Пункт приймання-видачі (до 30 кг): вул. Чехова, 7'),
(1,	3171,	'Пункт приема-выдачи (до 30 кг): ул. Чехова, 7'),
(3,	3172,	'Відділення №1: вул. Соборна, 89'),
(1,	3172,	'Отделение №1: ул. Соборная, 89'),
(3,	3173,	'Пункт приймання-видачі (до 30 кг): вул. Ватутіна, 12'),
(1,	3173,	'Пункт приема-выдачи (до 30 кг): ул. Ватутина, 12'),
(3,	3174,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 7а'),
(1,	3174,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 7а'),
(3,	3175,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	3175,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	3176,	'Відділення №1: вул. І. Мазепи, 12'),
(1,	3176,	'Отделение: ул. И. Мазепы, 12'),
(3,	3177,	'Пункт приймання-видачі (до 30 кг): вул. Чорноморців, 64'),
(1,	3177,	'Пункт приймання-видачі (до 30 кг): вул. Чорноморців, 64'),
(3,	3178,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 18а'),
(1,	3178,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 18а'),
(3,	3179,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 32'),
(1,	3179,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 32'),
(3,	3180,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 23'),
(1,	3180,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 23'),
(3,	3181,	'Відділення №1: вул. Кошута, 16'),
(1,	3181,	'Отделение №1: ул. Кошута, 16'),
(3,	3182,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 41'),
(1,	3182,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41'),
(3,	3183,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 2'),
(1,	3183,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2'),
(3,	3184,	'Відділення №1: вул. Франка Івана, 2в'),
(1,	3184,	'Отделение №1: ул. Франко Ивана, 2в'),
(3,	3185,	'Відділення №1: вул. Культури, 57'),
(1,	3185,	'Отделение №1: ул. Культуры, 57'),
(3,	3186,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 54'),
(1,	3186,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 54'),
(3,	3187,	'Відділення №1: вул. Визволення, 5 (позаду друкарні)'),
(1,	3187,	'Отделение №1: ул. Освобождения, 5 (сзади типографии)'),
(3,	3188,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 21'),
(1,	3188,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 21'),
(3,	3189,	'Пункт приймання-видачі (до 30 кг): вул. Шлях, 24Б'),
(1,	3189,	'Пункт приема-выдачи (до 30 кг): ул. Шлях, 24Б'),
(3,	3190,	'Відділення №1: пл. Незалежності, 6'),
(1,	3190,	'Отделение №1: пл. Независимости, 6'),
(3,	3191,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 15'),
(1,	3191,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15'),
(3,	3192,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 71'),
(1,	3192,	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 71'),
(3,	3193,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 137'),
(1,	3193,	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 65'),
(3,	3194,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10а'),
(1,	3194,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10а'),
(3,	3195,	'Відділення №1: вул. Об\'їзна, 21'),
(1,	3195,	'Отделение №1: ул. Обьезная, 21'),
(3,	3196,	'Відділення №1: вул. Грушевського, 3а'),
(1,	3196,	'Отделение №1: ул. Грушевского, 3а'),
(3,	3197,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33а'),
(1,	3197,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33а'),
(3,	3198,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 4'),
(1,	3198,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(3,	3199,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3199,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3200,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 53'),
(1,	3200,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 53'),
(3,	3201,	'Відділення №1: вул. Гагаріна, 43'),
(1,	3201,	'Отделение №1: ул. Гагарина, 43'),
(3,	3202,	'Пункт приймання-видачі (до 30 кг): вул. 40 років Перемоги, 38'),
(1,	3202,	'Пункт приема-выдачи (до 30 кг): ул.  40 лет Победы, 38'),
(3,	3203,	'Відділення №1: вул. Шевченка б.н.'),
(1,	3203,	'Отделение №1: ул. Шевченка б.н.'),
(3,	3204,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 14'),
(1,	3204,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 14'),
(3,	3205,	'Пункт приймання-видачі (до 30 кг): вул. Цимбалюка, 1'),
(1,	3205,	'Пункт приема-выдачи (до 30 кг): ул. Цимбалюка, 1'),
(3,	3207,	'ВІдділення №1: вул. Михайлівська, 77-а'),
(1,	3207,	'Отделение №1: ул. Михайловская, 77-а'),
(3,	3208,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 70'),
(1,	3208,	'Пункт приема-выдачи (до 30 кг): ул. Грушевського, 70'),
(3,	3209,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 111 б/2'),
(1,	3209,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111 б/2'),
(3,	3210,	'Відділення №1: вул. 28 Червня, 28'),
(1,	3210,	'Отделение №1: ул. 28 Июня, 28'),
(3,	3211,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 113'),
(1,	3211,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 113'),
(3,	3212,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 89'),
(1,	3212,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 89'),
(3,	3213,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 55'),
(1,	3213,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55'),
(3,	3214,	'Пункт приймання-видачі (до 30 кг): вул. присілок Москалівка, 10'),
(1,	3214,	'Пункт приема-выдачи (до 30 кг), ул. участок Москаливка, 10'),
(3,	3215,	'Пункт приймання-видачі (до 30 кг): пр. Незалежності, 1а'),
(1,	3215,	'Пункт приема-видачи(до 30 кг): пр. Независимости, 1а'),
(3,	3216,	'Відділення №1: вул. Сумська, 24'),
(1,	3216,	'Отделение №1: ул. Сумская, 24'),
(3,	3217,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 196'),
(1,	3217,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 196'),
(3,	3218,	'Пункт приймання-видачі (до 30 кг): вул. Яремчука, 6'),
(1,	3218,	'Пункт приема-выдачи (до 30 кг): ул. Яремчука, 6'),
(3,	3219,	'Відділення №1: вул. Спортивна, 3'),
(1,	3219,	'Отделение №1: ул. Спортивная, 3'),
(3,	3220,	'Відділення №1: вул. Горького, 25а'),
(1,	3220,	'Отделение №1: ул. Горького, 25а'),
(3,	3221,	'Відділення №1: Ківшарівка, 35 В'),
(1,	3221,	'Отделение №1: Ковшаровка, 35 В'),
(3,	3222,	'Пункт приймання-видачі (до 30 кг): вул. Спортивна, 90а'),
(1,	3222,	'Пункт приема-выдачи (до 30 кг): ул. Спортивная, 90а'),
(3,	3223,	'Відділення №1: вул. Кооперативна, 64'),
(1,	3223,	'Отделение №1: ул. Кооперативная, 64'),
(3,	3224,	'Автолавка (до 30 кг): вул. Кооперативна, 10'),
(1,	3224,	'Автолавка (до 30 кг): ул. Кооперативная, 10'),
(3,	3225,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	3225,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	3226,	'Пункт приймання-видачі (до 30 кг): вул. Польова, 7'),
(1,	3226,	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 7'),
(3,	3227,	'Відділення №1: вул. Печерська, 6'),
(1,	3227,	'Отделение №1: ул. Печерская, 6'),
(3,	3228,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченка, 14'),
(1,	3228,	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 14'),
(3,	3229,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 78'),
(1,	3229,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78'),
(3,	3230,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 9'),
(1,	3230,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 9'),
(3,	3231,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 5'),
(1,	3231,	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 5'),
(3,	3232,	'Пункт приймання-видачі (до 30 кг): вул. Кольчака, 38а'),
(1,	3232,	'Пункт приема-выдачи (до 30 кг): ул. Кольчак, 38а'),
(3,	3233,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 125'),
(1,	3233,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 125'),
(3,	3234,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 34'),
(1,	3234,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(3,	3235,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 35'),
(1,	3235,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(3,	3236,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 21'),
(1,	3236,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21'),
(3,	3237,	'Пункт приймання-видачі (до 30 кг): вул. Юрченка, 15'),
(1,	3237,	'Пункт приема-выдачи (до 30 кг): ул. Юрченко, 15'),
(3,	3238,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 11'),
(1,	3238,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 11'),
(3,	3239,	'Відділення №1: вул. Артема, 8А'),
(1,	3239,	'Отделение №1: ул. Артема, 8А'),
(3,	3240,	'Пункт приймання-видачі (до 30 кг): вул. Слави, 80'),
(1,	3240,	'Пункт приема-выдачи (до 30 кг): ул. Славы, 80'),
(3,	3241,	'Відділення №1: вул. Центральна, 76а'),
(1,	3241,	'Отделение №1: ул. Центральная, 76а'),
(3,	3242,	'Відділення №1: вул. Ярова, 14'),
(1,	3242,	'Отделение №1: ул. Яровая, 14'),
(3,	3243,	'Пункт приймання-видачі (до 30 кг): вул. Покровського, 17Г'),
(1,	3243,	'Пункт приема-выдачи (до 30 кг), ул. Покровского, 17Г'),
(3,	3244,	'Відділення №1: вул. 8-го Березня, 14'),
(1,	3244,	'Отделение №1: ул. 8-го Марта, 14'),
(3,	3245,	'Пункт приймання-видачі (до 30 кг): вул. Ясенівська, 1'),
(1,	3245,	'Пункт приема-выдачи (до 30 кг): ул. Ясеновская, 1'),
(3,	3246,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 51'),
(1,	3246,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3,	3247,	'Пункт приймання-видачі (до 30 кг): вул. Ублянська, 2'),
(1,	3247,	'Пункт приема-выдачи (до 30 кг): ул. Ублянська, 2'),
(3,	3248,	'Пункт приймання-видачі (до 30 кг): вул. вул. Чернігівська, 25'),
(1,	3248,	'Пункт приема-выдачи (до 30 кг): ул. ул. Черниговская, 25'),
(3,	3249,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 72'),
(1,	3249,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 72'),
(3,	3250,	'Пункт приймання-видачі (до 30 кг): вул. С. Бандери, 196'),
(1,	3250,	'Пункт приема-выдачи (до 30 кг): ул. С. Бандеры, 196'),
(3,	3251,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 4-А'),
(1,	3251,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 4-А'),
(3,	3252,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 42'),
(1,	3252,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 42'),
(3,	3253,	'Пункт приймання-видачі (до 30 кг): вул. Софіївська, 23А'),
(1,	3253,	'Пункт приема-выдачи (до 30 кг): ул. Софиевская, 23А'),
(3,	3254,	'Пункт приймання-видачі (до 30 кг): вул. Франишина, 1'),
(1,	3254,	'Пункт приема-выдачи (до 30 кг): ул. Франишина, 1'),
(3,	3255,	'Пункт приймання-видачі (до 30 кг): вул. Героїв, 52'),
(1,	3255,	'Пункт приема-выдачи (до 30 кг): ул. Героев, 52'),
(3,	3256,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 1'),
(1,	3256,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(3,	3257,	'Відділення №1: вул. Поштова, 4'),
(1,	3257,	'Отделение №1: ул. Почтовая, 4'),
(3,	3258,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 34'),
(1,	3258,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 34'),
(3,	3259,	'Пункт приймання-видачі (до 30 кг): вул. Сумська, 10'),
(1,	3259,	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 10'),
(3,	3260,	'Відділення №1: пров. Піщаний, 1'),
(1,	3260,	'Отделение №1: пер. Песчаный, 1'),
(3,	3261,	'Пункт приймання-видачі (до 30 кг): вул. Кирпонова, 2 А'),
(1,	3261,	'Лукьяновка (Барешевський р-н), ул Кирпонова, 2 А'),
(3,	3262,	'Пункт приймання-видачі (до 30 кг): вул. Козацька, 42а'),
(1,	3262,	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 42а'),
(3,	3263,	'Відділення №1 (до 30 кг): вул. Богдана Хмельницького, 2б'),
(1,	3263,	'Отделение №1 (до 30 кг): ул. Богдана Хмельницкого, 2б'),
(3,	3264,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 112'),
(1,	3264,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 112'),
(3,	3265,	'Відділення №1: вул. Свободи, 44'),
(1,	3265,	'Отделение №1: ул. Свободы, 44'),
(3,	3266,	'Відділення №1: вул. Приморська, 23'),
(1,	3266,	'Отделение №1: ул. Приморская, 23'),
(3,	3267,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 71'),
(1,	3267,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 71'),
(3,	3268,	'Пункт приймання-видачі (до 30 кг): вул. 30 років Перемоги, 3'),
(1,	3268,	'Пункт приема-выдачи (до 30 кг): ул. 30 лет Победы, 3'),
(3,	3269,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 101а'),
(1,	3269,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 101а'),
(3,	3270,	'Пункт приймання-видачі (до 30 кг): вул. Самохвалова, 28'),
(1,	3270,	'Пункт приема-выдачи (до 30 кг): ул. Самохвалова, 28'),
(3,	3271,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	3271,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	3272,	'Відділення № 1: вул. Леніна, 4/1'),
(1,	3272,	'Отделение № 1: ул. Ленина, 4/1'),
(3,	3273,	'Пункт приймання-видачі (до 30 кг): вул. Голейко, 7К'),
(1,	3273,	'Пункт приема-выдачи (до 30 кг), ул. Голейко, 7К'),
(3,	3274,	'Пункт приймання-видачі (до 30 кг): вул. Спортивна, 23'),
(1,	3274,	'Пункт приема-выдачи (до 30 кг): ул. Спортивная, 23'),
(3,	3275,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	3275,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	3276,	'Відділення №1: вул. Заводська, 11'),
(1,	3276,	'Отделение №1, ул. Заводская, 11'),
(3,	3277,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 29'),
(1,	3277,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(3,	3278,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 6'),
(1,	3278,	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 6'),
(3,	3279,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 69/1'),
(1,	3279,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 69/1'),
(3,	3280,	'Пункт приймання-видачі (до 30 кг): вул. Святої Покрови, 50'),
(1,	3280,	'Пункт приема-выдачи (до 30 кг): ул. Святой Покровы, 50'),
(3,	3281,	'Пункт приймання-видачі (до 30 кг): вул. Буковинська, 31'),
(1,	3281,	'Пункт приема-выдачи (до 30 кг): ул. Буковинская, 31'),
(3,	3282,	'Відділення №1: вул. Перемоги, 1'),
(1,	3282,	'Отделение №1: ул. Пебеды, 1'),
(3,	3283,	'Відділення №1: вул. Шевченка, 56'),
(1,	3283,	'Отделение №1: ул. Шевченко, 56'),
(3,	3284,	'Відділення №1: пров. Аптечний, 1а'),
(1,	3284,	'Отделение №1: проул. Аптечный, 1а'),
(3,	3285,	'Відділення №1: вул. Центральна, 17'),
(1,	3285,	'Отделение №1: ул. Центральная, 17'),
(3,	3286,	'Відділення №1: вул. Сонячна, 1'),
(1,	3286,	'Отделение №1: ул. Солнечная, 1'),
(3,	3287,	'Пункт приймання-видачі (до 30 кг): вул. Гуменюка, 33'),
(1,	3287,	'Пункт приема-выдачи (до 30 кг): ул. Гуменюка, 33'),
(3,	3288,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 310'),
(1,	3288,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 310'),
(3,	3289,	'Пункт приймання-видачі (до 30 кг): вул. Маркова, 108'),
(1,	3289,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 15'),
(3,	3290,	'Відділення №1: вул. Ковальова, 29А'),
(1,	3290,	'Отделение №1: ул. Ковалёва, 29А'),
(3,	3291,	'Пункт приймання-видачі (до 30 кг): вул. Бойка, 61а'),
(1,	3291,	'Пункт приема-выдачи (до 30 кг): ул. Бойко, 61а'),
(3,	3292,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 31а'),
(1,	3292,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 31а'),
(3,	3293,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 20'),
(1,	3293,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 20'),
(3,	3294,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 60'),
(1,	3294,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 60'),
(3,	3295,	'Пункт приймання-видачі (до 30 кг): вул. Корнева, 1'),
(1,	3295,	'Пункт приема-выдачи (до 30 кг): ул. Корневая, 1'),
(3,	3296,	'Відділення №1: вул. Українська, 138а'),
(1,	3296,	'Отделение №1: ул. Украинская, 138а'),
(3,	3297,	'Пункт приймання-видачі (до 30 кг): вул. Глещавецька, 13'),
(1,	3297,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	3298,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 45'),
(1,	3298,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(3,	3299,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 73'),
(1,	3299,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(3,	3300,	'Відділення №1: вул. Перемоги, 13'),
(1,	3300,	'Отделение №1: ул. Победы, 13'),
(3,	3301,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 10'),
(1,	3301,	'Пункт приема-выдачи (до 30 кг), ул. Новая, 10'),
(3,	3302,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 17а'),
(1,	3302,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 17а'),
(3,	3303,	'Пункт приймання-видачі (до 30 кг): вул. Героїв Майдану, 22'),
(1,	3303,	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 22'),
(3,	3304,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 95'),
(1,	3304,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 95'),
(3,	3306,	'Пункт приймання-видачі (до 30 кг): вул. Шабовти, 28'),
(1,	3306,	'Пункт приема-выдачи (до 30 кг): ул. Шабовты, 28'),
(3,	3307,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 10'),
(1,	3307,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 10'),
(3,	3308,	'Відділення №1: вул. Миру, 2а'),
(1,	3308,	'Отделение №1: ул. Мира, 2а'),
(3,	3309,	'Автолавка (до 30 кг): вул. Центральна, 15'),
(1,	3309,	'Автолавка (до 30 кг): ул. Центральная, 15'),
(3,	3310,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 181Б'),
(1,	3310,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 181б'),
(3,	3311,	'Відділення №1: вул. Центральна, 81'),
(1,	3311,	'Отделение №1: ул. Центральная, 81'),
(3,	3312,	'Відділення №1: вул. Героїв Крут, 15'),
(1,	3312,	'Отделение №1: ул. Героев Крут, 15'),
(3,	3313,	'Відділення №1: площа Інтернаціональна, 20'),
(1,	3313,	'Отделение №1: площадь Интернациональная, 20'),
(3,	3314,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 16'),
(1,	3314,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(3,	3315,	'Пункт приймання-видачі (до 30 кг): вул. Парламентарів, 26б'),
(1,	3315,	'Пункт приема-выдачи (до 30 кг): ул. Парламентариев, 26б'),
(3,	3316,	'Відділення №1: вул. Василівська, 3'),
(1,	3316,	'Отделение №1: ул. Васильевская, 3'),
(3,	3317,	'Автолавка (до 30 кг): вул. Центральна, 22'),
(1,	3317,	'Автолавка (до 30 кг): ул. Центральная, 22'),
(3,	3318,	'Пункт приймання-видачі (до 30 кг): вул. Кошевого, 27а'),
(1,	3318,	'Пункт приема-выдачи (до 30 кг): ул. Кошевого, 27а'),
(3,	3319,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 31'),
(1,	3319,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 31'),
(3,	3320,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(1,	3320,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(3,	3321,	'Відділення №1: вул. Центральна, 24'),
(1,	3321,	'Отделение №1: ул. Центральная, 24'),
(3,	3322,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 1в'),
(1,	3322,	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 1в'),
(3,	3323,	'Відділення №1: вул. Сіверська, 19'),
(1,	3323,	'Отделение №1: ул. Северская, 19'),
(3,	3324,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 118'),
(1,	3324,	'\nПункт приема-выдачи (до 30 кг), ул. Садовая, 118'),
(3,	3325,	'Пункт приймання-видачі (до 30 кг): вул. Мічуріна, 43'),
(1,	3325,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 43'),
(3,	3326,	'Відділення №1: вул. Матроська, 66А прим. 4'),
(1,	3326,	'Отделение №1: ул. Матросская, 66А пом.4'),
(3,	3327,	'Відділення №1: вул. Заводська, 12'),
(1,	3327,	'Отделение №1: ул. Заводская, 12'),
(3,	3328,	'Відділення №1: вул. Кишинівська, 159а'),
(1,	3328,	'Отделение №1: ул. Кишеневская, 159а'),
(3,	3329,	'Відділення №1: вул. Вишнева, 25'),
(1,	3329,	'Отделение №1: ул. Вишневая, 25'),
(3,	3330,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 12'),
(1,	3330,	'Пункт приема-видачи (до 30 кг): ул. Соборная, 12'),
(3,	3331,	'Відділення №1: вул. Шевченка, 69б'),
(1,	3331,	'Отделение №1: Шевченка, 69б'),
(3,	3332,	'Відділення №1: вул. Головна, 163'),
(1,	3332,	'Отделение №1: ул. Главная, 163'),
(3,	3333,	'Відділення №1: вул. Учительська, 5/2'),
(1,	3333,	'Отделение №1: ул. Учительская, 5/2'),
(3,	3334,	'Відділення № 1: вул. Маяковського, 15'),
(1,	3334,	'Отделение № 1: ул. Маяковского, 15'),
(3,	3335,	'Відділення №1: вул. Праці, 4'),
(1,	3335,	'Отделение №1: ул. Труда, 4'),
(3,	3336,	'Відділення №1: вул. Шевченка, 97'),
(1,	3336,	'Відділення №1: ул. Шевченко, 97'),
(3,	3337,	'Відділення №1: вул. Галицька, 2в'),
(1,	3337,	'Отделение №1: ул. Галицкая, 62/2'),
(3,	3338,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 39-А'),
(1,	3338,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 39-А'),
(3,	3339,	'Відділення №1: вул. Леніна, 105- Е'),
(1,	3339,	'Отделение №1: ул. Ленина, 105- Е'),
(3,	3340,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 233'),
(1,	3340,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 233'),
(3,	3341,	'Відділення № 1: вул. Петровського, 27'),
(1,	3341,	'Отделение №1: ул. Петровського, 27'),
(3,	3342,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 16'),
(1,	3342,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 16'),
(3,	3343,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 125-а'),
(1,	3343,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 125-а'),
(3,	3344,	'Пункт приймання-видачі (до 30 кг): вул. Комарова, 1а'),
(1,	3344,	'Пункт приема-выдачи (до 30 кг): ул. Комарова, 1а'),
(3,	3345,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1'),
(1,	3345,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(3,	3346,	'Відділення №1 (до 30 кг): вул. Центральна, 80'),
(1,	3346,	'Отделение №1 (до 30 кг): ул. Центральная, 80'),
(3,	3347,	'Пункт приймання-видачі (до 30 кг): вул. Рівненська, 2'),
(1,	3347,	'Пункт приема-выдачи (до 30 кг), ул. Ровенская, 2'),
(3,	3348,	'Відділення №1 (до 30 кг): вул. Львівська, 42'),
(1,	3348,	'Отделение №1 (до 30 кг): ул. Львовская, 42'),
(3,	3349,	'Пункт приймання-видачі (до 30 кг): вул. Димитрова, 1'),
(1,	3349,	'Пункт приема-выдачи (до 30 кг): ул. Димитрова, 1'),
(3,	3350,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	3350,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(3,	3351,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2а'),
(1,	3351,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3,	3352,	'Пункт приймання-видачі (до 30 кг): вул. Українська, 82а'),
(1,	3352,	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 82а'),
(3,	3353,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 48'),
(1,	3353,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(3,	3354,	'Відділення № 1: вул. Заводська, 1'),
(1,	3354,	'Отделение № 1: ул. Заводская, 1'),
(3,	3355,	'Відділення №1: вул. Юності, 6б'),
(1,	3355,	'Отделение №1: ул. Юности, 6б'),
(3,	3356,	'Відділення №1: вул. Тернопільська, 7а'),
(1,	3356,	'Отделение №1: вул. Тернопільська, 7а'),
(3,	3357,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 44'),
(1,	3357,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44'),
(3,	3358,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 113'),
(1,	3358,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 113'),
(3,	3359,	'Пункт приймання-видачі (до 30 кг): вул. Шумська, 49'),
(1,	3359,	'Пункт приема-выдачи (до 30 кг), ул. Шумская, 49'),
(3,	3360,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 4'),
(1,	3360,	'Строкова, Центральная, 4'),
(3,	3361,	'Пункт приймання-видачі (до 30 кг): пров. Парковий, 2'),
(1,	3361,	'Андреевка (Донецька обл.), пер. Парковый, 2'),
(3,	3362,	'Пункт приймання-видачі (до 30 кг): вул. С.Тулуба, 4а'),
(1,	3362,	'Пункт приема-выдачи (до 30 кг): ул. С.Тулуба, 4а'),
(3,	3363,	'Пункт приймання-видачі (до 30 кг): вул. Лісна, 36'),
(1,	3363,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 36'),
(3,	3364,	'Відділення №1: вул. Шевченка, 1а'),
(1,	3364,	'Отделение №1: ул. Шевченка, 1а'),
(3,	3365,	'Відділення №1: вул. Івана Франка, 1'),
(1,	3365,	'Отделение №1: ул. Ивана Франко, 1'),
(3,	3366,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 43'),
(1,	3366,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(3,	3367,	'Відділення №1: вул. Нова, 10'),
(1,	3367,	'Отделение №1: ул. Новая, 10'),
(3,	3368,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 61'),
(1,	3368,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61'),
(3,	3369,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 90'),
(1,	3369,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 90'),
(3,	3370,	'Пункт приймання-видачі (до 30 кг): вул. Новеселиця, 1а'),
(1,	3370,	'Пункт приема-выдачи (до 30 кг): ул. Новеселица, 1а'),
(3,	3371,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 1'),
(1,	3371,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 1'),
(3,	3372,	'Пункт приймання-видачі (до 30 кг): вул. 30-річчя Перемоги, 30а'),
(1,	3372,	'Пункт приема-выдачи (до 30 кг): ул. 30-летия Победы, 30а'),
(3,	3373,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 29'),
(1,	3373,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 29'),
(3,	3374,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 19'),
(1,	3374,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 19'),
(3,	3375,	'Пункт приймання-видачі (до 30 кг): вул. Новоставці, 86в'),
(1,	3375,	'Пункт приема-выдачи (до 30 кг): ул. Новоставцы, 86В'),
(3,	3376,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1а'),
(1,	3376,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 1а'),
(3,	3377,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 182А'),
(1,	3377,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 182А'),
(3,	3378,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 96'),
(1,	3378,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 96'),
(3,	3379,	'Відділення №1: вул. Карбишева, 1 (поруч з Адреналін-Сіті)'),
(1,	3379,	'Отделение №1: ул. Карбышева, 1'),
(3,	3380,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3380,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3381,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 12'),
(1,	3381,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 12'),
(3,	3382,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 51'),
(1,	3382,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 51'),
(3,	3383,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 40'),
(1,	3383,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 40'),
(3,	3384,	'Відділення №1: вул. Незалежності, 109'),
(1,	3384,	'Отделение №1: ул. Независимости, 109'),
(3,	3385,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 16/а'),
(1,	3385,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16 / а'),
(3,	3386,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 37А'),
(1,	3386,	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 37А'),
(3,	3387,	'Відділення №1: вул. Вишнівецька, 1а'),
(1,	3387,	'Отделение №1: ул. Вишневецкая, 1а'),
(3,	3388,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	3388,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 1'),
(3,	3389,	'Відділення №1: вул. Петропавлівська, 61а'),
(1,	3389,	'Отделение №1: ул. Петропавловская, 61а'),
(3,	3390,	'Пункт приймання-видачі (до 30 кг): вул. Ровесників, 1'),
(1,	3390,	'Пункт приема-выдачи (до 30 кг): ул. Ровесников, 1'),
(3,	3391,	'Відділення №1: вул. Олега Паршутіна (ран. Аерофлотська), 28'),
(1,	3391,	'Отделение №1: ул. Олега Паршутина (ран. Аэрофлотская), 28'),
(3,	3392,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 6'),
(1,	3392,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 6'),
(3,	3393,	'Відділення №1: вул. Історична, 81'),
(1,	3393,	'Отделение №1: ул. Историческая, 81'),
(3,	3394,	'Відділення №1: вул. Центральна, 57'),
(1,	3394,	'Отделение №1: ул. Советская, 57'),
(3,	3395,	'Відділення №1: вул. Привокзальна, 2а'),
(1,	3395,	'Отделение №1: ул. Привокзальная, 2а'),
(3,	3396,	'Відділення № 1: вул. Квіткова, 21а'),
(1,	3396,	'Отделение № 1: ул. Цветочная, 21а'),
(3,	3397,	'Відділення №1: вул. Вокзальна, 11'),
(1,	3397,	'Отделение №1: ул. Вокзальная, 11'),
(3,	3398,	'Відділення №1: вул. Бударіна, 6, прим. 2'),
(1,	3398,	'Отделение №1: ул. Бударина, 6, прим. 2'),
(3,	3399,	'Відділення №1: вул. Калініна, 12'),
(1,	3399,	'Отделение №1: ул. Калинина, 12'),
(3,	3400,	'Пункт приймання-видачі (до 30 кг): вул. Станційна, 14'),
(1,	3400,	'Пункт приема-выдачи (до 30 кг): ул. Станционная, 14'),
(3,	3401,	'Відділення №1: вул. Січових Стрільців, 12'),
(1,	3401,	'Отделение №1: ул. Сечевых Стрельцов, 12'),
(3,	3402,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 192'),
(1,	3402,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 192'),
(3,	3403,	'Відділення № 1: вул. Перемоги, 32'),
(1,	3403,	'Отделение № 1: ул. Победы, 32'),
(3,	3404,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 13'),
(1,	3404,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 13'),
(3,	3405,	'Пункт приймання-видачі (до 30 кг): вул. Вереснева, 8'),
(1,	3405,	'Пункт приема-выдачи (до 30 кг): вул. Вересневая, 8'),
(3,	3406,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 40'),
(1,	3406,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 40'),
(3,	3407,	'Пункт приймання-видачі (до 30 кг): вул. Херсонська, 10'),
(1,	3407,	'Пункт приема-выдачи (до 30 кг), ул. Херсонская, 10'),
(3,	3408,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 86'),
(1,	3408,	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 86'),
(3,	3409,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 26'),
(1,	3409,	'Пункт приема-выдачи (до 30 кг): ул. Центральна, 26'),
(3,	3410,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 1'),
(1,	3410,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 1'),
(3,	3411,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	3411,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	3412,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 1Д'),
(1,	3412,	'Пункт приема-выдачи (до 30 кг), ул. Покровская, 1Д'),
(3,	3413,	'Відділення №1: вул. Волошина, б/н'),
(1,	3413,	'Отделение №1: ул. Волошина, б/н'),
(3,	3414,	'Пункт приймання-видачі (до 30 кг): вул. 8 Березня, 6'),
(1,	3414,	'Пункт приема-выдачи (до 30 кг): ул. 8 Марта, 6'),
(3,	3415,	'Пункт приймання-видачі (до 30 кг): вул. Чечелівка, 30'),
(1,	3415,	'Пункт приема-выдачи (до 30 кг): ул. Чечелевка, 30'),
(3,	3416,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 7/1'),
(1,	3416,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 7/1'),
(3,	3417,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 16'),
(1,	3417,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 16'),
(3,	3418,	'Пункт приймання-видачі (до 30 кг): вул. Дзержинського, 16'),
(1,	3418,	'Пункт приема-передачи (до 30 кг): ул. Дзержинского, 16'),
(3,	3419,	'Відділення №1: вул. Шевченка, 186'),
(1,	3419,	'Отделение №1: ул. Шевченко, 186'),
(3,	3420,	'Відділення №1: вул. Воскресінська, 240'),
(1,	3420,	'Отделение №1: ул. Воскресенская, 240'),
(3,	3421,	'Відділення №1: вул. Горького, 4В'),
(1,	3421,	'Отделение №1: ул. Горького, 4В'),
(3,	3422,	'Відділення №1: вул. Переяславська, 14'),
(1,	3422,	'Отделение №1: ул. Переяславская, 14'),
(3,	3423,	'Відділення №1: вул. Центральна, 69 (маг. &quot;Павлуша&quot; (ПашаМото)'),
(1,	3423,	'Отделение №1: ул. Центральная, 69 (маг. &quot;Павлуша&quot; (ПашаМото)'),
(3,	3424,	'Відділення №1: вул. Захарченка, 56А'),
(1,	3424,	'Отделение №1: ул. Захарченко, 56А'),
(3,	3425,	'Відділення №1: вул. Соборна, 64а'),
(1,	3425,	'Отделение №1: ул. Соборная, 64а'),
(3,	3426,	'Відділення №1: вул. Миру, 40'),
(1,	3426,	'Отделение №1: ул. Мира, 40'),
(3,	3427,	'Відділення №1: вул. Центральна, 31'),
(1,	3427,	'Отделение №1: ул. Центральная, 31'),
(3,	3428,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 2а'),
(1,	3428,	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 2а'),
(3,	3429,	'Відділення №1: вул. Буковинська, 3'),
(1,	3429,	'Отделение №1: ул. Еминеску, 78б'),
(3,	3430,	'Відділення №1: вул. Юрія Коваленка, 13а'),
(1,	3430,	'Отделение №1: ул. Юрия Коваленко, 13а'),
(3,	3431,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(1,	3431,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(3,	3432,	'Пункт приймання-видачі (до 30 кг): вул. присілок Довга, 6'),
(1,	3432,	'Пункт приема-выдачи (до 30 кг), ул. участокк Длинная, 6'),
(3,	3433,	'Пункт приймання-видачі (до 30 кг): вул. 30-річчя Перемоги, 371'),
(1,	3433,	'Пункт приема-выдачи (до 30 кг): ул. 30-летия Победы, 371'),
(3,	3434,	'Відділення № 1: вул. Слави, 19'),
(1,	3434,	'Отделение № 1: ул. Славы,  19'),
(3,	3435,	'Відділення №1: вул. Шахтарська, 39б'),
(1,	3435,	'Отделение №1: ул. Шахтарская, 39б'),
(3,	3436,	'Відділення №1: вул. Транзитна, 19'),
(1,	3436,	'Отделение №1: ул. Транзитная, 19'),
(3,	3437,	'Відділення №1: вул. Небесної сотні, 24'),
(1,	3437,	'Отделение №1: ул. Небесной сотни, 24'),
(3,	3438,	'Відділення №1: вул. Антонова (ран. Ленінградська), 4б'),
(1,	3438,	'Отделение №1: ул. Антонова (ран. Ленинградская), 4б'),
(3,	3439,	'Відділення №1: вул. Нова, 15'),
(1,	3439,	'Отделение №1: ул. Новая, 15'),
(3,	3440,	'Відділення №1: вул. Героїв Чорнобильців, 50а'),
(1,	3440,	'Отделение №1: ул. Героев Чорнобыльцев, 50а'),
(3,	3441,	'Відділення №1: вул. Васильківська, 2а'),
(1,	3441,	'Отделение №1: ул. Васильковская, 2а'),
(3,	3442,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 13'),
(1,	3442,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 13'),
(3,	3443,	'Відділення №1 (до 30 кг): вул. Пушкінська, 109Б'),
(1,	3443,	'Пункт приема-выдачи (до 30 кг): ул. Пушкинская, 109Б'),
(3,	3444,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 9'),
(1,	3444,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 9'),
(3,	3445,	'Пункт приймання-видачі (до 30 кг): вул. Івасюка, 35'),
(1,	3445,	'Пункт приема-выдачи (до 30 кг): ул. Ивасюка, 35'),
(3,	3446,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 32а'),
(1,	3446,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 32а'),
(3,	3447,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 1'),
(1,	3447,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 1'),
(3,	3448,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 3а'),
(1,	3448,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3а'),
(3,	3449,	'Пункт приймання-видачі (до 30 кг): вул. Пролетарська, 7а'),
(1,	3449,	'Пункт приема-выдачи (до 30 кг): ул. Пролетарская, 7а'),
(3,	3450,	'Пункт приймання-видачі (до 30 кг): вул. Паркова, 16'),
(1,	3450,	'Пункт приема-выдачи (до 30 кг): ул. Парковая, 16'),
(3,	3451,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 63'),
(1,	3451,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 63'),
(3,	3452,	'Пункт приймання-видачі (до 30 кг): вул. Федоренка, 100'),
(1,	3452,	'Пункт приема-выдачи (до 30 кг): ул. Федоренко, 100'),
(3,	3453,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 74'),
(1,	3453,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 74'),
(3,	3454,	'Пункт приймання-видачі (до 30 кг): пров. Шкільний, 3'),
(1,	3454,	'Пункт приема-выдачи (до 30 кг): проул. Школьный, 3'),
(3,	3455,	'Пункт приймання-видачі (до 30 кг): вул. Широка, 39в'),
(1,	3455,	'Пункт приема-выдачи (до 30 кг), ул. Широкая, 39в'),
(3,	3456,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 19'),
(1,	3456,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(3,	3457,	'Пункт приймання-видачі (до 30 кг): вул. Осіння, 1а'),
(1,	3457,	'Пункт приема-выдачи (до 30 кг): ул. Осенняя, 1а'),
(3,	3458,	'Відділення №1: вул. Головна, 29а'),
(1,	3458,	'Отделение №1: ул. Главная, 29а'),
(3,	3459,	'Пункт приймання-видачі (до 30 кг): вул. Старий шлях, 53'),
(1,	3459,	'Пункт приема-выдачи (до 30 кг): ул. Старый путь, 53'),
(3,	3460,	'Відділення №1: вул. Стуса, 77б'),
(1,	3460,	'Отделение №1: ул. Стуса, 77б'),
(3,	3461,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 81'),
(1,	3461,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 81'),
(3,	3462,	'Пункт приймання-видачі (до 30 кг): вул. Корбута, 31'),
(1,	3462,	'Пункт приема-выдачи (до 30 кг), ул. Корбута, 31'),
(3,	3463,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 24'),
(1,	3463,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 24'),
(3,	3464,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 4'),
(1,	3464,	'Соснова, Центральная, 4'),
(3,	3465,	'Пункт приймання-видачі (до 30 кг): вул. Есе Томаша, 81'),
(1,	3465,	'Пункт приема-выдачи (до 30 кг): ул. Эсе Томаша, 81'),
(3,	3466,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 27-А'),
(1,	3466,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 27-А'),
(3,	3467,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 104А'),
(1,	3467,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 104А'),
(3,	3468,	'Відділення №1 (до 30 кг): вул. Привокзальна, 20'),
(1,	3468,	'Отделение №1 (до 30 кг): ул. Привокзальная, 20'),
(3,	3469,	'Відділення №1: вул. Горького, 95'),
(1,	3469,	'Отделение №1: ул. Горького, 95'),
(3,	3470,	'Пункт приймання-видачі (до 30 кг): вул. Дігтяренка, 1'),
(1,	3470,	'Пункт приема-выдачи (до 30 кг): ул. Дигтяренко, 1'),
(3,	3471,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 17'),
(1,	3471,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 17'),
(3,	3472,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 19а'),
(1,	3472,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19а'),
(3,	3473,	'Відділення №1: вул. Монастирського, 3'),
(1,	3473,	'Отделение №1: ул. Монастирского, 3'),
(3,	3474,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	3474,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	3475,	'Відділення №1: вул. Київська, 47а'),
(1,	3475,	'Отделение №1: ул. Киевская, 47а'),
(3,	3476,	'Відділення №1: вул. Софіївська, 49Б'),
(1,	3476,	'Отделение №1: ул. Софиевская, 49Б'),
(3,	3477,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 42'),
(1,	3477,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 42'),
(3,	3478,	'Відділення №1: вул. Київська, 23а'),
(1,	3478,	'Отделение №1: ул. Київська, 23а'),
(3,	3479,	'Відділення №1: вул. Волошина, 6 Б'),
(1,	3479,	'Отделение №1: ул. Волошина, 37'),
(3,	3480,	'Відділення №1: вул. Богдана Хмельницького, 26'),
(1,	3480,	'Отделение №1: ул. Богдана Хмельницкого, 26'),
(3,	3481,	'Відділення №1: просп. 40-річчя Визволення, 2б'),
(1,	3481,	'Отделение №1: просп. 40-летия Освобождения, 2б'),
(3,	3482,	'Відділення №1: вул. Бондаренка, 92а'),
(1,	3482,	'Отделение №1: ул. Бондаренко, 92а'),
(3,	3484,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3484,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	3485,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 109а'),
(1,	3485,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 109а'),
(3,	3486,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	3486,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	3487,	'Пункт приймання-видачі  (до 30 кг): вул. Уткіна, 48'),
(1,	3487,	'Пункт приема-выдачи (до 30 кг): ул. Уткина, 48'),
(3,	3488,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 42'),
(1,	3488,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(3,	3489,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна 1'),
(1,	3489,	'Пункт приема-выдачи (до 30 кг): ул. Школьная 1'),
(3,	3490,	'Відділення №1: вул. Грушевського, 62'),
(1,	3490,	'Отделение №1: ул. Грушевсково, 62'),
(3,	3491,	'Відділення №1: вул. Богдана Хмельницького, 37 Б'),
(1,	3491,	'Отделение №1: ул. Богдана Хмельницкого, 37 Б'),
(3,	3492,	'Відділення №1: вул. Агрономічна, 2'),
(1,	3492,	'Отделение №1: ул. Агрономическая, 2'),
(3,	3493,	'Відділення №1: вул. Свободи, 2'),
(1,	3493,	'Отделение №1: ул. Свободы, 2'),
(3,	3494,	'Відділення №1: вул. Івана Франка, 107а'),
(1,	3494,	'Отделение №1: ул. Ивана Франка, 107а'),
(3,	3495,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 54'),
(1,	3495,	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 54'),
(3,	3496,	'Пункт приймання-видачі (до 30 кг): вул. Дмитра Філімонова, 9'),
(1,	3496,	'Пункт приема-выдачи (до 30 кг): ул. Дмитрия Филимонова, 9'),
(3,	3497,	'Відділення №1: вул. Центральна, 150б'),
(1,	3497,	'Отделение №1: ул. Центральная, 150б'),
(3,	3498,	'Відділення №1: вул. Центральна, 100/2'),
(1,	3498,	'Отделение №1: Центральная, 100/2'),
(3,	3499,	'Відділення №1: вул. Богословська, 17А'),
(1,	3499,	'Отделение №1: ул. Богословская, 17А'),
(3,	3500,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 3'),
(1,	3500,	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинский, 3'),
(3,	3501,	'Відділення №1: вул. Гагаріна, 10 д'),
(1,	3501,	'Отделение №1: ул. Гагарина, 10 д'),
(3,	3502,	'Відділення №1: вул. Архангельського, 7'),
(1,	3502,	'Отделение №1: ул. Архангельского, 7'),
(3,	3503,	'Пункт приймання-видачі (до 30 кг): вул. Потайна, 63а'),
(1,	3503,	'Пункт приема-выдачи (до 30 кг): ул. Потайная, 63а'),
(3,	3504,	'Пункт приймання-видачі (до 30 кг): вул. Г.Нандріша, 46'),
(1,	3504,	'Пункт приема-выдачи (до 30 кг): ул. Г.Нандриша, 46'),
(3,	3505,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 101-Б'),
(1,	3505,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 101-Б'),
(3,	3506,	'Пункт приймання-видачі (до 30 кг): вул. Кучми, 20'),
(1,	3506,	'Пункт приема-выдачи (до 30 кг): ул. Кучмы, 20'),
(3,	3507,	'Відділення №1: ул. Гагаріна, б/н'),
(1,	3507,	'Отделение №1 (до 30 кг): ул. Гагарина, б/н'),
(3,	3508,	'Пункт приймання-видачі (до 30 кг): вул. Дубініна, 15'),
(1,	3508,	'Пункт приема-выдачи (до 30 кг): ул. Дубинина, 15'),
(3,	3509,	'Пункт приймання-видачі (до 30 кг): вул. Цегельна, 1'),
(1,	3509,	'Пункт приема-выдачи (до 30 кг): ул. Кирпичная, 1'),
(3,	3510,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 10'),
(1,	3510,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10'),
(3,	3511,	'Відділення №1: вул. Героїв Майдану, 9, кв.3'),
(1,	3511,	'Отделение №1: ул. Ленина, 9, кв.3'),
(3,	3512,	'Відділення №1: вул. Залізнична, 6'),
(1,	3512,	'Отделение №1: ул. Железнодорожная, 6'),
(3,	3513,	'Відділення №1: вул. Спасо-Преображенська, 147а'),
(1,	3513,	'Отделение №1: ул. Спасо-Преображенская, 147а'),
(3,	3514,	'Пункт приймання-видачі (до 30 кг): вул. Білозерське шосе, 17'),
(1,	3514,	'Пункт приема-выдачи (до 30 кг): ул. Белозерское шоссе, 17'),
(3,	3515,	'Відділення №1: вул. Купріна, 123б'),
(1,	3515,	'Отделение №1: ул. Куприна, 123б'),
(3,	3516,	'Пункт приймання-видачі (до 30 кг): вул. Шашкевича, 261А'),
(1,	3516,	'Пункт приема-выдачи (до 30 кг): ул. Шашкевича, 261А'),
(3,	3517,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 1'),
(1,	3517,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1'),
(3,	3518,	'Пункт приймання-видачі (до 30 кг): вул. Кайдаша, 5'),
(1,	3518,	'Пункт приема-выдачи (до 30 кг): ул. Кайдаша, 5'),
(3,	3519,	'Відділення №1: вул. Карпинського, 10а'),
(1,	3519,	'Отделение №1: ул. Карпинского, 10а'),
(3,	3520,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 28'),
(1,	3520,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(3,	3521,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 70'),
(1,	3521,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 70'),
(3,	3522,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 147а'),
(1,	3522,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 147а'),
(3,	3523,	'Пункт приймання-видачі (до 30 кг): вул. Лісна, 2'),
(1,	3523,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 2'),
(3,	3524,	'Пункт приймання-видачі (до 30 кг): вул. Б. Хмельницького, 9'),
(1,	3524,	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 9'),
(3,	3525,	'Відділення №1: вул. Харківська, 45В'),
(1,	3525,	'Отделение №1: ул. Харьковская, 45В'),
(3,	3526,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 28'),
(1,	3526,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 28'),
(3,	3527,	'Відділення №1: вул. Челюскіна, 5'),
(1,	3527,	'Отделение №1: ул. Челюскина, 5'),
(3,	3528,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 8'),
(1,	3528,	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 8'),
(3,	3529,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 1'),
(1,	3529,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(3,	3530,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 87'),
(1,	3530,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 87'),
(3,	3531,	'Пункт приймання-видачі (до 30 кг): вул. Широка, 60'),
(1,	3531,	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 60'),
(3,	3532,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31'),
(1,	3532,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31'),
(3,	3533,	'Пункт приймання-видачі (до 30 кг): вул. Степана Бандери, 2А'),
(1,	3533,	'Пункт приема-выдачи (до 30 кг): ул. Степана Бандеры, 2А'),
(3,	3534,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	3534,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	3535,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 36'),
(1,	3535,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 36'),
(3,	3536,	'Пункт приймання-видачі (до 30 кг): просп. Соборності, 15'),
(1,	3536,	'Пункт приема-выдачи (до 30 кг): просп. Соборности, 15'),
(3,	3537,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 5'),
(1,	3537,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 5'),
(3,	3538,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 14'),
(1,	3538,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 14'),
(3,	3539,	'Відділення №1: вул. Клименка, 5'),
(1,	3539,	'Отделение №1: ул. Клименко, 5'),
(3,	3540,	'Пункт приймання-видачі (до 30 кг): вул. Торгова, 16'),
(1,	3540,	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 16'),
(3,	3541,	'Пункт приймання-видачі (до 30 кг): вул. Театральна, 2'),
(1,	3541,	'Пункт приема-выдачи (до 30 кг): ул. Театральная, 2'),
(3,	3542,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 205'),
(1,	3542,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 205'),
(3,	3543,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 11'),
(1,	3543,	'\nПункт приема-выдачи (до 30 кг), ул. Школьная, 11'),
(3,	3544,	'Відділення №1: вул. Центральна, 41а'),
(1,	3544,	'Отделение №1: ул. Центральная, 41а'),
(3,	3545,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 71А'),
(1,	3545,	'Пункт приема-выдачи (до 30 кг), ул. Франко, 71А'),
(3,	3546,	'Відділення №1: вул. Леніна, 53'),
(1,	3546,	'Отделение №1: ул. Ленина, 53'),
(3,	3547,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 41'),
(1,	3547,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 41'),
(3,	3548,	'Пункт приймання-видачі (до 30 кг): вул. Шептицького, 2'),
(1,	3548,	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 2'),
(3,	3549,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3549,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	3550,	'Пункт приймання-видачі (до 30 кг): вул. Старосанжарська, 42а'),
(1,	3550,	'Пункт приема-выдачи (до 30 кг): ул. Старосанжарська, 42а'),
(3,	3551,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 9'),
(1,	3551,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 9'),
(3,	3552,	'Відділення №1: вул.  Київська, 9а'),
(1,	3552,	'Отделение №1: ул. Киевская, 9а'),
(3,	3553,	'Відділення №1: вул. Героїв Небесної Сотні, 101'),
(1,	3553,	'Отделение №1: ул. Героев Небесной Сотни, 101'),
(3,	3554,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 2'),
(1,	3554,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 2'),
(3,	3555,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	3555,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	3556,	'Пункт приймання-видачі (до 30 кг): вул. Раковці, 174'),
(1,	3556,	'Пункт приема-выдачи (до 30 кг): ул. Раковцы, 174'),
(3,	3557,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 8'),
(1,	3557,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 8'),
(3,	3558,	'Пункт приймання-видачі (до 30 кг): вул. Користияньська, 60Б'),
(1,	3558,	'Пункт приема-выдачи (до 30 кг): ул. Користиянская, 60Б'),
(3,	3559,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 21А'),
(1,	3559,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 21А'),
(3,	3560,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 1'),
(1,	3560,	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 1'),
(3,	3561,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 6'),
(1,	3561,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 6'),
(3,	3562,	'Відділення №1: вул. Центральна, 30-б'),
(1,	3562,	'Отделение №1: ул. Центральная, 30-б'),
(3,	3563,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 3а'),
(1,	3563,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 3а'),
(3,	3564,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 89'),
(1,	3564,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 89'),
(3,	3565,	'Відділення №1: вул. Червона, 10'),
(1,	3565,	'Отделение №1: ул. Червоная, 10'),
(3,	3566,	'Відділення №1: вул. Героїв Майдану, 86'),
(1,	3566,	'Отделение №1: ул. Героев Майдана, 86'),
(3,	3567,	'Відділення №1: вул. Дністерська, 10'),
(1,	3567,	'Отделение №1: ул. Днестровская, 10'),
(3,	3568,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5'),
(1,	3568,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3,	3569,	'Відділення №1: вул. Грушевського, 2'),
(1,	3569,	'Отделение №1: ул. Грушевского, 2'),
(3,	3570,	'Відділення №1: вул. Київська, 63А'),
(1,	3570,	'Отделение №1: ул. Киевская, 63А'),
(3,	3571,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33а'),
(1,	3571,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33а'),
(3,	3572,	'Відділення №1: вул. Залізнична, 13б'),
(1,	3572,	'Отделение №1: ул. Железнодорожная, 13б'),
(3,	3573,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 23'),
(1,	3573,	'Бехтери, Леніна, 23'),
(3,	3574,	'Відділення №1: вул. Сумська (ран. Фрунзе), 8'),
(1,	3574,	'Отделение №1: ул. Сумская (ран. Фрунзе), 8'),
(3,	3575,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 2'),
(1,	3575,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2'),
(3,	3576,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 26'),
(1,	3576,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 26'),
(3,	3577,	'Відділення №1: вул. Шевченка, 2'),
(1,	3577,	'Отделение №1: ул. Шевченко, 2'),
(3,	3578,	'Відділення №1: вул. Леніна, 64 прим. 2'),
(1,	3578,	'Отделение №1: ул. Ленина, 64 пом. 2'),
(3,	3579,	'Пункт приймання-видачі  (до 30 кг): вул. Миру, 1а'),
(1,	3579,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1а'),
(3,	3580,	'Пункт приймання-видачі (до 30 кг): вул. Річна, 10а'),
(1,	3580,	'Пункт приема-выдачи (до 30 кг), ул. Речная, 10а'),
(3,	3581,	'Відділення №1: вул. Львівська, 4'),
(1,	3581,	'Отделение №1: ул. Львовская, 4'),
(3,	3582,	'Відділення №1: вул. Набережна, 19'),
(1,	3582,	'Отделение №1: ул. Набережная, 19'),
(3,	3583,	'Відділення №1: вул. Пушкіна, 2'),
(1,	3583,	'Отделение №1, ул. Пушкина, 2'),
(3,	3584,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 12а'),
(1,	3584,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12а'),
(3,	3585,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 10'),
(1,	3585,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(3,	3586,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 131'),
(1,	3586,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 131'),
(3,	3587,	'Пункт приймання-видачі (до 30 кг): вул. Академіка Возняка, 5'),
(1,	3587,	'Пункт приема-выдачи (до 30 кг), ул. Академика Возняка, 5'),
(3,	3588,	'Пункт приймання-видачі (до 30 кг): вул. Адміністративна, 3'),
(1,	3588,	'Пункт приема-выдачи (до 30 кг): ул. Административная, 3'),
(3,	3589,	'Відділення №1: вул. Головна, 110'),
(1,	3589,	'Отделение №1: ул. Главная, 110'),
(3,	3590,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 32'),
(1,	3590,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 32'),
(3,	3591,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 13'),
(1,	3591,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13'),
(3,	3592,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 15'),
(1,	3592,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15'),
(3,	3593,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 91'),
(1,	3593,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 91'),
(3,	3594,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 15А'),
(1,	3594,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15А'),
(3,	3595,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 157'),
(1,	3595,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 157'),
(3,	3596,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	3596,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	3597,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 20'),
(1,	3597,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 20'),
(3,	3598,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 17'),
(1,	3598,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 17'),
(3,	3599,	'Пункт приймання-видачі (до 30 кг): вул. Русанова, 49'),
(1,	3599,	'Пункт приема-выдачи (до 30 кг): ул. Русанова, 49'),
(3,	3600,	'Автолавка (до 30 кг): вул. Лесі Українки, 22'),
(1,	3600,	'Автолавка (до 30 кг): ул. Леси Украинки, 22'),
(3,	3601,	'Відділення №1: вул. Аеродром, буд.10,прим.91'),
(1,	3601,	'Отделение №1:ул. Аэродром, д.10,пом.91'),
(3,	3602,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	3602,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	3603,	'Пункт приймання-видачі (до 30 кг): вул. Ференца Ракоці, 175'),
(1,	3603,	'Пункт приема-выдачи (до 30 кг): ул. Ференца Ракоци, 175'),
(3,	3604,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 66'),
(1,	3604,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 66'),
(3,	3605,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 7'),
(1,	3605,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7'),
(3,	3606,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 72а'),
(1,	3606,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 72а'),
(3,	3607,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 21'),
(1,	3607,	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 21'),
(3,	3608,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 16'),
(1,	3608,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(3,	3609,	'Відділення №1: вул. Лісна, 1в'),
(1,	3609,	'Отделение №1: ул. Лесная, 1в'),
(3,	3610,	'Пункт приймання-видачі (до 30 кг): вул. Ситника, 9'),
(1,	3610,	'Пункт приема-выдачи (до 30 кг): ул. Ситника, 9'),
(3,	3611,	'Відділення №1: площа Визволення, 6'),
(1,	3611,	'Отделение №1: площадь Освобождения, 6'),
(3,	3612,	'Відділення №1: площа Ринок, 22'),
(1,	3612,	'Отделение №1: площадь Рынок, 22'),
(3,	3613,	'Пункт приймання-видачі (до 30 кг): вул. Гвардійська, 35'),
(1,	3613,	'Пункт приема-выдачи (до 30 кг): ул. Гвардейская, 35'),
(3,	3614,	'Відділення №1: площа Стадіонна, 19 Г'),
(1,	3614,	'Отделение №1: площадь Стадионная, 19 Г'),
(3,	3615,	'Відділення №1: вул. Соцпраці, 22'),
(1,	3615,	'Отделение №1: ул. Соцтруда, 22'),
(3,	3616,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 13'),
(1,	3616,	'Пункт приема выдачи (до 30 кг), ул. Садовая, 13'),
(3,	3617,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 33'),
(1,	3617,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3,	3618,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 146'),
(1,	3618,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 146'),
(3,	3619,	'Автолавка (до 30 кг): вул. Центральна, 35'),
(1,	3619,	'Автолавка (до 30 кг): ул. Центральная, 35'),
(3,	3620,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 13'),
(1,	3620,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 13'),
(3,	3621,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 58'),
(1,	3621,	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 58'),
(3,	3622,	'Пункт приймання-видачі (до 30 кг): вул. Загребельна, 1'),
(1,	3622,	'Пункт приема-выдачи (до 30 кг), ул. Загребельная, 1'),
(3,	3623,	'Пункт приймання видачі (до 30 кг): вул. Марії Заньковецької, 39'),
(1,	3623,	'Пункт приема-выдачи (до 30 кг), ул. Марии Заньковецкой, 39'),
(3,	3624,	'Відділення №1: вул. Центральна, 38а'),
(1,	3624,	'Отделение №1: ул. Центральная, 38а'),
(3,	3625,	'Пункт приймання-видачі (до 30 кг): вул. Степана Бандери, 77'),
(1,	3625,	'Пункт приема-выдачи (до 30 кг): ул. Степана Бандеры, 77'),
(3,	3626,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 2а'),
(1,	3626,	'Пункт приема-выдачи (до 30 кг): ул.  Леси Украинки, 2а'),
(3,	3627,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 55'),
(1,	3627,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55'),
(3,	3628,	'Пункт приймання-видачі (до 30 кг): вул. Алея Миру, 2а'),
(1,	3628,	'Пункт приема-выдачи (до 30 кг): ул. Аллея Мира, 2а'),
(3,	3629,	'Пункт приймання-видачі (до 30 кг):  вул. Н. Яремчука, 46а'),
(1,	3629,	'Пункт приема-выдачи (до 30 кг): ул. Н. Яремчука, 46а'),
(3,	3630,	'Відділення №1: вул. Івана Франка, 19'),
(1,	3630,	'Отделение №1: ул. Ивана Франка, 19'),
(3,	3631,	'Відділення №1 (до 30 кг): вул. Шептицького,12'),
(1,	3631,	'Отделение № 1(до 30 кг): ул. Шептицкого, 12'),
(3,	3632,	'Пункт приймання-видачі (до 30 кг): вул. Кодимська, 64'),
(1,	3632,	'Пункт приема-выдачи (до 30 кг), ул. Кодымская, 64'),
(3,	3633,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 8'),
(1,	3633,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 8'),
(3,	3634,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 31А'),
(1,	3634,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 31А'),
(3,	3635,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 13'),
(1,	3635,	'Пункт приймання-відачі (до 30 кг): вул. Центральна, 13'),
(3,	3636,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 1'),
(1,	3636,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 1'),
(3,	3637,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 4'),
(1,	3637,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4'),
(3,	3638,	'Відділення №1:  вул. ім. Віктора Ющенка, 52'),
(1,	3638,	'Отделение №1: ул. им. Виктора Ющенко, 52'),
(3,	3639,	'Пункт приймання-видачі (до 30 кг): вул. Шептицького, 31а'),
(1,	3639,	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 31а'),
(3,	3640,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 54'),
(1,	3640,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 54'),
(3,	3641,	'Пункт приймання-видачі (до 30 кг): вул. Робітнича, 1'),
(1,	3641,	'Пункт приема-выдачи (до 30 кг): ул. Рабочая, 1'),
(3,	3642,	'Пункт приймання-видачі (до 30 кг): вул. Зінчука, 43'),
(1,	3642,	'Пункт приема-выдачи (до 30 кг): ул. Зинчука, 43'),
(3,	3643,	'Пункт приймання-видачі (до 30 кг): вул. Ватутіна, 34'),
(1,	3643,	'Пункт приема-выдачи (до 30 кг): ул. Ватутина, 34'),
(3,	3644,	'Пункт приймання-видачі (до 30 кг): вул. Кужельова, 2а'),
(1,	3644,	'Пункт приема-выдачи (до 30 кг): ул. Кужельова, 2а'),
(3,	3645,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 1а'),
(1,	3645,	'Пункт приема-выдачи (до 30 кг), ул. Кооперативная, 1а'),
(3,	3646,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 7'),
(1,	3646,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7'),
(3,	3647,	'Відділення № 1: вул. Істоміна, 1'),
(1,	3647,	'Отделение № 1: ул. Истомина, 1'),
(3,	3648,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 53-А'),
(1,	3648,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 53-А'),
(3,	3649,	'Відділення № 1: вул. Чапаєва, 41в'),
(1,	3649,	'Отделение № 1: ул. Чапаева, 41в'),
(3,	3650,	'Пункт приймання-видачі (до 30 кг): вул. Європейська, 44'),
(1,	3650,	'Пункт приема-выдачи (до 30 кг): ул. Европейская, 44'),
(3,	3651,	'Відділення №1: вул. Шевченко, 62-а'),
(1,	3651,	'Отделение №1: ул. Шевченко, 62-а'),
(3,	3652,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 30'),
(1,	3652,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 30'),
(3,	3653,	'Відділення №1: вул. Центральна, 18а'),
(1,	3653,	'Отделение №1: ул. Центральная, 18а'),
(3,	3654,	'Пункт приймання-видачі (до 30 кг): вул. Григоряка, 21'),
(1,	3654,	'Пункт приема-выдачи (до 30 кг): ул. Григоряка, 21'),
(3,	3655,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 33'),
(1,	3655,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 33'),
(3,	3656,	'Відділення №1 (до 30 кг): вул. Соборна, 14а'),
(1,	3656,	'Отделение №1 (до 30 кг): ул. Соборная, 14а'),
(3,	3657,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 241'),
(1,	3657,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 241'),
(3,	3658,	'Пункт приймання-видачі (до 30 кг): вул. участок Губки, 1'),
(1,	3658,	'Пункт приема-выдачи (до 30 кг): ул. участок Губки, 1'),
(3,	3659,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 1а'),
(1,	3659,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1а'),
(3,	3660,	'Пункт приймання-видачі (до 30 кг): вул. Піонерська, 1'),
(1,	3660,	'Пункт приема-выдачи (до 30 кг): ул. Пионерская, 1'),
(3,	3661,	'Відділення №1: вул. Дмитра Ульянова, 1-К'),
(1,	3661,	'Отделение №1: ул. Дмитрия Ульянова, 1-К'),
(3,	3662,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 157'),
(1,	3662,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 157'),
(3,	3663,	'Пункт приймання-видачі (до 30 кг): вул. Холодного, 38A'),
(1,	3663,	'Пункт приема-выдачи (до 30 кг): ул. Холодного, 38A'),
(3,	3664,	'Пункт приймання-видачі (до 30 кг): вул. ділянок «Центр», магазин «Експрес»'),
(1,	3664,	'Пункт приема-выдачи (до 30 кг): ул. участков «Центр», магазин «Экспресс»'),
(3,	3665,	'Пункт приймання-видачі (до 30 кг): вул. І.Франка, 94'),
(1,	3665,	'Пункт приема-выдачи (до 30 кг), ул. И.Франко, 94'),
(3,	3666,	'Відділення №1: вул. Остроградського, 44.'),
(1,	3666,	'Отделение №1: ул. Остроградского, 44.'),
(3,	3667,	'Відділення №1: вул. Центральна, 170'),
(1,	3667,	'Отделение №1: ул. Центральная, 170'),
(3,	3668,	'Пункт приймання-видачі (до 30 кг): вул. Харківська, 55'),
(1,	3668,	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 3'),
(3,	3669,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 29'),
(1,	3669,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(3,	3670,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 9'),
(1,	3670,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 9'),
(3,	3671,	'Відділення №1: вул. Загорулько, 3'),
(1,	3671,	'Отделение №1: ул. Загорулька, 3'),
(3,	3672,	'Відділення №1: вул. Залізнична, 126'),
(1,	3672,	'Отделение №1: ул. Железнодорожная,126'),
(3,	3673,	'Пункт приймання-видачі (до 30 кг): вул. Каширіна, 47'),
(1,	3673,	'Пункт приема-выдачи (до 30 кг), ул. Каширина, 47'),
(3,	3674,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 20'),
(1,	3674,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 20'),
(3,	3676,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 90'),
(1,	3676,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 90'),
(3,	3677,	'Пункт приймання-видачі (до 30 кг): вул. Садова, 34а'),
(1,	3677,	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 34а'),
(3,	3678,	'Пункт приймання-видачі (до 30 кг): вул. Миколайчука, 3'),
(1,	3678,	'Пункт приема-выдачи (до 30 кг): ул.  Миколайчука, 3'),
(3,	3679,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченка, 22'),
(1,	3679,	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 22'),
(3,	3680,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 2А'),
(1,	3680,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2А'),
(3,	3681,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 1а'),
(1,	3681,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1а'),
(3,	3682,	'Пункт приймання-видачі (до 30 кг): вул. Химичів, 1в'),
(1,	3682,	'Пункт приема-выдачи (до 30 кг): ул. Химич, 1в'),
(3,	3683,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	3683,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	3684,	'Відділення №1: вул. Соборна, 100а'),
(1,	3684,	'Отделение №1: ул. Соборная, 100а'),
(3,	3685,	'Пункт приймання-видачі (до 30 кг): вул. Мересьєва, 3'),
(1,	3685,	'Пункт приема-выдачи (до 30 кг): ул. Мересьева, 3'),
(3,	3686,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3686,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	3687,	'Відділення №1: вул. Січових Стрільців, 64'),
(1,	3687,	'Отделение №1: ул. Сечевых Стрельцов, 64'),
(3,	3688,	'Відділення №1: вул. Шевченка, 1-Б'),
(1,	3688,	'Отделение №1: ул. Шевченко, 1-Б'),
(3,	3689,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 2-А'),
(1,	3689,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 2-А'),
(3,	3690,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3690,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	3691,	'Відділення №1: вул. Івана Франка, 24а'),
(1,	3691,	'Отделение №1: ул. Ивана Франко, 24а'),
(3,	3692,	'Пункт приймання-видачі (до 30 кг): вул. Олексієнка, 1а'),
(1,	3692,	'Пункт приймання-видачі (до 30 кг), вул. Олексієнка, 1а'),
(3,	3693,	'Пункт приймання-видачі (до 30 кг): вул.  Ів. Франка, 43а'),
(1,	3693,	'Пункт приема-выдачи (до 30 кг): ул. Ив. Франко, 75'),
(3,	3694,	'Відділення №1: вул. Кооперативна, 32Г'),
(1,	3694,	'Отделение №1: ул. Кооперативная, 32Г'),
(3,	3695,	'Пункт приймання-видачі (до 30 кг): вул. Механізаторів, 6'),
(1,	3695,	'Пункт приема-выдачи (до 30 кг): ул. Механизаторов, 6'),
(3,	3696,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 50а'),
(1,	3696,	'Пункт приема-выдачи (до 30 кг), ул. Мира, 50а'),
(3,	3697,	'Відділення №1: вул. Київська, 46а'),
(1,	3697,	'Отделение №1: ул. Киевская, 46а'),
(3,	3698,	'Відділення № 1: вул. Черкаська, 104/3'),
(1,	3698,	'Отделение № 1: ул. Черкасская, 104/3'),
(3,	3699,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 3'),
(1,	3699,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3'),
(3,	3700,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 18а'),
(1,	3700,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 18а'),
(3,	3701,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 33'),
(1,	3701,	'Пункт приема-выдачи (до 30 кг): ул.  Школьная, 33'),
(3,	3702,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 12'),
(1,	3702,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 12'),
(3,	3703,	'Пункт приймання-видачі (до 30 кг): вул. Кошута, 189'),
(1,	3703,	'Пункт приема-выдачи (до 30 кг): ул. Кошута, 189'),
(3,	3704,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 36'),
(1,	3704,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 36'),
(3,	3705,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3705,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	3706,	'Пункт приймання-видачі (до 30 кг): вул. Робітнича, 38'),
(1,	3706,	'Пункт приема-выдачи (до 30 кг): ул. Рабочая, 38'),
(3,	3707,	'Відділення № 1: вул. Головна, 25'),
(1,	3707,	'Отделение № 1: ул. Главная, 25'),
(3,	3708,	'Відділення №1: вул. Митрополита Іларіона, 19'),
(1,	3708,	'Отделение №1: ул. Митрополита Илариона, 19'),
(3,	3709,	'Відділення №1: вул. Центральна, 92а'),
(1,	3709,	'Отделение №1: ул. Центральная, 92а'),
(3,	3710,	'Відділення №1: вул. Центральна, 105'),
(1,	3710,	'Отделение №1: ул. Ленина, 105'),
(3,	3711,	'Відділення № 1: вул. Братська, 17'),
(1,	3711,	'Отделение № 1: ул. Братская, 17'),
(3,	3712,	'Відділення №1: вул. Мозолевського, 9'),
(1,	3712,	'Отделение №1: ул. Мозолевского, 9'),
(3,	3713,	'Відділення №1: вул. Визволителів, 55'),
(1,	3713,	'Отделение №1: ул. Освободителей, 55'),
(3,	3714,	'Відділення №1: вул. Лагонди, 39'),
(1,	3714,	'Отделение №1: ул. Лагонды, 39'),
(3,	3715,	'Відділення №1: вул. Богдана Хмельницького, 10а'),
(1,	3715,	'Отделение №1: ул. Богдана Хмельницкого, 10а'),
(3,	3716,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 15А'),
(1,	3716,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 15А'),
(3,	3717,	'Відділення №1: вул. Дружби народів, 103'),
(1,	3717,	'Отделение №1: ул. Дружбы народов, 103'),
(3,	3718,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 20'),
(1,	3718,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3,	3719,	'Відділення №1: вул. Чорноморська, 1а'),
(1,	3719,	'Отделение №1: ул. Чорноморская, 1а'),
(3,	3720,	'Відділення №1: вул. Шевченко, 93'),
(1,	3720,	'Отделение №1: ул. Шевченка, 93'),
(3,	3721,	'Відділення №1: вул. Сайгака Академіка, 29'),
(1,	3721,	'Отделение №1: ул. Сайгака Академика, 29'),
(3,	3722,	'Відділення №1: вул. Георгія Лангемака (ран. Рози Люксембург), 76'),
(1,	3722,	'Отделение №1: ул. Георгия Лангемака (ран. Розы Люксембург), 76'),
(3,	3723,	'Відділення №1: площа Миру, 3/5'),
(1,	3723,	'Отделение №1: площадь Мира, 3/5'),
(3,	3724,	'Відділення №1: вул. Садова, 10а'),
(1,	3724,	'Отделение №1: ул. Садовая, 10а'),
(3,	3725,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 29А'),
(1,	3725,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 29А'),
(3,	3726,	'Пункт приймання-видачі (до 30 кг): вул. Трубачівка, 1'),
(1,	3726,	'Пункт приема-выдачи (до 30 кг): ул. Трубачивка, 1'),
(3,	3727,	'Пункт приймання-видачі (до 30 кг): вул. Заводська, 18А'),
(1,	3727,	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 18А'),
(3,	3728,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 25'),
(1,	3728,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 25'),
(3,	3729,	'Пункт приймання-видачі  (до 30 кг): вул. Центральна, 12'),
(1,	3729,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12'),
(3,	3730,	'Відділення №1: вул. Горохівська, 10б'),
(1,	3730,	'Отделение №1: ул. Гороховская, 10б'),
(3,	3731,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 3А'),
(1,	3731,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 3А'),
(3,	3732,	'Відділення №1: вул. Софіївська, 162'),
(1,	3732,	'Отделение №1: ул. Софиевская, 162'),
(3,	3733,	'Пункт приймання-видачі (до 30 кг): вул. Косенка, 4'),
(1,	3733,	'Пункт приема-выдачи (до 30 кг): ул. Косенко, 4'),
(3,	3734,	'Пункт приймання-видачі (до 30 кг): вул. Продольна, 10'),
(1,	3734,	'Пункт приема-выдачи (до 30 кг): ул. Продольная, 10'),
(3,	3735,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 51'),
(1,	3735,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3,	3736,	'Пункт приймання-видачі (до 30 кг): вул. Тернопільська, 36а'),
(1,	3736,	'Пункт приема-выдачи (до 30 кг), ул. Тернопольская, 36а'),
(3,	3737,	'Пункт приймання-видачі (до 30 кг): вул. Містечко, 31'),
(1,	3737,	'Пункт приема-выдачи (до 30 кг): ул. Городок, 31'),
(3,	3738,	'Пункт приймання-видачі (до 30 кг): вул. Центральная, 33'),
(1,	3738,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3,	3739,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 67'),
(1,	3739,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 67'),
(3,	3740,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 7а'),
(1,	3740,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7а'),
(3,	3741,	'Пункт приймання-видачі (до 30 кг): вул. Липова Осада, 147'),
(1,	3741,	'Пункт приема-выдачи (до 30 кг), ул. Липовая Осада, 147'),
(3,	3742,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3742,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3743,	'Відділення №1: вул. Садова, 5а'),
(1,	3743,	'Отделение №1: ул. Садовая, 5а'),
(3,	3744,	'Пункт приймання-видачі (до 30 кг): вул. Зіненка, 3'),
(1,	3744,	'Пункт приема-выдачи (до 30 кг): ул. Зиненко, 3'),
(3,	3745,	'Пункт приймання-видачі (до 30 кг): вул. Остапа Вишні, 34'),
(1,	3745,	'Пункт приема-выдачи (до 30 кг): ул. Остапа Вишни, 34'),
(3,	3746,	'Відділення №1: вул. Кондрата Суюнова, 134'),
(1,	3746,	'Отделение №1: ул. Кондрата Суюнова, 134'),
(3,	3747,	'Відділення №1: вул. Шевченка, 31'),
(1,	3747,	'Отделение №1: ул. Шевченка, 31'),
(3,	3748,	'Відділення №1: квартал Сонячний, 2'),
(1,	3748,	'Отделение №1: квартал Солнечный, 2'),
(3,	3749,	'Пункт приймання-видачі (до 30 кг): вул. Бикова, 1/2'),
(1,	3749,	'Пункт приема-выдачи (до 30 кг), ул. Быкова, 1/2'),
(3,	3750,	'Відділення №1: вул. Головна, 49'),
(1,	3750,	'Отделение №1: ул. Главная, 49'),
(3,	3751,	'Пункт приймання-видачі (до 30 кг): вул. Л.Українки, 29'),
(1,	3751,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 29'),
(3,	3752,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	3752,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	3753,	'Пункт приймання-видачі (до 30 кг): вул. Магістральна, 8'),
(1,	3753,	'Пункт приема-выдачи (до 30 кг): ул. Магистральная, 8'),
(3,	3754,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева,7'),
(1,	3754,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 7'),
(3,	3755,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 35'),
(1,	3755,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 35'),
(3,	3756,	'Відділення №1: вул. Молодіжна, 29'),
(1,	3756,	'Отделение №1: ул. Молодежная, 29'),
(3,	3757,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 6а'),
(1,	3757,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 6а'),
(3,	3758,	'Пункт приймання-видачі (до 30 кг): вул. Чорновола, 1'),
(1,	3758,	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 1'),
(3,	3759,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(1,	3759,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(3,	3760,	'Відділення №1: вул. Паркова, 22'),
(1,	3760,	'Отделение №1: ул. Парковая (Советская), 22'),
(3,	3761,	'Відділення №1: вул. Данила Галицького, 2'),
(1,	3761,	'Отделение №1: ул. Данила Галицкого, 2'),
(3,	3762,	'Відділення № 1: вул. Грушевського, 6а'),
(1,	3762,	'Отделение № 1: ул. Грушевского, 6а'),
(3,	3763,	'Відділення №1: вул. 1-го Травня, 37'),
(1,	3763,	'Отделение №1: ул. 1-го Мая, 37'),
(3,	3764,	'Відділення №1: вул. Шевченка, 108'),
(1,	3764,	'Отделение №1: ул. Шевченка, 108'),
(3,	3765,	'Відділення №1: вул. Героїв Майдану, 45'),
(1,	3765,	'Отделение №1: ул. Героев Майдана, 45'),
(3,	3766,	'Відділення №1: вул. Набережна, 75'),
(1,	3766,	'Отделение №1: ул. Набережная, 75'),
(3,	3767,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 3'),
(1,	3767,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 3'),
(3,	3768,	'Відділення №1: вул. Перемоги, 2г'),
(1,	3768,	'Отделение №1: ул. Победы, 2г'),
(3,	3769,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 1'),
(1,	3769,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 1'),
(3,	3770,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 33'),
(1,	3770,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 33'),
(3,	3771,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2а'),
(1,	3771,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3,	3772,	'Пункт приймання-видачі (до 30 кг): вул. Верхня, 50а'),
(1,	3772,	'Пункт приема-выдачи (до 30 кг): ул. Верхняя, 50а'),
(3,	3773,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 21а'),
(1,	3773,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 21а'),
(3,	3774,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 132а'),
(1,	3774,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 132а'),
(3,	3775,	'Пункт приймання-видачі (до 30 кг): вул. Гришка, 46а'),
(1,	3775,	'Пункт приема-выдачи (до 30 кг): ул. Гришко, 46а'),
(3,	3776,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 7'),
(1,	3776,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 7'),
(3,	3777,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 20'),
(1,	3777,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3,	3778,	'Пункт приймання-видачі (до 30 кг): вул. Мічуріна, 12'),
(1,	3778,	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 12'),
(3,	3779,	'Відділення №1: вул. Центральна, 26'),
(1,	3779,	'Отделение №1: ул. Центральная, 26'),
(3,	3780,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 75'),
(1,	3780,	'Пункт приема-выдачи (до 30 кг), ул. Гагарина, 75'),
(3,	3781,	'Відділення №1: вул. Алеї, 35/1'),
(1,	3781,	'Отделение №1: ул. Аллеи, 35/1'),
(3,	3782,	'Відділення №1: вул. Перспективна, 50б'),
(1,	3782,	'Отделение №1: ул. Перспективная, 50б'),
(3,	3783,	'Пункт приймання-видачі (до 30 кг): вул. Шевченко, 8'),
(1,	3783,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 8'),
(3,	3784,	'Відділення №1: вул. Володимира Великого, 36'),
(1,	3784,	'Отделение №1: ул. Владимира Великого, 36'),
(3,	3785,	'Відділення №1: вул. Соборна, 25'),
(1,	3785,	'Отделение №1: ул. Соборная, 25'),
(3,	3786,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 104'),
(1,	3786,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 104'),
(3,	3787,	'Автолавка (до 30 кг): вул. Центральна, 85'),
(1,	3787,	'Автолавка (до 30 кг): ул. Центральная, 85'),
(3,	3788,	'Пункт приймання-видачі (до 30 кг): вул. Нова, 1Б'),
(1,	3788,	'Пункт приема-выдачи (до 30 кг): ул. Новая, 1Б'),
(3,	3789,	'Відділення №1 (до 30 кг): вул. Слюсарська, 1'),
(1,	3789,	'Отделение №1 (до 30 кг): ул. Слюсарская, 1'),
(3,	3790,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 171'),
(1,	3790,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 171'),
(3,	3791,	'Пункт приймання-видачі (до 30 кг): вул. 70 років Перемоги, 14'),
(1,	3791,	'Пункт приема-выдачи (до 30 кг), ул. 70 лет Победы, 14'),
(3,	3792,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 31'),
(1,	3792,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 31'),
(3,	3793,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 1'),
(1,	3793,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1'),
(3,	3794,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 5'),
(1,	3794,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(3,	3795,	'Пункт приймання-видачі (до 30 кг): вул. Городенка, 136а'),
(1,	3795,	'Пункт приема-выдачи (до 30 кг): ул. Городенка, 136а'),
(3,	3796,	'Відділення №1: вул. Б. Хмельницького, 43'),
(1,	3796,	'Отделение №1: ул. Б. Хмельницкого, 43'),
(3,	3797,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	3797,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	3798,	'Пункт приймання-видачі (до 30 кг): вул. Мельника, 1'),
(1,	3798,	'Пункт приема-выдачи (до 30 кг): ул. Мельника, 1'),
(3,	3799,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 16'),
(1,	3799,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 16'),
(3,	3800,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 83А'),
(1,	3800,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 83А'),
(3,	3801,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 32а'),
(1,	3801,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32а'),
(1,	6378,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 236'),
(2,	6378,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 236'),
(3,	6378,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 236'),
(3,	3802,	'Пункт приймання-видачі (до 30 кг): вул. Францішека Карпінська, 1'),
(1,	3802,	'Пункт приема-выдачи (до 30 кг): ул. Францишека Карпинская, 1'),
(3,	3803,	'Відділення №1: вул. Заліська, 1'),
(1,	3803,	'Отделение №1: ул. Залесская, 1'),
(3,	3804,	'Відділення №1: вул. Центральна, 140'),
(1,	3804,	'Отделение №1: ул. Центральная, 140'),
(3,	3805,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 7'),
(1,	3805,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(3,	3806,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 124-А'),
(1,	3806,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 124-А'),
(3,	3807,	'Відділення №1: вул. Першотравнева, 118'),
(1,	3807,	'Отделение №1: ул. Первомайская, 118'),
(3,	3808,	'Відділення №1: вул. Першого Травня, 1а'),
(1,	3808,	'Отделение №1: ул. Первого Мая, 1а'),
(3,	3809,	'Пункт приймання-видачі (до 30 кг): вул. Технікумівська, 23'),
(1,	3809,	'Пункт приема-выдачи (до 30 кг): ул. Техникумовская, 23'),
(3,	3810,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 59'),
(1,	3810,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 59'),
(3,	3811,	'Відділення №1: вул. Івана Франка, 18'),
(1,	3811,	'Отделение №1: ул. Ивана Франко, 18'),
(3,	3812,	'Пункт приймання-видачі (до 30 кг): вул. Горького, 8'),
(1,	3812,	'Пункт приема-выдачи (до 30 кг): ул. Горького, 8'),
(3,	3813,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 51в'),
(1,	3813,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51в'),
(3,	3814,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8а'),
(1,	3814,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8а'),
(3,	3815,	'Відділення №1: вул. Пролетарська, 80'),
(1,	3815,	'Отделение №1: ул. Пролетарская, 80'),
(3,	3816,	'Відділення №1: вул. Воздвиженська, 61'),
(1,	3816,	'Отделение №1: ул. Воздвиженская, 61'),
(3,	3817,	'Відділення №1: вул. Грушевського, 11а'),
(1,	3817,	'Отделение №1: ул. Грушевского, 11а'),
(3,	3818,	'Пункт приймання-видачі (до 30 кг): вул. Піонерська, 2а'),
(1,	3818,	'Пункт приема-выдачи (до 30 кг): ул. Пионерская, 2а'),
(3,	3819,	'Пункт приймання-видачі (до 30 кг): вул.  Шкільна, 10'),
(1,	3819,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 10'),
(3,	3820,	'Відділення №1: вул. Свердлова, 2/1а'),
(1,	3820,	'Отделение №1: ул. Свердлова, 2/1а'),
(3,	3821,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 43'),
(1,	3821,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(3,	3822,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 73'),
(1,	3822,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 73'),
(3,	3823,	'Відділення №1: вул. Дудніченка, 39г'),
(1,	3823,	'Отделение №1: ул. Дудниченка, 39г'),
(3,	3824,	'Відділення №1: вул. Кобринських, 2б'),
(1,	3824,	'Отделение №1: ул. Кобринских, 2б'),
(3,	3825,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 27'),
(1,	3825,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 27'),
(3,	3826,	'Відділення №1: вул. Центральна, 103'),
(1,	3826,	'Отделение №1: ул. Центральная, 88'),
(3,	3827,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 68'),
(1,	3827,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 68'),
(3,	3828,	'Пункт приймання-видачі (до 30 кг): вул. Вокзальна, 2'),
(1,	3828,	'Пункт приема-выдачи (до 30 кг): ул. Вокзальная, 2'),
(3,	3829,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 9'),
(1,	3829,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(3,	3830,	'Пункт приймання-видачі (до 30 кг): вул. Довженко, 1'),
(1,	3830,	'Пункт приема-выдачи (до 30 кг): ул. Довженко, 1'),
(3,	3831,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 79'),
(1,	3831,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 79'),
(3,	3832,	'Пункт приймання-видачі (до 30 кг): вул. Турянська, 59А'),
(1,	3832,	'Пункт приема-выдачи (до 30 кг): ул. Турянская, 59А'),
(3,	3833,	'Пункт приймання-видачі (до 30 кг): вул. Терешкової, 9'),
(1,	3833,	'Пункт приема-выдачи (до 30 кг): ул. Терешковой, 9'),
(3,	3834,	'Пункт приймання-видачі (до 30 кг): вул. Петровського, 11а'),
(1,	3834,	'Пункт приема-выдачи (до 30 кг): ул. Петровского, 11а'),
(3,	3835,	'Пункт приймання-видачі (до 30 кг): вул. Сумська, 6'),
(1,	3835,	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 6'),
(3,	3836,	'Відділення №1: вул. 1-го Травня, 43'),
(1,	3836,	'Отделение №1: ул. 1-го Мая, 43'),
(3,	3837,	'Відділення №1: вул. Калинова, 24'),
(1,	3837,	'Отделение №1: ул. Калиновая, 24'),
(3,	3838,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 48'),
(1,	3838,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 48'),
(3,	3839,	'Відділення №1: вул. Соборна, 105'),
(1,	3839,	'Отделение №1: ул. Соборная, 105'),
(3,	3840,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 244а'),
(1,	3840,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 244а'),
(3,	3841,	'Відділення №1: вул. Київська, 1Б'),
(1,	3841,	'Отделение №1: ул. Киевская, 1Б'),
(3,	3842,	'Відділення №1: участок Центр (навпроти Церкви)'),
(1,	3842,	'Отделение №1: участок Центр (напротив Церкви)'),
(3,	3843,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 10'),
(1,	3843,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 10'),
(3,	3844,	'Відділення №1: вул. Центральна, 53'),
(1,	3844,	'Отделение №1: ул. Центральная, 53'),
(3,	3845,	'Відділення №1: вул. Дворянська, 9б'),
(1,	3845,	'Отделение №1: ул. Дворянская, 9б'),
(3,	3846,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	3846,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	3847,	'Відділення №1: вул. Лоцманська, 21/2'),
(1,	3847,	'Отделение №1: ул. Лоцманская, 21/2'),
(3,	3848,	'Відділення №1: вул. Винниченка, 13/2а'),
(1,	3848,	'Отделение №1: ул. Винниченка, 13/2а'),
(3,	3849,	'Відділення №1: вул. Шевченка, 47'),
(1,	3849,	'Отделение №1: ул. Шевченко, 47'),
(3,	3850,	'Відділення №1: вул. Миру, 46'),
(1,	3850,	'Отделение №1: ул. Мира, 46'),
(3,	3851,	'Відділення №1: вул. Незалежності, 86/1 (територія автошколи)'),
(1,	3851,	'Отделение №1: ул. Независимости, 86/1 (територия автошколы)'),
(3,	3852,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 12'),
(1,	3852,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 12'),
(3,	3853,	'Пункт приймання-видачі (до 30 кг): вул. Локшина, 25'),
(1,	3853,	'Пункт приема-выдачи (до 30 кг): ул. Локшина, 25'),
(3,	3854,	'Пункт приймання-видачі  (до 30 кг): вул. Миру, 58'),
(1,	3854,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 58'),
(3,	3855,	'Відділення №1: вул. Промислова, 2'),
(1,	3855,	'Отделение №1: ул. Промышленная, 2'),
(3,	3856,	'Відділення №1: вул. Паркова, 16'),
(1,	3856,	'Отделение №1: ул. Парковая, 16'),
(3,	3857,	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 16а'),
(1,	3857,	'Пункт приема-выдачи (до 30 кг), ул. Пушкина, 16а'),
(3,	3858,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 134'),
(1,	3858,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 134'),
(3,	3859,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 4/4'),
(1,	3859,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4/4'),
(3,	3860,	'Відділення №1: вул. Пархоменка, 1'),
(1,	3860,	'Отделение №1: ул. Пархоменко, 1'),
(3,	3861,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 36А'),
(1,	3861,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 36А'),
(3,	3862,	'Пункт приймання-видачі (до 30 кг): вул. С.Бандери, 2'),
(1,	3862,	'Пункт приема-выдачи (до 30 кг), ул. С.Бандеры, 2'),
(3,	3863,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 38'),
(1,	3863,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 38'),
(3,	3864,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 174а'),
(1,	3864,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 174а'),
(3,	3865,	'Пункт приймання-видачі (до 30 кг): вул. Ярова, 10'),
(1,	3865,	'Пункт приема-выдачи (до 30 кг): ул. Яровая, 10'),
(3,	3866,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 37'),
(1,	3866,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(3,	3867,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 71'),
(1,	3867,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 71'),
(3,	3868,	'Пункт приймання-видачі (до 30 кг): вул. Сумська, 20'),
(1,	3868,	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 20'),
(3,	3869,	'Відділення №1: вул. Перемоги, 24а'),
(1,	3869,	'Отделение №1: ул. Победы, 24а'),
(3,	3870,	'Відділення №1: вул. Цвіткова, 26А'),
(1,	3870,	'Отделение №1: ул. Цветкова, 26А'),
(3,	3871,	'Пункт приймання-видачі (до 30 кг): вул. Максима Горького, 12'),
(1,	3871,	'Пункт приема-выдачи (до 30 кг): ул. Максима Горького, 12'),
(3,	3872,	'Відділення №1: вул. Кузнєцова, 87'),
(1,	3872,	'Отделение №1: ул. Кузнецова, 87'),
(3,	3873,	'Відділення №1: вул. Комунальна,1'),
(1,	3873,	'Отделение №1: ул. Коммунальная, 1'),
(3,	3874,	'Пункт приймання-видачі (до 30 кг): вул. Довбуша, 1А'),
(1,	3874,	'Пункт приема-выдачи (до 30 кг): ул. Довбуша, 1А'),
(3,	3875,	'Пункт приймання-видачі (до 30 кг): вул. Поповича, 16'),
(1,	3875,	'Пункт приема-выдачи (до 30 кг): ул. Поповича, 16'),
(3,	3876,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2/1'),
(1,	3876,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2/1'),
(3,	3877,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 12'),
(1,	3877,	'Пункт приема-выдачи (до 30 кг): ул. Советская, 12'),
(3,	3878,	'Пункт приймання-видачі  (до 30 кг): вул. Шевченка, 13в'),
(1,	3878,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 13в'),
(3,	3879,	'Пункт приймання-видачі (до 30 кг): вул. Клеванська, 1'),
(1,	3879,	'Пункт приема-выдачи (до 30 кг): ул. Клеванская, 1'),
(3,	3880,	'Відділення №1 (до 30 кг на одне місце): вул. Маяцька дорога, 25а'),
(1,	3880,	'Пункт приема-выдачи (до 30 кг): ул. Маякская дорога, 25а'),
(3,	3881,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 51'),
(1,	3881,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 51'),
(3,	3882,	'Відділення №1: вул. Шеремета Руслана, б/н'),
(1,	3882,	'Отделение №1: ул. Шеремета Руслана, б/н'),
(3,	3883,	'Пункт приймання-видачі (до 30 кг): вул. Польова , 17а'),
(1,	3883,	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 17а'),
(3,	3884,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 96а'),
(1,	3884,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 96а'),
(3,	3885,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 64'),
(1,	3885,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 64'),
(3,	3886,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 4'),
(1,	3886,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 4'),
(3,	3887,	'Відділення №1: вул. Квіткова, 59в'),
(1,	3887,	'Отделение №1: ул. Цветочная, 59в'),
(3,	3888,	'Відділення №1: пров. Поштовий, 1'),
(1,	3888,	'Отделение №1: пер. Почтовый, 1'),
(3,	3889,	'Відділення №1: вул. Миру, 10а'),
(1,	3889,	'Отделение №1: ул. Мира, 10а'),
(3,	3890,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 104Б'),
(1,	3890,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 104Б'),
(3,	3891,	'Пункт приймання-видачі (до 30 кг): вул. Білгородська, 2а'),
(1,	3891,	'Пункт приема-выдачи (до 30 кг): ул. Белгородская, 2а'),
(3,	3892,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 68'),
(1,	3892,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 68'),
(3,	3893,	'Відділення №1: вул. Жовтнева, 75'),
(1,	3893,	'Отделение №1: ул. Октябрьская, 75'),
(3,	3894,	'Відділення №1: вул. Бережанська, 1'),
(1,	3894,	'Отделение: ул. Бережанская, 1'),
(3,	3895,	'Відділення №1: вул. 22 січня, 1а'),
(1,	3895,	'Отделение №1: ул. 22 января, 1а'),
(3,	3896,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 70'),
(1,	3896,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 70'),
(3,	3897,	'Пункт приймання-видачі (до 30 кг): вул. Наконечного, 45А'),
(1,	3897,	'Пункт приема-выдачи (до 30 кг), ул. Наконечного, 45А'),
(3,	3898,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 77а'),
(1,	3898,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 77а'),
(3,	3899,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 64-А'),
(1,	3899,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 64-А'),
(3,	3900,	'Відділення №1: вул. Галицька, 56'),
(1,	3900,	'Отделение: ул. Галицкая, 56'),
(3,	3901,	'Пункт приймання-видачі (до 30 кг): вул. Духновича, 13'),
(1,	3901,	'Пункт приймання видачі (до 30 кг), вул. Духновича, 13'),
(3,	3902,	'Відділення №1: вул. Наддніпрянська, 147'),
(1,	3902,	'Отделение №1: ул. Надднепрянская, 147'),
(3,	3903,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 87'),
(1,	3903,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 87'),
(3,	3904,	'Відділення № 1: вул. Семенова, 55'),
(1,	3904,	'Отделение № 1: ул. Семенова, 55'),
(3,	3905,	'Відділення №1: вул. Шкільна, 25'),
(1,	3905,	'Отделение №1: ул. Школьная, 25'),
(3,	3906,	'Відділення №1: вул. Червоний Промінь, 2а'),
(1,	3906,	'Отделение №1: ул. Красный Луч, 2а'),
(3,	3907,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 5'),
(1,	3907,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(3,	3908,	'Пункт приймання-видачі (до 30 кг): вул. Зелена Брама, 46'),
(1,	3908,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая Брама, 46'),
(3,	3909,	'Пункт приймання-видачі (до 30 кг): вул. Широка, 92'),
(1,	3909,	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 92'),
(3,	3910,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 6'),
(1,	3910,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 6'),
(3,	3911,	'Пункт приймання-видачі (до 30 кг): вул. Агромістечко, 1-а'),
(1,	3911,	'Пункт приема-выдачи (до 30 кг): ул. Агрогород, 1-а'),
(3,	3912,	'Пункт приймання-видачі (до 30 кг): вул. Камінського, 91б'),
(1,	3912,	'Пункт приема-выдачи (до 30 кг): ул. Каминского, 91б'),
(3,	3913,	'Відділення №1: вул. Миру, 1'),
(1,	3913,	'Отделение №1: ул. Мира, 1'),
(3,	3914,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 37'),
(1,	3914,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 37'),
(3,	3915,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30'),
(1,	3915,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3,	3916,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	3916,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	3917,	'Відділення №1: вул. Водоп\'янова, 30'),
(1,	3917,	'Отделение №1: ул. Водопьянова, 30'),
(3,	3918,	'Відділення №1: вул. Небесної Сотні, 29а'),
(1,	3918,	'Отделение №1: ул. Небесной Сотни, 29а'),
(3,	3919,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 78'),
(1,	3919,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 78'),
(3,	3920,	'Пункт приймання-видачі (до 30  кг): вул. Верховинська, 2-А'),
(1,	3920,	'Пункт приема-выдачи (до 30 кг): ул. Верховинская, 2-А'),
(3,	3921,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1'),
(1,	3921,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1'),
(3,	3922,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 22'),
(1,	3922,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 22'),
(3,	3923,	'Відділення №1: вул. Горєва, 17'),
(1,	3923,	'Отделение №1: ул. Горьева, 17'),
(3,	3924,	'Пункт приймання-видачі (до 30 кг): вул. Одиниця, 94'),
(1,	3924,	'Пункт приема-выдачи (до 30 кг): ул. Единица, 94'),
(3,	3925,	'Відділення №1: вул. Центральна, 94'),
(1,	3925,	'Отделение №1: ул. Центральная, 94'),
(3,	3926,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 2'),
(1,	3926,	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 2'),
(3,	3927,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 77'),
(1,	3927,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 77'),
(3,	3928,	'Відділення №1: вул. Соборна, 35Б'),
(1,	3928,	'Грузовое отделение №1: ул. Соборная, 35Б'),
(3,	3929,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 1/А'),
(1,	3929,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1/А'),
(3,	3930,	'Відділення №1: вул. Центральна, 30/2'),
(1,	3930,	'Отделение №1: ул. Центральная, 30/2'),
(3,	3931,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 10'),
(1,	3931,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(3,	3932,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 11'),
(1,	3932,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 11'),
(3,	3933,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 5'),
(1,	3933,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 5'),
(3,	3934,	'Пункт приймання-видачі (до 30 кг): вул. Смерічки, 1'),
(1,	3934,	'Пункт приема-выдачи (до 30 кг): ул. Смеричка, 1'),
(3,	3935,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 16'),
(1,	3935,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 16'),
(3,	3936,	'Відділення №1: вул. Дерія, 58 (район Лікарні)'),
(1,	3936,	'Отделение №1: ул. Дерия, 58 (район Больницы)'),
(3,	3937,	'Відділення №1: вул. Шевченка, 75'),
(1,	3937,	'Отделение №1: ул. Шевченка, 75'),
(3,	3938,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 10'),
(1,	3938,	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 10'),
(3,	3939,	'Пункт приймання-видачі (до 30 кг): вул. Травнева, 51'),
(1,	3939,	'Пункт приема-выдачи (до 30 кг): ул. Майская, 51'),
(3,	3940,	'Пункт приймання-видачі (до 30 кг): вул. Довга, 108А'),
(1,	3940,	'Пункт приема-выдачи (до 30 кг): ул. Длинная, 108А'),
(3,	3941,	'Пункт приймання-видачі (до 30 кг): вул. Жовківська, 13'),
(1,	3941,	'Пункт приема-выдачи (до 30 кг): ул. Жовкивская, 13'),
(3,	3942,	'Відділення №1: вул. Центральна, 57'),
(1,	3942,	'Отделение №1: ул. Центральная, 57'),
(3,	3943,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 35'),
(1,	3943,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 35'),
(3,	3945,	'Пункт приймання-видачі (до 30 кг): вул. Невдашенків,10'),
(1,	3945,	'Пункт приема-выдачи (до 30 кг): ул. Невдашенкив, 10'),
(3,	3946,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 59'),
(1,	3946,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 59'),
(3,	3947,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2а'),
(1,	3947,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3,	3948,	'Відділення №1: вул. Купчинського, 14а'),
(1,	3948,	'Отделение №1: ул. Купчинского, 14а'),
(3,	3949,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 32'),
(1,	3949,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32'),
(3,	3950,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1а'),
(1,	3950,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(3,	3951,	'Пункт приймання-видачі (до 30 кг): вул. Калашнікова, 29'),
(1,	3951,	'Пункт приема-выдачи (до 30 кг): ул. Калашникова, 29'),
(3,	3952,	'Відділення №1: вул. Леніна, 73'),
(1,	3952,	'Отделение №1: ул. Ленина, 73'),
(3,	3953,	'Відділення №1: вул. Ткача, 19а'),
(1,	3953,	'Отделение №1: ул. Ткача, 19а'),
(3,	3954,	'Відділення №1: вул. Шраменка, 49/1'),
(1,	3954,	'Отделение №1: ул. Шраменко, 49/1'),
(3,	3955,	'Відділення №1 (до 30 кг на одне місце): вул. Озерна, 1'),
(1,	3955,	'Отделение №1 (до 30 кг на одно место): ул. Озерная, 1'),
(3,	3956,	'Відділення №1: вул. Золота Баня, 23'),
(1,	3956,	'Отделение №1: ул. Золотая Баня, 23'),
(3,	3957,	'Відділення №1: вул. Мельника Андрія, 2'),
(1,	3957,	'Отделение №1: ул. Мельника Андрея, 2'),
(3,	3958,	'Відділення №1: вул. Валова, 12'),
(1,	3958,	'Отделение №1: ул. Валовая, 12'),
(3,	3959,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	3959,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	3960,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 15'),
(1,	3960,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 15'),
(3,	3961,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 63'),
(1,	3961,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 63'),
(3,	3962,	'Відділення №1: вул. Січових Стрільців, 22'),
(1,	3962,	'Отделение №1: ул. Сечевых Стрельцов, 22'),
(3,	3963,	'Відділення №1: вул. Незалежності, 58/1'),
(1,	3963,	'Отделение №1: ул. Независимости, 58/1'),
(3,	3964,	'Пункт приймання-видачі (до 30 кг): вул. Кармелюка, 56'),
(1,	3964,	'Пункт приема-выдачи (до 30 кг): ул. Кармелюка, 56'),
(3,	3965,	'Пункт приймання-видачі (до 30 кг): вул. Задвір Верхня, 3'),
(1,	3965,	'Пункт приема-выдачи (до 30 кг): ул. Задвир Верхняя, 3'),
(3,	3966,	'Пункт приймання-видачі (до 30 кг): вул. Лікарняна, 15'),
(1,	3966,	'Пункт приема-выдачи (до 30 кг): ул. Больничная, 15'),
(3,	3967,	'Відділення №1: вул. Грушевського, 39а'),
(1,	3967,	'Отделение №1: ул. Грушевського, 39а'),
(3,	3968,	'Відділення №1: пров. Комунальний, 12 б'),
(1,	3968,	'Отделение №1: ул. Комунальный, 12 б'),
(3,	3969,	'Відділення №1: вул. Спортивна, 4'),
(1,	3969,	'Отделение №1: ул. Спортивная, 4'),
(3,	3970,	'Відділення №1: вул. імені Білошкури М.І.,10'),
(1,	3970,	'Отделение: ул. Билошкуры, 10'),
(3,	3971,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 74'),
(1,	3971,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 74'),
(3,	3972,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	3972,	'Пункт приема-выдачи  (до 30 кг): ул. Шевченка, 2'),
(3,	3973,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 4'),
(1,	3973,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 4'),
(3,	3974,	'Відділення №1: вул. Гранітна, 16'),
(1,	3974,	'Отделение №1: ул. Гранитная, 16'),
(3,	3975,	'Відділення №1:  вул. Грушевського, 139'),
(1,	3975,	'Отделение №1: ул. Грушевского, 139'),
(3,	3976,	'Пункт приймання-видачі (до 30 кг): вул. Полтавський Шлях, 21'),
(1,	3976,	'Пункт приема-выдачи (до 30 кг): ул. Полтавский Шлях, 21'),
(3,	3977,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 14А'),
(1,	3977,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14А'),
(3,	3978,	'Пункт приймання-видачі (до 30 кг): вул. Польова, 1'),
(1,	3978,	'Пункт приема-выдачи (до 30 кг), ул. Полевая, 1'),
(3,	3979,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 76'),
(1,	3979,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 76'),
(3,	3980,	'Пункт приймання-видачі (до 30 кг): вул. Трофімова, 4'),
(1,	3980,	'Пункт приема-выдачи (до 30 кг): ул. Трофимова, 4'),
(3,	3981,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 11а'),
(1,	3981,	'Пункт приема-выдачи (до 30 кг), ул. Сечевых Стрельцов, 11а'),
(3,	3982,	'Пункт приймання-видачі (до 30 кг): вул. Щорса, 6'),
(1,	3982,	'Пункт приема-выдачи (до 30 кг): ул. Щорса, 6'),
(3,	3983,	'Пункт приймання-видачі (до 30 кг): вул. Богдана Хмельницького, 52'),
(1,	3983,	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 52'),
(3,	3984,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 176а'),
(1,	3984,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 176а'),
(3,	3985,	'Відділення №1: вул. Промислова, 5'),
(1,	3985,	'Отделение №1: ул. Промышленная, 5'),
(3,	3986,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 2'),
(1,	3986,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3,	3987,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 9'),
(1,	3987,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 9'),
(3,	3988,	'Пункт приймання видачі (до 30 кг): вул. Центральна, 89'),
(1,	3988,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 89'),
(3,	3989,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 64'),
(1,	3989,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64'),
(3,	3990,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 21'),
(1,	3990,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 21'),
(3,	3991,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3'),
(1,	3991,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3,	3992,	'Пункт приймання-видачі (до 30 кг): вул. Данила Нечая, 29/3'),
(1,	3992,	'Пункт приема-выдачи (до 30 кг): ул. Данила Нечая, 29/3'),
(3,	3993,	'Відділення №1 (до 30 кг): вул. Едуарда Савінова, 36а'),
(1,	3993,	'Отделение №1 (до 30 кг): ул. Эдуарда Савинова, 36а'),
(3,	3994,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 105'),
(1,	3994,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 105'),
(3,	3995,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 128а'),
(1,	3995,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 128а'),
(3,	3996,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 30а'),
(1,	3996,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30а'),
(3,	3997,	'Відділення №1: вул. Дружби, 168'),
(1,	3997,	'Отделение №1: ул. Дружбы, 168'),
(3,	3998,	'Відділення №1 (до 30 кг на одне місце): вул. Головна, 150-В'),
(1,	3998,	'Отделение №1 (до 30 кг на одно место): ул. Главная, 150-В'),
(3,	3999,	'Відділення №1: вул. Незалежності, 1'),
(1,	3999,	'Отделение №1: ул. Независимости, 1'),
(3,	4000,	'Відділення №1: вул. Соборна, 24/2'),
(1,	4000,	'Отделение №1: ул. Соборная, 24/2'),
(3,	4001,	'Відділення №1: вул. Центральна, б\\н'),
(1,	4001,	'Отделение №1: ул. Центральная, б \\ н'),
(3,	4002,	'Відділення №1: вул. Данила Галицького, 48'),
(1,	4002,	'Отделение №1: ул. Данила Галицкого, 48'),
(3,	4003,	'Відділення №1: вул. І. Богуна, 8-а'),
(1,	4003,	'Отделение №1: ул. И. Богуна, 8-а'),
(3,	4004,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 44'),
(1,	4004,	'Пункт приема-выдачи (до 30 кг), ул. Зеленая, 44'),
(3,	4005,	'Пункт приймання-видачі (до 30 кг): вул. Землянова, 120б'),
(1,	4005,	'Пункт приема-выдачи (до 30 кг): ул. Землянова, 120б'),
(3,	4006,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 2'),
(1,	4006,	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 2'),
(3,	4007,	'Відділення №1: вул. Мічуріна, 1'),
(1,	4007,	'Отделение №1: ул. Мичурина, 1'),
(3,	4009,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 12'),
(1,	4009,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12'),
(3,	4010,	'Пункт приймання-видачі (до 30 кг): вул. Болградська, 167'),
(1,	4010,	'Пункт приема-выдачи (до 30 кг), ул. Болградская, 167'),
(3,	4011,	'Відділення №1: вул. Центральна, 87'),
(1,	4011,	'Отделение №1: ул. Центральная, 87'),
(3,	4012,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 27'),
(1,	4012,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 27'),
(3,	4013,	'Пункт приймання-видачі (до 30 кг): вул. Ів. Франка, 18'),
(1,	4013,	'Пункт приема-выдачи (до 30 кг): ул. Ив. Франко, 18'),
(3,	4014,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(1,	4014,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(3,	4015,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 73'),
(1,	4015,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 73'),
(3,	4016,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 216'),
(1,	4016,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 216'),
(3,	4017,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 1'),
(1,	4017,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 1'),
(3,	4018,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 29А'),
(1,	4018,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 29А'),
(3,	4019,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	4019,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	4020,	'Відділення № 1: вул. Центральна, 68'),
(1,	4020,	'Отделение № 1: ул. Центральная, 68'),
(3,	4021,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 123'),
(1,	4021,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 123'),
(3,	4022,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 67'),
(1,	4022,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 67'),
(3,	4023,	'Відділення №1: вул. Шептицького, 19а'),
(1,	4023,	'Отделение №1: ул. Шептицкого, 19а'),
(3,	4024,	'Пункт приймання-видачі (до 30 кг): вул. Б. Хмельницького, 34А'),
(1,	4024,	'Пункт приймання-відачі (до 30 кг): вул. Б. Хмельницького, 34А'),
(3,	4025,	'Відділення №1: вул. Київська, 26'),
(1,	4025,	'Отделение №1: ул. Киевская, 26'),
(3,	4026,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 48а'),
(1,	4026,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 48а'),
(3,	4027,	'Пункт приймання-видачі (до 30 кг): вул. Фіцика, 22'),
(1,	4027,	'Пункт приема-выдачи (до 30 кг): ул. Фицика, 22'),
(3,	4028,	'Пункт приймання-видачі (до 30 кг): вул. Аграрна, 40'),
(1,	4028,	'Пункт приема-выдачи (до 30 кг): ул. Аграрная 40'),
(3,	4029,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 63'),
(1,	4029,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 63'),
(3,	4030,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 17'),
(1,	4030,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 17'),
(3,	4031,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 8'),
(1,	4031,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 8'),
(3,	4032,	'Відділення №1: вул. Суворова, 3'),
(1,	4032,	'Отделение №1: ул. Суворова, 3'),
(3,	4033,	'Відділення №1: пров. Білозерський, 37'),
(1,	4033,	'Отделение №1: пров. Белозерский, 37'),
(3,	4034,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 114а'),
(1,	4034,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 114а'),
(3,	4035,	'Відділення №1: вул. Б.Хмельницького, 71'),
(1,	4035,	'Отделение №1: ул. Б.Хмельницкого, 71'),
(3,	4036,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 72'),
(1,	4036,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 72'),
(3,	4037,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 10'),
(1,	4037,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3,	4038,	'Пункт приймання-видачі (до 30 кг): вул. П. Луньова, 12а'),
(1,	4038,	'Пункт приема-выдачи (до 30 кг): ул. П. Лунева, 12а'),
(3,	4039,	'Пункт приймання-видачі (до 30 кг): вул. Фольварочного, 59В'),
(1,	4039,	'Пункт приема-выдачи (до 30 кг): ул. Фольварочного, 59В'),
(3,	4040,	'Пункт приймання-видачі (до 30 кг): вул. Сонячна, 14а'),
(1,	4040,	'Пункт приема-выдачи (до 30 кг): ул. Солнечная, 14а'),
(3,	4041,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	4041,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3,	4042,	'Пункт приймання-видачі (до 30 кг): вул. Сокола, 96'),
(1,	4042,	'Пункт приема-выдачи (до 30 кг): ул. Сокола, 96'),
(3,	4043,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 133'),
(1,	4043,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 133'),
(3,	4044,	'Пункт приймання-видачі (до 30 кг): вул. Л. Українки, 9'),
(1,	4044,	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 9'),
(3,	4045,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 6а'),
(1,	4045,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6а'),
(3,	4046,	'Пункт приймання-видачі (до 30 кг): вул. Соснова, 1а'),
(1,	4046,	'Пункт приема-выдачи (до 30 кг): ул. Сосновая, 1а'),
(3,	4047,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 13а'),
(1,	4047,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 13а'),
(3,	4048,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 43'),
(1,	4048,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 43'),
(3,	4049,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 183'),
(1,	4049,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 183'),
(3,	4050,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 211'),
(1,	4050,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 211'),
(3,	4051,	'Відділення №1: вул. Першотравнева, 65'),
(1,	4051,	'Отделение №1: ул. Первомайская, 65'),
(3,	4052,	'Пункт приймання-видачі (до 30 кг): вул. Білоцерківська, 1'),
(1,	4052,	'Пункт приема-выдачи (до 30 кг): ул. Белоцерковская, 1'),
(3,	4053,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 22'),
(1,	4053,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(3,	4054,	'Пункт приймання-видачі (до 30 кг): вул. Д.Р. Овчаренко, 4'),
(1,	4054,	'Пункт приема-выдачи (до 30 кг): ул. Д.Р. Овчаренка, 4'),
(3,	4055,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 54А'),
(1,	4055,	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 54А'),
(3,	4056,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31а'),
(1,	4056,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31а'),
(3,	4057,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 55в'),
(1,	4057,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 55в'),
(3,	4058,	'Пункт приймання-видачі (до 30 кг): вул. Командовського, 116'),
(1,	4058,	'Пункт приема-выдачи (до 30 кг), ул. Командовського, 116'),
(3,	4059,	'Відділення №1: вул. Белінського, 5'),
(1,	4059,	'Отделение №1: ул. Белинского, 5'),
(3,	4060,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 55а'),
(1,	4060,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55а'),
(3,	4061,	'Пункт приймання-видачі (до 30 кг): вул. Тараса Шевченка, 7А'),
(1,	4061,	'Пункт приема-выдачи (до 30 кг), ул. Тараса Шевченко, 7А'),
(3,	4062,	'Відділення №1: вул. Привітна, 16'),
(1,	4062,	'Отделение №1: ул. Привитна, 16'),
(3,	4063,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 53'),
(1,	4063,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 53'),
(3,	4064,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2а'),
(1,	4064,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3,	4065,	'Пункт приймання-видачі (до 30 кг): вул. Банилівська, 30'),
(1,	4065,	'Пункт приема-выдачи (до 30 кг): ул. Баниловськая, 30'),
(3,	4066,	'Пункт приймання-видачі (до 30 кг): вул. Мостова, 2г'),
(1,	4066,	'Пункт приема-выдачи (до 30 кг): ул. Мостовая, 2г'),
(3,	4067,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 1'),
(1,	4067,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1'),
(3,	4068,	'Відділення №1 (до 30 кг): вул. Відродження України, 51а'),
(1,	4068,	'Отделение №1 (до 30 кг): ул. Возрождения Украины, 51а'),
(3,	4069,	'ВІдділення №1: вул. Незалежності, 91'),
(1,	4069,	'Отделение №1: ул. Независимости, 91'),
(3,	4070,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 92а'),
(1,	4070,	'Пункт приема-выдачи (до 30 кг), ул. Галицкая, 92а'),
(3,	4071,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 1'),
(1,	4071,	'Пункт приема-выдачи (до 30 кг), ул. Галицкая, 1'),
(3,	4072,	'Пункт приймання-видачі (до 30 кг): вул. Миза, 35'),
(1,	4072,	'Пункт приема-выдачи: ул. Мыза, 35'),
(3,	4073,	'Пункт приймання-видачі (до 30 кг): вул. Лісоградська, 6'),
(1,	4073,	'Пункт приема-выдачи (до 30 кг): ул. Лисоградськая, 6'),
(3,	4074,	'Пункт приймання-видачі (до 30 кг): вул. Маяковського, 45а'),
(1,	4074,	'Пункт приема-выдачи (до 30 кг): ул. Маяковского, 45а'),
(3,	4075,	'Автолавка (до 30 кг): ВХ 2457 ВО, Центральна, 10 (біля сільської ради)'),
(1,	4075,	'Автолавка (до 30 кг): ВХ 2457 ВО, Центральная, 10 (возле сельсовета)'),
(3,	4076,	'Пункт приймання-видачі (до 30 кг): вул. Данилевського, 70А'),
(1,	4076,	'Пункт приема-выдачи (до 30 кг): ул. Данилевского, 70А'),
(3,	4077,	'Пункт приймання-видачі (до 30 кг): вул. Путилівська, 13'),
(1,	4077,	'Пункт приема-выдачи (до 30 кг): ул. Путиловская, 13'),
(3,	4078,	'Відділення №1: вул. Ніколенко, 32'),
(1,	4078,	'Отделение №1: ул. Николенко, 32'),
(3,	4079,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 1'),
(1,	4079,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	4080,	'Відділення №1 (до 30 кг): вул. Шевченка, 7-А'),
(1,	4080,	'Отделение №1 (до 30 кг): ул. Шевченко, 7-А'),
(3,	4081,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 1/1'),
(1,	4081,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1/1'),
(3,	4082,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 1'),
(1,	4082,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1'),
(3,	4083,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 15'),
(1,	4083,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(3,	4084,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 21'),
(1,	4084,	'Пункт приема-выдачи (до 30 кг): ул. Франко, 21'),
(3,	4085,	'Пункт приймання-видачі (до 30 кг): вул. Франка, 1'),
(1,	4085,	'Пункт приема-выдачи (до 30 кг): ул. Франко, 1'),
(3,	4086,	'Відділення №1: вул. Благовісна, 92а'),
(1,	4086,	'Отделение №1: ул. Благовестная, 92а'),
(3,	4087,	'Відділення №1: вул. Перемоги, 15а'),
(1,	4087,	'Отделение №1: ул. Победы, 15а'),
(3,	4088,	'Відділення №1: вул. Дорошенко, 5а'),
(1,	4088,	'Отделение №1: ул. Дорошенко, 5а'),
(3,	4089,	'Відділення №1: вул. Лесі Українки, 2д'),
(1,	4089,	'Отделение №1: ул. Леси Украинки, 2д'),
(3,	4090,	'Відділення №1: вул. Каштанова, 19'),
(1,	4090,	'Отделение № 1: ул. Каштановая, 19'),
(3,	4091,	'Відділення №1: вул. Миру, 40-Б'),
(1,	4091,	'Отделение №1: ул. Мира, 40-Б'),
(3,	4092,	'Відділення №1: вул. Соборна (ран. 50 років Жовтня), 194а'),
(1,	4092,	'Отделение №1: ул. Соборная (ран. 50 лет Октября), 194а'),
(3,	4093,	'Пункт приймання-видачі (до 30 кг): вул. Козиря, 3'),
(1,	4093,	'Пункт приема-выдачи (до 30 кг): ул. Козыря, 3'),
(3,	4094,	'Відділення №1: вул. Благовіщенська, 15'),
(1,	4094,	'Отделение №1: ул. Ленина, 15'),
(3,	4095,	'Відділення №1: вул. Шевченка, 120'),
(1,	4095,	'Отделение №1: ул. Шевченко, 120'),
(3,	4096,	'Відділення №1: вул. Сумська, 43'),
(1,	4096,	'Отделение №1: ул. Сумская, 43'),
(3,	4097,	'Пункт приймання-видачі (до 30 кг): вул. Коцюбинського, 8'),
(1,	4097,	'Пункт приема-выдачи (до 30 кг), ул. Коцюбинского, 8'),
(3,	4098,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 34а'),
(1,	4098,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34а'),
(3,	4099,	'Відділення №1: вул. Володимирська, 91Д'),
(1,	4099,	'Отделение №1, ул. Владимирская, 91Д'),
(3,	4100,	'Відділення №1: вул. Леніна, 4'),
(1,	4100,	'Отделение №1: ул. Ленина, 4'),
(3,	4101,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 11'),
(1,	4101,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(3,	4102,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 2'),
(1,	4102,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3,	4103,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 58'),
(1,	4103,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 58'),
(3,	4104,	'Пункт приймання-видачі (до 30 кг): вул. Вишнева, 2А'),
(1,	4104,	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 2А'),
(3,	4105,	'Відділення №1: вул. Шевченка, 32-а'),
(1,	4105,	'Отделение №1: ул. Шевченка, 32-а'),
(3,	4106,	'Пункт приймання-видачі (до 30 кг): вул. Львівська, 10'),
(1,	4106,	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 10'),
(3,	4107,	'Відділення №1: вул. Богдана Хмельницького, 47'),
(1,	4107,	'Отделение №1: ул. Богдана Хмельницкого, 47'),
(3,	4108,	'Пункт приймання-видачі (до 30 кг): вул. Привокзальна, 21'),
(1,	4108,	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 21'),
(3,	4109,	'Відділення №1: вул. Шкільна, 8'),
(1,	4109,	'Отделение №1: ул. Школьная, 8'),
(3,	4110,	'Відділення №1: вул. Генічеська, 3а'),
(1,	4110,	'Отделение №1: ул. Геническая, 3а'),
(3,	4111,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 2'),
(1,	4111,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2'),
(3,	4112,	'Пункт приймання-видачі (до 30 кг): вул. Радянська, 75'),
(1,	4112,	'Пункт приема-выдачи (до 30 кг), ул. Советская, 75'),
(3,	4113,	'Пункт приймання-видачі (до 30 кг): вул. Кооперативна, 15б'),
(1,	4113,	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 15б'),
(3,	4114,	'Пункт приймання-видачі (до 30 кг): вул. Дмитрівська, 47а'),
(1,	4114,	'Пункт приема-выдачи (до 30 кг): ул. Дмитриевская, 47а'),
(3,	4115,	'Відділення №1 (до 30 кг): вул. Крупської, 2/8б, приміщ. 106'),
(1,	4115,	'Отделение №1 (до 30 кг): ул. Крупской, 2 / 8б, помещ. 106'),
(3,	4116,	'Пункт приймання-видачі (до 30 кг): вул. Визволителів, 5'),
(1,	4116,	'Пункт приема-выдачи (до 30 кг): ул. Освободителей, 5'),
(3,	4117,	'Відділення №1: вул. Лесі Українки, 55'),
(1,	4117,	'Отделение №1: ул. Леси Украинки, 55'),
(3,	4118,	'Відділення №1: вул. Центральна, 33'),
(1,	4118,	'Отделение №1: ул. Центральная, 33'),
(3,	4119,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 7'),
(1,	4119,	'Пункт приема-выдачи (до 30 кг): ул. Главная 7'),
(3,	4120,	'Пункт приймання-видачі (до 30 кг): вул. Героїв Майдану, 41'),
(1,	4120,	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 41'),
(3,	4121,	'Пункт приймання-видачі (до 30 кг): вул. Миру,  5а'),
(1,	4121,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 5а'),
(3,	4122,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 37'),
(1,	4122,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(3,	4123,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 2б'),
(1,	4123,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 2б'),
(3,	4124,	'Відділення №1: вул. Клинівка, 2а/1'),
(1,	4124,	'Отделение №1: ул. Клиновка, 2а/1'),
(3,	4125,	'Відділення №1: проїзд Київський, 6а'),
(1,	4125,	'Отделение №1: проезд Киевский, 6а'),
(3,	4126,	'Відділення №1: вул. Валі Котика, 33'),
(1,	4126,	'Отделение №1: ул. Вали Котика, 33'),
(3,	4127,	'Відділення №1: вул. Богдана Хмельницького, 180в'),
(1,	4127,	'Отделение №1: ул. Богдана Хмельницкого, 180в'),
(3,	4128,	'Пункт приймання-видачі (до 30 кг): вул. Вашеняка, 14а'),
(1,	4128,	'Пункт приема-выдачи (до 30 кг): ул. Вашеняка, 14а'),
(3,	4129,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6а'),
(1,	4129,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6а'),
(3,	4130,	'Відділення №1: вул. Покровська, 3а'),
(1,	4130,	'Отделение №1: ул. Покровская, 3а'),
(3,	4131,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 58'),
(1,	4131,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(3,	4132,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1б'),
(1,	4132,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1б'),
(3,	4133,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	4133,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	4134,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 5'),
(1,	4134,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(3,	4135,	'Пункт приймання-видачі (до 30 кг): вул. Слобожанська, 1'),
(1,	4135,	'Пункт приема-выдачи (до 30 кг): ул. Слобожанская, 1'),
(3,	4136,	'Пункт приймання-видачі (до 30 кг): вул. Отакара Яроша, 111'),
(1,	4136,	'Пункт приема-выдачи (до 30 кг): ул. Отакара Яроша, 111'),
(3,	4137,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 14 В'),
(1,	4137,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14 В'),
(3,	4138,	'Відділення №1: вул. Перемоги, 1г'),
(1,	4138,	'Отделение №1: ул. Победы, 1г'),
(3,	4139,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 40'),
(1,	4139,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 40'),
(3,	4140,	'Пункт приймання-видачі (до 30 кг): вул. Висоцького, 81'),
(1,	4140,	'Пункт приема-выдачи (до 30 кг): ул. Высоцкого, 81'),
(3,	4141,	'Пункт приймання-видачі (до 30 кг): вул. Покрівська, 2д'),
(1,	4141,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 2д'),
(3,	4142,	'Відділення №1: вул. Київська, 4'),
(1,	4142,	'Отделение №1: ул. Киевская, 4'),
(3,	4143,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 108'),
(1,	4143,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 108'),
(3,	4144,	'Відділення №1: вул. Грибоєдова, 2а'),
(1,	4144,	'Отделение №1:  ул. Грибоедова, 2а'),
(3,	4145,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 9'),
(1,	4145,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 9'),
(3,	4146,	'Пункт приймання-видачі (до 30 кг): вул. Т. Шевченка, 252'),
(1,	4146,	'Пункт приема-выдачи (до 30 кг): ул. Т. Шевченко, 252'),
(3,	4147,	'Пункт приймання-видачі (до 30 кг): вул. Петрова, 11'),
(1,	4147,	'Пункт приймання-видачі (до 30 кг): вул. Петрова, 11'),
(3,	4148,	'Пункт приймання-видачі (до 30 кг): вул. Кленова, 17'),
(1,	4148,	'Пункт приема-выдачи (до 30 кг): ул. Кленовая, 17'),
(3,	4149,	'Відділення №1: вул. Гвардійська, 40/52'),
(1,	4149,	'Отделение №1: ул. Гвардейская, 40/52'),
(3,	4150,	'Пункт приймання-видачі (до 30 кг): вул.  Центральна, 95А'),
(1,	4150,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 95А'),
(3,	4151,	'Пункт приймання-видачі (до 30 кг): вул. Жовтнева, 22'),
(1,	4151,	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 22'),
(3,	4152,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 31'),
(1,	4152,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31'),
(3,	4153,	'Відділення №1: вул. 22 Січня, 22а, прим. 49'),
(1,	4153,	'Отделение №1: ул. 22 Января, 22а, пом. 49'),
(3,	4154,	'Відділення №1: вул. Гагаріна, 8'),
(1,	4154,	'Отделение №1: ул. Гагарина, 8'),
(3,	4155,	'Відділення № 1: вул. Кооперативна, 4'),
(1,	4155,	'Отделение № 1: ул. Кооперативная, 4'),
(3,	4156,	'Пункт приймання-видачі (до 30 кг): вул. Ворошилова, 50А'),
(1,	4156,	'Пункт приема-выдачи (до 30 кг): ул. Ворошилова, 50А'),
(3,	4157,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 14'),
(1,	4157,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 14'),
(3,	4158,	'Відділення №1: вул. Вознесенська, 52'),
(1,	4158,	'Отделение №1: ул. Вознесенская, 52'),
(3,	4159,	'Пункт приймання-видачі (до 30 кг): вул. 9 Травня, 51'),
(1,	4159,	'Пункт приема-выдачи (до 30 кг): ул. 9 Мая, 51'),
(3,	4160,	'Пункт приймання-видачі (до 30 кг): вул. Златопільська, 72'),
(1,	4160,	'Пункт приема-выдачи (до 30 кг): ул. Златопольская, 72'),
(3,	4161,	'Відділення №1: вул. Староміська, 11'),
(1,	4161,	'Отделение №1: ул. Староместская, 11'),
(3,	4162,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 85А'),
(1,	4162,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинский, 85А'),
(3,	4163,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 39'),
(1,	4163,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 39'),
(3,	4164,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 27'),
(1,	4164,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(3,	4165,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 85а'),
(1,	4165,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85а'),
(3,	4166,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 79'),
(1,	4166,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 79'),
(3,	4167,	'Пункт приймання-видачі (до 30 кг): вул. Героїв Майдану, 1'),
(1,	4167,	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 1'),
(3,	4168,	'Відділення №1: вул. Некрасова, 3а'),
(1,	4168,	'Отделение №1: ул. Некрасова, 3а'),
(3,	4169,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 36/а'),
(1,	4169,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 36 / а'),
(3,	4170,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 47-А'),
(1,	4170,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 47-А'),
(3,	4171,	'Пункт приймання-видачі (до 30 кг): вул. Перемоги, 16'),
(1,	4171,	'Пункт приема-выдачи (до 30 кг): ул. Победы, 16'),
(3,	4172,	'Відділення №1: вул. Проскурівська, 3'),
(1,	4172,	'Отделение №1: ул. Проскуровская, 3'),
(3,	4173,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 18а'),
(1,	4173,	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 18а'),
(3,	4174,	'Відділення №1: вул. Паркова, 8'),
(1,	4174,	'Отделение №1: ул. Парковая, 8'),
(3,	4175,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 115'),
(1,	4175,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 115'),
(3,	4176,	'Пункт приймання-видачі (до 30 кг): вул. Першотравнева, 13'),
(1,	4176,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 13'),
(3,	4177,	'Відділення №1: вул. Горбового, 8'),
(1,	4177,	'Отделение №1: ул. Горбового, 8'),
(3,	4178,	'Відділення №1: вул. Московська, 21'),
(1,	4178,	'Отделение №1: ул. Московская, 21'),
(3,	4179,	'Відділення №1: вул. Самарська, 1'),
(1,	4179,	'Отделение №1: ул. Самарськая, 1'),
(3,	4180,	'Відділення №1: вул. Центральна, 175'),
(1,	4180,	'Отделение №1: ул. Центральна, 175'),
(3,	4181,	'Відділення №1: вул. Звягельська, 28'),
(1,	4181,	'Отделение №1: ул. Звягельская, 28'),
(3,	4182,	'Відділення №1: вул. Романа Шухевича, 44'),
(1,	4182,	'Отделение №1: ул. Романа Шухевича, 44'),
(3,	4183,	'Відділення №1 (до 15 кг) Міні-відділення: вул. Світла, 3'),
(1,	4183,	'Отделение №1 (до 15 кг) Мини-отделение: ул. Светлая, 3'),
(3,	4184,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 47/3'),
(1,	4184,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 47/3'),
(3,	4185,	'Пункт приймання-видачі (до 30 кг): вул. Гагарина, 42'),
(1,	4185,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 42'),
(3,	4186,	'Пункт приймання-видачі (до 30 кг): вул. Саксаганська, 1'),
(1,	4186,	'Пункт приема-выдачи (до 30 кг): ул. Саксаганского, 1'),
(3,	4187,	'Пункт приймання-видачі (до 30 кг): вул. Каховська, 4а'),
(1,	4187,	'Пункт приема-выдачи (до 30 кг): ул. Каховськая, 4а'),
(3,	4188,	'Відділення №1 (до 30 кг): вул. Центральна, 28'),
(1,	4188,	'Отделение №1: ул. Центральная, 28'),
(3,	4189,	'Пункт приймання-видачі (до 30 кг): вул. Набережна, 2А'),
(1,	4189,	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 2А'),
(3,	4190,	'Пункт приймання-видачі(до 30 кг): вул. Гагаріна, 10'),
(1,	4190,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10'),
(3,	4191,	'Відділення №1: вул. Корятовича, 26'),
(1,	4191,	'Отделение №1: ул. Корятовича, 26'),
(3,	4192,	'Пункт приймання-видачі (до 30 кг): вул. Івана Франка, 145'),
(1,	4192,	'Пункт приема-выдачи (до 30 кг), ул. Ивана Франко, 145'),
(3,	4193,	'Пункт приймання-видачі (до 30 кг): вул. Святого Миколая, 15'),
(1,	4193,	'Пункт приема-выдачи (до 30 кг): ул. Святого Николая, 15'),
(3,	4194,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 167А'),
(1,	4194,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 167А'),
(3,	4195,	'Пункт приймання-видачі (до 30 кг): вул. Фогодо, 81'),
(1,	4195,	'Пункт приема-выдачи (до 30 кг): ул. Фогодо, 81'),
(3,	4196,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 32'),
(1,	4196,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32'),
(3,	4197,	'Відділення №1: вул. Садова, 31'),
(1,	4197,	'Отделение №1: ул. Садовая, 31'),
(3,	4198,	'Пункт приймання-видачі (до 30 кг): вул. Зарічнянська, 59а'),
(1,	4198,	'Пункт приема-выдачи (до 30 кг): ул. Заречнянская, 59а'),
(3,	4199,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 52'),
(1,	4199,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 52'),
(3,	4200,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 5'),
(1,	4200,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3,	4201,	'Пункт приймання-видачі (до 30 кг): вул. Радгоспна, 2а'),
(1,	4201,	'Пункт приема-выдачи (до 30 кг): ул. Радгоспная, 2а'),
(3,	4202,	'Відділення №1: вул. Незалежності, 57'),
(1,	4202,	'Отделение №1: ул. Независимости, 57'),
(3,	4203,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	4203,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3,	4204,	'Відділення №1: вул. Центральна, 76в'),
(1,	4204,	'Отделение №1: ул. Центральная, 76В'),
(3,	4205,	'Пункт приймання-видачі (до 30 кг): вул. Дорога НО3'),
(1,	4205,	'Пункт приема-выдачи (до 30 кг): ул. дорога НО3'),
(3,	4206,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 3в'),
(1,	4206,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3в'),
(3,	4207,	'Пункт приймання-видачі (до 30 кг): вул. Б. Хмельницького, 22'),
(1,	4207,	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 22'),
(3,	4208,	'Пункт приймання-видачі (до 30 кг): вул. Визволення, 47'),
(1,	4208,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(3,	4209,	'Пункт приймання-видачі (до 30 кг): вул. Січових Стрільців, 43'),
(1,	4209,	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 43'),
(3,	4210,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 14'),
(1,	4210,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 14'),
(3,	4211,	'Пункт приймання-видачі (до 30 кг): вул. Лісова, 1а'),
(1,	4211,	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1а'),
(3,	4212,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 13'),
(1,	4212,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 13'),
(3,	4213,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 8'),
(1,	4213,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(3,	4214,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 78А'),
(1,	4214,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 78А'),
(3,	4215,	'Пункт приймання-видачі (до 30 кг): вул. Лесі Українки, 59'),
(1,	4215,	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 59'),
(3,	4216,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 33'),
(1,	4216,	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 33'),
(3,	4217,	'Відділення №1: вул. Дачна, 5'),
(1,	4217,	'Отделение №1: ул. Дачная, 5'),
(3,	4218,	'Відділення №1: вул. Ларіонова, 17а'),
(1,	4218,	'Отделение №1: ул. Ларионова, 17а'),
(3,	4219,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 50'),
(1,	4219,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50'),
(3,	4220,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 65'),
(1,	4220,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 65'),
(3,	4221,	'Відділення №1: вул. Центральна, 1а'),
(1,	4221,	'Отделение №1: ул. Центральная, 1а'),
(3,	4222,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 41а'),
(1,	4222,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 41а'),
(3,	4223,	'Відділення №1: вул. Коваліва, 4'),
(1,	4223,	'Отделение №1: ул. Ковалива, 4'),
(3,	4224,	'Пункт приймання-видачі (до 30 кг): вул. Рибалка, 55а'),
(1,	4224,	'Пункт приема-выдачи (до 30 кг): ул. Рыбалка, 55а'),
(3,	4225,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка,1'),
(1,	4225,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3,	4226,	'Відділення №1: пров. Вокзальний, 6'),
(1,	4226,	'Отделение №1: переул. Вокзальный, 6'),
(3,	4227,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 6'),
(1,	4227,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 6'),
(3,	4228,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 199а'),
(1,	4228,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 199а'),
(3,	4229,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 2'),
(1,	4229,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 2'),
(3,	4230,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 34'),
(1,	4230,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 34'),
(3,	4231,	'Пункт приймання-видачі (до 30 кг): вул. Бобошківська, 2а'),
(1,	4231,	'Пункт приема-выдачи (до 30 кг): ул. Бобошкивська, 2а'),
(3,	4232,	'Пункт приймання-видачі (до 30 кг): вул. Євгена Слабченка, 2'),
(1,	4232,	'Пункт приема-выдачи (до 30 кг): ул. Евгения Слабченко, 2'),
(3,	4233,	'Пункт приймання-видачі (до 30 кг): вул. Леоніда Ступницького, 64'),
(1,	4233,	'Пункт приема-выдачи (до 30 кг), ул. Леонида Ступницкого, 64'),
(3,	4234,	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 14'),
(1,	4234,	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 14'),
(3,	4235,	'Відділення №1: вул. Нова, 2Е'),
(1,	4235,	'Отделение №1: ул. Новая, 2Е'),
(3,	4236,	'Відділення №1: вул. Набережна, 23 (ПежоСервіс)'),
(1,	4236,	'Отделение №1: ул. Набережная, 23 (ПежоСервис)'),
(3,	4237,	'Відділення №1: вул. Шкільна, 6'),
(1,	4237,	'Отделение №1: ул. Школьная, 6'),
(3,	4238,	'Пункт приймання-видачі (до 30 кг): вул. Гриневича, 4'),
(1,	4238,	'Пункт приема-выдачи (до 30 кг): ул. Гриневича, 4'),
(3,	4239,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 19'),
(1,	4239,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(3,	4240,	'Пункт приймання-видачі (до 30 кг): вул. Родникова, 84'),
(1,	4240,	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 84'),
(3,	4241,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 10'),
(1,	4241,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3,	4242,	'Пункт приймання-видачі (до 30 кг): вул. Софії Галечко, 15а'),
(1,	4242,	'Пункт приема-выдачи (до 30 кг): ул. Софии Галечко, 15а'),
(3,	4243,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 38'),
(1,	4243,	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 38'),
(3,	4244,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 89'),
(1,	4244,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 89'),
(3,	4245,	'Відділення №1 (до 30 кг): вул. Мельнична, 66/1'),
(1,	4245,	'Отделение №1 (до 30 кг): ул. Мельничная, 66/1'),
(3,	4246,	'Відділення №1: бульв. Свободи, 1а'),
(1,	4246,	'Отделение №1: бульв. Свободы, 1а'),
(3,	4247,	'Пункт приймання видачі (до 30 кг): вул. Шевченка, 50'),
(1,	4247,	'Пункт приема выдачи (до 30 кг): ул. Шевченко, 50'),
(3,	4248,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 59'),
(1,	4248,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 59'),
(3,	4249,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 9'),
(1,	4249,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 9'),
(3,	4250,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17б'),
(1,	4250,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17б'),
(3,	4251,	'Пункт приймання-видачі (до 30 кг): вул. Миру, 14'),
(1,	4251,	'Пункт приема-выдачи (до 30 кг): ул. Мира, 14'),
(3,	4252,	'Відділення №1: вул. Сумська, 15'),
(1,	4252,	'Отделение №1: ул. Сумская, 15'),
(3,	4253,	'Відділення №1: вул. Незалежності, 46а'),
(1,	4253,	'Отделение №1: ул. Независимости, 46а'),
(3,	4254,	'Відділення № 1: вул. Суворова, 2а'),
(1,	4254,	'Отделение: ул. Суворова, 2а'),
(3,	4255,	'Відділення №1: вул. Українська, 23'),
(1,	4255,	'Отделение №1: ул. Украинская, 23'),
(3,	4256,	'Відділення №1: вул. Українська, 10'),
(1,	4256,	'Отделение №1: ул. Украинская, 10'),
(3,	4257,	'Відділення №1: вул. Шевченка, 50'),
(1,	4257,	'г. Олыка, Отделение №1: ул. Шевченка, 50'),
(3,	4258,	'Відділення №1: вул. Центральна, 22'),
(1,	4258,	'Отделение №1: ул. Центральная, 22'),
(3,	4259,	'Відділення №1: вул. Незалежності, 21'),
(1,	4259,	'Отделение №1: ул. Независимости, 21'),
(3,	4260,	'Пункт приймання-видачі (до 30 кг): вул. Луцька, 29А'),
(1,	4260,	'Пункт приема-выдачи (до 30 кг): ул. Луцкая, 29А'),
(3,	4261,	'Пункт приймання-видачі (до 30 кг): вул. В. Сильмана, 16'),
(1,	4261,	'Пункт приема-выдачи  (до 30 кг): ул. В. Сильмана, 16'),
(3,	4262,	'Пункт приймання-видачі (до 30 кг): вул. І.Франка, 51в'),
(1,	4262,	'Пункт приема-выдачи (до 30 кг), ул. И. Франко, 51в'),
(3,	4263,	'Відділення №1: вул. Харківська, 28'),
(1,	4263,	'Отделение №1: ул. Харьковская, 28'),
(3,	4264,	'Відділення №1: вул. 1-го Травня, 14'),
(1,	4264,	'Отделение №1: ул. 1-го Мая, 14'),
(3,	4265,	'Відділення №1: вул. Генерала Подзигуна, 248'),
(1,	4265,	'Отделение №1: ул. Генерала Подзыгуна, 248'),
(3,	4266,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 17/3'),
(1,	4266,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 17/3'),
(3,	4267,	'Пункт приймання-видачі (до 30 кг): вул. Кутузова, 45а'),
(1,	4267,	'Пункт приема-выдачи (до 30 кг): ул. Кутузова, 45а'),
(3,	4268,	'Відділення №1 (до 30 кг): вул. Київська, б/н'),
(1,	4268,	'Отделение №1 (до 30 кг): ул. Киевская, б/н'),
(3,	4269,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 38А'),
(1,	4269,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 38А'),
(3,	4270,	'Пункт приймання-видачі (до 30 кг): пров. Ясковецький, 2'),
(1,	4270,	'Пункт приема-выдачи (до 30 кг): ул. Ясковецький, 2'),
(3,	4271,	'Пункт приймання-видачі (до 30 кг): вул. Філатова, 1А'),
(1,	4271,	'Пункт приема-выдачи (до 30 кг): ул. Филатова, 1А'),
(3,	4272,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 1'),
(1,	4272,	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(3,	4273,	'Пункт приймання-видачі (до 30 кг): вул. Шляхова, 43'),
(1,	4273,	'Пункт приема-выдачи (до 30 кг): ул. Шляховая, 43'),
(3,	4274,	'Відділення №1: вул. Тичини, 2а'),
(1,	4274,	'Отделение №1: ул. Тычины, 2а'),
(3,	4275,	'Пункт приймання-видачі (до 30 кг): пров. Заводський, 1а'),
(1,	4275,	'Пункт приема-выдачи (до 30 кг): ул. Заводской, 1а'),
(3,	4276,	'Відділення №1: пров. 1-й Калиновий, 7б'),
(1,	4276,	'Отделение №1: пров. 1-й Калиновий, 7б'),
(3,	4277,	'Пункт приймання-видачі (до 30 кг): вул. Дикопольцева, 34'),
(1,	4277,	'Пункт приема-выдачи (до 30 кг): ул. Дикопольцева, 34'),
(3,	4278,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 6А'),
(1,	4278,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6А'),
(3,	4279,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 41/2'),
(1,	4279,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41/2'),
(3,	4280,	'Пункт приймання-видачі (до 30 кг): вул. Довженка, 69'),
(1,	4280,	'Пункт приема-выдачи (до 30 кг): ул. Довженко, 69'),
(3,	4281,	'Пункт приймання-видачі (до 30 кг): вул. Перебудови , 16'),
(1,	4281,	'Пункт приема-выдачи (до 30 кг), ул. Перестройки, 16'),
(3,	4282,	'Відділення №1: вул. Руська, 248о'),
(1,	4282,	'Отделение №1: ул. Русская, 248о'),
(3,	4283,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 63А'),
(1,	4283,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63А'),
(3,	4284,	'Пункт приймання-видачі (до 30 кг): вул. Леніна, 1'),
(1,	4284,	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 1'),
(3,	4285,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 79а'),
(1,	4285,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 79а'),
(3,	4286,	'Пункт приймання-видачі (до 30 кг): вул. Клубна, 2'),
(1,	4286,	'Пункт приема-выдачи (до 30 кг): ул. Клубная, 2'),
(3,	4287,	'Пункт приймання-видачі (до 30 кг): вул. Селекційна, 22В'),
(1,	4287,	'Пункт приема-выдачи (до 30 кг): ул. Селекционная, 22В'),
(3,	4288,	'Пункт приймання видачі (до 30 кг): вул. Центральна, 20'),
(1,	4288,	'Пункт приема выдачи (до 30 кг): ул. Центральная, 20'),
(3,	4289,	'Пункт приймання-видачі (до 30 кг): вул. Дружби, 155-А'),
(1,	4289,	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 155-А'),
(3,	4290,	'Пункт приймання-видачі (до 30 кг): вул. Сахна, 25'),
(1,	4290,	'Пункт приема-выдачи (до 30 кг): ул. Сахно, 25'),
(3,	4291,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 55'),
(1,	4291,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 55'),
(3,	4292,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 78'),
(1,	4292,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 78'),
(3,	4293,	'Пункт приймання-видачі  (до 30 кг): вул. Авдієвського, 14'),
(1,	4293,	'Пункт приема-выдачи (до 30 кг): ул.  Авдиевского, 14'),
(3,	4294,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 3'),
(1,	4294,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(3,	4295,	'Відділення №1 (до 30 кг): вул. Васюти, 67'),
(1,	4295,	'Отделение №1 (до 30 кг): ул. Васюты, 67'),
(3,	4296,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 9а'),
(1,	4296,	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 9а'),
(3,	4297,	'Пункт приймання-видачі (до 30 кг): вул. Партизанська, 5'),
(1,	4297,	'Пункт приема-выдачи (до 30 кг): ул. Партизанская, 5'),
(3,	4298,	'Відділення №1: вул. Винниченка, 72'),
(1,	4298,	'Отделение №1: ул. Винниченка, 72'),
(3,	4299,	'Відділення №1: вул. Гагаріна, 26а'),
(1,	4299,	'Отделение №1: ул. Гагарина, 26а'),
(3,	4300,	'Відділення №1: вул. Незалежності, 59/1'),
(1,	4300,	'Отделение №1: ул. Октябрьская, 59/1'),
(3,	4301,	'Пункт приймання-видачі (до 30 кг): вул. Колгоспна, 50'),
(1,	4301,	'Пункт приема-выдачи (до 30 кг), ул. Колхозная, 50'),
(3,	4302,	'Пункт приймання-видачі (до 30 кг): вул. Ракоці, 154'),
(1,	4302,	'Пункт приема-выдачи (до 30 кг): ул. Ракоци, 154'),
(3,	4303,	'Пункт приймання-видачі (до 30 кг): вул. Заморока, 34'),
(1,	4303,	'Пункт приема-выдачи (до 30 кг): ул. Заморока, 34'),
(3,	4304,	'Відділення №1: вул. Ватутіна, 2'),
(1,	4304,	'Отделение № 1:ул. Ватутина, 2'),
(3,	4305,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 10а'),
(1,	4305,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 10а'),
(3,	4306,	'Пункт приймання-видачі (до 30 кг): вул. Берестецька, 11'),
(1,	4306,	'Пункт приема-выдачи (до 30 кг): ул. Берестецкая, 11'),
(3,	4307,	'Відділення №1: вул. Шевченко, 2'),
(1,	4307,	'Отделение №1: ул. Шевченка, 2'),
(3,	4308,	'Відділення №1: вул. Шкільна, 2'),
(1,	4308,	'Отделение №1: ул. Школьная, 2'),
(3,	4309,	'Пункт приймання-видачі (до 30 кг): вул. Фабрична, 2'),
(1,	4309,	'Пункт приема-выдачи (до 30 кг): ул. Фабричная, 2'),
(3,	4310,	'Пункт приймання-видачі (до 30 кг): вул. Героя, 2'),
(1,	4310,	'Пункт приема-выдачи (до 30 кг): ул. Героя, 2'),
(3,	4311,	'Пункт приймання-видачі (до 30 кг): вул. Суворова,4а'),
(1,	4311,	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 4а'),
(3,	4312,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 16Б'),
(1,	4312,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 16Б'),
(3,	4313,	'Пункт приймання-видачі (до 30 кг): вул. Верховинська, 10г'),
(1,	4313,	'Пункт приема-выдачи (до 30 кг): ул. Верховинская, 10г'),
(3,	4314,	'Пункт приймання-видачі ( до 30 кг): вул. Миру, 89б'),
(1,	4314,	'Пункт приема-выдачи (до 30 кг): ул. Миру, 89б'),
(3,	4315,	'Відділення №1: вул. Шевченка, 3а'),
(1,	4315,	'Отделение №1: ул. Шевченко, 3а'),
(3,	4316,	'Відділення №1: вул. Головна, 68'),
(1,	4316,	'Отделение №1: ул. Главная, 68'),
(3,	4317,	'Пункт приймання-видачі (до 30 кг): вул. Комсомольська, 13а'),
(1,	4317,	'Пункт приема-выдачи (до 30 кг): ул. Комсомольская, 13а'),
(3,	4318,	'Відділення №1: вул. Салдобошська, 16'),
(1,	4318,	'Отделение №1: ул. Салдобошская, 16'),
(3,	4319,	'Автолавка (до 30 кг): вул. Шкільна, 5'),
(1,	4319,	'Автолавка (до 30 кг): ул. Школьная, 5'),
(3,	4320,	'Пункт приймання-видачі (до 30 кг): вул. Пришкільна, 2'),
(1,	4320,	'Пункт приема-выдачи (до 30 кг): ул. Пришкольная, 2'),
(3,	4321,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 1'),
(1,	4321,	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1'),
(3,	4322,	'Пункт приймання-видачі (до 30 кг): вул. Покровська, 25'),
(1,	4322,	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 25'),
(3,	4323,	'Відділення №1: вул. Гагаріна, 15'),
(1,	4323,	'Отделение №1: ул. Гагарина, 15'),
(3,	4324,	'Пункт приймання-видачі (до 30 кг): вул. Червоний шлях, 142'),
(1,	4324,	'Пункт приема-выдачи (до 30 кг), ул. Красный путь, 142'),
(3,	4325,	'Пункт приймання-видачі (до 30 кг): вул. Ювілейна, 1'),
(1,	4325,	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 1'),
(3,	4326,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 8а'),
(1,	4326,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 8а'),
(3,	4327,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 16'),
(1,	4327,	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 16'),
(3,	4328,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 45'),
(1,	4328,	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 45'),
(3,	4329,	'Відділення №1: вул. Київський шлях, 54'),
(1,	4329,	'Отделение №1: ул. Киевский путь, 54'),
(3,	4330,	'Пункт приймання-видачі (до 30 кг): пров. Вишневий, 58'),
(1,	4330,	'Пункт приема-выдачи (до 30 кг): пер. Вишневый, 58'),
(3,	4331,	'Пункт приймання-видачі (до 30 кг): вул. Коцюбинського, 5а'),
(1,	4331,	'Пункт приема-выдачи (до 30 кг): ул. Коцюбинского, 5а'),
(3,	4332,	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 11'),
(1,	4332,	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 11'),
(3,	4333,	'Пункт приймання-видачі (до 30 кг): вул. Шкільна, 33'),
(1,	4333,	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 33'),
(3,	4334,	'Пункт приймання-видачі (до 30 кг): вул. Курдяєва, 7'),
(1,	4334,	'Пункт приема-выдачи (до 30 кг): ул. Курдяева, 7'),
(3,	4335,	'Відділення №1: вул. Заводська, 1/14'),
(1,	4335,	'Отделение №1: ул. Заводская 1/14'),
(3,	4336,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Троїцька, 3'),
(1,	4336,	'Отделение №2 (до 5 кг) Мини-отделение, ул. Троицкая, 3'),
(3,	4337,	'Відділення №2 (до 30 кг) Пункт приймання-видачі: вул. Шевченка, 62а'),
(1,	4337,	'Отделение №2 (до 30 кг): Пункт приема-выдачи, ул. Шевченко, 62а'),
(3,	4338,	'Відділення №2 (до 30 кг на одне місце): вул. Володимира Великого, 1б'),
(1,	4338,	'Отделение №2 (до 30 кг на одно место): ул. Владимира Великого, 1б'),
(3,	4339,	'Відділення №2 (до 30 кг на одне місце): вул. Київська, 2'),
(1,	4339,	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 2'),
(3,	4340,	'Відділення №2 (до 30 кг на одне місце): вул. Січових Стрільців, 2В'),
(1,	4340,	'Отделение №2 (до 30 кг на одно место), ул. Сечевых Стрельцов, 2В'),
(3,	4341,	'Відділення №2 (до 5 кг), Міні-відділення: вул. 1-го Травня, 70а'),
(1,	4341,	'Отделение №2 (до 5 кг), Мини-отделение: ул. 1-го Мая, 70а'),
(3,	4342,	'Відділення №2 (до 30 кг на одне місце): вул. Дружби Народів, 5/5'),
(1,	4342,	'Отделение № 2 (до 30 кг на одно место): ул. Дружбы Народов, 5/5'),
(3,	4343,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Соборна, 69'),
(1,	4343,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Соборная, 69'),
(3,	4344,	'Відділення №2: вул. Немирівське шосе, 8 (Біля АВТОМИР)'),
(1,	4344,	'Отделение №2: ул. Немировское шоссе, 8 (Возле АВТОМИР)'),
(3,	4345,	'Відділення №2 (до 30 кг): вул. Я. Мудрого, 1'),
(1,	4345,	'Отделение №2 (до 30 кг): ул. Я. Мудрого, 1'),
(3,	4346,	'Відділення №2 (до 30 кг) Пункт приймання-видачі: вул. Культури, 122'),
(1,	4346,	'Пункт приема-выдачи (до 30 кг), ул. Культуры, 122'),
(3,	4347,	'Відділення №2 (до 30 кг): просп. Перемоги, 50'),
(1,	4347,	'Отделение №2 (до 30 кг): просп. Победы, 50'),
(3,	4348,	'Відділення №2 (до 30 кг): вул. Шевченка, 66'),
(1,	4348,	'Отделение №2 (до 30 кг): ул. Шевченко, 66'),
(3,	4349,	'Відділення №2 (до 30 кг): вул. Братів Коваленко, 54'),
(1,	4349,	'Отделение №2 (до 30 кг): ул. Братьев Коваленко, 54'),
(3,	4350,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Юності, 3'),
(1,	4350,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Юности, 3'),
(3,	4351,	'Відділення №2 (до 30 кг): вул. Зімоліна, 3/1Б'),
(1,	4351,	'Отделение №2 (до 30 кг): ул. Зимолина, 3/1Б'),
(3,	4352,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Садова, 6А'),
(1,	4352,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Садовая, 6А'),
(3,	4353,	'Відділення №2 (до 30 кг на одне місце): вул. Софіївська (ран. Олекси Гірника), 40'),
(1,	4353,	'Отделение №2 (до 30 кг на одно место): ул. Софиевская (ран. Олексы Гирныка), 40'),
(3,	4354,	'Відділення №2 (до 30 кг): вул. Михайла Грушевського, 131'),
(1,	4354,	'Отделение №2 (до 30 кг): ул. Михаила Грушевского, 131'),
(3,	4355,	'Відділення №2 (до 30 кг на одне місце): вул. Соборна (ран. Леніна), 58'),
(1,	4355,	'Отделение №2 (до 30 кг на одно место): ул. Соборная (ран. Ленина), 58'),
(3,	4356,	'Відділення №2 (до 30 кг): вул. Київський Шлях, 69в (міський парк)'),
(1,	4356,	'Отделение №2 (до 30 кг): ул. Киевский Шлях, 69в (городской парк)'),
(3,	4357,	'Відділення №2 (до 30 кг на одне місце): вул. 28 червня, 60/1'),
(1,	4357,	'Отделение №2 (до 30 кг на одно место): ул. 28 июня, 60/1'),
(3,	4358,	'Відділення №2 (до 30 кг): вул. Садова, 124'),
(1,	4358,	'Отделение №2 (до 30 кг): ул. Садовая, 124'),
(3,	4359,	'Відділення №2 (до 30 кг): вул. Івана Мазепи, 3'),
(1,	4359,	'Отделение №2 (до 30 кг): ул. Ивана Мазепы, 3'),
(3,	4360,	'Відділення №2 (до 30 кг): вул. Коротка, 2'),
(1,	4360,	'Отделение №2 (до 30 кг): ул. Короткая, 2'),
(3,	4361,	'Відділення №2 (до 30 кг) Пункт приймання-видачі: вул. Кооперативна, 4'),
(1,	4361,	'Пункт приема-выдачи (до 30 кг), ул. Кооперативная, 4'),
(3,	4362,	'Відділення №2 (до 30 кг): вул. Гагаріна,11'),
(1,	4362,	'Отделение №2 (до 30 кг): ул. Гагарина, 11'),
(3,	4363,	'Відділення №2 (до 30 кг): вул. Будівельників, 1'),
(1,	4363,	'Отделение №2 (до 30 кг): ул. Строителей, 1'),
(3,	4364,	'Відділення №2 (до 30 кг на одне місце): вул. Київська, 302'),
(1,	4364,	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 302'),
(3,	4365,	'Відділення №2 (до 30 кг): вул. Вокзальна, 22'),
(1,	4365,	'Отделение №2 (до 30 кг): ул. Вокзальная, 22'),
(3,	4366,	'Відділення №2 (до 30 кг на одне місце): мкрн. Шахтарський, ТЦ &quot;Шахтарський&quot;'),
(1,	4366,	'Отделение №2 (до 30 кг на одно место): мкрн. Шахтёрский, ТЦ «Шахтёрский»'),
(3,	4367,	'Відділення №2 (до 30 кг): вул. Центральна, 19'),
(1,	4367,	'Отделение №2 (до 30 кг на одно место): ул. Центральная, 19'),
(3,	4368,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Коваля, 1'),
(1,	4368,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Коваля, 1'),
(3,	4369,	'Відділення №2 (до 30 кг): вул. Героїв Небесної Сотні, 56'),
(1,	4369,	'Відділення №2 (до 30 кг): ул. Героев Небесной Сотни, 56'),
(3,	4370,	'Відділення №2: (до 30 кг на одне місце) вул. Магістральна, 504'),
(1,	4370,	'Отделение №2: (до 30 кг на одно место) ул. Магистральная, 504'),
(3,	4371,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Василя Стуса, 5'),
(1,	4371,	'Отделение №2 (до 2 кг) Мини-отделение: ул. Василия Стуса, 5'),
(3,	4372,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Східна, 2'),
(1,	4372,	'Отделение №2 (до 10 кг) Мини-отделение, ул. Восточная, 2'),
(3,	4373,	'Відділення №2 (до 30 кг): вул. Свято-Покровська, 2Б'),
(1,	4373,	'Отделение №2 (до 30 кг), ул. Свято-Покровская, 2Б'),
(3,	4374,	'Відділення №2 Міні-відділення (до 15 кг): вул. Кременецька, 26'),
(1,	4374,	'Отделение №2 Мини-отделение (до 15 кг): ул. Кременецкая, 26'),
(3,	4375,	'Відділення №2 (до 5 кг): Міні-відділення, вул. Миру, 19'),
(1,	4375,	'Отделение №2 (до 5 кг): Мини-отделение, ул. Мира, 19'),
(3,	4376,	'Відділення №2 (до 30кг): вул. Центральна, 50'),
(1,	4376,	'Отделение №2: (до 30кг), Центральная, 50'),
(3,	4377,	'Відділення № 2 (до 30 кг): в\'їзд Набережний, 7'),
(1,	4377,	'Отделение № 2 (до 30 кг): вьезд Набережный, 7'),
(3,	4378,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Незалежності, 121'),
(1,	4378,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Независимости, 121'),
(3,	4379,	'Відділення №2 (до 30 кг): вул. Залізнична, 52'),
(1,	4379,	'Отделение №2 (до 30 кг): ул. Железнодорожная, 52'),
(3,	4380,	'Відділення №2 Міні-відділення (до 5 кг): вул. Грушевського, 16'),
(1,	4380,	'Отделение №2 Мини-отделение (до 5 кг): ул. Грушевского, 16'),
(3,	4381,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Дружби, 24'),
(1,	4381,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Дружбы, 24'),
(3,	4382,	'Відділення №2 (до 30 кг): вул. Петрушевича Є., 26'),
(1,	4382,	'Отделение №2 (до 30 кг): ул. Петрушевича, 26'),
(3,	4383,	'Відділення №2 (до 30 кг): вул. Сумьский шлях, 243'),
(1,	4383,	'Отделение №2 (до 30 кг): ул. Сумьский путь, 243'),
(3,	4384,	'Відділення №2 (до 30 кг): вул. Миколи Леонтовича, 55 Б'),
(1,	4384,	'Отделение №2 (до 30 кг): ул. Николая Леонтовича, 55 Б'),
(3,	4385,	'Відділення №2 (до 30 кг на одне місце): вул. 40 років Перемоги, 6'),
(1,	4385,	'Отделение №2 (до 30 кг на одно место): ул. 40 лет Победы, 6'),
(3,	4386,	'Відділення №2 (до 30 кг): вул. Київський шлях, 38'),
(1,	4386,	'Отделение №2 (до 30 кг): ул. Киевский путь, 38'),
(3,	4387,	'Відділення №2: вул. Залізнична, 3а'),
(1,	4387,	'Отделение №2: ул. Железнодорожная, 3а'),
(3,	4388,	'Відділення №2 (до 30 кг): вул. Київська, 119а'),
(1,	4388,	'Отделение №2 (до 30 кг): ул. Киевская, 119а'),
(3,	4389,	'Відділення №2 (до 30 кг): вул. Центральна (ран. Комунарів), 23'),
(1,	4389,	'Отделение №2 (до 30 кг): ул. Центральная (ран. Комунаров), 23'),
(3,	4390,	'Відділення №2 (до 30 кг на одне місце) Міні-відділення: вул. Кузовкова, 3'),
(1,	4390,	'Отделение №2 (до 30 кг на одно место) Мини-отделение: ул. Кузовкова, 3'),
(3,	4391,	'Відділення №2 (до 30 кг): вул. Тараса Бульби-Боровця (ран. Маршала Рибалко), 28'),
(1,	4391,	'Отделение №2 (до 30 кг): ул. Тараса Бульбы-Боровца (ран. Маршала Рыбалко), 28'),
(3,	4392,	'Відділення №2: вул. Леоніда Бородича, 17'),
(1,	4392,	'Отделение №2: ул. Леонида Бородича, 17'),
(3,	4393,	'Відділення №2 (до 30 кг): вул. Богдана Ліщини, 21'),
(1,	4393,	'Отделение №2 (до 30 кг): ул. Богдана Лещины, 21'),
(3,	4394,	'Відділення №2 (до 30 кг на одне місце): вул. Соборна (ран. Кірова), 12'),
(1,	4394,	'Отделение №2 (до 30 кг на одно место): ул. Соборная (ран. Кирова), 12'),
(3,	4395,	'Відділення №2: вул. Євгена Маланюка, 21а'),
(1,	4395,	'Отделение №2: ул. Евгения Маланюка, 21а'),
(3,	4396,	'Відділення №2 (до 30 кг на одне місце): вул. Строна, 3'),
(1,	4396,	'Отделение №2 (до 30 кг на одно место): ул. Строна, 3'),
(3,	4397,	'Відділення №2: вул. Чигиринська, 11/1'),
(1,	4397,	'Отделение №2: ул. Чигиринская, 11/1'),
(3,	4398,	'Відділення №2: вул. Карпенка-Карого, 58'),
(1,	4398,	'Отделение №2: ул. Карпенко-Карого, 58'),
(3,	4399,	'Відділення №2: вул. Ковпака, 26'),
(1,	4399,	'Отделение №2: ул. Ковпака, 26'),
(3,	4400,	'Відділення №2 (до 30 кг на одне місце): просп. Московський, 54а'),
(1,	4400,	'Отделение №2 (до 30 кг на одно место): просп. Московский, 54а'),
(3,	4401,	'Відділення №2: вул. Академіка Янгеля, 40'),
(1,	4401,	'Отделение №2: ул. Академика Янгеля, 40'),
(3,	4402,	'Відділення №2: вул. Бережанська, 9 (Оболонь Лугова)'),
(1,	4402,	'Отделение №2: ул. Бережанская, 9 (Оболонь Луговая)'),
(3,	4403,	'Відділення №2: вул. Морехідна, 1в/6  (Літ. Б2)'),
(1,	4403,	'Отделение №2: ул. Мореходная, 1в/6 (Лит. Б2)'),
(3,	4404,	'Відділення №2: вул. Базова, 16 (Промринок, 7 км)'),
(1,	4404,	'Отделение №2: ул. Базовая, 16 (Промрынок, 7 км)'),
(3,	4405,	'Відділення №2 (до 30 кг): вул. Богдана Хмельницького, 98'),
(1,	4405,	'Отделение № 2 (до 30 кг): ул. Богдана Хмельницкого, 98'),
(3,	4406,	'Відділення №2 (до 30 кг): вул. Електрометалургів, 4а'),
(1,	4406,	'Отделение № 2 (до 30 кг): ул. Электрометаллургов, 4а'),
(3,	4407,	'Відділення №2 (до 30 кг): вул. Соборна, 96'),
(1,	4407,	'Отделение №2 (до 30 кг): ул. Соборная, 96'),
(3,	4408,	'Відділення №2 (до 30 кг на одне місце): вул. Національна, 11'),
(1,	4408,	'Отделение №2 (до 30 кг на одно место): ул. Национальная, 11'),
(3,	4409,	'Відділення №2 Міні-відділення (до 15 кг): вул. Кобилянської О., 2'),
(1,	4409,	'Отделение №2 Мини-отделение (до 15 кг): ул. Кобылянской О., 2'),
(3,	4410,	'Відділення №2 (до 30 кг): вул. Сагайдачного, 9є'),
(1,	4410,	'Отделение №2 (до 30 кг): ул. Сагайдачного, 9є'),
(3,	4411,	'Відділення №2 (до 30 кг): вул. Гетьманська, 12'),
(1,	4411,	'Отделение №2 (до 30 кг): ул. Гетьманская, 12'),
(3,	4412,	'Відділення №2 (до 30 кг на одне місце): вул. Мостова, 1'),
(1,	4412,	'Отделение №2 (до 30 кг на одно место): ул. Мостовая, 1'),
(3,	4413,	'Відділення №2 (до 30 кг): вул. Уварова, 41/1'),
(1,	4413,	'Отделение №2 (до 30 кг): ул. Уварова, 41/1'),
(3,	4414,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Чернігівська, 1/17'),
(1,	4414,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Черниговская, 1/17'),
(3,	4415,	'Відділення №2 (до 30 кг на одне місце): вул. Київська, 124в (навпроти мед.училища)'),
(1,	4415,	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 124в (напротив мед.училища)'),
(3,	4416,	'Відділення №2 (до 30 кг на одне місце): бульв. Свободи (ран. вул. Петровського), 50а'),
(1,	4416,	'Отделение №2 (до 30 кг на одно место): бульв. Свободы (ран. ул. Петровского), 50а'),
(3,	4417,	'Відділення №2 (до 30 кг на одне місце): вул. Садова, 1'),
(1,	4417,	'Отделение №2 (до 30 кг на одно место): ул. Садовая, 1'),
(3,	4418,	'Відділення №2: смт. Гостомель, вул. Центральна (ран. Трудова), 1-О (ТОВ &quot;Дебют-Центр&quot;)'),
(1,	4418,	'Отделение №2: пгт. Гостомель, ул. Центральная (ран. Трудовая), 1-О (ООО &quot;Дебют-Центр&quot;)'),
(3,	4419,	'Відділення №2 (до 30 кг): вул. Леонова, 4'),
(1,	4419,	'Отделение №2 (до 30 кг): ул. Леонова, 4'),
(3,	4420,	'Відділення №2 (до 30 кг на одне місце): вул. 50-річчя УПА, 1'),
(1,	4420,	'Отделение №2 (до 30 кг на одно место): ул. 50-летие УПА, 1'),
(3,	4421,	'Відділення №2 (до 30 кг): вул. Миколаївська, 30-а'),
(1,	4421,	'Отделение №2 (до 30 кг): ул. Николаевская, 30-а'),
(3,	4422,	'Відділення №2 (до 30 кг): вул. Первомайська, 37а'),
(1,	4422,	'Отделение №2 (до 30 кг): ул. Первомайская, 37а'),
(3,	4423,	'Відділення №2 (до 30 кг): просп. Перемоги, 18'),
(1,	4423,	'Отделение №2 (до 30 кг): просп. Победы, 18'),
(3,	4424,	'Відділення №2 (до 5 кг), Міні-відділення: вул. Пушкіна, 93'),
(1,	4424,	'Отделение №2 (до 5 кг), Мини-отделение: ул. Пушкина, 93'),
(3,	4425,	'Відділення №2 (до 30 кг): вул. 5-тий квартал, буд. 3'),
(1,	4425,	'Отделение №2 (до 30 кг): ул. 5-тый квартал, д. 3'),
(3,	4426,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Промислова, 1'),
(1,	4426,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Промышленная, 1'),
(3,	4427,	'Відділення №2 (до 30 кг на одне місце): вул.Шевченка, 107а'),
(1,	4427,	'Отделение №2 (до 30 кг на одно место): ул.Шевченко, 107а'),
(3,	4428,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Соборна, 49'),
(1,	4428,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Соборная, 49'),
(3,	4429,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Шевченка, 11'),
(1,	4429,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Шевченка, 11'),
(3,	4430,	'Відділення №2 (до 30 кг): вул. Соборна, 15'),
(1,	4430,	'Отделение №2 (до 30 кг): ул. Соборная, 15'),
(3,	4431,	'Відділення №2 (до 30 кг на одне місце): вул. Тімірязєва, 1'),
(1,	4431,	'Отделение №2 (до 30 кг на одно место): ул. Тимирязева, 1'),
(3,	4432,	'Відділення №2 (до 30 кг): майдан Соборний, 8'),
(1,	4432,	'Отделение №2 (до 30 кг): майдан Соборный, 8'),
(3,	4433,	'Відділення №2 (до 30 кг на одне місце): вул. Ярослава Мудрого (ран. Урицького), 12'),
(1,	4433,	'Отделение №2 (до 30 кг на одно место): ул. Ярослава Мудрого (ран. Урицкого), 12'),
(3,	4434,	'Відділення №2 (до 30 кг на одне місце): вул. Сорочинська, 53, прим. 2'),
(1,	4434,	'Отделение №2 (до 30 кг на одно место): ул. Сорочинская, 53, пом. 2'),
(3,	4435,	'Відділення №2 (до 30 кг на одне місце): вул. Незалежності, 72'),
(1,	4435,	'Отделение №2 (до 30 кг на одно место): ул. Независимости, 72'),
(3,	4436,	'Відділення №2 (до 30 кг): вул. Велика Ковалівка, 1А'),
(1,	4436,	'Отделение №2 (до 30 кг): ул. Большая Ковалёвка, 1А'),
(3,	4437,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Лазурна, 1а'),
(1,	4437,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Лазурная, 1а'),
(3,	4438,	'Відділення №2 (до 30 кг на одне місце): просп. Металургів, 53 (ТЦ &quot;Браво&quot; Цокольний поверх)'),
(1,	4438,	'Отделение №2 (до 30 кг на одно место): просп. Металлургов, 53 (ТЦ &quot;Браво&quot; Цокольный этаж)'),
(3,	4439,	'Відділення №2 (до 2 кг) Міні-відділення: вул. Кривоноса М., 2а'),
(1,	4439,	'Отделение №2 (до 2 кг) Мини-отделение: ул. Кривоноса М., 2а'),
(3,	4440,	'Відділення №2 (до 30 кг на одне місце): вул. Шептицького, 15'),
(1,	4440,	'Отделение №2 (до 30 кг на одно место), ул. Шептицкого, 15'),
(3,	4441,	'Відділення №2: (до 30 кг) вул. Соборна, 77Б'),
(1,	4441,	'Отделение №2: (до 30 кг) ул. Соборная, 77Б'),
(3,	4442,	'Відділення №2 (до 30 кг): вул. Широка, 13'),
(1,	4442,	'Отделение №2 (до 30 кг): ул. Широкая, 13'),
(3,	4443,	'Відділення №2 (до 15 кг на одне місце) Міні-відділення: вул. Центральна, 33'),
(1,	4443,	'Отделение №2 (до 15 кг на одно место) Мини-отделение: ул. Центральная, 33'),
(3,	4444,	'Відділення №2 (до 30 кг): бульв. Богдана Хмельницького, 4'),
(1,	4444,	'Отделение №2 (до 30 кг): бульв. Богдана Хмельницкого, 4'),
(3,	4445,	'Відділення №2 (до 30 кг): вул. Петенька Воєводи (раніше Терека), 1а'),
(1,	4445,	'Отделение №2 (до 30 кг): ул. Петенька Воеводы (раньше Терека), 1а'),
(3,	4446,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Руська, 15'),
(1,	4446,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Русская, 15'),
(3,	4447,	'Відділення №2 (до 30 кг на одне місце): вул. Липовецька, 6а (ТЦ «Віват»)'),
(1,	4447,	'Отделение №2 (на 30 кг на одно место): ул. Липовецкая, 6а (ТЦ «Виват»)'),
(3,	4448,	'Відділення №2 (до 30 кг): вул. Сумська, 108'),
(1,	4448,	'Отделение №2 (до 30 кг): ул. Сумская, 108'),
(3,	4449,	'Відділення №2 (до 30 кг): вул. Суховоля, 54а (ТЦ&quot;ТКС&quot;)'),
(1,	4449,	'Отделение № 2 (до 30 кг): ул. Суховоля, 54а (ТЦ&quot;ТКС&quot;)'),
(3,	4450,	'Відділення №2 (до 30 кг на одне місце): площа Шевченко, 1а'),
(1,	4450,	'Отделение №2 (до 30 кг на одно место): пл. Шевченко, 1а'),
(3,	4451,	'Відділення №2 (до 30 кг): вул. Геологів, 2 (територія ринку &quot;Пан Каблук&quot;)'),
(1,	4451,	'Отделение №2 (до 30 кг): ул. Геологов, 2 (територрия рынка &quot;Пан Каблук&quot;)'),
(3,	4452,	'Відділення №2 (до 30 кг): вул. Центральна (ран. Карла Маркса), 20/13'),
(1,	4452,	'Отделение №2 (до 30 кг): ул. Центральная (ран. Карла Маркса), 20/13'),
(3,	4453,	'Відділення №2 (до 30 кг на одне місце): вул. Тріумфальна, 2'),
(1,	4453,	'Отделение №2 (до 30 кг на одно место): ул. Триумфальная, 2'),
(3,	4454,	'Відділення №2 (до 20 кг) Міні-відділення: пров. Лікарняний, 4'),
(1,	4454,	'Отделение №2 (до 20 кг) Мини-отделение: пер. Больничный, 4'),
(3,	4455,	'Відділення №2 (до 30 кг): вул. Короленка, 33а'),
(1,	4455,	'Отделение №2 (до 30 кг): ул. Короленко, 33а'),
(3,	4456,	'Відділення №2 (до 30 кг): вул. Шевченка, 4Д'),
(1,	4456,	'Отделение №2 (до 30 кг): ул. Шевченко, 1'),
(3,	4457,	'Відділення №2 (до 30 кг на одне місце): вул. Лісна, 1'),
(1,	4457,	'Отделение №2 (до 30 кг на одно место): ул. Лесная, 1'),
(3,	4458,	'Відділення №2 (до 30 кг): просп. Богдана Хмельницького, 58/1'),
(1,	4458,	'Отделение №2 (до 30 кг): просп. Богдана Хмельницкого, 58/1'),
(3,	4459,	'Відділення №2 (до 30 кг на одне місце): вул. Одеська, 49 (Червона гора)'),
(1,	4459,	'Отделение №2 (до 30 кг на одно место): ул. Одесская, 49 (Красная гора)'),
(3,	4460,	'Відділення №2 (до 30 кг на одне місце): пров. Східний, 2'),
(1,	4460,	'Отделение №2 (до 30 кг на одно место): пров, Восточный, 2'),
(3,	4461,	'Відділення №2 (до 30 кг): вул. Миколаївська (ран. Дзержинського), 54'),
(1,	4461,	'Отделение №2 (до 30 кг): ул. Николаевская (ран. Дзержинского), 54'),
(3,	4462,	'Відділення №2 (до 30 кг): вул. Чорновола, 14/16'),
(1,	4462,	'Отделение №2 (до 30 кг): ул. Чорновола, 14/16'),
(3,	4463,	'Відділення №2 (до 30 кг): вул. О. Паламаря, 24в'),
(1,	4463,	'Отделение №2 (до 30 кг): ул. А. Пономаря, 24в'),
(3,	4464,	'Відділення № 2: (до 30 кг) площа Кооперативна, 50'),
(1,	4464,	'Отделение №2: (до 30 кг) площадь Кооперативная, 50'),
(3,	4465,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Головна, 74К (прим. 21)'),
(1,	4465,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Главная, 80'),
(3,	4466,	'Відділення №2 (до 30 кг): вул. Станційна, 16/1'),
(1,	4466,	'Отделение №2 (до 30 кг): ул. Станционная, 16/1'),
(3,	4467,	'Відділення №2 (до 30 кг): вул. Театральна, 1'),
(1,	4467,	'Отделение №2 (до 30 кг): ул. Театральная, 1'),
(3,	4468,	'Відділення №2 (до 30 кг): вул. В. Лобановського, 26 корп. 1'),
(1,	4468,	'Отделение №2 (до 30 кг): ул. Лобановского, 26 корп. 1'),
(3,	4469,	'Відділення №2: вул. Свободи, 33'),
(1,	4469,	'Отделение №2: ул. Свободы, 33'),
(3,	4470,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Шевченка, 9'),
(1,	4470,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Шевченко, 9'),
(3,	4471,	'Відділення №2 (до 30 кг на одне місце): вул. Центральна, 4'),
(1,	4471,	'Отделение №2 (до 30 кг на одно место): ул. Центральная, 4'),
(3,	4472,	'Відділення №2 (до 30 кг): вул. Центральна, 25'),
(1,	4472,	'Отделение №2 (до 30 кг): ул. Центральная, 25'),
(3,	4473,	'Відділення №2 (до 30 кг): пл. Привоказальна, 21'),
(1,	4473,	'Отделение №2 (до 30 кг): пл. Привоказальная, 21'),
(3,	4474,	'Відділення №2 (до 30 кг): вул. Жовтнева, 7А'),
(1,	4474,	'Отделение №2 (до 30 кг): ул. Октябрьская, 7А'),
(3,	4475,	'Відділення №2 (до 30 кг на одне місце): вул. Галицька, 145в'),
(1,	4475,	'Отделение №2 (до 30 кг на одно место): ул. Галицкая, 145в'),
(3,	4476,	'Відділення №2: (до 30 кг) вул. Гагаріна, 7'),
(1,	4476,	'Отделение №2: (до 30 кг): Гагарина, 7'),
(3,	4477,	'Відділення №2 (до 30 кг на одне місце): вул. Сосновського, 46'),
(1,	4477,	'Отделение №2 (до 30 кг на одно место): ул. Сосновского, 46'),
(3,	4478,	'Відділення №2 (до 30 кг): вул. Свободи, 7'),
(1,	4478,	'Відділення №2 (до 30 кг): ул. Свободы, 7'),
(3,	4479,	'Відділення №2: пров. Степний, 1а'),
(1,	4479,	'Отделение №2: ул. Степной, 1а'),
(3,	4480,	'Відділення №2 (до 30 кг): пров. Нагірний, 3'),
(1,	4480,	'Отделение №2 (до 30 кг): переул. Нагорный, 3'),
(3,	4481,	'Відділення №2 (до 30 кг на одне місце): просп. Шевченка, 1а'),
(1,	4481,	'Отделение №2 (до 30 кг на одно место): просп. Шевченко, 1а'),
(3,	4482,	'Відділення №2 (до 30 кг): вул. Покровська (ран. Комсомольська), 57'),
(1,	4482,	'Отделение №2 (до 30 кг): ул. Покровская (ран. Комсомольская), 57'),
(3,	4483,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Соборна, 83/26'),
(1,	4483,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Соборная, 83/26'),
(3,	4484,	'Відділення №2 (до 15 кг) Пункт приймання-видачі: просп. Азовский, 10'),
(1,	4484,	'Отделение №2 (до 15 кг) Пункт приема-выдачи, просп. Азовский, 1'),
(3,	4485,	'Відділення №2 (до 30 кг): вул. Солідарності, 535/8'),
(1,	4485,	'Отделение №2 (до 30 кг): ул. Солидарности, 535/8'),
(3,	4486,	'Відділення №2 (до 30 кг на одне місце): вул. Шевченка, 12'),
(1,	4486,	'Отделение № 2 (до 30 кг на одно место): ул. Шевченко, 12'),
(3,	4487,	'Відділення №2 (до 30 кг на одне місце) : вул. Володимирська, 174'),
(1,	4487,	'Отделение №2 (до 30 кг на одно место): ул. Владимирская, 174'),
(3,	4488,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Комарова, 38'),
(1,	4488,	'Отделение №2 (до 15 кг) Мини-отделение: Комарова, 38'),
(3,	4489,	'Відділення №2 (до 30 кг): вул. Будька, 3 (вхід з вул. Полтавської)'),
(1,	4489,	'Отделение №2 (до 30 кг): ул. Будька, 3 (вход с ул. Полтавской)'),
(3,	4490,	'Відділення №2 (до 30 кг на одне місце): вул. Шевченка, 3'),
(1,	4490,	'Отделение №2 (до 30 кг на одне место): ул. Шевченко, 3'),
(3,	4491,	'Відділення №2 (до 30 кг): вул. Шевченка, 98'),
(1,	4491,	'Отделение №2 (до 30 кг): ул. Шевченко, 98'),
(3,	4492,	'Відділення №2 (до 30 кг на одне місце): вул. Богдана Хмельницького, 32'),
(1,	4492,	'Отделение №2 (до 30 кг на одно место): ул Богдана Хмельницкого, 32'),
(3,	4493,	'Відділення №2 (до 30 кг): вул. Центральна, 56'),
(1,	4493,	'Отделение №2 (до 30 кг): ул. Центральная, 56'),
(3,	4494,	'Відділення №2 Міні-відділення (до 5 кг): вул. Вокзальна, 14'),
(1,	4494,	'Отделение №2 Мини-отделение (до 5 кг), ул. Вокзальная, 14'),
(3,	4495,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Гагаріна, 46'),
(1,	4495,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Гагарина, 46'),
(3,	4496,	'Відділення №2 (до 30 кг на одне місце): вул. 40-років Перемоги, 32'),
(1,	4496,	'Отделение №2 (до 30 кг на одно место): ул. 40-лет Победы, 32'),
(3,	4497,	'Відділення №2 (до 30 кг): просп. Шевченка, 5'),
(1,	4497,	'Отделение №2 (до 30 кг): просп. Шевченко, 5'),
(3,	4498,	'Відділення №2 (до 30 кг на одне місце): бульв. Шахтарської Слави, 7'),
(1,	4498,	'Отделение №2 (до 30 кг на одно место): бульв. Шахтерской Славы, 7'),
(3,	4499,	'Відділення №2 (до 10 кг) Міні-відділення: пл. Ринок, 13/2'),
(1,	4499,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Рынок, 13/2'),
(3,	4500,	'Відділення №2 (до 30 кг): вул. Шевченка, 58Г'),
(1,	4500,	'Отделение №2 (до 30 кг), ул. Шевченко, 58г'),
(3,	4501,	'Відділення №2 (до 30 кг): вул. Кочубея, 1'),
(1,	4501,	'Отделение №2 (до 30 кг): ул. Кочубея, 1'),
(3,	4502,	'Відділення №2 (до 30 кг): вул. Шевченків Шлях, 157'),
(1,	4502,	'Отделение №2 (до 30 кг): ул. Шевченков Путь, 157'),
(3,	4503,	'Відділення №2 (до 30 кг): вул. Невський квартал, 3-А'),
(1,	4503,	'Отделение №2 (до 30 кг): ул. Невський квартал, 3-А'),
(3,	4504,	'Відділення №2 (до 30 кг на одне місце): вул. Садова, 3'),
(1,	4504,	'Отделение №2 (до 30 кг на одно место): ул. Садовая, 3'),
(3,	4505,	'Відділення №2: вул. Київський Шлях, 121'),
(1,	4505,	'Отделение №2, ул. Киевский Путь, 121'),
(3,	4506,	'Відділення №2 (до 30 кг на одне місце): мікрорайон Західний, 46 (приміщення 68)'),
(1,	4506,	'Отделение №2 (до 30 кг на одно место): микрорайон Западный, 46 (помещение 68)'),
(3,	4507,	'Відділення №2 (до 30 кг на одне місце): вул. Маргітича Івана (ран. Московська), 25, прим. 27'),
(1,	4507,	'Отделение №2 (до 30 кг на одно место): ул. Маргитича Ивана (ран. Московская), 25, пом. 27'),
(3,	4508,	'Відділення №2 (до 30 кг): вул. Театральна, 18 (кінотеатр ім. Л. Українки)'),
(1,	4508,	'Отделение №2 (до 30 кг): ул. Театральная, 18 (кинотеатр им. Л. Украинки)'),
(3,	4509,	'Відділення №2: вул. Пластова, 7'),
(1,	4509,	'Отделение №2: ул. Пластова, 7'),
(3,	4510,	'Відділення №2 (до 30 кг): вул. Незалежності (ран. Жовтнева), 18'),
(1,	4510,	'Отделение №2 (до 30 кг): ул. Независимости (ран. Октябрьская), 18'),
(3,	4511,	'Відділення №2 (до 30 кг): вул. Вовчинецька, 26'),
(1,	4511,	'Отделение №2 (до 30 кг): ул. Вовчинецкая, 26'),
(3,	4512,	'Відділення №2 (до 30 кг): вул. Першотравенська, 2'),
(1,	4512,	'Отделение №2 (до 30 кг): ул. Первомайская, 2'),
(3,	4513,	'Відділення №2 (до 30 кг): пл. Привокзальна, 2'),
(1,	4513,	'Отделение №2 (до 30 кг): пл. Привокзальная, 2'),
(3,	4514,	'Відділення №2 Міні-відділення (до 15 кг): вул. Івана Франка, 1а'),
(1,	4514,	'Отделение №2 Мини-отделение (до 15 кг): ул. Ивана Франко, 1а'),
(3,	4515,	'Відділення №2 (до 30 кг на одне місце): вул. Велика Фонтанна (ран. Паризької Комуни), 36'),
(1,	4515,	'Отделение №2 (до 30 кг на одно место): ул. Большая Фонтанная (ран. Парижской Коммуны), 36'),
(3,	4516,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Садова, 6'),
(1,	4516,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Садовая, 6'),
(3,	4517,	'Відділення №2 (до 30 кг): вул. Героїв Майдану, 272-Ю'),
(1,	4517,	'Отделение №2 (до 30 кг): ул. Героев Майдана, 272-Ю'),
(3,	4518,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Ларіонова, 128А'),
(1,	4518,	'Оделение №2 (до 15 кг) Мини-отделение, ул. Ларионова, 128А'),
(3,	4519,	'Відділення №2 (до 30 кг): вул. Братів Лузанів (ран. Братів Радченків), 51а'),
(1,	4519,	'Отделение № 2 (до 30 кг): ул. Братьев Лузанов (ран. Братьев Радченко), 51а'),
(3,	4520,	'Відділення №2 (до 30 кг): вул. Доківська, 5б'),
(1,	4520,	'Отделение №2 (до 30 кг): ул. Доковская, 5б'),
(3,	4521,	'Відділення №2 (до 30 кг): вул. Сергія Яцковського, 30'),
(1,	4521,	'Отделение №2 (до 30 кг): ул. Сергея Яцковского, 30'),
(3,	4522,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Довженка, 46-А/11'),
(1,	4522,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Довженко, 46-А / 11'),
(3,	4523,	'Відділення №2 (до 30 кг на одне місце): квартал Східний (ран. Жовтневої Революції), 5'),
(1,	4523,	'Отделение №2 (до 30 кг на одно место): квартал Восточный (ран. Октябрьской Революции), 5'),
(3,	4524,	'Відділення №2 (до 30 кг): вул. Дубенська, 137'),
(1,	4524,	'Отделение №2 (до 30 кг): ул. Дубенская, 137'),
(3,	4525,	'Відділення №2 (до 30 кг): вул. Кірова, 1'),
(1,	4525,	'Отделение №2 (до 30 кг): ул. Кирова, 1'),
(3,	4526,	'Відділення №2 (до 30 кг): вул. Незалежності, 6а'),
(1,	4526,	'Отделение №2 (до 30 кг): ул. Независимости, 6а'),
(3,	4527,	'Відділення № 2 (до 5 кг) Міні-відділення: вул. Покровська, 57'),
(1,	4527,	'Отделение № 2 (до 5 кг) Мини-отделение: ул. Покровськая, 57'),
(3,	4528,	'Відділення №2 (до 30 кг): вул. Шевченка, 53'),
(1,	4528,	'Отделение №2 (до 30 кг): ул. Шевченка, 53'),
(3,	4529,	'Відділення №2 (до 30 кг): с./рада Фонтанська,Комплекс будівель та споруд №1'),
(1,	4529,	'Отделение №2 (до 30 кг):  с./совет Фонтанская, Комплекс зданий и сооружений №1'),
(3,	4530,	'Відділення №2 (до 30 кг) Пункт приймання-видачі: вул. Центральна, 1'),
(1,	4530,	'Отделение №2 (до 30 кг) Пункт приема-выдачи, ул. Центральная, 1'),
(3,	4531,	'Відділення №2 (до 30 кг): вул. Першотравнева, 7а'),
(1,	4531,	'Отделение №2 (до 30 кг): ул. Первомайская, 7а'),
(3,	4532,	'Відділення №2 Міні-відділення (до 5 кг): вул. Центральна, 15'),
(1,	4532,	'Отделение №2 Мини-отделение (до 5 кг): ул. Центральная, 15'),
(3,	4533,	'Відділення №2 (до 30 кг): вул. Першотравнева, 9А'),
(1,	4533,	'Отделение №2 (до 30 кг): ул. Первомайская, 9А'),
(3,	4534,	'Відділення №2 (до 30 кг): вул. Трифонова, 28, оф. 30'),
(1,	4534,	'Отделение №2 (до 30 кг): ул. Трифонова, 28, оф. 30'),
(3,	4535,	'Відділення №2 (до 30 кг): вул. Петропавлівська, 62'),
(1,	4535,	'Отделение №2 (до 30 кг): ул. Петропавловская, 62'),
(3,	4536,	'Відділення №2 (до 30 кг): вул. Тімірязєва, 21'),
(1,	4536,	'Отделение №2 (до 30 кг): вул. Тимирязева, 21'),
(3,	4537,	'Відділення №2 (до 30 кг на одне місце): вул. Визволітелів, 102, 2'),
(1,	4537,	'Отделение №2 (до 30 кг на одно место): ул. Освободителей, 102, 2'),
(3,	4538,	'Відділення №2 (до 30 кг): вул. Гагаріна, 17 А'),
(1,	4538,	'Отделение №2 (до 30 кг): ул. Гагарина, 17 А'),
(3,	4539,	'Відділення №2 (до 30 кг на одне місце): вул. Покровська, 21а'),
(1,	4539,	'Отделение №2 (до 30 кг на одно место): ул. Покровская, 21а'),
(3,	4540,	'Відділення №2 (до 30 кг): вул. Незалежності, 54'),
(1,	4540,	'Отделение №2 (до 30 кг): ул. Независимоти, 54'),
(3,	4541,	'Відділення №2 (до 30 кг): вул. Інзовська 1/3'),
(1,	4541,	'Отделение №2 (до 30 кг): ул. Инзовская 1/3'),
(3,	4542,	'Відділення №2 (до 30 кг) : вул. Герцена, 2Д'),
(1,	4542,	'Отделение №2 (до 30 кг): Герцена, 2Д'),
(3,	4543,	'Відділення №2 (до 30 кг): вул. Ковпака, 2а'),
(1,	4543,	'Отделение №2(до 30 кг): ул. Ковпака, 2а'),
(3,	4544,	'Відділення №2 (до 30 кг на одне місце): вул. Богдана Хмельницкого, 5 прим. 81'),
(1,	4544,	'Отделение №2 (до 30 кг на одно место): ул. Богдана Хмельницкого, 5 пом. 81'),
(3,	4545,	'Відділення №2 (до 30 кг): вул. Героїв Майдану, 11, прим. 64'),
(1,	4545,	'Отделение №2 (до 30 кг): ул. Героев Майдана, 11, пом. 64'),
(3,	4546,	'Відділення №2 (до 30 кг): вул. Будівельників, 15'),
(1,	4546,	'Отделение №2 (до 30 кг): ул. Строителей, 15'),
(3,	4547,	'Відділення №2 (до 30 кг): вул. Шевченка, 33'),
(1,	4547,	'Отделение №2 (до 30 кг): ул. Шевченка, 33'),
(3,	4548,	'Відділення № 2 (до 30 кг): вул. Українська, 126д (територія ринку)'),
(1,	4548,	'Отделение № 2 (до 30 кг): ул. Украинская, 126д (територия рынка)'),
(3,	4549,	'Відділення №2 (до 30 кг): вул. Незалежності, 22'),
(1,	4549,	'Отделение №2: (до 30 кг): ул. Независимости, 22'),
(3,	4550,	'Відділення №2 (до 30 кг): вул. Ігоря Сердюка (ран. Жовтнева),31/16(Центр)'),
(1,	4550,	'Отделение №2 (до 30 кг): ул. Игоря Сердюка (ран. Октябрьская),31/16(Центр)'),
(3,	4551,	'Відділення №2 (до 30 кг): мікрорайон Ювілейний №1, ринок Північний, кіоск №102'),
(1,	4551,	'Отделение №2 (до 30 кг): микрорайон Ювилейный №1, рынок Южный, киоск № 102'),
(3,	4552,	'Відділення №2 (до 30 кг): вул. Діброви, 16'),
(1,	4552,	'Отделение №2 (до 30 кг): ул. Дибровы, 16'),
(3,	4553,	'Відділення №2 (до 30 кг на одне місце): вул. Волі,9'),
(1,	4553,	'Отделение № 2 (до 30 кг на одно место): ул. Воли, 9'),
(3,	4554,	'Відділення №2 (до 30 кг): просп. Перемоги, 19 (навпроти Водоканалу)'),
(1,	4554,	'Отделение №2 (до 30 кг): просп. Победы, 19 (напротив Водоканала)'),
(3,	4555,	'Відділення №2 (до 30 кг): вул. Єдності (ран. Радянська), 80'),
(1,	4555,	'Отделение № 2 (до 30 кг): ул. Единства (ран. Советская), 80'),
(3,	4556,	'Відділення №2 (до 30 кг): вул. Центральна, 101'),
(1,	4556,	'Отделение №2 (до 30 кг): ул. Центральная, 101'),
(3,	4557,	'Відділення №2: вул. Кутузова, 3'),
(1,	4557,	'Отделение №2: ул. Кутузова, 3'),
(3,	4558,	'Відділення №2 (до 30 кг на одне місце): вул. Одеська (ран. Кірова), 16/6'),
(1,	4558,	'Отделение №2 (до 30 кг на одно место): ул. Одеская (ран. Кирова), 16/6'),
(3,	4559,	'Відділення №2 (до 30 кг): вул. Старопутивльська, 47'),
(1,	4559,	'Отделение №2 (до 30 кг), ул. Старопутивльская, 47'),
(3,	4560,	'Відділення №2 (до 30кг на одне місце): вул. Шевченка, 3а'),
(1,	4560,	'Отделение №2 (до 30кг на одно место): ул. Шевченко, 3а'),
(3,	4561,	'Відділення №2 (до 30 кг на одне місце): вул. Центральна (ран. Леніна), 145'),
(1,	4561,	'Отделение №2 (до 30 кг на одно место): ул. Центральная (ран. Ленина), 145'),
(3,	4562,	'Відділення №2 (до 30 кг): вул. Олександрійська, 157в'),
(1,	4562,	'Отделение №2 (до 30 кг): ул. Александрийская, 157в'),
(3,	4563,	'Відділення №2 (до 30 кг): вул. Л.Толстого, 6'),
(1,	4563,	'Отделение №2 (до 30 кг): ул. Л.Толстого, 6'),
(3,	4564,	'Відділення №2 (до 15 кг): Міні-відділення, вул. Шевченка, 33а/1'),
(1,	4564,	'Отделение №2 (до 15 кг): Мини-отделение, ул. Шевченко, 33а / 1'),
(3,	4565,	'Відділення №2 (до 30 кг): вул. Перемоги, буд.12'),
(1,	4565,	'Отделение №2 (до 30 кг): ул. Победы, д.12'),
(3,	4566,	'Відділення №2 (до 30 кг): бульв. Незалежності, 6'),
(1,	4566,	'Отделение №2 (до 30 кг): бульв. Независимости, 6'),
(3,	4567,	'Відділення №2 (до 30 кг): вул. Івана Франка, 6а'),
(1,	4567,	'Отделение №2 (до 30 кг): ул. Ивана Франка, 6а'),
(3,	4568,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Героїв Дніпра, 35'),
(1,	4568,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Героев Днепра, 35'),
(3,	4569,	'Відділення №2 (до 10 кг) Міні-відділення: пров. Піонерський, 6'),
(1,	4569,	'Отделение №2 (до 10 кг) Мини-отделение: пер. Пионерский, 6'),
(3,	4570,	'Відділення №2 (до 30 кг): вул. Ковельська, 132/1'),
(1,	4570,	'Отделение №2 (до 30 кг): ул. Ковельская, 132/1'),
(3,	4571,	'Відділення № 2 (до 30 кг): вул. Міцкевича, 67'),
(1,	4571,	'Отделение № 2 (до 30 кг): ул. Мицкевича, 67'),
(3,	4572,	'Відділення №2 (до 5 кг на одне місце) Міні-відділення: вул. Перемишльська, 27'),
(1,	4572,	'Отделение №2 (до 5 кг на одно место) Мини-отделение: ул. Перемышльская, 27'),
(3,	4573,	'Відділення №2 (до 30 кг на одне місце): вул. Ярослава Мудрого, 373'),
(1,	4573,	'Отделение №2 (до 30 кг на одно место): ул. Ярослава Мудрого, 373'),
(3,	4574,	'Відділення №2 (до 30 кг): вул. Марка Черемшини, 2Б'),
(1,	4574,	'Отделение №2 (до 30 кг): ул. Марка Черемшины, 2Б'),
(3,	4575,	'Відділення №2 (до 30 кг): пл. Привокзальна'),
(1,	4575,	'Отделение №2 (до 30 кг): пл. Привокзальная'),
(3,	4576,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Липовецька, 16'),
(1,	4576,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Липовецкая, 16'),
(3,	4577,	'Відділення №2 (до 30 кг): вул. Уральських танкістів, 1а'),
(1,	4577,	'Отделение №2 (до 30 кг): ул. Уральских танкистов, 1а'),
(3,	4578,	'Відділення №2 (до 30 кг на одне місце): вул. Білецька 12/2 (позаду &quot;Оскара&quot;)'),
(1,	4578,	'Отделение №2 (до 30 кг на одно место): ул. Белецкая 12/2'),
(3,	4579,	'Відділення №2 (до 30 кг на одне місце): вул. Жовтнева, 1'),
(1,	4579,	'Отделение №2 (до 30 кг на одно место): ул. Октябрьская, 1'),
(3,	4580,	'Відділення №2 (до 15 кг): вул. Морська, 58'),
(1,	4580,	'Отделение №2 (до 15 кг), ул. Морская, 58'),
(3,	4581,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Гоголя, 65'),
(1,	4581,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Гоголя, 65'),
(3,	4582,	'Відділення № 2 (до 30 кг на одне місце): вул. І. Франка, 2а (ТЦ Гранд)'),
(1,	4582,	'Отделение № 2 (до 30 кг на одно место): ул. Ивана Франко, 2а (ТЦ Гранд)'),
(3,	4583,	'Відділення №2 (до 5 кг) Міні-відділення: шосе Дніпровське-1, 16'),
(1,	4583,	'Отделение №2 (до 5 кг) Мини-отделение, шоссе Днепровское-1, 16'),
(3,	4584,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Шевченко, 39А-2/10'),
(1,	4584,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Шевченко, 39А/10'),
(3,	4585,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Богдана Хмельницького, 3'),
(1,	4585,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Богдана Хмельницкого, 3'),
(3,	4586,	'Відділення №2 (до 30 кг):  просп. Шевченка, 32'),
(1,	4586,	'Отделение №2 (до 30 кг): просп. Шевченка, 32'),
(3,	4587,	'Відділення №2 (до 30 кг): Мирна, 92д'),
(1,	4587,	'Отделение №2 (до 30 кг): ул. Мирная, 92д'),
(3,	4588,	'Відділення №2 (до 30 кг): вул. Монастирська (ран. Щучки), 4ж'),
(1,	4588,	'Отделение №2 (до 30 кг): ул. Монастырская (ран. Щучки), 4ж'),
(3,	4589,	'Відділення №2 (до 30 кг): вул. Соборності, 6'),
(1,	4589,	'Отделение №2 ( до 30 кг): ул. Соборности, 6'),
(3,	4590,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Шевченка, 99Б'),
(1,	4590,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Шевченко, 99Б'),
(3,	4591,	'Відділення №2 (до 30 кг): вул. Пролетарська, 44'),
(1,	4591,	'Отделение №2 (до 30 кг): ул. Пролетарская, 44'),
(3,	4592,	'Відділення №2 (до 30 кг): вул. Дніпровська, 30'),
(1,	4592,	'Отделение №2 (до 30 кг): ул. Днепровская, 30'),
(3,	4593,	'Відділення №2: вул. Базарна, 4 (маг. &quot;Моноліт&quot;)'),
(1,	4593,	'Отделение №2: ул. Базарная, 4 (маг. &quot;Монолит&quot;)'),
(3,	4594,	'Відділення №2 (до 30 кг): вул. Коссака, 6/58'),
(1,	4594,	'Отделение №2 (до 30 кг): ул. Коссака, 6/58'),
(3,	4595,	'Відділення №2 (до 30 кг): вул. Бориславська, 2'),
(1,	4595,	'Отделение №2 (до 30 кг): ул. Бориславская, 2'),
(3,	4596,	'Відділення №2 (до 30 кг): вул. Лесі Українки, 19'),
(1,	4596,	'Отделение №2 (до 30 кг): ул. Леси Украинки, 19'),
(3,	4597,	'Відділення №2 (до 30 кг): вул. 1-й мікрорайон, 17/4'),
(1,	4597,	'Отделение №2 (до 30 кг): ул. 1-й микрорайон, 17/4'),
(3,	4598,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Перемоги, 6'),
(1,	4598,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Победы, 6'),
(3,	4599,	'Відділення №2 (до 30 кг): вул. Київська, 17'),
(1,	4599,	'Отделение №2 (до 30 кг): ул. Киевская, 17'),
(3,	4600,	'Відділення №2 (до 30 кг на одне місце): вул. Зелена, 9'),
(1,	4600,	'Отделение №2 (до 30 кг на одно место): ул. Зеленая, 9'),
(3,	4601,	'Відділення №2 Міні-відділення (до 15 кг): вул. Горького, 6-А'),
(1,	4601,	'Отделение №2 Мини-отделение (до 15 кг): ул. Горького, 6-А'),
(3,	4602,	'Відділення №2 (до 10 кг) Міні-відділення: вул.Мукачівська, 190 (маг.&quot;Барва&quot;)'),
(1,	4602,	'Отделение №2 (до 10 кг) Мини-отделение: ул. Мукачевская, 1 90'),
(3,	4603,	'Відділення №2 (до 10 кг) Міні-відділення: вул. Київська, 4а'),
(1,	4603,	'Отделение №2 (до 10 кг) Мини-отделение, ул. Киевская, 4а'),
(3,	4604,	'Відділення №2 (до 30 кг): вул. Шкільна, 42'),
(1,	4604,	'Отделение №2 (до 30 кг) Мини-отделение: ул. Школьная, 42'),
(3,	4605,	'Відділення №2 (до 2 кг) Міні-відділення: вул. Комунальна, 3'),
(1,	4605,	'Отделение №2 (до 2 кг) Мини-отделение: ул. Комунальная, 3'),
(3,	4606,	'Відділення №2 (до 30 кг): пл. Ринок, 30/10'),
(1,	4606,	'Отделение № 2 (до 30кг): пл. Рынок, 30/10'),
(3,	4607,	'Відділення №2: вул. 1-го травня,  127а'),
(1,	4607,	'Отделение №2: ул. 1-го мая,  127а'),
(3,	4608,	'Відділення №2 (до 30 кг): вул. Литвиненка, 23'),
(1,	4608,	'Отделение №2 (до 30 кг): ул. Литвиненко, 23'),
(3,	4609,	'Відділення №2 (до 30 кг): вул. Чайковського, 41'),
(1,	4609,	'Отделение №2 (до 30 кг): ул. Чайковского, 41'),
(3,	4610,	'Відділення №2 (до 30 кг на одне місце): вул. Київська 94'),
(1,	4610,	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 94'),
(3,	4611,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Центральна, 248/1'),
(1,	4611,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Центральная, 248/1'),
(3,	4612,	'Відділення №2 (до 30 кг): просп. Дніпровський, 5'),
(1,	4612,	'Отделение №2 (до 30 кг): просп. Днепровский, 5'),
(3,	4613,	'Відділення №2 (до 30 кг): вул. Івана Франка, 35'),
(1,	4613,	'Отделение №2 (до 30 кг): ул. Ивана Франко, 35'),
(3,	4614,	'Відділення №2 (до 30 кг на одне місце): вул. Соборна, 121'),
(1,	4614,	'Отделение №2 (до 30 кг на одне місце): ул. Соборная, 121'),
(3,	4615,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Ольбрахта, 24'),
(1,	4615,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Ольбрахта, 24'),
(3,	4616,	'Відділення №2 Міні-відділення (до 5 кг): вул. О. Маковея, 66'),
(1,	4616,	'Отделение №2 Мини-отделение (до 5 кг): ул. Маковея, 66'),
(3,	4617,	'Відділення №2 (до 30 кг): вул. Соборна, 27в'),
(1,	4617,	'Отделение №2 (до 30 кг), ул. Соборная, 27в'),
(3,	4618,	'Відділення №2 (до 30 кг): вул. Єдності, 2'),
(1,	4618,	'Отделение №2 (до 30 кг): ул. Единства, 2'),
(3,	4619,	'Відділення № 2 (до 30 кг): вул. Грушевського, 10'),
(1,	4619,	'Отделение № 2 (до 30 кг): ул. Грушевского, 10'),
(3,	4620,	'Відділення №2 (до 30 кг): вул. Грушевського, 20'),
(1,	4620,	'Отделение №2 (до 30 кг): ул. Грушевского, 20'),
(3,	4621,	'Відділення №2 (до 30 кг): вул. Шевченка, 88'),
(1,	4621,	'Отделение №2 (до 30 кг): ул. Шевченко, 88'),
(3,	4622,	'Відділення №2 (до 15 кг) Міні відділення: вул. Івасюка, 42В'),
(1,	4622,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Ивасюка, 42В'),
(3,	4623,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Ентузіастів, 3'),
(1,	4623,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Энтузиастов, 3'),
(3,	4624,	'Відділення №2 (до 30 кг): вул. Віктора Голого, 77, кв.6'),
(1,	4624,	'Отделение №2 (до 30 кг): ул. Виктора Голого, 77, кв.6'),
(3,	4625,	'Відділення №2 (до 30 кг): вул. Богдана Хмельницького, 24а'),
(1,	4625,	'Отдление № 2 (до 30 кг): ул. Богдана Хмельницкого, 24а'),
(3,	4626,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Соборна, 47'),
(1,	4626,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Соборная, 47'),
(3,	4627,	'Відділення №2 (до 30 кг): вул. Комсомольська, 103 ж'),
(1,	4627,	'Отделение №2 (до 30 кг): ул. Комсомольская, 103 ж'),
(3,	4628,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Булаєнка, 8а'),
(1,	4628,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Булаенка, 8а'),
(3,	4629,	'Відділення №2 (до 30 кг): вул. Дніпровська, 13'),
(1,	4629,	'Отделение №2 (до 30 кг): ул. Днепровская, 13'),
(3,	4630,	'Відділення №2 (до 30 кг): пл. Незалежності, 7'),
(1,	4630,	'Отделение №2 (до 30 кг): пл. Независимости, 7'),
(3,	4631,	'Відділення №2 (до 30 кг): вул. Буковинська, 18'),
(1,	4631,	'Отделение №2 (до 30 кг): ул. Буковинская, 18'),
(3,	4632,	'Відділення №2: (до 30 кг на одне місце) вул. Ольгерда Бочковського, 9а'),
(1,	4632,	'Отделение №2: (до 30 кг на одно место) ул. Ольгерда Бочковского, 9а'),
(3,	4633,	'Відділення №2 (до  30 кг): вул. Радянська, 185а'),
(1,	4633,	'Отделение №2 (до 30 кг): ул. Советская, 185а'),
(3,	4634,	'Відділення №2 Міні-відділення (до 15 кг): вул. Лосятинська, 10'),
(1,	4634,	'Отделение №2 Мини-отделение (до 15 кг): ул. Лосятинская, 10'),
(3,	4635,	'Відділення №2 (до 30 кг): вул. Центральна, 26а'),
(1,	4635,	'Отделение №2 (до 30 кг): ул. Центральная, 26а'),
(3,	4636,	'Відділення №2 (до 30 кг): вул. Шевченка, 6'),
(1,	4636,	'Отделение №2 (до 30 кг): ул. Шевченко, 6'),
(3,	4637,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Незалежності, 15'),
(1,	4637,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Независимости, 15'),
(3,	4638,	'Відділення №2 (до 30 кг на одне місце): вул. Широкомагерська, 1б'),
(1,	4638,	'Отделение №2 (до 30 кг на одно место): ул.  Широкомагерская, 1'),
(3,	4639,	'Відділення №2 (до 30 кг на одне місце): пл. Перемоги, 16'),
(1,	4639,	'Отделение №2 (до 30 кг на одно место): пл. Победы, 16'),
(3,	4640,	'Відділення №2 (до 30 кг): вул. Шевченка, 47а'),
(1,	4640,	'Отделение №2 (до 30 кг): ул. Шевченка, 47а'),
(3,	4641,	'Відділення №2 (до 30 кг): вул. Робоча, 19в'),
(1,	4641,	'Отделение №2 (до 30 кг): ул. Рабочая, 19в'),
(3,	4642,	'Відділення №2 (до 30 кг): вул. Маріїнська, 5, офіс 7'),
(1,	4642,	'Отделение №2 (до 30 кг): ул. Мариинская, 5, офис 7'),
(3,	4643,	'Відділення №2 (до 30 кг на одне місце): вул. Лесі Українки, 12'),
(1,	4643,	'Отделение №2 (до 30 кг на одно место): ул. Леси Украинки, 12'),
(3,	4644,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Лісова, 1Б'),
(1,	4644,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Лесная, 1Б'),
(3,	4645,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Незалежності, 36'),
(1,	4645,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Независимости, 36'),
(3,	4646,	'Відділення №2 (до 30 кг): вул. Олімпійська, 80 (БЦ &quot;Капітал&quot;)'),
(1,	4646,	'Отделение №2 (до 30 кг): ул. Олимпийская, 80 (БЦ &quot;Капитал&quot;)'),
(3,	4647,	'Відділення №2 (до 30 кг): вул. 8-ма Гвардійська, 62'),
(1,	4647,	'Отделение №2 (до 30 кг): ул. 8-ма Гвардейская, 62'),
(3,	4648,	'Відділення №2 (до 30 кг): вул. Медична, 42а'),
(1,	4648,	'Отделение №2 (до 30 кг): ул. Медицинская, 42а'),
(3,	4649,	'Відділення №3 (до 30 кг): вул. Миру, 5 (біля рес-ну &quot;Ікар&quot;)'),
(1,	4649,	'Отделение № 3 (до 30 кг): ул. Мира, 5 (возле рес-на &quot;Икар&quot;)'),
(3,	4650,	'Відділення №3 (до 15 кг) Міні-відділення: вул. Центральна, 86А'),
(1,	4650,	'Отделение №3 (до 15 кг) Мини-отделение: ул. Центральная, 86А'),
(3,	4651,	'Відділення №3 (до 30 кг на одне місце): просп. Перемоги, 139'),
(1,	4651,	'Отделение №3 (до 30 кг на одно место): просп. Победы, 139'),
(3,	4652,	'Відділення №3 (до 30 кг на одне місце): просп. Соборний (ран. Леніна), 111'),
(1,	4652,	'Отделение №3 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 111'),
(3,	4653,	'Відділення №3 (до 30 кг): вул. Клушина, 7'),
(1,	4653,	'Отделение №3 (до 30кг): ул. Клушина, 7'),
(3,	4654,	'Відділення №3 (до 30 кг на одне місце): вул. Солона, 114'),
(1,	4654,	'Отделение №3 (до 30 кг на одно место): ул. Соленая, 114'),
(3,	4655,	'Відділення №3 (до 30 кг): просп. Соборності, 1-А'),
(1,	4655,	'Отделение №3 (до 30 кг): просп. Соборности, 1-А'),
(3,	4656,	'Відділення №3 (до 30 кг): вул. Київська, 186 (біля банку &quot;Аваль&quot;)'),
(1,	4656,	'Отделение №3 (до 30 кг): ул. Киевская, 186 (возле банка &quot;Аваль&quot;)'),
(3,	4657,	'Відділення №3 (до 30 кг на одне місце): вул. Київська, 247/2'),
(1,	4657,	'Отделение №3 (до 30 кг на одно место): ул. Киевская, 247/2'),
(3,	4658,	'Відділення №3 (до 30 кг): просп. Свободи (ран. 60-річчя Жовтня), 77'),
(1,	4658,	'Отделение №3 (до 30 кг): просп. Свободы (ран. 60-летия Октября), 77'),
(3,	4659,	'Відділення №3: вул. Дальницька, 23/4'),
(1,	4659,	'Отделение №3: ул. Дальницкая, 23/4'),
(3,	4660,	'Відділення №3 (до 30 кг): просп. Соборності (ран. Комуністичний), 8'),
(1,	4660,	'Отделение №3 (до 30 кг): просп. Соборности (ран. Коммунистический), 8'),
(3,	4661,	'Відділення №3 (до 30 кг): вул. Надії, 21'),
(1,	4661,	'Отделение №3 (до 30 кг): ул. Надежды, 21'),
(3,	4662,	'Відділення №3 (до 30 кг): вул. Соборна (Леніна), 15'),
(1,	4662,	'Отделение №3 (до 30 кг): ул. Соборна (Ленина), 15'),
(3,	4663,	'Відділення №3 (до 5 кг), Міні-відділення: вул. Гагаріна, 2/2'),
(1,	4663,	'Отделение №3 (до 5 кг), Мини-отделение: ул. Гагарина, 2/2'),
(3,	4664,	'Відділення №3 (до 15 кг) Міні-відділення: вул. Галицька,19а/1'),
(1,	4664,	'Отделение №3 (до 15 кг) Мини-отделение: Галицкая, 19а/1'),
(3,	4665,	'Відділення №3 (до 30 кг на одне місце): вул. 30 років Перемоги, 12а'),
(1,	4665,	'Отделение №3 (до 30 кг на одно место): ул. 30 лет Победы, 12а'),
(3,	4666,	'Відділення №3 (до 30 кг): вул. Спортивна (ран. Гайдара), 5'),
(1,	4666,	'Отделение №3 (до 30 кг): ул. Спортивная (ран. Гайдара), 5'),
(3,	4667,	'Відділення №3: просп. Адмірала Сенявіна, 27'),
(1,	4667,	'Отделение №3: просп. Адмирала Сенявина, 27'),
(3,	4668,	'Відділення №3: с. Мартусівка, вул. Моісеєва, 70'),
(1,	4668,	'Отделение №3: с. Мартусовка, ул. Моисеева, 70'),
(3,	4669,	'Відділення №3: с. Петриків, вул. Західна, 2'),
(1,	4669,	'Отделение №3: с. Петриков, ул. Западная, 2'),
(3,	4670,	'Відділення №3 (до 30 кг на одне місце): вул. Сіцінського (ран. Ватутіна), 11'),
(1,	4670,	'Отделение №3 (до 30 кг на одно место): ул. Сицинского (ран. Ватутина), 11'),
(3,	4671,	'Відділення №3 (до 30 кг на одне місце): вул. Героїв Крут, буд. 60/3'),
(1,	4671,	'Отделение №3 (до 30 кг на одно место): ул. Героев Крут, д. 60/3'),
(3,	4672,	'Відділення №3: вул. Тюрінська (ран. Якіра), 124'),
(1,	4672,	'Отделение №3: ул. Тюринская (ран. Якира), 124'),
(3,	4673,	'Відділення №3 (до 30 кг): вул. Тверська, 1'),
(1,	4673,	'Отделение №3 (до 30 кг): ул. Тверская, 1'),
(3,	4674,	'Відділення №3: вул. Калачівська, 13 (Стара Дарниця)'),
(1,	4674,	'Отделение №3: ул. Калачевская, 13 (Старая Дарница)'),
(3,	4675,	'Відділення №3 (до 30 кг): вул. Васильєва, 1'),
(1,	4675,	'Отделение №3 (до 30 кг): ул. Васильева, 1'),
(3,	4676,	'Відділення №3 (до 30 кг на одне місце): просп. Металургів, 6б'),
(1,	4676,	'Отделение №3 (до 30 кг на одно место): просп. Металлургов, 6 б'),
(3,	4677,	'Відділення №3 (до 30 кг): вул. Гоголя, 12'),
(1,	4677,	'Отделение №3 (до 30 кг): ул. Гоголя, 12'),
(3,	4678,	'Відділення №3 (до 30 кг): вул. Корольова, 12'),
(1,	4678,	'Отделение № 3 (до 30 кг): ул. Королева, 12'),
(3,	4679,	'Відділення №3 Міні-відділення (до 15 кг): вул. Курчатова, 3-А'),
(1,	4679,	'Отделение №3 Мини-отделение (до 15 кг), ул. Курчатова, 3-А'),
(3,	4680,	'Відділення №3 (до 30 кг): вул. Нове Шосе, 8а'),
(1,	4680,	'Отделение №3 (до 30 кг): ул. Новое Шоссе, 8а'),
(3,	4681,	'Відділення №3: вул. Угорська, 22 (заїзд із вул. Луганської)'),
(1,	4681,	'Отделение №3: ул. Угорская, 22 (заезд с ул. Луганской)'),
(3,	4682,	'Відділення №3 Міні-відділення (до 15 кг): вул. Шосейна, 1-Т'),
(1,	4682,	'Отделение №3 Мини-отделение (до 15 кг), ул. Шоссейная, 1-Т'),
(3,	4683,	'Відділення №3 (до 15 кг) Міні-відділення: вул. Київська, 8'),
(1,	4683,	'Отделение №3 (до 15 кг) Мини-отделение: ул. Киевская, 8'),
(3,	4684,	'Відділення №3 (до 30 кг на одне місце): вул. Армійська (ран. Червоноармійська), 89б'),
(1,	4684,	'Отделение №3 (до 30 кг на одно место): ул. Армейская (ран. Красноармейская), 89б'),
(3,	4685,	'Відділення №3 Міні відділення (до 5 кг): вул. Воровського, 34'),
(1,	4685,	'Отделение №3 Мини отделения (до 5 кг): ул. Воровского, 34'),
(3,	4686,	'Відділення №3 (до 30 кг): вул. М. Грушевського, 42'),
(1,	4686,	'Отделение №3 (до 30 кг): ул. М. Грушевского, 42'),
(3,	4687,	'Відділення №3 (до 30 кг на одне місце): вул. Героїв УПА (ран. Генерала Кирпоноса), 3'),
(1,	4687,	'Отделение №3 (до 30 кг на одно место): ул. Героев УПА (ран. Генерала Кирпоноса), 3'),
(3,	4688,	'Відділення №3 (до 30 кг на одне місце): вул. Науки, 22'),
(1,	4688,	'Отделение №3 (до 30 кг на одно место): ул. Науки, 22'),
(3,	4689,	'Відділення №3 (до 15 кг) Міні-відділення: вул. Грушевського, 33Б'),
(1,	4689,	'Мини-отделение, ул. Грушевского, 33Б'),
(3,	4690,	'Відділення №3 (до 30 кг на одне місце): вул. Ринкова, 1'),
(1,	4690,	'Отделение №3 (до 30 кг на одно место): ул. Рыночная, 1'),
(3,	4691,	'Відділення №3 (до 30 кг на одне місце): вул. Ольгинська, 4'),
(1,	4691,	'Отделение №3 (до 30 кг на одно место): ул. Ольгинская, 4'),
(3,	4692,	'Відділення №3 (до 5 кг) Міні-відділення: вул. Леонтовича, 80/1'),
(1,	4692,	'Отделение №3 (до 5 кг) Мини-отделение: ул. Леонтовича, 80/1'),
(3,	4693,	'Відділення №3 (до 30 кг): вул. 50-річчя Перемоги, 29'),
(1,	4693,	'Отделение № 3 (до 30 кг): ул. 50-летия Победы, 29'),
(3,	4694,	'Відділення №3 (до 10 кг) Міні-відділення: пров. Шевченка, 1a'),
(1,	4694,	'Отделение №3 (до 10 кг) Мини-отделение: проул. Шевченко, 1а'),
(3,	4695,	'Відділення №3 (до 30 кг): вул. Митрополита Шептицького, 23'),
(1,	4695,	'Отделение №3 (до 30 кг): ул. Митрополита Шептицкого, 23'),
(3,	4696,	'Відділення №3 (до 30 кг на одне місце): вул. Кожедуба, 1'),
(1,	4696,	'Отделение №3 (до 30 кг на одно место): ул. Кожедуба, 1'),
(3,	4697,	'Відділення №3: вул. Миколи Вінграновського (ран. Радянська), 39'),
(1,	4697,	'Отделение №3: ул. Николая Винграновского (ран. Советская), 39'),
(3,	4698,	'Відділення №3 (до 30 кг на одне місце): просп. Тараса Шевченко, 2д'),
(1,	4698,	'Отделение №3 (до 30 кг на одно место): просп. Тараса Шевченка, 2д'),
(3,	4699,	'Відділення №3: просп. Східний, 146 в'),
(1,	4699,	'Отделение №3: просп. Восточный, 146 в'),
(3,	4700,	'Відділення №3 (до 30 кг на одне місце): вул. Донецька, 58 (біля магазину &quot;Развилка&quot;)'),
(1,	4700,	'Отделение №3 (до 30 кг на одно место): ул. Донецкая, 58'),
(3,	4701,	'Відділення №3 (до 30 кг на одне місце): вул. І. Франка, 1'),
(1,	4701,	'Отделение №3 (до 30 кг на одно место): ул. И. Франко, 1'),
(3,	4702,	'Відділення №3 (до 30 кг на одне місце): мікрорайон Військове містечко, 11, буд. 5а'),
(1,	4702,	'Отделение №3 (до 30 кг на одно место): микрорайон Военный городок, 11, дом 5а'),
(3,	4703,	'Відділення №3 Міні-відділення (до 15 кг): вул. Незалежності, 65'),
(1,	4703,	'Отделение №3 Мини-отделение (до 15 кг): ул. Независимости, 65'),
(3,	4704,	'Відділення №3 (до 30 кг): вул. Героїв Небесної Сотні, 74'),
(1,	4704,	'Отделение №3 (до 30 кг): ул. Героев Небесной Сотни, 74'),
(3,	4705,	'Відділення №3 (до 30 кг на одне місце): вул. Незалежності (ран. Леніна), 73'),
(1,	4705,	'Отделение №3 (до 30 кг на одно место): ул. Независимости (ран. Ленина), 73'),
(3,	4706,	'Відділення №3 (до 30 кг): вул. Поштова (ран. Соціалистична), 12'),
(1,	4706,	'Отделение №3 (до 30 кг): ул. Почтовая (ран. Социалистическая), 12'),
(3,	4707,	'Відділення №3 (до 30 кг): вул. Курортна, 35'),
(1,	4707,	'Отделение №3 (до 30 кг): ул. Курортная, 35'),
(3,	4708,	'Відділення №3 (до 30 кг на одне місце): вул. Європейська, 56'),
(1,	4708,	'Отделение №3 (до 30 кг на одно место): ул. Европейская, 56'),
(3,	4709,	'Відділення №3 (до 30 кг): вул. Соборна (ран. Володарського), 23'),
(1,	4709,	'Отделение № 3 (до 30 кг): ул. Соборная (ран. Володарского), 23'),
(3,	4710,	'Відділення №3 (до 30 кг): вул. Галафеєва, 43а (маг. &quot;АТБ&quot;)'),
(1,	4710,	'Отделение №3 (до 30 кг): ул. Галафеева, 43а'),
(3,	4711,	'Відділення №3 (до 30 кг на одне місце): вул. Острівна, 9А'),
(1,	4711,	'Отделение №3 (до 30 кг на одно место): ул. Островная, 9А'),
(3,	4712,	'Відділення №3 (до 30 кг на одне місце): просп. Трубників, 32, кв. 1-2'),
(1,	4712,	'Отделение № 3 (до 30 кг на одно место): просп. Трубников, 32, кв. 1-2'),
(3,	4713,	'Відділення №3 (до 30 кг на одне місце): вул. Козацька, 19'),
(1,	4713,	'Отделение №3 (до 30 кг на одно место): ул. Казацкая, 19'),
(3,	4714,	'Відділення №3 (до 30 кг): вул. Центральна, 2'),
(1,	4714,	'Отделение №3 (до 30 кг) Мини-отделение: ул. Центральная, 2'),
(3,	4715,	'Відділення №3 (до 30 кг на одне місце): вул. Шевченка, 25/5'),
(1,	4715,	'Отделение №3 (до 30 кг на одно место): ул. Шевченко, 25/5'),
(3,	4716,	'Відділення №3 (до 30 кг на одне місце): просп. Перемоги, 10'),
(1,	4716,	'Отделение №3 (до 30 кг на одно место): просп. Победы,10'),
(3,	4717,	'Відділення №3 (до 30 кг): вул. Князя Василька, 8б'),
(1,	4717,	'Отделение №3 (до 30 кг): ул. Князя Василько, 8б'),
(3,	4718,	'Відділення №3 (до 30 кг на одне місце): вул. Кропивницького, 29в'),
(1,	4718,	'Отделение №3 (до 30 кг на одно место): ул. Кропивницкого, 29в'),
(3,	4719,	'Відділення №3 (до 30 кг): вул. Шевченка, 109'),
(1,	4719,	'Отделение №3 (до 30 кг):  ул. Шевченко, 109'),
(3,	4720,	'Відділення №3: вул. Айвазовського, 9 (правий берег)'),
(1,	4720,	'Отделение №3: ул. Айвазовского, 9 (правый берег)'),
(3,	4721,	'Відділення №3 (до 30 кг): вул. Осипенка, 35в'),
(1,	4721,	'Отделение №3 (до 30 кг): ул. Осипенка, 35в'),
(3,	4722,	'Відділення №3 (до 5 кг), Міні-відділення: вул. Банкова, 45'),
(1,	4722,	'Отделение №3 (до 5 кг), Мини-отделение: ул. Банковая, 45'),
(3,	4723,	'Відділення №3 (до 30 кг на одне місце): вул. Велика Перспективна, 40'),
(1,	4723,	'Отделение №3 (до 30 кг на одно место): ул. Большая Перспективная, 40'),
(3,	4724,	'Відділення №3 (до 30 кг на одне місце): вул. Ватутіна, 66'),
(1,	4724,	'Отделение № 3 (до 30 кг на одно место): ул. Ватутина, 66'),
(3,	4725,	'Відділення №3 (до 30 кг): вул. Сєдова, 13'),
(1,	4725,	'Отделение № 3 (до 30 кг): ул. Седова, 13'),
(3,	4726,	'Відділення №3 (до 15 кг): вул. Гагаріна, 12-а'),
(1,	4726,	'Отделение №3 (до 15 кг), ул. Гагарина, 12-а'),
(3,	4727,	'Відділення №3 (до 30 кг на одне місце): бульв. Шевченка, 150'),
(1,	4727,	'Отделение №3 (до 30 кг на одно место): бульв. Шевченко, 150'),
(3,	4728,	'Відділення №3 (до 30 кг на одне місце): пл. Героїв, 14'),
(1,	4728,	'Отделение №3 (до 30 кг на одно место): пл. Героев, 14'),
(3,	4729,	'Відділення №3 (до 30 кг на одне місце): вул. Монастирська, 71'),
(1,	4729,	'Отделение №3 (до 30 кг на одно место): ул. Монастырская, 71'),
(3,	4730,	'Відділення №3 (до 30 кг): вул. Православна, 23 (біля залізничного вокзалу)'),
(1,	4730,	'Отделение №3 (до 30 кг): ул. Православная, 23 (возле железнодорожного вокзала)'),
(3,	4731,	'Відділення №3: вул. Електронна, 81/7'),
(1,	4731,	'Отделение №3: ул. Электронная, 81/7'),
(3,	4732,	'Відділення №3: вул. Коломийська, 9г (територія ТзОВ &quot;Холод Сервіс&quot;)'),
(1,	4732,	'Отделение №3: ул. Коломыйская, 9г (территория ООО &quot;Холод Сервис&quot;)'),
(3,	4733,	'Відділення №3 (до 10 кг) Пункт приймання-видачі: вул. Соборна, 112'),
(1,	4733,	'Отделение №3 (до 10 кг) Пункт приема-выдачи, ул. Соборная, 112'),
(3,	4734,	'Відділення №3 (до 30 кг): пров. Шевченка, 2'),
(1,	4734,	'Отделение №3 (до 30 кг): пер. Шевченко, 2'),
(3,	4735,	'Відділення №3: вул. Центральна, 18'),
(1,	4735,	'Отделение №3: ул. Центральная, 18'),
(3,	4736,	'Відділення №3 (до 30 кг): вул. Водопровідна, 21б'),
(1,	4736,	'Отделение №3 (до 30 кг): ул. Водопроводная, 21б'),
(3,	4737,	'Відділення №3 (до 30 кг на одне місце): вул. Київська, 60а'),
(1,	4737,	'Отделение №3 (до 30 кг на одно место): ул. Киевская, 60а'),
(3,	4738,	'Відділення №3 (до 15 кг) Міні-відділення: вул. Ярослава Мудрого, 62А'),
(1,	4738,	'Отделение №3 (до 15 кг): ул. Ярослава Мудрого, 62А'),
(3,	4739,	'Відділення №3 (до 30 кг): вул. Львівська, 79'),
(1,	4739,	'Отделение №3 (до 30 кг): ул. Львовская, 79'),
(3,	4740,	'Відділення №3 (до 15 кг), Міні-відділення: вул. Тимчишина, 8 (маг.&quot;ТАВРІЯ В&quot;)'),
(1,	4740,	'Отделение № 3 (до 15 кг), Мини-отделение: ул. Тимчишина, 8 (маг.&quot;ТАВРИЯ В&quot;)'),
(3,	4741,	'Відділення №3 (до 30 кг на одне місце): вул. Обухова, 20'),
(1,	4741,	'Отделение №3 (до 30 кг на одно место): ул. Обухова, 20'),
(3,	4742,	'Відділення №3 (до 30 кг): вул. Поштова, 5'),
(1,	4742,	'Отделение № 3 (до 30 кг): ул. Почтовая, 5'),
(3,	4743,	'Відділення №3 (до 5 кг) Міні-відділення: вул. 1 травня, 54'),
(1,	4743,	'Отделение №3 (до 5 кг) Мини-отделение: ул. 1мая, 54'),
(3,	4744,	'Відділення №3 (до 30 кг на одне місце): вул. Рибальська (ран. Куйбишева), 5'),
(1,	4744,	'Отделение № 3 (до 30 кг на одно место): ул. Рыбачья (ран. Куйбышева), 5'),
(3,	4745,	'Відділення №3 (до 30 кг на одне місце): вул. Макаренка, 208'),
(1,	4745,	'Отделение №3 (до 30 кг на одно место): ул. Макаренко, 208'),
(3,	4746,	'Відділення №3 (до 30 кг): вул. Станційна, 56/1'),
(1,	4746,	'Отделение №3 (до 30 кг): ул. Станционная, 56/1'),
(3,	4747,	'Відділення №3 (до 30 кг на одне місце): вул. Пушкіна, 8, прим. 10-А (біля маг. «Фора»)'),
(1,	4747,	'Отделение №3 (до 30 кг на одно место): ул. Пушкина 8, пом. 10-А (возле маг. «Фора»)'),
(3,	4748,	'Відділення №3 (до 30 кг): вул. Армійська (ран. Самборського), 27'),
(1,	4748,	'Отделение №3 (до 30 кг): ул. Армейская (ран. Самборского), 27'),
(3,	4749,	'Відділення №3 (до 15 кг) Пункт приймання-видачі: вул. Центральна, 1'),
(1,	4749,	'Отделение №3 (до 15 кг) Пункт приема-выдачи, ул. Центральна, 1'),
(3,	4750,	'Відділення №3: вул. Громова, 6'),
(1,	4750,	'Отделение №3: ул. Громова, 6'),
(3,	4751,	'Відділення №3 (30 кг на одне місце): вул. Мужайська, 54 &quot;А&quot;'),
(1,	4751,	'Отделение №3 (до 30 кг на одно место): ул. Мужайская, 54 &quot;А&quot;'),
(3,	4752,	'Відділення №3 (до 30 кг), смт. Гостомель, вул. Свято-Покровська (ран. Леніна), 84б'),
(1,	4752,	'Отделение №3 (до 30 кг), пгт. Гостомель, ул. Свято-Покровская (ран. Ленина), 84б'),
(3,	4753,	'Відділення №3 (до 30 кг): вул. Привокзальна, 25'),
(1,	4753,	'Отделение №3 (до 30 кг): ул. Привокзальная, 25'),
(3,	4754,	'Відділення №3 (до 30 кг на одне місце): вул. Залізнична, 4'),
(1,	4754,	'Отделение №3 (до 30 кг на одно место): ул. Железнодорожная, 4'),
(3,	4755,	'Відділення №3 (до 30 кг на одне місце): вул. Покровська (ран. Щорса), 20'),
(1,	4755,	'Отделение №3 (до 30 кг на одне место): ул. Покровская (ран. Щорса), 20'),
(3,	4756,	'Відділення №3: вул. Дубенська БОС, 1 (біля кафе &quot;Зірочка&quot;)'),
(1,	4756,	'Отдление №3: ул. Дубенская БОС, 1 (возле кафе &quot;Звёздочка&quot;)'),
(3,	4757,	'Відділення №3 (до 10 кг) Міні-відділення: вул. Єдності, 15'),
(1,	4757,	'Отделение №3 (до 10 кг) Мини-отделение: ул. Единства, 15'),
(3,	4758,	'Відділення №3 (до 30 кг на одне місце): вул. Маяковського, 86, прим. 64'),
(1,	4758,	'Отделение №3 (до 30 кг на одно место): ул. Маяковского, 86, пом. 64'),
(3,	4759,	'Відділення №3 (до 30 кг на одне місце): вул. Ярослава Мудрого (ран. 19-го Партз’їзду), 39'),
(1,	4759,	'Отделение №3 (до 30 кг на одно место): ул. Ярослава Мудрого (ран. 19-го Партсъезда), 39'),
(3,	4760,	'Відділення №3 (до 30 кг на одне місце): вул. Михайла Грушевського (ран. Будьонного), 76'),
(1,	4760,	'Отделение №3 (до 30 кг на одно место): ул. Михаила Грушевского (ран. Буденного), 76'),
(3,	4761,	'Відділення №3 (до 30 кг на одне місце): вул. Пекарська, 7'),
(1,	4761,	'Отделение №3 (до 30 кг на одно место): ул. Пекарська, 7'),
(3,	4762,	'Відділення №3 (до 30 кг): вул. Клубна, 8'),
(1,	4762,	'Отделение №3 (до 30 кг): ул. Клубная, 8'),
(3,	4763,	'Відділення №3 (до 30 кг на одне місце): вул. Грушевського,119'),
(1,	4763,	'Отделение №3 (до 30 на одно место): ул. Грушевского, 119'),
(3,	4764,	'Відділення №3 (до 30 кг на одне місце): просп. Героїв Дніпра (ран. вул. Леніна), 42'),
(1,	4764,	'Отделение №3 (до 30 кг на одно место): просп. Героев Днепра (ран. ул. Ленина), 42'),
(3,	4765,	'Відділення №3 (до 30 кг): вул. Соборна, 89'),
(1,	4765,	'Отделение №3 (до 30 кг): ул. Соборная, 89'),
(3,	4766,	'Відділення №3 (до 30 кг на одне місце): вул. Гоголя,154'),
(1,	4766,	'Отделение №3 (до 30 кг на одно место): ул. Гоголя, 154'),
(3,	4767,	'Відділення №3 (до 30 кг на одне місце): вул. Ювілейна, 2'),
(1,	4767,	'Отделение № 3 (до 30 кг на одне місце): ул. Юбилейная, 2'),
(3,	4768,	'Відділення №3 (до 30 кг): вул. Дніпровська, 563а'),
(1,	4768,	'Отделение №3 (до 30 кг): ул. Днепровская, 563а'),
(3,	4769,	'Відділення №3 (до 30 кг): вул. Пушкіна, 25'),
(1,	4769,	'Отделение №3 (до 30 кг): ул. Пушкина, 25'),
(3,	4770,	'Відділення №3 (до 15 кг) Міні-відділення: вул. Івана Богуна, 58'),
(1,	4770,	'Отделение №3 (до 15 кг) Мини-отделение: ул. Ивана Богуна, 58'),
(3,	4771,	'Відділення №3 (до 5 кг) Міні-відділення: вул, Мечнікова, 1'),
(1,	4771,	'Отделение №3 (до 5 кг) Мини-отделение: ул. Мечникова, 1'),
(3,	4772,	'Відділення №3 (до 30 кг): вул. М. Левицького, 2а (район ринку «Брестський»)'),
(1,	4772,	'Отделение №3 (до 30 кг): ул. Левицкого, 2а (район рынка &quot;Брестский&quot;)'),
(3,	4773,	'Відділення №3 (до 5 кг) Міні-відділення: квартал Київський, 14'),
(1,	4773,	'Отделение №3 (до 5 кг) Мини-отделение: квартал Киевский, 14'),
(3,	4774,	'Відділення №3 (до 30 кг на одне місце): вул. Незалежності (ран. Жовтневої революції), 27'),
(1,	4774,	'Отделение №3 (до 30 кг на одно место): ул.Независимости (ран. Октябрьской революции), 27'),
(3,	4775,	'Відділення №3 (до 30 кг): вул. Леваневського, 47/1'),
(1,	4775,	'Отделение №3 (до 30 кг): ул. Леваневского, 47/1'),
(3,	4776,	'Відділення №3 (до 30 кг): вул. Панкеєвська (ран. Карла Лібкнехта), 108б'),
(1,	4776,	'Отделение №3 (до 30 кг): ул. Панкеевская (ран. Карла Либкнехта), 108б'),
(3,	4777,	'Відділення №3 (до 30 кг на одне місце): вул. Соборна (ран. Леніна), 21а (Соф. Борщагівка)'),
(1,	4777,	'Отделение №3 (до 30 кг на одно место): ул. Соборная (ран. Ленина), 21а (Соф. Борщаговка)'),
(3,	4778,	'Відділення №3 (до 30 кг на одне місце): вул. Лідова, 13'),
(1,	4778,	'Отделение №3 (до 30 кг на одно место): ул. Лидова, 13'),
(3,	4779,	'Відділення №3 (до 30 кг): вул. Степанська, 22'),
(1,	4779,	'Отделение №3 (до 30 кг): ул. Степанска, 22'),
(3,	4780,	'Відділення №3 (до 15 кг), Міні-відділення: вул. Новобілярська, 24/4, оф.4'),
(1,	4780,	'Отделение №3 (до 15 кг) Мини-отделение: ул. Новобилярская, 24/4, оф.4'),
(3,	4781,	'Відділення №3 (до 30 кг): вул. Гетьманська (ран. Радянська), 48 б'),
(1,	4781,	'Отделение №3 (до 30 кг): ул. Гетманская (ран. Советская), 48 б'),
(3,	4782,	'Відділення №3 Міні-відділення (до 15 кг): вул. Харківська, 5'),
(1,	4782,	'Отделение №3 Мини-отделение (до 15 кг), ул. Харьковская, 5'),
(3,	4783,	'Відділення №4 (до 30 кг на одне місце): вул. Курчатова, 15, кв. 139'),
(1,	4783,	'Отделение № 4 (до 30 кг на одно место): ул. Курчатова, 15, кв. 139'),
(3,	4784,	'Відділення №4 (до 30 кг на одне місце): вул. Волкова, 9'),
(1,	4784,	'Отделение №4 (до 30 кг на одно место): ул. Волкова, 9'),
(3,	4785,	'Відділення №4 (до 30 кг): вул. Вокзальна (ран. Революції), 5а'),
(1,	4785,	'Отделение № 4 (до 30 кг): ул. Вокзальная (ран. Революции), 5а'),
(3,	4786,	'Відділення №4 (до 30 кг): вул. Вербицького, 2'),
(1,	4786,	'Отделение № 4 (до 30 кг): ул. Вербицкого, 2'),
(3,	4787,	'Відділення №4 (до 30 кг на одне місце): вул. Соборності, 3'),
(1,	4787,	'Отделение №4 (до 30 кг на одно место): ул. Соборности, 3'),
(3,	4788,	'Відділення №4 (до 30 кг): вул. Полтавська, 107/1'),
(1,	4788,	'Отделение №4 (до 30 кг): ул. Полтавская, 107/1'),
(3,	4789,	'Відділення №4 (до 30 кг): с. Софіївська Борщагівка, вул. Волошкова, 42/2'),
(1,	4789,	'Отделение №4 (до 30 кг): с. Софиевская Борщаговка, ул. Волошковая, 42/2'),
(3,	4790,	'Відділення №4 (до 30 кг на одне місце): вул. Богдана Хмельницького, 31'),
(1,	4790,	'Отделение №4 (до 30 кг на одно место): ул. Богдана Хмельницкого, 31'),
(3,	4791,	'Відділення №4 (до 30 кг): вул. Волонтерів (ран. Піонерська), 51'),
(1,	4791,	'Отделение №4 (до 30 кг): ул. Волонтёров (ран. Пионерская), 51'),
(3,	4792,	'Відділення №4 (до 30 кг на одне місце): площа Товарна, 3'),
(1,	4792,	'Отделение №4 (до 30 кг на одно место): площадь Товарная, 3'),
(3,	4793,	'Відділення №4 (до 30 кг на одне місце): 15-й Мікрорайон, 19'),
(1,	4793,	'Отделение №4 (до 30 кг на одно место): 15-й Микрорайон, 19'),
(3,	4794,	'Відділення №4 (до 30 кг на одне місце): просп. Богоявленський (ран. Жовтневий), 330'),
(1,	4794,	'Отделение №4 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 330'),
(3,	4795,	'Відділення №4 (до 30 кг на одне місце): вул. Бахмутська, 277'),
(1,	4795,	'Отделение №4 (до 30 кг на одно место): ул. Бахмутская, 277'),
(3,	4796,	'Відділення №4: вул. Львівська, 152 б'),
(1,	4796,	'Отделение №4: ул. Львовская, 152б'),
(3,	4797,	'Відділення №4: вул. Юрія Клена (ран. Фурманова), 28'),
(1,	4797,	'Отделение №4: ул. Юрия Клена (ран. Фурманова), 28'),
(3,	4798,	'Відділення №4: вул. Інтеркультурна 77/4'),
(1,	4798,	'Отделение №4: ул. Интеркультурная 77/4'),
(3,	4799,	'Відділення №4: вул. Головна, 200'),
(1,	4799,	'Отделение №4: ул. Главная, 200'),
(3,	4800,	'Відділення №4: вул. Достоєвського, 5'),
(1,	4800,	'Отделение №4: ул. Достоевского, 5'),
(3,	4801,	'Відділення №4: вул. Верховинна, 69'),
(1,	4801,	'Отделение №4: ул. Верховинная, 69'),
(3,	4802,	'Відділення №4 (до 30 кг): просп. Злуки, 8'),
(1,	4802,	'Отделение №4 (до 30 кг): просп. Злуки, 8'),
(3,	4803,	'Відділення №4 (до 30 кг): вул. Гагаріна, 13'),
(1,	4803,	'Отделение №4 (до 30 кг): ул. Гагарина, 13'),
(3,	4804,	'Відділення №4 (до 30 кг): вул. Січових Стрільців, 39'),
(1,	4804,	'Отделение №4 (до 30 кг): ул. Сечевых Стрельцов, 39'),
(3,	4805,	'Відділення №4 (до 30 кг на одне місце): вул. Панянка, 75а'),
(1,	4805,	'Отделение №4 (до 30 кг на одно место): ул. Панянка, 75а'),
(3,	4806,	'Відділення №4: вул. Патона, 2а'),
(1,	4806,	'Отделение №4: ул. Патона, 2а'),
(3,	4807,	'Відділення №4 (до 30 кг): просп. Нахімова, 108'),
(1,	4807,	'Отделение №4 (до 30 кг): просп. Нахимова, 108'),
(3,	4808,	'Відділення №4 (до 30 кг на одне місце): вул. Заводська, 5-1 (кафе &quot;Українка&quot;)'),
(1,	4808,	'Отделение №4 (до 30 кг на одно место): ул. Заводская, 5-1 (кафе &quot;Украинка&quot;)'),
(3,	4809,	'Відділення №4 (до 30 кг): вул. Зарифи Алієвої, 85'),
(1,	4809,	'Отделение №4 (до 30 кг): ул. Зарифы Алиевой, 85'),
(3,	4810,	'Відділення №4 (до 30 кг на одне місце): вул. Червона, 11'),
(1,	4810,	'Отделение №4 (до 30 кг на одно место): ул. Красная, 11'),
(3,	4811,	'Відділення №4 (до 30 кг на одне місце): вул. Вадима Гурова (ран. Постишева), 2a'),
(1,	4811,	'Отделение №4 (до 30 кг на одно место): ул. Вадима Гурова (ран. Постишева), 2a'),
(3,	4812,	'Відділення №4 (до 30 кг): вул. Володимира Шухова, 2'),
(1,	4812,	'Отделение №4 (до 30 кг): ул. Владимира Шухова, 2'),
(3,	4813,	'Відділення №4 (до 30 кг на одне місце): вул. Незалежності (ран. Жовтневої революції), 74'),
(1,	4813,	'Отделение № 4 (до 30 кг на одно место): ул. Независимости (ран. Октябрьской революції), 74'),
(3,	4814,	'Відділення №4 (до 30 кг на одне місце): вул. Острозького, 48'),
(1,	4814,	'Отделение №4 (до 30 кг на одно место): ул. Острожского, 48'),
(3,	4815,	'Відділення №4 (до 30 кг): вул. Шевченка, 3, (ТЦ &quot;Портал&quot;)'),
(1,	4815,	'Отделение №4 (до 30 кг) ул. Шевченко, 3, (ТЦ &quot;Портал&quot;)'),
(3,	4816,	'Відділення №4 (до 30 кг на одне місце): вул. Перемоги, 99'),
(1,	4816,	'Отделение №4 (до 30 кг на одно место): ул. Победы, 99'),
(3,	4817,	'Відділення №4: вул. Українська, 36'),
(1,	4817,	'Отделение №4: ул. Украинская, 36'),
(3,	4818,	'Відділення №4 (до 30 кг на одне місце): вул. Хабаровська, 34'),
(1,	4818,	'Отделение №4 (до 30 кг на одно место): ул. Хабаровская, 34'),
(3,	4819,	'Відділення №4 (до 5 кг) Міні-відділення: вул. Київська, 107 (маг.&quot;Фуршет&quot;)'),
(1,	4819,	'Отделение № 4 (до 5 кг) Мини-отделение: ул. Киевская, 107 (маг.&quot;Фуршет&quot;)'),
(3,	4820,	'Відділення №4 (до 5 кг), Міні-відділення: вул. Першотравнева, 15-а'),
(1,	4820,	'Отделение №4 (до 5 кг), Мини-отделение: ул. Первомайская, 15-а'),
(3,	4821,	'Відділення №4 (до 30 кг): вул. Київська, 230 ж/6 (район 6-ї школи)'),
(1,	4821,	'Отделение №4 (до 30 кг): ул. Киевская, 230 ж/6 (район 6-й школы)'),
(3,	4822,	'Відділення №4 (до 30 кг на одне місце): просп. Соборний, 141'),
(1,	4822,	'Отделение №4 (до 30 кг на одно место): просп. Соборный, 141'),
(3,	4823,	'Відділення №4 (до 30 кг на одне місце): вул. Захисників України, 1'),
(1,	4823,	'Отделение №4 (до 30 кг на одно место): ул. Защитников Украины, 1'),
(3,	4824,	'Відділення №4 (до 30 кг на одне місце): вул. Капушанська, 168'),
(1,	4824,	'Отделение №4 (до 30 кг на одно место): ул. Капушанская, 168'),
(3,	4825,	'Відділення №4 (до 30 кг на одне місце): вул. Грушевського, 52г'),
(1,	4825,	'Отделение №4 (до 30 кг на одно место): ул. Грушевского, 52г'),
(3,	4826,	'Відділення №4: вул. Князя Ярослава Мудрого (ран. Ленінградська), 19'),
(1,	4826,	'Отделение №4: ул. Князя Ярослава Мудрого (ран. Ленинградская), 19'),
(3,	4827,	'Відділення №4 (до 30 кг): проспект Миру, 72/5 (ТЦ &quot;Проспект&quot;)'),
(1,	4827,	'Отделение №4 (до 30 кг): проспект Мира 72/5 (ТЦ &quot;Проспект&quot;)'),
(3,	4828,	'Відділення №4:  Трускавецька, 15 (с.Сокільники, вул. Львівська бічна,11)'),
(1,	4828,	'Отделение №4:  Трускавецкая, 15 (с. Сокольники, ул. Львовская боковая, 11)'),
(3,	4829,	'Відділення №4 (до 30 кг на одне місце): вул. Грушевського, 4'),
(1,	4829,	'Отделение №4 (до 30 кг на одно место): ул. Грушевского, 4'),
(3,	4830,	'Відділення №4 (до 30 кг): вул. Самбірська, 86'),
(1,	4830,	'Отделение № 4 (до 30 кг): ул. Самборская, 86'),
(3,	4831,	'Відділення №4 (до 30 кг на одне місце): вул. Соборна, 52'),
(1,	4831,	'Отделение №4 (до 30 кг на одно место): ул.  Соборная, 52'),
(3,	4832,	'Відділення №4 (до 30 кг): вул. Академіка Кримського, 2'),
(1,	4832,	'Отделение №4 (до 30 кг): ул. Академика Крымского, 2'),
(3,	4833,	'Відділення №4 (до 30 кг на одне місце): просп. Конституції, 30'),
(1,	4833,	'Отделение №4 (до 30 кг на одно место): просп. Конституции, 30'),
(3,	4834,	'Відділення №4: вул. Академіка Вільямса, 86'),
(1,	4834,	'Отделение №4: ул. Академика Вильямса, 86'),
(3,	4835,	'Відділення №4 (до 30 кг): вул. Рокоссовського, 68'),
(1,	4835,	'Отделение №4 (до 30 кг): ул. Рокоссовского, 68'),
(3,	4836,	'Відділення №4 (до 30 кг): вул. Леваневського, 10'),
(1,	4836,	'Отделение №4 (до 30 кг): ул. Леваневского, 10'),
(3,	4837,	'Відділення №4 (до 30 кг на одне місце): вул. Фаїни Гаєнко (ран. Луначарського), буд. 1/&quot;В&quot;/5'),
(1,	4837,	'Отделение №4 (до 30 кг на одно место): ул. Фаины Гаенко (ран. Луначарского), д. 1/&quot;В&quot; /5'),
(3,	4838,	'Відділення №4 (до 30 кг): вул. Ізмаїльська, 111в'),
(1,	4838,	'Отделение №4 (до 30 кг): ул. Измаильская, 111в'),
(3,	4839,	'Відділення №4 (до 30 кг на одне місце): вул. Братська (ран. Калініна), 24'),
(1,	4839,	'Отделение №4 (до 30 кг на одно место): ул. Братская (ран. Калинина), 24'),
(3,	4840,	'Відділення №4 (до 30 кг): вул. Тюленіна, 4-а'),
(1,	4840,	'Отделение №4 (до 30 кг): ул. Тюленина, 4-а'),
(3,	4841,	'Відділення №4 (до 30 кг на одне місце): пров. Парковий, 5 (район «Артема»)'),
(1,	4841,	'Отделение №4 (до 30 кг на одно место): пер. Парковый, 5 (район «Артема»)'),
(3,	4842,	'Відділення №4 (до 30 кг на одне місце): вул. Шолуденка, 6г'),
(1,	4842,	'Отделение №4 (до 30 кг на одно место): ул. Шолуденко, 6г'),
(3,	4843,	'Відділення №4 (до 30 кг): вул. Данченка, 3б'),
(1,	4843,	'Отделение №4 (до 30 кг): ул. Данченко, 3б'),
(3,	4844,	'Відділення №4 (до 30 кг на одне місце): бульв. Шевченка, 14'),
(1,	4844,	'Отделение №4 (до 30 кг на одно место): бульв. Шевченко, 14'),
(3,	4845,	'Відділення №4 (до 30 кг на одне місце): вул. Відінська, 5в'),
(1,	4845,	'Отделение №4 (до 30 кг на одно место): ул. Видинская, 5в'),
(3,	4846,	'Відділення №4 (до 30 кг): просп. Суворова, 59а'),
(1,	4846,	'Отделение №4 (до 30 кг): просп. Суворова, 59а'),
(3,	4847,	'Відділення №4 (до 30 кг): вул. Гагаріна, 77'),
(1,	4847,	'Отделение №4 (до 30 кг): ул. Гагарина, 77'),
(3,	4848,	'Відділення №4 (до 30 кг): вул. Луцька, 158'),
(1,	4848,	'Отделение №4 (до 30 кг): ул. Луцкая, 158'),
(3,	4849,	'Відділення №4 (до 30 кг): вул. Гірників, 25'),
(1,	4849,	'Отделение № 4 (до 30 кг): ул. Горняков, 25'),
(3,	4850,	'Відділення №4 (до 30 кг на одне місце): вул. Соборна (ран. Свердлова), 71а'),
(1,	4850,	'Отделение №4 (до 30 кг на одне місце): ул. Соборная (ран. Свердлова), 71а'),
(3,	4851,	'Відділення №4 (до 30 кг): вул. Шевченка, 15'),
(1,	4851,	'Отделение №4 (до 30 кг): ул. Шевченко, 15'),
(3,	4852,	'Відділення №4 (до 30 кг): вул. Головатого, 20'),
(1,	4852,	'Отделение №4 (до 30 кг): ул. Головатого, 20'),
(3,	4853,	'Відділення №4 (до 30 кг): вул. Грушевського, 9/1'),
(1,	4853,	'Отделение №4 (до 30 кг): ул. Грушевского, 9/1'),
(3,	4854,	'Відділення №4 (до 15 кг), Міні-відділення: вул. Віктора Усова, 18'),
(1,	4854,	'Отделение №4 (до 15 кг), Мини-отделение: ул. Виктора Усова, 18'),
(3,	4855,	'Відділення №4 (до 30 кг на одне місце): просп. Будівельників, 25б'),
(1,	4855,	'Отделение №4 (до 30 кг на одно место): просп. Строителей, 25б'),
(3,	4856,	'Відділення №4 (до 30 кг на одне місце): площа Соборна, 20'),
(1,	4856,	'Отделение №4 (до 30 кг на одно место): ул. Соборная, 20'),
(3,	4857,	'Відділення №4 (до 30 кг на одне місце): вул.Сагайдачного, 50'),
(1,	4857,	'Отделение №4 (до 30 кг на одно место): ул. Сагайдачного, 50'),
(3,	4858,	'Відділення №4 (до 30 кг): вул. 195 Стрілкової Дивізії, 3'),
(1,	4858,	'Отделение №4 (до 30 кг): ул. 195 Стрелковой Дивизии, 3'),
(3,	4859,	'Відділення №4 (до 10 кг), Міні-відділення: вул. Підзамче, 16'),
(1,	4859,	'Отделение №4 (до 10 кг), Мини-отделение: ул. Подзамче, 16'),
(3,	4860,	'Відділення №4 (до 30 кг): вул. Бульварна (ран. Орджонікідзе), 1'),
(1,	4860,	'Отделение №4 (до 30 кг): ул. Бульварная (ран. Орджоникидзе), 1'),
(3,	4861,	'Відділення №4: вул. Юності, 62б'),
(1,	4861,	'Отделение №4: ул. Юности, 62б'),
(3,	4862,	'Відділення №5 (до 30 кг на одне місце): вул. Космічна, 1 (Раковка)'),
(1,	4862,	'Отделение №5 (до 30 кг на одно место): ул. Космическая, 1 (Раковка)'),
(3,	4863,	'Відділення №5 (до 30 кг): вул. Кам\'янецька, 52/2'),
(1,	4863,	'Отделение №5 (до 30 кг): ул. Каменецкая, 52/2'),
(3,	4864,	'Відділення №5 (до 5 кг), Міні-відділення: вул. Лесі Українки, 39/2'),
(1,	4864,	'Отделение №5 (до 5 кг), Мини-отделение: ул. Леси Украинки, 39/2'),
(3,	4865,	'Відділення №5: вул. Горбатова, 69'),
(1,	4865,	'Отделение №5: ул. Горбатова, 69'),
(3,	4866,	'Відділення №5 (до 30 кг на одне місце): просп. Миру, 12'),
(1,	4866,	'Отделение №5 (до 30 кг на одно место): просп. Мира, 12'),
(3,	4867,	'Відділення №5 (до 30 кг на одне місце): вул. Вячеслава Галви (ран. Руднєва), 45'),
(1,	4867,	'Отделение №5 (до 30 кг на одно место): ул. Вячеслава Галвы (ран. Руднева), 45'),
(3,	4868,	'Відділення №5: вул. Добропільська, 1'),
(1,	4868,	'Отделение №5: ул. Добропольская, 1'),
(3,	4869,	'Відділення №5 (до 30 кг): вул. Стрітенська (ран. Рози Люксембург), 11а'),
(1,	4869,	'Отделение №5 (до 30 кг): ул. Сретенская (ран. Розы Люксембург, 11а'),
(3,	4870,	'Відділення №5 (до 30 кг на одне місце): вул. Академіка Філатова, 24'),
(1,	4870,	'Отделение №5 (до 30 кг на одно место): ул. Академика Филатова, 24'),
(3,	4871,	'Відділення №5: вул. Федорова, 32 (м. Олімпійська)'),
(1,	4871,	'Отделение №5: ул. Федорова, 32 (м. Олимпийская)'),
(3,	4872,	'Відділення №5 (до 30 кг): вул. Українська, 16, прим. 77'),
(1,	4872,	'Отделение №5 (до 30 кг): ул. Украинская, 16, пом. 77'),
(3,	4873,	'Відділення №5 (до 30 кг): вул. Нахімова, 403'),
(1,	4873,	'Отделение №5 (до 30 кг): ул. Нахимова, 403'),
(3,	4874,	'Відділення №5 (до 30 кг на одне місце): вул. Ясська (ран. Ковальчука), 13'),
(1,	4874,	'Отделение №5 (до 30 кг на одно место): ул. Ясская (ран. Ковальчука), 13'),
(3,	4875,	'Відділення №5 (до 30 кг на одне місце): вул. Електрометалургів, 42-Б'),
(1,	4875,	'Отделение №5 (до 30 кг на одно место): ул. Электрометаллургов, 42-Б'),
(3,	4876,	'Відділення №5 (до 30 кг): вул. Данилишина, 6'),
(1,	4876,	'Отделение №5 (до 30 кг): ул. Данилишина, 6'),
(3,	4877,	'Відділення №5 (до 30 кг на одне місце): вул. Ротондівська (ран. Косіора), 44'),
(1,	4877,	'Отделение №5 (до 30 кг на одно место): ул. Ротондовская (ран. Косиора),44'),
(3,	4878,	'Відділення №5 (до 30 кг): вул. Тютюнника Григора, 2'),
(1,	4878,	'Отделение №5 (до 30 кг): ул. Тютюнника Григора, 2'),
(3,	4879,	'Відділення №5 (до 30 кг на одне місце): вул. Шевченка, 31, прим. 84'),
(1,	4879,	'Отделение №5 (до 30 кг на одно место): ул. Шевченко, 31, пом. 84'),
(3,	4880,	'Відділення №5 (до 30 кг на одне місце): вул. Котляревського, 2г'),
(1,	4880,	'Отделение №5 (до 30 кг на одно место): ул. Котляревского, 2г'),
(3,	4881,	'Відділення №5 (до 30 кг): вул. Маяковського, 1'),
(1,	4881,	'Отделение №5 (до 30 кг): ул. Маяковского, 1'),
(3,	4882,	'Відділення №5 (до 30 кг): вул. Келецька, 83'),
(1,	4882,	'Отделение №5 (до 30 кг): ул. Келецкая, 83'),
(3,	4883,	'Відділення №5 (до 30 кг): вул. Б. Тена, 9'),
(1,	4883,	'Отделение №5 (до 30 кг): ул. Б. Тена, 9'),
(3,	4884,	'Відділення №5 (до 30 кг): вул. В\'ячеслава Чорновола, 3'),
(1,	4884,	'Отделение №5 (до 30 кг): ул. Вячеслава Чорновола, 3'),
(3,	4885,	'Відділення №5 (до 30 кг): вул. Куїнджі (ран. Артема), 33 (Центр)'),
(1,	4885,	'Отделение №5 (до 30 кг): ул. Куинджи (ран. Артема), 33 (Центр)'),
(3,	4886,	'Відділення №5 (до 30 кг): вул. Шевченка, 16б'),
(1,	4886,	'Отделение №5 (до 30 кг): ул. Шевченко, 16б'),
(3,	4887,	'Відділення №5 (до 30 кг): бульв. Олександрійський (ран. 50-річчя Перемоги), 86'),
(1,	4887,	'Отделение №5 (до 30 кг): бульв. Александрийский (ран. 50-летия Победы), 86'),
(3,	4888,	'Відділення №5 (до 30 кг на одне місце): просп. Героїв України (ран. Героїв Сталінграду), 77/1'),
(1,	4888,	'Отделение №5 (до 30 кг на одно место): просп. Героев Украины (ран. Героев Сталинграда), 77/1'),
(3,	4889,	'Відділення №5 (до 30 кг): вул. Звенигородська (ран. Бойко), 25'),
(1,	4889,	'Отделение №5 (до 30 кг): ул. Звенигородская (ран. Бойко), 25'),
(3,	4890,	'Відділення №5 (до 15 кг), Міні-відділення: вул. Європейська, 9/2'),
(1,	4890,	'Отделение №5 (до 15 кг) Мини-отделение: ул. Европейская, 9/2'),
(3,	4891,	'Відділення №5 (до 30 кг на одне місце): просп. Миру, 180а'),
(1,	4891,	'Отделение №5 (до 30 кг на одно место): просп. Мира, 180а'),
(3,	4892,	'Відділення №5 (до 30 кг на одне місце): просп. Перемоги, 3'),
(1,	4892,	'Отделение №5 (до 30 кг на одно место): просп. Победы, 3'),
(3,	4893,	'Відділення №5 (до 30 кг на одне місце): вул. Гоголя, 163'),
(1,	4893,	'Отделение №5 (до 30 кг на одно место): ул. Гоголя, 163'),
(3,	4894,	'Відділення №5 (до 30 кг): вул. Одеська, 99'),
(1,	4894,	'Отделение №5 (до 30 кг): ул. Одесская, 99'),
(3,	4895,	'Відділення №5 (до 30 кг на одне місце): вул. Набережна, 2В'),
(1,	4895,	'Отделение №5 (до 30 кг на одно место): ул. Набережная, 2В'),
(3,	4896,	'Відділення №5 (до 30 кг): бульв. Лесі Українки, 2/3'),
(1,	4896,	'Отделение №5 (до 30 кг): бульв. Леси Украинки, 2/3'),
(3,	4897,	'Відділення №5 (до 30 кг): вул. Тараса Шевченка, 1А'),
(1,	4897,	'Отделение №5 (до 30 кг): ул. Тараса Шевченко, 1А'),
(3,	4898,	'Відділення №5 (до 30 кг на одне місце): вул. Київська, 9'),
(1,	4898,	'Отделение №5 (до 30 кг одно место): ул. Киевская, 9'),
(3,	4899,	'Відділення №5 (до 30 кг): вул. Каштанова, 9-б'),
(1,	4899,	'Отделение №5 (до 30 кг): ул. Каштанова, 9-б'),
(3,	4900,	'Відділення №5: пл. Ю. Кононенка, 1а (Автобазар &quot;Лоск&quot;, приміщення &quot;Приват Банку&quot;)'),
(1,	4900,	'Отделение №5: пл. Ю. Кононенко, 1а (Авторынок &quot;Лоск&quot;, здание &quot;Приват Банка&quot;)'),
(3,	4901,	'Відділення №5 (до 30 кг на одне місце): вул. Перспективна, 16'),
(1,	4901,	'Отделение №5 (до 30 кг на одно место): ул. Перспективная, 16'),
(3,	4902,	'Відділення №5 (до 30 кг): просп. Перемоги, буд. 16, прим. 2 (ст. Інгулець)'),
(1,	4902,	'Отделение №5 (до 30 кг): просп. Победы, дом 16, пом. 2 (ст. Ингулец)'),
(3,	4903,	'Відділення №5 (до 30 кг): вул. Італійська (ран. Дюміна), 31 А'),
(1,	4903,	'Отделение №5 (до 30 кг): ул. Итальянская (ран. Дюмина), 31 А'),
(3,	4904,	'Відділення №5 (до 30 кг): вул. Анатолія Живова, 37'),
(1,	4904,	'Отделение №5 (до 30 кг): ул. Анатолия Живова, 37'),
(3,	4905,	'Відділення №5 (до 30 кг): вул. Торецька, 47Б'),
(1,	4905,	'Отделение №5 (до 30 кг): ул. Торецкая, 47Б'),
(3,	4906,	'Відділення №5 (до 30 кг на одне місце): вул. Берегівська, 66, прим. 57'),
(1,	4906,	'Отделение №5 (до 30 кг на одно место): ул. Береговская, 66, пом. 57'),
(3,	4907,	'Відділення №5 (до 30 кг): вул. Багряного Івана, 9 А/100'),
(1,	4907,	'Отделение №5 (до 30 кг): ул. Багряного Ивана, 9 А/100'),
(3,	4908,	'Відділення №5 (до 30 кг): вул. Першотравнева, 10'),
(1,	4908,	'Отделение №5 (до 30 кг): ул. Первомайская, 10'),
(3,	4909,	'Відділення №5 (до 30 кг): вул. Грушевського, 74а'),
(1,	4909,	'Отделение №5 (до 30 кг): ул. Грушевского, 74а'),
(3,	4910,	'Відділення №5 (до 30 кг): вул. Винниченка, 19'),
(1,	4910,	'Отделение №5 (до 30 кг): ул. Винниченко, 19'),
(3,	4911,	'Відділення №5 (до 30 кг): вул. Ново-Оскольська, 6-а, прим. №1001'),
(1,	4911,	'Отделение №5 (до 30 кг): ул. Ново-Оскольская, 6-а, пом. №1001'),
(3,	4912,	'Відділення №5: вул. Комяхова, 50'),
(1,	4912,	'Отделение №5: ул. Комяхова, 50'),
(3,	4913,	'Відділення №5 (до 30 кг на одне місце): вул. Київський Шлях, 2/6 (ТРЦ &quot;Аеромолл&quot;)'),
(1,	4913,	'Отделение №5 (до 30 кг на одно место): ул. Киевский Шлях, 2/6 (ТРЦ &quot;Аэромолл&quot;)'),
(3,	4914,	'Відділення №5 (до 30 кг на одне місце): вул. Шевченка, 4а'),
(1,	4914,	'Отделение №5 (до 30 кг на одно место): ул. Шевченко, 4а'),
(3,	4915,	'Відділення №5: вул. Юрія Вєтрова (ран. Воровського), 20'),
(1,	4915,	'Отделение №5: ул. Юрия Ветрова (ран. Воровского), 20'),
(3,	4916,	'Відділення №5 (до 30 кг на одне місце): вул. Толубко, 2 (р-н Болгарбуд)'),
(1,	4916,	'Отделение №5 (до 30 кг на одно место): ул. Толубко, 2 (р-н Болгарбуд)'),
(3,	4917,	'Відділення №5 (до 30 кг на одне місце): вул. Героїв України, 7, оф. 18'),
(1,	4917,	'Отделение №5 (до 30 кг на одно место): ул. Героев Украины, 7, оф. 18'),
(3,	4918,	'Відділення №5 (до 30 кг на одне місце): вул. Єгорова, 32/2'),
(1,	4918,	'Отделение №5 (до 30 кг на одне место): ул. Егорова, 33,кв.2'),
(3,	4919,	'Відділення №5 (до 30 кг на одне місце): вул. Соборності, 71'),
(1,	4919,	'Отделение №5 (до 30 кг на одно место): ул. Соборности, 71'),
(3,	4920,	'Відділення №5 (до 30 кг): вул. Рівненська, 55'),
(1,	4920,	'Отделение №5 (до 30 кг): ул. Ровенская, 55'),
(3,	4921,	'Відділення №5: вул. Бориса Кротова, 38 (с. Дороге, провул. Тютіна, 15а)'),
(1,	4921,	'Отделение №5: ул. Бориса Кротова,38 (с. Дорогое, пер. Тютина, 15а)'),
(3,	4922,	'Відділення №6 (до 30 кг): вул. Сихівська, 8'),
(1,	4922,	'Отделение №6 (до 30 кг): ул. Сиховская, 8'),
(3,	4923,	'Відділення №6 (до 30 кг): вул. Заярська, 1'),
(1,	4923,	'Отделение №6 (до 30 кг): ул. Заярская, 1'),
(3,	4924,	'Відділення №6 (до 30 кг): вул. Соборна (ран. Радянська), 13/4'),
(1,	4924,	'Отделение №6 (до 30 кг): ул. Соборная (ран. Советская), 13/4'),
(3,	4925,	'Відділення №6 (до 30 кг): вул. Науки, 1'),
(1,	4925,	'Отделение №6 (до 30 кг): ул. Науки, 1'),
(3,	4926,	'Відділення №6 (до 30 кг): вул. Зодчих,16'),
(1,	4926,	'Отделение №6 (до 30 кг): ул. Зодчих, 16'),
(3,	4927,	'Відділення №6 (до 30 кг): вул. Шкільна, 19 (Петропав. Борщагівка)'),
(1,	4927,	'Отделение № 6 (до 30 кг): ул. Школьная, 19 (Петропав. Борщаговка)'),
(3,	4928,	'Відділення №6 (до 30 кг): вул. Горького, 166 (ТЦ &quot;Олімпія&quot;)'),
(1,	4928,	'Отделение №6 (до 30 кг): вул. Горького, 166 (ТЦ &quot;Олимпия&quot;)'),
(3,	4929,	'Відділення №6 (до 30 кг на одне місце): вул. Комарова, 27'),
(1,	4929,	'Отделение №6 (до 30 кг на одно место): ул. Комарова, 27'),
(3,	4930,	'Відділення №6 (до 30 кг): вул. Шкільна, 1б'),
(1,	4930,	'Отделение №6 (до 30 кг): ул. Школьная, 1б'),
(3,	4931,	'Відділення №6: вул. Ударників, 27'),
(1,	4931,	'Отделение №6: ул. Ударников, 27'),
(3,	4932,	'Відділення №6 (до 30 кг): вул. Шевченка, 46'),
(1,	4932,	'Отделение №6 (до 30 кг): ул. Шевченко, 46'),
(3,	4933,	'Відділення №6 (до 30 кг): вул. Симоненка Василя, 3-Б'),
(1,	4933,	'Отделение №6 (до 30 кг): ул. Симоненко Василия, 3-Б'),
(3,	4934,	'Відділення №6 (до 30 кг на одне місце): вул. Едуарда Фукса (ран. Тухачевського), 41 (прим.65)'),
(1,	4934,	'Отделение №6 (до 30 кг на одно место): ул. Эдуарда Фукса (ран. Тухачевского), 41 (пом.65)'),
(3,	4935,	'Відділення №6 (до 30 кг на одне місце): вул. Короленка, 32а'),
(1,	4935,	'Отделение №6 (до 30 кг на одно место): ул. Короленко, 32а'),
(3,	4936,	'Відділення №6 (до 30 кг): вул. Надрічна, 2а'),
(1,	4936,	'Отделение №6 (до 30 кг): ул. Надречная, 2а'),
(3,	4937,	'Відділення №6 (до 30 кг на одне місце): вул. Ярморочна, 35 (вул. Шовковична)'),
(1,	4937,	'Отделение №6 (до 30 кг на одно место): ул. Ярмарочная, 35 (ул. Шелковичная)'),
(3,	4938,	'Відділення №6 (до 30 кг на одне місце): с. Мигія, вул. Первомайська, 127 (м-р &quot;Фрегат&quot;)'),
(1,	4938,	'Отделение №6 (до 30 кг на одно место): с. Мигия, ул. Первомайская, 127 (м-р &quot;Фрегат&quot;)'),
(3,	4939,	'Відділення №6 (до 30 кг на одне місце): просп. Свободи (ран. Леніна), 74'),
(1,	4939,	'Отделение №6 (до 30 кг на одно место): просп. Свободы (ран. Ленина), 74'),
(3,	4940,	'Відділення №6 (до 30 кг на одне місце): вул. Київська, 44 (біля кафе Мономах)'),
(1,	4940,	'Отделение №6 (до 30 кг на одно место): ул. Киевская, 44 (возле кафе Мономах)'),
(3,	4941,	'Відділення №6 (до 5 кг) Міні-відділення: вул. Шевченка, 21б (маг.&quot;Альянс&quot;)'),
(1,	4941,	'Отделение № 6 (до 5 кг) Мини-отделение: ул. Шевченко, 21б (маг.&quot;Альянс&quot;)'),
(3,	4942,	'Відділення №6 (до 30 кг): просп. Степана Бандери, 80'),
(1,	4942,	'Отделение №6 (до 30 кг): просп. Степана Бандеры, 80'),
(3,	4943,	'Відділення №6 (до 30 кг): вул. Івана Франка, 1д (офіс 2)'),
(1,	4943,	'Отделение №6 (до 30 кг): ул. Ивана Франка, 1д (офис 2)'),
(3,	4944,	'Відділення №6 (до 30 кг): вул. Торгівельна (ран. Комінтерна), район Приміської автостанції'),
(1,	4944,	'Отделение №6 (до 30 кг): ул. Торговая (ран. Коминтерна), район Пригородной автостанции'),
(3,	4945,	'Відділення №6 (до 30 кг на одне місце): просп. Ювілейний, 12'),
(1,	4945,	'Отделение №6 (до 30 кг на одно место): просп. Юбилейный, 12'),
(3,	4946,	'Відділення №6 (до 30 кг): вул. Театральна (ран. Горького), 9'),
(1,	4946,	'Отделение №6 (до 30 кг): ул. Театральная (ран. Горького), 9'),
(3,	4947,	'Відділення №6 (до 30 кг на одне місце): вул. Київська, 150'),
(1,	4947,	'Отделение №6 (до 30 кг на одно место): ул. Киевская, 150'),
(3,	4948,	'Відділення №6 (до 30 кг на одне місце): вул. Воскресенська, 13а'),
(1,	4948,	'Отделение №6 (до 30 кг на одно место): ул. Воскресенская, 13а'),
(3,	4949,	'Відділення №6 (до 15 кг), Міні-відділення: вул. Свободи, 27б'),
(1,	4949,	'Отделение №6 (до15 кг), Мини-отделение: ул. Свободы, 27б'),
(3,	4950,	'Відділення №6: вул. Академіка Павлова, 120'),
(1,	4950,	'Отделение №6: ул. Академика Павлова, 120'),
(3,	4951,	'Відділення №6 (до 30 кг на одне місце): вул. Івана Мазепи, 12/8'),
(1,	4951,	'Отделение №6 (до 30 кг одно место): ул. Ивана Мазепы, 12/8'),
(3,	4952,	'Відділення №6: вул. Лісова, 1'),
(1,	4952,	'Отделение № 6 : ул. Лесная, 1'),
(3,	4953,	'Відділення №6 (до 30 кг): вул. Подільська, 73/1'),
(1,	4953,	'Отделение №6 (до 30 кг): ул. Подольская, 73/1'),
(3,	4954,	'Відділення №6 (до 30 кг на одне місце): вул. Волкова, 30'),
(1,	4954,	'Отделение №6 (до 30 кг на одно место): ул. Волкова, 30'),
(3,	4955,	'Відділення №6 (до 30 кг): вул. Героїв України (ран. Кірова), 42/1'),
(1,	4955,	'Отделение №6 (до 30 кг): ул. Героев Украины (ран. Кирова), 42/1'),
(3,	4956,	'Відділення №6: вул. Миколи Василенка, 2 (метро Берестейська)'),
(1,	4956,	'Отделение №6: ул. Николая Василенко, 2 (метро Берестейская)'),
(3,	4957,	'Відділення №6 (до 30 кг): просп. Грушевського, 22/1-4'),
(1,	4957,	'Отделение №6 (до 30 кг): просп. Грушевского, 22/1-4'),
(3,	4958,	'Відділення №6 (до 30 кг на одне місце): вул. Європейська, 132 (Залізнич. вокзал - Привокз. ринок)'),
(1,	4958,	'Отделение №6 (до 30 кг на одно место): ул. Европейская, 132 (ЖД вокзал - Привокз. рынок)'),
(3,	4959,	'Відділення №6 (до 30 кг): просп. Лесі Українки, 96 (Торговий центр Простор)'),
(1,	4959,	'Отделение №6 (до 30 кг): просп. Леси Украинки, 96 (Торговый центр Простор)'),
(3,	4960,	'Відділення №6: вул. Георгівська, 10 (Центр)'),
(1,	4960,	'Отделение №6: ул. Георгиевская, 10 (Центр)'),
(3,	4961,	'Відділення №6 (до 30 кг на одне місце): вул. Небесної Сотні, 41'),
(1,	4961,	'Отделение №6 (до 30 кг на одно место): ул. Небесной Сотни, 41'),
(3,	4962,	'Відділення №6 (до 30 кг на одне місце): вул. Героїв Холодноярців, 30'),
(1,	4962,	'Отделение №6 (до 30 кг на одно место): ул. Героев Холодноярцев, 30'),
(3,	4963,	'Відділення №6 (до 30 кг): вул. Н. Курченко, 23'),
(1,	4963,	'Отделение №6 (до 30 кг): ул. Н. Курченко, 23'),
(3,	4964,	'Відділення №7 (до 30 кг на одне місце): вул. Марата, 1'),
(1,	4964,	'Отделение №7 (до 30 кг на одно место): ул. Марата, 1'),
(3,	4965,	'Відділення №7 (до 30 кг): вул. Космонавтів, 62'),
(1,	4965,	'Отделение №7 (до 30 кг): ул. Космонавтов, 62'),
(3,	4966,	'Відділення №7 (до 30 кг на одне місце): вул. Корольова, 6 (авторинок «Динамо»)'),
(1,	4966,	'Отделение №7 (до 30 кг на одно место): ул. Королева, 6 (авторынок &quot;Динамо&quot;)'),
(3,	4967,	'Відділення №7 (до 5 кг) Міні-відділення: бульв. М. Грушевського (ран. 1-го Трав.), 13 (маг.Фуршет)'),
(1,	4967,	'Отделение №7 (до 5 кг) Мини-отделение: бульв. М. Грушевского (ран. 1-го Мая), 13 (маг. &quot;Фуршет&quot;)'),
(3,	4968,	'Відділення №7 (до 30 кг): мкр-н Лазурний, будинок - (ТЦ «Лазурний»)'),
(1,	4968,	'Отделение №7 (до 30 кг): мкр-н Лазурный, дом - (ТЦ «Лазурный»)'),
(3,	4969,	'Відділення №7: вул. Космічна, 119'),
(1,	4969,	'Отделение №7: ул. Космическая, 119'),
(3,	4970,	'Відділення №7 (до 30 кг на одне місце): вул. Свято-Миколаївська (ран. Леніна), 55'),
(1,	4970,	'Отделение №7 (до 30 кг на одно место): ул. Свято-Николаевская (ран. Ленина), 55'),
(3,	4971,	'Відділення №7 (до 30 кг на одне місце): вул. Пацаєва, 11 Б'),
(1,	4971,	'Отделение №7 (до 30 кг на одно место): ул. Пацаева, 11 Б'),
(3,	4972,	'Відділення №7 (до 30 кг): просп. 200-річчя Херсона, 30'),
(1,	4972,	'Отделение №7 (до 30 кг): просп. 200 лет Херсона, 30'),
(3,	4973,	'Відділення №7: вул. 1-й Піщаний Тупік, 1'),
(1,	4973,	'Отделение №7: ул. 1-й Песчаный Тупик,1'),
(3,	4974,	'Відділення №7 (до 30 кг): вул. Келецька, 51а, прим. 144'),
(1,	4974,	'Отделение №7 (до 30 кг): ул. Келецкая, 51а, пом. 144'),
(3,	4975,	'Відділення №7 (до 30 кг): вул. Генерала Шухевича, 4'),
(1,	4975,	'Отделение №7 (до 30 кг): ул. Генерала Шухевича, 4'),
(3,	4976,	'Відділення №7 (до 30 кг): вул. Юлії Жемайте, 1а'),
(1,	4976,	'Отделение №7 (до 30 кг): ул. Юлии Жемайте, 1а'),
(3,	4977,	'Відділення №7 (до 30 кг): вул. Личаківська, 8'),
(1,	4977,	'Отделение №7 (до 30 кг): ул. Лычаковская, 8'),
(3,	4978,	'Відділення №7 (до 30 кг на одне місце): вул. Шевченка, 54'),
(1,	4978,	'Отделение №7 (до 30 кг на одно место): ул. Шевченко, 54'),
(3,	4979,	'Відділення №7 (до 30 кг): вул. Б. Лепкого, 6а, прим. 1,2'),
(1,	4979,	'Отделение №7 (до 30 кг): ул. Б.  Лепкого, 6а, пом. 1,2'),
(3,	4980,	'Відділення №7 (до 30 кг): вул. Жуковського, 10'),
(1,	4980,	'Отделение №7 (до 30 кг): ул. Жуковского, 10'),
(3,	4982,	'Відділення №7 (до 30 кг): просп. Олександра Поля (ран. Кірова), 8а'),
(1,	4982,	'Отделение №7 (до 30 кг): просп. Александра Поля (ран. Кирова), 8а'),
(3,	4983,	'Відділення №7 (до 30 кг): Хмельницьке шосе, 15'),
(1,	4983,	'Отделение №7 (до 30 кг): Хмельницкое шоссе, 15'),
(3,	4984,	'Відділення №7 (до 30 кг): вул. Сергія Москаленка (ран. Маршала Красовського), 16г'),
(1,	4984,	'Отделение №7 (до 30 кг): ул. Сергея Москаленко (ран. Маршала Кросовского), 16г'),
(3,	4985,	'Відділення №7 (до 30 кг на одне місце): вул. Автомобільна, 23'),
(1,	4985,	'Отделение №7 (до 30 кг на одно место): ул. Автомобильная, 23'),
(3,	4986,	'Відділення №7 (до 30 кг на одне місце): просп. Василя Стуса, 2а'),
(1,	4986,	'Отделение №7(до 30 кг на одно место): просп. Василия Стуса, 2а'),
(3,	4987,	'Відділення №7 (до 30 кг): вул. Леся Курбаса, 5'),
(1,	4987,	'Отделение №7 (до 30 кг): ул. Леся Курбаса, 5'),
(3,	4988,	'Відділення №7 (до 30 кг): вул. Центральна, 58'),
(1,	4988,	'Отделение №7 (до 30 кг): ул. Центральная, 58'),
(3,	4989,	'Відділення №7 (до 30 кг на одне місце): вул. Тургенєвська, 81 прим. 28'),
(1,	4989,	'Отделение №7 (до 30 кг на одно место): ул. Тургеневская, 81 пом. 28'),
(3,	4990,	'Відділення №7 (до 5 кг), Міні-відділення: вул. 30-річчя Перемоги, 2/12(Соната вхід зліва)'),
(1,	4990,	'Отделение №7 (до 5 кг), Мини-отделение: ул. 30-летия Победы, 2/12(Соната вход слева)'),
(3,	4991,	'Відділення №7 (до 30 кг на одне місце): пл. Миру, 3 (маг. &quot;М\'ясний м\'ясокомбінат&quot;)'),
(1,	4991,	'Отделение №7 (до 30 кг на одно место): пл. Мира, 3 (маг. &quot;Мясной мясокомбинат&quot;)'),
(3,	4992,	'Відділення №7 (до 30 кг): вул. Кордуби, 12 (район Садової)'),
(1,	4992,	'Отделение №7(до 30 кг): ул. Кордубы, 12 (район Садовой)'),
(3,	4993,	'Відділення №7 (до 30 кг на одне місце): вул. Маршала Бірюзова, 43 а'),
(1,	4993,	'Отделение №7 (до 30 кг на одно место): ул. Маршала Бирюзова, 43 а'),
(3,	4994,	'Відділення №7 (до 30 кг): ул. Тищика, 13'),
(1,	4994,	'Отделение №7 (до 30 кг): ул. Тыщика, 13'),
(3,	4995,	'Відділення №7: с. Клячаново, вул. Автомобілістів, 3д'),
(1,	4995,	'Мукачево, Отделение №7: с. Клячаново, ул. Автомобилистов, 3д'),
(3,	4996,	'Відділення №7 (до 30 кг): просп. Миру, 50'),
(1,	4996,	'Отделение №7 (до 30 кг): просп. Мира, 50'),
(3,	4997,	'Відділення №7 (до 30 кг): вул. Білопільський шлях, 30/3'),
(1,	4997,	'Отделение №7 (до 30 кг): ул. Белопольский путь, 30/3'),
(3,	4998,	'Відділення №7 (до 30 кг на одне місце): бульв. Богдана Хмельницького, 19а'),
(1,	4998,	'Отделение №7 (до 30 кг на одно место): бульв. Богдана Хмельницкого, 19а'),
(3,	4999,	'Відділення №7: вул. Курчатова, 20'),
(1,	4999,	'Отделение №7: ул. Курчатова, 20'),
(3,	5000,	'Відділення №7 (до 30 кг на одне місце): вул. Сумгаїтська, 33'),
(1,	5000,	'Отделение №7 (до 30 кг на одно место): ул. Сумгаитская, 33'),
(3,	5001,	'Відділення №7 (до 30 кг): с. Софіївська Борщагівка, вул. Івана Франка, 6'),
(1,	5001,	'Отделение №7 (до 30 кг): с. Софиевская Борщаговка, ул. Ивана Франка, 6'),
(3,	5002,	'Відділення №7 (до 30 кг): вул. Київська, 112'),
(1,	5002,	'Отделение №7 (до 30 кг), ул. Киевская, 112'),
(3,	5003,	'Відділення №7 (до 30 кг): просп. Трубників, 91'),
(1,	5003,	'Отделение №7 (до 30 кг): просп. Трубников, 91'),
(3,	5004,	'Відділення №7 (до 5 кг), Міні-відділення: вул. Гната Хоткевича, 8 (м.Чернігівська)'),
(1,	5004,	'Отделение №7 (до 5 кг), Мини-отделение: ул. Гната Хоткевича, 8 (м.Черниговская)'),
(3,	5005,	'Відділення №7 (до 30 кг): вул. Київський шлях, 127-б/7'),
(1,	5005,	'Отделение №7 (до 30 кг): ул. Киевский путь, 127-б/7'),
(3,	5006,	'Відділення №7 (до 15 кг), Міні-відділення: вул. Хіміків, 3А'),
(1,	5006,	'Отделение №7 (до 15 кг), Мини-отделение: ул. Химиков, 3А'),
(3,	5007,	'Відділення №8 (до 30 кг): вул. Запорізька, 2а, прим. 59'),
(1,	5007,	'Отделение №8 (до 30 кг): ул. Запорожская, 2а, пом. 59'),
(3,	5008,	'Відділення №8 (до 30 кг на одне місце): просп. Перемоги, 109 (Лівий берег)'),
(1,	5008,	'Отделение №8 (до 30 кг на одно место): просп. Победы, 109 (Левый берег)'),
(3,	5009,	'Відділення №8 (до 30 кг): вул. Медова, 6 (Центр, біля водоканалу)'),
(1,	5009,	'Отделение №8 (до 30 кг): ул. Медовая, 6 (Центр, возле водоканала)'),
(3,	5010,	'Відділення №8 (до 30 кг): бульв. Краматорський, 15б'),
(1,	5010,	'Отделение №8 (до 30 кг): бульв. Краматорский, 15б'),
(3,	5011,	'Відділення №8 (до 30 кг): с. Петропавлівська Борщагівка, вул. Львівська, 1а, корп. 6, прим. 9'),
(1,	5011,	'Отделение №8 (до 30 кг): с. Петропавловская Борщаговка, ул. Львовская, 1а, корп. 6, пом. 9'),
(3,	5012,	'Відділення №8 (до 30 кг): вул. Соцмістечко, 157а'),
(1,	5012,	'Отделение №8 (до 30 кг): ул. Соцгородок, 157а'),
(3,	5013,	'Відділення №8 (до 30 кг на одне місце): вул. Вокзальна (ран. Жовтневої Революції), 66а'),
(1,	5013,	'Отделение №8 (до 30 кг на одно место): ул. Вокзальная (ран. Октябрьской Революции), 66а'),
(3,	5014,	'Відділення №8 (до 30 кг): вул. Торська (ран. Комунарів), 69'),
(1,	5014,	'Отделение №8 (до 30 кг): ул. Торская (ран. Коммунаров), 69'),
(3,	5015,	'Відділення №8 (до 30 кг): вул. Благовісна, 379'),
(1,	5015,	'Отделение №8 (до 30 кг): ул. Благовестная, 379'),
(3,	5016,	'Відділення №8 (до 30 кг): 101 Квартал, 3'),
(1,	5016,	'Отделение №8 (до 30 кг): 101 Квартал, 3'),
(3,	5017,	'Відділення №8 (до 30 кг на одне місце): вул. Київська, 21'),
(1,	5017,	'Отделение №8 (до 30 кг на одно место): ул.  Киевская, 21'),
(3,	5018,	'Відділення №8 (до 30 кг): вул. Героїв Майдану,186в'),
(1,	5018,	'Отделение №8 (до 30 кг): ул. Героев Майдана, 186 В'),
(3,	5019,	'Відділення №8 (до 30 кг на одне місце): вул. Дружби народів, 51'),
(1,	5019,	'Отделение №8 (до 30 кг на одно место): ул. Дружбы Народов, 51'),
(3,	5020,	'Відділення №8 (до 30 кг на одне місце): вул. Перекопська ,173'),
(1,	5020,	'Отделение №8 (до 30 кг на одно место): ул. Перекопская ,173'),
(3,	5021,	'Відділення №8: вул. Металістів, 2 (заїзд з вул. Сергія Параджанова 66)'),
(1,	5021,	'Отделение №8 : ул. Металистов, 2  (заезд с ул. Сергея Параджанова 66)'),
(3,	5022,	'Відділення №8 (до 30 кг): вул. Центральна, 6а'),
(1,	5022,	'Отделение №8 (до 30 кг): ул. Центральная, 6а'),
(3,	5023,	'Відділення №8: смт. Слобожанське, вул. Василя Сухомлинського, 61'),
(1,	5023,	'Отделение №8: пгт. Слобожанское, ул. Василия Сухомлинского, 61'),
(3,	5024,	'Відділення №8 (до 30 кг на одне місце): вул. Пухова, 142'),
(1,	5024,	'Отделение №8 (до 30 кг на одно место): ул. Пухова, 142'),
(3,	5025,	'Відділення №8 (до 30 кг): вул. Шевченка, 195'),
(1,	5025,	'Отделение №8 (до 30 кг): ул. Шевченко, 195'),
(3,	5026,	'Відділення №8 (до 30 кг на одне місце): просп. Центральний, 25б'),
(1,	5026,	'Отделение №8 (до 30 кг на одно место): просп. Центральный, 25б'),
(3,	5027,	'Відділення №8 (до 30 кг): вул. В’ячеслава Чорновола, 2'),
(1,	5027,	'Отделение №8 (до 30 кг): ул. Вячеслава Черновола, 2'),
(3,	5028,	'Відділення №8 (до 30 кг на одне місце): вул. Ломоносова, 234'),
(1,	5028,	'Отделение №8 (до 30 кг на одне місце): ул. Ломоносова, 234'),
(3,	5029,	'Відділення №8 (до 30 кг на одне місце): просп. Соборний (ран. Леніна), 43'),
(1,	5029,	'Отделение №8 (до 30 кг на одне місце): просп. Соборный (ран. Ленина), 43'),
(3,	5030,	'Відділення №8 (до 30 кг): вул. Масарика (ран. Матросова), 19 (маг. &quot;Silverland&quot;)'),
(1,	5030,	'Отделение №8 (до 30 кг): ул. Масарика (ран. Матросова), 19 (маг. &quot;Silverland&quot;)'),
(3,	5031,	'Відділення №8 (до 30 кг): вул. Кравчука, 42а'),
(1,	5031,	'Отделение №8 (до 30 кг): ул. Кравчука, 42а'),
(3,	5032,	'Відділення №8 (до 30 кг): вул. Грінченка, 2а'),
(1,	5032,	'Отделение №8 (до 30 кг): ул. Гринченко, 2а'),
(3,	5033,	'Відділення №8 (до 30 кг на одне місце): вул. Чураївни, 2 в'),
(1,	5033,	'Отделение №8: (до 30 кг на одно место): ул. Чураивны 2 в'),
(3,	5034,	'Відділення №8 (до 30 кг): просп. Михайла Лушпи, 13'),
(1,	5034,	'Отделение №8 (до 30 кг): просп. Михаила Лушпы, 13'),
(3,	5035,	'Відділення №8 (до 30 кг на одне місце): вул. Морська, 45 б'),
(1,	5035,	'Отделение №8 (до 30 кг на одно место): ул. Морская, 45 б'),
(3,	5036,	'Відділення №8 (до 30 кг): просп. Свободи, 32'),
(1,	5036,	'Отделение №8 (до 30 кг): просп. Свободы, 32'),
(3,	5037,	'Відділення №8 (до 30 кг): вул. Собранецька, 146б'),
(1,	5037,	'Отделение №8 (до 30 кг): ул. Собранецкая, 146б'),
(3,	5038,	'Відділення №8 (до 30 кг на одне місце): вул. Пушкіна, 10'),
(1,	5038,	'Отделение №8 (до 30 кг на одно место): ул. Пушкина, 10'),
(3,	5039,	'Відділення №8 (до 30 кг): вул. Миколайчука, 30'),
(1,	5039,	'Отделение №8 (до 30 кг): ул. Миколайчука, 30'),
(3,	5040,	'Відділення №8 (до 30 кг): вул. Толстого, 7'),
(1,	5040,	'Отделение №8 (до 30 кг): ул. Толстого, 7'),
(3,	5041,	'Відділення №8 (до 30 кг): вул. Князів Коріатовичів, 50'),
(1,	5041,	'Отделение №8 (до 30 кг): ул. Князей Кориатовичей, 50'),
(3,	5042,	'Відділення №8: просп. 200-річчя Кривого Рогу, 24'),
(1,	5042,	'Отделение №8: просп. 200-летия Кривого Рога, 24'),
(3,	5043,	'Відділення №8 (до 30 кг на одне місце): вул. Набережно-Хрещатицька, 33'),
(1,	5043,	'Отделение №8 (до 30 кг на одно место): ул. Набережно-Крещатицкая, 33'),
(3,	5044,	'Відділення №8: вул. М. Гончарівська, 28/30'),
(1,	5044,	'Отделение №8: ул. М. Гончаровская, 28/30'),
(3,	5045,	'Відділення №9: просп. Перемоги, 41а'),
(1,	5045,	'Отделение №9: просп. Победы, 41а'),
(3,	5046,	'Відділення №9 (до 30 кг на одне місце): вул. Михайлівська (ран. Кірова), 85'),
(1,	5046,	'Отделение №9 (до 30 кг на одно место): ул. Михайловская (ран. Кирова), 85'),
(3,	5047,	'Відділення №9 (до 30 кг на одне місце): просп. Металургів, 19'),
(1,	5047,	'Отделение №9 (до 30 кг на одно место): просп. Металлургов, 19'),
(3,	5048,	'Відділення №9 (до 30 кг на одне місце): вул. Євгена Коновальця, 14 (р-н Північний)'),
(1,	5048,	'Отделение №9 (до 30 кг на одно место): ул. Евгения Коновальца, 14 (р-н Северный)'),
(3,	5049,	'Відділення №9 (до 30 кг на одне місце): вул. Остафія Дашкевича, 34'),
(1,	5049,	'Отделение №9 (до 30 кг на одно место): ул. Остафия Дашкевича, 34'),
(3,	5050,	'Відділення №9 (до 30 кг): вул. Гоголя, 20'),
(1,	5050,	'Отделение №9 (до 30 кг): ул. Гоголя, 20'),
(3,	5051,	'Відділення №9 (до 30 кг): бульв. Південний, 23'),
(1,	5051,	'Отделение №9 (до 30 кг): бульв. Южный, 23'),
(3,	5052,	'Відділення №9: вул. Юннатів, 10'),
(1,	5052,	'Отделение №9: ул. Юннатов, 10'),
(3,	5053,	'Відділення №9 (до 30 кг): вул. Роганська, 101а'),
(1,	5053,	'Отделение №9 (до 30кг): ул. Роганская, 101а'),
(3,	5054,	'Відділення №9 (до 30 кг): вул. Огієнка, 39\\5'),
(1,	5054,	'Отделение №9 (до 30 кг): ул. Огиенко, 39\\5'),
(3,	5055,	'Відділення №9 (до 30 кг): вул. Красносільського, 59а'),
(1,	5055,	'Отделение №9 (до 30 кг): ул. Красносельского, 59а'),
(3,	5056,	'Відділення №9 (до 30 кг): вул. Леваневського, 70, прим. 85'),
(1,	5056,	'Отделение №9 (до 30 кг): ул. Леваневского, 70, пом. 85'),
(3,	5057,	'Відділення №9 (до 30 кг на одне місце): вул. Генерала М. Тарнавського, 32, прим. 146'),
(1,	5057,	'Отделение №9 (до 30 кг на одно место): ул. Генерала М. Тарнавского, 32, пом. 146'),
(3,	5058,	'Відділення №9 (до 30 кг): вул. Льва Толстого, 31'),
(1,	5058,	'Отделение №9 (до 30 кг): ул. Льва Толстого, 31'),
(3,	5059,	'Відділення №9: вул. Героїв України, 210/1'),
(1,	5059,	'Отделение №9: ул. Героев Украины, 210/1'),
(3,	5060,	'Відділення №9: пров. В\'ячеслава Чорновола, 54а (р-н Жулянського мосту)'),
(1,	5060,	'Отделение №9: пер. Вячеслава Чорновола, 54а (р-н Жулянского моста)'),
(3,	5061,	'Відділення №9 (до 30 кг на одне місце): просп. Металургів, 175 (орієнтир магазин &quot;Каспій&quot;)'),
(1,	5061,	'Отделение №9 (до 30 кг на одно место): просп. Металлургов, 175 (ориентир магазин &quot;Каспий&quot;)'),
(3,	5062,	'Відділення №9 (до 30 кг): вул. Кульпарківська, 142'),
(1,	5062,	'Отделение №9 (до 30 кг): ул. Кульпарковская, 142'),
(3,	5063,	'Відділення №9 (до 30 кг): вул. Хотовицького, 5'),
(1,	5063,	'Отделение №9 (до 30 кг): ул. Хотовицкого, 5'),
(3,	5064,	'Відділення №9 (до 30 кг на одне місце): вул. Конрада Гампера, 18'),
(1,	5064,	'Отделение №9 (до 30 кг на одно место): ул. Конрада Гампера, 18'),
(3,	5065,	'Відділення №9 (до 30 кг на одне місце): вул. Донська, 7'),
(1,	5065,	'Отделение №9 (до 30 кг на одно место): ул. Донская, 7'),
(3,	5066,	'Відділення №9 (до 30 кг на одне місце): вул. Катерини Зеленко, 4'),
(1,	5066,	'Отделение №9 (до 30 кг на одно место): ул. Екатерины Зеленко, 4'),
(3,	5067,	'Відділення №9 (до 30 кг на одне місце): просп. Лесі Українки, 10'),
(1,	5067,	'Отделение №9 (до 30 кг на одно место): просп. Леси Украинки, 10'),
(3,	5068,	'Відділення №9 (до 30 кг): вул. Сегедська, 18'),
(1,	5068,	'Отделение №9 (до 30 кг): ул. Сегедская, 18'),
(3,	5069,	'Відділення №9: вул. Медична, 2а'),
(1,	5069,	'Отделение №9: ул. Медицинская, 2а'),
(3,	5070,	'Відділення №9 (до 30 кг): вул. Шмідта, 10'),
(1,	5070,	'Отделение №9 (до 30 кг): ул. Шмидта, 10'),
(3,	5071,	'Відділення №9 (до 30 кг): вул. Гагаріна, 109/204'),
(1,	5071,	'Отделение №9 (до 30 кг): ул. Гагарина, 109/204'),
(3,	5072,	'Відділення №9 (до 30 кг): просп. Святих Кирила та Мефодія (ран. Димитрова), 19'),
(1,	5072,	'Отделение №9 (до 30 кг): просп. Святых Кирилла и Мефодия (ран. Димитрова), 19'),
(3,	5073,	'Відділення №9 (до 30 кг): просп. Коцюбинського, 32'),
(1,	5073,	'Отделение №9 (до 30 кг): просп. Коцюбинского, 32'),
(3,	5074,	'Відділення №9 (до 30 кг): вул. Задворецька, 1а'),
(1,	5074,	'Отделение №9 (до 30 кг): ул. Задворецкая, 1а'),
(3,	5075,	'Відділення №9 (до 30 кг на одне місце): вул. Генерала Карпенка, 2/2 а'),
(1,	5075,	'Отделение №9 (до 30 кг на одно место): ул. Генерала Карпенка, 2/2 а'),
(3,	5076,	'Відділення №9 (до 30 кг): вул. Вітрука, 9а'),
(1,	5076,	'Отделение №9 (до 30 кг): ул. Витрука, 9а'),
(3,	5077,	'Відділення №10 (до 30 кг на одне місце): вул. Полковника Кедровського (ран. Будьонного), 12а'),
(1,	5077,	'Отделение №10 (до 30 кг на одно место): ул. Полковника Кедровского (ран. Буденного), 12а'),
(3,	5078,	'Відділення №10 (до 30 кг): просп. Грушевського (ран.Леніна, Хмельницьке шосе), 31, секц.1, прим.3к'),
(1,	5078,	'Отделение №10 (до 30 кг): просп. Грушевского (ран.Ленина, Хмельницкое шоссе), 31,секц. 1,пом. 3к'),
(3,	5079,	'Відділення №10 (до 30 кг): просп. Волі, 21'),
(1,	5079,	'Отделение №10 (до 30 кг): просп. Воли, 21'),
(3,	5080,	'Відділення №10 (до 30 кг на одне місце): вул. Роменська, 81'),
(1,	5080,	'Отделение №10 (до 30 кг на одно место): ул. Роменская, 81'),
(3,	5081,	'Відділення №10 (до 30 кг на одне місце): вул. Машинобудівників, 17-А'),
(1,	5081,	'Отделение №10 (до 30 кг на одно место): ул. Машиностроителей, 17-А'),
(3,	5082,	'Відділення №10: вул. Василя Жуковського, 22А'),
(1,	5082,	'Отделение №10: ул. Василия Жуковского, 22А'),
(3,	5083,	'Відділення №10 (до 30 кг на одне місце): вул. Івана Приходька, 42а'),
(1,	5083,	'Отделение №10 (до 30 кг на одно место): ул. Ивана Приходько, 42а'),
(3,	5084,	'Відділення №10 (до 30 кг): вул. Максима Кривоноса, 3'),
(1,	5084,	'Отделение №10 (до 30 кг): ул. Максима Кривоноса, 3'),
(3,	5085,	'Відділення №10 (до 30 кг на одне місце): вул. Пушкінська, 96 (навпроти парку &quot;Молодіжний&quot;)'),
(1,	5085,	'Отделение №10 (до 30 кг на одно место): ул. Пушкинская, 96 (напротив парка &quot;Молодежный&quot;'),
(3,	5086,	'Відділення №10 (до 30 кг на одне місце): вул. Водограйна, 7'),
(1,	5086,	'Отделение №10 (до 30 кг на одно место): ул. Водограйная, 7'),
(3,	5087,	'Відділення №10 (до 30 кг на одне місце): вул. Одеська, 8'),
(1,	5087,	'Отделение №10 (до 30 кг на одно место): ул. Одесская, 8'),
(3,	5088,	'Відділення №10 (до 5 кг), Міні-відділення: вул. В. Стуса, 49'),
(1,	5088,	'Отделение №10 (до 5 кг), Мини-отделение: ул. В. Стуса, 49'),
(3,	5089,	'Відділення №10 (до 30 кг): Мелітопольське шосе, 99'),
(1,	5089,	'Отделение №10 (до 30 кг): Мелитопольское шоссе, 99'),
(3,	5090,	'Відділення №10 (до 30 кг на одне місце): вул. Соборна, 65'),
(1,	5090,	'Отделение №10 (до 30 кг на одне місце): ул. Соборная, 65'),
(3,	5091,	'Відділення №10 (до 30 кг на одне місце): вул. Котляревського, 7'),
(1,	5091,	'Отделение №10 (до 30 кг на одно место): ул. Котляревского, 7'),
(3,	5092,	'Відділення №10 (до 30 кг): бульв. Олександрійський (ран. 50-річчя Перемоги), 27'),
(1,	5092,	'Отделение №10 (до 30 кг): бульв. Александрийский (ран. 50-летия Победы), 27'),
(3,	5093,	'Відділення №10 (до 30 кг): просп. Слобожанський (ран. Газети &quot;Правда&quot;), 91'),
(1,	5093,	'Отделение №10 (до 30 кг): просп. Слобожанский (ран. Газеты &quot;Правда&quot;), 91'),
(3,	5094,	'Відділення №10 (до 30 кг): вул. Івана Мазепи, 48'),
(1,	5094,	'Отделение №10 (до 30 кг): ул. Ивана Мазепы, 48'),
(3,	5095,	'Відділення №10 (до 30 кг): вул. Соборна, 1-В'),
(1,	5095,	'Отделение №10 (до 30 кг): ул. Соборная, 1-В'),
(3,	5096,	'Відділення №10 (до 30 кг): вул. Зарічанська, 4'),
(1,	5096,	'Отделение №10 (до 30 кг): вул. Заречанская, 4'),
(3,	5097,	'Відділення №10 (до 30 кг на одне місце): просп. Центральний (ран. Леніна), 86/3'),
(1,	5097,	'Отделение №10 (до 30 кг на одно место): просп. Центральный (ран. Ленина), 86/3'),
(3,	5098,	'Відділення №10 (до 30 кг): вул. Заньковецької, 48а'),
(1,	5098,	'Отделение №10 (до 30 кг): ул. Занковецкой, 48а'),
(3,	5099,	'Відділення №10 (до 5 кг): вул. Давида Ойстраха (ран. Затонського), 4'),
(1,	5099,	'Отделение №10 (до 5 кг): ул. Давида Ойстраха (ран. Затонского), 4'),
(3,	5100,	'Відділення №10 (до 30 кг на одне місце): просп. Миру, 37'),
(1,	5100,	'Отделение №10 (до 30 кг на одно место): просп. Мира, 37'),
(3,	5101,	'Відділення №10 (до 30 кг): Хмельницьке шосе, 82'),
(1,	5101,	'Отделение №10 (до 30 кг): Хмельницкое шоссе, 82'),
(3,	5102,	'Відділення №10 (до 10 кг), Міні-відділення: вул. Київська, 316 (2 поверх, маг. &quot;BergHOFF&quot;)'),
(1,	5102,	'Отделение №10 (до 10 кг), Мини-отделение: ул. Киевская, 316 (2 этаж, маг. &quot;BergHOFF&quot;)'),
(3,	5103,	'Відділення №10 (до 30 кг на одне місце): просп. Аношкіна, 94'),
(1,	5103,	'Отделение №10 ( до 30 кг на одно место): просп. Аношкина, 94'),
(3,	5104,	'Відділення №10 (до 30 кг на одне місце): вул. Європейська, 63'),
(1,	5104,	'Отделение №10 (до 30 кг на одно место): ул. Европейская, 63'),
(3,	5105,	'Відділення №10 (до 5 кг), Міні-відділення: вул. Батюка, 42а'),
(1,	5105,	'Отделение №10 (до 5 кг), Мини-отделение: ул. Батюка, 42а'),
(3,	5106,	'Відділення №10 (до 30 кг): вул. Соборна (ран. 50 років Жовтня), 26'),
(1,	5106,	'Отделение №10 (до 30 кг): ул. Соборна (ран. 50 лет Октября), 26'),
(3,	5107,	'Відділення №10 (до 30 кг): вул. Левицького, 7'),
(1,	5107,	'Отделение №10 (до 30 кг): ул. Левицкого, 7'),
(3,	5108,	'Відділення №10 (до 30 кг на одне місце): просп. 50-ти річчя Перемоги, 15'),
(1,	5108,	'Отделение №10 (до 30 кг но одно место): просп. 50-ти летия Победы, 15'),
(3,	5109,	'Відділення №10 (до 30 кг на одне місце): вул. Магістральна (ран. Кириленка), 25'),
(1,	5109,	'Отделение №10 (до 30 кг на одно место): ул. Магистральная (ран. Кириленка), 25'),
(3,	5110,	'Відділення №11 (до 30 кг): вул. Кривий Вал, 24'),
(1,	5110,	'Отделение №11 (до 30 кг): ул. Кривой Вал, 24'),
(3,	5111,	'Відділення №11 (до 30 кг на одне місце): вул. Торська, 47'),
(1,	5111,	'Отделение №11 (до 30 кг на одно место): ул. Торская, 47'),
(3,	5112,	'Відділення №11 (до 30 кг на одне місце): вул. Вокзальна (ран. Жовтневої Революції),16 (корпус 1)'),
(1,	5112,	'Отделение №11 (до 30 кг на одно место): ул. Вокзальная (ран. Октябрьской Революции),16 (корпус 1)'),
(3,	5113,	'Відділення №11 (до 30 кг на одне місце): вул. Паркова, 41'),
(1,	5113,	'Отделение №11 (до 30 кг на одно место): ул. Парковая, 41'),
(3,	5114,	'Відділення №11 (до 30 кг): вул. Проскурівського підпілля, 71/1'),
(1,	5114,	'Отделение №11 (до 30 кг): ул. Проскуровского подполья, 71/1'),
(3,	5115,	'Відділення №11 (до 30 кг на одне місце): просп. Соборний (ран. Леніна), 208'),
(1,	5115,	'Отделение №11 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 208'),
(3,	5116,	'Відділення №11 (до 30 кг): просп. Бойка (ран. Ілліча), 69 (навпр.&quot;Нікоп.-Провіданс&quot;)'),
(1,	5116,	'Отделение №11 (до 30 кг): просп. Бойко (ран. Ильича), 69 (напр.&quot;Никоп.-Провиданс&quot;)'),
(3,	5117,	'Відділення №11 (до 30 кг): вул. Небесної Сотні (ран. Леніна), 6'),
(1,	5117,	'Отделение №11 (до 30 кг): ул. Небесной Сотни (ран. Ленина), 6'),
(3,	5118,	'Відділення №11 (до 30 кг на одне місце): просп. Аношкіна, 115'),
(1,	5118,	'Отделение №11 (до 30 кг на одно место): просп. Аношкина, 115'),
(3,	5119,	'Відділення №11 (до 30 кг на одне місце): вул. Університетська (ран. 40-річчя Жовтня), 110'),
(1,	5119,	'Отделение №11 (до 30 кг на одно место): ул. Университетская (ран. 40-летия Октября), 110'),
(3,	5120,	'Відділення №11 (до 30 кг): вул. Українська, 82'),
(1,	5120,	'Отделение №11 (до 30 кг): ул. Украинская, 82'),
(3,	5121,	'Відділення №11 (до 30 кг на одне місце): вул. Героїв АТО, 79'),
(1,	5121,	'Отделение №11 (до 30 кг на одно место): ул. Героев АТО, 79'),
(3,	5122,	'Відділення №11: вул. Фабрична, 1'),
(1,	5122,	'Отделение №11: ул. Фабричная, 1'),
(3,	5123,	'Відділення №11 (до 30 кг на одне місце): вул. Александрі Васіле, 2в (Садгора)'),
(1,	5123,	'Отделение №11 (до 30 кг на одно место): ул. Александри Василе, 2в (Садгора)'),
(3,	5124,	'Відділення №11 (до 30 кг на одне місце): просп. Миру, 13'),
(1,	5124,	'Отделение №11 (до 30 кг на одно место): просп.Мира, 13'),
(3,	5125,	'Відділення №11 (до 30 кг): вул. Лесі Українки, 74а'),
(1,	5125,	'Отделение №11 (до 30 кг): ул. Леси Украинки, 74а'),
(3,	5126,	'Відділення №11 (до 30 кг на одне місце): вул. Грушевського, 14'),
(1,	5126,	'Отделение №11 (до 30 кг на одно место): ул. Грушевского, 14'),
(3,	5127,	'Відділення №11 (до 30 кг): просп. Слобожанський (ран. Газети Правди), 6'),
(1,	5127,	'Отделение №11 (до 30 кг): просп. Слобожанский (ран. Газеты Правды), 6'),
(3,	5128,	'Відділення №11 (до 30 кг): вул. Соборна (ран. Леніна), 6/7'),
(1,	5128,	'Отделение №11 (до 30 кг): ул. Соборная (ран. Ленина), 6/7'),
(3,	5129,	'Відділення №11 (до 30 кг на одне місце): вул. Героїв АТО (ран. Димитрова), 61'),
(1,	5129,	'Отделение №11 (до 30 кг на одно место): ул. Героев АТО (ран. Димитрова), 61'),
(3,	5130,	'Відділення №11 (до 30 кг на одне місце): просп. Лобановського (ран.Червонозоряний), 119 (м.Деміїв.)'),
(1,	5130,	'Отделение №11 (до 30 кг на одно место): просп. Лобановского (ран.Краснозвездный), 119 (м.Демеев.)'),
(3,	5131,	'Відділення №11 (до 30 кг на одне місце): вул. Вільський Шлях, 14'),
(1,	5131,	'Отделение №11 (до 30 кг на одно место): ул. Вильский Путь, 14'),
(3,	5132,	'Відділення №11 (до 30 кг): вул. Городоцька, 120'),
(1,	5132,	'Отделение №11 (до 30 кг): ул. Городоцкая, 120'),
(3,	5133,	'Відділення №11 (до 30 кг): вул. Академіка Янгеля (ран. Фрунзе), 58'),
(1,	5133,	'Отделение №11 (до 30 кг): ул. Академика Янгеля (ран. Фрунзе), 58'),
(3,	5134,	'Відділення №11 (до 30 кг на одне місце): вул. Полковника Данила Нечая, 25а'),
(1,	5134,	'Отделение №11 (до 30 кг на одно место): ул. Полковника Данила Нечая, 25а'),
(3,	5135,	'Відділення №11 (до 30 кг): вул. Гагаріна, 38а'),
(1,	5135,	'Отделение №11 (до 30 кг): ул. Гагарина, 38а'),
(3,	5136,	'Відділення №11 (до 30 кг): вул. Турчанінова, 11'),
(1,	5136,	'Отделение №11 (до 30 кг): ул. Турчанинова, 11'),
(3,	5137,	'Відділення №11 (до 30 кг): пл. Польський ринок, 3/8'),
(1,	5137,	'Отделение №11 (до 30 кг): пл. Польский рынок, 3/8'),
(3,	5138,	'Відділення №11 (до 30 кг на одне місце): просп. Курський, 103'),
(1,	5138,	'Отделение №11 (до 30 кг на одно место): просп. Курский, 103'),
(3,	5139,	'Відділення №11 (до 30 кг): просп. Гагаріна, 41/2'),
(1,	5139,	'Отделение №11 (до 30 кг): просп. Гагарина, 41/2'),
(3,	5140,	'Відділення №11: вул. Миколаївська дорога, 235'),
(1,	5140,	'Отделение №11: ул. Николаевская дорога, 235'),
(3,	5141,	'Відділення №12 (до 30 кг): житловий масив Покровський (ран. Комунар), 3а'),
(1,	5141,	'Отделение №12 (до 30 кг): жилой массив Покровский (ран. Комунар), 3а'),
(3,	5142,	'Відділення №12 (до 30 кг): вул. Шота Руставелі, 9'),
(1,	5142,	'Отделение №12 (до 30 кг): ул. Шота Руставели, 9'),
(3,	5143,	'Відділення №12 (до 30 кг): вул. Чайковського, 40'),
(1,	5143,	'Отделение №12 (до 30 кг): ул. Чайковского, 40'),
(3,	5144,	'Відділення №12 (до 15 кг) Міні-відділення: вул. Вовчинецька, 225м (маг.&quot;&quot;МЕТРО&quot;)'),
(1,	5144,	'Отделение №12 (до 15 кг) Мини-отделение: ул. Волчинецкая, 225м (маг.&quot;&quot;МЕТРО&quot;)'),
(3,	5145,	'Відділення №12 (до 30 кг на одне місце): вул. Чорноморська, 16'),
(1,	5145,	'Отделение №12 (до 30 кг на одно место): ул. Чорноморская, 16'),
(3,	5146,	'Відділення №12 (до 15 кг), Міні-відділення: бульв. Будівельників, 27а (маг.VARUS, ТЦ&quot;Терра&quot;)'),
(1,	5146,	'Отделение №12 (до 15 кг), Мини-отделение: бульв. Строителей, 27а (маг.VARUS, ТЦ&quot;Терра&quot;)'),
(3,	5147,	'Відділення №12: площа Смолянська, 3'),
(1,	5147,	'Отделение №12 : пл. Смолянская, 3'),
(3,	5148,	'Відділення №12 (до 30 кг): вул. Шевченка, 6'),
(1,	5148,	'Отделение №12 (до 30 кг): ул. Шевченко, 6'),
(3,	5149,	'Відділення №12 (до 30 кг на одне місце): вул. Богоявленська (ран. Черняка), 4'),
(1,	5149,	'Отделение №12 (до 30 кг на одно место): ул. Богоявленская (ран. Черняка), 4'),
(3,	5150,	'Відділення №12 (до 30 кг): вул. Софіївська, 34'),
(1,	5150,	'Отделение №12 (до 30 кг): ул. Софиевская, 34'),
(3,	5151,	'Відділення №12 (до 5 кг) Міні-відділення: вул. Харківська, 9 (маг.&quot;Сам маркет&quot;)'),
(1,	5151,	'Отделение №12  (до 5 кг) Мини-отделение: ул. Харьковская, 9 (маг.&quot;Сам маркет&quot;)'),
(3,	5152,	'Відділення №12: вул. Якутська, 8'),
(1,	5152,	'Отделение №12: ул. Якутская, 8'),
(3,	5153,	'Відділення №12 (до 30 кг на одне місце): вул. Сінна, 2/49'),
(1,	5153,	'Отделение №12 (до 30 кг на одно место): ул. Сенная, 2/49'),
(3,	5154,	'Відділення №12 (до 30 кг на одне місце): пр. Парковий, 2'),
(1,	5154,	'Отделения №12 (до 30 кг на одне місце): пр. Парковый, 2'),
(3,	5155,	'Відділення №12 (до 5 кг), Міні-відділення: вул. Алієвої З., 66/1, прим. 9 (БЦ &quot;Mr. CorneR&quot;)'),
(1,	5155,	'Отделение №12 (до 5 кг), Мини-отделение: ул. Алиевой З., 66/1, пом. 9 (БЦ &quot;Mr. CorneR&quot;)'),
(3,	5156,	'Відділення №12 (до 15 кг), Міні-відділення: вул. Віктора Чміленка, 24а'),
(1,	5156,	'Отделение №12 (до 15 кг), Мини-отделение: ул. Виктора Чмиленко, 24а'),
(3,	5157,	'Відділення №12 (до 30 кг): с. Софіївська Борщагівка, вул. Академіка Шалімова, 67В, прим. 152'),
(1,	5157,	'Отделение №12 (до 30 кг): с. Софиевская Борщаговка, ул. Академика Шалимова, 67В, пом. 152'),
(3,	5158,	'Відділення №12 (до 30 кг): пл. Корятовича, 27, прим. 4'),
(1,	5158,	'Отделение №12 (до 30 кг): пл. Корятовича, 27, пом. 4'),
(3,	5159,	'Відділення №12 (до 30 кг на одне місце): просп. Південний, 17, кв. 83'),
(1,	5159,	'Отделение №12 (до 30 кг на одно место): просп. Южный, 17, кв. 83'),
(3,	5160,	'Відділення №12 (до 30 кг на одне місце): вул. Гагаріна, 11'),
(1,	5160,	'Отделение №12 (до 30 кг на одне місце): ул. Гагарина, 11'),
(3,	5161,	'Відділення №12 (до 30 кг на одне місце): вул. Молоткова, 20'),
(1,	5161,	'Отделение №12 (до 30 кг на одно место): ул. Молоткова, 20'),
(3,	5162,	'Відділення №12 (до 30 кг): вул. Зарічанська, 57/1'),
(1,	5162,	'Отделение №12 (до 30 кг): ул. Заречанская, 57/1'),
(3,	5163,	'Відділення №12 (до 30 кг): вул. С.Наливайка, 20А'),
(1,	5163,	'Отделение №12 (до 30 кг на одно место): ул. С. Наливайка, 20А'),
(3,	5164,	'Відділення №12 (до 30 кг): просп. Миру (ран. Леніна), 121 (орієнтир магазин &quot;Надія&quot;)'),
(1,	5164,	'Отделение №12 (до 30 кг): просп. Мира (ран. Ленина), 121 (ориентир магазин &quot;Надія&quot;)'),
(3,	5165,	'Відділення №12 (до 30 кг): вул. Сяйво, 13 (р-н Левандівка)'),
(1,	5165,	'Отделение №12 (до 30 кг): ул. Сяйво, 13, (р-н Левандовка)'),
(3,	5166,	'Відділення №12 (до 30 кг): вул. Пирогова, 31'),
(1,	5166,	'Отделение №12 (до 30 кг): ул. Пирогова, 31'),
(3,	5167,	'Відділення №12 (до 30 кг): вул. Пушкінська, 33'),
(1,	5167,	'Отделение №12 (до 30 кг): ул. Пушкинская, 33'),
(3,	5168,	'Відділення №12 (до 30 кг на одне місце): вул. Звенигородська, 1'),
(1,	5168,	'Отделение №12 (до 30 кг на одно место): ул. Звенигородская, 1'),
(3,	5169,	'Відділення №12: вул. Лук\'янівська, 2'),
(1,	5169,	'Отделение №12: ул. Лукъяновская, 2'),
(3,	5170,	'Відділення №12 (до 30 кг): вул. Халаменюка, 10б'),
(1,	5170,	'Отделение №12 (до 30 кг): ул. Халаменюка, 10б'),
(3,	5171,	'Відділення №13 (до 30 кг): просп. Гагаріна, 43'),
(1,	5171,	'Отделение №13 (до 30 кг): просп. Гагарина, 43'),
(3,	5172,	'Відділення №13 (до 30 кг): просп. Волі, 60'),
(1,	5172,	'Отделение №13 (до 30 кг): просп. Воли, 60'),
(3,	5173,	'Відділення №13 (до 30 кг на одне місце): просп. Будівельників, 98'),
(1,	5173,	'Отделение №13 (до 30 кг на одно место): просп. Строителей, 98'),
(3,	5174,	'Відділення №13 (до 30 кг): вул. Москаленка Сергія, 39'),
(1,	5174,	'Отделение №13 (до 30 кг): ул. Москаленко Сергея, 39'),
(3,	5175,	'Відділення №13 (до 30 кг): вул. Гонти, 19, прим. 3'),
(1,	5175,	'Отделение №13 (до 30 кг): ул. Гонты, 19, пом. 3'),
(3,	5176,	'Відділення №13 (до 30 кг на одне місце): вул. Лазурна, 17'),
(1,	5176,	'Отделение №13 (до 30 кг на одно место): ул. Лазурная, 17'),
(3,	5177,	'Відділення №13 (до 30 кг): вул. Семена Палія (ран. Дніпропетровська дорога), 82'),
(1,	5177,	'Отделение №13 (до 30 кг): ул. Семена Палия (ран. Днепропетровская дорога), 82'),
(3,	5178,	'Відділення №13: м. Дергачі, вул. Привокзальна, 4'),
(1,	5178,	'Отделение №13: г. Дергачи, ул. Привокзальная, 4'),
(3,	5179,	'Відділення №13: вул. Оранжерейна, 3 (метро Дорогожичі)'),
(1,	5179,	'Отделение №13: ул. Оранжерейная, 3 (метро Дорогожичи)'),
(3,	5180,	'Відділення №13 (до 30 кг на одне місце): вул. Є. Тельнова (ран. просп. Правди), буд.8, корпус 1'),
(1,	5180,	'Отделение №13 (до 30 кг на одно место): ул. Е. Тельнова (ран. просп. Правды), дом 8, корпус 1'),
(3,	5181,	'Відділення №13 (до 30 кг на одне місце): вул. Лікаря О. Богаєвського, 15/50'),
(1,	5181,	'Отделение №13 (до 30 кг на одно место): ул. Доктора А.Богаевского, 15/50'),
(3,	5182,	'Відділення №13 (до 30 кг на одне місце): вул. Володимира Великого (ран. Мелешкіна), 9, прим. 3'),
(1,	5182,	'Отделение №13 (до 30 кг на одно место): ул. Владимира Великого (ран. Мелешкина), 9, пом. 3'),
(3,	5183,	'Відділення №13 (до 30 кг на одне місце): вул. Великотирнівська, 35/2'),
(1,	5183,	'Отделение №13 (до 30 кг на одно место): ул. Великотырновская, 35/2'),
(3,	5184,	'Відділення №13 (до 5 кг), Міні-відділення: просп. Свободи (ран. Леніна), 57а (маг.&quot;Фуршет&quot;, Радуга)'),
(1,	5184,	'Отделение №13 (до 5 кг), Мини-отделение: просп. Свободы (ран. Ленина), 57а (маг.&quot;Фуршет&quot;, Радуга)'),
(3,	5185,	'Відділення №13 (до 30 кг на одне місце): вул. Небесної Сотні, 26'),
(1,	5185,	'Отделение №13 (до 30 кг на одно место): ул. Небесной Сотни, 26'),
(3,	5186,	'Відділення №13 (до 30 кг на одне місце): вул. Залаегерсег, 18 (ТРЦ Фабрика)'),
(1,	5186,	'Отделение №13 (до 30 кг на одно место): вул. Залаегерсег, 18 (ТРЦ Фабрика)'),
(3,	5187,	'Відділення №13 (до 30 кг): вул. Ярослава Мудрого (ран. Пролетарська), 50'),
(1,	5187,	'Отделение №13 (до 30 кг): ул. Ярослава Мудрого (ран. Пролетарская), 50'),
(3,	5188,	'Відділення №13 (до 30 кг): просп. Миру, 49 (ЦУМ Чернігів)'),
(1,	5188,	'Отделение №13 (до 30 кг): просп. Мира, 49 (ЦУМ Чернигов)'),
(3,	5189,	'Відділення №13 (до 30 кг на одне місце): вул. Пирогова, 8 (за залізн. переїздом)'),
(1,	5189,	'Отделение №13 (до 30 кг на одно место): ул. Пирогова, 8 (за железнодор. переездом)'),
(3,	5190,	'Відділення №13 (до 30 кг на одне місце): вул. Буковинська, 25'),
(1,	5190,	'Отделение №13 (до 30 кг на одно месте): ул. Буковинская, 25'),
(3,	5191,	'Відділення №13 (до 30 кг на одне місце): вул. Київський шлях, 47'),
(1,	5191,	'Отделение №13 (до 30 кг на одне місце): ул. Киевський путь, 47'),
(3,	5192,	'Відділення №13 (до 15 кг), Міні-відділення: вул. Припортова (ран.Гер Сталін), 34 (ТРЦ Dnipro Plaza)'),
(1,	5192,	'Отделение №13 (до 15 кг), Мини-отделение: ул. Припортовая (ран. Гер.Сталин), 34 (ТРЦ&quot;Dnipro Plaza&quot;)'),
(3,	5193,	'Відділення №13 (до 30 кг): вул. Сорохтея, 41'),
(1,	5193,	'Отделение №13 (до 30 кг): ул. Сорохтея, 41'),
(3,	5194,	'Відділення №13 (до 30 кг на одне місце): просп. Чорновола В\'ячеслава, 16Д, прим. 98'),
(1,	5194,	'Отделение №13 (до 30 кг на одно место): просп. Черновола Вячеслава, 16Д, пом. 98'),
(3,	5195,	'Відділення №13 (до 30 кг на одне місце): вул. Дніпровське шосе, 30'),
(1,	5195,	'Отделение №13 (до 30 кг на одно место): ул. Днепровское шоссе, 30'),
(3,	5196,	'Відділення №13 (до 30 кг): с. Софіївська Борщагівка, вул. Соборна 140 А (ТРЦ &quot;EURO парк&quot;)'),
(1,	5196,	'Отделение №13 (до 30 кг): с. Софиевская Борщаговка, ул. Соборная 140 А (ТРЦ &quot;EURO парк&quot;)'),
(3,	5197,	'Відділення №13 (до 30 кг на одне місце): вул. Чорновола, 110'),
(1,	5197,	'Отделение №13 (до 30 кг на одно место): ул. Черновола, 110'),
(3,	5198,	'Відділення №14 (до 30 кг на одне місце): просп. Героїв, 33'),
(1,	5198,	'Отделение №14 (до 30 кг на одно место): просп. Героев, 33'),
(3,	5199,	'Відділення №14 (до 30 кг): просп. Відродження, 10'),
(1,	5199,	'Отделение №14 (до 30 кг): просп. Возрождения, 10'),
(3,	5200,	'Відділення №14 (до 30 кг на одне місце): Сабарівське шосе, 1б/2д'),
(1,	5200,	'Отделение №14 (до 30 кг на одно место): Сабаровское шоссе, 1б/2д'),
(3,	5201,	'Відділення №14 (до 30 кг на одне місце): шосе В\'ячеслава Чорновола (ран. Кіндійське), 17а'),
(1,	5201,	'Отделение №14 (до 30 кг на одно место): шоссе Вячеслава Черновола (ран. Киндийское), 17а'),
(3,	5202,	'Відділення №14 (до 30 кг): вул. Маршала Малиновського, 71'),
(1,	5202,	'Отделение №14 (до 30 кг): ул. Маршала Малиновского, 71'),
(3,	5203,	'Відділення №14 (до 30 кг): бульв. Незалежності, 16'),
(1,	5203,	'Отделение №14 (до 30 кг): бульв. Независимости, 16'),
(3,	5204,	'Відділення №14 (до 30 кг на одне місце): вул. О. Гончара, 19а'),
(1,	5204,	'Отделение №14 (до 30 кг на одно место): ул. О. Гончара, 19а'),
(3,	5205,	'Відділення №14 (до 30 кг на одне місце): Привокзальний майдан, 6/126'),
(1,	5205,	'Отделение №14 (до 30 кг на одно место): Привокзальная площадь, 6/126'),
(3,	5206,	'Відділення №14 (до 30 кг): вул. Воїнів-Інтернаціоналістів, 4б'),
(1,	5206,	'Отделение №14 (до 30 кг): ул. Воинов-Интернационалистов, 4б'),
(3,	5207,	'Відділення №14 (до 30 кг): просп. Центральний (ран. Леніна), 159'),
(1,	5207,	'Отделение №14 (до 30 кг): просп. Центральный (ран. Ленина), 159'),
(3,	5208,	'Відділення №14 (до 30 кг на одне місце): вул. Небесної Сотні, 20'),
(1,	5208,	'Отделение №14 (до 30 кг на одно место): ул. Небесной Сотни, 20'),
(3,	5209,	'Відділення №14 (до 30 кг): вул. Словацького, 5'),
(1,	5209,	'Отделение №14 (до 30 кг): ул. Словацкого, 5'),
(3,	5210,	'Відділення №14 (до 30 кг на одне місце): вул. Старобілоуська,16а'),
(1,	5210,	'Отделение №14 (до 30 кг на одно место): ул. Старобелоуская, 16А'),
(3,	5211,	'Відділення №14: вул. Миколи Кибальчича, 23/25'),
(1,	5211,	'Отделение №14: ул. Николая Кибальчича, 23/25'),
(3,	5212,	'Відділення №14 (до 30 кг): вул. Інститутська, 15/1'),
(1,	5212,	'Отделение №14 (до 30 кг): ул. Институтская, 15/1'),
(3,	5213,	'Відділення №14 (до 30 кг): просп. Металургів, 94'),
(1,	5213,	'Отделение №14 (до 30 кг): просп. Металлургов, 94'),
(3,	5214,	'Відділення №14 (до 30 кг на одне місце): просп. Соборний, 24'),
(1,	5214,	'Отделение №14 (до 30 кг на одно место): просп. Соборный, 24'),
(3,	5215,	'Відділення №14 (до 30 кг): вул. Руська, 3, прим. 33'),
(1,	5215,	'Отделение №14 (до 30 кг): ул. Русская, 3, пом. 33'),
(3,	5216,	'Відділення №14 (до 30 кг на одне місце): вул. Герасима Кондратьєва, 152д'),
(1,	5216,	'Отделение №14 (до 30 кг на одно место): ул. Герасима Кондратьева, 152д'),
(3,	5217,	'Відділення №14: просп. Московський, 199б (ТЦ СанСіті, 2)'),
(1,	5217,	'Отделение №14: просп. Московский, 199б (ТЦ СанСити, 2)'),
(3,	5218,	'Відділення №14 (до 30 кг на одне місце): вул. Набережна ім. В. Стефаника, 42'),
(1,	5218,	'Отделение №14 (до 30 кг на одно место): ул. Набережная им. В. Стефаника, 42'),
(3,	5219,	'Відділення №14 (до 30 кг): вул. Залізнична, 68'),
(1,	5219,	'Отделение №14 (до 30 кг): ул. Железнодорожная, 68'),
(3,	5220,	'Відділення №14 (до 30 кг на одне місце): вул. Лісового, 9 а'),
(1,	5220,	'Отделение №14 (до 30 кг на одно место): ул. Лисового, 9 а'),
(3,	5221,	'Відділення №14 (до 30 кг): вул. Тараса Карпи (ран. Тимірязєва), 53/44'),
(1,	5221,	'Отделение №14 (до 30 кг): ул. Тараса Карпы (ран. Тимирязева), 53/44'),
(3,	5222,	'Відділення №15 (до 30 кг): вул. Чорновола, 2в'),
(1,	5222,	'Отделение №15 (до 30 кг): ул. Чорновола, 2в'),
(3,	5223,	'Відділення №15: Тираспольське шосе, 2'),
(1,	5223,	'Отделение №15: Тираспольское шоссе, 2'),
(3,	5224,	'Відділення №15 (до 30 кг): вул. Київська, 59'),
(1,	5224,	'Отделение №15 ( до 30 кг): ул. Киевская, 59'),
(3,	5225,	'Відділення №15 (до 30 кг на одне місце): Старокостянтинівське шосе, 2/1б (ТЦ &quot;Агора&quot;)'),
(1,	5225,	'Отделение №15 (до 30 кг на одно место): Староконстантиновское шоссе, 2/1б (ТЦ &quot;Агора&quot;)'),
(3,	5226,	'Відділення №15 (до 30 кг): вул. Петра Свинаренка, 20'),
(1,	5226,	'Отделение №15 (до 30 кг): ул. Петра Свинаренка, 20'),
(3,	5227,	'Відділення №15 (до 30 кг): вул. Юрія Коваленка, 6А'),
(1,	5227,	'Отделение №15 (до 30 кг): ул. Юрия Коваленко, 6А'),
(3,	5228,	'Відділення №15 (до 30 кг на одне місце): вул. Курузова, 5'),
(1,	5228,	'Отделение №15 (до 30 кг на одно место): ул. Курузова, 5'),
(3,	5229,	'Відділення №15 (до 30 кг): вул. Героїв УПА, 6'),
(1,	5229,	'Отделение №15 (до 30 кг): ул. Героев УПА, 6'),
(3,	5230,	'Відділення №15 (до 30 кг на одне місце): вул. Комарова, 9а'),
(1,	5230,	'Отделение №15 (до 30 кг на одно место): ул. Комарова, 9а'),
(3,	5231,	'Відділення №15 (до 30 кг): вул. Мстиславська, 25'),
(1,	5231,	'Отделение №15 (до 30 кг): ул. Мстиславская, 25'),
(3,	5232,	'Відділення №15 (до 30 кг): вул. Космонавтів, 53/1'),
(1,	5232,	'Отделение №15 ( до 30 кг): ул. Космонавтов, 53/1'),
(3,	5233,	'Відділення №15 (до 30 кг на одне місце): вул. Дубенська, 46'),
(1,	5233,	'Отделение №15 (до 30 кг на одно место): ул. Дубенская, 46'),
(3,	5234,	'Відділення №15 (до 30 кг на одне місце): просп. Свободи, 61/17'),
(1,	5234,	'Отделение №15 (до 30 кг на одно место): просп. Свободы, 61/17'),
(3,	5235,	'Відділення №15 (до 30 кг): вул. 49 Гвардійської Херсонської дивізії, 26-А'),
(1,	5235,	'Отделение №15 (до 30 кг): ул. 49 Гвардейской Херсонской дивизии, 26-А'),
(3,	5236,	'Відділення №15 (до 30 кг на одне місце): просп. Миру, 31'),
(1,	5236,	'Отделение №15 (до 30 кг на одно место): просп. Мира, 31'),
(3,	5237,	'Відділення №15 (до 30 кг на одне місце): вул.Троїцька (ран. 50 років СРСР), 44 (17 мк-рн)'),
(1,	5237,	'Отделение №15 (до 30 кг на одно место): ул. Троицкая (ран. 50-летие СРСР), 44 (17 мк-рн)'),
(3,	5238,	'Відділення №15 (до 5 кг), Міні-відділення: вул. М. Лушпи, 41'),
(1,	5238,	'Отделение №15 (до 5 кг), Мини-отделение: ул. М. Лушпы, 41'),
(3,	5239,	'Відділення №15: вул. Малинська, 18 (Новобіличи)'),
(1,	5239,	'Отделение №15: ул. Малинская, 18 (Новобеличи)'),
(3,	5240,	'Відділення №15 (до 30 кг): бульв. С. Петлюри, 4а (приміщення 13)'),
(1,	5240,	'Отделение №15 (до 30 кг): бульв. С. Петлюры, 4а (помещение 13)'),
(3,	5241,	'Відділення №15 (до 30 кг на одне місце): вул. О. Дашкевича, 20'),
(1,	5241,	'Отделение №15 (до 30 кг на одно место): ул. О. Дашкевича, 20'),
(3,	5242,	'Відділення №15: просп. Праці, 9'),
(1,	5242,	'Отделение №15: просп. Труда, 9'),
(3,	5243,	'Відділення №15 (до 30 кг на одне місце): вул. Данила Нечая, 77а'),
(1,	5243,	'Отделение №15 (до 30 кг на одно место): ул. Данила Нечая, 77а'),
(3,	5244,	'Відділення №15 (до 30 кг на одне місце): вул. Європейська, 94'),
(1,	5244,	'Отделение №15 (до 30 кг на одно место): ул. Европейская, 94'),
(3,	5245,	'Відділення №16 (до 30 кг на одне місце): просп. М. Лушпи, 5, корп. 10'),
(1,	5245,	'Отделение №16 (до 30 кг на одно место): просп. М. Лушпы, 5, корп. 10'),
(3,	5246,	'Відділення №16 (до 30 кг): вул. Невського О., буд. 15'),
(1,	5246,	'Отделение №16 (до 30 кг) : ул. Невского А., д. 15'),
(3,	5247,	'Відділення №16 (до 30 кг): вул. Першотравнева, 24 г, прим. 6, 7'),
(1,	5247,	'Отделение №16 (до 30 кг): ул. Первомайская, 24 г, пом. 6, 7'),
(3,	5248,	'Відділення №16: вул. Матросова, 48А'),
(1,	5248,	'Отделение №16: ул. Матросова, 48А'),
(3,	5249,	'Відділення №16: пл. Ю. Кононенко, 1а (Автобазар &quot;Лоск&quot;, східна сторона)'),
(1,	5249,	'Отделение №16: пл. Ю.Кононенко, 1 а (Атобазар &quot;Лоск&quot;, восточная строна)'),
(3,	5250,	'Відділення №16: вул. Таганрозька, 60 (орієнтир АТ &quot;Пивзавод&quot;)'),
(1,	5250,	'Отделение №16: ул. Таганрогская, 60 (ориентир АО &quot;Пивзавод&quot;)'),
(3,	5251,	'Відділення №16 (до 30 кг на одне місце): просп. Соборний (ран. Леніна), 84'),
(1,	5251,	'Отделение №16 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 84'),
(3,	5252,	'Відділення №16 (до 30 кг), просп. Богоявленський (ран. Жовтневий), 234в'),
(1,	5252,	'Отделение №16 (до 30 кг), просп. Богоявленский (ран. Октябрьский), 234в'),
(3,	5253,	'Відділення №16 (до 30 кг): вул. Велика Перспективна, 3/5'),
(1,	5253,	'Отделение №16 (до 30 кг): ул. Большая Перспективная, 3/5'),
(3,	5254,	'Відділення №16 (до 30 кг): просп. Миру, 194, корп. 4'),
(1,	5254,	'Отделение №16 (до 30 кг): просп. Мира, 194, корп. 4'),
(3,	5255,	'Відділення №16 (до 5 кг), Міні-відділення: вул. І. Кулика, 114-Ж'),
(1,	5255,	'Отделение №16 (до 5 кг), Мини-отделение: ул. И. Кулика, 114-Ж'),
(3,	5256,	'Відділення №16 (до 30 кг на одне місце): просп. Коцюбинського, 70 (ТЦ &quot;ПетроЦентр&quot;)'),
(1,	5256,	'Отделение №16 (до 30 кг на одно место): просп. Коцюбинского, 70 (ТЦ &quot;ПетроЦентр&quot;)'),
(3,	5257,	'Відділення №16 (до 30 кг на одне місце): вул. Малиновського, 27а (маг. &quot;Копійка&quot;)'),
(1,	5257,	'Отделение №16 (до 30 кг на одно место): ул. Малиновского, 27а (маг. &quot;Копейка&quot;)'),
(3,	5258,	'Відділення №16: вул. Геологів, 5/2 (перед ринком &quot;МІВС&quot;)'),
(1,	5258,	'Отделение №16: ул. Геологов, 5/2 (перед рынком &quot;МИВС&quot;)'),
(3,	5259,	'Відділення №16 (до 30 кг на одне місце): вул. Першотравнева, 39'),
(1,	5259,	'Отделение №16 (до 30 кг): ул. Первомайская, 39'),
(3,	5260,	'Відділення №16 (до 30 кг): вул. Набережна, 2'),
(1,	5260,	'Отделение №16 (до 30 кг): ул. Набережная, 2'),
(3,	5261,	'Відділення №16 (до 30 кг): просп. Степана Бандери, 16'),
(1,	5261,	'Отделение №16 (до 30 кг): просп. Степана Бандеры, 16'),
(3,	5262,	'Відділення №16 (до 30 кг): вул. Південно-Кільцева, 25б'),
(1,	5262,	'Отделение №16 (до 30 кг): ул. Южно-Кольцевая, 25б'),
(3,	5263,	'Відділення №16 (до 30 кг): просп. Червоної Калини, 76'),
(1,	5263,	'Отделение №16 (до 30 кг): просп. Красной Калины, 76'),
(3,	5264,	'Відділення №16 (до 30 кг на одне місце): вул. Оболоня, 49'),
(1,	5264,	'Отделение №16 (до 30 кг на одно место): ул. Оболоня, 49'),
(3,	5265,	'Відділення №16 (до 15 кг), Міні-відділення: вул. Отаманів Соколовських (ран. Потапова), 1 (Екомар.)'),
(1,	5265,	'Отделение №16 (до 15 кг), Мини-отделение: ул. Атаманов Соколовских (ран. Потапова), 1 (Экомар.)'),
(3,	5266,	'Відділення №16 (до 30 кг): просп. Миру, 30а(ТЦ &quot;Мир&quot;)'),
(1,	5266,	'Отделение №16 ( до 30 кг): просп. Мира, 30а(ТЦ &quot;Мир&quot;)'),
(3,	5267,	'Відділення №16 (до 30 кг): пл. Героїв Майдану, 1'),
(1,	5267,	'Отделение №16 (до 30 кг): пл. Героев Майдана, 1'),
(3,	5268,	'Відділення №16 (до 5 кг),  Міні-відділення: вул. Гагаріна, 26 (маг.&quot;NOVUS&quot;)'),
(1,	5268,	'Отделение №16 (до 5 кг),  Міні-відділення: ул. Гагарина, 26 (маг.&quot;NOVUS&quot;)'),
(3,	5269,	'Відділення №17 (до 30 кг на одне місце): вул. Володимира Терещенка (ран. Федоренка), 5а'),
(1,	5269,	'Отделение №17 (до 30 кг на одно место): ул. Владимира Терещенко (ран. Федоренко), 5а'),
(3,	5270,	'Відділення №17 (до 30 кг на одне місце): вул. Героїв Майдану, 63'),
(1,	5270,	'Отделение №17 (до 30 кг на одно место): ул. Героев Майдана, 63'),
(3,	5271,	'Відділення №17 (до 30 кг): вул. Конякіна, 17а'),
(1,	5271,	'Отделение №17 (до 30 кг): ул. Конякина, 17а'),
(3,	5272,	'Відділення №17 (до 15 кг), Міні-відділення: просп. Героїв України (ран. Г. Сталінграду), 9д (МЕТРО)'),
(1,	5272,	'Отделение №17 (до 15 кг), Мини-отделение: просп. Героев Украины (ран. Г. Сталинграда), 9д (МЕТРО)'),
(3,	5273,	'Відділення №17 (до 30 кг): вул. Розумовська, 29'),
(1,	5273,	'Отделение №17 (до 30 кг): ул. Разумовская, 29'),
(3,	5274,	'Відділення №17 (до 30 кг на одне місце): вул. 23 серпня, 67а'),
(1,	5274,	'Отделение №17 (до 30 кг на одно место): ул. 23 августа, 67а'),
(3,	5275,	'Відділення №17 (до 30 кг на одне місце): вул. Нижньосироватська, 60'),
(1,	5275,	'Отделение №17 (до 30 кг на одно место): ул. Нижнесыроватская, 60'),
(3,	5276,	'Відділення №17 (до 30 кг на одне місце): вул. Зіньківська, 14'),
(1,	5276,	'Отделение №17 (до 30 кг на одно место): ул. Зиньковская, 14'),
(3,	5277,	'Відділення №17: вул. Монастирського Антона, 50/1'),
(1,	5277,	'Отделение №17: ул. Монастырского Антона, 50/1'),
(3,	5278,	'Відділення №17 (до 30 кг): вул. Латишева, 35а'),
(1,	5278,	'Отделение №17 (до 30 кг): ул. Латышева, 35а'),
(3,	5279,	'Відділення №17 (до 30 кг на одне місце): вул. Шевченка, 323'),
(1,	5279,	'Отделение №17 (до 30 кг на одно место): ул. Шевченка, 323'),
(3,	5280,	'Відділення №17 (до 30 кг): вул. Василя Порика, 5а'),
(1,	5280,	'Отделение №17 (до 30 кг): ул. Василия Порика, 5а'),
(3,	5281,	'Відділення №17 (до 30 кг на одне місце): вул. Авраменка, 13'),
(1,	5281,	'Отделение № 17 (до 30 кг на одно место): ул. Авраменка, 13'),
(3,	5282,	'Відділення №17: вул. Новокостянтинівська, 22/15'),
(1,	5282,	'Отделение №17: ул. Новоконстантиновская, 22/15'),
(3,	5283,	'Відділення №17 (до 30 кг): Донецьке шосе, 9а'),
(1,	5283,	'Отделение №17 (до 30 кг): Донецкое шоссе, 9а'),
(3,	5284,	'Відділення №17 (до 30 кг): вул. Староміська, 35'),
(1,	5284,	'Отделение №17 (до 30 кг): ул. Старогородская, 35'),
(3,	5285,	'Відділення №17 (до 30 кг на одне місце): вул. Вишнева, 52'),
(1,	5285,	'Отделение №17 (до 30 кг на одно место): ул. Вишневая, 52'),
(3,	5286,	'Відділення №17: вул. Дніпровська, 34'),
(1,	5286,	'Отделение №17: ул. Днепровская, 34'),
(3,	5287,	'Відділення №17 (до 30 кг на одне місце): вул. Велика (Верхня) Пермська, 8ж'),
(1,	5287,	'Отделение №17 (до 30 кг на одно место): ул. Большая (Верхняя) Пермская, 8ж'),
(3,	5288,	'Відділення №17 (до 5 кг), Міні-відділення: вул. Гагаріна, 16 (ТЦ «Чайка»)'),
(1,	5288,	'Отделение №17 (до 5 кг), Мини-отделение: ул. Гагарина, 16 (ТЦ &quot;Чайка&quot;)'),
(3,	5289,	'Відділення №17 (до 30 кг на одне місце): вул. Благовісна, 269/4'),
(1,	5289,	'Отделение №17 (до 30 кг на одно место) ул. Благовестная, 269/4'),
(3,	5290,	'Відділення №18: вул. Молодогвардійська, 22 (Чоколівка)'),
(1,	5290,	'Отделение №18: ул. Молодогвардейская, 22 (Чоколовка)'),
(3,	5291,	'Відділення №18 (до 30 кг): вул. Фонтанська дорога, 16/8'),
(1,	5291,	'Отделение №18 (до 30 кг): ул. Фонтанская дорога, 16/8'),
(3,	5292,	'Відділення №18 (до 30 кг): просп. Гагаріна, 181 (ТЦ &quot;Sun Mall&quot;)'),
(1,	5292,	'Отделение №18 (до 30 кг): просп. Гагарина, 181 (ТЦ &quot;Sun Mall&quot;)'),
(3,	5293,	'Відділення №18: вул. Курчатова, 18а'),
(1,	5293,	'Отделение №18: ул. Курчатова, 18а'),
(3,	5294,	'Відділення №18 (до 30 кг на одне місце): вул. Миру, 7'),
(1,	5294,	'Отделение №18 (до 30 кг на одно место): ул. Мира, 7'),
(3,	5295,	'Відділення №18 (до 30 кг): вул. Богдана Хмельницького, 56'),
(1,	5295,	'Отделение №18 (до 30 кг): ул. Богдана Хмельницкого, 56'),
(3,	5296,	'Відділення №18 (до 30 кг на одне місце): вул. Іллінська, 56'),
(1,	5296,	'Отделение №18 (до 30 кг на одно место): ул. Ильинская, 56'),
(3,	5297,	'Відділення №18 (до 30 кг на одне місце): вул. Робоча, 148'),
(1,	5297,	'Отделение №18 (до 30 кг на одно место): ул. Рабочая, 148'),
(3,	5298,	'Відділення №18 (до 30 кг): просп. Молоді, 9'),
(1,	5298,	'Отделение №18 (до 30 кг): просп. Молодежи, 9'),
(3,	5299,	'Відділення №18 (до 30 кг на одне місце): просп. Богоявленський (ран. Жовтневий), 342/2'),
(1,	5299,	'Отделение № 18 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 342/2'),
(3,	5300,	'Відділення №18 (до 30 кг): вул. Наукова, 12а'),
(1,	5300,	'Отделение №18 (до 30 кг) : ул. Научная, 12а'),
(3,	5301,	'Відділення №18 (до 30 кг на одне місце): вул. Лермонтова, 10а'),
(1,	5301,	'Отделение №18 (до 30 кг на одно место): ул. Лермонтова, 10а'),
(3,	5302,	'Відділення №18 (до 30 кг на одне місце): вул. Набережна, 9'),
(1,	5302,	'Отделение №18 (до 30 кг на одно место): ул. Набережная, 9'),
(3,	5303,	'Відділення №18 (до 30 кг): вул. Соборна, 23 (заїзд з вул. І. Сердюка)'),
(1,	5303,	'Отделение №18 (до 30 кг): ул. Соборная, 23 (заезд с ул. И. Сердюка)'),
(3,	5304,	'Відділення №18 (до 30 кг на одне місце): вул. Перекопська, 39а'),
(1,	5304,	'Отделение №18 (до 30 кг на одно место): ул. Перекопская, 39а'),
(3,	5305,	'Відділення №18 (до 30 кг): вул. Свободи, 73 (маг. &quot;JYSK&quot;)'),
(1,	5305,	'Отделение №18 (до 30 кг): ул. Свободы, 73 (маг. &quot;JYSK&quot;)'),
(3,	5306,	'Відділення №18 (до 30 кг на одне місце): вул. Павлокічкаська (ран. Орджонікідзе), 11'),
(1,	5306,	'Отделение №18 (до 30 кг на одно место): ул. Павлокичкасская (ран. Орджоникидзе),11'),
(3,	5307,	'Відділення №18 (до 30 кг на одне місце): вул. Гоголя, 38 (ТЦ &quot;Метрополитан&quot;)'),
(1,	5307,	'Отделение №18 (до 30 кг на одно место): ул. Гоголя, 38 (ТЦ &quot;Метрополитан&quot;)'),
(3,	5308,	'Відділення №18 (до 30 кг на одне місце): вул. П\'ятницька, 49'),
(1,	5308,	'Отделение №18 (до 30 кг на одно место): ул. Пятницкая, 49'),
(3,	5309,	'Відділення №18 (до 30 кг на одне місце): вул. Князів Коріатовичів (ран. Свердлова), 181а'),
(1,	5309,	'Отделение №18 (до 30 кг на одно место): ул. Князей Кориатовичей (ран. Свердлова), 181а'),
(3,	5310,	'Відділення №18 (до 30 кг на одне місце): вул. Шевченка, 18а'),
(1,	5310,	'Отделение №18 (до 30 кг на одно место): ул. Шевченко, 18а'),
(3,	5311,	'Відділення №19 (до 30 кг на одне місце): вул. Мусоргського, 16'),
(1,	5311,	'Отделение №19 (до 30 кг на одно место): ул. Мусоргского, 16'),
(3,	5312,	'Відділення №19 (до 30 кг): вул. Львівське шосе, 55/2'),
(1,	5312,	'Отделение №19 (до 30 кг): ул. Львовское шоссе, 55/2'),
(3,	5313,	'Відділення №19: вул. Райдужна, 25А'),
(1,	5313,	'Отделение №19: ул. Радужная, 25А'),
(3,	5314,	'Відділення №19 (до 30 кг): вул. Чуднівська (ран. Черняховського), 92 (ТЦ&quot;Океан&quot;)'),
(1,	5314,	'Отделение №19 (до 30 кг): ул. Чудновская (ран. Черняховского), 92 (ТЦ&quot;Океан&quot;)'),
(3,	5315,	'Відділення №19 (до 30 кг на одне місце): вул. Панікахи, 91'),
(1,	5315,	'Отделение №19 (до 30 кг на одно место): ул. Паникахи, 91'),
(3,	5316,	'Відділення №19 (до 30 кг): вул. Київська, 67 (ТРЦ &quot;Арена&quot;)'),
(1,	5316,	'Отделение №19 (до 30 кг): ул. Киевская, 67 (ТРЦ &quot;Арена&quot;)'),
(3,	5317,	'Відділення №19 (до 30 кг): вул. Європейська, 185'),
(1,	5317,	'Отделение №19 (до 30 кг): ул. Европейская, 185'),
(3,	5318,	'Відділення №19 (до 30 кг): вул. 1-а Слобідська, 62'),
(1,	5318,	'Отделение №19 (до 30 кг): ул. 1-а Слободская, 62'),
(3,	5319,	'Відділення №19 (до 30 кг): просп. Курський, 111'),
(1,	5319,	'Отделение №19 (до 30 кг): просп. Курский, 111'),
(3,	5320,	'Відділення №19 (до 30 кг): вул. Лесі Українки, 24'),
(1,	5320,	'Отделение №19 (до 30 кг): ул. Леси Украинки, 24'),
(3,	5321,	'Відділення №19 (до 30 кг на одне місце): вул. Текстильників, 17А'),
(1,	5321,	'Отделение №19 (до 30 кг на одно место): ул. Текстильщиков, 17А'),
(3,	5322,	'Відділення №19: вул. Морозова, 18'),
(1,	5322,	'Отделение №19: ул. Морозова, 18'),
(3,	5323,	'Відділення №19 (до 30 кг): вул. Всіхсвятська, 5'),
(1,	5323,	'Отделение №19 (до 30 кг): ул. Всехсвятская, 5'),
(3,	5324,	'Відділення №19 (до 30 кг на одне місце): вул. Чумаченка, 25'),
(1,	5324,	'Отделение №19 (до 30 кг на одно место): ул. Чумаченко, 25'),
(1,	6379,	'Отделение №19 (до 15 кг), Мини-отделение: просп. Ушакова, 49 (ТЦ &quot;Цум&quot;)'),
(2,	6379,	'Відділення №19 (до 15 кг), Міні-відділення: просп. Ушакова, 49 (ТЦ &quot;Цум&quot;)'),
(3,	6379,	'Відділення №19 (до 15 кг), Міні-відділення: просп. Ушакова, 49 (ТЦ &quot;Цум&quot;)'),
(3,	5325,	'Відділення №19 (до 30 кг): вул. Бойківська, 1'),
(1,	5325,	'Отделение №19 (до 30 кг): ул. Бойковская, 1'),
(3,	5326,	'Відділення №19 (до 30 кг): вул. Радісна, 23'),
(1,	5326,	'Отделение №19 (до 30 кг): ул. Радостная, 23'),
(3,	5327,	'Відділення №19 (до 30 кг на одне місце): вул. Гліба Успенського, 91б'),
(1,	5327,	'Отделение №19 (до 30 кг на одно место): ул. Глеба Успенского, 91б'),
(3,	5328,	'Відділення №20: пров. Новопечерський, 5 (м. Палац Україна)'),
(1,	5328,	'Отделение №20: пер. Новопечерский, 5 ( м. Дворец Украина)'),
(3,	5329,	'Відділення №20 (до 30 кг): просп. Б. Хмельницького (ран. вул. Героїв Сталінграду), 3'),
(1,	5329,	'Отделение №20 (до 30 кг): просп. Б. Хмельницкого (ран. ул. Героев Сталинграда), 3'),
(3,	5330,	'Відділення №20: вул. Клочківська, 197д'),
(1,	5330,	'Отделение №20: ул. Клочковская, 197д'),
(3,	5331,	'Відділення №20 (до 30 кг): вул. Франка, 61, прим. 16, 17'),
(1,	5331,	'Отделение №20 (до 30 кг): ул. Франко, 61, пом. 16, 17'),
(3,	5332,	'Відділення №20 (до 30 кг на одне місце): вул. В\'ячеслава Чорновола, 53'),
(1,	5332,	'Отделение №20 (до 30 кг на одно место): ул. Вячеслава Черновола, 53'),
(3,	5333,	'Відділення №20 (до 30 кг на одне місце): мкрн. Сонячний, 22а, прим. 5/3'),
(1,	5333,	'Отделение №20 (до 30 кг на одно место): мкрн. Солнечный, 22а, пом. 5/3'),
(3,	5334,	'Відділення №20 (до 5 кг), Міні-відділення: вул. Кооперативна, 1'),
(1,	5334,	'Отделение №20 (до 5 кг), Мини-отделение: ул. Кооперативная, 1'),
(3,	5335,	'Відділення №20 (до 30 кг): вул. Лермонтова, 15 (вул. Патріотична, 48)'),
(1,	5335,	'Отделение №20 (до 30 кг): ул. Лермонтова, 15 (ул. Патриотическая, 48)'),
(3,	5336,	'Відділення №20: вул. Чорновола, 155/1'),
(1,	5336,	'Отделение №20: ул. Черновола, 155/1'),
(3,	5337,	'Відділення №20 (до 30 кг): вул. Чехова, 8а'),
(1,	5337,	'Отделение №20 (до 30 кг): ул. Чехова, 8а'),
(3,	5338,	'Відділення №20 (до 30 кг на одне місце): вул. Бориса Тена, 83/38'),
(1,	5338,	'Отделение №20 (до 30 кг на одно место): ул. Бориса Тена, 83/38'),
(3,	5339,	'Відділення №20 (до 30 кг на одне місце): просп. Богоявленський (ран. Жовтневий), 26/2'),
(1,	5339,	'Отделение №20 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 26/2'),
(3,	5340,	'Відділення №20 (до 30 кг на одне місце): вул. Медової Печери, 7'),
(1,	5340,	'Отделение №20 (до 30 кг на одно место): ул. Медовой Пещеры, 7'),
(3,	5341,	'Відділення №20 (до 30 кг на одне місце): вул. Руська, 88'),
(1,	5341,	'Отделение №20 (до 30 кг на одно место): ул. Русская, 88'),
(3,	5342,	'Відділення №20 (до 30 кг на одне місце): просп. Ушакова, 62'),
(1,	5342,	'Отделение №20 (до 30 кг на одно место): просп. Ушакова, 62'),
(3,	5343,	'Відділення №20 (до 30 кг): вул. Мала Арнаутська 119'),
(1,	5343,	'Отделение №20 (до 30 кг): ул. Малая Арнаутская 119'),
(3,	5344,	'Відділення №20 (до 30 кг): вул. Троїцька, 70'),
(1,	5344,	'Отделение №20 (до 30 кг): ул. Троицкая, 70'),
(3,	5345,	'Відділення №21 (до 30 кг): вул. Героїв Пожежних, 70а'),
(1,	5345,	'Отделение №21 (до 30 кг): ул. Героев Пожарных, 70а'),
(3,	5346,	'Відділення №21: вул. Василя Чапленка (ран. Фрунзе), 8'),
(1,	5346,	'Отделение №21: ул. Василия Чапленко (ран. Фрунзе), 8'),
(3,	5347,	'Відділення №21 (до 5 кг), Міні-відділення: вул. Воробкевича Сидора, 31-А'),
(1,	5347,	'Отделение №21 (до 5 кг), Мини-отделение: ул. Воробкевича Сидора, 31-А'),
(3,	5348,	'Відділення №21: вул. Адмірала Головка, 14'),
(1,	5348,	'Отделение №21: ул. Адмирала Головко, 14'),
(3,	5349,	'Відділення №21 (до 30 кг): вул. Академіка Проскури, 1'),
(1,	5349,	'Отделение №21 (до 30 кг): ул. Академика Проскуры, 1'),
(3,	5350,	'Відділення №21 (до 30 кг): просп. Олександрівський, 21'),
(1,	5350,	'Отделение №21 (до 30 кг): просп. Александровский, 21'),
(3,	5351,	'Відділення №21 (до 30 кг): вул. Київська, 49'),
(1,	5351,	'Отделение №21 (до 30 кг): ул. Киевская, 49'),
(3,	5352,	'Відділення №21 (до 30 кг на одне місце): вул. Товариська, 56 (вул. Ладозька, 25)'),
(1,	5352,	'Отделение №21 (до 30 кг на одно место): ул. Товарищеская, 56 (ул. Ладожская, 25)'),
(3,	5353,	'Відділення №21 (до 30 кг на одне місце): вул. Соборна, 14/16'),
(1,	5353,	'Отделение №21 (до 30 кг на одно место): ул. Соборная, 14/16'),
(3,	5354,	'Відділення №21 (до 5 кг), Міні-відділення: вул. Соборна, 197'),
(1,	5354,	'Отделение №21 (до 5 кг), Мини-отделение: ул. Соборная, 197'),
(3,	5355,	'Відділення №21 (до 30 кг): вул. Луценка, 6'),
(1,	5355,	'Отделение №21 (до 30 кг): ул. Луценко, 6'),
(3,	5356,	'Відділення №21 (до 30 кг на одне місце): вул. Космонавтів, 108/1'),
(1,	5356,	'Отделение №21 (до 30 кг на одно место): ул. Космонавтов, 108/1'),
(3,	5357,	'Відділення №21 (до 30 кг): вул. Пасічна, 94в'),
(1,	5357,	'Отделение №21 (до 30 кг): ул. Пасечная, 94в'),
(3,	5358,	'Відділення №21 (до 30 кг на одне місце): просп. Миру, 80'),
(1,	5358,	'Отделение №21 (до 30 кг): просп. Мира, 80'),
(3,	5359,	'Відділення №21 (до 30 кг на одне місце): вул. Великотирнівська, 7'),
(1,	5359,	'Отделение №21 (до 30 кг на одно место): ул. Великотырновская, 7'),
(3,	5360,	'Відділення №21 (до 30 кг на одне місце): вул. Героїв України (ран. Героїв Сталінграда), 28г'),
(1,	5360,	'Отделение №21 (до 30 кг на одно место): ул. Героев Украины (ран. Героев Сталинграда), 28г'),
(3,	5361,	'Відділення №21 (до 30 кг): вул. Конякіна, 7'),
(1,	5361,	'Отделение №21 (до 30 кг): ул. Конякина, 7'),
(3,	5362,	'Відділення №22 (до 30 кг): вул. Теплична, 21'),
(1,	5362,	'Отделение №22 (до 30 кг): ул. Тепличная, 21'),
(3,	5363,	'Відділення №22 (до 30 кг на одне місце): вул. Ревуцького, 26 (Харківський масив)'),
(1,	5363,	'Отделение №22 (до 30 кг на одно место): ул. Ревуцкого, 26 (Харьковский масив)'),
(3,	5364,	'Відділення №22 (до 30 кг): вул. Кравчука, 15ж/3'),
(1,	5364,	'Отделение №22 (до 30): ул. Кравчука, 15ж/3'),
(3,	5365,	'Відділення №22 (до 30 кг на одне місце): вул. Рівненська, 5а'),
(1,	5365,	'Отделение №22 (до 30 кг на одно место): ул. Ровенская, 5а'),
(3,	5366,	'Відділення №22 (до 30 кг на одне місце): вул. Єврейська, 1'),
(1,	5366,	'Отделение №22 (до 30 кг на одно место): ул. Еврейская, 1'),
(3,	5367,	'Відділення №22 (до 30 кг на одне місце): вул. Павленківська, 3б, прим. 4, прим. 5'),
(1,	5367,	'Отделение №22 (до 30 кг на одно место): ул. Павленковская, 3б, пом. 4, пом. 5'),
(3,	5368,	'Відділення №22 (до 30 кг): вул. Шевченка, 11'),
(1,	5368,	'Отделение №22 (до 30 кг): ул. Шевченко, 11'),
(3,	5369,	'Відділення №22 (до 30 кг на одне місце): 7-й проїзд, 8а'),
(1,	5369,	'Отделение №22 (до 30 кг на одно место): 7-й проезд, 8а'),
(3,	5370,	'Відділення №22 (до 30 кг на одне місце): вул. Чарівна, 121'),
(1,	5370,	'Отделение №22 (до 30 кг на одно место): ул. Чаривная, 121'),
(3,	5371,	'Відділення №22 (до 30 кг на одне місце): вул. Покровська, 54а (мкрн. Житомир меблі)'),
(1,	5371,	'Отделение №22 (до 30 кг на одно место): ул. Покровская, 54а (мкрн. Житомир мебель)'),
(3,	5372,	'Відділення №22 (до 30 кг на одне місце): вул. Городоцька, 174'),
(1,	5372,	'Отделение №22 (до 30 кг на одно место): ул. Городоцкая, 174'),
(3,	5373,	'Відділення №22 (до 30 кг): просп. Центральний, 135'),
(1,	5373,	'Отделение №22 (до 30 кг): просп. Центральный, 135'),
(3,	5374,	'Відділення №22 (до 30 кг на одне місце): вул. Дачна, 1а'),
(1,	5374,	'Отделение №22 (до 30 кг на одно место): ул. Дачная, 1а'),
(3,	5375,	'Відділення №22 (до 30 кг): вул. Кримська, 62/41'),
(1,	5375,	'Отделение №22 (до 30 кг): ул. Крымская, 62/41'),
(3,	5376,	'Відділення №22 (до 30 кг на одне місце): вул. Алмазна (ран. Погребняка), 1а'),
(1,	5376,	'Отделение №22 (до 30 кг на одно место): ул. Алмазная (ран. Погребняка), 1а'),
(3,	5377,	'Відділення №22 (до 30 кг): вул. Чернишевська, 1'),
(1,	5377,	'Отделение №22 (до 30 кг): ул. Чернишевская, 1'),
(3,	5378,	'Відділення №22 (до 30 кг): просп. Святих Кирила і Мефодія (ран. Димитрова), 10'),
(1,	5378,	'Отделение №22 (до 30 кг): просп. Святых Кирилла и Мефодия (ран. Димитрова), 10'),
(3,	5379,	'Відділення №23 (до 30 кг на одне місце): вул. Холодноярська, 198'),
(1,	5379,	'Отделение №23 (до 30 кг на одно место): ул. Холодноярская, 198'),
(3,	5380,	'Відділення №23 (до 30 кг): вул. Олександра Поля (ран. Кірова), 76'),
(1,	5380,	'Отделение №23 (до 30 кг): ул. Александра Поля (ран. Кирова), 76'),
(3,	5381,	'Відділення №23 (до 30 кг): вул. Трудова, 6-А, прим. 133 (ТЦ &quot;Woodmoll&quot;)'),
(1,	5381,	'Отделение №23 (до 30 кг): ул. Трудовая, 6-А, пом. 133 (ТЦ &quot;Woodmoll&quot;)'),
(1,	6380,	'Отделение №23 (до 15 кг), Мини-отделение: просп. Гагарина, 4'),
(2,	6380,	'Відділення №23 (до 15 кг), Міні-відділення: просп. Гагаріна, 4'),
(3,	6380,	'Відділення №23 (до 15 кг), Міні-відділення: просп. Гагаріна, 4'),
(3,	5382,	'Відділення №23 (до 30 кг): просп. М. Бажана, 24/1 (м. Позняки)'),
(1,	5382,	'Отделение №23 (до 30 кг): просп. Н. Бажана, 24/1 (м. Позняки)'),
(3,	5383,	'Відділення №23 (до 30 кг на одне місце): вул. Василя Порика, 46, прим. 49'),
(1,	5383,	'Отделение №23 (до 30 кг на одно место): ул. Василия Порика, 46, пом. 49'),
(3,	5384,	'Відділення №23 (до 30 кг): вул. Братів Руснаків, 12'),
(1,	5384,	'Отделение №23 (до 30 кг): ул. Братьев Руснаков, 12'),
(3,	5385,	'Відділення №23 (до 30 кг): вул. Висоцького, 23'),
(1,	5385,	'Отделение №23 (до 30 кг): ул. Высоцкого, 23'),
(3,	5386,	'Відділення №23 (до 30 кг на одне місце): вул. Гагаріна, 4'),
(1,	5386,	'Отделение №23 (до 30 кг на одно место): ул. Гагарина, 4'),
(3,	5387,	'Відділення №23 (до 30 кг): вул. Симона Петлюри, 2'),
(1,	5387,	'Отделение №23 (до 30 кг): ул. Симона Петлюры, 2'),
(3,	5388,	'Відділення №23 (до 30 кг): бульв. Шевченка, 313'),
(1,	5388,	'Отделение №23 (до 30 кг): бульв. Шевченко, 313'),
(3,	5389,	'Відділення №23 (до 30 кг на одне місце): вул. Смілянська, 163'),
(1,	5389,	'Отделение №23 (до 30 кг на одно место): ул. Смилянская, 163'),
(3,	5390,	'Відділення №23 (до 30 кг): вул. Академіка Павлова, 134/16'),
(1,	5390,	'Отделение №23 (до 30 кг): ул. Академика Павлова, 134/16'),
(3,	5391,	'Відділення №23 (до 30 кг): вул. Космонавтів, 83а'),
(1,	5391,	'Отделение №23 (до 30 кг): ул. Космонавтов, 83а'),
(3,	5392,	'Відділення №24 (до 30 кг): вул. Зелена, 186'),
(1,	5392,	'Отделение №24 (до 30 кг): ул. Зеленая, 186'),
(3,	5393,	'Відділення №24 (до 30 кг на одне місце): просп. Миру, 17/3'),
(1,	5393,	'Отделение №24 (до 30 кг на одно место): просп. Мира, 17/3'),
(3,	5394,	'Відділення №24 (до 30 кг на одне місце): вул. Зарожанська, 12а (маг. &quot;Норма&quot;)'),
(1,	5394,	'Отделение №24 (до 30 кг на одно место): ул. Зарожанская, 12а (маг. &quot;Норма&quot;)'),
(3,	5395,	'Відділення №24 (до 30 кг): вул. Богдана Хмельницького, 25б'),
(1,	5395,	'Отделение №24 (до 30 кг): ул. Богдана Хмельницкого, 25б'),
(3,	5396,	'Відділення №24 (до 15 кг), Міні-відділення: вул. Тернопільська, 7а (маг.&quot;Фуршет&quot;)'),
(1,	5396,	'Отделение №24 (до 15 кг), Мини-отделение: ул. Тернопольская, 7а (маг.&quot;Фуршет&quot;)'),
(3,	5397,	'Відділення №24 (до 30 кг на одне місце): вул. Фонтанська дорога, 4а'),
(1,	5397,	'Отделение №24 (до 30 кг на одно место): ул. Фонтанская дорога, 4а'),
(3,	5398,	'Відділення №24 (до 30 кг на одне місце): вул. Ентузіастів, 3, прим.37'),
(1,	5398,	'Отделение №24 (до 30 кг на одно место): ул. Энтузиастов, 3, пом.37'),
(3,	5399,	'Відділення №24 (до 30 кг): вул. Грецька, 34а (літ А-5, прим. 3-4)'),
(1,	5399,	'Отделение №24 (до 30 кг): ул. Греческая, 34а (букв А-5, пом. 3-4)'),
(3,	5400,	'Відділення №24 (до 30 кг на одне місце): вул. Перемоги, 12'),
(1,	5400,	'Отделение №24 (до 30 кг на одно место): ул. Победы, 12'),
(3,	5401,	'Відділення №24: майдан Захисників України, 2 (ТЦ &quot;Епос&quot;)'),
(1,	5401,	'Отделение №24: площадь Защитников Украины, 2 (ТЦ &quot;Эпос&quot;)'),
(3,	5402,	'Відділення №24 (до 30 кг на одне місце): просп. Миру, 7'),
(1,	5402,	'Отделение №24 (до 30 кг на одно место): просп. Мира, 7'),
(3,	5403,	'Відділення №24 (до 30 кг): вул. Білоруська, 28а'),
(1,	5403,	'Отделение №24 (до 30 кг): ул. Белорусская, 28а'),
(3,	5404,	'Відділення №25 (до 30 кг): вул. Курчатова, 5/1'),
(1,	5404,	'Отделение №25 (до 30 кг): ул. Курчатова, 5/1'),
(3,	5405,	'Відділення №25 (до 5 кг) Міні-відділення: вул. Патона, 37 (маг.&quot;Арсен&quot;)'),
(1,	5405,	'Отделение №25 (до 5 кг) Мини-отделение: ул. Патона, 37 (маг.&quot;Арсен&quot;)'),
(3,	5406,	'Відділення №25 (до 15 кг), Міні-відділення: вул. Мала Арнаутська, 45'),
(1,	5406,	'Отделение №25 (до 15 кг), Мини-отделение: ул. Малая Арнаутская, 45'),
(3,	5407,	'Відділення №25 (до 30 кг на одне місце): просп. Пушкіна, 3'),
(1,	5407,	'Отделение №25 (до 30 кг на одно место): просп. Пушкина, 3'),
(3,	5408,	'Відділення №25 (до 5 кг), Міні-відділення: вул. Миколаївська, 2 (ТЦ &quot;Barbara&quot;)'),
(1,	5408,	'Отделение №25 (до 5 кг), Мини-отделение: ул. Николаевская, 2 (ТЦ &quot;Barbara&quot;)'),
(3,	5409,	'Відділення №25 (до 30 кг на одне місце): вул. Донцова, 13'),
(1,	5409,	'Отделение №25 (до 30 кг на одно место): ул. Донцова, 13'),
(3,	5410,	'Відділення №25 (до 30 кг на одне місце): майдан Короленка, 6'),
(1,	5410,	'Отделение №25 (до 30 кг на одно место): майдан Короленко, 6'),
(3,	5411,	'Відділення №25 (до 30 кг на одне місце): просп. Першотравневий, 19'),
(1,	5411,	'Отделение №25 (до 30 кг на одно место): просп. Первомайский, 19'),
(3,	5412,	'Відділення №25 (до 30 кг на одне місце): просп. Тракторобудівників, 57а'),
(1,	5412,	'Отделение №25 (до 30 кг на одно место): просп. Тракторостроителей, 57а'),
(1,	6381,	'Отделение №25 (до 15 кг), Мини-отделение: просп. Металлургов, 36 (маг.&quot;Фокстрот&quot;)'),
(2,	6381,	'Відділення №25 (до 15 кг), Міні-відділення: просп. Металургів, 36 (маг.&quot;Фокстрот&quot;)'),
(3,	6381,	'Відділення №25 (до 15 кг), Міні-відділення: просп. Металургів, 36 (маг.&quot;Фокстрот&quot;)'),
(3,	5413,	'Відділення №25 (до 30 кг): вул. М. Тимошенка, 9'),
(1,	5413,	'Отделение №25 (до 30 кг): ул. М. Тимошенко, 9'),
(3,	5414,	'Відділення №25 (до 30 кг на одне місце): вул. Хотинська, 45г'),
(1,	5414,	'Отделение №25 (до 30 кг на одно место) : ул. Хотинская, 45г'),
(3,	5415,	'Відділення №25 (до 30 кг на одне місце): вул. Червона, 3'),
(1,	5415,	'Отделение №25 (до 30 кг на одно место): ул. Красная, 3'),
(3,	5416,	'Відділення №25 (до 30 кг на одне місце): просп. Богоявленський (ран. Жовтневий), 310'),
(1,	5416,	'Отделение №25 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 310'),
(3,	5417,	'Відділення №26 (до 5 кг), Міні-відділенні: вул. Камʼянецька, 19А (ТГРЦ «Либідь Плаза»)'),
(1,	5417,	'Отделение №26 (до 5 кг), Мини-отделение: ул. Каменецкая, 19А (ТГРЦ «Лыбедь Плаза»)'),
(3,	5418,	'Відділення №26 (до 30 кг на одне місце): ТЦ «Барабашова», Афганська площадка, місце 21-П1-55, 56'),
(1,	5418,	'Отделение №26 (до 30 кг на одно место): ТЦ «Барабашова», Афганская площадка, место 21-П1-55, 56'),
(3,	5419,	'Відділення №26 (до 30 кг на одне місце): вул. Північнокільцева, 3'),
(1,	5419,	'Отделение №26 (до 30 кг на одно место): ул. Северокольцевая, 3'),
(3,	5420,	'Відділення №26 (до 30 кг): просп. Івана Мазепи (ран. Петровського), 34'),
(1,	5420,	'Отделение №26 (до 30 кг): просп. Ивана Мазепы (ран. Петровского), 34'),
(3,	5421,	'Відділення №26 (до 30 кг): вул. Мала Морська, 108/7'),
(1,	5421,	'Отделение №26 (до 30 кг): ул. Малая Морская, 108/7'),
(3,	5422,	'Відділення №26 (до 5 кг) Міні-відділення: вул. Богдана Хмельницького, 176 (маг.&quot;Фуршет&quot;)'),
(1,	5422,	'Отделение №26 (до 5 кг) Мини-отделение: ул. Богдана Хмельницкого, 176 (маг.&quot;Фуршет&quot;)'),
(3,	5423,	'Відділення №26 (до 30 кг): вул. Бойчука (ран. Кіквідзе), 25А'),
(1,	5423,	'Отделение №26 (до 30 кг): ул. Бойчука (ран. Киквидзе), 25А'),
(3,	5424,	'Відділення №26 (до 30 кг на одне місце): вул. Гагаріна Юрія, 70'),
(1,	5424,	'Отделение №26 (до 30 кг на одно место): ул. Гагарина Юрия, 70'),
(3,	5425,	'Відділення №26 (до 30 кг): вул. Європейська, 66'),
(1,	5425,	'Отделение №26 (до 30 кг): ул. Европейская, 66'),
(3,	5426,	'Відділення №26 (до 30 кг на одне місце): бульв. Василевського Маршала, 22Б'),
(1,	5426,	'Отделение №26 (до 30 кг на одно место): бульв. Василевского Маршала, 22Б'),
(3,	5427,	'Відділення №26 (до 30 кг на одне місце): вул. Семена Палія (ран. Дніпропетровська дорога), 126'),
(1,	5427,	'Отделение №26 (до 30 кг на одно место): ул. Семена Палия (ран. Днепропетровская дорога), 126'),
(3,	5428,	'Відділення №26 (до 30 кг на одне місце): просп. Нікопольский (ран. Бойка), 141 (поряд БК &quot;Іскра&quot;)'),
(1,	5428,	'Отделение №26 (до 30 кг на одно место): просп. Никопольский (ран. Бойко), 141 (рядом ДК &quot;Искра&quot;)'),
(3,	5429,	'Відділення №26 (до 30 кг на одне місце): вул. Вітрука, 32'),
(1,	5429,	'Отделение №26 (до 30 кг на одно место): ул. Витрука, 32'),
(3,	5430,	'Відділення №27 (до 30 кг): вул. Шевченка, 317'),
(1,	5430,	'Отделение №27 (до 30 кг): ул. Шевченко, 317'),
(3,	5431,	'Відділення №27 (до 30 кг на одне місце): вул. Волгоградська, 8'),
(1,	5431,	'Отделение №27 (до 30 кг на одно место): ул. Волгоградская, 8'),
(3,	5432,	'Відділення №27 (до 30 кг): вул. Довженка, 4'),
(1,	5432,	'Отделение №27 (до 30 кг): ул. Довженко, 4'),
(3,	5433,	'Відділення №27 (до 30 кг): вул. Новосельського, 64'),
(1,	5433,	'Отделение №27 (до 30 кг): ул. Новосельского, 64'),
(3,	5434,	'Відділення №27 (до 30 кг): вул. Космонавтів, 15'),
(1,	5434,	'Отделение №27 (до 30 кг): ул. Космонавтов, 15'),
(3,	5435,	'Відділення №27 (до 30 кг на одне місце): вул. Нікольська, 17/1'),
(1,	5435,	'Отделение №27 (до 30 кг на одно место): ул. Никольская, 17/1'),
(3,	5436,	'Відділення №27 (до 30 кг): вул. Володимира Великого (ран. Мелешкіна), 43Д'),
(1,	5436,	'Отделение №27 (до 30 кг): ул. Владимира Великого (ран. Мелешкина), 43Д'),
(3,	5437,	'Відділення №27 (до 30 кг на одне місце): просп. Василя Порика, 13в (Виноградар)'),
(1,	5437,	'Отделение №27 (до 30 кг на одно место): просп. Василия Порика, 13в (Виноградар)'),
(3,	5438,	'Відділення №27 (до 30 кг на одне місце): просп. Соборний (ран. Леніна), 186'),
(1,	5438,	'Отделение №27 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 186'),
(3,	5439,	'Відділення №27 (до 30 кг): вул. Низинна, 2'),
(1,	5439,	'Отделение №27 (до 30 кг): ул. Низинная, 2'),
(3,	5440,	'Відділення №27: вул. Заводська,12'),
(1,	5440,	'Отделение №27: ул. Заводская, 12'),
(3,	5441,	'Відділення №28 (до 30 кг на одне місце): вул. Січеславська, 3, прим. 50'),
(1,	5441,	'Отделение №28 (до 30 кг на одно место): ул. Сичеславская, 3, пом. 50'),
(3,	5442,	'Відділення №28 (до 30 кг): вул. Поштова, 3'),
(1,	5442,	'Отделение №28 (до 30 кг): ул. Почтовая, 3'),
(3,	5443,	'Відділення №28: вул. Березинська, 58'),
(1,	5443,	'Отделение №28: ул. Березинская, 58'),
(3,	5444,	'Відділення №28 (до 30 кг): вул. Михайла Грушевського, 20'),
(1,	5444,	'Отделение №28 (до 30 кг): ул. Михаила Грушевского, 20'),
(3,	5445,	'Відділення №28 (до 5 кг), Міні-відділення: вул. Княгині Ольги, 120 (маг.&quot;Арсен&quot;)'),
(1,	5445,	'Отделение №28 (до 5 кг), Мини-отделение: ул. Княгини Ольги, 120 (маг.&quot;Арсен&quot;)'),
(3,	5446,	'Відділення №28 (до 30 кг): вул. Панаса Мирного, 37/3'),
(1,	5446,	'Отделение №28 (до 30 кг): ул. Панаса Мирного, 37/3'),
(3,	5447,	'Відділення №28 (до 30 кг): вул. Академіка Корольова, 94'),
(1,	5447,	'Отделение №28 (до 30 кг на одно место): ул. Академика Королева, 94'),
(3,	5448,	'Відділення №28 (до 30 кг на одне місце): вул. Клосовського Олександра, 10-а'),
(1,	5448,	'Отделение №28 (до 30 кг на одно место): ул. Клосовского Александра, 10-а'),
(3,	5449,	'Відділення №28 (до 30 кг на одне місце): вул. Запорізька, 2'),
(1,	5449,	'Отделение №28 ( до 30 кг на одно место): ул. Запорожская, 2'),
(3,	5450,	'Відділення №28 (до 30 кг на одне місце): вул. Озерна (ран. Червоних Майовщиків), 1-В'),
(1,	5450,	'Отделение №28 (до 30 кг на одно место): ул. Озёрная (ран. Красных Майовщиков), 1-В'),
(3,	5451,	'Відділення №28 (до 30 кг на одне місце): вул. Сім\'ї Сосніних, 7а'),
(1,	5451,	'Отделение №28 (до 30 кг на одно место): ул. Семьи Сосниных, 7а'),
(3,	5452,	'Відділення №28 (до 30 кг на одне місце): вул. Небесної Сотні, 74'),
(1,	5452,	'Отделение №28 (до 30 кг на одно место): ул. Небесной Сотни, 74'),
(3,	5453,	'Відділення №28 (до 30 кг на одне місце): просп. Тракторобудівників, 89б'),
(1,	5453,	'Отделение №28 (до 30 кг на одно место): просп. Тракторосторителей, 89б'),
(3,	5454,	'Відділення №29 (до 30 кг): вул. М.Говорова, 7А'),
(1,	5454,	'Отделение №29 ( до 30 кг): ул. Говорова, 7А'),
(3,	5455,	'Відділення №29 (до 30 кг): вул. Бучми (ран. Уборевича), 1б'),
(1,	5455,	'Отделение №29 (до 30 кг): ул. Бучмы (ран. Уборевича), 1б'),
(3,	5456,	'Відділення №29: вул. Сакко, 18а'),
(1,	5456,	'Отделение №29: ул. Сакко, 18а'),
(3,	5457,	'Відділення №29 (до 30 кг): вул.Титова, 21'),
(1,	5457,	'Отделение №29 (до 30 кг): ул. Титова, 21'),
(3,	5458,	'Відділення №29 (до 30 кг): вул. Мазепи, 42'),
(1,	5458,	'Отделение №29 (до 30 кг): ул. Мазепы, 42'),
(3,	5459,	'Відділення №29 (до 30 кг): вул. Шкільна (ран. Героїв Сталінграду), 10, прим. 1'),
(1,	5459,	'Отделение №29 (до 30 кг): ул. Школьная (ран. Героев Сталинграда), 10, пом. 1'),
(3,	5460,	'Відділення №29 (до 30 кг): вул. Васильківська, 34 (корпус В)'),
(1,	5460,	'Отделение №29 (до 30 кг): ул. Васильковская, 34(корпус В)'),
(3,	5461,	'Відділення №29 (до 30 кг): вул. Ентузіастів, 11, прим. 141-1-141-4'),
(1,	5461,	'Отделение №29 (до 30 кг): ул. Энтузиастов, 11, пом. 141-1-141-4'),
(3,	5462,	'Відділення №29 (до 30 кг): вул. Авраама Лінкольна, 57'),
(1,	5462,	'Отделение №29 (до 30 кг): ул. Авраама Линкольна, 57'),
(3,	5463,	'Відділення №29 (до 30 кг): вул. Прибузька, 12/1'),
(1,	5463,	'Отделение №29 (до 30 кг): ул. Прибужская, 12/1'),
(3,	5464,	'Відділення №29 (до 30 кг): вул. Блажевича,67, прим. 19'),
(1,	5464,	'Отделение №29 (до 30 кг): ул. Блажевича, 67, пом. 19'),
(3,	5465,	'Відділення №30 (до 30 кг): пров. Ярослава Мудрого, 19а'),
(1,	5465,	'Отделение №30 (до 30 кг): пер. Ярослава Мудрого, 19а'),
(3,	5466,	'Відділення №30 (до 30 кг): вул. Успенська, 7'),
(1,	5466,	'Отделение №30 (до 30 кг): ул. Успенская, 7'),
(3,	5467,	'Відділення №30 (до 30 кг): вул. Привокзальна, 12'),
(1,	5467,	'Отделение №30 (до 30 кг): ул. Привокзальная, 12'),
(3,	5468,	'Відділення №30 (до 30 кг на одне місце): просп. Московський, 259'),
(1,	5468,	'Отделение №30 (до 30 кг на одно место): просп. Московский, 259'),
(3,	5469,	'Відділення №30 (до 30 кг на одне місце): вул. Незалежності України, 16Б'),
(1,	5469,	'Отделение №30 (до 30 кг на одно место): ул. Независимости Украины, 16Б'),
(3,	5470,	'Відділення №30 (до 30 кг): вул. Василя Сергієнка (ран. Задніпровська), 46'),
(1,	5470,	'Отделение №30 (до 30 кг): ул. Василия Сергиенка (ран. Заднепровская), 46'),
(3,	5471,	'Відділення №30 (до 30 кг): просп. Героїв, 3 (ТЦ &quot;Кодак&quot;)'),
(1,	5471,	'Отделение №30 (до 30 кг): просп. Героев, 3 (ТЦ &quot;Кодак&quot;)'),
(3,	5472,	'Відділення №30 (до 30 кг на одне місце): вул. Станіславського, 14/2'),
(1,	5472,	'Отделение №30 (до 30 кг на одно место): ул. Станиславского, 14/2'),
(3,	5473,	'Відділення №30 (до 5 кг), Міні-відділення: бульв. Північний, 10'),
(1,	5473,	'Отделение №30 (до 5 кг), Мини-отделение: бульв. Северный, 10'),
(3,	5474,	'Відділення №30 (до 30 кг): вул. Литвиненка, 8');
INSERT INTO `ok_lang_okaycms__np_warehouses` (`lang_id`, `warehouse_id`, `name`) VALUES
(1,	5474,	'Отделение №30 (до 30 кг): ул. Литвиненко, 8'),
(3,	5475,	'Відділення №31 (до 30 кг на одне місце): вул. Героїв оборони Одеси (ран. Героїв Сталінграду), 52'),
(1,	5475,	'Отделение №31(до 30 кг на одно место): ул. Героев обороны Одессы (ран. Героев Сталинграда), 52'),
(3,	5476,	'Відділення №31 (до 30 кг): вул. Московська, 5/2а, (м. &quot;Арсенальна&quot;)'),
(1,	5476,	'Отделение №31 (до 30 кг): ул. Московская, 5/2а, (м. &quot;Арсенальная&quot;)'),
(3,	5477,	'Відділення №31 (до 30 кг на одне місце): вул. Робоча, 89'),
(1,	5477,	'Отделение №31 (до 30 кг на одно место): ул. Рабочая, 89'),
(3,	5478,	'Відділення №31 (до 30 кг на одне місце): вул. Світла, 19'),
(1,	5478,	'Отделение №31 (до 30 кг на одно место): ул. Светлая, 19'),
(3,	5479,	'Відділення №31 (до 5 кг), Міні-відділення: вул. Лермонтова, 37'),
(1,	5479,	'Отделение №31 (до 5 кг), Мини-отделение: ул. Лермонтова, 37'),
(3,	5480,	'Відділення №31 (до 30 кг на одне місце): вул. Сковороди, 2в'),
(1,	5480,	'Отделение №31 (до 30 кг на одно место): ул. Сковороды, 2в'),
(3,	5481,	'Відділення №31 (до 30 кг на одне місце): вул. Фортечна (ран. Грязнова), 90а'),
(1,	5481,	'Отделение №31 (до 30 кг на одно место): ул. Крепостная (ран. Грязнова), 90а'),
(3,	5482,	'Відділення №31 (до 30 кг): вул. Тершаковців, 1'),
(1,	5482,	'Отделение №31 (до 30 кг): ул. Тершаковцев, 1'),
(3,	5483,	'Відділення №32 (до 30 кг на одне місце): вул. Фонтанська дорога, 58'),
(1,	5483,	'Отделение №32 (до 30 кг на одно место): ул. Фонтанская дорога, 58'),
(3,	5484,	'Відділення №32 (до 30 кг на одне місце): вул. Драгана, 34'),
(1,	5484,	'Отделение №32 (до 30 кг на одно место): ул. Драгана, 34'),
(3,	5485,	'Відділення №32 (до 30 кг на одне місце): вул. Володимира Вернадського (ран. Дзержинського), 10'),
(1,	5485,	'Отделение №32 (до 30 кг на одно место): ул. Владимира Вернадского (ран. Дзержинского), 10'),
(3,	5486,	'Відділення №32 (до 30 кг): бульв. Дарницький, 23'),
(1,	5486,	'Отделение №32 (до 30 кг): бульв. Дарницкий, 23'),
(3,	5487,	'Відділення №32 (до 30 кг на одне місце): вул. Гімназійна набережна (ран. Червоношкільна набер.), 26'),
(1,	5487,	'Отделение №32 (до 30 кг на одно место): ул. Гимназическая набережна (ран. Красношкольная Набер), 26'),
(3,	5488,	'Відділення №32 (до 30 кг): вул. Шевченка, 8'),
(1,	5488,	'Отделение №32 (до 30 кг): ул. Шевченко, 8'),
(3,	5489,	'Відділення №32 (до 30 кг на одне місце): вул. Романа Шухевича, 10'),
(1,	5489,	'Отделение №32 (до 30 кг на одно место): ул. Романа Шухевича, 10'),
(3,	5490,	'Відділення №32 (до 30 кг на одне місце): вул. Лізи Чайкіної, 74'),
(1,	5490,	'Отделение №32 (до 30 кг на одно место): ул. Лизы Чайкиной, 74'),
(3,	5491,	'Відділення №33 (до 30 кг): вул. Романа Кармена, 15 (просп. Шевченка)'),
(1,	5491,	'Отделение №33 (до 30 кг): ул. Романа Кармена, 15 (просп. Шевченка)'),
(3,	5492,	'Відділення №33: вул. Закревського, 18 (Троєщина)'),
(1,	5492,	'Отделение №33: ул. Закревского, 18 (Троещина)'),
(3,	5493,	'Відділення №33 (до 30 кг на одне місце): вул. Селянська, 28'),
(1,	5493,	'Отделение №33 (до 30 кг на одно место): ул. Селянская, 28'),
(3,	5494,	'Відділення №33 (до 30 кг на одне місце): вул. Сталеварів, 21'),
(1,	5494,	'Отделение №33 (до 30 кг на одно место): ул. Сталеваров, 21'),
(3,	5495,	'Відділення №33 (до 30 кг на одне місце): вул. М. Карнаухова (ран. Мірющенка), 31'),
(1,	5495,	'Отделение №33 (до 30 кг на одно место): ул. Н. Карнаухова (ран. Мирющенко), 31'),
(3,	5496,	'Відділення №33 (до 30 кг): вул. Сумська, 124'),
(1,	5496,	'Отделение №33 (до 30 кг): ул. Сумская, 124'),
(3,	5497,	'Відділення №33 (до 30 кг на одне місце): вул. Антоновича, 90'),
(1,	5497,	'Отделение №33 (до 30 кг на одно место): ул. Антоновича, 90'),
(3,	5498,	'Відділення №33 (до 30 кг): просп. Олександра Поля (ран. Кірова), 43'),
(1,	5498,	'Отделение №33 (до 30 кг): просп. Александра Поля (ран. Кирова), 43'),
(3,	5499,	'Відділення №34 (до 30 кг на одне місце): вул. Б. Хмельницького, 176'),
(1,	5499,	'Отделение №34 (до 30 кг на одно место): ул. Б. Хмельницкого, 176'),
(3,	5500,	'Відділення №34 (до 30 кг на одне місце): вул. Міцкевича, 2'),
(1,	5500,	'Отделение №34 (до 30 кг на одно место): ул. Мицкевича, 2'),
(3,	5501,	'Відділення №34 (до 30 кг на одне місце): вул. Різдвяна (ран. Енгельса), 14'),
(1,	5501,	'Отделение №34 (до 30 кг на одно место): ул. Рождественская (ран. Энгельса), 14'),
(3,	5502,	'Відділення №34 (до 30 кг): вул. Чайкіної Лізи, 49, прим. 20'),
(1,	5502,	'Отделение №34 (до 30 кг): ул. Чайкиной Лизы, 49, пом. 20'),
(3,	5503,	'Відділення №34 (до 30 кг): просп. Повітрофлотський, 34'),
(1,	5503,	'Отделение №34 (до 30 кг): просп. Воздухофлотский, 34'),
(3,	5504,	'Відділення №34 (до 30 кг на одне місце): просп. Сергія Нігояна, 3'),
(1,	5504,	'Отделение №34 (до 30 кг на одно место): просп. Сергея Нигояна, 3'),
(3,	5505,	'Відділення №34: вул. 7 км Овідіопільської дороги, 1 (Епіцентр)'),
(1,	5505,	'Отделение №34: ул. 7 км Овидиопольской дороги, 1 (Эпицентр)'),
(3,	5506,	'Відділення №35 (до 30 кг): вул. Фучіка, 3 (ЦСКА)'),
(1,	5506,	'Отделение №35 (до 30 кг): ул. Фучика, 3 (ЦСКА)'),
(3,	5507,	'Відділення №35 (до 30 кг): вул. Новокузнецька, 5'),
(1,	5507,	'Отделение №35 (до 30 кг): ул. Новокузнецкая, 5'),
(3,	5508,	'Відділення №35 (до 30 кг): вул. Семафорна, 32Б'),
(1,	5508,	'Отделение №35 (до 30 кг): ул. Семафорная, 32Б'),
(3,	5509,	'Відділення №35 (до 30 кг на одне місце): вул. Героїв праці, 14 (ТЦ Джокер 2 поверх)'),
(1,	5509,	'Отделение №35 (до 30 кг на одно место): ул. Героев труда, 14 (ТЦ Джокер 2 этаж)'),
(3,	5510,	'Відділення №35 (до 30 кг): вул. Соборна, 47 (ТЦ &quot;Злата Плаза&quot;)'),
(1,	5510,	'Отделение №35 (до 30 кг): ул. Соборна, 47 (ТЦ &quot;Злата Плаза&quot;)'),
(3,	5511,	'Відділення №35 (до 30 кг на одне місце): вул. Канатна, 83'),
(1,	5511,	'Отделение №35 (до 30 кг на одно место): ул. Канатная, 83'),
(3,	5512,	'Відділення №36 (до 30 кг): вул. Жуковського, 2е'),
(1,	5512,	'Отделение №36 (до 30 кг): ул. Жуковского, 2е'),
(3,	5513,	'Відділення №36 (до 30 кг): вул. Москалівська (ран. Жовтневої революції), 92'),
(1,	5513,	'Отделение №36 (до 30 кг): ул. Москалёвская (ран. Октябрьской революции), 92'),
(3,	5514,	'Відділення №36 (до 30 кг): вул. Івана та Юрія Лип (ран. Гайдара), 5'),
(1,	5514,	'Отделение №36 (до 30 кг): ул. Ивана и Юрия Лип (ран. Гайдара), 5'),
(3,	5515,	'Відділення №36 (до 30 кг): просп. 40-річчя Перемоги, 9а'),
(1,	5515,	'Отделение №36 (до 30 кг): ул. 40-лет Победы, 9а'),
(3,	5516,	'Відділення №36 (до 30 кг): вул. Олени Теліги, 31/1'),
(1,	5516,	'Отделение №36 (до 30 кг): ул. Елены Телиги, 31/1'),
(3,	5517,	'Відділення №36 (до 30 кг на одне місце): вул. Євгенія Пікуса (ран. Папаніна), 1а (ТЦ &quot;Квартал&quot;)'),
(1,	5517,	'Отделение №36 (до 30 кг на одно место): ул. Евгения Пикуса (ран. Папанина), 1а (ТЦ &quot;Квартал&quot;)'),
(3,	5518,	'Відділення №36 (до 5 кг), Міні-відділення: просп. Червоної Калини, 62а (ТЦ &quot;ІНТЕР СІТІ&quot;)'),
(1,	5518,	'Отделение №36 (до 5 кг) Мини-отделение: просп. Красной Калины, 62а (ТЦ &quot;ИНТЕР СИТИ&quot;)'),
(3,	5519,	'Відділення №37 (до 30 кг на одне місце): вул. Соборна, 275'),
(1,	5519,	'Отделение №37 (до 30 кг на одно место): ул. Соборная, 275'),
(3,	5520,	'Відділення №37 (до 30 кг): вул. Калнишевського, 6'),
(1,	5520,	'Отделение №37 (до 30 кг): ул. Калнышевского, 6'),
(3,	5521,	'Відділення №37 (до 30 кг на одне місце): вул. Данила Галицького (ран. Будьонного), 29 (жм Західний)'),
(1,	5521,	'Отделение №37 (до 30 кг на одно место): ул. Даниила Галицкого (ран. Буденного), 29 (жм Западный)'),
(3,	5522,	'Відділення №37 (до 15 кг) Міні-відділення: вул. Щирецька, 36 (ринок &quot;Південний&quot;)'),
(1,	5522,	'Отделение №37 (до 15 кг) Мини-отделение: ул. Щирецкая, 36 (рынок &quot;Южный&quot;)'),
(3,	5523,	'Відділення №37 (до 30 кг): вул. Олександра Невського, 57'),
(1,	5523,	'Отделение №37 (до 30 кг): ул. Александра Невского, 57'),
(3,	5524,	'Відділення №37 (до 30 кг на одне місце): вул. Празька, 24'),
(1,	5524,	'Отделение №37 (до 30 кг на одне місце): ул. Пражская, 24'),
(3,	5525,	'Відділення №37 (до 30 кг на одне місце): вул. Клочківська, 244'),
(1,	5525,	'Отделение №37 (до 30 кг на одно место): ул. Клочковская, 244'),
(3,	5526,	'Відділення №38 (до 30 кг на одне місце): просп. Олександрівський (ран. Косіора), 184'),
(1,	5526,	'Отделение №38 (до 30 кг на одно место): просп. Александровский (ран. Косиора), 184'),
(3,	5527,	'Відділення №38 (до 30 кг на одне місце): вул. Рекордна, 2'),
(1,	5527,	'Отделение №38 (до 30 кг на одно место): ул. Рекордная, 2'),
(3,	5528,	'Відділення №38: вул. Дніпровська набережна, 17Ж'),
(1,	5528,	'Отделение №38: ул. Днепровская набережная, 17Ж'),
(3,	5529,	'Відділення №38 (до 30 кг): вул. Зелена, 89'),
(1,	5529,	'Отделение №38 (до 30 кг): ул. Зеленая, 89'),
(3,	5530,	'Відділення №38 (до 30 кг): вул. Дніпропетровська дорога, 127/3 (ТЦ &quot;Волна&quot;)'),
(1,	5530,	'Отделение №38 (до 30 кг): ул. Днепропетровская дорога, 127/3 (ТЦ &quot;Волна&quot;)'),
(3,	5531,	'Відділення №38 (до 30 кг): вул. Михайла Грушевського (ран. Карла Лібкнехта), 4а'),
(1,	5531,	'Отделение №38 (до 30 кг): ул. Михаила Грушевского (ран. Карла Либкнехта), 4а'),
(3,	5532,	'Відділення №39 (до 30 кг): Запорізьке шосе, 40'),
(1,	5532,	'Отделение №39 (до 30 кг): Запорожское шоссе, 40'),
(3,	5533,	'Відділення №39 (до 30 кг): вул. Володимира Великого, 1'),
(1,	5533,	'Отделение №39 (до 30 кг): ул. Владимира Великого, 1'),
(3,	5534,	'Відділення №39 (до 30 кг): вул. Маршала Малиновського, 34а'),
(1,	5534,	'Отделение №39 (до 30 кг): ул. Маршала Малиновского, 34а'),
(3,	5535,	'Відділення №39 (до 30 кг): просп. Гагаріна, 48'),
(1,	5535,	'Отделение №39 (до 30 кг): просп. Гагарина, 48'),
(3,	5536,	'Відділення №39 (до 30 кг): вул. Приморська, 49/1'),
(1,	5536,	'Отделение №39 (до 30 кг): ул. Приморская, 49/1'),
(3,	5537,	'Відділення №40 (до 30 кг): вул. Михайла Гончаренка (ран. Панфіловців), 5'),
(1,	5537,	'Отделение №40 (до 30 кг): ул. Михаила Гончаренко (ран. Панфиловцев), 5'),
(3,	5538,	'Відділення №40 (до 30 кг): вул. Личаківська, 139'),
(1,	5538,	'Отделение №40 (до 30 кг): ул. Личаковская, 139'),
(3,	5539,	'Відділення №40 (до 30 кг на одне місце): вул. Тарасівська, 3'),
(1,	5539,	'Отделение №40 (до 30 кг на одно место): ул. Тарасовская, 3'),
(3,	5540,	'Відділення №40 (до 30 кг): вул. Марії Лисиченко (ран. Героїв Громадянської війни), 17'),
(1,	5540,	'Отделение №40 (до 30кг): ул. Марии Лисиченко (ран. Героев Гражданской войны), 17'),
(3,	5541,	'Відділення №40 (до 30 кг на одне місце): вул. Героїв Севастополя, 23а (Відрадний)'),
(1,	5541,	'Отделение №40 (до 30 кг на одно место): ул. Героев Севастополя, 23а (Отрадный)'),
(3,	5542,	'Відділення №41 (до 15 кг), Міні-відділення: Херсонське шосе, 38а (маг.&quot;Екомаркет&quot;)'),
(1,	5542,	'Отделение №41(до 15 кг), Мини-отделение: Херсонское шоссе, 38а'),
(3,	5543,	'Відділення №41 (до 30 кг на одне місце): вул. Бочарова, 3'),
(1,	5543,	'Отделение №41 (до 30 кг на одно место): ул. Бочарова, 3'),
(3,	5544,	'Відділення №41 (до 5 кг) Міні-відділення: вул. Газова, 34а'),
(1,	5544,	'Отделение №41 (до 5 кг) Мини-отделение: ул. Газовая, 34а'),
(3,	5545,	'Відділення №41 (до 30 кг на одне місце): бул. Русанівський, 4'),
(1,	5545,	'Отделение №41 (до 30 кг на одно место): бул. Русановский, 4'),
(3,	5546,	'Відділення №41 (до 5 кг) Міні-відділення: вул. С. Палія (ран. Дніпропет. дорога), 93а (ТРЦ &quot;Сім\'я&quot;)'),
(1,	5546,	'Отделение №41 (до 5 кг) Мини-отделение: ул. С. Палия (ран. Днепропет. дорога), 93а (ТРЦ &quot;Семья&quot;)'),
(3,	5547,	'Відділення №41 (до 30 кг): вул. Зоопаркова, 79д'),
(1,	5547,	'Отделение №41 (до 30 кг): ул. Зоопарковая, 79д'),
(3,	5548,	'Відділення №41 (до 30 кг на одне місце): вул. Матюшенка, 7б'),
(1,	5548,	'Отделение №41 (до 30 кг на одно место): ул. Матюшенко, 7б'),
(3,	5549,	'Відділення №42 (до 5 кг) Міні-відділення: просп. В\'ячеслава Чорновола, 67г (ТЦ&quot;Інтерсіті&quot;)'),
(1,	5549,	'Отделение №42 (до 5 кг) Мини-отделение: просп. Вячеслава Чорновола, 67г(ТЦ&quot;Интерсити&quot;)'),
(3,	5550,	'Відділення №42 (до 30 кг): вул. Байкальська, 82'),
(1,	5550,	'Отделение №42 (до 30 кг): ул. Байкальская, 82'),
(3,	5551,	'Відділення №42 (до 30 кг на одне місце): вул. Свободи (ран. Іванова), 11/13'),
(1,	5551,	'Отделение №42 (до 30 кг на одно место): ул. Свободы (ран. Иванова), 11/13'),
(3,	5552,	'Відділення №42 (до 30 кг): вул. Чкалова, 215б'),
(1,	5552,	'Отделение №42 (до 30 кг): ул. Чкалова, 215б'),
(3,	5553,	'Відділення №42 (до 30 кг): вул. Данила Щербаківського (ран. Щербакова), 32/38, м.Нивки (Дегтярі)'),
(1,	5553,	'Отделение №42 (до 30 кг): ул. Даниила Щербаковского (ран. Щербакова), 32/38, м. Нивки (Дегтяри)'),
(3,	5554,	'Відділення №43 (до 5 кг), Міні-відділення: просп. Добровольського, 137а (ТЦ &quot;Мій Дім&quot;)'),
(1,	5554,	'Отделение №43 (до 5 кг), Мини-отделение: просп. Добровольского, 137а (ТЦ &quot;Мой Дом&quot;)'),
(3,	5555,	'Відділення №43 (до 5 кг) Міні-віділення: вул. 6-а Слобідська (ран. Комсомольська), 11 (маг&quot;Гіппо&quot;)'),
(1,	5555,	'Отделение №43 (до 5 кг) Мини-отделение: ул. 6-я Слободская (ран. Комсомольская), 11 (маг&quot;Гиппо&quot;)'),
(3,	5556,	'Відділення №43 (до 30 кг на одне місце): вул. Гладкова, 5'),
(1,	5556,	'Отделение №43 (до 30 кг на одно место): ул. Гладкова, 5'),
(3,	5557,	'Відділення №43 (до 30 кг на одне місце): вул. Бородинська, 11'),
(1,	5557,	'Отделение №43 (до 30 кг на одно место): ул. Бородинская, 11'),
(3,	5558,	'Відділення №43 (до 30 кг): просп. Ювілейний, 1а'),
(1,	5558,	'Отделение №43 (до 30 кг): просп. Юбилейный, 1а'),
(3,	5559,	'Відділення №43 (до 30 кг на одне місце): вул. Кульпарківська, 131'),
(1,	5559,	'Отделение №43 (до 30 кг на одно место): ул. Кульпарковская, 131'),
(3,	5560,	'Відділення №43 (до 30 кг на одне місце): вул. Голосіївська, 2'),
(1,	5560,	'Отделение №43 (до 30 кг на одно место): ул. Голосеевская, 2'),
(3,	5561,	'Відділення №44 (до 5 кг) Міні-відділення: пров. Сімафорний, 4 (маг. &quot;Фуршет&quot;)'),
(1,	5561,	'Отделение №44 (до 5 кг) Мини-отделение: проул. Симафорный, 4 (маг. &quot;Фуршет&quot;)'),
(3,	5562,	'Відділення №44 (до 30 кг на одне місце): вул. Полуботка, 31'),
(1,	5562,	'Отделение №44 (до 30 кг на одно место): ул. Полуботка, 31'),
(3,	5563,	'Відділення №44 (до 30 кг на одне місце): просп. Дмитра Яворницького (ран. Карла Маркса), 99'),
(1,	5563,	'Отделение №44 (до 30 кг на одно место): просп. Дмитрия Яворницкого (ран. Карла Маркса), 99'),
(3,	5564,	'Відділення №44 (до 30 кг на одне місце): вул. Перемоги, 115'),
(1,	5564,	'Отделение №44 (до 30 кг на одно место): ул. Победы, 115'),
(3,	5565,	'Відділення №44 (до 30 кг): просп. Льва Ландау, 46'),
(1,	5565,	'Отделение №44 (до 30 кг): просп. Льва Ландау, 46'),
(3,	5566,	'Відділення №44 (до 30 кг на одне місце): вул. Московська, 13/4'),
(1,	5566,	'Отделение №44 (до 30 кг на одно место): ул. Московская, 13/4'),
(3,	5567,	'Відділення №44 (до 30 кг на одне місце): вул. Мілютенка ,11а (Волгоградська пл.)'),
(1,	5567,	'Отделение №44 (до 30 кг на одно место): ул. Милютенка ,11а (Волгоградская пл.)'),
(3,	5568,	'Відділення №45: вул. Василя Сергієнка (ран. Задніпровська), 13'),
(1,	5568,	'Отделение №45: ул. Василия Сергиенка (ран. Заднепровская), 13'),
(3,	5569,	'Відділення №45 (до 30 кг): просп. Червоної Калини, 59'),
(1,	5569,	'Отделение №45 (до 30 кг на одно место): просп. Червоной Калины, 59'),
(3,	5570,	'Відділення №45 (до 30 кг): просп. Адміральський, 1В'),
(1,	5570,	'Отделение №45 (до 30 кг): просп. Адмиральский, 1В'),
(3,	5571,	'Відділення №45 (до 30 кг): вул. Енвера Ахсарова,16'),
(1,	5571,	'Отделение №45 (до 30 кг): ул. Энвера Ахсарова, 16'),
(3,	5572,	'Відділення №45 (до 30 кг на одне місце): просп. Мануйлівський (ран. Воронцова), 7'),
(1,	5572,	'Отделение №45 (до 30 кг на одно место): просп. Мануйловский (ран. Воронцова), 7'),
(3,	5573,	'Відділення №46 (до 30 кг): просп. Слобожанський (ран. Газети &quot;Правда&quot;), 31д (ТЦ &quot;Наша Правда&quot;)'),
(1,	5573,	'Отделение №46 (до 30 кг): просп. Слобожанский (ран. Газеты &quot;Правда&quot;), 31д (ТЦ &quot;Наша Правда&quot;)'),
(3,	5574,	'Відділення №46 (до 30 кг на одне місце): вул. Талаліхіна, 46г'),
(1,	5574,	'Отделение №46 (до 30 кг на одно место): ул. Талалихина, 46г'),
(3,	5575,	'Відділення №46 (до 30 кг): бульв. Жасминовий (ран. Слінько), 9'),
(1,	5575,	'Отделение №46 (до 30 кг): бульв. Жасминовый (ран. Слинько), 9'),
(3,	5576,	'Відділення №46 (до 30 кг): бульв. Дружби Народів, 14 (м. Дружби Народів, біля NOVUS)'),
(1,	5576,	'Отделение №46 (до 30 кг): бульв. Дружбы Народов, 14 (м.Дружбы Народов, возле NOVUS)'),
(3,	5577,	'Відділення №47 (до 30 кг): вул. Володимира Мономаха, 7'),
(1,	5577,	'Отделение №47 (до 30 кг): ул. Владимира Мономаха, 7'),
(3,	5578,	'Відділення №47 (до 5 кг), Міні-відділення: вул. Катериненська, 27/1'),
(1,	5578,	'Отделение №47 (до 5 кг), Мини-отделение: ул. Екатериненская, 27/1'),
(3,	5579,	'Відділення №47 (до 30 кг на одне місце): просп. Московський, 35'),
(1,	5579,	'Отделение №47 (до 30 кг на одно место): просп. Московский, 35'),
(3,	5580,	'Відділення №47 (до 30 кг): вул. Чукаріна В., 14, оф. 3'),
(1,	5580,	'Отделение №47 (до 30 кг): ул. Чукарина В., 14, оф. 3'),
(3,	5581,	'Відділення №47 (до 30 кг на одне місце): вул. Вишгородська, 46'),
(1,	5581,	'Отделение №47 (до 30 кг на одно место): ул. Вышгородская, 46'),
(3,	5582,	'Відділення №48 (до 30 кг на одне місце): просп. Слави, 5'),
(1,	5582,	'Отделение №48 (до 30 кг на одно место): просп. Славы, 5'),
(3,	5583,	'Відділення №48 (до 15 кг), Міні-відділення: вул. Іванова, 81а'),
(1,	5583,	'Отделение №48 (до 15 кг), Мини-отделение: ул. Иванова, 81а'),
(3,	5584,	'Відділення №48 (до 30 кг на одне місце): вул. Менцинського, 10'),
(1,	5584,	'Отделение №48 (до 30 кг на одно место): ул. Менцинского, 10'),
(3,	5585,	'Відділення №48 (до 30 кг): вул. Михайла Бойчука (ран. Кіквідзе), 7/11 (м. Дружби Народів)'),
(1,	5585,	'Отделение №48 (до 30 кг): ул. Михаила Бойчука (ран. Киквидзе), 7/11 (м. Дружбы Народов)'),
(3,	5586,	'Відділення №48 (до 30 кг): просп. Олександра Поля (ран. Кірова), 104а (маг.VARUS, ТЦ &quot;Славутич&quot;)'),
(1,	5586,	'Отделение №48 (до 30 кг): просп. Александра Поля (ран. Кирова), 104а (маг.VARUS, ТЦ &quot;Славутич&quot;)'),
(3,	5587,	'Відділення №49 (до 15 кг), Міні-відділення: вул. Кузнецова, 17'),
(1,	5587,	'Отделение №49 (до 15 кг), Мини-отделение: ул. Кузнецова, 17'),
(3,	5588,	'Відділення №49 (до 30 кг): просп. Московський, 256'),
(1,	5588,	'Отделение №49 (до 30 кг): просп. Московский, 256'),
(3,	5589,	'Відділення №49 (до 30 кг): вул. Йорданська (ран. Л. Гавро), 1, озеро&quot;Вербне&quot;(Оболонь)'),
(1,	5589,	'Отделение №49 (до 30 кг): ул. Иорданская (ран. Л. Гавро), 1, озеро&quot;Вербное&quot; (Оболонь)'),
(3,	5590,	'Відділення №49 (до 5 кг) Міні-відділення: просп. Добровольського, 71/1 (маг.&quot;Копійка&quot;)'),
(1,	5590,	'Отделение №49 (до 5 кг) Мини-отделение: просп. Добровольского, 71/1 (маг.&quot;Копейка&quot;)'),
(3,	5591,	'Відділення №49 (до 5 кг) Міні-відділення: вул. 20-річчя Перемоги, 43д (маг.VARUS, ТЦ &quot;Терра&quot;)'),
(1,	5591,	'Отделение №49 (до 5 кг) Мини-отделение: ул. 20-летия Победы, 43д (маг.VARUS, ТЦ &quot;Терра&quot;)'),
(3,	5592,	'Відділення №50 (до 30 кг): вул. Торф\'яна, 23'),
(1,	5592,	'Отделение №50 (до 30 кг): ул. Торфяная, 23'),
(3,	5593,	'Відділення №50 (до 30 кг на одне місце): вул. Фортечна (ран. Грязнова), 5'),
(1,	5593,	'Отделение №50 (до 30 кг на одно место): ул. Крепостная (ран. Грязнова), 5'),
(3,	5594,	'Відділення №50 (до 30 кг): просп. Перемоги, 7в (Цирк)'),
(1,	5594,	'Отделение №50 (до 30 кг): просп. Победы, 7в (Цирк)'),
(3,	5595,	'Відділення №50 (до 5 кг), Міні-відділення: просп. Добровольського, 70б (маг.&quot;Копійка&quot;)'),
(1,	5595,	'Отделение №50 (до 5 кг), Мини-отделение: просп. Добровольского, 70б (маг.&quot;Копейка&quot;)'),
(3,	5596,	'Відділення №50 (до 30 кг): вул. Клочківська, 99а'),
(1,	5596,	'Отделение №50 (до 30 кг): ул. Клочковская, 99а'),
(3,	5597,	'Відділення №50 (до 30 кг): вул. Метробудівська, 15'),
(1,	5597,	'Отделение №50 (до 30 кг): ул. Метростроевская, 15'),
(3,	5598,	'Відділення №51 (до 30 кг на одне місце): вул. Євгена Коновальця, 15/4'),
(1,	5598,	'Отделение №51 (до 30 кг на одне место): ул. Евгения Коновальца, 15/4'),
(3,	5599,	'Відділення №51 (до 30 кг на одне місце): вул. Космічна, 100а'),
(1,	5599,	'Отделение №51 (до 30 кг на одно место): ул. Космическая, 100а'),
(3,	5600,	'Відділення №51 (до 30 кг): вул. Т. Шевченка, 150'),
(1,	5600,	'Отделение №51 (до 30 кг): ул. Т. Шевченко, 150'),
(3,	5601,	'Відділення №51 (до 5 кг), Міні-відділення: просп. Небесної Сотні (ран. Марш. Жукова), 65а (Копійка)'),
(1,	5601,	'Отделение №51 (до 5 кг), Мини-отделение: просп. Небесной Сотни (ран. Марш. Жукова), 65а (Копейка)'),
(3,	5602,	'Відділення №51 (до 30 кг): вул. Бакуліна, 14'),
(1,	5602,	'Отделение №51 (до 30 кг): ул. Бакулина, 14'),
(3,	5603,	'Відділення №51 (до 30 кг): вул. Чернишевського, 21'),
(1,	5603,	'Отделение №51 (до 30 кг): ул. Чернышевского, 21'),
(3,	5604,	'Відділення №52 (до 30 кг на одне місце): просп. Б. Хмельницького (ран. Героїв Сталінг.), 8, прим. 3'),
(1,	5604,	'Отделение №52 (до 30 кг на одно место): просп. Б. Хмельницкого (ран. Героев Сталинг.), 8, пом. 3'),
(3,	5605,	'Відділення №52 (до 30 кг): вул. Перемоги, буд. 25, прим. 2.'),
(1,	5605,	'Отделение №52 (до 30 кг): ул. Победы, д. 25, пом. 2'),
(3,	5606,	'Відділення №52 (до 30 кг на одне місце): просп. М.Бажана, 3 (м. Харківська)'),
(1,	5606,	'Отделение №52 (до 30 кг на одно место): просп. М. Бажана, 3'),
(3,	5607,	'Відділення №52 (до 30 кг): вул. Розкидайлівська, 18'),
(1,	5607,	'Отделение №52 (до 30 кг), : ул. Раскидайловская, 18'),
(3,	5608,	'Відділення №52 (до 5 кг) Міні-відділення: просп. Тракторобудівників, 128в (ТЦ &quot;КЛАСС&quot;)'),
(1,	5608,	'Отделение №52 (до 5 кг): просп. Тракторостроителей, 128в (ТЦ &quot;КЛАСС&quot;)'),
(3,	5609,	'Відділення №53 (до 30 кг): просп. Перемоги, 65 г'),
(1,	5609,	'Отделение №53 (до 30 кг): просп. Победы, 65 г'),
(3,	5610,	'Відділення №53 (до 30 кг): вул. Титова, 2'),
(1,	5610,	'Отделение №53 (до 30 кг): ул. Титова, 2'),
(3,	5611,	'Відділення №53 (до 30 кг на одне місце): вул. Богдана Хмельницького, 29'),
(1,	5611,	'Отделение №53 (до 30 кг на одне місце): ул. Богдана Хмельницкого, 29'),
(3,	5612,	'Відділення №53 (до 30 кг на одне місце): бульв. Ромена Ролана, 7 (Микільська Борщагівка)'),
(1,	5612,	'Отделение №53 (до 30 кг на одно место): бульв.  Ромена Ролана, 7 (Никольская Борщаговка)'),
(3,	5613,	'Відділення №53 (до 5 кг) Міні-відділення: просп. Добровольського, 130/5 (маг.&quot;Копійка&quot;)'),
(1,	5613,	'Отделение №53 (до 5 кг) Мини-отделение: просп. Добровольского, 130/5 (маг.&quot;Копейка&quot;)'),
(3,	5614,	'Відділення №54 (до 5 кг), Міні-відділення: вул. Леся Сердюка, 36'),
(1,	5614,	'Отделение №54 (до 5 кг), Мини-отделение: ул. Леся Сердюка, 36'),
(3,	5615,	'Відділення №54 (до 30 кг): вул. Русових, 2'),
(1,	5615,	'Отделение №54 (до 30 кг): ул. Русовых, 2'),
(3,	5616,	'Відділення №54 (до 30 кг на одне місце): вул. Юрія Кондратюка, 2'),
(1,	5616,	'Отделение №54 (до 30 кг на одно место): ул. Юрия Кондратюка, 2'),
(3,	5617,	'Відділення №54 (до 5 кг), Міні-відділення: просп. Академіка Глушко, 11/1 (маг.&quot;Копійка&quot;)'),
(1,	5617,	'Отделение №54 (до 5 кг) Мини-отделение: просп. Академика Глушко, 11/1 (маг.&quot;Копейка&quot;)'),
(3,	5618,	'Відділення №54 (до 30 кг): просп. Академіка Палладіна, 25а (м. Академмістечко)'),
(1,	5618,	'Отделение №54 (до 30 кг): просп.  Академика Палладина, 25а (м. Академгородок)'),
(3,	5619,	'Відділення №55 (до 30 кг на одне місце): просп. Шевченка, 13 (заїзд із вул. О. Нижанківського)'),
(1,	5619,	'Отделение №55 (до 30 кг на одно место): просп. Шевченко, 13 (заезд с ул. А. Нижанковского)'),
(3,	5620,	'Відділення №55 (до 15 кг), Міні-відділення: вул. Дмитра Донцова, 2а'),
(1,	5620,	'Отделение №55 (до 15 кг), Мини-отделение: ул. Дмитрия Донцова, 2а'),
(3,	5621,	'Відділення №55 (до 30 кг): вул. Патріарха Мстислава Скрипника (ран. Островського), 60 (Солом\'янка)'),
(1,	5621,	'Отделение №55 (до 30 кг): ул. Патриарха Мстислава Скрипника (ран. Островского), 60 (Соломенка)'),
(3,	5622,	'Відділення №55 (до 5 кг) Міні-відділення: просп. Шевченка, 4е (маг.&quot;Копійка&quot;)'),
(1,	5622,	'Отделение №55 (до 5 кг) Мини-отделение: просп. Шевченко, 4е (маг.&quot;Копейка&quot;)'),
(3,	5623,	'Склад Комфі Трейд: (с.Велика Димерка, вул.Броварська, 150) відділення №55 ЗАКРИТОГО ТИПУ'),
(1,	5623,	'Склад Комфи Трейд: (с. Великая Дымерка, ул. Броварская, 150) отделение №55 ЗАКРЫТОГО ТИПА'),
(3,	5624,	'Відділення №55 (до 30 кг): просп. Гагаріна, 20а'),
(1,	5624,	'Отделение №55 (до 30 кг): просп. Гагарина, 20а'),
(3,	5625,	'Відділення №56 (до 30 кг на одне місце): вул. Шевченка, 388'),
(1,	5625,	'Отделение №56 (до 30 кг на одно место): ул. Шевченко, 388'),
(3,	5626,	'Відділення №56 (до 15 кг), Міні-відділення: просп. Д. Яворницького (ран. К. Маркса), 60 (&quot;ProStor&quot;)'),
(1,	5626,	'Отделение №56 (до 15 кг), Мини-отделение: просп. Д. Яворницкого (ран. К. Маркса), 60 (&quot;ProStor&quot;)'),
(3,	5627,	'Відділення №56 (до 30 кг), вул. Яценка, 2 (маг. &quot;VARUS&quot;)'),
(1,	5627,	'Отделение №56 (до 30 кг), ул. Яценко, 2 (маг. &quot;VARUS&quot;)'),
(3,	5628,	'Відділення №56 (до 30 кг): вул. Лятошинського, 24'),
(1,	5628,	'Отделение №56 (до 30 кг): ул. Лятошинского, 24'),
(3,	5629,	'Відділення №56 (до 15 кг) Міні-відділення: вул. Генерала Бочарова, 50'),
(1,	5629,	'Отделение №56 (до 15 кг) Мини-отделение: ул. Генерала Бочарова, 50'),
(3,	5630,	'Відділення №57 (до 30 кг): вул. Тітова, 36'),
(1,	5630,	'Отделение №57 (до 30 кг): ул. Титова, 36'),
(3,	5631,	'Відділення №57 (до 5 кг) Міні-відділення: просп. Науки (ран. Леніна), 54 (від.&quot;Приват Банк&quot;)'),
(1,	5631,	'Отделение №57 (до 5 кг) Мини-отделение: просп. Науки (ран. Ленина), 54 (отд.&quot;Приват Банк&quot;)'),
(3,	5632,	'Відділення №57 (до 30 кг): вул. Стрийська, 79'),
(1,	5632,	'Отделение №57 (до 30 кг): ул. Стрыйская, 79'),
(3,	5633,	'Відділення №57 (до 30 кг): вул. Костянтинівська, 24 (м. Контрактова площа)'),
(1,	5633,	'Отделение №57 (до 30 кг): ул. Константиновская, 24 (м. Контрактовая пл.)'),
(3,	5634,	'Відділення №57 (до 30 кг): просп. Соборний (ран. Леніна), 106'),
(1,	5634,	'Отделение №57 (до 30 кг): просп. Соборный (ран. Ленина), 106'),
(3,	5635,	'Відділення №57 (до 5 кг), Міні-відділення: вул. Бугаївська, 21В'),
(1,	5635,	'Отделение №57 (до 5 кг), Мини-отделение: ул. Бугаевская, 21В'),
(3,	5636,	'Відділення №58 (до 30 кг): просп. Богдана Хмельницького (ран. вул. Героїв Сталінграду), 127'),
(1,	5636,	'Отделение №58 (до 30 кг): просп. Богдана Хмельницкого (ран. ул. Героев Сталинграда), 127'),
(3,	5637,	'Відділення №58 (до 5 кг), Міні-відділення: вул. Героїв Праці, 7 (ТРЦ &quot;Караван&quot;)'),
(1,	5637,	'Отделение №58 (до 5 кг) Мини-отделение: ул. Героев Труда, 7 (ТРЦ &quot;Караван&quot;)'),
(3,	5638,	'Відділення №58 (до 5 кг) Міні-відділення: вул. Володимира Великого, 58 (маг.&quot;Ашан&quot;)'),
(1,	5638,	'Отделение №58 (до 5 кг) Мини-отделение: ул. Владимира Великого, 58 (маг.&quot;Ашан&quot;)'),
(3,	5639,	'Відділення №58 (до 30 кг на одне місце): вул. Академіка Філатова, 62'),
(1,	5639,	'Отделение №58 (до 30 кг на одно место): ул. Академика Филатова, 62'),
(3,	5640,	'Відділення №58 (до 30 кг): вул. Виборзька, 49'),
(1,	5640,	'Отделение №58 (до 30 кг): ул. Выборгская, 49'),
(3,	5641,	'Відділення №58 (до 30 кг на одне місце): вул. Космічна, 124, прим. 285-4 (вул. Чумаченка, 1)'),
(1,	5641,	'Отделение №58 (до 30 кг на одно место): ул. Космическая, 124, пом. 285-4 (ул. Чумаченко, 1)'),
(3,	5642,	'Відділення №59 (до 30 кг): вул. Дунайська, 32'),
(1,	5642,	'Отделение №59 (до 30 кг): ул. Дунайская, 32'),
(3,	5643,	'Відділення №59 (до 30 кг на одне місце): вул. Французький бульвар, 9'),
(1,	5643,	'Отделение №59 ( до 30 кг на одно место): ул. Французский бульвар, 9'),
(3,	5644,	'Відділення №59 (до 30 кг): вул. Бульварно-Кудрявська (ран. Воровського), 39/11'),
(1,	5644,	'Отделение №59 (до 30 кг): ул. Бульварно-Кудрявская (ран. Воровского), 39/11'),
(3,	5645,	'Відділення №59 (до 5 кг) Міні-відділення: вул. Сергія Грицевця, 29 (маг.&quot;КЛАСС&quot;)'),
(1,	5645,	'Отделение №59 (до 5 кг) Мини-отделение: ул. Сергея Грицевца, 29 (маг.&quot;КЛАСС&quot;)'),
(3,	5646,	'Відділення №59 (до 30 кг на одне місце): просп. Соборний, 187'),
(1,	5646,	'Отделение №59 (до 30 кг на одно место): просп. Соборный, 187'),
(3,	5647,	'Відділення №59 (до 30 кг на одне місце): бульв. Слави, 28'),
(1,	5647,	'Отделение №59 (до 30 кг на одно место): бульв. Славы, 28'),
(3,	5648,	'Відділення №60 (до 30 кг на одне місце): вул. Старопортофранківська, 103а'),
(1,	5648,	'Отделение №60 (до 30 кг на одно место): ул. Старопортофранковская, 103а'),
(3,	5649,	'Відділення №60 (до 30 кг): вул. Глінки, 1'),
(1,	5649,	'Отделение №60 (до 30 кг): ул. Глинки, 1'),
(3,	5650,	'Відділення №60 (до 30 кг): вул. Б.Хмельницького,72'),
(1,	5650,	'Отделение №60 (до 30 кг): ул. Б. Хмельницкого, 72'),
(3,	5651,	'Відділення №60 (до 5 кг) Міні-відділення: пров. Рогатинський, 3 (маг.&quot;Рост&quot;)'),
(1,	5651,	'Отделение №60 (до 5 кг) Мини-отделение: пров. Рогатинский, 3 (маг.&quot;Рост&quot;)'),
(3,	5652,	'Відділення №60 (до 30 кг на одне місце): вул. Дніпровська набережна, 26і (м. Осокорки)'),
(1,	5652,	'Отделение №60 (до 30 кг на одно место): ул. Днепровская набережная, 26и (м. Осокорки)'),
(3,	5653,	'Відділення №60 (до 30 кг на одне місце): бульв. Центральний, 3'),
(1,	5653,	'Отделение №60 (до 30 кг на одно место): бульв. Центральный, 3'),
(3,	5654,	'Відділення №61 (до 30 кг): просп. Лобановського, 3'),
(1,	5654,	'Отделение №61 (до 30 кг): просп. Лобановского, 3'),
(3,	5655,	'Відділення №61 (до 30 кг на одне місце): вул. Іцхака Рабіна, 23'),
(1,	5655,	'Отделение №61 (до 30 кг на одо место): ул. Ицхака Рабина, 23'),
(3,	5656,	'Відділення №61 (до 30 кг): вул. Шевченка, 80Б'),
(1,	5656,	'Отделение №61 (до 30 кг): ул. Шевченко, 80Б'),
(3,	5657,	'Відділення №61 (до 30 кг): вул. Донець-Захаржевського, 1/3'),
(1,	5657,	'Отделение №61 (до 30 кг): ул. Донец-Захаржевского, 1/3'),
(3,	5658,	'Відділення №62: вул. Теплобудівна, 28'),
(1,	5658,	'Отделение №62: ул. Теплостроевская, 28'),
(3,	5659,	'Відділення №62 (до 30 кг): просп. Григоренка, 22/20'),
(1,	5659,	'Отделение №62 (до 30 кг): просп. Григоренко, 22/20'),
(3,	5660,	'Відділення №62 (до 30 кг): вул. Шевченка, 42а'),
(1,	5660,	'Отделение №62 (до 30 кг): ул. Шевченко, 42а'),
(3,	5661,	'Відділення №62: вул. Амосова, 11А'),
(1,	5661,	'Отделение №62: ул. Амосова, 11А'),
(3,	5662,	'Відділення №62 (до 5 кг), Міні-відділення: вул. Люстдорфська дорога, 170'),
(1,	5662,	'Отделение №62 (до 5 кг), Мини-отделение: ул. Люстдорфская дорога, 170'),
(3,	5663,	'Відділення №63 (до 30 кг): вул. Маршала Малиновського, 2'),
(1,	5663,	'Отделение №63 (до 30 кг): просп. Маршала Малиновского, 2'),
(3,	5664,	'Відділення №63 (до 30 кг на одне місце): Фонтанська дорога, 14а'),
(1,	5664,	'Отделение №63 (до 30 кг на одно место): Фонтанская дорога, 14а'),
(3,	5665,	'Відділення №63 (до 30 кг): вул. Набережно-Хрещатицька, 15-17/18'),
(1,	5665,	'Отделение №63 (до 30 кг): ул. Набережно-Хрещатицкая, 15-17/18'),
(3,	5666,	'Відділення №63 (до 30 кг): смт. Мала Данилівка, Кільцевий шлях, 8 (маг.&quot;МЕТРО&quot;)'),
(1,	5666,	'Отделение №63 (до 30 кг): пгт. Малая Даниловка, Окружная дорога, 8 (маг.&quot;МЕТРО&quot;)'),
(3,	5667,	'Відділення №64 (до 30 кг): вул. Васильківська, 55 (м. Виставковий Центр)'),
(1,	5667,	'Отделение №64 (до 30 кг): ул. Васильковская, 55 (м. Выставочный Центр)'),
(3,	5668,	'Відділення №64 (до 30 кг на одне місце): вул. Генерала Бочарова, 37'),
(1,	5668,	'Отделение №64 (до 30 кг на одо место): ул. Генерала Бочарова, 37'),
(3,	5669,	'Відділення №64 (до 30 кг на одне місце): просп. Івана Мазепи, 3'),
(1,	5669,	'Отделение №64 (до 30 кг на одно место): просп. Ивана Мазепы, 3'),
(3,	5670,	'Відділення №64 (до 30 кг): вул. Свєнціцького, 5'),
(1,	5670,	'Отделение №64 (до 30 кг): ул. Свенцицкого, 5'),
(3,	5671,	'Відділення №64 (до 15 кг), Міні-відділення: просп. Гагаріна, 187/1 (маг.&quot;МЕТРО&quot;)'),
(1,	5671,	'Отделение №64 (до 15 кг), Мини-отделение: просп. Гагарина, 187/1 (маг.&quot;МЕТРО&quot;)'),
(3,	5672,	'Відділення №65 (до 5 кг) Міні-відділення: вул. Степова, 28 (маг.&quot;Обжора&quot;)'),
(1,	5672,	'Отделение №65 (до 5 кг) Мини-отделение: ул. Степовая, 28 (маг.&quot;Обжора&quot;)'),
(3,	5673,	'Відділення №65 (до 15 кг), Міні-відділення: просп. Слобожанський (ран. Газети &quot;Правда&quot;), 13'),
(1,	5673,	'Отделение №65 (до 15 кг), Мини-отделение: просп. Слобожанский (ран. Газеты &quot;Правда&quot;), 13'),
(3,	5674,	'Відділення №65 (до 30 кг на одне місце): вул. Наукова, 96б'),
(1,	5674,	'Отделение №65 (до 30 кг на одно место): ул. Научная, 96б'),
(3,	5675,	'Відділення №65 (до 30 кг): просп. Героїв Сталінграду, 169/24'),
(1,	5675,	'Отделение №65 (до 30 кг): просп. Героев Сталинграда, 169/24'),
(3,	5676,	'Відділення №65 (до 30 кг): вул. Анрі Барбюса, 53, прим. 1140'),
(1,	5676,	'Отделение №65 (до 30 кг): ул. Анри Барбюса, 53, пом. 1140'),
(3,	5677,	'Відділення №66 (до 5 кг), Міні-відділення: вул. Академіка Корольова, 19'),
(1,	5677,	'Отделение №66 (до 5 кг), Мини-отделение: ул. Академика Королева, 19'),
(3,	5678,	'Відділення №66 (до 2 кг), Міні-відділення: просп. Штурманський, 7с (маг.&quot;Єва&quot;)'),
(1,	5678,	'Отделение №66 (до 2 кг), Мини-отделение: просп. Штурманский, 7с (маг.&quot;Ева&quot;)'),
(3,	5679,	'Відділення №66 (до 30 кг): вул. Городоцька,131'),
(1,	5679,	'Отделение №66 (до 30 кг): ул. Городоцкая, 131'),
(3,	5680,	'Відділення №66: вул. Сирецька, 9 (Куренівка)'),
(1,	5680,	'Отделение №66: ул. Сирецкая, 9 (Куреневка)'),
(3,	5681,	'Відділення №66 (до 30 кг): вул. Туркестанська, 44'),
(1,	5681,	'Отделение №66 (до 30 кг): ул. Туркестанская, 44'),
(3,	5682,	'Відділення №67 (до 30 кг): вул. Марсельська, 35 б'),
(1,	5682,	'Отделение №67 (до 30 кг): ул. Марсельская, 35 б'),
(3,	5683,	'Відділення №67 (до 30 кг): вул. К. Данькевича, 16 (Троєщина)'),
(1,	5683,	'Отделение №67 (до 30 кг): ул. К. Данькевича, 16 (Троещина)'),
(3,	5684,	'Відділення №67 (до 30 кг): вул. Велика Діївська (ран.Трофімових), 111р (ТЦ Комун.)'),
(1,	5684,	'Отделение №67 (до 30 кг): ул. Большая Диёвская (ран.Трофимовых), 111р (ТЦ Комун.)'),
(3,	5685,	'Відділення №67 (до 5 кг), Міні-відділення: вул. Гвардійців-Широнінців, 30, прим. 40'),
(1,	5685,	'Отделение №67 (до 5 кг), Мини-отделение: ул. Гвардейцев-Широнинцев, 30, пом. 40'),
(3,	5686,	'Відділення №67 (до 30 кг): вул. Стрийська, 45а'),
(1,	5686,	'Отделение №67 (до 30 кг): ул. Стрыйская, 45а'),
(3,	5687,	'Відділення №68 (до 30 кг на одне місце): вул. Миколайчука, 8'),
(1,	5687,	'Отделение №68 (до 30 кг на одне место): ул. Николайчука, 8'),
(3,	5688,	'Відділення №68 (до 30 кг): просп. Науки (ран. Леніна), 39'),
(1,	5688,	'Отделение №68 (до 30 кг): просп. Науки (ран. Ленина), 39'),
(3,	5689,	'Відділення №68 (до 30 кг): вул. Бориса Гмирі, 1 (м. Позняки)'),
(1,	5689,	'Отделение №68 (до 30 кг): ул. Бориса Гмыри, 1 (м. Позняки)'),
(3,	5690,	'Відділення №68: вул. Набережна Перемоги, 62а'),
(1,	5690,	'Отделение №68: ул. Набережная Победы, 62а'),
(3,	5691,	'Відділення №69 (до 30 кг): вул. Дмитріївська, 5'),
(1,	5691,	'Отделение №69 (до 30 кг): ул. Дмитриевская, 5'),
(3,	5692,	'Відділення №69 (до 5 кг) Міні-відділення: вул. Черняховського, 4 (ТЦ &quot;5 елемент&quot;)'),
(1,	5692,	'Отделение №69 (до 5 кг) Мини-отделение: ул. Черняховского, 4 (ТЦ &quot;5 элемент&quot;)'),
(3,	5693,	'Відділення №69 (до 30 кг): вул. Юрія Липи, 18'),
(1,	5693,	'Отделение №69 (до 30 кг): ул. Юрия Липы,18'),
(3,	5694,	'Відділення №69 (до 30 кг): вул. Миколи Міхновського (ран. Щербини), 8 (маг.Фуршет)'),
(1,	5694,	'Отделение №69 (до 30 кг): ул. Николая Михновского (ран. Щербины), 8 (маг.Фуршет)'),
(3,	5695,	'Відділення №69 (до 30 кг): вул. Лаврухіна, 3'),
(1,	5695,	'Отделение №69 (до 30 кг): ул. Лаврухина, 3'),
(3,	5696,	'Відділення №70 (до 30 кг): вул. Робоча, 83'),
(1,	5696,	'Отделение №70 (до 30 кг): ул. Рабочая, 83'),
(3,	5697,	'Відділення №70 (до 30 кг): просп. Перемоги, 20, м.Політехнічний інститут (Шулявка)'),
(1,	5697,	'Отделение №70 (до 30 кг): просп. Победы, 20, м. Политехнический институт (Шулявка)'),
(3,	5698,	'Відділення №70 (до 5 кг), Міні-відділення: вул. Шевченка, 108'),
(1,	5698,	'Отделение №70 (до 5 кг), Мини-отделение: ул. Шевченко, 108'),
(3,	5699,	'Відділення №71 (до 5 кг), Міні-відділення: просп. Тракторобудівників, 86/137'),
(1,	5699,	'Отделение №71 (до 5 кг), Мини-отделение: просп. Тракторостроителей, 86/137'),
(3,	5700,	'Відділення №71 (до 30 кг на одне місце): бульв. Праці, 5'),
(1,	5700,	'Отделение №71 (до 30 кг на одно место): бульв. Труда, 5'),
(3,	5701,	'Відділення №71 (до 30 кг): пл. Вокзальна, 2'),
(1,	5701,	'Отделение №71 (до 30 кг): пл. Вокзальная, 2'),
(3,	5702,	'Відділення №71 (до 30 кг на одне місце): вул. Горбачевського, 8'),
(1,	5702,	'Отделение №71 (до 30 кг на одно место): ул. Горбачевского, 8'),
(3,	5703,	'Відділення №71 (до 30 кг на одне місце): вул. Варненська, 15'),
(1,	5703,	'Отделение №71(до 30 кг на одо место): ул. Варненская, 15'),
(3,	5704,	'Відділення №72 (до 30 кг): вул. Княгині Ольги, 100 д'),
(1,	5704,	'Отделение №72 (до 30 кг): ул. Княгини Ольги, 100 д'),
(3,	5705,	'Відділення №72 (до 30 кг): вул. Дудинської, 1а (за універмагом &quot;Київський&quot;)'),
(1,	5705,	'Отделение №72 (до 30 кг): ул. Дудинской, 1а (за универмагом &quot;Киевский&quot;)'),
(3,	5706,	'Відділення №72 (до 30 кг): вул. Січових Стрільців, 14а (Львівська пл.)'),
(1,	5706,	'Отделение №72 (до 30 кг): ул. Сечевых Стрельцов, 14а (Львовская пл.)'),
(3,	5707,	'Відділення №72 (до 30 кг): вул. Калинова, 82Д (ринок «Образцовий»)'),
(1,	5707,	'Отделение №72 (до 30 кг): ул. Калиновая, 82Д (рынок «Образцовый»)'),
(3,	5708,	'Відділення №72 (до 30 кг на одне місце): вул. Балківська, 30'),
(1,	5708,	'Отделение №72 (до 30 кг на одно место): ул. Балковская, 30'),
(3,	5709,	'Відділення №73 (до 30 кг): вул. Ільфа та Петрова, 63/1'),
(1,	5709,	'Отделение №73 (до 30 кг): ул. Ильфа и Петрова, 63/1'),
(3,	5710,	'Відділення №73 (до 30 кг): вул. Виговського І., 51'),
(1,	5710,	'Отделение №73 (до 30 кг): ул. Выговского И., 51'),
(3,	5711,	'Відділення №73 (до 15 кг) Міні-відділення: вул. Академіка Павлова, 44б'),
(1,	5711,	'Отделение №73 (до 15 кг) Мини-отделение: ул. Академика Павлова, 44б'),
(3,	5712,	'Відділення №73 (до 30 кг): вул. Прорізна, 9 (м. Хрещатик)'),
(1,	5712,	'Отделение №73 (до 30 кг): ул. Прорезная, 9 (м. Крещатик)'),
(3,	5713,	'Відділення №73 (до 30 кг): бульв. Кобзаря, 4'),
(1,	5713,	'Отделение №73 (до 30 кг): бульв. Кобзаря, 4'),
(3,	5714,	'Відділення №74 (до 30 кг): вул. Ільфа та Петрова, 35а'),
(1,	5714,	'Отделение №74 (до 30 кг): ул. Ильфа и Петрова, 35а'),
(3,	5715,	'Відділення №74 (до 30 кг на одне місце): вул. Зубрівська, 7а'),
(1,	5715,	'Отделение №74 (до 30 кг на одно место): ул. Зубровская, 7а'),
(3,	5716,	'Відділення №74 (до 30 кг): просп. Петра Калнишевського (ран. вул. Косіора), 18'),
(1,	5716,	'Отделение №74 (до 30 кг): просп. Петра Калнышевского (ран. ул. Косиора), 18'),
(3,	5717,	'Відділення №74 (до 30 кг): вул. Маршала Бажанова, 10'),
(1,	5717,	'Отделение №74 (до 30 кг): ул. Маршала Бажанова, 10'),
(3,	5718,	'Відділення №74 (до 30 кг): вул. Межигірська, 56'),
(1,	5718,	'Отделение №74 (до 30 кг): ул. Межигорская, 56'),
(3,	5719,	'Відділення №75 (до 30 кг на одне місце): просп. Небесної сотні (ран. Маршала Жукова), 23'),
(1,	5719,	'Отделение №75 (до 30 кг на одно место): просп. Небесной Сотни (ран. Маршала Жукова), 23'),
(3,	5720,	'Відділення №75 (до 30 кг): вул. Газова, 5а'),
(1,	5720,	'Отделение №75 (до 30 кг): ул. Газовая, 5а'),
(3,	5721,	'Відділення №75 (до 30 кг): вул. Комбрига Петрова, 2'),
(1,	5721,	'Отделение №75 (до 30 кг): ул. Комбрига Петрова, 2'),
(3,	5722,	'Відділення №75 (до 30 кг на одне місце): вул. Велика Васильківська, 120 (м. Палац &quot;Україна&quot;)'),
(1,	5722,	'Отделение №75 (до 30 кг на одно место): ул. Большая Васильковская, 120 (м. Дворец &quot;Украина&quot;)'),
(3,	5724,	'Відділення №76 (до 30 кг): просп. Перемоги, 89а'),
(1,	5724,	'Отделение №76 (до 30 кг): просп. Победы, 89а'),
(3,	5725,	'Відділення №76 (до 5 кг), Міні-відділення: вул. Кульпарківська, 226-А (БЕЗ ГОТІВКИ)'),
(1,	5725,	'Отделение №76 (до 5 кг), Мини-отделение: ул. Кульпарковская, 226-А (БЕЗ НАЛИЧНЫХ)'),
(3,	5726,	'Відділення №76 (до 30 кг на одне місце): просп. Жуковського, 1'),
(1,	5726,	'Отделение №76 (до 30 кг на одно место): просп. Жуковского, 1'),
(3,	5727,	'Відділення №76 (до 30 кг на одне місце): вул. Воскресенська (ран. Леніна), 1а'),
(1,	5727,	'Отделение №76 (до 30 кг на одно место): ул. Воскресенская (ран. Ленина), 1а'),
(3,	5728,	'Відділення №77 (до 30 кг): просп. Богдана Хмельницького, 108'),
(1,	5728,	'Отделение №77 (до 30 кг): просп. Богдана Хмельницкого, 108'),
(3,	5729,	'Відділення №77 (до 30 кг): просп. Героїв Сталінграду, 55'),
(1,	5729,	'Отделение №77 (до 30 кг): просп. Героев Сталинграда, 55'),
(3,	5730,	'Відділення №77 (до 30 кг): Новомиколаївська дорога, 1 (маг.&quot;Таврія В&quot;)'),
(1,	5730,	'Отделение №77 (до 30 кг): Новониколаевская дорога, 1 (маг.&quot; Таврия В&quot;)'),
(3,	5731,	'Відділення №77 (до 5 кг), Міні-відділення: просп. Свободи, 5'),
(1,	5731,	'Отделение №77 (до 5 кг), Мини-отделение: просп. Свободы, 5'),
(3,	5732,	'Відділення №77 (до 15 кг) Міні-відділення: вул. Гвардійців-Широнінців, 101/99'),
(1,	5732,	'Отделение №77 (до 15 кг) Мини-отделение: ул. Гвардейцев- Широнинцев, 101/99'),
(3,	5733,	'Відділення №78 (до 30 кг): вул. Магнітогорська, 1а (ДАРИНОК)'),
(1,	5733,	'Отделение №78 (до 30 кг): ул. Магнитогорская, 1а (Дарынок)'),
(3,	5734,	'Відділення №78 (до 30 кг): вул. Мельницька, 20'),
(1,	5734,	'Отделение №78 (до 30 кг): ул. Мельницкая, 20'),
(3,	5735,	'Відділення №78: вул. Шевченка, 24а'),
(1,	5735,	'Отделение №78: ул. Шевченко, 24а'),
(3,	5736,	'Відділення №78 (до 30 кг на одне місце): просп. Поля Олександра, 129р'),
(1,	5736,	'Отделение №78 (до 30 кг на одно место): просп. Поля Александра, 129р'),
(3,	5737,	'Відділення №79 (до 30 кг): вул. Світлицького, 30/20 Б'),
(1,	5737,	'Отделение №79 (до 30 кг): ул. Светлицкого, 30/20 Б'),
(3,	5738,	'Відділення №79  (до 5 кг) Міні-відділення: вул. Пушкінська, 72 (маг.&quot;ЦУМ&quot;)'),
(1,	5738,	'Отделение №79  (до 5 кг) Мини-отделение: ул. Пушкинская, 72 (маг.&quot;ЦУМ&quot;)'),
(3,	5739,	'Відділення №79 (до 15 кг) Міні-відділення: бульв. Сергія Грицевця, 2а (ТЦ &quot;Екватор&quot;, маг.&quot;Велмарт&quot;'),
(1,	5739,	'Отделение №79 (до 15 кг) Мини-отделение: бульв. Сергея Грицевца, 2а (ТЦ &quot;Экватор&quot;, маг.&quot;Велмарт&quot;)'),
(3,	5740,	'Відділення №80 (до 30 кг): просп. Івана Мазепи, 49'),
(1,	5740,	'Отделение №80 (до 30 кг): просп. Ивана Мазепы, 49'),
(3,	5741,	'Відділення №80 (до 15 кг) Міні-відділення: просп. Небесної Сотні (ран.М.Жукова), 101м (маг.&quot;МЕТРО&quot;)'),
(1,	5741,	'Отделение №80 (до 15 кг) Мини-отделение: просп. Небесной Сотни (ран. М. Жукова), 101м (маг.&quot;МЕТРО&quot;)'),
(3,	5742,	'Відділення №80 (до 5 кг) Міні-відділення: просп. Московський, 256б (ТЦ &quot;Екватор&quot;, маг.&quot;Велмарт&quot;)'),
(1,	5742,	'Отделение №80 (до 5 кг) Мини-отделение: просп. Московский, 256б (ТЦ &quot;Экватор&quot;, маг.&quot;Велмарт&quot;)'),
(3,	5743,	'Відділення №80 (до 30 кг): вул. Здолбунівська, 17 (ТЦ &quot;Ашан&quot; паркінг)'),
(1,	5743,	'Отделение №80 (до 30 кг): ул. Здолбуновская, 17 (ТЦ &quot;Ашан&quot; паркинг)'),
(3,	5744,	'Відділення №81 (до 30 кг): вул. Саксаганського, 76'),
(1,	5744,	'Отделение №81 (до 30 кг): ул. Саксаганского, 76'),
(3,	5745,	'Відділення №81 (до 30 кг): вул. М. Кюрі, 5'),
(1,	5745,	'Отделение №81 (до 30 кг): ул. М. Кюри, 5'),
(3,	5746,	'Відділення №81 (до 30 кг на одне місце): вул. Клочківська, 346 а'),
(1,	5746,	'Отделение №81 (до 30 кг на одно место): ул. Клочковская, 346 а'),
(3,	5747,	'Відділення №81 (до 5 кг) Міні-відділення: вул. Аеропортівська, 29 (маг.&quot;МЕТРО&quot;)'),
(1,	5747,	'Отделение №81 (до 5 кг) Мини-отделение: ул. Аэропортовская, 29 (маг.&quot;МЕТРО&quot;)'),
(3,	5748,	'Відділення №82 (до 30 кг): вул. Антоновича, 157 (м. &quot;Либідська&quot;)'),
(1,	5748,	'Отделение №82 (до 30 кг): ул. Антоновича, 157 (м. &quot;Лыбидская&quot;)'),
(3,	5749,	'Відділення №82 (до 30 кг): вул. Велика Діївська (ран. вул. Братів Трофімових), 459'),
(1,	5749,	'Отделение №82 (до 30 кг): ул. Большая Диевская (ран. ул. Братьев Трофимовых), 459'),
(3,	5750,	'Відділення №82 (до 5 кг) Міні-відділення: Полтавський Шлях, 148/2(БЦ &quot;АРГО&quot;)'),
(1,	5750,	'Отделение №82 (до 5 кг) Мини-отделение: Полтавский Шлях, 148/2(БЦ &quot;АРГО&quot;)'),
(3,	5751,	'Відділення №82 (до 30 кг на одне місце): пл. Старосінна, 15'),
(1,	5751,	'Отделение №82 (до 30 кг на одно место): пл. Старосенная, 15'),
(3,	5752,	'Відділення №83 (до 30 кг): вул. Драгоманова, 6/1'),
(1,	5752,	'Отделение №83 (до 30 кг): ул. Драгоманова, 6/1'),
(3,	5753,	'Відділення №83 (до 30 кг): просп. Московський, 10/12'),
(1,	5753,	'Отделение №83 (до 30 кг): просп. Московский, 10/12'),
(3,	5754,	'Відділення №83 (до 15 кг), Міні-відділення: вул. Філатова Академіка, 2'),
(1,	5754,	'Отделение №83 (до 15 кг), Мини-отделение: ул. Филатова Академика, 2'),
(3,	5755,	'Відділення №84 (до 30 кг): вул. Курнатовського, 15'),
(1,	5755,	'Отделение №84 (до 30 кг): ул. Курнатовского, 15'),
(3,	5756,	'Відділення №84 (до 30 кг): вул. Саранська, 2, прим. 9'),
(1,	5756,	'Отделение №84 (до 30 кг): ул. Саранская, 2, пом. 9'),
(3,	5757,	'Відділення №84 (до 30 кг): просп. Ново-Баварський, 118а'),
(1,	5757,	'Отделение №84 (до 30 кг): просп. Ново-Баварский, 118а'),
(3,	5758,	'Відділення №84 (до 5 кг), Міні-відділення: вул. Люстдорфська дорога, 55 (ТЦ &quot;Альтаіровський&quot;)'),
(1,	5758,	'Отделение №84 (до 5 кг), Мини-отделение: ул. Люстдорфская дорога, 55 (ТЦ &quot;Альтаировский&quot;)'),
(3,	5759,	'Відділення №85 (до 30 кг на одне місце): вул. Маршала Гречко, 24'),
(1,	5759,	'Отделение №85 (до 30 кг на одно место): ул. Маршала Гречко, 24'),
(3,	5760,	'Відділення №85 (до 30 кг на одне місце): просп. Адміральський, 37'),
(1,	5760,	'Отделение №85 (до 30 кг на одно место): просп. Адмиральский, 37'),
(3,	5761,	'Відділення №85 (до 30 кг на одне місце): просп. Московський, 232А'),
(1,	5761,	'Отделение №85 (до 30 кг на одно место): просп. Московский, 232А'),
(3,	5762,	'Відділення №85 (до 30 кг): просп. Пушкіна, 77'),
(1,	5762,	'Отделение №85 (до 30 кг): просп. Пушкина, 77'),
(3,	5763,	'Відділення №86 (до 30 кг на одне місце): просп. Гагаріна, 82'),
(1,	5763,	'Отделение №86 (до 30 кг на одно место): просп. Гагарина, 82'),
(3,	5764,	'Відділення №86 (до 30 кг): вул. Зодчих, 34а'),
(1,	5764,	'Отделение №86 (до 30 кг): ул. Зодчих, 34а'),
(3,	5765,	'Відділення №86 (до 30 кг): вул. Гвардійців-Широнінців, 62'),
(1,	5765,	'Отделение №86 (до 30 кг): ул. Гвардейцев-Широнинцев, 62'),
(3,	5766,	'Відділення №86 (до 15 кг), Міні-відділення: вул. Генуезька, 24Б (ТОЦ &quot;KADORR City Mall&quot;)'),
(1,	5766,	'Отделение №86 (до 15 кг), Мини-отделение: ул. Генуэзская, 24Б (ТОЦ &quot;KADORR City Mall)'),
(3,	5767,	'Відділення №87 (до 30 кг): вул. Академіка Корольова, 79'),
(1,	5767,	'Отделения №87 (до 30 кг): ул. Академика Королёва, 79'),
(3,	5768,	'Відділення №87 (до 30 кг): просп. Петра Григоренка, 33/44'),
(1,	5768,	'Отделение №87 (до 30 кг): просп. Петра Григоренко, 33/44'),
(3,	5769,	'Відділення №87: вул. Мохнацька, 83 (поряд з більярд. клубом &quot;Абріколь&quot;)'),
(1,	5769,	'Отделение №87: ул. Мохначанская, 83 (рядом с бильярд. клубом &quot;Абриколь&quot;)'),
(3,	5770,	'Відділення №88 (до 30 кг): просп. Добровольського, 83'),
(1,	5770,	'Отделение №88 (до 30 кг): просп. Добровольского, 83'),
(3,	5771,	'Відділення №88: вул. Савкіна, 2'),
(1,	5771,	'Отделение №88: ул. Савкина, 2'),
(3,	5772,	'Відділення №88 (до 30 кг): вул. Якуба Коласа, 15б'),
(1,	5772,	'Отделение №88 (до 30 кг): ул. Якуба Коласа, 15б'),
(3,	5773,	'Відділення №88 (до 30 кг): просп. Науки (ран. Леніна), 70'),
(1,	5773,	'Отделение №88 (до 30 кг): просп. Науки (ран. Ленина), 70'),
(3,	5774,	'Відділення №89 (до 30 кг): вул. Михайла Грушевського (ран. Карла Лібнехта), 10'),
(1,	5774,	'Отделение №89 (до 30 кг): ул. Михаила Грушевского (ран. Карла Либнехта), 10'),
(3,	5775,	'Відділення №89 (до 30 кг на одне місце): вул. Глибочицька, 28'),
(1,	5775,	'Отделение №89 (до 30 кг на одно место): ул. Глубочицкая, 28'),
(3,	5776,	'Відділення №89 (до 30 кг): вул. Семена Палія (ран. Дніпропетровська дорога), 68'),
(1,	5776,	'Отделение №89 (до 30 кг): ул. Семена Палия (ран. Днепропетровская дорога), 68'),
(3,	5777,	'Відділення №89 (до 30 кг на одне місце): вул. Загородній в\'їзд, 22'),
(1,	5777,	'Отделение №89 (до 30 кг на одно место): ул. Загородный въезд, 22'),
(3,	5778,	'Відділення №90 (до 30 кг на одне місце): вул. Терещенківська (ран. Червоного Козацтва), 25б'),
(1,	5778,	'Отделение №90 (до 30 кг на одно место): ул. Терещенковская (ран. Красного Козачества), 25б'),
(3,	5779,	'Відділення №90 (до 30 кг): просп. Перемоги, 80/57'),
(1,	5779,	'Отделение №90 (до 30 кг): просп. Победы, 80/57'),
(3,	5780,	'Відділення №90 (до 30 кг на одне місце): просп. Гагаріна, 199'),
(1,	5780,	'Отделение №90 (до 30 кг на одно место): просп. Гагарина, 199'),
(3,	5781,	'Відділення №90 (до 30 кг на одне місце): вул. Люстдорфська дорога, 90г'),
(1,	5781,	'Отделение №90 (до 30 кг на одно место): ул. Люстдорфская дорога, 90г'),
(3,	5782,	'Відділення №91 (до 5 кг), Міні-відділення: просп. Академіка Глушка, 22'),
(1,	5782,	'Отделение №91 (до 5 кг), Мини-отделение: просп. Академика Глушко, 22'),
(3,	5783,	'Відділення №91 (до 30 кг): просп. Свободи, 209'),
(1,	5783,	'Отделение №91 (до 30 кг): просп. Свободы, 209'),
(3,	5784,	'Відділення №91 (до 30 кг): вул. Пушкінська, 68'),
(1,	5784,	'Отделение №91 (до 30 кг): ул. Пушкинская, 68'),
(3,	5785,	'Відділення №91 (до 30 кг на одне місце): вул. Академіка Заболотного, 48а'),
(1,	5785,	'Отделение №91 (до 30 кг на одно место): ул. Академика Заболотного, 48а'),
(3,	5786,	'Відділення №92 (до 30 кг): вул. Запорізьке шосе, 28П'),
(1,	5786,	'Отделение №92 (до 30 кг): ул. Запорожское шоссе, 28П'),
(3,	5787,	'Відділення №92 (до 15 кг) Міні-відділення: Миколаївська дорога, 307/1(маг.&quot;МЕТРО&quot;)'),
(1,	5787,	'Отделение №92 (до 15 кг) Мини-отделение: ул. Николаевская дорога, 307/1 (маг.&quot;МЕТРО&quot;)'),
(3,	5788,	'Відділення №92 (до 5 кг), Міні-відділення: вул. Наталії Ужвій, 58'),
(1,	5788,	'Отделение №92 (до 5 кг): ул. Натальи Ужвий, 58'),
(3,	5789,	'Відділення №92 (до 30 кг): вул. Богатирська, 6А'),
(1,	5789,	'Отделение №92 (до 30 кг): ул. Богатырская, 6А'),
(3,	5790,	'Відділення №93 (до 30 кг на одне місце): вул. Ливарна, 17'),
(1,	5790,	'Отделение №93 (до 30 кг на одно место): ул. Литейная, 17'),
(3,	5791,	'Відділення №93: вул. Семінарська (ран. Володарського), 80'),
(1,	5791,	'Отделение №93: ул. Семинарская (ран. Володарского), 80'),
(3,	5792,	'Відділення №93 (до 30 кг): вул. Шота Руставелі, 31а (м. &quot;Палац спорту&quot;)'),
(1,	5792,	'Отделение №93 (до 30 кг): ул. Шота Руставели, 31а (м. &quot;Дворец спорта&quot;)'),
(3,	5793,	'Відділення №94 (до 30 кг на одне місце): бульв. Т. Шевченка, 46а'),
(1,	5793,	'Отделение №94 (до 30 кг на одно место): бульв. Т. Шевченко, 46а'),
(3,	5794,	'Відділення №94 (до 30 кг на одне місце): вул. Катерининська, буд. 84/86, прим. 501'),
(1,	5794,	'Отделение №94 (до 30 кг на одно место): ул. Екатериненская, д. 84/86, пом. 501'),
(3,	5795,	'Відділення №95 (до 5 кг), Міні відділення: просп. Перемоги, 62 (маг. Чудо-Маркет)'),
(1,	5795,	'Отделение №95 (до 5 кг), Мини-отделение: просп. Победы, 62 (маг. Чудо-Маркет)'),
(3,	5796,	'Відділення №95 (до 30 кг): просп. Голосіївський, 68 (біля готелю &quot;Мир&quot;)'),
(1,	5796,	'Отделение №95 (до 30 кг): просп. Голосеевский, 68 (возле отеля &quot;Мир&quot;)'),
(3,	5797,	'Відділення №95 (до 5 кг) Міні-відділення: площа Грецька, 3/4'),
(1,	5797,	'Отделение №95 (до 5 кг) Мини-отделение: площадь Греческая, 3/4'),
(3,	5798,	'Відділення №95 (до 30 кг): вул. Малиновського, 14-А'),
(1,	5798,	'Отделение №95 (до 30 кг): ул. Малиновского, 14-А'),
(3,	5799,	'Відділення №96 (до 30 кг на одне місце): вул. Роллана Ромен, 9, прим. А-5'),
(1,	5799,	'Отделение №96 (до 30 кг на одно место): ул. Роллана Ромен, 9, пом. А-5'),
(3,	5800,	'Відділення №96 (до 5 кг) Міні-відділення: вул. Ільфа та Петрова, 39 (маг.&quot;Копійка&quot;)'),
(1,	5800,	'Отделение №96 (до 5 кг) Мини-отделение: ул. Ильфа и Петрова, 39 (маг.&quot;Копейка&quot;)'),
(3,	5801,	'Відділення №97 (до 30 кг): вул. Кудряшова, 16а'),
(1,	5801,	'Отделение №97 (до 30 кг): ул. Кудряшова, 16а'),
(3,	5802,	'Відділення №97 (до 30 кг): вул. Академіка Павлова, 144б (ТЦ Космос, 2 поверх)'),
(1,	5802,	'Отделение №97 (до 30 кг): ул. Академика Павлова, 144б (ТЦ Космос, 2 этаж)'),
(3,	5803,	'Відділення №97 (до 30 кг): Люстдорфська дорога, 142-А, прим. 101'),
(1,	5803,	'Отделение №97 (до 30 кг): Люстдорфская дорога, 142-А, пом. 101'),
(3,	5804,	'Відділення №98 (до 30 кг): провул. Отакара Яроша, 4'),
(1,	5804,	'Отделение №98 (до 30 кг): проул. Отакара Яроша, 4'),
(3,	5805,	'Відділення №98 (до 30 кг): вул. Миколи Краснова, 17'),
(1,	5805,	'Отделение №98 (до 30 кг): вул. Николая Краснова, 17'),
(3,	5806,	'Відділення №98 (до 30 кг на одне місце): вул. Старопортофранківська, 135'),
(1,	5806,	'Отделение №98 (до 30 кг на одно место): ул. Старопортофранковская, 135'),
(3,	5807,	'Відділення №99 (до 30 кг): просп. Гагаріна, 176, корп. 2'),
(1,	5807,	'Отделение №99 (до 30 кг): просп. Гагарина, 176, корп. 2'),
(3,	5808,	'Відділення №99: вул. Салютна, 5б'),
(1,	5808,	'Отделение №99: ул. Салютная, 5б'),
(3,	5809,	'Відділення №99 (до 15 кг) Міні-відділення: площа Грецька, 1'),
(1,	5809,	'Отделение №99 (до 15 кг) Мини-отделение: площадь Греческая, 1'),
(3,	5810,	'Відділення №100 (до 30 кг на одне місце): просп. Архітектора Альошина, 5'),
(1,	5810,	'Отделение №100 (до 30 кг на одно место): просп. Архитектора Алёшина, 5'),
(3,	5811,	'Відділення №100 (до 30 кг на одне місце): вул. Інженерна, 1 (маг. &quot;Фуршет&quot;)'),
(1,	5811,	'Отделение №100 (до 30 кг на одно место), Мини-отделение: ул. Инженерная, 1, (маг. &quot;Фуршет&quot;)'),
(3,	5812,	'Відділення №100 (до 15 кг), Міні-відділення: вул. Маршала Малиновського, 33 (маг. &quot;Сільпо&quot;)'),
(1,	5812,	'Отделение № 100 (до 15 кг), Мини-отделение: ул. Маршала Малиновского, 33 (маг. &quot;Сильпо&quot;)'),
(3,	5813,	'Відділення №101 (до 30 кг): с. Лиманка, &quot;Радужний&quot; масив ж/масиву &quot;Ульянівка&quot;, 23, прим. 7'),
(1,	5813,	'Отделение №101 (до 30 кг): с. Лиманка, &quot;Радужный&quot; массив ж/массива &quot;Ульяновка&quot;, 23, пом. 7'),
(3,	5814,	'Відділення №101 (до 30 кг): вул. Полтавський Шлях, 177-Б'),
(1,	5814,	'Отделение №101 (до 30 кг): ул. Полтавский Шлях, 177-Б'),
(3,	5815,	'Відділення №102 (до 30 кг): смт. Авангард, вул. Європейська, 9, секція 1, прим. 1В'),
(1,	5815,	'Отделение №102 (до 30 кг): пгт. Авангард, ул. Европейская, 9, секция 1, пом. 1В'),
(3,	5816,	'Відділення №103 (до 5 кг), Міні-відділення: вул. Дудинської, 1А (маг. &quot;Класс&quot;)'),
(1,	5816,	'Отделение №103 (до 5 кг), Мини-отделение: ул. Дудинской, 1А (маг. &quot;Класс&quot;)'),
(3,	5817,	'Відділення №103 (до 5 кг), Міні-відділення: вул. Масив Райдужний, 16/4'),
(1,	5817,	'Отделение №103 (до 5 кг), Мини-отделение: ул. Массив Радужный, 16/4'),
(3,	5818,	'Відділення №104 (до 30 кг): вул. Братиславська, 14б'),
(1,	5818,	'Отделение №104 (до 30 кг): ул. Братиславская, 14б'),
(3,	5819,	'Відділення №104 (до 5 кг), Міні-відділення: пл. Незалежності, 1(ТЦ &quot;Панорама&quot;)'),
(1,	5819,	'Отделение №104 (до 5 кг) Мини-отделение: пл. Независимости, 1 (ТЦ &quot;Панорама&quot;)'),
(3,	5820,	'Відділення №104 (до 5 кг), Міні-відділення: просп. Героїв Сталінграду, 136/8 (маг. &quot;КЛАСС&quot;)'),
(1,	5820,	'Отделение №104 (до 5 кг), Мини-отделение: просп. Героев Сталинграда, 136/8 (маг. &quot;КЛАСС&quot;)'),
(3,	5821,	'Відділення №105 (до 30 кг на одне місце): вул. Дегтярівська, 58'),
(1,	5821,	'Отделение №105 (до 30 кг на одно место): ул. Дегтярёвская, 58'),
(3,	5822,	'Відділення №105 (до 5 кг), Міні-відділення: просп. Московський, 295 (маг.&quot;КЛАСС&quot;)'),
(1,	5822,	'Отделение №105 (до 5 кг), Мини-отделение: просп. Московский, 295 (маг.&quot;КЛАСС&quot;)'),
(3,	5823,	'Відділення №106 (до 5 кг), Міні-відділення: просп. Перемоги, 94/1 (маг. &quot;Фуршет&quot;)'),
(1,	5823,	'Отделение №106 (до 5 кг), Мини-отделение: просп. Победы, 94/1 (маг. &quot;Фуршет&quot;)'),
(3,	5824,	'Відділення №107 (до 15 кг), Міні-відділення: Польський узвіз, 11'),
(1,	5824,	'Отделение №107 (до 15 кг) Мини-отделение: Польский спуск, 11'),
(3,	5825,	'Відділення №108 (до 30 кг): просп. Ювілейний (ран. П\'ятдесятиріччя ВЛКСМ), 89'),
(1,	5825,	'Отделение №108 (до 30 кг): просп. Юбилейный (ран. Пятидесятилетия ВЛКСМ), 89'),
(3,	5826,	'Відділення №108 (до 5 кг), Міні-відділення: бульв. Десантний, 16 (маг.&quot;Точка&quot;)'),
(1,	5826,	'Отделение №108 (до 5 кг), Мини-отделение: бульв. Десантный, 16 (маг.&quot;Точка&quot;)'),
(3,	5827,	'Відділення №109 (до 30 кг): вул. Кирилівська, 121-А'),
(1,	5827,	'Отделение №109 (до 30 кг): ул. Кирилловская, 121-А'),
(3,	5828,	'Відділення №109 (до 30 кг): Полтавський Шлях, 17'),
(1,	5828,	'Отделение №109 (до 30 кг): Полтавский Шлях, 17'),
(3,	5829,	'Відділення №109 (до 30 кг): бульв. Французький, 41, прим. 101'),
(1,	5829,	'Отделение №109 (до 30 кг): бульв. Французский, 41, пом. 101'),
(3,	5830,	'Відділення №110 (до 30 кг): Харківське шосе, 19 (ЖК &quot;Мега Сіті&quot; 2 поверх)'),
(1,	5830,	'Отделение №110 (до 30 кг): Харьковское шоссе, 19 (ЖК &quot;Мега Сити&quot; 2 этаж)'),
(3,	5831,	'Відділення №110 (до 15 кг), Міні-відділення: вул. Інглезі (ран. 25-ї Чапаївської див), 10 (Обжора)'),
(1,	5831,	'Отделение №110 (до 15 кг), Мини-отделение: ул. Инглези (ран. 25-й Чапаевской див), 10 (Обжора)'),
(3,	5832,	'Відділення №111 (до 30 кг): вул. Драгомирова, 17'),
(1,	5832,	'Отделение №111 (до 30 кг): ул. Драгомирова, 17'),
(3,	5833,	'Відділення №111 (до 30 кг на одне місце): вул. Набережна Перемоги, 86а (ТЦ &quot;Новий Континент&quot;)'),
(1,	5833,	'Отделение №111 (до 30 кг на одно место): ул. Набережная  Победы, 86а (ТЦ &quot;Новый Континент&quot;)'),
(3,	5834,	'Відділення №112 (до 5 кг), Міні-відділення: вул. Академіка Курчатова, 19а (маг. &quot;Фора&quot;)'),
(1,	5834,	'Отделение №112 (до 5 кг), Мини-отделение: ул. Академика Курчатова, 19а (маг. &quot;Фора&quot;)'),
(3,	5835,	'Відділення №112 (до 30 кг): вул. Шевченка, 29 б, прим. 102-106'),
(1,	5835,	'Отделение №112 (до 30 кг): ул. Шевченко, 29 б, пом. 102-106'),
(3,	5836,	'Відділення №112 (до 5 кг), Міні-відділення: вул. Старопортофранківська, 22/1'),
(1,	5836,	'Отделение №112 (до 5 кг), Мини-отделение: ул. Старопортофранковская, 22/1'),
(3,	5837,	'Відділення №113 (до 30 кг): просп. Броварський, 3в (ТЦ &quot;Leroy Merlin&quot; паркінг)'),
(1,	5837,	'Отделение №113 (до 30 кг): просп. Броварской, 3в (ТЦ &quot;Leroy Merlin&quot; паркинг)'),
(3,	5838,	'Відділення №113 (до 30 кг): вул. Шолохова, 7'),
(1,	5838,	'Отделение №113 (до 30 кг): ул. Шолохова, 7'),
(3,	5839,	'Відділення №113 (до 5 кг), Міні-відділення: вул. Академіка Вільямса, 46/1 (АЗС &quot;SunOil&quot;)'),
(1,	5839,	'Отделение №113 (до 5 кг), Мини-отделение: ул. Академика Вильямса, 46/1 (АЗС &quot;SunOil&quot;)'),
(3,	5840,	'Відділення №114 (до 15 кг), Міні-відділення: просп. Григоренка, 5а'),
(1,	5840,	'Отделение №114 (до 15 кг), Мини-отделение: просп. Григоренко, 5а'),
(3,	5841,	'Відділення №114 (до 30 кг): просп. Глушка Академіка, 14/6'),
(1,	5841,	'Отделение №114 (до 30 кг): просп. Глушко Академика, 14/6'),
(3,	5842,	'Відділення №115 (до 30 кг): вул. Крістерів Родини, 20-Б, прим. 228'),
(1,	5842,	'Отделение №115 (до 30 кг): ул. Кристеров Семьи, 20-Б, пом. 228'),
(3,	5843,	'Відділення №115 (до 30 кг): Миколаївська дорога, 301/1, прим. 101'),
(1,	5843,	'Отделение №115 (до 30 кг): Николаевская дорога, 301/1, пом. 101'),
(3,	5844,	'Відділення №116 (до 30 кг): с. Лиманка, ж/м Дружній, масив 10, діл. 31'),
(1,	5844,	'Отделение №116 (до 30 кг): с. Лиманка, ж/м Дружный, массив 10, участок 31'),
(3,	5845,	'Відділення №117 (до 15 кг), Міні-відділення: вул. Івана та Юрія Лип (ран. Гайдара), 34'),
(1,	5845,	'Отделение №117 (до 15кг), Мини-отделение: ул. Ивана и Юрия Лип (ран. Гайдара), 34'),
(3,	5846,	'Відділення №117 (до 30 кг): вул. Урлівська, 4а'),
(1,	5846,	'Отделение №117 (до 30 кг): ул. Урловская, 4а'),
(3,	5847,	'Відділення №118 (до 30 кг): просп. Шевченко, 27'),
(1,	5847,	'Отделение №118 (до 30 кг): просп. Шевченко, 27'),
(3,	5848,	'Відділення №119 (до 30 кг): вул. Дюківська, 14'),
(1,	5848,	'Отделение №119 (до 30 кг): ул. Дюковская, 14'),
(3,	5849,	'Відділення №119 (до 5 кг), Міні-відділення: вул. Саперно-Слобідська, 10 (маг. &quot;Велика Кишеня&quot;)'),
(1,	5849,	'Отделение №119 (до 5 кг), Мини-отделение: ул. Саперно-Слободская, 10 (маг. &quot;Велика Кишеня&quot;)'),
(3,	5850,	'Відділення №120 (до 15 кг), Міні-відділення: вул. Інглезі (ран. 25-ї Чапаїв.див), 13А (АЗС Sun Oil)'),
(1,	5850,	'Отделение №120 (до 15 кг), Мини-отделение: ул. Инглези (ран. 25-й Чапаев.див), 13А (АЗС Sun Oil)'),
(3,	5851,	'Відділення №121 (до 5 кг), Міні-відділення: вул. Академіка Заболотного, 24'),
(1,	5851,	'Отделение №121 (до 5 кг), Мини-отделение: ул. Академика Заболотного, 24'),
(3,	5852,	'Відділення №121 (до 15 кг), Міні-відділення: просп. Героїв Сталінграду, 8К5'),
(1,	5852,	'Отделение №121 (до 15 кг), Мини-отделение: просп. Героев Сталинграда, 8К5'),
(3,	5853,	'Відділення №122 (до 30 кг на одне місце): вул. Cтовпова, 28'),
(1,	5853,	'Отделение №122 (до 30 кг на одно место): ул. Столбовая, 28'),
(3,	5854,	'Відділення №122 (до 30 кг): бульв. Вацлава Гавела, 50'),
(1,	5854,	'Отделение №122 (до 30 кг): бульв. Вацлава Гавела, 50'),
(3,	5855,	'Відділення №123 (до 30 кг на одне місце): вул. Миколаївська дорога, 128'),
(1,	5855,	'Отделение №123 (до 30 кг на одно место): ул. Николаевская дорога, 128'),
(3,	5856,	'Відділення №123 (до 30 кг): вул. Градинська, 7'),
(1,	5856,	'Отделение №123 (до 30 кг): ул. Градинская, 7'),
(3,	5857,	'Відділення №124 (до 15 кг), Міні-відділення: вул. Проїзна, 12'),
(1,	5857,	'Отделение №124 (до 15 кг), Мини-отделение: ул. Проездная, 12'),
(3,	5858,	'Відділення №124 (до 30 кг): вул. Вільямса Академіка, 5, прим. 200'),
(1,	5858,	'Отделение №124 (до 30 кг): ул. Вильямса Академика, 5, пом. 200'),
(3,	5859,	'Відділення №125 (до 30 кг на одне місце): вул. Генерала Петрова, 1'),
(1,	5859,	'Отделение №125 (до 30 кг на одо место): ул. Генерала Петрова, 1'),
(3,	5860,	'Відділення №125 (до 5 кг), Міні-відділення: вул. Здолбунівська, 7 (маг. &quot;Єва&quot;)'),
(1,	5860,	'Отделение №125 (до 5 кг), Мини-отделение: ул. Здолбуновская, 7 (маг. &quot;Ева&quot;)'),
(3,	5861,	'Відділення №125 (до 5 кг), Міні-відділення: просп. Гагаріна, 178'),
(1,	5861,	'Отделение №125 (до 5 кг), Мини-отделение: просп. Гагарина, 178'),
(3,	5862,	'Відділення №126: вул. Грушевського, 41'),
(1,	5862,	'Отделение №126: ул. Грушевского, 41'),
(3,	5863,	'Відділення №126 (до 15 кг), Міні-відділення: вул. Дарвіна, 8, прим. 73, літера &quot;А&quot;'),
(1,	5863,	'Отделение №126 (до 15 кг), Мини-отделение: ул. Дарвина, 8, пом. 73, буква &quot;А&quot;'),
(3,	5864,	'Відділення №127 (до 30 кг): пров. Євгена Гуцала, 4'),
(1,	5864,	'Отделение №127 (до 30 кг): пер. Евгения Гуцала, 4'),
(3,	5865,	'Відділення №128 (до 30 кг на одне місце): просп. Ак. Глушка, 29'),
(1,	5865,	'Отделение №128  (до 30 кг на одно место): просп. Ак. Глушко, 29'),
(3,	5866,	'Відділення №128 (до 5 кг), Міні-відділення: пл. Спортивна, 1 (ТРЦ &quot;Gulliver&quot;)'),
(1,	5866,	'Отделение №128 (до 5 кг), Мини-отделение: пл. Спортивная, 1 (ТРЦ &quot;Gulliver&quot;)'),
(3,	5867,	'Відділення №129 (до 30 кг): провул. Маланова, 6'),
(1,	5867,	'Отделение №129 (до 30 кг): переул. Маланова, 6'),
(3,	5868,	'Відділення №129 (до 5 кг), Міні-відділення: просп. Академіка Корольова, 10'),
(1,	5868,	'Отделение №129 (до 5 кг), Мини-отделение: просп. Академика Королёва, 10'),
(3,	5869,	'Відділення №130 (до 30 кг): бульв. Гашека Ярослава, 8-А, прим. 85'),
(1,	5869,	'Отделение №130 (до 30 кг): бульв. Гашека Ярослава, 8-А, пом. 85'),
(3,	5870,	'Відділення №130 (до 30 кг на одне місце): вул. Центральний аеропорт, 25'),
(1,	5870,	'Отделение №130 (до 30 кг на одно место): ул. Центральный аэропорт, 25'),
(3,	5871,	'Відділення №131 (до 5 кг), Міні-відділення: просп. Академіка Палладіна, 16 (ТЦ &quot;ACADEM City&quot;)'),
(1,	5871,	'Отделение №131 (до 5 кг), Мини-отделение: просп. Академика Палладина, 16 (ТЦ &quot;ACADEM City&quot;)'),
(3,	5872,	'Відділення №131: вул. Генерала Бочарова, 50/1 (Ринок Початок)'),
(1,	5872,	'Отделение №131: ул. Генерала Бочарова 50/1 (Рынок Початок)'),
(3,	5873,	'Відділення №132 (до 30 кг): просп. Леся Курбаса, 16-А'),
(1,	5873,	'Отделение №132 (до 30 кг): просп. Леся Курбаса, 16-А'),
(3,	5874,	'Відділення №132 (до 5 кг), Міні-відділення: вул. Генуезька, 5 (ТРЦ&quot;Gagarinn Plaza&quot;)'),
(1,	5874,	'Отделение №132 (до 5 кг), Мини-отделение: ул. Генуэзская, 5 (ТРЦ&quot;Gagarinn Plaza&quot;)'),
(3,	5875,	'Відділення №133 (до 30 кг): Фонтанська дорога, 118'),
(1,	5875,	'Отделение №133 (до 30 кг): Фонтанская дорога, 118'),
(3,	5876,	'Відділення №133 (до 30 кг): вул. Зодчих, 62'),
(1,	5876,	'Отделение №133 (до 30 кг): ул. Зодчих, 62'),
(3,	5877,	'Відділення №134 (до 30 кг): вул. Набережно-Корчуватська, 68'),
(1,	5877,	'Отделение №134 (до 30 кг): ул. Набережно-Корчеватская, 68'),
(3,	5878,	'Відділення №135 (до 30 кг): вул. Палія Семена, 93'),
(1,	5878,	'Отделение №135 (до 30 кг): ул. Палия Семёна, 93'),
(3,	5879,	'Відділення №135 (до 15 кг), Міні-відділення: вул. Виборзька, 80/17'),
(1,	5879,	'Отделение №135 (до 15 кг), Мини-отделение: ул. Выборгская, 80/17'),
(3,	5880,	'Відділення №136 (до 30 кг): вул. Котельникова Михайла, 35'),
(1,	5880,	'Отделение №136 (до 30 кг): ул. Котельникова Михаила, 35'),
(3,	5881,	'Відділення №136 (до 30 кг): вул. Хмельницького Богдана, 74'),
(1,	5881,	'Отделение №136 (до 30 кг): ул. Хмельницкого Богдана, 74'),
(3,	5882,	'Відділення №137 (до 5 кг), Міні-відділення: вул. П. Калнишевського, 2 (ТЦ &quot;Полярний&quot;)'),
(1,	5882,	'Отделение №137 (до 5 кг), Мини-отделение: ул. П. Калнышевского, 2 (ТЦ &quot;Полярный&quot;)'),
(3,	5883,	'Відділення №138 (до 30 кг): вул. Генерала Петрова, 37/43'),
(1,	5883,	'Отделение №138'),
(3,	5884,	'Відділення №139 (до 30 кг): просп. В. Маяковського, 75 (маг. Watsons)'),
(1,	5884,	'Отделение №139 (до 30 кг): просп. В. Маяковского, 75 (маг. Watsons)'),
(3,	5885,	'Відділення №140 (до 30 кг): вул. Софіївська, 17/15'),
(1,	5885,	'Отделение №140 (до 30 кг): ул. Софиевская, 17/15'),
(3,	5886,	'Відділення №140 (до 30 кг): вул. Дальницька, 16'),
(1,	5886,	'Отделение №140 (до 30 кг): ул. Дальницкая, 16'),
(3,	5887,	'Відділення №141: вул. Колекторна, 3а'),
(1,	5887,	'Отделение №141: ул. Колекторная, 3а'),
(3,	5888,	'Відділення №142 (до 30 кг): вул. Амвросія Бучми, 5'),
(1,	5888,	'Отделение №142 (до 30 кг): ул. Амвросия Бучмы, 5'),
(3,	5889,	'Відділення №143 (до 30 кг): вул. Полярна, 17А (ТЦ &quot;Leroy Merlin&quot;)'),
(1,	5889,	'Отделение №143 (до 30 кг): ул. Полярная, 17А (ТЦ &quot;Leroy Merlin&quot;)'),
(3,	5890,	'Відділення №144 (до 30 кг): просп. Науки, 35'),
(1,	5890,	'Отделение №144 (до 30 кг): просп. Науки, 35'),
(3,	5891,	'Відділення №145 (до 30 кг): вул. Героїв Дніпра, 53'),
(1,	5891,	'Отделение №145 (до 30 кг): ул. Героев Днепра, 53'),
(3,	5892,	'Відділення №146 (до 30 кг на одне місце): вул. Кирилівська (ран. Фрунзе), 126/2'),
(1,	5892,	'Отделение №146 (до 30 кг на одно место): ул. Кириловская (ран. Фрунзе), 126/2'),
(3,	5893,	'Відділення №147 (до 30 кг): просп. Маяковського, 97/15'),
(1,	5893,	'Отделение №147 (до 30 кг): просп. Маяковского, 97/15'),
(3,	5894,	'Відділення №148: просп. Перемоги, 67 (корпус L)'),
(1,	5894,	'Отделение №148: просп. Победы, 67 (корпус L)'),
(3,	5895,	'Відділення №149 (до 30 кг на одне місце): просп. Маяковського, 63/12'),
(1,	5895,	'Отделение №149 (до 30 кг на одно место): просп. Маяковского, 63/12'),
(3,	5896,	'Відділення №150 (до 30 кг): вул. Антоновича, 43 (м.&quot;Олімпійська&quot;)'),
(1,	5896,	'Отделение №150 (до 30 кг): ул. Антоновича, 43 (м.&quot;Олимпийская&quot;)'),
(3,	5897,	'Відділення №151 (до 30 кг): просп. Героїв Сталінграду, 24'),
(1,	5897,	'Отделение №151 (до 30 кг): просп. Героев Сталинграда, 24'),
(3,	5898,	'Відділення №153 (до 30 кг): вул. Западинська, 9а'),
(1,	5898,	'Отделение №153 (до 30 кг): ул. Западынская, 9а'),
(3,	5899,	'Відділення №153 (до 30 кг): просп. Слобожанський (ран. Газети Правди), 115'),
(1,	5899,	'Отделение №153 (до 30 кг): просп. Слобожанский (ран. Газеты Правды), 115'),
(3,	5900,	'Відділення №154 (до 30 кг): бульв. Кольцова, 14є'),
(1,	5900,	'Отделение №154 (до 30 кг): бульв. Кольцова, 14е'),
(3,	5901,	'Відділення №154 (до 30 кг на одне місце): вул. Будівельників, 12'),
(1,	5901,	'Отделение №154 (до 30 кг на одно место): ул. Строителей, 12'),
(3,	5902,	'Відділення №155 (до 5 кг), Міні-відділення: вул. Ломоносова, 50/2 (маг. &quot;BRILLE&quot;)'),
(1,	5902,	'Отделение №155 (до 5 кг), Мини-отделение: ул. Ломоносова, 50/2 (маг. &quot;BRILLE&quot;)'),
(3,	5903,	'Відділення №155 (до 30 кг): просп. Олександра Поля (ран. Кірова), 59'),
(1,	5903,	'Отделение №155 (до 30 кг): просп. Александра Поля (ран. Кирова), 59'),
(3,	5904,	'Відділення №156 (до 5 кг), Міні-відділення: просп. Василя Порика, 7а'),
(1,	5904,	'Отделение №156 (до 5 кг), Мини-отделение: просп. Порика, 7а'),
(3,	5905,	'Відділення №157 (до 30 кг): вул. Дорогожицька, 17'),
(1,	5905,	'Отделение №157 (до 30 кг): ул. Дорогожицкая, 17'),
(3,	5906,	'Відділення №158 (до 5 кг), Міні-відділення: вул. Бориспільська, 9 (маг. &quot;Фуршет&quot;)'),
(1,	5906,	'Отделение №158 (до 5 кг), Мини-отделение: ул. Бориспольская, 9 (маг. &quot;Фуршет&quot;)'),
(3,	5907,	'Відділення №159 (до 30 кг): просп. П. Тичини, 3'),
(1,	5907,	'Отделение №159 (до 30 кг): просп. П. Тычины, 3'),
(3,	5908,	'Відділення №159 (до 15 кг), Міні-відділення: вул. Калинова, 53'),
(1,	5908,	'Отделение №159 (до 15 кг), Мини-отделение: ул. Калиновая, 53'),
(3,	5909,	'Відділення №161 (до 5 кг), Міні-відділення: вул. Сулеймана Стальського, 20'),
(1,	5909,	'Отделение №161 (до 5 кг), Мини-отделение: ул. Сулеймана Стальского, 20'),
(3,	5910,	'Відділення №162 (до 30 кг на одне місце): вул. Михайла Котельникова, 3'),
(1,	5910,	'Отделение №162 (до 30 кг на одно место): ул. Михаила Котельникова, 3'),
(3,	5911,	'Відділення №162 (до 30 кг на одне місце): просп. Дмитра Яворницького, 71'),
(1,	5911,	'Отделение №162 (до 30 кг на одно место): просп. Дмитрия Яворницкого, 71'),
(3,	5912,	'Відділення №163 (до 30 кг на одне місце): вул. Вокзальна, 6'),
(1,	5912,	'Отделение №163 (до 30 кг на одно место): ул. Вокзальная, 6'),
(3,	5913,	'Відділення №163 (до 30 кг): вул. Патріарха Мстислава Скрипника, 5'),
(1,	5913,	'Отделение №163 (до 30 кг): ул. Патриарха Мстислава Скрыпника, 5'),
(3,	5914,	'Відділення №164 (до 30 кг на одне місце): вул. Гладкова, 36'),
(1,	5914,	'Отделение №164 (до 30 кг на одно место): ул. Гладкова, 36'),
(3,	5915,	'Відділення №165 (до 15 кг), Міні-відділення: просп. Степана Бандери, 6 (маг. «Розетка»)'),
(1,	5915,	'Отделение №165 (до 15 кг), Мини-отделение: просп. Степана Бандеры, 6 (маг. «Розетка»)'),
(3,	5916,	'Відділення №165 (до 30 кг на одне місце): вул. Героїв Крут, 8а'),
(1,	5916,	'Отделение №165 (до 30 кг на одно место): ул. Героев Крут, 8а'),
(3,	5917,	'Відділення №166 (до 30 кг): бульв. Слави, 5к'),
(1,	5917,	'Отделение №166 (до 30 кг): бульв. Славы, 5к'),
(3,	5918,	'Відділення №166 (до 30 кг на одне місце): вул. Академіка Єфремова, 23'),
(1,	5918,	'Отделение №166 (до 30 кг на одно место): ул. Академика Ефремова, 23'),
(3,	5919,	'Відділення №167 (до 30 кг): вул. Івана Кудрі, 31'),
(1,	5919,	'Отделение №167 (до 30 кг): ул. Ивана Кудри, 31'),
(3,	5920,	'Відділення №168 (до 30 кг): вул. Саперно-Слобідська, 26 (ТЦ &quot;Leroy Merlin&quot;)'),
(1,	5920,	'Отделение №168 (до 30 кг): ул. Саперно-Слободская, 26 (ТЦ &quot;Leroy Merlin&quot;)'),
(3,	5921,	'Відділення №169 (до 5 кг), Міні-відділення: вул. Митр. А. Шептицького, 22 (ТЦ &quot;Олімпійський&quot; 2 пов)'),
(1,	5921,	'Отделение №169 (до 5 кг), Мини-отделение: ул. Митр. А. Шептицкого, 22 (ТЦ &quot;Олимпийский&quot; 2 эт.)'),
(3,	5922,	'Відділення №170 (до 5 кг), Міні-відділення: просп. Оболонський, 26'),
(1,	5922,	'Отделение №170 (до 5 кг), Мини-отделение: просп. Оболонский, 26'),
(3,	5923,	'Відділення №171 (до 30 кг): вул. Полярна, 20д (вхід С)'),
(1,	5923,	'Отделение №171 (до 30 кг): ул. Полярная, 20д (вход С)'),
(3,	5924,	'Відділення №172 (до 30 кг): вул. Олевська, 9, прим. 304'),
(1,	5924,	'Отделение №172 (до 30 кг): ул. Олевская, 9, пом. 304'),
(3,	5925,	'Відділення №173 (до 30 кг): вул. Борщагівська, 133'),
(1,	5925,	'Отделение №173 (до 30 кг): ул. Борщаговская, 133'),
(3,	5926,	'Відділення №174 (до 5 кг), Міні-відділення: вул. Івана Пулюя, 5'),
(1,	5926,	'Отделение №174 (до 5 кг), Мини-отделение: ул. Ивана Пулюя, 5'),
(3,	5927,	'Відділення №175 (до 30 кг): вул. Донецька, 8А (маг. &quot;ЛотОК&quot;)'),
(1,	5927,	'Отделение №175 (до 30 кг): ул. Донецкая, 8А (маг. &quot;ЛотОК&quot;)'),
(3,	5928,	'Відділення №176 (до 15 кг), Міні-відділення: просп. Миколи Бажана, 10а (маг.&quot;VARUS&quot;)'),
(1,	5928,	'Отделение №176 (до 15 кг), Мини-отделение: просп. Николая Бажана, 10а (маг.&quot;VARUS&quot;)'),
(3,	5929,	'Відділення №178 (до 30 кг): просп. Оболонський, 35'),
(1,	5929,	'Отделение №178 (до 30 кг): просп. Оболонский, 35'),
(3,	5930,	'Відділення №180 (до 5 кг), Міні-відділення: просп. С. Бандери (ран. Московський), 21 (маг.Фокстрот)'),
(1,	5930,	'Отделение №180 (до 5 кг), Мини-отделение: просп. С. Бандеры (ран. Московский), 21 (маг.Фокстрот)'),
(3,	5931,	'Відділення №181 (до 30 кг на одне місце): вул. Кирилівська, 64'),
(1,	5931,	'Отделение №181 (до 30 кг на одно место): ул. Кириловская, 64'),
(3,	5932,	'Відділення №181 (до 30 кг): просп. Миру, 18'),
(1,	5932,	'Отделение №181 (до 30 кг): просп. Мира, 18'),
(3,	5933,	'Відділення №182 (до 5 кг), Міні-відділення: вул. Березняківська, 31'),
(1,	5933,	'Отделение №182 (до 5 кг), Мини-отделение: ул. Березняковская, 31'),
(3,	5934,	'Відділення №184 (до 30 кг): бульв. Верховної Ради, 14б'),
(1,	5934,	'Отделение №184 (до 30 кг): бульв. Верховного Совета, 14б'),
(3,	5935,	'Відділення №185 (до 30 кг): вул. Мінське Шосе, 10а (просп. Мінський)'),
(1,	5935,	'Отделение №185 (до 30 кг): ул. Минское шоссе, 10а (просп. Минский)'),
(3,	5936,	'Відділення №186 (до 30 кг): вул. Декабристів, 3'),
(1,	5936,	'Отделение №186 (до 30 кг): ул. Декабристов, 3'),
(3,	5937,	'Відділення №187 (до 5 кг), Міні-відділення: вул. Сабурова, 2а (маг.&quot;МЕТРО&quot;)'),
(1,	5937,	'Отделение №187 (до 5 кг), Мини-отделение: ул. Сабурова, 2а (маг.&quot;МЕТРО&quot;)'),
(3,	5938,	'Відділення №188 (до 30 кг): вул. Оноре де Бальзака, 42/20'),
(1,	5938,	'Отделение №188 (до 30 кг): ул. Оноре де Бальзака, 42/20'),
(3,	5939,	'Відділення №189 (до 30 кг): вул. Ялтинська, 24/23'),
(1,	5939,	'Отделение №189 (до 30 кг): ул. Ялтинская, 24/23'),
(3,	5940,	'Відділення №190 (до 30 кг): вул. Григоровича-Барського, 1'),
(1,	5940,	'Отделение №190 (до 30 кг): ул. Григоровича-Барского, 1'),
(3,	5941,	'Відділення №191 (до 30 кг): вул. Клінічна, 21/19'),
(1,	5941,	'Отделение №191 (до 30 кг): ул. Клиническая, 21/19'),
(3,	5942,	'Відділення №193 (до 5 кг), Міні-відділення: вул. Будівельників, 40 (ТЦ &quot;DOMA Center&quot;)'),
(1,	5942,	'Отделение №193 (до 5 кг), Мини-отделение: ул. Строителей, 40 (ТЦ &quot;DOMA Center&quot;)'),
(3,	5943,	'Відділення №195 (до 5 кг), Міні-відділення: вул. Вершигори, 1 (маг.&quot;Фуршет&quot;)'),
(1,	5943,	'Отделение №195 (до 5 кг), Мини-отделение: ул. Вершигоры, 1 (маг.&quot;Фуршет&quot;)'),
(3,	5944,	'Відділення №196 (до 5 кг), Міні-відділення: вул. Тростянецька, 1а (маг.&quot;BILLA&quot;)'),
(1,	5944,	'Отделение №196 (до 5 кг), Мини-отделение: ул. Тростянецкая, 1а (маг.&quot;BILLA&quot;)'),
(3,	5945,	'Відділення №197 (до 5 кг), Міні-відділення: бульв. Дружби Народів, 25 (Віденська кав\'ярня)'),
(1,	5945,	'Отделение №197 (до 5 кг), Мини-отделение: бульв. Дружбы Народов, 25 (Венская кофейня)'),
(3,	5946,	'Відділення №199 (до 5 кг), Міні-відділення: вул. Берковецька, 6 (маг.&quot;Ашан&quot;)'),
(1,	5946,	'Отделение №199 (до 5 кг), Мини-отделение: ул. Берковецкая, 6 (маг.&quot;Ашан&quot;)'),
(3,	5947,	'Відділення №200 (до 30 кг на одне місце): просп. Броварський, 29'),
(1,	5947,	'Отделение №200 (до 30 кг на одно место): просп. Броварской, 29'),
(3,	5948,	'Відділення №201 (до 30 кг): просп. В. Маяковського, 15'),
(1,	5948,	'Отделение №201 (до 30 кг): просп.В. Маяковского, 15'),
(3,	5949,	'Відділення №202 (до 30 кг): просп. Георгія Гонгадзе, 5'),
(1,	5949,	'Отделение №202 (до 30 кг): просп. Георгия Гонгадзе, 5'),
(3,	5950,	'Відділення №203 (до 30 кг): просп. Відрадний, 6/1'),
(1,	5950,	'Отделение №203 (до 30 кг): просп. Отрадный, 6/1'),
(3,	5951,	'Відділення №204 (до 30 кг на одне місце): Харківське шосе, 58'),
(1,	5951,	'Отделение №204 (до 30 кг на одно место): Харковское шоссе, 58'),
(3,	5952,	'Відділення №205 (до 30 кг на одне місце): вул. Симиренка, 2/19'),
(1,	5952,	'Отделение №205 (до 30 кг на одно место): ул. Симиренко, 2/19'),
(3,	5953,	'Відділення №206 (до 30 кг): площа Святошинська, 1'),
(1,	5953,	'Отделение №206 (до 30 кг): площадь Святошинская, 1'),
(3,	5954,	'Відділення №209 (до 5 кг), Міні-відділення: вул. Вишгородська, 20/1 (літ.&quot;А&quot;)'),
(1,	5954,	'Отделение №209 (до 5 кг), Мини-отделение: ул. Вышгородская, 20/1 (буква &quot;А&quot;)'),
(3,	5955,	'Відділення №210 (до 30 кг): вул. Єлизавети Чавдар, 13'),
(1,	5955,	'Отделение №210 (до 30 кг): ул. Елизаветы Чавдар, 13'),
(3,	5956,	'Відділення №214 (до 30 кг), просп. Комарова Космонавта, 46Б'),
(1,	5956,	'Отделение №214 (до 30 кг), просп. Комарова Космонавта, 46Б'),
(3,	5957,	'Відділення №215 (до 30 кг): вул. Новомостицька, 2'),
(1,	5957,	'Отделение №215 (до 30 кг): ул. Новомостицкая, 2'),
(3,	5958,	'Відділення №216 (до 30 кг): бульв. Вацлава Гавела, 75'),
(1,	5958,	'Отделение №216 (до 30 кг): бульв. Вацлава Гавела, 75'),
(3,	5959,	'Відділення №217 (до 30 кг): вул. Велика Кільцева, 110-А'),
(1,	5959,	'Отделение №217 (до 30 кг): ул. Большая Окружная, 110-А'),
(3,	5960,	'Відділення №219 (до 5 кг), Міні-відділення: вул. Вереснева, 24 (Авторинок, місце №29)'),
(1,	5960,	'Отделение №219 (до 5 кг), Мини-отделение: ул. Сентябрьская, 24 (Авторынок, место №29)'),
(3,	5961,	'Відділення №220 (до 30 кг): вул. Борщагівська, 206'),
(1,	5961,	'Отделение №220 (до 30 кг): ул. Борщаговская, 206'),
(3,	5962,	'Відділення №221 (до 30 кг): вул. Лісківська, 12/1 (літера А)'),
(1,	5962,	'Отделение №221 (до 30 кг): ул. Лисковская, 12/1 (буква А)'),
(3,	5963,	'Відділення №222 (до 5 кг), Міні-відділення: вул. Дмитрівська, 56 (маг.&quot;Brain&quot;)'),
(1,	5963,	'Отделение №222 (до 5 кг), Мини-отделение: ул. Дмитровская, 56 (маг.&quot;Brain&quot;)'),
(3,	5964,	'Відділення №223 (до 5 кг), Міні-відділення: просп. Відрадний, 40'),
(1,	5964,	'Отделение №223 (до 5 кг), Мини-отделение: просп. Отрадный, 40'),
(3,	5965,	'Відділення №225 (до 30 кг): просп. С. Бандери (ран. Московський), 15а (маг.&quot;Ашан&quot;)'),
(1,	5965,	'Отделение №225 (до 30 кг): просп. С. Бандеры (ран. Московский), 15а (маг.&quot;Ашан&quot;)'),
(3,	5966,	'Відділення №228 (до 30 кг): просп. Голосіївський, 108, корп. 2'),
(1,	5966,	'Отделение №228 (до 30 кг): просп. Голосеевский, 108, корп. 2'),
(3,	5967,	'Відділення №229 (до 15 кг), Міні-відділення: вул. Космонавта Волкова, 16а'),
(1,	5967,	'Отделение №229 (до 15 кг), Мини-отделение: ул. Космонавта Волкова, 16а'),
(3,	5968,	'Відділення №230 (до 5 кг), Міні-відділення: просп. Повітрофлотський, 25'),
(1,	5968,	'Отделение №230 (до 5 кг), Мини-отделение: просп. Воздухофлотский, 25'),
(3,	5969,	'Відділення №231 (до 30 кг): вул. Метрологічна, 2а (маг. &quot;Бадьорий&quot;)'),
(1,	5969,	'Отделение №231 (до 30 кг): ул. Метрологическая, 2а (маг. &quot;Бадьорий&quot;)'),
(3,	5970,	'Відділення №232 (до 30 кг): вул. Академіка Курчатова, 8б'),
(1,	5970,	'Отделение №232 (до 30 кг): ул. Академика Курчатова, 8б'),
(3,	5971,	'Відділення №234 (до 30 кг), вул. Семена Скляренка, 17'),
(1,	5971,	'Отделение №234 (до 30 кг), ул. Семёна Скляренко, 17'),
(3,	5972,	'Відділення №235 (до 30 кг): вул. Московська, 46/2'),
(1,	5972,	'Отделение №235 (до 30 кг): ул. Московская, 46/2'),
(3,	5973,	'Відділення №236 (до 5 кг), Міні-відділення: вул. Замковецька, 106б'),
(1,	5973,	'Отделение №236 (до 5 кг), Мини-отделение: ул. Замковецкая,106б'),
(3,	5974,	'Відділення №237 (до 30 кг): вул. Сім\'ї Хохлових, 1'),
(1,	5974,	'Отделение №237 (до 30 кг): ул. Семьи Хохловых, 1'),
(3,	5975,	'Відділення №238 (до 15 кг), Міні-відділення: вул. Євгенія Харченка, 29 (Бортничі)'),
(1,	5975,	'Отделение №238 (до 15 кг), Мини-отделение: ул. Евгения Харченко, 29 (Бортничи)'),
(3,	5976,	'Відділення №239 (до 30 кг): вул. Тростянецька, 12'),
(1,	5976,	'Отделение №239 (до 30 кг),: ул. Тростянецкая, 12'),
(3,	5977,	'Відділення №240 (до 30 кг): вул. Преображенська, 8б'),
(1,	5977,	'Отделение №240 (до 30 кг): ул. Преображенская, 8б'),
(3,	5978,	'Відділення №242 (до 30 кг на одне місце): вул. Автозаводська, 29А'),
(1,	5978,	'Отделение №242 (до 30 кг на одно место): ул. Автозаводская, 29А'),
(3,	5979,	'Відділення №244 (до 30 кг): просп. Голосіївський, 89'),
(1,	5979,	'Отделение №244 (до 30 кг): просп. Голосеевский, 89'),
(3,	5980,	'Відділення №245 (до 30 кг): просп. Комарова Космонавта/вул. Героїв Севаст., 30/28'),
(1,	5980,	'Отделение №245 (до 30 кг): просп. Комарова Космонавта/ул. Героев Севаст., 30/28'),
(3,	5981,	'Відділення №246 (до 30 кг на одне місце): вул. Сергія Данченка, 6, прим. 28'),
(1,	5981,	'Отделение №246 (до 30 кг на одно место): ул. Сергея Данченко, 6, пом. 28'),
(3,	5982,	'Відділення №248 (до 5 кг), Міні-відділення: бульв. Чоколівський, 42а (маг. &quot;BRILLE&quot;)'),
(1,	5982,	'Отделение №248 (до 5 кг), Мини-отделение: бульв. Чоколовский, 42а (маг. &quot;BRILLE&quot;)'),
(3,	5983,	'Відділення №249 (до 30 кг): вул. Михайла Максимовича, 28Б, прим. 205'),
(1,	5983,	'Отделение №249 (до 30 кг): ул. Михаила Максимовича, 28Б, пом. 205'),
(3,	5984,	'Відділення №250 (до 30 кг на одне місце): вул. Пушкінська, 45/2 (м. &quot;Площа Льва Толстого&quot;)'),
(1,	5984,	'Отделение №250 (до 30 кг на одно место): ул. Пушкинская, 45/2 (м. &quot;Площадь Льва Толстого&quot;)'),
(3,	5985,	'Відділення №251 (до 30 кг): просп. Соборності (ран. Возз\'єднання), 5'),
(1,	5985,	'Отделение №251 (до 30 кг): просп. Соборности (ран. Воссоединения), 5'),
(3,	5986,	'Відділення №252 (до 30 кг на одне місце): вул. Вишгородська, 21'),
(1,	5986,	'Отделение №252 (до 30 кг на одно место): ул. Вышгородская, 21'),
(3,	5987,	'Відділення №253 (до 30 кг): вул. Данила Щербаківського (ран. Щербакова), 59'),
(1,	5987,	'Отделение №253 (до 30 кг): ул. Даниила Щербаковского (ран. Щербакова), 59'),
(3,	5988,	'Відділення №254 (до 30 кг на одне місце): просп. Науки, 94/5'),
(1,	5988,	'Отделение №254 (до 30 кг на одно место): просп. Науки, 94/5'),
(3,	5989,	'Відділення №255 (до 30 кг): вул. Анни Ахматової, 31'),
(1,	5989,	'Отделение №255 (до 30 кг): ул. Анны Ахматовой, 31'),
(3,	5990,	'Відділення №257 (до 5 кг), Міні-відділення: просп. Миру, 9 (маг. &quot;BRILLE&quot;)'),
(1,	5990,	'Отделение №257 (до 5 кг), Мини-отделение: просп. Мира, 9 (маг. &quot;BRILLE&quot;)'),
(3,	5991,	'Відділення №258 (до 30 кг): вул. Срібнокільська, 3а'),
(1,	5991,	'Отделение №258 (до 30 кг): ул. Срибнокильская, 3а'),
(3,	5992,	'Відділення №259 (до 30 кг): вул. Центральна, 12а'),
(1,	5992,	'Отделение №259 (до 30 кг): ул. Центральная, 12а'),
(3,	5993,	'Відділення №260 (до 30 кг), просп. Академіка Глушкова, 9д'),
(1,	5993,	'Отделение №260 (до 30 кг), просп. Академика Глушкова, 9д'),
(3,	5994,	'Відділення №263 (до 30 кг): бульв. Перова, 10'),
(1,	5994,	'Отделение №263 (до 30 кг): бульв. Перова, 10'),
(3,	5995,	'Склад (ЗАКРИТОГО ТИПУ) відділення №266'),
(1,	5995,	'Склад (ЗАКРЫТОГО ТИПА) отделение №266'),
(3,	5996,	'Склад 27 ТОВ: відділення №267 ЗАКРИТОГО ТИПУ'),
(1,	5996,	'Склад 27 ООО: отделение №267 ЗАКРЫТОГО ТИПА'),
(3,	5997,	'Склад ЕКТА СЕРВІС: відділення №268 ЗАКРИТОГО ТИПУ - для Клієнтів Екта Сервіс'),
(1,	5997,	'Склад ЭКТА СЕРВИС: отделение №268 ЗАКРЫТОГО ТИПА - для Клиентов Экта Сервис'),
(3,	5998,	'Відділення №269 (до 30 кг): вул. Алматинська, 37-Б'),
(1,	5998,	'Отделение №269 (до 30 кг): ул. Алматинская, 37-Б'),
(3,	5999,	'Відділення №270 (до 30 кг): вул. Дегтярівська, 3, прим. 10'),
(1,	5999,	'Отделение №270 (до 30 кг): ул. Дегтярёвская, 3, пом. 10'),
(3,	6000,	'Відділення №271 (до 30 кг): вул. Світлицького, 31/7 (заїзд з вул. Межова)'),
(1,	6000,	'Отделение №271 (до 30 кг): ул. Светлицкого, 31/7 (заезд с ул. Межевая)'),
(3,	6001,	'Відділення №272 (до 30 кг): вул. Кільцева, 12 (ТЦ &quot;Leroy Merlin&quot;)'),
(1,	6001,	'Отделение №272 (до 30 кг): ул. Кольцевая, 12 (ТЦ &quot;Leroy Merlin&quot;)'),
(3,	6002,	'Відділення №273 (до 30 кг): вул. Академіка Лебедєва, 1, корп. 1, прим. №144'),
(1,	6002,	'Отделение №273 (до 30 кг): ул. Академика Лебедева, 1, корп. 1, пом. №144'),
(3,	6003,	'Відділення №275 (до 30 кг): вул. Генерала Родимцева, 11, прим. 1'),
(1,	6003,	'Отделение №275 (до 30 кг): ул. Генерала Родимцева, 11, пом. 1'),
(3,	6004,	'Відділення №276 (до 30 кг): вул. Малиновського, 11'),
(1,	6004,	'Отделение №276 (до 30 кг): ул. Малиновского, 11'),
(3,	6005,	'Відділення №277 (до 30 кг): просп. Перемоги, 15А, прим. 140'),
(1,	6005,	'Отделение №277 (до 30 кг): просп. Победы, 15А, пом. 140'),
(3,	6006,	'Відділення №278 (до 30 кг), вул. Костянтинівська, 71 (літера С)'),
(1,	6006,	'Отделение №278 (до 30 кг), ул. Константиновская, 71 (буква С)'),
(3,	6007,	'Відділення №279 (до 30 кг): вул. Мишуги Олександра, 2'),
(1,	6007,	'Отделение №279 (до 30 кг): ул. Мишуги Александра, 2'),
(3,	6008,	'Відділення №280 (до 30 кг): вул. Русової Софії, 3-А, прим. 5'),
(1,	6008,	'Отделение №280 (до 30 кг): ул. Русовой Софии, 3-А, пом. 5'),
(3,	6009,	'Відділення №281 (до 30 кг): вул. Юнацька, 19 (ЖК &quot;PARKLAND&quot;)'),
(1,	6009,	'Отделение №281 (до 30 кг): ул. Юнацкая, 19 (ЖК &quot;PARKLAND&quot;)'),
(3,	6010,	'Відділення №283: вул. Російська, 84'),
(1,	6010,	'Отделение №283: ул. Российская, 84'),
(3,	6011,	'Відділення №284 (до 30 кг): вул. Конєва Маршала, 9, прим. 83'),
(1,	6011,	'Отделение №284 (до 30 кг): ул. Конева Маршала, 9, пом. 83'),
(3,	6012,	'Відділення №285 (до 30 кг на одне місце): просп. Перемоги, 64 А'),
(1,	6012,	'Отделение №285 (до 30 кг на одно место): просп. Победы, 64 А'),
(3,	6013,	'Відділення №286 (до 5 кг), Міні-відділення: вул. Васильківська, 32'),
(1,	6013,	'Отделение №286 (до 5 кг), Мини-отделение: ул. Васильковская, 32'),
(3,	6014,	'Відділення №287 (до 30 кг): вул. Гната Юри, 7 (літера А)'),
(1,	6014,	'Отделение №287 (до 30 кг): ул. Гната Юры, 7 (буква А)'),
(3,	6015,	'Відділення №288 (до 30 кг): вул. Саксаганського, 48/15'),
(1,	6015,	'Отделение №288 (до 30 кг): ул. Саксаганского, 48/15'),
(3,	6016,	'Відділення №289 (до 30 кг): вул. Тираспольська, 58, прим. 89б'),
(1,	6016,	'Отделение №289 (до 30 кг): ул. Тираспольская, 58, пом. 89б'),
(3,	6017,	'Відділення №290 (до 30 кг): вул. Закревського Миколи, 21'),
(1,	6017,	'Отделение №290 (до 30 кг): ул. Закревского Николая, 21'),
(3,	6018,	'Відділення №292 (до 30 кг): вул. Полтавська, 10 (зі сторони вул.Чорновола)'),
(1,	6018,	'Отделение №292 (до 30 кг): ул. Полтавская, 10 (со стороны ул.Чорновола)'),
(3,	6019,	'Відділення №293 (до 30 кг): вул. Академіка Булаховського, 5б'),
(1,	6019,	'Отделение №293 (до 30 кг): ул. Академіка Булаховского, 5б'),
(3,	6020,	'Відділення №294 (до 15 кг), Міні-відділення: вул. Бульварно-Кудрявська, 5а'),
(1,	6020,	'Отделение №294 (до 15 кг) Мини-отделение: ул. Бульварно-Кудрявская, 5а'),
(3,	6021,	'Відділення №295 (до 30 кг на одне місце): вул. Бальзака Оноре, 4 (ТЦ «Глобал»)'),
(1,	6021,	'Отделение №295 (до 30 кг на одно место): ул. Бальзака Оноре, 4 (ТЦ «Глобал»)'),
(3,	6022,	'Відділення №296 (до 30 кг): просп. Перемоги, 71А'),
(1,	6022,	'Отделение №296 (до 30 кг): просп. Победы, 71А'),
(3,	6023,	'Відділення №297 (до 30 кг): просп. Перемоги, 131-А, прим. 130'),
(1,	6023,	'Отделение №297 (до 30 кг): просп. Победы, 131-А, пом. 130'),
(3,	6024,	'Відділення №298 (до 30 кг): вул. Панельна, 4'),
(1,	6024,	'Отделение №298 (до 30 кг): ул. Панельная, 4'),
(3,	6025,	'Відділення №299 (до 30 кг): просп. Повітрофлотський, 74'),
(1,	6025,	'Отделение №299 (до 30 кг): просп. Воздухофлотский, 74'),
(3,	6026,	'Відділення №300 (до 5 кг), Міні-відділення: вул. Болсуновська, 13-15 (БЦ &quot;IQ&quot;, 1 пов.)'),
(1,	6026,	'Отделение №300 (до 5 кг), Мини-отделение: ул. Болсуновская, 13-15 (БЦ &quot;IQ&quot;, 1 эт.)'),
(3,	6027,	'Відділення №301 (до 30 кг): просп. Маяковського Володимира, 26 А'),
(1,	6027,	'Отделение №301 (до 30 кг): просп. Маяковского Владимира, 26 А'),
(3,	6028,	'Відділення №308 (до 30 кг): вул. Нижній Вал, 7-9'),
(1,	6028,	'Отделение №308 (до 30 кг): ул. Нижний Вал, 7-9'),
(3,	6029,	'Відділення №309 (до 30 кг): вул. Якуба Коласа, 25'),
(1,	6029,	'Отделение №309 (до 30 кг): ул. Якуба Коласа, 25'),
(3,	6030,	'Відділення №316 (до 15 кг), Міні-відділення: вул. Ревуцького, 9'),
(1,	6030,	'Отделение №316 (до 15 кг), Мини-отделение: ул. Ревуцкого, 9'),
(3,	6031,	'Відділення №317 (до 30 кг): вул. Трускавецька, 2-А, прим. 3'),
(1,	6031,	'Отделение №317 (до 30 кг): ул. Трускавецкая, 2-А, пом. 3'),
(3,	6032,	'Відділення №318 (до 30 кг на одне місце): просп. Юрія Гагаріна, 15'),
(1,	6032,	'Отделение №318 (до 30 кг на одно место): просп. Юрия Гагарина, 15'),
(3,	6033,	'Відділення №319 (до 30 кг): вул. Єлизавети Чавдар, 8'),
(1,	6033,	'Отделение №319 (до 30 кг): ул. Елизаветы Чавдар, 8'),
(3,	6034,	'Відділення №320 (до 30 кг): вул. Анни Ахматової, буд. 9/18 літера А, прим. №133 блок №3'),
(1,	6034,	'Отделение №320 (до 30 кг): ул. Анны Ахматовой, д. 9/18 буква А, пом. №133 блок №3'),
(3,	6035,	'Відділення №321 (до 30 кг): бульв. Чоколівський, 20, прим. 101'),
(1,	6035,	'Отделение №321 (до 30 кг): бульв. Чоколовский, 20, пом. 101'),
(3,	6036,	'Відділення №325 (до 30 кг на одне місце): вул. Харченка (ран. Леніна), 45, літера &quot;А&quot; (Бортничі)'),
(1,	6036,	'Отделение №325 (до 30 кг на одно место): вул. Харченка (ран. Леніна), 45, літера &quot;А&quot; (Бортничі)'),
(3,	6037,	'Відділення №326 (до 30 кг на одне місце): вул. Тростянецька, 4/2'),
(1,	6037,	'Отделение №326 (до 30 кг на одно место): ул. Тростянецкая, 4/2'),
(3,	6038,	'Відділення №327 (до 30 кг): бульв. Вацлава Гавела (ран. Лепсе Івана), 47/15'),
(1,	6038,	'Отделение №327 (до 30 кг): бульв. Вацлава Гавела (ран. Лепсе Ивана), 47/15'),
(3,	6039,	'Відділення №329 (до 30 кг на одне місце): вул. Мишуги, 9а'),
(1,	6039,	'Отделение №329 (до 30 кг на одно место): ул. Мишуги, 9а'),
(3,	6040,	'Відділення №330 (до 30 кг): просп. Леся Курбаса, 9г'),
(1,	6040,	'Отделение №330 (до 30 кг): просп. Леся Курбаса, 9г'),
(3,	6041,	'Відділення №331 (до 30 кг на одне місце): вул. Закревського, 87'),
(1,	6041,	'Отделение №331 (до 30 кг на одно место): ул. Закревского, 87'),
(3,	6042,	'Відділення №332 (до 30 кг): вул. Солом\'янська, 20-В, прим. 1004'),
(1,	6042,	'Отделение №332 (до 30 кг): ул. Соломенская, 20-В, пом. 1004'),
(3,	6043,	'Відділення №333 (до 30 кг): вул. Академіка Туполева, 28'),
(1,	6043,	'Отделение №333 (до 30 кг): ул. Академика Туполева, 28'),
(3,	6044,	'Відділення №334 (до 30 кг): вул. Північна, 1а'),
(1,	6044,	'Отделение №334 (до 30 кг): ул. Северная, 1а'),
(3,	6045,	'Відділення №335 (до 30 кг): вул. Ірпінська, 76'),
(1,	6045,	'Отделение №335 (до 30 кг): ул. Ирпенская, 76'),
(3,	6046,	'Відділення №336 (до 30 кг): бульв. Дружби Народів, 7'),
(1,	6046,	'Отделение №336 (до 30 кг): бульв. Дружбы Народов, 7'),
(3,	6047,	'Відділення №337 (до 30 кг): вул. Татарська, 27/4'),
(1,	6047,	'Отделение №337 (до 30 кг): ул. Татарская, 27/4'),
(3,	6048,	'Відділення №338 (до 30 кг): вул. Щусєва, 36'),
(1,	6048,	'Отделение№338 (до 30 кг): ул. Щусева, 36'),
(3,	6049,	'Відділення №339 (до 30 кг): вул. Радунська, 13а'),
(1,	6049,	'Отделение №339 (до 30 кг): ул. Радунская, 13а'),
(3,	6050,	'Відділення №341 (до 30 кг): вул. Кловський Узвіз, 14/24'),
(1,	6050,	'Отделение №341 (до 30 кг): ул. Кловский Спуск, 14/24'),
(3,	6051,	'Відділення №342 (до 30 кг на одне місце): вул. Ентузіастів, 47'),
(1,	6051,	'Отделение №342 (до 30 кг на одно место): ул. Энтузиастов, 47'),
(3,	6052,	'Відділення №345 (до 30 кг): пл. Майдан Незалежності, 1 (ТЦ &quot;Глобус&quot;, 2-лінія)'),
(1,	6052,	'Отделение №345 (до 30 кг): пл. Майдан Независимости, 1 (ТЦ &quot;Глобус&quot; 2-линия)'),
(3,	6053,	'Відділення №346 (до 30 кг): вул. Академіка Вільямса, 6а'),
(1,	6053,	'Отделение №346 (до 30 кг): ул. Академика Вильямса, 6а'),
(3,	6054,	'Відділення №347 (до 15 кг), Міні-відділення: вул. Кирилівська, 160 (маг.&quot;МІЙ АШАН&quot;)'),
(1,	6054,	'Отделение №347 (до 15 кг), Мини-отделение: ул. Кириловская, 160 (маг.&quot;МОЙ АШАН&quot;)'),
(3,	6055,	'Відділення №350 (до 5 кг), Міні-відділення: Харківське шосе, 201/203 (&quot;Kasta&quot; секція А)'),
(1,	6055,	'Отделение №350 (до 5 кг), Мини-отделение: Харьковское шоссе, 201/203 (&quot;Kasta&quot; секция А)'),
(3,	6056,	'Відділення №352 (до 30 кг): вул. Здолбунівська, 7г (маг.&quot;NOVUS&quot;)'),
(1,	6056,	'Отделение №352 (до 30 кг), Мини-отделение: ул. Здолбуновская, 7г (маг.&quot;NOVUS&quot;)'),
(3,	6057,	'Відділення №354 (до 30 кг): вул. Сім\'ї Сосніних, 17о'),
(1,	6057,	'Отделение №354 (до 30 кг): ул. Семьи Сосниных, 17о'),
(3,	6058,	'Відділення №355 (до 30 кг): вул. Ломоносова, 59'),
(1,	6058,	'Отделение №355 (до 30 кг): ул. Ломоносова, 59'),
(3,	6059,	'Відділення №359 (до 5 кг), Міні-відділення: вул. Ушинського, 19'),
(1,	6059,	'Отделение №359 (до 5 кг), Мини-отделение: ул. Ушинского, 19'),
(3,	6060,	'Відділення №360 (до 5 кг), Міні-відділення: бульв. Лесі Українки, 5 (маг.&quot;Фуршет&quot;)'),
(1,	6060,	'Отделение №360 (до 5 кг), Мини-отделение: бульв. Леси Украинки, 5(маг.&quot;Фуршет&quot;)'),
(3,	6061,	'Відділення №365 (до 30 кг): просп. Соборності, 7а'),
(1,	6061,	'Отделение №365 (до 30 кг): просп. Соборности, 7а'),
(3,	6062,	'Відділення №375 (до 30 кг): вул. Євгена Сверстюка, 11Б'),
(1,	6062,	'Отделение №375 (до 30 кг): ул. Евгения Сверстюка, 11Б'),
(3,	6063,	'Поштомат &quot;Нова Пошта&quot; №3002: Столичне шосе, 103 (ТРЦ Атмосфера)'),
(1,	6063,	'Почтомат &quot;Новая Почта&quot; №3002: Столичное шоссе, 103 (ТРЦ Атмосфера)'),
(3,	6064,	'Поштомат &quot;Нова Пошта&quot; №3003: вул. Плещеєва, 10 (Офісний центр &quot;Столичний&quot;)'),
(1,	6064,	'Почтомат &quot;Новая Почта&quot; №3003: ул. Плещеева, 10, Офисный центр &quot;Столичный&quot;'),
(3,	6065,	'Поштомат &quot;Нова Пошта&quot; №3004: вул. Академіка Заболотного, 37 (ТРЦ &quot;Арт Молл&quot;)'),
(1,	6065,	'Почтомат &quot;Новая Почта&quot; №3004: ул. Академика Заболотного, 37 (ТРЦ &quot;Арт Молл&quot;)'),
(3,	6066,	'Поштомат &quot;Нова Пошта&quot; №3005: вул. Ярославська, 58 (БЦ &quot;Астарта&quot;)'),
(1,	6066,	'Почтомат &quot;Новая Почта&quot; №3005: ул. Ярославская, 58 (БЦ Астарта)'),
(3,	6067,	'Поштомат &quot;Нова Пошта&quot; №3006: вул. Братиславська, 11 (Епіцентр)'),
(1,	6067,	'Почтомат &quot;Новая Почта&quot; №3006: ул. Братиславская, 11 (Эпицентр)'),
(3,	6068,	'Поштомат &quot;Нова Пошта&quot; №3007: вул. Жилянська, 128/28 (Будинок побуту)'),
(1,	6068,	'Почтомат &quot;Новая Почта&quot; №3007: ул. Жилянская, 128/28 (Дом быта)'),
(3,	6069,	'Поштомат &quot;Нова Пошта&quot; №3008: вул. Западинська, 5 (Бізнес-центр)'),
(1,	6069,	'Поштомат &quot;Нова Пошта&quot; №3008: ул. Западинская, 5 (Бизнес-центр)'),
(3,	6070,	'Поштомат &quot;Нова Пошта&quot; №3009: вул. Героїв Дніпра, 34 (ТЦ Solaris)'),
(1,	6070,	'Почтомат &quot;Новая Почта&quot; №3009: ул. Героев Днепра, 34 (ТЦ Solaris)'),
(3,	6071,	'Поштомат &quot;Нова Пошта&quot; №3010: вул. Полярна, 20-Д (Епіцентр)'),
(1,	6071,	'Почтомат &quot;Новая Почта&quot; №3010: ул. Полярная, 20-Д   (Епицентр)'),
(3,	6072,	'Поштомат &quot;Нова Пошта&quot; №3011: вул. Бульварно-Кудрявська, 15 (Продукти Пепсіко)'),
(1,	6072,	'Почтомат &quot;Новая Почта&quot; №3011: ул. Бульварно-Кудрявская, 15 (Продукты Пепсико)'),
(3,	6073,	'Поштомат &quot;Нова Пошта&quot; №3012:  вул. Прорізна, 9 (Продукти Пепсіко)'),
(1,	6073,	'Почтомат &quot;Новая Почта&quot; №3012: ул. Прорезная, 9 (Продукты Пепсико)'),
(3,	6074,	'Поштомат &quot;Нова Пошта&quot; №3013: перетин Оболонського проспекту та вул. Героїв Дніпра (ТЦ Оазис)'),
(1,	6074,	'Почтомат &quot;Новая Почта&quot; №3013: пересечение Оболонского проспекта и ул. Героев Днепра (ТЦ Оазис)'),
(3,	6075,	'Поштомат &quot;Нова Пошта&quot; №3014: вул. Малиновського Маршала, 12А (ТЦ Метрополіс)'),
(1,	6075,	'Почтомат &quot;Новая Почта&quot; №3014: ул. Малиновского Маршала, 12А (ТЦ &quot;Метрополис&quot;)'),
(3,	6076,	'Поштомат &quot;Нова Пошта&quot; №3016: просп. Шухевича, 2т (ТЦ Скай Молл)'),
(1,	6076,	'Почтомат &quot;Новая Почта&quot; №3016; просп. Шухевича, 2т (ТЦ Скай Молл)'),
(3,	6077,	'Поштомат &quot;Нова Пошта&quot; №3017: вул. Качалова, 5А (Бізнес-центр)'),
(1,	6077,	'Почтомат &quot;Новая Почта&quot; №3017; ул. Качалова, 5А (Бизнес-центр)'),
(3,	6078,	'Поштомат &quot;Нова Пошта&quot; №3018: вул. Литвиненко-Вольгемут, 3 (Мінімаркет &quot;Святковий&quot;)'),
(1,	6078,	'Почтомат &quot;Новая Почта&quot; №3018; ул. Литвиненко-Вольгемут, 3 (Минимаркет &quot;Святковий&quot;)'),
(3,	6079,	'Поштомат &quot;Нова Пошта&quot; №3019: вул. Сім\'і Прахових, 6 (Бізнес-Центр)'),
(1,	6079,	'Почтомат &quot;Новая Почта&quot; №3019; ул. Семьи Праховых, 6 (Бизнес-Центр)'),
(3,	6080,	'Поштомат &quot;Нова Пошта&quot; №3020: вул. Бережанська, 4 (БЦ Сокіл)'),
(1,	6080,	'Почтомат &quot;Новая Почта&quot; №3020; ул. Бережанская, 4 (БЦ Сокол)'),
(3,	6081,	'Поштомат &quot;Нова Пошта&quot; №3021: бульвар Тараса Шевченка, 48 (Продукти Пепсіко)'),
(1,	6081,	'Почтомат &quot;Новая Пошта&quot; №3021: бульвар Тараса Шевченка, 48 (Продукты Пепсико)'),
(3,	6082,	'Поштомат &quot;Нова Пошта&quot; №3023: вул. Маршала Тимошенко, 21, К1 (ТЦ Smart Plaza Obolon)'),
(1,	6082,	'Почтомат &quot;Новая Почта&quot; №3023: ул. Маршала Тимошенко, 21, К1 (ТЦ Smart Plaza Obolon)'),
(3,	6083,	'Поштомат &quot;Нова Пошта&quot; №3024: вул. Машинобудівна, 37 (БЦ Iland)'),
(1,	6083,	'Почтомат &quot;Новая Почта&quot; №3024; ул. Машиностроительная, 37 (БЦ Iland)'),
(3,	6084,	'Поштомат &quot;Нова Пошта&quot; №3025: вул. Шолом-Алейхема, 4 (Аптека Аптекарь)'),
(1,	6084,	'Почтомат &quot;Новая Почта&quot; №3025: ул. Шолом-Алейхема, 4 (Аптека Аптекарь)'),
(3,	6085,	'Поштомат &quot;Нова Пошта&quot; №3027: вул. Липська, 12/5 (Продукти Пепсіко)'),
(1,	6085,	'Почтомат &quot;Новая Почта&quot; №3027: ул. Липская, 12/5 (Продукты Пепсико)'),
(3,	6086,	'Поштомат &quot;Нова Пошта&quot; №3028: Бортничі, вул. Є. Харченка, 65 (Магазин Dini)'),
(1,	6086,	'Почтомат &quot;Новая Почта&quot; №3028; Бортничі, ул. Е. Харченка, 65 (Магазин Dini)'),
(3,	6087,	'Поштомат &quot;Нова Пошта&quot; №3029: вул. Алма-Атинська, 39а (Магазин Dini)'),
(1,	6087,	'Почтомат &quot;Новая Почта&quot; №3029; ул. Алма-Атинская, 39а (Магазин Dini)'),
(3,	6088,	'Поштомат &quot;Нова Пошта&quot; №3030: вул. О. Гончара, 30 (Продмаркет)'),
(1,	6088,	'очтомат &quot;Новая Почта&quot; №3030; ул. О. Гончара, 30 (Продмаркет)'),
(3,	6089,	'Поштомат &quot;Нова Пошта&quot; №3031: вул. Михайла Грушевського, 9Б (БЦ Самміт)'),
(1,	6089,	'Почтомат &quot;Нова Пошта&quot; №3031, ул. Михаила Грушевского, 9Б (БЦ Саммит)'),
(3,	6090,	'Поштомат &quot;Нова Пошта&quot; №3032: с. Петропавлівська Борщагівка, вул. Соборна, 2-В (БЦ Golden River)'),
(1,	6090,	'Почтомат &quot;Нова Пошта&quot; №3032, с. ПП Борщаговка, ул. Соборна, 2-В (БЦ Golden River)'),
(3,	6091,	'Поштомат &quot;Нова Пошта&quot; №3033: вул. Чорнобильська, 16/80 (Велмарт)'),
(1,	6091,	'Почтомат &quot;Новая Почта&quot; №3033: ул. Чернобыльская, 16/80 (Велмарт)'),
(3,	6092,	'Поштомат &quot;Нова Пошта&quot; №3034: просп. Академіка Глушкова, 9Є (Продуктовий міні-маркет Spar)'),
(1,	6092,	'Почтомат &quot;Новая Почта&quot; №3034: просп. Академика Глушкова, 9Є (Продуктовый мини-маркет Spar)'),
(3,	6093,	'Поштомат &quot;Нова Пошта&quot; №3035: пл. Оболонська, 6 (Велика Кишеня)'),
(1,	6093,	'Почтомат &quot;Новая Почта&quot; №3035, пл. Оболонская, 6 (Велика Кишеня)'),
(3,	6094,	'Поштомат &quot;Нова Пошта&quot; №3036: с. Софіївська Борщагівка, вул. Шалімова, 63 (ТЦ Софіївський квартал)'),
(1,	6094,	'Почтомат &quot;Новая Почта&quot; №3036: с. Софиевская Борщаговка, ул. Шалимова, 63 (ТЦ Софіївський квартал)'),
(3,	6095,	'Поштомат &quot;Нова Пошта&quot; №3038: с. Софіївська Борщагівка, вул. Боголюбова, 6 (Міні-маркет Софія Фуд)'),
(1,	6095,	'Почтомат &quot;Новая Почта&quot; №3038, с. Соф. Борщаговка, ул. Боголюбова, 6 (Мини-маркет София Фуд)'),
(3,	6096,	'Поштомат &quot;Нова Пошта&quot; №3039: вул. Шовковична, 13/2 (Продукти Пепсіко)'),
(1,	6096,	'Почтомат &quot;Новая Почта&quot; №3039: ул. Шелковичная, 13/2 (Продукты &quot;Пепсико&quot;)'),
(3,	6097,	'Поштомат &quot;Нова Пошта&quot; №3041:  вул. Машинобудівна, 41 (ЖК SmartHouse, 1 секція)'),
(1,	6097,	'Почтомат &quot;Новая Почта&quot; №3041: ул. Машиностроительная, 41 (ЖК SmartHouse, 1 секция)'),
(3,	6098,	'Поштомат &quot;Нова Пошта&quot; №3042: вул. Михайла Драгоманова, 31Б (Аптека Віталюкс)'),
(1,	6098,	'Почтомат &quot;Новая Почта&quot; №3042: ул. Михаила Драгоманова, 31Б (Аптека Виталюкс)'),
(3,	6099,	'Поштомат &quot;Нова Пошта&quot; №3043: вул. Антоновича, 97 (Продукти Пепсіко)'),
(1,	6099,	'Почтомат &quot;Новая Почта&quot;  №3043: ул. Антоновича, 97 (Продукты Пепсико)'),
(3,	6100,	'Поштомат &quot;Нова Пошта&quot; №3044: вул. Миколи Пимоненка, 13 (БЦ Форум Ділове містечко)'),
(1,	6100,	'Почтомат &quot;Новая Почта&quot; №3044: ул. Николая Пимоненка, 13 (БЦ Форум Деловой городок)'),
(3,	6101,	'Поштомат &quot;Нова Пошта&quot; №3045: вул. Інститутська, 25 (Продукти Пепсіко)'),
(1,	6101,	'Почтомат &quot;Новая Почта&quot; №3045: ул. Институтская, 25 (Продукты Пепсико)'),
(3,	6102,	'Поштомат &quot;Нова Пошта&quot; №3046: вул. Архітектора Вербицького, 18 (Велика Кишеня)'),
(1,	6102,	'Почтомат &quot;Новая Пошта&quot; №3046: ул. Архитектора Вербицкого, 18 (Велика Кишеня)'),
(3,	6103,	'Поштомат &quot;Нова Пошта&quot; №3047: вул. Саксаганського, 102 (Продукти Пепсіко)'),
(1,	6103,	'Почтомат &quot;Новая Почта&quot; №3047: ул. Саксаганського, 102 (Продукты Пепсико)'),
(3,	6104,	'Поштомат &quot;Нова Пошта&quot; №3048: вул. Володимирська, 11/6 (Продукти Пепсіко)'),
(1,	6104,	'Почтомат &quot;Новая Почта&quot; №3048: ул. Владимирская, 11/6 (Продукты Пепсико)'),
(3,	6105,	'Поштомат &quot;Нова Пошта&quot; №3049: пров. Охтирський, 7 (БЦ Форум Вікторія Парк)'),
(1,	6105,	'Почтомат &quot;Новая Пошта&quot; №3049: проулок Охтырский, 7 (БЦ Форум Виктория Парк)'),
(3,	6106,	'Поштомат &quot;Нова Пошта&quot; №3050: просп. Степана Бандери, 9 (БЦ Форум Park Plaza)'),
(1,	6106,	'Почтомат &quot;Новая Пошта&quot; №3050: просп. Степана Бандери, 9 (БЦ Форум Park Plaza)'),
(3,	6107,	'Поштомат &quot;Нова Пошта&quot; №3051: вул. Олени Теліги, 6 (БЦ Форум West Side)'),
(1,	6107,	'Почтомат &quot;Новая Пошта&quot; №3051: ул. Елены Телиги, 6 (БЦ Форум West Side)'),
(3,	6108,	'Поштомат &quot;Нова Пошта&quot; №3052: просп. Петра Григоренко, 26 (Велика Кишеня, 2-й поверх)'),
(1,	6108,	'Почтомат &quot;Нова Пошта&quot; №3052: просп. Петра Григоренко, 26 (Велика Кишеня, 2-ой этаж)'),
(3,	6109,	'Поштомат &quot;Нова Пошта&quot; №3053: вул. Івана Франка, 38 (Продукти Пепсіко)'),
(1,	6109,	'Почтомат &quot;Новая Почта&quot; №3053: ул. Ивана Франка, 38 (Продукты Пепсико)'),
(3,	6110,	'Поштомат &quot;Нова Пошта&quot; №3054: Хрестовий провулок, 2 (БЦ Сапфір)'),
(1,	6110,	'Почтомат &quot;Новая Почта&quot; №3054: Крестовий переулок, 2 (БЦ Сапфир)'),
(3,	6111,	'Поштомат &quot;Нова Пошта&quot; №3055: бульв. Перова, 52 а (Лоток)'),
(1,	6111,	'Почтомат &quot;Новая Пошта&quot; №3055: бульв. Перова,52 а (Лоток)'),
(3,	6112,	'Поштомат &quot;Нова Пошта&quot; №3056: вул. Закревського, 9 (Лоток)'),
(1,	6112,	'Почтомат &quot;Новая Пошта&quot; №3056: ул. Закревского, 9 (Лоток)'),
(3,	6113,	'Поштомат &quot;Нова Пошта&quot; №3057: вул. Закревського, 75/2 (Лоток)'),
(1,	6113,	'Почтомат &quot;Новая Пошта&quot;, №3057: ул. Закревского, 75/2 ((Лоток)'),
(3,	6114,	'Поштомат &quot;Нова Пошта&quot; №3058: вул. Комбінатна,25 (Лоток)'),
(1,	6114,	'Почтомат &quot;Новая Пошта&quot; №3058: ул. Комбинатная, 25 (Лоток)'),
(3,	6115,	'Поштомат &quot;Нова Пошта&quot; №3059: вул. Вільямса, 9 (Лоток)'),
(1,	6115,	'Почтомат &quot;Новая Пошта&quot; №3059: ул. Вильямса, 9 (Лоток)'),
(3,	6116,	'Поштомат &quot;Нова Пошта&quot; №3060: просп. Лобановського, 57 (Лоток)'),
(1,	6116,	'Почтомат &quot;Новая Пошта&quot; №3060: просп. Лобановского, 57 (Лоток)'),
(3,	6117,	'Поштомат &quot;Нова Пошта&quot; №3061: вул. Молодогвардійська, 12 (Лоток)'),
(1,	6117,	'Почтомат &quot;Новая Пошта&quot; №3061: ул. Молодогвардейская, 12 (Лоток)'),
(3,	6118,	'Поштомат &quot;Нова Пошта&quot; №3062: вул. А. Міцкевича, 8 (Лоток)'),
(1,	6118,	'Почтомат &quot;Новая Пошта&quot; №3062: ул. А. Мицкевича, 8 (Лоток)'),
(3,	6119,	'Поштомат &quot;Нова Пошта&quot; №3063: вул. Шамрила, 1А (Лоток)'),
(1,	6119,	'Почтомат &quot;Новая Пошта&quot; №3063: ул. Шамрила, 1А (Лоток)'),
(3,	6120,	'Поштомат &quot;Нова Пошта&quot; №3064: вул. Баумана, 26 (Лоток)'),
(1,	6120,	'Почтомат &quot;Новая Пошта&quot; №3064: ул. Баумана, 26 (Лоток)'),
(3,	6121,	'Поштомат &quot;Нова Пошта&quot; №3065: просп. Перемоги, 142А (Лоток)'),
(1,	6121,	'Почтомат &quot;Новая Пошта&quot; №3065: просп. Победы, 142А (Лоток)'),
(3,	6122,	'Поштомат &quot;Нова Пошта&quot; №3066: просп. Л.Курбаса, 9В (Лоток)'),
(1,	6122,	'Почтомат &quot;Новая Пошта&quot; №3066: просп. Л. Курбаса, 9В (Лоток)'),
(3,	6123,	'Поштомат &quot;Нова Пошта&quot; №3067: вул. Старосільська, 52 а (Лоток)'),
(1,	6123,	'Почтомат &quot;Новая Пошта&quot; №3067: ул. Старосельськая, 52 а (Лоток)'),
(3,	6124,	'Поштомат &quot;Нова Пошта&quot; №3068: просп. Героїв Сталінграда, 7а (Лоток)'),
(1,	6124,	'Почтомат &quot;Новая Пошта&quot; №3068: просп. Героев Сталинграда, 7а (Лоток)'),
(3,	6125,	'Поштомат &quot;Нова Пошта &quot; №3069: просп. Броварський, 3а (WOG)'),
(1,	6125,	'Почтомат &quot;Новая Пошта &quot; №3069: просп. Броварской, 3а (WOG)'),
(3,	6126,	'Поштомат &quot;Нова Пошта&quot; №3070: просп. Перемоги, 136в (маг. Продукти)'),
(1,	6126,	'Почтомат &quot;Новая Пошта&quot; № 3070: просп. Победы, 136в (маг. Продукты)'),
(3,	6127,	'Поштомат &quot;Нова Пошта&quot; № 3072: вул. М. Кривоноса, 17 (Продмаркет)'),
(1,	6127,	'Почтомат &quot;Новая Пошта&quot; № 3072: ул. М. Кривоноса, 17 (Продмаркет)'),
(3,	6128,	'Поштомат &quot;Нова Пошта&quot; №3073: вул. Єреванська, 30 (Продмаркет)'),
(1,	6128,	'Почтомат &quot;Новая Пошта&quot; № 3073: ул. Ереванская, 30 (Продмаркет)'),
(3,	6129,	'Поштомат &quot;Нова Пошта&quot;  №3075: вул. Костьольна, 3 (Продмаркет)'),
(1,	6129,	'Почтомат &quot;Новая Пошта&quot;  №3075: ул. Костельная, 3 (Продмаркет)'),
(3,	6130,	'Поштомат &quot;Нова Пошта&quot; №3076: просп. Степана Бандери, 28А (БЦ SP Hall)'),
(1,	6130,	'Почтомат &quot;Новая Пошта&quot; №3076, пр-кт. Степана Бандери, 28А (БЦ SP Hall)'),
(3,	6131,	'Поштомат &quot;Нова Пошта&quot; № 3077: вул. Лютеранська, 30 (Продмаркет)'),
(1,	6131,	'Поштомат &quot;Нова Пошта&quot; № 3077: ул. Лютеранская, 30 (Продмаркет)'),
(3,	6132,	'Поштомат &quot;Нова Пошта&quot; №3079: підземний перехід біля ст. метро Площа Льва Толтого (Продмаркет)'),
(1,	6132,	'Почтомат &quot;Новая Пошта&quot; №3079, подземный переход возле ст. метро Площадь Льва Толстого, Продмаркет'),
(3,	6133,	'Поштомат &quot;Нова Пошта&quot; №3085: просп. Московський, 257 (Супермаркет РОСТ)'),
(1,	6133,	'Почтомат &quot;Новая Пошта&quot; №3085: просп. Московский, 257 (Супермаркет РОСТ)'),
(3,	6134,	'Поштомат &quot;Нова Пошта&quot; №3086: Люстдорфська дорога, 140/1 (Таврія В)'),
(1,	6134,	'Почтомат &quot;Новая Пошта&quot; №3086: Люстдорфская дорога, 140/1 (Таврия В)'),
(3,	6135,	'Поштомат &quot;Нова Пошта&quot; №3087: вул. Саперно-Слобідська, 10 (маг. Велмарт)'),
(1,	6135,	'Почтомат &quot;Новая Пошта&quot; № 3087: ул. Саперно-Слободская, 10 (маг. Велмарт)'),
(3,	6136,	'Поштомат &quot;Нова Пошта&quot; №3088: вул. Софіївська, 25 (Продукти Пепсіко)'),
(1,	6136,	'Почтомат &quot;Новая Пошта&quot; №3088: ул. Софиевская, 25 (Продукты Пепсико)'),
(3,	6137,	'Поштомат &quot;Нова Пошта&quot; №3089: вул. Василя Липківського, 14/18 (Продукти Пепсіко)'),
(1,	6137,	'Почтомат &quot;Новая Пошта&quot; №3089: ул. Василия Липковского, 14/18 (Продукты Пепсико)'),
(3,	6138,	'Поштомат &quot;Нова Пошта&quot; №3090: вул. Тампере, 12 (Магазин Dini)'),
(1,	6138,	'Почтомат &quot;Новая Пошта&quot; №3090, ул. Тампере, 12 (Магазин Dini)'),
(3,	6139,	'Поштомат &quot;Нова Пошта&quot; №3091: просп. Степана Бандери, 20Б (БЦ М-Мост)'),
(1,	6139,	'Почтомат &quot;Новая Почта&quot; №3091, просп. Степана Бандеры, 20Б (БЦ М-Мост)'),
(3,	6140,	'Поштомат &quot;Нова Пошта&quot; №3092: вул. Верхній Вал, 10 (Друга парадна, Бізнес центр)'),
(1,	6140,	'Почтомат &quot;Новая Почта&quot; №3092: ул. Верхний Вал, 10 (Бизнес центр)'),
(3,	6141,	'Поштомат &quot;Нова Пошта&quot;№3093: бульвар Лесі Українки, 26Б (Офісний центр)'),
(1,	6141,	'Почтомат &quot;Новая Почта&quot;№3093: бульвар Леси Украинки, 26Б (Офисный центр)'),
(3,	6142,	'Поштомат &quot;Нова Пошта&quot; №3094: вул. Ярославська, 56А, БЦ Каньйон'),
(1,	6142,	'Почтомат &quot;Новая Пошта&quot; №3094: ул. Ярославская, 56А (БЦ Каньон)'),
(3,	6143,	'Поштомат &quot;Нова Пошта&quot; №3096: вул. Ю. Пасхаліна, 4/6 (Магазин Dini)'),
(1,	6143,	'Почтомат &quot;Новая Пошта&quot; №3096: ул. Ю. Пасхалина, 4/6 (Магазин Dini)'),
(3,	6144,	'Поштомат &quot;Нова Пошта&quot; №3097: вул. Зодчих, 70 (Продуктовий міні-маркет Продукти)'),
(1,	6144,	'Почтомат &quot;Новая Пошта&quot; №3097: ул. Зодчих, 70 (Продуктовый мини-маркет Продукты)'),
(3,	6145,	'Поштомат &quot;Нова Пошта&quot; №3098: вул. Луценко, 13 (Продуктовий міні-маркет Фуд-маркет)'),
(1,	6145,	'Почтомат &quot;Новая Пошта&quot; №3098: ул. Луценко, 13 (Продуктовый мини-маркет Фуд-маркет)'),
(3,	6146,	'Поштомат &quot;Нова Пошта&quot; №3099: просп. Академіка Глушкова, 139 (WOG)'),
(1,	6146,	'Почтомат &quot;Новая Пошта&quot; №3099:  просп. Академика Глушкова, 139 (WOG)'),
(3,	6147,	'Поштомат &quot;Нова Пошта&quot; №3101: вул. Вікентія Хвойки, 15/15/6 (Бізнес центр)'),
(1,	6147,	'Почтомат &quot;Новая Пошта&quot; №3101: ул. Викентия Хвойки, 15/15/6 (Бизнес центр)'),
(3,	6148,	'Поштомат &quot;Нова Пошта&quot; №3102: вул. Кирилівська, 69в (Бізнес центр)'),
(1,	6148,	'Почтомат &quot;Новая Пошта&quot; №3102: ул. Кириловская, 69в (Бизнес центр)'),
(3,	6149,	'Поштомат &quot;Нова Пошта&quot; №3103: вул. Олександра Попова, 12 (Щедрий Кошик)'),
(1,	6149,	'Почтомат &quot;Новая Пошта&quot; №3103, ул. Александра Попова, 12 (Щедрий Кошик)'),
(3,	6150,	'Поштомат &quot;Нова Пошта&quot; №3104: вул. Берковецька, 6А (Офісний центр)'),
(1,	6150,	'Почтомат &quot;Новая Пошта&quot; №3104: ул. Берковецкая, 6А (Офисний центр)'),
(3,	6151,	'Поштомат &quot;Нова Пошта&quot; №3105: вул. Райдужна, 6 (Аптека Віталюкс)'),
(1,	6151,	'Почтомат &quot;Новая Пошта&quot; №3105: ул. Радужная, 6 (Аптека Виталюкс)'),
(3,	6152,	'Поштомат &quot;Нова Пошта&quot; №3106: вул. Ентузіастів, 37 (Магазин Dini)'),
(1,	6152,	'Почтомат &quot;Нова Пошта&quot; №3106: ул. Энтузиастов, 37 (Магазин Dini)'),
(3,	6153,	'Поштомат &quot;Нова Пошта&quot; №3107: вул. Кирилівська, 126/2 (Щедрий Кошик)'),
(1,	6153,	'Почтомат &quot;Новая Пошта&quot; №3107: ул. Кириловская, 126/2 (Щедрий Кошик)'),
(3,	6154,	'Поштомат &quot;Нова Пошта&quot; №3108: вул. Маршала Тимошенко, 18 (Аптека Віталюкс)'),
(1,	6154,	'Почтомат &quot;Новая Пошта&quot; №3108: ул. Маршала Тимошенко, 18 (Аптека Виталюкс)'),
(3,	6155,	'Поштомат &quot;Нова Пошта&quot; №3109: вул. Оноре де Бальзака, 2 (Аптека Віталюкс)'),
(1,	6155,	'Почтомат &quot;Новая Пошта&quot; №3109: ул. Оноре де Бальзака, 2 (Аптека Виталюкс)'),
(3,	6156,	'Поштомат &quot;Нова Пошта&quot; №3110, вул. О. Мішуги, 4 (Піраміда)'),
(1,	6156,	'Почтомат &quot;Новая Пошта&quot; №3110, ул. О. Мишуги, 4 (Пирамида)'),
(3,	6157,	'Поштомат &quot;Нова Пошта&quot; №3111: вул. Протасів Яр, 3 (Лоток)'),
(1,	6157,	'Почтомат &quot;Новая Пошта&quot; №3111: ул. Протасов Яр, 3 (Лоток)'),
(3,	6158,	'Поштомат &quot;Нова Пошта&quot; №3112: пров. Коломийський, 17/31 а (Лоток)'),
(1,	6158,	'Почтомат &quot;Новая Пошта&quot; №3112: проул. Коломиевский, 17/31 а (Лоток)'),
(3,	6159,	'Поштомат &quot;Нова Пошта&quot; №3113: вул. Світла, 3д (Бджілка)'),
(1,	6159,	'Почтомат &quot;Новая Пошта&quot; №3113: ул. Светлая, 3д  (Пчелка)'),
(3,	6160,	'Поштомат &quot;Нова Пошта&quot; №3114: вул. Сікорського, 1 а (Бджілка)'),
(1,	6160,	'Почтомат &quot;Новая Пошта&quot; №3114: ул. Сикорского, 1а (Пчелка)'),
(3,	6161,	'Поштомат &quot;Нова Пошта&quot; №3115: вул. Тургенівська, 50 б (Бджілка)'),
(1,	6161,	'Почтомат &quot;Новая Пошта&quot; №3115: ул. Тургеневськая, 50 б (Пчелка)'),
(3,	6162,	'Поштомат &quot;Нова Пошта&quot; №3116: вул. Глибочицька, 17Д (БЦ Торус)'),
(1,	6162,	'Почтомат &quot;Новая Пошта&quot; №3116: ул. Глыбочицкая, 17Д (БЦ Торус)'),
(3,	6163,	'Поштомат &quot;Нова Пошта&quot; №3117: вул. Василя Верховинця, 12 (Бізнес центр)'),
(1,	6163,	'Почтомат &quot;Новая Пошта&quot; №3117: ул. Василия Верховинца, 12 (Бизнес центр)'),
(3,	6164,	'Поштомат &quot;Нова Пошта&quot; №3118, вуПоштомат &quot;Нова Пошта&quot; №3118: бульвар Вацлава Гавела, 8 (БЦ INOX)'),
(1,	6164,	'Почтомат &quot;Новая Пошта&quot; №3118: Вацлава Гавела, 8 (БЦ INOX)'),
(3,	6165,	'Поштомат &quot;Нова Пошта&quot; №3119: вул. Вадима Гетьмана, 6 (ТРЦ Космополіт)'),
(1,	6165,	'Почтомат &quot;Новая Пошта&quot; №3119: ул. Вадима Гетьмана, 6 (ТРЦ Космополит)'),
(3,	6166,	'Поштомат &quot;Нова Пошта&quot; №3120: просп. Петра Григоренка, 5А (ТЦ Севен)'),
(1,	6166,	'Почтомат &quot;Новая Пошта&quot; №3120: просп. Петра Григоренка, 5А (ТЦ Севен)'),
(3,	6167,	'Поштомат &quot;Нова Пошта&quot; №3121: просп. Р. Шухевича, 2а (Магазин Dini)'),
(1,	6167,	'Почтомат &quot;Новая Пошта&quot; №3121: просп. Р. Шухевича, 2а (Магазин Dini)'),
(3,	6168,	'Поштомат &quot;Нова Пошта&quot; №3122: вул. Олександра Кошиця, 9А (Якісні Продукти Яблучко)'),
(1,	6168,	'Почтомат&quot; Новая Пошта&quot; № 3122: ул. Александра Кошица, 9А (Качественные Продукты Яблочко)'),
(3,	6169,	'Поштомат &quot;Нова Пошта&quot; №3123: вул. Олександра Мішуги, 6 (ТЦ Паралель)'),
(1,	6169,	'Почтомат &quot;Новая Пошта&quot; №3123: ул. Александра Мишуги, 6 (ТЦ Параллель)'),
(3,	6170,	'Поштомат &quot;Нова Пошта&quot; №3124: вул. Юрія Шумського, 1А (ОкейМаркет)'),
(1,	6170,	'Почтомат &quot;Новая Пошта&quot; №3124: ул. Юрия Шумского, 1А (ОкейМаркет)'),
(3,	6171,	'Поштомат &quot;Нова Пошта&quot; №3125: вул. Урлівська, 30 (ОкейМаркет)'),
(1,	6171,	'Почтомат &quot;Новая Пошта&quot; №3125:  ул. Урловская, 30 (ОкейМаркет)'),
(3,	6172,	'Поштомат &quot;Нова Пошта&quot; №3126: вул. Декабристів, 3 (Бізнес центр)'),
(1,	6172,	'Почтомат &quot;Новая Пошта&quot; №3126: ул. Декабристов, 3 (Бизнес центр)'),
(3,	6173,	'Поштомат &quot;Нова Пошта&quot; №3127: просп. Володимира Маяковського, 43/2 (ТЦ Фестивальний)'),
(1,	6173,	'Почтомат &quot;Новая Пошта&quot; №3127: просп. Владимира Маяковского, 43/2 (ТЦ Фестивальный)'),
(3,	6174,	'Поштомат &quot;Нова Пошта&quot; №3128: вул. Курнатовського, 15Б (Маркет Плюс)'),
(1,	6174,	'Почтомат &quot;Новая Пошта&quot; №3128: ул. Курнатовского, 15Б (Маркет Плюс)'),
(3,	6175,	'Поштомат &quot;Нова Пошта&quot; №3129: вул. Євгена Сверстюка, 2А (БЦ Лівобережний)'),
(1,	6175,	'Почтомат &quot;Новая Пошта&quot; №3129: ул. Евгения Сверстюка, 2А (БЦ Левобережный)'),
(3,	6176,	'Поштомат &quot;Нова Пошта&quot; №3130: вул. Кудряшова, 1 (Велика Кишеня)'),
(1,	6176,	'Почтомат &quot;Новая Пошта&quot; №3130:  ул. Кудряшова, 1 (Велика Кишеня)'),
(3,	6177,	'Поштомат &quot;Нова Пошта&quot; №3131: просп. Науки, 60А (Мінімаркет Наш Край)'),
(1,	6177,	'Почтомат &quot;Новая Пошта&quot; №3131: просп. Науки, 60А (Минимаркет Наш Край)'),
(3,	6178,	'Поштомат &quot;Нова Пошта&quot; №3132: вул. Дніпровська Набережна, 12 (ТРЦ River Mall (вхід 1))'),
(1,	6178,	'Почтомат &quot;Новая Пошта&quot; №3132: ул. Днепровская Набережная, 12 (ТРЦ River Mall (вход 1))'),
(3,	6179,	'Поштомат &quot;Нова Пошта&quot; №3133: вул. Дніпровська Набережна, 12 (ТРЦ River Mall (вхід 2))'),
(1,	6179,	'Почтомат &quot;Новая Пошта&quot; №3133: ул. Днепровская Набережная, 12 (ТРЦ River Mall (вход 2))'),
(3,	6180,	'Поштомат &quot;Нова Пошта&quot; №3134: вул. Тампере, 5 (Офісна будівля)'),
(1,	6180,	'Почтомат &quot;Новая Пошта&quot; №3134: ул. Тампере, 5 (Офисное здание)'),
(3,	6181,	'Поштомат &quot;Нова Пошта&quot; №3135: вул. Богатирська, 11 (Офіси Транс-Оболонь)'),
(1,	6181,	'Почтомат &quot;Новая Пошта&quot; №3135, ул. Богатирська, 11 (Офисы Транс-Оболонь)'),
(3,	6182,	'Поштомат &quot;Нова Пошта&quot; №3136:  просп. Академіка Глушкова, 13Б (ТЦ Магелан)'),
(1,	6182,	'Почтомат &quot;Новая Пошта&quot; №3136, просп: Академика Глушкова, 13Б (ТЦ Магеллан)'),
(3,	6183,	'Поштомат &quot;Нова Пошта&quot; №3137: вул. Миколи Закревського, 61/2 (ТРЦ ZakrevSky)'),
(1,	6183,	'Почтомат &quot;Новая Пошта&quot; №3137: ул. Николая Закревского, 61/2 (ТРЦ ZakrevSky)'),
(3,	6184,	'Поштомат &quot;Нова Пошта&quot; №3138: вул. Героїв Дніпра, 49 (Dini, рибний ринок)'),
(1,	6184,	'Почтомат &quot;Новая Пошта&quot; №3138,  ул. Героев Днепра, 49 (Dini, рыбний ринок)'),
(3,	6185,	'Поштомат &quot;Нова Пошта&quot; №3139: вул. Червонопільська, 23/17 (Магазин Dini)'),
(1,	6185,	'Почтомат &quot;Новая Пошта&quot; №3139: ул. Краснопольская, 23/17 (Магазин Dini)'),
(3,	6186,	'Поштомат &quot;Нова Пошта&quot; №3140: вул. Полтавська, 3 (Продукти Пепсіко)'),
(1,	6186,	'Почтомат &quot;Новая Пошта&quot; №3140: ул. Полтавская, 3 (Продукты Пепсико)'),
(3,	6187,	'Поштомат &quot;Нова Пошта&quot; №3141: бульвар Лесі Українки, 28А (Продукти Пепсіко)'),
(1,	6187,	'Почтомат &quot;Новая Пошта&quot; №3141: бульвар Леси Украинки, 28А (Продукты Пепсико)'),
(3,	6188,	'Поштомат &quot;Нова Пошта&quot; №3142: вул. Бастіонна, 5/13 (Продукти Пепсіко)'),
(1,	6188,	'Почтомат &quot;Новая Пошта&quot; №3142: ул. Бастионная, 5/13 (Продукты Пепсико)'),
(3,	6189,	'Поштомат &quot;Нова Пошта&quot; №3143: вул. Лютеранська, 6 (Продукти Пепсіко)'),
(1,	6189,	'Почтомат &quot;Новая Пошта&quot; №3143: ул. Лютеранская, 6 (Продукты Пепсико)'),
(3,	6190,	'Поштомат &quot;Нова Пошта&quot; №3144: вул. Микільсько-Ботанічна, 7/9 (Продукти Пепсіко)'),
(1,	6190,	'Почтомат &quot;Новая Пошта&quot; №3144: ул. Никольско-Ботаническая, 7/9 (Продукты Пепсико)'),
(3,	6191,	'Поштомат &quot;Нова Пошта&quot; №3145: вул. Саксаганського, 33/35 (Продукти Пепсіко)'),
(1,	6191,	'Почтомат &quot;Новая Пошта&quot; №3145: ул. Саксаганского, 33/35 (Продукты Пепсико)'),
(3,	6192,	'Поштомат &quot;Нова Пошта&quot; №3146: просп. Відрадний, 16/50 (Магазин Dini)'),
(1,	6192,	'Почтомат &quot;Новая Пошта&quot; №3146, просп. Отрадный, 16/50 (Магазин Dini)'),
(3,	6193,	'Поштомат &quot;Нова Пошта&quot; №3147, вул. Стратегічне шосе, 17 (Магазин Dini)'),
(1,	6193,	'Почтомат &quot;Новая Пошта&quot; №3147, ул. Стратегическое шоссе, 17 (Магазин Dini)'),
(3,	6194,	'Поштомат &quot;Нова Пошта&quot; №3148: вул. Саксаганського, 55 (Продукти Пепсіко)'),
(1,	6194,	'Почтомат &quot;Новая Пошта&quot; №3148: ул. Саксаганского, 55 (Продукты Пепсико)'),
(3,	6195,	'Поштомат &quot;Нова Пошта&quot; №3149: вул. Ярославів Вал, 28 (Продукти Пепсіко)'),
(1,	6195,	'Почтомат &quot;Новая Пошта&quot; №3149: ул. Ярославов Вал, 28 (Продукты Пепсико)'),
(3,	6196,	'Поштомат &quot;Нова Пошта&quot; №3150: вул. Зіньківська, 6/1 (ТРЦ Київ)'),
(1,	6196,	'Почтомат &quot;Новая Пошта&quot; №3150: ул. Зиньковская, 6/1 (ТРЦ Киев)'),
(3,	6197,	'Поштомат &quot;Нова Пошта&quot; №3151: вул. Героїв АТО, 71А (МаркетОпт)'),
(1,	6197,	'Почтомат &quot;Новая Пошта&quot; №3151: ул. Героев АТО, 71А (МаркетОпт)'),
(3,	6198,	'Поштомат &quot;Нова Пошта&quot; №3152: вул. Дмитра Коряка, 3 (МаркетОпт)'),
(1,	6198,	'Почтомат &quot;Новая Пошта&quot; №3152: ул. Дмитрия Коряка, 3 (МаркетОпт)'),
(3,	6199,	'Поштомат &quot;Нова Пошта&quot; №3153: вул. Січових Стрільців, 10 (Продукти Пепсіко)'),
(1,	6199,	'Почтомат &quot;Новая Пошта&quot; №3153: ул. Сечевых Стрельцов, 10 (Продукты Пепсико)'),
(3,	6200,	'Поштомат &quot;Нова Пошта&quot; №3154: Вознесенський узвіз, 23В (Продукти Пепсіко)'),
(1,	6200,	'Почтомат &quot;Новая Пошта&quot; №3154: Вознесенский спуск, 23В (Продукты Пепсико)'),
(3,	6201,	'Поштомат &quot;Нова Пошта&quot; №3155: пров. Магнітогорський, 1 (БЦ ITI Service)'),
(1,	6201,	'Почтомат &quot;Новая Пошта&quot; №3155: проул. Магнитогорский, 1 (БЦ ITI Service)'),
(3,	6202,	'Поштомат &quot;Нова Пошта&quot; №3156: просп. Глушкова, 1, павільйон 5 (ВДНГ)'),
(1,	6202,	'Почтомат &quot;Новая Пошта&quot; №3156: просп. Глушкова 1, пав. 5 (ВДНХ)'),
(3,	6203,	'Поштомат &quot;Нова Пошта&quot; №3157: вул. Антоновича, 8 (Продукти Пепсіко)'),
(1,	6203,	'Почтомат &quot;Новая Пошта&quot; №3157: ул. Антоновича, 8 (Продукты Пепсико)'),
(3,	6204,	'Поштомат &quot;Нова пошта&quot; №3158: проїзд Рогатинський, 3 (Супермаркет РОСТ)'),
(1,	6204,	'Почтомат &quot;Новая Пошта&quot;  №3158: проезд Рогатинский, 3 (Супермаркет РОСТ)'),
(3,	6205,	'Поштомат &quot;Нова Пошта&quot; №3161: вул. Плеханівська, 135/139 (Супермаркет РОСТ)'),
(1,	6205,	'Почтомат &quot;Новая Пошта&quot; №3161: ул. Плехановская, 135/139 (Супермаркет РОСТ)'),
(3,	6206,	'Поштомат &quot;Нова Пошта&quot; №3164: просп. Гагаріна, 27 (ТЦ Делмар)'),
(1,	6206,	'Почтомат &quot;Новая Пошта&quot; №3164, просп. Гагарина, 27 (ТЦ Делмар)'),
(3,	6207,	'Поштомат &quot;Нова Пошта&quot; №3165: вул. Європейська (Миронова), 9 (Делмар Миронова)'),
(1,	6207,	'Почтомат &quot;Новая Пошта&quot; №3165: ул. Европейская, 9 (Делмар Миронова)'),
(3,	6208,	'Поштомат &quot;Нова Пошта&quot; №3166: вул. Робоча, 77 (ТЦ Калина)'),
(1,	6208,	'Почтомат &quot;Новая Пошта&quot; №3166: ул. Рабочая, 77 (ТЦ Калина)'),
(3,	6209,	'Поштомат &quot;Нова Пошта&quot; №3167: вул. Олександра Поля, 11 (ТЦ Міріада)'),
(1,	6209,	'Почтомат &quot;Новая Пошта&quot; №3167: ул. Александра Поля, 11 (ТЦ Мириада)'),
(3,	6210,	'Поштомат &quot;Нова Пошта&quot; №3171: вул. Калинова, 8Д (ТЦ Наутілус)'),
(1,	6210,	'Почтомат &quot;Новая Пошта&quot; №3171: вул. Калинова, 8Д (ТЦ Наутілус)'),
(3,	6211,	'Поштомат &quot;Нова Пошта&quot; №3172: вул. Пушкінська, 27/6 (Продукти Пепсіко)'),
(1,	6211,	'Почтомат &quot;Новая Пошта&quot; №3172: ул. Пушкинская, 27/6 (Продукты Пепсико)'),
(3,	6212,	'Поштомат &quot;Нова Пошта&quot; №3173: пров. Олександра Попова, 2В (Щедрий Кошик)'),
(1,	6212,	'Почтомат &quot;Новая Пошта&quot; №3173: переул. Александра Попова, 2В (Щедрий Кошик)'),
(3,	6213,	'Поштомат &quot;Нова Пошта&quot; №3174: вул. Велика Житомирська, 16 (Продмаркет)'),
(1,	6213,	'Почтомат &quot;Новая Пошта&quot; №3174: вул. Большая Житомирская, 16 (Продмаркет)'),
(3,	6214,	'Поштомат &quot;Нова Пошта&quot; №3176: вул. Сім\'ї Сосніних, 9 (Електротехнічний завод)'),
(1,	6214,	'Почтомат &quot;Новая Пошта&quot;№3176: ул. Семьи Сосниных, 9 (Электротехнический завод)'),
(3,	6215,	'Поштомат &quot;Нова Пошта&quot; №3177: вул. Гоголівська, 27 (Продмаркет)'),
(1,	6215,	'Почтомат &quot;Новая Пошта&quot; №3177: ул. Гоголевская, 27 (Продмаркет)'),
(3,	6217,	'Поштомат &quot;Нова Пошта&quot; №3181: вул. Сім\'ї Хохлових, 15 (БЦ Кронас)'),
(1,	6217,	'Почтомат &quot;Новая Пошта&quot;  №3181: ул. Семьи Хохлових, 15 (БЦ Кронас)'),
(3,	6218,	'Поштомат &quot;Нова Пошта&quot; №3182: вул. Волгоградська, 12 (Магазин Brille)'),
(1,	6218,	'Поштомат &quot;Нова Пошта&quot; №3182: ул. Волгоградская, 12 Магазин Brille)'),
(3,	6219,	'Поштомат &quot;Нова Пошта&quot; №3183: вул. Саперне поле, 14/55 (Магазин Brille)'),
(1,	6219,	'Почтомат &quot;Новая Пошта&quot; №3183: ул. Саперное поле, 14/55 (Магазин Brille)'),
(3,	6220,	'Поштомат &quot;Нова Пошта&quot; №3184: вул. Василя Липківського, 1А (Ультрамарин)'),
(1,	6220,	'Почтомат &quot;Новая Пошта&quot; №3184: ул. Василия Липковского, 1А (Ультрамарин)'),
(3,	6221,	'Поштомат &quot;Нова Пошта&quot; №3185: вул. Челябинська, 15 а (Бджілка)'),
(1,	6221,	'Почтомат &quot;Новая Пошта&quot;, №3185, ул. Челябинская, 15а (Пчелка)'),
(3,	6222,	'Поштомат &quot;Нова Пошта&quot; №3186: вул. Цитадельна, 6/8 (Продмаркет)'),
(1,	6222,	'Почтомат &quot;Новая Пошта&quot; №3186: ул. Цитадельная, 6/8 (Продмаркет)'),
(3,	6223,	'Поштомат &quot;Нова Пошта&quot; №3187: просп. Любомира Гузара, 14 (Мінімаркет)'),
(1,	6223,	'Почтомат &quot;Новая Пошта&quot; №3187: просп. Любомира Гузара, 14 (Минимаркет)'),
(3,	6224,	'Поштомат &quot;Нова Пошта&quot; №3188: просп. Героїв Сталінграда, 16Б (Лоток)'),
(1,	6224,	'Почтомат &quot;Новая Пошта&quot; №3188, просп. Героев Сталинграда, 16Б (Лоток)'),
(3,	6225,	'Поштомат &quot;Нова Пошта&quot; №3189: вул. Вікентія Хвойки, 21 (БЦ Веста, прохідна 2)'),
(1,	6225,	'Почтомат &quot;Новая Пошта&quot; №3189: ул. Викентия Хвойки, 21 (БЦ Веста, проходная 2)'),
(3,	6226,	'Поштомат &quot;Нова Пошта&quot; №3190: вул. Вікентія Хвойки, 21 (БЦ Веста, прохідна 3)'),
(1,	6226,	'Почтомат &quot;Новая Пошта&quot; №3190: ул. Викентия Хвойки, 21 (БЦ Веста, проходная 3)'),
(3,	6227,	'Поштомат &quot;Нова Пошта&quot; №3195: вул. Попудренко, 52 (БЦ &quot;Беарс Центр&quot;)'),
(1,	6227,	'Почтомат &quot;Новая Пошта&quot; №3195: ул. Попудренко, 52 (БЦ &quot;Беарс Центр&quot;)'),
(3,	6228,	'Поштомат &quot;Нова Пошта&quot; №3196: Харківське шосе, 19 (ТЦ Мега Сіті)'),
(1,	6228,	'Почтомат &quot;Новая Пошта&quot; №3196, Харьковское шосе, 19 (ТЦ Мега Сити)'),
(3,	6229,	'Поштомат &quot;Нова Пошта&quot; №3197: вул. Бориспільська, 9, корп. 90 (Офіси Brille)'),
(1,	6229,	'Почтомат &quot;Новая Пошта&quot; №3197, ул. Бориспольская, 9, корп. 90 (Офисы Brille)'),
(1,	6382,	'Почтомат &quot;Новая Пошта&quot; №3198: ул. Шевченко, 3 (Аптека Аптекар)'),
(2,	6382,	'Поштомат &quot;Нова Пошта&quot; №3198: вул. Шевченко, 3, Аптека &quot;Аптекар&quot;'),
(3,	6382,	'Поштомат &quot;Нова Пошта&quot; №3198: вул. Шевченко, 3 (Аптека Аптекар)'),
(1,	6383,	'Почтомат &quot;Новая Пошта&quot; №3199: ул. Центральная, 6Г/7 (Продукти Руслан)'),
(2,	6383,	'Поштомат &quot;Нова пошта&quot; №3199: вул. Центральна, 6Г/7, Продукти Руслан'),
(3,	6383,	'Поштомат &quot;Нова пошта&quot; №3199: вул. Центральна, 6Г/7 (Продукти Руслан)'),
(3,	6230,	'Поштомат &quot;Нова Пошта&quot; №3203: вул. Святошинська, 40 (Продуктовий міні-маркет Продуктоша)'),
(1,	6230,	'Почтомат &quot;Новая Пошта&quot; №3203: ул. Святошинская, 40 (Продуктовый мини-маркет Продуктоша)'),
(3,	6231,	'Поштомат &quot;Нова Пошта&quot; №3204: вул. Машинобудівників, 11А (Мінімаркет Квартал)'),
(1,	6231,	'Почтомат &quot;Новая Пошта&quot; №3204: ул. Машиностроителей, 11А (Минимаркет Квартал)'),
(3,	6232,	'Поштомат &quot;Нова Пошта&quot; №3205: вул. Святошинська, 40А (Мінімаркет Погребок)'),
(1,	6232,	'Почтомат &quot;Новая Пошта&quot; №3205: ул. Святошинская, 40А (Минимаркет Погребок)'),
(3,	6233,	'Поштомат &quot;Нова Пошта&quot; №3221: вул. Головна, 200 (Нива)'),
(1,	6233,	'Почтомат &quot;Новая Пошта&quot; №3221: ул. Главная, 200 (Нива)'),
(3,	6234,	'Поштомат &quot;Нова Пошта&quot; №3222: вул. Героїв Майдану, 69 (Нива)'),
(1,	6234,	'Почтомат &quot;Новая Пошта&quot; №3222: ул. Героев Майдану, 69 (Нива)'),
(3,	6235,	'Поштомат &quot;Нова Пошта&quot; №3223: вул. Ревуцького, 9 (Аптека Віталюкс)'),
(1,	6235,	'Почтомат &quot;Новая Пошта&quot; №3223: ул. Ревуцького, 9 (Аптека Виталюкс)'),
(3,	6236,	'Поштомат &quot;Нова Пошта&quot; №3225: вул. Жилянська, 107 (Завод Кузня)'),
(1,	6236,	'Почтомат &quot;Новая Пошта&quot; №3225: ул. Жилянская, 107 (Завод Кузня)'),
(3,	6237,	'Поштомат &quot;Нова Пошта&quot; №3226: вул. Магнітогорська, 1 (Офіси, Будинок Культури)'),
(1,	6237,	'Почтомат &quot;Новая Пошта&quot; №3226: ул. Магнитогорская, 1, Офисы (Дом Культуры)'),
(3,	6238,	'Поштомат &quot;Нова Пошта&quot; №3227: просп. Перемоги, 53а (Компанія OLYMP)'),
(1,	6238,	'Почтомат &quot;Новая Пошта&quot; №3227: просп. Победы, 53а (Компания OLYMP)'),
(3,	6239,	'Поштомат &quot;Нова Пошта&quot; №3229: пров. Магнітогорський, 1 (Офісна будівля, прохідна Хімволокно)'),
(1,	6239,	'Почтомат &quot;Новая Пошта&quot; №3229: переулок Магнитогорский, 1 (Офисное здание, КПП завода Химволокно)'),
(3,	6240,	'Поштомат &quot;Нова Пошта&quot; №3230: просп. Академіка Корольова, 11 (БЦ Якутська)'),
(1,	6240,	'Почтомат &quot;Новая Пошта&quot; №3230: просп. Академика Королева, 11 (БЦ Якутская)'),
(3,	6241,	'Поштомат &quot;Нова Пошта&quot; №3232: с. Софіївська Борщагівка, вул. Шалімова, 62/2 (Міні-маркет Продуктовий'),
(1,	6241,	'Почтомат &quot;Новая Пошта&quot; №3232: с. Соф. Борщаговка, ул. Шалимова, 62/2 (Мини-маркет Продуктовый)'),
(3,	6242,	'Поштомат &quot;Нова Пошта&quot; №3262: вул. Гастелло, 50 (Таврія В)'),
(1,	6242,	'Почтомат &quot;Новая Пошта&quot; №3262: вул. Гастелло, 50 (Таврія В)'),
(3,	6243,	'Поштомат &quot;Нова Пошта&quot; №3263: вул. Маршала Говорова, 10/5 (Таврія В)'),
(1,	6243,	'Почтомат &quot;Новая Пошта&quot; №3263: ул. Маршала Говорова, 10/5 (Таврия В)'),
(3,	6244,	'Поштомат &quot;Нова Пошта&quot; №3266: вул. Семена Палія (Дніпропетровська дорога), 96 (Таврія В)'),
(1,	6244,	'Почтомат &quot;Новая Пошта&quot; №3266: ул. Семена Палия (Днепропетровская дорога), 96 (Таврия В)'),
(3,	6245,	'Поштомат &quot;Нова Пошта&quot; №3270: вул. Якуба Коласа, 25 (ТЦ Міні)'),
(1,	6245,	'Почтомат &quot;Новая Пошта&quot; № 3270: ул. Якуба Коласа, 25 (ТЦ Мини)'),
(3,	6246,	'Поштомат &quot;Нова Пошта&quot; №3284: вул. Коломийська, 2 (Свій Маркет)'),
(1,	6246,	'Почтомат &quot;Новая Пошта&quot; № 3284: ул. ул. Коломыйская, 2 (Свій Маркет)'),
(3,	6247,	'Поштомат &quot;Нова Пошта&quot; №3285: вул. Ярослава Гашека, 17 (Свій Маркет)'),
(1,	6247,	'Почтомат &quot;Новая Пошта&quot; № 3285: ул. Ярослава Гашека, 17 (Свій Маркет)'),
(3,	6248,	'Поштомат &quot;Нова Пошта&quot; № 3287: вул. Городоцька, 359 (Гуртівня Євротек)'),
(1,	6248,	'Почтомат &quot;Новая Пошта&quot; № 3287: ул. Городоцкая, 359 (Гуртовня Євротек)'),
(3,	6249,	'Поштомат &quot;Нова Пошта&quot; №3289: вул. Княгині Ольги, 120 (Арсен, Євротек)'),
(1,	6249,	'Почтомат &quot;Новая Пошта&quot; № 3289: ул. Княгини Ольги, 120 (Арсен, Евротек)'),
(3,	6250,	'Поштомат &quot;Нова Пошта&quot; №3294: просп. Червоної Калини, 60 (Арсен, Євротек)'),
(1,	6250,	'Почтомат &quot;Новая Пошта&quot; № 3294: просп. Красной Калины, 60 (Арсен, Евротек)'),
(3,	6251,	'Поштомат &quot;Нова Пошта&quot; №3296: просп. В\'ячеслава Чорновола, 93 (Арсен, Євротек)'),
(1,	6251,	'Почтомат &quot;Новая Пошта&quot; № 3296: просп. Вячеслава Черновола, 93 (Арсен, Евротек)'),
(3,	6252,	'Поштомат &quot;Нова Пошта&quot; №3297: площа Міцкевича, 5 (Арсен, Євротек)'),
(1,	6252,	'Почтомат &quot;Новая Пошта&quot; № 3297: площадь Мицкевича, 5 (Арсен, Евротек)'),
(3,	6253,	'Поштомат &quot;Нова Пошта&quot; №3298: вул. Патона, 37 (Арсен, Євротек)'),
(1,	6253,	'Почтомат &quot;Новая Пошта&quot; № 3298: ул. Патона, 37 (Арсен, Евротек)'),
(3,	6254,	'Поштомат &quot;Нова Пошта&quot; №3309: вул.Миколи Хвильового 3 (ЖК Вудсторія, Лоток)'),
(1,	6254,	'Почтомат &quot;Новая Пошта&quot; № 3309: ул. Николая Хвылевого 3 (ЖК Вудстория, Лоток)'),
(3,	6255,	'Поштомат &quot;Нова Пошта&quot; №3310: вул. Виговського, 1 (Бджілка)'),
(1,	6255,	'Почтомат &quot;Новая Пошта&quot; № 3310: ул. Виговського, 1 (Пчелка)'),
(3,	6256,	'Поштомат &quot;Нова Пошта&quot; №3311: вул. Зої Гайдай, 4 (Продукти)'),
(1,	6256,	'Почтомат &quot;Новая Пошта&quot; № 3311: ул. Зои Гайдай, 4 (Продукты)'),
(3,	6257,	'Поштомат &quot;Нова Пошта&quot; №3312: Харківське Шосе, 17а (Продукти)'),
(1,	6257,	'Почтомат &quot;Новая Пошта&quot; № 3312: Харковское Шоссе, 17а (Продукты)'),
(3,	6258,	'Поштомат &quot;Нова Пошта&quot; №3313: вул.Богатирська, 12а (Продукти)'),
(1,	6258,	'Почтомат &quot;Новая Пошта&quot; № 3313: ул. Богатирская, 12а (Продукты)'),
(3,	6259,	'Поштомат &quot;Нова Пошта&quot; №3314: вул. Метробудівська, 11 (Продукти)'),
(1,	6259,	'Почтомат &quot;Новая Пошта&quot; № 3314: ул. Метростроевская, 11 (Продукты)'),
(3,	6260,	'Поштомат &quot;Нова Пошта&quot; №3315: вул. Рокосовського, 10 (Продукти)'),
(1,	6260,	'Почтомат &quot;Новая Пошта&quot; № 3315: ул. Рокосовского, 10 (Продукты)'),
(3,	6261,	'Поштомат &quot;Нова Пошта&quot; № 3316: просп. Алішера Навої, 69 (Магазин Brille)'),
(1,	6261,	'Почтомат &quot;Новая Пошта&quot; № 3316: просп. Алишера Навои, 69 (Магазин Brille)'),
(3,	6262,	'Поштомат &quot;Нова Пошта&quot; № 3317: вул. Марини Цвєтаєвої, 9 (Магазин Brille)'),
(1,	6262,	'Почтомат &quot;Новая Пошта&quot; № 3317: ул. Марины Цветаевой, 9 (Магазин Brille)'),
(3,	6263,	'Поштомат &quot;Нова Пошта&quot; №3333: просп. Героїв Сталінграду, 4, корпус 4, арка 4.2'),
(1,	6263,	'Почтомат &quot;Новая Пошта&quot; №3333: просп. Героев Сталинграда, 4, корпус 4, арка 4.2'),
(3,	6264,	'Поштомат &quot;Нова Пошта&quot; №3355: вул. Соборна, 25 (Варшава)'),
(1,	6264,	'Почтомат &quot;Новая Пошта&quot; №3355: ул. Соборна, 25 (Варшава)'),
(3,	6265,	'Поштомат &quot;Нова Пошта&quot; №3356: Хмельницьке шосе, 15 (Варшава)'),
(1,	6265,	'Почтомат &quot;Новая Пошта&quot; №3356: Хмельницкое шоссе, 15 (Варшава)'),
(3,	6266,	'Поштомат &quot;Нова Пошта&quot; №3357: вул. Замостянська, 1 (Варшава)'),
(1,	6266,	'Почтомат &quot;Новая Пошта&quot; №3357: ул. Замостянская, 1 (Варшава)'),
(1,	6384,	'Почтомат &quot;Новая Пошта&quot; №3359: ул. Келецкая, 71 (Аптека)'),
(2,	6384,	'Поштомат &quot;Нова Пошта&quot; №3359: просп. Юності, 71, Аптека'),
(3,	6384,	'Поштомат &quot;Нова Пошта&quot; №3359: вул. Келецька, 71 (Аптека)'),
(1,	6385,	'Почтомат &quot;Новая Пошта&quot; №3364: ул. Ватутіна, 35 (Аптека)'),
(2,	6385,	'Поштомат &quot;Нова Пошта&quot; №3364: вул. Ватутіна, 35, Аптека'),
(3,	6385,	'Поштомат &quot;Нова Пошта&quot; №3364: вул. Ватутіна, 35 (Аптека)'),
(3,	6267,	'Поштомат &quot;Нова Пошта&quot; №3367: вул. Гагаріна, 38а (Русинія)'),
(1,	6267,	'Почтомат &quot;Новая Пошта&quot; №3367: ул. Гагарина, 38а (Русиния)'),
(1,	6386,	'Почтомат &quot;Новая Пошта&quot; №3368: просп. Президента Грушевского, 2, ТЦ &quot;Промінь&quot;'),
(2,	6386,	'Поштомат &quot;Нова Пошта&quot; №3368: просп. Президента Грушевського, 2, ТЦ Промінь'),
(3,	6386,	'Поштомат &quot;Нова Пошта&quot; №3368: просп. Президента Грушевського, 2, ТЦ Промінь'),
(3,	6268,	'Поштомат &quot;Нова Пошта&quot; №3374: вул. Ранкова, 4/1 (Автосалон)'),
(1,	6268,	'Почтомат &quot;Новая Пошта&quot; №3374: ул. Ранкова, 4/1 (Автосалон)'),
(3,	6269,	'Поштомат &quot;Нова Пошта&quot; №3383: вул. Південно-кільцева, 31 (Нива)'),
(1,	6269,	'Почтомат &quot;Новая Пошта&quot; №3383: ул. Южно-кольцевая, 31 (Нива)'),
(3,	6270,	'Поштомат &quot;Нова Пошта&quot; №3384: вул. Алма-атинська, 6 (Магазин Цар Хліб)'),
(1,	6270,	'Почтомат &quot;Новая Пошта&quot; №3384: ул. Алма-атинская, 6 (Магазин Царь Хлеб)'),
(3,	6271,	'Поштомат &quot;Нова Пошта&quot; №3385: вул. Руська (тролейбусна зупинка Фастівська, Магазин Цар Хліб)'),
(1,	6271,	'Почтомат &quot;Новая Пошта&quot; №3385: ул. Русская (тролейбусная остановка Фастовская, Магазин Царь Хлеб)'),
(3,	6272,	'Поштомат &quot;Нова Пошта&quot; №3386: ріг вул. Південно-кільцевої та вул. Героїв Майдану (Магазин Цар Хліб)'),
(1,	6272,	'Почтомат &quot;Новая Пошта&quot; №3386: угол Южно-кольцевой и Героев Майдана (Царь Хлеб)'),
(3,	6273,	'Поштомат &quot;Нова Пошта&quot; №3392: вул. Миколи Кибальчича, 11А (Фуршет)'),
(1,	6273,	'Почтомат &quot;Новая Пошта&quot; №3392: ул. Николая Кибальчича, 11А (Фуршет)'),
(3,	6274,	'Поштомат &quot;Нова Пошта&quot; №3393: вул. Бориспільська, 26-Б (АВТОШКОЛА)'),
(1,	6274,	'Почтомат &quot;Новая Пошта&quot; №3393: ул. Бориспольская, 26-Б (АВТОШКОЛА)'),
(3,	6275,	'Поштомат &quot;Нова Пошта&quot; №3394: вул. Романа Шухевича, 9 (Полісся-продукт)'),
(1,	6275,	'Почтомат &quot;Новая Пошта&quot; №3394: ул. Романа Шухевича, 9 (Полесье-продукт)'),
(3,	6276,	'Поштомат &quot;Нова Пошта&quot; №3401: бульв. Миколи Вавілова, 9/26 (МаркетОпт)'),
(1,	6276,	'Почтомат &quot;Новая Пошта&quot; №3401: бульв. Николая Вавилова, 9/26 (МаркетОпт)'),
(3,	6277,	'Поштомат &quot;Нова Пошта&quot; №3412: вул. Дмитра Самоквасова, 12а (Квартал, Євротек)'),
(1,	6277,	'Почтомат &quot;Новая Пошта&quot; №3412: ул. Дмитрия Самоквасова, 12а (Квартал, Евротек)'),
(3,	6278,	'Поштомат &quot;Нова Пошта&quot; №3413: вул. Доценко, 19 (Союз, Євротек)'),
(1,	6278,	'Почтомат &quot;Новая Пошта&quot; №3413: ул. Доценко, 19 (Союз, Евротек)'),
(3,	6279,	'Поштомат &quot;Нова Пошта&quot; №3418: вул. Архітектора Нільсена, 28 (ТРЦ КИТ)'),
(1,	6279,	'Почтомат &quot;Новая Почта&quot; №3418: ул. Архитектора Нильсена, 28 (ТРЦ КИТ)'),
(3,	6280,	'Поштомат &quot;Нова Пошта&quot; №3419: просп. Будівельників, 125'),
(1,	6280,	'Почтомат &quot;Новая Пошта&quot; №3419: просп. Строителей, 125'),
(3,	6281,	'Поштомат &quot;Нова Пошта&quot; №3420: вул. 130-ої Таганрогської Дивізії, 5а (Ринок Сонячний)'),
(1,	6281,	'Почтомат &quot;Новая Пошта&quot; №3420: ул. 130-ой Таганрогской Дивизии, 5а (Рынок Солнечный)'),
(3,	6282,	'Поштомат &quot;Нова Пошта&quot; №3421: просп. Металургів, 156 (Український Дім)'),
(1,	6282,	'Почтомат &quot;Новая Пошта&quot; №3421: просп. Металлургов, 156'),
(3,	6283,	'Поштомат &quot;Нова Пошта&quot; №3427: просп. Соборний, 109-Б (ТРЦ Панорама)'),
(1,	6283,	'Почтомат &quot;Новая Пошта&quot; №3427: просп. Соборный, 109-Б (ТРЦ Панорама)'),
(3,	6284,	'Поштомат &quot;Нова Пошта&quot; №3434: вул. Автозаводська, 24 (Магазин Brille)'),
(1,	6284,	'Почтомат &quot;Новая Пошта&quot; №3434: ул. Автозаводская, 24 (магазин Brille)'),
(3,	6285,	'Поштомат &quot;Нова Пошта&quot; №3435: просп. Героїв Сталінграду, 20а (Магазин Brille)'),
(1,	6285,	'Почтомат &quot;Новая Пошта&quot; №3435: просп. Героев Сталинграда, 20а (Магазин Brille)'),
(3,	6286,	'Поштомат &quot;Нова Пошта&quot; №3436: вул. Прирічна, 21 а (Продукти)'),
(1,	6286,	'Почтомат &quot;Новая Пошта&quot; №3436: ул. Приречная, 21 а (Продукты)'),
(3,	6287,	'Поштомат &quot;Нова Пошта&quot; №3437: вул. Зрошувальна, 5 (Продукти)'),
(1,	6287,	'Почтомат &quot;Новая Пошта&quot; №3437: ул. Зрошувальная, 5 (Продукты)'),
(3,	6288,	'Поштомат &quot;Нова Пошта&quot; №3449: Майдан Перемоги, 3 (Молодіжна мода)'),
(1,	6288,	'Почтомат &quot;Новая Почта&quot; №3449; Площадь Победы, 3 (Молодежная мода)'),
(3,	6289,	'Поштомат &quot;Нова Пошта&quot; №3450: вул. Перемоги, 50 (Полісся-продукт)'),
(1,	6289,	'Почтомат &quot;Новая Почта&quot; №3450: ул. Победы, 50 (Полесье-продукт)'),
(3,	6290,	'Поштомат &quot;Нова Пошта&quot; №3467: вул. Михайла Драгоманова, 29 (ТЦ Елтікс)'),
(1,	6290,	'Почтомат &quot;Новая Почта&quot; №3467: ул. Михаила Драгоманова, 29 (ТЦ Елтикс)'),
(3,	6291,	'Поштомат &quot;Нова Пошта&quot; №3468: вул. Металістів, 20, БЦ VEDA'),
(1,	6291,	'Почтомат &quot;Новая Почта&quot; №3468: ул. Металлистов, 20 (БЦ VEDA)'),
(3,	6292,	'Поштомат &quot;Нова Пошта&quot; №3469: вул. Патріса Лумумби, 4/6 (БЦ Основа, Вхід А)'),
(1,	6292,	'Почтомат &quot;Новая Почта&quot; №3469: ул. Патриса Лумумби, 4/6 (БЦ Основа, Вход А)'),
(3,	6293,	'Поштомат &quot;Нова Пошта&quot; №3470: вул. Патріса Лумумби, 4/6 (БЦ Основа, вхід В)'),
(1,	6293,	'Почтомат &quot;Новая Почта&quot; №3470: ул. Патриса Лумумби, 4/6 (БЦ Основа, вход В)'),
(3,	6294,	'Поштомат &quot;Нова Пошта&quot; №3471: вул. Еспланадна, 20 (Бізнес-центр)'),
(1,	6294,	'Почтомат &quot;Новая Почта&quot; №3471: ул. Еспланадная, 20 (Бизнес-центр)'),
(3,	6295,	'Поштомат &quot;Нова Пошта&quot; №3472:  вул. Володимира Сосюри, 6 (БЦ Прага)'),
(1,	6295,	'Почтомат &quot;Новая Почта&quot; №3472: ул. Владимира Сосюри, 6 (БЦ Прага)'),
(3,	6296,	'Поштомат &quot;Нова Пошта&quot; №3474: вул. Василя Липківського, 37В (BUFET)'),
(1,	6296,	'Почтомат &quot;Новая Почта&quot; №3474: ул. Василия Липковского, 37В (BUFET)'),
(3,	6297,	'Поштомат &quot;Нова Пошта&quot; №3475:  вул. Велика Васильківська, 100 (БЦ Торонто, Башта А)'),
(1,	6297,	'Почтомат &quot;Новая Почта&quot; №3475: ул. Большая Васильковская, 100 (БЦ Торонто, Башта А)'),
(3,	6298,	'Поштомат &quot;Нова Пошта&quot; №3476: пров. Приладний 4б (Продукти)'),
(1,	6298,	'Почтомат &quot;Новая Почта&quot; №3476; пер. Приборный, 4б (Продукты)'),
(3,	6299,	'Поштомат &quot;Нова Пошта&quot; №3477: вул. Меблева, 10 (Продукти)'),
(1,	6299,	'Почтомат &quot;Новая Почта&quot; №3477: ул. Мебельная, 10 (Продукты)'),
(3,	6300,	'Поштомат &quot;Нова Пошта&quot; №3478: вул. Ватутіна, 25 (Лоток)'),
(1,	6300,	'Почтомат &quot;Новая Пошта&quot; №3478: ул. Ватутина, 25 (Лоток)'),
(3,	6301,	'Поштомат &quot;Нова Пошта&quot; №3479: смт. Гостомель, вул. Остромирська, 35, прим. 2н (Лоток)'),
(1,	6301,	'Почтомат &quot;Новая Пошта&quot; №3479: смт. Гостомель, ул. Остромирская, 35-Д, пом. 2н (Лоток)'),
(3,	6302,	'Поштомат &quot;Нова Пошта&quot; №3480: вул. Соборна, 146 (Лоток)'),
(1,	6302,	'Почтомат &quot;Новая Пошта&quot; №3480: ул. Соборная, 146 (Лоток)'),
(3,	6303,	'Поштомат &quot;Нова Пошта&quot; №3481: вул. Українська, 83-Б, корп. 3 (Лоток)'),
(1,	6303,	'Почтомат &quot;Новая Пошта&quot; №3481: ул. Украинская, 83-Б, корп. 3 (Лоток)'),
(3,	6304,	'Поштомат &quot;Нова Пошта&quot; №3482: бул. Л.Українки, 8 (Лоток)'),
(1,	6304,	'Почтомат &quot;Новая Пошта&quot; №3482: бул. Л.Украинки, 8 (Лоток)'),
(3,	6305,	'Поштомат &quot;Нова Пошта&quot; №3484: вул. Декабристів, 2 (ТЦ Південний)'),
(1,	6305,	'Почтомат &quot;Новая Пошта&quot; №3484: ул. Декабристов, 2 (ТЦ Южный)'),
(3,	6306,	'Поштомат &quot;Нова Пошта&quot; №3485: вул. Велика Васильківська, 100 (БЦ Торонто, Башта С)'),
(1,	6306,	'Почтомат &quot;Новая Пошта&quot; №3485: ул. Большая Васильковская, 100 (БЦ Торонто, Башта С)'),
(3,	6307,	'Поштомат &quot;Нова Пошта&quot; №3486: просп. Юрія Гагаріна, 9 (Щедрий Кошик)'),
(1,	6307,	'Почтомат &quot;Новая Пошта&quot; №3486: просп. Юрия Гагарина, 9 (Щедрий Кошик)'),
(3,	6308,	'Поштомат &quot;Нова Пошта&quot; №3487: вул. Сумська, 1 (БЦ CityZenPark)'),
(1,	6308,	'Почтомат &quot;Новая Пошта&quot; №3487: ул. Сумская, 1 (БЦ CityZenPark)'),
(3,	6309,	'Поштомат &quot;Нова Пошта&quot; №3488: с. Соф. Борщагівка, вул. Небесної Сотні, 34 (Міні-маркет Наш край)'),
(1,	6309,	'Почтомат &quot;Новая Пошта&quot; №3488: с. Соф. Борщаговка, ул. Небесной Сотни, 34 (Мини-маркет Наш край)'),
(3,	6310,	'Поштомат &quot;Нова Пошта&quot; №3491: вул. Єлизавети Чавдар, 2 (BUFET)'),
(1,	6310,	'Почтомат &quot;Новая Пошта&quot; №3491: ул. Елизаветы Чавдар, 2, (BUFET)'),
(3,	6311,	'Поштомат &quot;Нова Пошта&quot; №3492: просп. Володимира Маяковського, 27/1 (BUFET)'),
(1,	6311,	'Почтомат &quot;Новая Пошта&quot; №3492: просп. Владимира Маяковского, 27/1 (BUFET)'),
(1,	6387,	'Почтомат &quot;Новая Пошта&quot; №3494: ул. Озерная, 13/13 (АТБ)'),
(2,	6387,	'Поштомат &quot;Нова Пошта&quot; №3494: вул. Озерна, 13/13, АТБ'),
(3,	6387,	'Поштомат &quot;Нова Пошта&quot; №3494: вул. Озерна, 13/13 (АТБ)'),
(3,	6312,	'Поштомат &quot;Нова Пошта&quot; №3511: вул. Івана Виговського, 3 (Бізнес центр)'),
(1,	6312,	'Почтомат &quot;Новая Пошта&quot; №3511: ул. Ивана Виговского, 3 (Бизнес центр)'),
(3,	6313,	'Поштомат &quot;Нова Пошта&quot; №3513: вул. Волоська, 55/57 (Продукти Пепсіко)'),
(1,	6313,	'Почтомат &quot;Новая Пошта&quot; №3513: ул. Волошская, 55/57 (Продукты Пепсико)'),
(3,	6314,	'Поштомат &quot;Нова Пошта&quot; №3514: вул. Січових Стрільців, 77 (Бізнес центр)'),
(1,	6314,	'Почтомат &quot;Новая Пошта&quot; №3514: ул. Сечевых Стрельцов, 77 (Бизнес центр)'),
(3,	6315,	'Поштомат &quot;Нова Пошта&quot; №3516: с. ПП Борщагівка, вул. Волошкова, 1 (Маг. Непоседа)'),
(1,	6315,	'Почтомат &quot;Новая Пошта&quot; №3516:, с. ПП Борщаговка, ул. Волошкова, 1 (Маг. Непоседа)'),
(3,	6316,	'Поштомат &quot;Нова Пошта&quot; №3517: вул. Ентузіастів, 7 (Нива)'),
(1,	6316,	'Почтомат &quot;Новая Почта&quot; №3517: ул. Энтузиастов, 7 (Нива)'),
(3,	6317,	'Поштомат &quot;Нова Пошта&quot; №3518: вул. Руська, 219є (Нива)'),
(1,	6317,	'Почтомат &quot;Новая Почта&quot; №3517: ул. Русская, 219е (Нива)'),
(3,	6318,	'Поштомат &quot;Нова Пошта&quot; №3519: вул. Юрія Іллєнка, 51Б (BUFET)'),
(1,	6318,	'Почтомат &quot;Новая Пошта&quot; №3519: ул. Юрия Ильенка, 51Б (BUFET)'),
(3,	6319,	'Поштомат &quot;Нова Пошта&quot; №3520: вул. Федора Ернста, 16Б (BUFET)'),
(1,	6319,	'Почтомат &quot;Новая Пошта&quot; №3520: ул. Федора Эрнста, 16Б (BUFET)'),
(3,	6320,	'Поштомат &quot;Нова Пошта&quot; №3521: вул. Хрещатик, 15/4 (Пасаж, продукти Пепсіко)'),
(1,	6320,	'Почтомат &quot;Новая Пошта&quot; №3521: ул. Крещатик, 15/4 (Пассаж, продукты Пепсико)'),
(3,	6321,	'Поштомат &quot;Нова Пошта&quot; №3522: вул. Бульварно-Кудрявська, 39/11А (Продукти Пепсіко)'),
(1,	6321,	'Почтомат &quot;Новая Пошта&quot; №3522: ул. Бульварно-Кудрявская, 39/11А (Продукты Пепсико)'),
(3,	6322,	'Поштомат &quot;Нова Пошта&quot; №3523: вул. Солом\'янська, 8 (Продукти Пепсіко)'),
(1,	6322,	'Почтомат &quot;Новая Пошта&quot; №3523: ул. Соломенская, 8 (Продукты Пепсико)'),
(3,	6323,	'Поштомат &quot;Нова Пошта&quot; №3524: вул. Дмитрівська, 58А (Продукти Пепсіко)'),
(1,	6323,	'Почтомат &quot;Новая Пошта&quot; №3524: ул. Дмитровская, 58А (Продукты Пепсико)'),
(3,	6324,	'Поштомат &quot;Нова Пошта&quot; №3525: вул. Почайнинська, 57/59А (Продукти Пепсіко)'),
(1,	6324,	'Почтомат &quot;Новая Пошта&quot; №3525: ул. Почайнинская, 57/59А (Продукты Пепсико)'),
(3,	6325,	'Поштомат &quot;Нова Пошта&quot; №3526: вул. Ігорівська, 16 (Продукти Пепсіко)'),
(1,	6325,	'Почтомат &quot;Новая Пошта&quot; №3526: ул. Игоревская, 16 (Продукты Пепсико)'),
(3,	6326,	'Поштомат &quot;Нова Пошта&quot; №3527: с. С. Борщагівка, вул. Оксамитова, 1/1 (Мінімаркет)'),
(1,	6326,	'Почтомат &quot;Новая Пошта&quot; №3527:  с. С. Борщаговка, ул. Оксамытова, 1/1 (Минимаркет)'),
(3,	6327,	'Поштомат &quot;Нова Пошта&quot; №3528: с. ПП Борщагівка, вул. Шкільна, 10 (Мінімаркет)'),
(1,	6327,	'Почтомат &quot;Новая Пошта&quot; №3528: с. ПП Борщаговка, ул. Школьная, 10 (Минимаркет)'),
(3,	6328,	'Поштомат &quot;Нова Пошта&quot; №3529: с.С.Борщагівка, вул. Чубинського, 4 (Україночка, ЖК Софія Київська)'),
(1,	6328,	'Почтомат &quot;Новая Пошта&quot; №3529: с.С.Борщаговка, ул. П. Чубинского, 4 (Україночка, ЖК Софія Київська)'),
(3,	6329,	'Поштомат &quot;Нова Пошта&quot; №3530: с. С. Борщагівка, вул. Бишівська, 5 (Мінімаркет (ЖК Київський маєток))'),
(1,	6329,	'Почтомат &quot;Новая Пошта&quot; №3530: с. С. Борщаговка, ул. Бышевская, 5 (Минимаркет (ЖК Киевский маеток))'),
(3,	6330,	'Поштомат &quot;Нова Пошта&quot; №3531: с. С. Борщагівка, вул. Боголюбова, 18 (Магазин Світанок (ЖК Софія))'),
(1,	6330,	'Почтомат &quot;Новая Пошта&quot; №3531: с. С. Борщаговка, ул. Боголюбова, 18 (Магазин Світанок (ЖК София))'),
(3,	6331,	'Поштомат &quot;Нова Пошта&quot; №3532: с. С. Борщагівка, вул. Райдужна, 147 (Світанок, ЖК Львівський Маєток)'),
(1,	6331,	'Почтомат &quot;Новая Пошта&quot; №3532: с. С. Борщаговка, ул. Радужная, 147 (Світанок, ЖК Львовский Маеток)'),
(3,	6332,	'Поштомат &quot;Нова Пошта&quot; №3533: с. С. Борщагівка, вул. Шалімова, 86 (Маркет (ЖК Київський квартал))'),
(1,	6332,	'Почтомат &quot;Новая Пошта&quot; №3533: с. С. Борщаговка, ул. Шалимова, 86 (Маркет (ЖК Київський квартал))'),
(3,	6333,	'Поштомат &quot;Нова Пошта&quot; №3534: вул. Усурійська, 11 (Світанок)'),
(1,	6333,	'Почтомат &quot;Новая Пошта&quot; №3534: ул. Усурийская, 11 (Світанок)'),
(3,	6334,	'Поштомат &quot;Нова Пошта&quot; №3535: вул. Нагірна, 8/32 (Мінімаркет)'),
(1,	6334,	'Почтомат &quot;Новая Пошта&quot; №3535: ул. Нагорная, 8/32 (Минимаркет)'),
(3,	6335,	'Поштомат &quot;Нова Пошта&quot; №3536: вул. Борщагівська, 152 (Мінімаркет)'),
(1,	6335,	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Борщаговская, 152 (Минимаркет)'),
(3,	6336,	'Поштомат &quot;Нова Пошта&quot; №3537: с. С. Борщагівка, вул. Кошова, 110 (Маркет Сіймейна лавка)'),
(1,	6336,	'Почтомат &quot;Новая Пошта&quot; №3537: с. С. Борщаговка, ул. Кошова, 110 (Маркет Семейная лавка)'),
(3,	6337,	'Поштомат &quot;Нова Пошта&quot; №3538: с. ПП Борщагівка, вул. Черкаська, 34 (Сімей)'),
(1,	6337,	'Почтомат &quot;Новая Пошта&quot; №3538: с. ПП Борщагавка, ул. Черкасская, 34 (Семейная лавка)'),
(3,	6338,	'Поштомат &quot;Нова Пошта&quot; №3539: вул. Лютеранська, 7/10 (Продмаркет)'),
(1,	6338,	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Лютеранська, 7/10 (Продмаркет)'),
(3,	6339,	'Поштомат &quot;Нова Пошта&quot; №3540: вул. Симона Петлюри, 6 (Продукти Пепсіко)'),
(1,	6339,	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Симона Петлюри, 6 (Продукты Пепсико)'),
(3,	6340,	'Поштомат &quot;Нова Пошта&quot; №3541: просп. Перемоги, 17, Продукти Пепсіко'),
(1,	6340,	'Почтомат &quot;Новая Пошта&quot; №3541: просп. Победы, 17 (Продукты Пепсико, остановка ул. Шолуденко)'),
(3,	6341,	'Поштомат &quot;Нова Пошта&quot; №3542: вул. Жилянська, 69/71 (Продукти Пепсіко)'),
(1,	6341,	'Почтомат &quot;Новая Пошта&quot; №3542: ул. Жилянская, 69/71 (Продукты Пепсико)'),
(3,	6342,	'Поштомат &quot;Нова Пошта&quot; №3543: вул. Іллінська, 10 (Продукти Пепсіко)'),
(1,	6342,	'Почтомат &quot;Новая Пошта&quot; №3543: ул. Ильинская, 10 (Продукты Пепсико)'),
(3,	6343,	'Поштомат &quot;Нова Пошта&quot; №3544: вул. Анни Ахматової, 16А (Аптека Подорожник)'),
(1,	6343,	'Почтомат &quot;Новая Пошта&quot; №3544: ул. Анны Ахматовой, 16А (Аптека Подорожник)'),
(3,	6344,	'Поштомат &quot;Нова Пошта&quot; №3545: вул. Ревуцького, 12А (Аптека Подорожник, БАМ-експрес)'),
(1,	6344,	'Почтомат &quot;Новая Пошта&quot; №3545: ул. Ревуцкого, 12А (Аптека Подорожник)'),
(3,	6345,	'Поштомат &quot;Нова Пошта&quot; №3546: просп. Романа Шухевича, 2 (WOG)'),
(1,	6345,	'Почтомат &quot;Новая Пошта&quot; №3546: просп. Романа Шухевича, 2 (WOG)'),
(3,	6346,	'Поштомат &quot;Нова Пошта&quot; №3547: вул. Крайня, 1 (WOG)'),
(1,	6346,	'Почтомат &quot;Новая Пошта&quot; №3547: ул. Крайняя, 1 (WOG)'),
(3,	6347,	'Поштомат &quot;Нова Пошта&quot; №3548: Дніпровська набережна, 17е (WOG)'),
(1,	6347,	'Почтомат &quot;Новая Пошта&quot; №3548: Днепровская набережная, 17е (WOG)'),
(1,	6388,	'Почтомат &quot;Новая Почта&quot; №3550: ул. Короленко, 1 (ТЦ  Злата Плаза)'),
(2,	6388,	'Поштомат &quot;Нова Пошта&quot; №3550: вул. Короленко, 1 (ТЦ  Злата Плаза)'),
(3,	6388,	'Поштомат &quot;Нова Пошта&quot; №3550: вул. Короленко, 1 (ТЦ  Злата Плаза)'),
(3,	6348,	'Поштомат &quot;Нова Пошта&quot; №3551: вул. Богоявленська, 40 (Фреш, Євротек)'),
(1,	6348,	'Почтомат &quot;Новая Почта&quot; №3551: ул. Богоявленская, 40 (Фреш, Евротек)'),
(3,	6349,	'Поштомат &quot;Нова Пошта&quot; №3552: вул. Євгена Коновальця, 20 (Арсен, Євротек)'),
(1,	6349,	'Почтомат &quot;Новая Почта&quot; №3002: ул. Евгения Коновальца, 20 (Арсен, Евротек)'),
(3,	6350,	'Поштомат &quot;Нова Пошта&quot; №3553: вул. Іллюши Кулика, 114-ж (Фреш, Євротек)'),
(1,	6350,	'Почтомат &quot;Новая Пошта&quot; №3553: ул. Иллюши Кулика, 114-ж (Фреш, Евротек)'),
(3,	6351,	'Поштомат &quot;Нова Пошта&quot; №3554: просп. Текстильників, 9 (Фреш, Євротек)'),
(1,	6351,	'Почтомат &quot;Новая Пошта&quot; №3554: просп. Текстильщиков, 9 (Фреш, Евротек)'),
(3,	6352,	'Поштомат &quot;Нова Пошта&quot; №3555: вул. Патона, 12 (Фреш, Євротек)'),
(1,	6352,	'Почтомат &quot;Новая Пошта&quot; №3555: ул. Патона, 12 (Фреш, Евротек)'),
(3,	6353,	'Поштомат &quot;Нова Пошта&quot; №3556: вул. Чорноморська, 25 (Фреш, Євротек)'),
(1,	6353,	'Почтомат &quot;Новая Пошта&quot; №3556: ул. Черноморская, 25 (Фреш, Евротек)'),
(3,	6354,	'Поштомат &quot;Нова Пошта&quot; №3557: вул. Волошина, 26 (Едельвейс)'),
(1,	6354,	'Почтомат &quot;Новая Пошта&quot; №3557: ул. Волошина, 26 (Эдельвейс)'),
(3,	6355,	'Поштомат &quot;Нова Пошта&quot; №3558: вул. Святослава Ріхтера, 40 (Полісся-продукт)'),
(1,	6355,	'Почтомат &quot;Новая Пошта&quot; №3558: ул. Святослава Рихтера, 40 (Полесье-продукт)'),
(3,	6356,	'Поштомат &quot;Нова Пошта&quot; №3559: вул. Гагаріна, 5 (Полісся-продукт)'),
(1,	6356,	'Почтомат &quot;Новая Пошта&quot; №3559: ул. Гагарина, 5 (Полесье-продукт)'),
(3,	6357,	'Поштомат &quot;Нова Пошта&quot; №3566: просп.Степана Бандери, 96 (Хмельничанка)'),
(1,	6357,	'Почтомат &quot;Новая Пошта&quot; №3516: просп. Степана Бандеры, 96 (Хмельничанка)'),
(3,	6358,	'Поштомат &quot;Нова Пошта&quot; №3568: вул. Анатолія Живова, 15а (Орнава)'),
(1,	6358,	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Анатолия Живова, 15а (ТЦ Орнава)'),
(3,	6359,	'Поштомат &quot;Нова Пошта&quot; №3569: вул. Новий Світ, 1а (Рукавичка)'),
(1,	6359,	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Новый Мир, 1а (Рукавичка)'),
(1,	6389,	'Почтомат &quot;Новая Пошта&quot; №3574: ул. Рокоссовського, 4 (Академия вкуса)'),
(2,	6389,	'Поштомат &quot;Нова Пошта&quot; №3574: вул. Рокоссовського, 4, Академія смаку'),
(3,	6389,	'Поштомат &quot;Нова Пошта&quot; №3574: вул. Рокоссовського, 4 (Академія смаку)'),
(3,	6360,	'Поштомат &quot;Нова Пошта&quot; №3575: просп. Броварський, 11Б (WOG)'),
(1,	6360,	'Почтомат &quot;Новая Пошта&quot; №3575: просп. Броварской, 11Б (WOG)'),
(3,	6361,	'Поштомат &quot;Нова Пошта&quot; №3576: вул. Братиславська, 26 (Аптека Подорожник)'),
(1,	6361,	'Почтомат &quot;Новая Пошта&quot; №3576: ул. Братиславская, 26 (Аптека Подорожник)'),
(3,	6362,	'Поштомат &quot;Нова Пошта&quot; №3577: вул. Амвросія Бучми, 6 (Аптека Подорожник)'),
(1,	6362,	'Почтомат &quot;Новая Пошта&quot; №3577: ул. Амвросия Бучмы, 6 (Аптека Подорожник)'),
(3,	6363,	'Поштомат &quot;Нова Пошта&quot; №3578: вул. Петра Калнишевського, 7, секція 4 (Аптека Рін-Гін-Дін)'),
(1,	6363,	'Почтомат &quot;Новая Пошта&quot; №3578: ул. Калнышевского, 7, секция 4 (Аптека Рин-Гин-Дин)'),
(3,	6364,	'Поштомат &quot;Нова Пошта&quot; №3579: вул. Богатирська, 15 (WOG)'),
(1,	6364,	'Почтомат &quot;Новая Пошта&quot; №3579: ул. Богатирская, 15 (WOG)'),
(3,	6365,	'Поштомат &quot;Нова Пошта&quot; №3580: вул. Стеценко, 21 (WOG)'),
(1,	6365,	'Почтомат &quot;Новая Пошта&quot; №3580: ул. Стеценко, 21 (WOG)'),
(3,	6366,	'Поштомат &quot;Нова Пошта&quot; №3581: вул. Берковецька, 6 (WOG)'),
(1,	6366,	'Почтомат &quot;Новая Пошта&quot; №3581: ул. Берковецкая, 6 (WOG)'),
(3,	6367,	'Поштомат &quot;Нова Пошта&quot; №3582: Наддніпрянське шосе, 8 (WOG)'),
(1,	6367,	'Почтомат &quot;Новая Пошта&quot; №3582: Надднепрянское шоссе, 8 (WOG)'),
(3,	6368,	'Поштомат &quot;Нова Пошта&quot; №3583: просп. Правди, 94 (Аптека Подорожник)'),
(1,	6368,	'Почтомат &quot;Новая Пошта&quot; №3583: просп. Правди, 94 (Аптека Подорожник)'),
(3,	6369,	'Поштомат &quot;Нова Пошта&quot; №3584: вул. Сім\'ї Сосніних, 17А (WOG)'),
(1,	6369,	'Почтомат &quot;Новая Пошта&quot; №3584: ул. Семьи Сосниных, 17А (WOG)'),
(3,	6370,	'Поштомат &quot;Нова Пошта&quot; №3585: просп. Любомира Гузара, 28 (Аптека Подорожник)'),
(1,	6370,	'Почтомат &quot;Новая Пошта&quot; №3585: просп. Любомира Гузара, 28 (Аптека Подорожник)'),
(3,	6371,	'Поштомат &quot;Нова Пошта&quot; №3586: просп. Перемоги, 98 (Аптека Подорожник)'),
(1,	6371,	'Почтомат &quot;Новая Пошта&quot; №3586: просп. Победы, 98 (Аптека Подорожник)'),
(3,	6372,	'Поштомат &quot;Нова Пошта&quot; №3588: вул. Миколи Шепелєва, 6 (Бадьорий)'),
(1,	6372,	'Почтомат &quot;Новая Пошта&quot; №3588: ул. Николая Шепелева, 6 (Бадьорий)'),
(3,	6373,	'Поштомат &quot;Нова Пошта&quot; №3589: вул. Героїв Севастополя, 33 (Бадьорий)'),
(1,	6373,	'Почтомат &quot;Новая Пошта&quot; №3589: ул. Героев Севастополя, 33 (Бадьорий)'),
(1,	6390,	'Почтомат &quot;Новая Пошта&quot; №3590: ул. Ольжича, 8 (Бадьорий)'),
(2,	6390,	'Поштомат &quot;Нова Пошта&quot; №3590: вул. Ольжича, 8, Бадьорий'),
(3,	6390,	'Поштомат &quot;Нова Пошта&quot; №3590: вул. Ольжича, 8 (Бадьорий)'),
(3,	6374,	'Поштомат &quot;Нова Пошта&quot; №3591: вул. Олени Теліги, 31/1 (Бадьорий)'),
(1,	6374,	'Почтомат &quot;Новая Пошта&quot; №3591: ул. Елены Телеги, 31/1 (Бадьорий)'),
(3,	6375,	'Поштомат &quot;Нова Пошта&quot; №3592: вул. Полярна, 8а (Торговий Центр)'),
(1,	6375,	'Почтомат &quot;Новая Пошта&quot; №3592: ул. Полярная, 8а (Торговий Центр)'),
(3,	6376,	'Поштомат &quot;Нова Пошта&quot; №3600: вул. Білокур, 7А (Продуктоша)'),
(1,	6376,	'Почтомат &quot;Новая Пошта&quot; №3600: ул. Белокур, 7А (Продуктоша)'),
(1,	6391,	'Почтомат &quot;Новая Пошта&quot; №3601: ул. Украинская, 83Б (Продукти Хочу їсти)'),
(2,	6391,	'Поштомат &quot;Нова Пошта&quot; №3601: вул. Українська, 83Б, Продукти &quot;Хочу їсти&quot;'),
(3,	6391,	'Поштомат &quot;Нова Пошта&quot; №3601: вул. Українська, 83Б (Продукти Хочу їсти)'),
(1,	6392,	'Почтомат &quot;Новая Пошта&quot; №3602: ул. Авиаконструктора Антонова, 1 (Автовокзал Продуктовый)'),
(2,	6392,	'Поштомат &quot;Нова Пошта&quot; №3602: вул. Авіаконструктора Антонова, 1, Автовокзал Продуктовий'),
(3,	6392,	'Поштомат &quot;Нова Пошта&quot; №3602: вул. Авіаконструктора Антонова, 1 (Автовокзал Продуктовий)'),
(3,	6377,	'Поштомат &quot;Нова Пошта&quot; №3604: вул. Олега Кошового, 13Б (Village маркет)'),
(1,	6377,	'Почтомат &quot;Новая Пошта&quot; №3604: ул. Олега Кошевого, 13Б (Village маркет)'),
(1,	6393,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 42'),
(2,	6393,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 42'),
(3,	6393,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 42'),
(1,	6394,	'Пункт приема-выдачи (до 30 кг), ул. Луцкая, 4'),
(2,	6394,	'Пункт приймання-видачі (до 30 кг): вул. Луцька, 4'),
(3,	6394,	'Пункт приймання-видачі (до 30 кг): вул. Луцька, 4'),
(1,	6395,	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 1'),
(2,	6395,	'Пункт приймання-видачі (до 30 кг): вул. Первомайська, 1'),
(3,	6395,	'Пункт приймання-видачі (до 30 кг): вул. Первомайська, 1'),
(1,	6396,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 40'),
(2,	6396,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 40'),
(3,	6396,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 40'),
(1,	6397,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 97'),
(2,	6397,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 97'),
(3,	6397,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 97'),
(1,	6398,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2,	6398,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(3,	6398,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	6399,	'Пункт приема-выдачи (до 30 кг): ул. Новоселицкая, 9'),
(2,	6399,	'Пункт приймання-видачі (до 30 кг): вул. Новоселицька, 9'),
(3,	6399,	'Пункт приймання-видачі (до 30 кг): вул. Новоселицька, 9'),
(1,	6400,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3б'),
(2,	6400,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3б'),
(3,	6400,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 3б'),
(1,	6401,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 57'),
(2,	6401,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 57'),
(3,	6401,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 57'),
(1,	6402,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 49а'),
(2,	6402,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 49а'),
(3,	6402,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 49а'),
(1,	6403,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 1'),
(2,	6403,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 1'),
(3,	6403,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 1'),
(1,	6404,	'Пункт приема-выдачи (до 30 кг): ул. Маковийчука, 52'),
(2,	6404,	'Пункт приймання-видачі (до 30 кг): вул. Маковійчука, 52'),
(3,	6404,	'Пункт приймання-видачі (до 30 кг): вул. Маковійчука, 52'),
(1,	6405,	'Пункт приема-выдачи (до 30 кг), ул. Киевская, 14б'),
(2,	6405,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 14б'),
(3,	6405,	'Пункт приймання-видачі (до 30 кг): вул. Київська, 14б'),
(1,	6406,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2,	6406,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(3,	6406,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	6407,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 373'),
(2,	6407,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 373'),
(3,	6407,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 373'),
(1,	6408,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 70а'),
(2,	6408,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 70а'),
(3,	6408,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 70а'),
(1,	6409,	'Пункт приема-выдачи (до 30 кг): ул. Омельяненко, 5'),
(2,	6409,	'Пункт приймання-видачі (до 30 кг): вул. Омеляненка, 5'),
(3,	6409,	'Пункт приймання-видачі (до 30 кг): вул. Омеляненка, 5'),
(1,	6410,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2,	6410,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(3,	6410,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1'),
(1,	6411,	'\nПункт приема-выдачи (до 30 кг), ул. Гагарина, 2А'),
(2,	6411,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 2А'),
(3,	6411,	'Пункт приймання-видачі (до 30 кг): вул. Гагаріна, 2А'),
(1,	6412,	'0682845088'),
(2,	6412,	'Пункт приймання-видачі (до 30 кг): вул. Зразкова, 1'),
(3,	6412,	'Пункт приймання-видачі (до 30 кг): вул. Зразкова, 1'),
(1,	6413,	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 35Б'),
(2,	6413,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 35Б'),
(3,	6413,	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 35Б'),
(1,	6414,	'Пункт приема-выдачи (до 30 кг), ул. Комарова, 6 (магазин Алиса)'),
(2,	6414,	'Пункт приймання-видачі (до 30 кг): вул. Комарова, 6 (магазин Алиса)'),
(3,	6414,	'Пункт приймання-видачі (до 30 кг): вул. Комарова, 6 (магазин Алиса)'),
(1,	6415,	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 130А'),
(2,	6415,	'Пункт приймання-видачі (до 30 кг): вул. Б.Хмельницького, 130А'),
(3,	6415,	'Пункт приймання-видачі (до 30 кг): вул. Б.Хмельницького, 130А'),
(1,	6416,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 26'),
(2,	6416,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 26'),
(3,	6416,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 26'),
(1,	6417,	'Пункт приема-выдачи (до 30 кг): ул. Днестровская, 9а'),
(2,	6417,	'Пункт приймання-видачі (до 30 кг): вул. Дністровська, 9а'),
(3,	6417,	'Пункт приймання-видачі (до 30 кг): вул. Дністровська, 9а'),
(1,	6418,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 92а'),
(2,	6418,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 92а'),
(3,	6418,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 92а'),
(1,	6419,	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 30'),
(2,	6419,	'Пункт приймання-видачі (до 30 кг): вул. Первомайська, 30'),
(3,	6419,	'Пункт приймання-видачі (до 30 кг): вул. Первомайська, 30'),
(1,	6420,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1а'),
(2,	6420,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(3,	6420,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(1,	6421,	'Пункт приема-выдачи (до 30 кг): ул. Лысенко, 3'),
(2,	6421,	'Пункт приймання-видачі (до 30 кг): вул. Лисенка, 3'),
(3,	6421,	'Пункт приймання-видачі (до 30 кг): вул. Лисенка, 3'),
(1,	6422,	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 25'),
(2,	6422,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 25'),
(3,	6422,	'Пункт приймання-видачі (до 30 кг): вул. Галицька, 25'),
(1,	6423,	'Пункт приема-выдачи (до 30 кг): ул. Святодмитриевская, 35'),
(2,	6423,	'Пункт приймання-видачі (до 30 кг): вул. Святодмитріївська, 35'),
(3,	6423,	'Пункт приймання-видачі (до 30 кг): вул. Святодмитріївська, 35'),
(1,	6424,	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 10'),
(2,	6424,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 10'),
(3,	6424,	'Пункт приймання-видачі (до 30 кг): вул. Молодіжна, 10'),
(1,	6425,	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 11а'),
(2,	6425,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 11а'),
(3,	6425,	'Пункт приймання-видачі (до 30 кг): вул. Грушевського, 11а'),
(1,	6426,	'Отделение №1: ул. Главная, 75а'),
(2,	6426,	'Відділення №1: вул. Головна, 75а'),
(3,	6426,	'Відділення №1: вул. Головна, 75а'),
(1,	6427,	'Отделение №1: ул. Шевченко, 15 (проходная табачной фабрики)'),
(2,	6427,	'Відділення №1: вул. Шевченка, 15 (прохідна тютюнової фабрики)'),
(3,	6427,	'Відділення №1: вул. Шевченка, 15 (прохідна тютюнової фабрики)'),
(1,	6428,	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 71'),
(2,	6428,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 71'),
(3,	6428,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 71'),
(1,	6429,	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17В'),
(2,	6429,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17В'),
(3,	6429,	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 17В'),
(1,	6430,	'Пункт приема-выдачи (до 30 кг): ул. Главная, 10'),
(2,	6430,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 10'),
(3,	6430,	'Пункт приймання-видачі (до 30 кг): вул. Головна, 10'),
(1,	6431,	'Пункт приема-выдачи (до 30 кг): ул. Главная,13'),
(2,	6431,	'Пункт приймання-видачі (до 30 кг): вул. Головна,13'),
(3,	6431,	'Пункт приймання-видачі (до 30 кг): вул. Головна,13'),
(1,	6432,	'Пункт приема-выдачи (до 30 кг), ул. Херсонская, 29А'),
(2,	6432,	'Пункт приймання-видачі (до 30 кг): вул.  Херсонська, 29А'),
(3,	6432,	'Пункт приймання-видачі (до 30 кг): вул.  Херсонська, 29А'),
(1,	6433,	'Пункт приема-выдачи (до 30 кг): ул. Топоровская, 141'),
(2,	6433,	'Пункт приймання-видачі (до 30 кг): вул. Топорівська, 141'),
(3,	6433,	'Пункт приймання-видачі (до 30 кг): вул. Топорівська, 141'),
(1,	6434,	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 52'),
(2,	6434,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 52'),
(3,	6434,	'Пункт приймання-видачі (до 30 кг): вул. Незалежності, 52'),
(1,	6435,	'Отделение №2 (до 30 кг на 1 место): ул. Полтавский шлях, 70/2а'),
(2,	6435,	'Відділення №2 (до 30 кг на 1 місце): вул. Полтавський шлях, 70/2а'),
(3,	6435,	'Відділення №2 (до 30 кг на 1 місце): вул. Полтавський шлях, 70/2а'),
(1,	6436,	'Отделение №2 (до 30 кг на одно место): ул. Калиновская, 13-А (МТК &quot;Калиновский рынок&quot;)'),
(2,	6436,	'Відділення №2 (до 30 кг на одне місце): вул. Калинівська, 13-А (МТК &quot;Калинівський ринок&quot;)'),
(3,	6436,	'Відділення №2 (до 30 кг на одне місце): вул. Калинівська, 13-А (МТК &quot;Калинівський ринок&quot;)'),
(1,	6437,	'Отделение №2 (до 15 кг) Мини-отделение: ул. Центральная (ран. Калинина), 47а (маг.&quot;ЦУМ&quot;)'),
(2,	6437,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Центральна (ран. Калініна), 47а (маг.&quot;ЦУМ&quot;)'),
(3,	6437,	'Відділення №2 (до 15 кг) Міні-відділення: вул. Центральна (ран. Калініна), 47а (маг.&quot;ЦУМ&quot;)'),
(1,	6438,	'Отделение №2 (до 30 кг), ул. микрораен 4, дом 11'),
(2,	6438,	'Відділення №2 (до 30 кг): вул. мікрорайон 4, буд. 11'),
(3,	6438,	'Відділення №2 (до 30 кг): вул. мікрорайон 4, буд. 11'),
(1,	6439,	'Отделение №2 (до 30 кг) Пункт приема-выдачи, ул. Шахтерской славы, 11'),
(2,	6439,	'Відділення №2 (до 30 кг) Пункт приймання-видачі: вул. Шахтарської слави, 11'),
(3,	6439,	'Відділення №2 (до 30 кг) Пункт приймання-видачі: вул. Шахтарської слави, 11'),
(1,	6440,	'Отделение №2 (до 5 кг) Мини-отделение: ул. Львовская, 19'),
(2,	6440,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Львівська, 19'),
(3,	6440,	'Відділення №2 (до 5 кг) Міні-відділення: вул. Львівська, 19'),
(1,	6441,	'Отделение № 2 (до 30 кг): ул. Грушевского, 39'),
(2,	6441,	'Відділення №2 (до 30 кг): вул. Грушевського, 39'),
(3,	6441,	'Відділення №2 (до 30 кг): вул. Грушевського, 39'),
(1,	6442,	'Отделение №5 (до 5 кг), Мини-отделение: просп. Мира, 35 (ТЦ &quot;Таврия В&quot;)'),
(2,	6442,	'Відділення №5 (до 5 кг), Міні-відділнення: просп. Миру, 35 (ТЦ &quot;Таврія В&quot;)'),
(3,	6442,	'Відділення №5 (до 5 кг), Міні-відділнення: просп. Миру, 35 (ТЦ &quot;Таврія В&quot;)'),
(1,	6443,	'Отделение №6 (до 30 кг на одно место): ул. Духновича, 14'),
(2,	6443,	'Відділення №6 (до 30 кг на одне місце): вул. Духновича, 14'),
(3,	6443,	'Відділення №6 (до 30 кг на одне місце): вул. Духновича, 14'),
(1,	6444,	'Отделение №6 (до 30 кг): ул. Конякина, 30 (ТЦ &quot;Варшавский&quot;)'),
(2,	6444,	'Відділення №6 (до 30 кг): вул. Конякіна, 30 (ТЦ &quot;Варшавський&quot;)'),
(3,	6444,	'Відділення №6 (до 30 кг): вул. Конякіна, 30 (ТЦ &quot;Варшавський&quot;)'),
(1,	6445,	'Отделение №9: ул. Калиновская, 13В (рынок &quot;Добробут&quot;)'),
(2,	6445,	'Відділення №9: вул. Калинівська, 13В (ринок &quot;Добробут&quot;)'),
(3,	6445,	'Відділення №9: вул. Калинівська, 13В (ринок &quot;Добробут&quot;)'),
(1,	6446,	'Отделение №14 (до 30 кг), Мини-отделение: ул. Макарова, 23 (ТРЦ &quot;Экватор&quot;)'),
(2,	6446,	'Відділення №14 (до 30 кг), Міні-відділення: вул. Макарова, 23 (ТРЦ &quot;Екватор&quot;)'),
(3,	6446,	'Відділення №14 (до 30 кг), Міні-відділення: вул. Макарова, 23 (ТРЦ &quot;Екватор&quot;)'),
(1,	6447,	'Отделение №17(до 15 кг), Мини-отделение: ул. Киевская, 77 (ТРЦ &quot;Глобал UA&quot;)'),
(2,	6447,	'Відділення №17 (до 15 кг), Міні-відділення: вул. Київська, 77 (ТРЦ &quot;Глобал UA&quot;)'),
(3,	6447,	'Відділення №17 (до 15 кг), Міні-відділення: вул. Київська, 77 (ТРЦ &quot;Глобал UA&quot;)'),
(1,	6448,	'Отделение №19 (до 15 кг), Мини-отделение: ул. Большая Перспективная, 51а'),
(2,	6448,	'Відділення №19 (до 15 кг), Міні-відділення: вул. Велика Перспективна, 51а'),
(3,	6448,	'Відділення №19 (до 15 кг), Міні-відділення: вул. Велика Перспективна, 51а'),
(1,	6449,	'Отделение №23 (до 15 кг), Мини-отделение: пл. Согласия, 6'),
(2,	6449,	'Відділення №23 (до 15 кг), Міні-відділення: майдан Згоди, 6'),
(3,	6449,	'Відділення №23 (до 15 кг), Міні-відділення: майдан Згоди, 6'),
(1,	6450,	'Отделение №23 (до 30 кг): ул. Винниченко, 4 (ТЦ &quot;Буратино&quot;)'),
(2,	6450,	'Відділення №23 (до 30 кг): вул. Винниченка, 4 (ТЦ &quot;Буратіно&quot;)'),
(3,	6450,	'Відділення №23 (до 30 кг): вул. Винниченка, 4 (ТЦ &quot;Буратіно&quot;)'),
(1,	6451,	'Отделение №25 (до 5 кг), Мини-отделение: ул. Шевченко, 38а'),
(2,	6451,	'Відділення №25 (до 5 кг), Міні-відділення: вул. Шевченка, 38а'),
(3,	6451,	'Відділення №25 (до 5 кг), Міні-відділення: вул. Шевченка, 38а'),
(1,	6452,	'Отделение №42 (до 15 кг) Мини-отделение: ул. Новощепной ряд, 2 (ТЦ &quot;Остров&quot;)'),
(2,	6452,	'Відділення №42 (до 15 кг) Міні-відділення: вул. Новощепний ряд, 2 (ТЦ &quot;Острів&quot;)'),
(3,	6452,	'Відділення №42 (до 15 кг) Міні-відділення: вул. Новощепний ряд, 2 (ТЦ &quot;Острів&quot;)'),
(1,	6453,	'Отделение №61 (до 30 кг):  проул. Парусный, 19, пом. 163'),
(2,	6453,	'Відділення №61 (до 30 кг): пров. Парусний, 19, прим. 163'),
(3,	6453,	'Відділення №61 (до 30 кг): пров. Парусний, 19, прим. 163'),
(1,	6454,	'Отделение №111 (до 30 кг): пл. Греческая, 1-А, пом. 101 (ТЦ &quot;Греческий&quot;)'),
(2,	6454,	'Відділення №111 (до 30 кг): пл. Грецька, 1-А, прим. 101 (ТЦ &quot;Грецький&quot;)'),
(3,	6454,	'Відділення №111 (до 30 кг): пл. Грецька, 1-А, прим. 101 (ТЦ &quot;Грецький&quot;)'),
(1,	6455,	'Отделение №116 (до 5 кг), Мини-отделение: ул. Искровская, 1/7 А'),
(2,	6455,	'Відділення №116 (до 5 кг), Міні-відділення: вул. Іскрівська, 1/7 А'),
(3,	6455,	'Відділення №116 (до 5 кг), Міні-відділення: вул. Іскрівська, 1/7 А'),
(1,	6456,	'Отделение №120 (до 5 кг), Мини-отделение: ул. Нежинская, 16'),
(2,	6456,	'Відділення №120 (до 5 кг), Міні-відділення: вул. Ніжинська, 16'),
(3,	6456,	'Відділення №120 (до 5 кг), Міні-відділення: вул. Ніжинська, 16'),
(1,	6457,	'г. Волноваха, депо (ул. Юбилейная, 4)'),
(2,	6457,	'м. Волноваха, депо (вул. Ювілейна, 4)'),
(3,	6457,	'м. Волноваха, депо (вул. Ювілейна, 4)'),
(1,	6458,	'Почтомат &quot;Новая почта&quot; №3026: ул. Маршала Рибалка, 11 (БЦ PALO ALTO)'),
(2,	6458,	'Поштомат &quot;Нова Пошта&quot; №3026: вул. Маршала Рибалка, 11 (БЦ PALO ALTO)'),
(3,	6458,	'Поштомат &quot;Нова Пошта&quot; №3026: вул. Маршала Рибалка, 11 (БЦ PALO ALTO)'),
(1,	6459,	'Почтомат &quot;Новая Пошта&quot; №3074: с. Петропавловская Борщаговка, ул. Соборная/Матросова, 23 (BoxPark)'),
(2,	6459,	'Поштомат &quot;Нова Пошта&quot; №3074: с. Петропавлівська Борщагівка, вул. Соборна/Матросова, 23 (BoxPark)'),
(3,	6459,	'Поштомат &quot;Нова Пошта&quot; №3074: с. Петропавлівська Борщагівка, вул. Соборна/Матросова, 23 (BoxPark)'),
(1,	6460,	'Почтомат &quot;Новая Пошта&quot; № 3078, ул. Василия Липковского, 1 (ТЦ Ремточмеханика)'),
(2,	6460,	'Поштомат &quot;Нова Пошта&quot;  № 3078: вул. Василя Липківського, 1 (ТЦ Ремточмеханіка)'),
(3,	6460,	'Поштомат &quot;Нова Пошта&quot;  № 3078: вул. Василя Липківського, 1 (ТЦ Ремточмеханіка)'),
(1,	6461,	'Почтомат  &quot;Новая Пошта&quot; № 3082: ул. Пирогова, 112-А (Аптека)'),
(2,	6461,	'Поштомат &quot;Нова Пошта&quot; №3082: вул. Пирогова, 112-А (Аптека)'),
(3,	6461,	'Поштомат &quot;Нова Пошта&quot; №3082: вул. Пирогова, 112-А (Аптека)'),
(1,	6462,	'Почтомат &quot;Новая Пошта&quot; №3200: Гостомельское шоссе, 22 (Продукты)'),
(2,	6462,	'Поштомат &quot;Нова Пошта&quot; №3200: Гостомельске шосе, 22 (Продукти)'),
(3,	6462,	'Поштомат &quot;Нова Пошта&quot; №3200: Гостомельске шосе, 22 (Продукти)'),
(1,	6463,	'Почтомат &quot;Новая Пошта&quot; №3264: просп. Добровольського, 123, (Таврия В)'),
(2,	6463,	'Поштомат &quot;Нова Пошта&quot; №3264: просп. Добровольського, 123 (Таврія В)'),
(3,	6463,	'Поштомат &quot;Нова Пошта&quot; №3264: просп. Добровольського, 123 (Таврія В)'),
(1,	6464,	'Почтомат &quot;Новая Пошта&quot; № 3265: Люстдорфская дорога, 55 (WOG)'),
(2,	6464,	'Поштомат &quot;Нова Пошта&quot; №3265: Люстдорфська дорога, 55 (WOG)'),
(3,	6464,	'Поштомат &quot;Нова Пошта&quot; №3265: Люстдорфська дорога, 55 (WOG)'),
(1,	6465,	'Почтомат &quot;Новая Пошта&quot; № 3283: ул. Хмельницкого, 271 (Рукавичка)'),
(2,	6465,	'Поштомат &quot;Нова Пошта&quot; №3283: вул. Хмельницького, 271 (Рукавичка)'),
(3,	6465,	'Поштомат &quot;Нова Пошта&quot; №3283: вул. Хмельницького, 271 (Рукавичка)'),
(1,	6466,	'Почтомат &quot;Новая Пошта&quot; №3369: ул. Шевченко, 11 (Наш Край)'),
(2,	6466,	'Поштомат &quot;Нова Пошта&quot; №3369: вул. Шевченка, 11 (Наш Край)'),
(3,	6466,	'Поштомат &quot;Нова Пошта&quot; №3369: вул. Шевченка, 11 (Наш Край)'),
(1,	6467,	'Почтомат &quot;Новая Пошта&quot; №3370: ул. Єршова, 11, Торба'),
(2,	6467,	'Поштомат &quot;Нова Пошта&quot; №3370: вул. Єршова, 11, Торба'),
(3,	6467,	'Поштомат &quot;Нова Пошта&quot; №3370: вул. Єршова, 11, Торба'),
(1,	6468,	'Почтомат &quot;Новая Пошта&quot; №3387: переулок Складской, 1 (Торба)'),
(2,	6468,	'Поштомат &quot;Нова Пошта&quot; №3387: провулок Складський, 1 (Торба)'),
(3,	6468,	'Поштомат &quot;Нова Пошта&quot; №3387: провулок Складський, 1 (Торба)'),
(1,	6469,	'Почтомат &quot;Новая Пошта&quot; №3388: ул. Чорновола, 142, Малина'),
(2,	6469,	'Поштомат &quot;Нова Пошта&quot; №3388: вул. Чорновола, 142, Малина'),
(3,	6469,	'Поштомат &quot;Нова Пошта&quot; №3388: вул. Чорновола, 142, Малина'),
(1,	6470,	'Почтомат &quot;Новая Пошта&quot; №3390: ул. Пацаєва, 7, Малина'),
(2,	6470,	'Поштомат &quot;Нова Пошта&quot; №3390: вул. Пацаєва, 7, Малина'),
(3,	6470,	'Поштомат &quot;Нова Пошта&quot; №3390: вул. Пацаєва, 7, Малина'),
(1,	6471,	'Почтомат &quot;Новая Пошта&quot; №3391: ул. Гоголя, 258, Малина'),
(2,	6471,	'Поштомат &quot;Нова Пошта&quot; №3391: вул. Гоголя, 258, Малина'),
(3,	6471,	'Поштомат &quot;Нова Пошта&quot; №3391: вул. Гоголя, 258, Малина'),
(1,	6472,	'Почтомат &quot;Новая Пошта&quot; №3422: ул. Пилипа Орлика, 118/16 (Щирый Кум)'),
(2,	6472,	'Поштомат &quot;Нова Пошта&quot; №3422: вул. Пилипа Орлика, 118/16 (Щирий Кум)'),
(3,	6472,	'Поштомат &quot;Нова Пошта&quot; №3422: вул. Пилипа Орлика, 118/16 (Щирий Кум)'),
(1,	6473,	'Почтомат &quot;Новая Пошта&quot; №3423: бульв. Шевченко, 89/105'),
(2,	6473,	'Поштомат &quot;Нова Пошта&quot; №3423: бульв. Шевченка, 89/105'),
(3,	6473,	'Поштомат &quot;Нова Пошта&quot; №3423: бульв. Шевченка, 89/105'),
(1,	6474,	'Почтомат &quot;Новая Пошта&quot; №3426: ул. Магистральная, 72А, Апельмон'),
(2,	6474,	'Поштомат &quot;Нова Пошта&quot; №3426: вул. Магістральна, 72А, Апельмон'),
(3,	6474,	'Поштомат &quot;Нова Пошта&quot; №3426: вул. Магістральна, 72А, Апельмон'),
(1,	6475,	'Почтомат &quot;Новая Пошта&quot; №3428: ул. Магистральная, 92, Апельмон'),
(2,	6475,	'Поштомат &quot;Нова Пошта&quot; №3428: вул. Магістральна, 92, Апельмон'),
(3,	6475,	'Поштомат &quot;Нова Пошта&quot; №3428: вул. Магістральна, 92, Апельмон'),
(1,	6476,	'Почтомат &quot;Новая Пошта&quot; №3432: просп. Моторостроителей, 58 (Апельмон)'),
(2,	6476,	'Поштомат &quot;Нова Пошта&quot; №3432: просп. Моторобудівників, 58 (Апельмон)'),
(3,	6476,	'Поштомат &quot;Нова Пошта&quot; №3432: просп. Моторобудівників, 58 (Апельмон)'),
(1,	6477,	'Почтомат &quot;Новая Пошта&quot; №3433: ул. Школьная, 18 (Апельмон)'),
(2,	6477,	'Поштомат &quot;Нова Пошта&quot; №3433: вул. Шкільна, 18 (Апельмон)'),
(3,	6477,	'Поштомат &quot;Нова Пошта&quot; №3433: вул. Шкільна, 18 (Апельмон)'),
(1,	6478,	'Почтомат &quot;Новая Пошта&quot; №3495: просп. Центральный, 154 (АТБ)'),
(2,	6478,	'Поштомат &quot;Нова Пошта&quot; №3495: просп. Центральний, 154 (АТБ)'),
(3,	6478,	'Поштомат &quot;Нова Пошта&quot; №3495: просп. Центральний, 154 (АТБ)'),
(1,	6479,	'Почтомат &quot;Новая Пошта&quot; №3560: просп. Леси Украинки, 52 (Атас, МаркетОпт)'),
(2,	6479,	'Поштомат &quot;Нова Пошта&quot; №3560: просп.Лесі Українки, 52 (Атас, МаркетОпт)'),
(3,	6479,	'Поштомат &quot;Нова Пошта&quot; №3560: просп.Лесі Українки, 52 (Атас, МаркетОпт)'),
(1,	6480,	'Почтомат &quot;Новая Пошта&quot; №3561: просп. Леси Украинки, 13-А (Аврора, МаркетОпт)'),
(2,	6480,	'Поштомат &quot;Нова Пошта&quot; №3561: просп. Лесі Українки 13-А (Аврора, МаркеОпт)'),
(3,	6480,	'Поштомат &quot;Нова Пошта&quot; №3561: просп. Лесі Українки 13-А (Аврора, МаркеОпт)'),
(1,	6481,	'Почтомат &quot;Новая Пошта&quot; №3562: ул. Академика Маслова, 22 (Літо+, МаркетОпт)'),
(2,	6481,	'Поштомат &quot;Нова Пошта&quot; №3562: вул.Академіка Маслова, 22 (Літо +, МаркетОпт)'),
(3,	6481,	'Поштомат &quot;Нова Пошта&quot; №3562: вул.Академіка Маслова, 22 (Літо +, МаркетОпт)'),
(1,	6482,	'Почтомат &quot;Новая Пошта&quot; №3563: Квартал 278, д. 18, Дарина, МаркетОпт'),
(2,	6482,	'Поштомат &quot;Нова Пошта&quot; №3563: Квартал 278, буд. 18, Дарина, МаркетОпт'),
(3,	6482,	'Поштомат &quot;Нова Пошта&quot; №3563: Квартал 278, буд. 18, Дарина, МаркетОпт'),
(1,	6483,	'Почтомат &quot;Новая Пошта&quot; №3564: ул. Ивана Приходько, 86/1 (Куб, МаркетОпт)'),
(2,	6483,	'Поштомат &quot;Нова Пошта&quot; №3564: вул. Івана Проходько, 86/1 (Куб, МаркетОпт)'),
(3,	6483,	'Поштомат &quot;Нова Пошта&quot; №3564: вул. Івана Проходько, 86/1 (Куб, МаркетОпт)'),
(1,	6484,	'Почтомат &quot;Новая Пошта&quot; №3565: Квартал 101, д. 3 (Комфи, МаркетОпт)'),
(2,	6484,	'Поштомат &quot;Нова Пошта&quot; №3565: Квартал 101, буд. 3 (Комфі, МаркетОпт)'),
(3,	6484,	'Поштомат &quot;Нова Пошта&quot; №3565: Квартал 101, буд. 3 (Комфі, МаркетОпт)'),
(1,	6485,	'Почтомат &quot;Новая Пошта&quot; №3571: ул. Молодежная, 4 (Везунчик)'),
(2,	6485,	'Поштомат &quot;Нова Пошта&quot; №3571: вул.Молодіжна, 4 (Везунчик)'),
(3,	6485,	'Поштомат &quot;Нова Пошта&quot; №3571: вул.Молодіжна, 4 (Везунчик)'),
(1,	6486,	'Почтомат &quot;Новая Пошта&quot; №3572: ул. Финансистов, 59 (Везунчик)'),
(2,	6486,	'Поштомат &quot;Нова Пошта&quot; №3572: вул.Фінансистів, 59 (Везунчик)'),
(3,	6486,	'Поштомат &quot;Нова Пошта&quot; №3572: вул.Фінансистів, 59 (Везунчик)'),
(1,	6487,	'Почтомат &quot;Новая Пошта&quot; №3573: ул. Мира, 45 (Грин маркет)'),
(2,	6487,	'Поштомат &quot;Нова Пошта&quot; №3573: вул. Миру, 45 (Грін Маркет)'),
(3,	6487,	'Поштомат &quot;Нова Пошта&quot; №3573: вул. Миру, 45 (Грін Маркет)'),
(1,	6488,	'Почтомат &quot;Новая Пошта&quot; №3587: ул. Данила Щербаковского, 51 (Продукты Пятница)'),
(2,	6488,	'Поштомат &quot;Нова Пошта&quot; №3587: вул. Данила Щербаківського, 51 (Продукти П\'ятниця)'),
(3,	6488,	'Поштомат &quot;Нова Пошта&quot; №3587: вул. Данила Щербаківського, 51 (Продукти П\'ятниця)'),
(1,	6489,	'Почтомат &quot;Новая Пошта&quot; №3593: просп. Николая Бажана, 1м (Бадьорий)'),
(2,	6489,	'Поштомат &quot;Нова Пошта&quot; №3593: просп. Миколи Бажана, 1м (Бадьорий)'),
(3,	6489,	'Поштомат &quot;Нова Пошта&quot; №3593: просп. Миколи Бажана, 1м (Бадьорий)'),
(1,	6490,	'Почтомат &quot;Новая Пошта&quot; №3594: ул. Елизаветы Чавдар, 20, Бадьорий'),
(2,	6490,	'Поштомат &quot;Нова Пошта&quot; №3594: вул. Єлизавети Чавдар, 20, Бадьорий'),
(3,	6490,	'Поштомат &quot;Нова Пошта&quot; №3594: вул. Єлизавети Чавдар, 20, Бадьорий'),
(1,	6491,	'Почтомат &quot;Новая Пошта&quot; №3596: ул. Межигорская, 10/18 (Продукты Пепсико)'),
(2,	6491,	'Поштомат &quot;Нова Пошта&quot; №3596: вул. Межигірська, 10/18 (Продукти Пепсіко)'),
(3,	6491,	'Поштомат &quot;Нова Пошта&quot; №3596: вул. Межигірська, 10/18 (Продукти Пепсіко)'),
(1,	6492,	'Почтомат &quot;Новая Пошта&quot; №3598: Симона Петлюры, 13/135 (Продукты Пепсико)'),
(2,	6492,	'Поштомат &quot;Нова Пошта&quot; №3598: вул. Симона Петлюри, 13/135 (Продукти Пепсіко)'),
(3,	6492,	'Поштомат &quot;Нова Пошта&quot; №3598: вул. Симона Петлюри, 13/135 (Продукти Пепсіко)'),
(1,	6493,	'Почтомат &quot;Новая Пошта&quot; №3599: бульв. Тараса Шевченко, 13, Продукты Пепсико'),
(2,	6493,	'Поштомат &quot;Нова Пошта&quot; №3599: бульв. Тараса Шевченко, 13, Продукти Пепсіко'),
(3,	6493,	'Поштомат &quot;Нова Пошта&quot; №3599: бульв. Тараса Шевченко, 13, Продукти Пепсіко'),
(1,	6494,	'Почтомат &quot;Новая Пошта&quot; №3603: ул. Полтавская, 62А/1 (Фермерок)'),
(2,	6494,	'Поштомат &quot;Нова Пошта&quot; №3603: вул. Полтавська, 62А/1 (Фермерок)'),
(3,	6494,	'Поштомат &quot;Нова Пошта&quot; №3603: вул. Полтавська, 62А/1 (Фермерок)'),
(1,	6495,	'Почтомат &quot;Новая Пошта&quot; №3605: ул. Соборна, 118/9 (EVA)'),
(2,	6495,	'Поштомат &quot;Нова Пошта&quot; №3605: вул. Соборна, 118/9 (EVA)'),
(3,	6495,	'Поштомат &quot;Нова Пошта&quot; №3605: вул. Соборна, 118/9 (EVA)'),
(1,	6496,	'Почтомат &quot;Новая Пошта&quot; №3607: ул. Севериновская, 70 (Магазин)'),
(2,	6496,	'Поштомат &quot;Нова Пошта&quot; №3607: вул. Северинівська, 70 (Магазин)'),
(3,	6496,	'Поштомат &quot;Нова Пошта&quot; №3607: вул. Северинівська, 70 (Магазин)'),
(1,	6497,	'Почтомат &quot;Новая Пошта&quot; №3608: ул. Вербовая, 41А (Торба)'),
(2,	6497,	'Поштомат &quot;Нова Пошта&quot; №3608: вул. Вербова, 41А (Торба)'),
(3,	6497,	'Поштомат &quot;Нова Пошта&quot; №3608: вул. Вербова, 41А (Торба)');

DROP TABLE IF EXISTS `ok_lang_orders_labels`;
CREATE TABLE `ok_lang_orders_labels` (
  `lang_id` int(11) NOT NULL,
  `order_labels_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`order_labels_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_orders_labels` (`lang_id`, `order_labels_id`, `name`) VALUES
(1,	1,	'перезвонить'),
(1,	2,	'оптовик'),
(1,	3,	'отложен'),
(2,	1,	'перезвонить'),
(2,	2,	'ожидается товар'),
(2,	3,	'отложен'),
(3,	1,	'перезвонить'),
(3,	2,	'ожидается товар'),
(3,	3,	'отложен');

DROP TABLE IF EXISTS `ok_lang_orders_status`;
CREATE TABLE `ok_lang_orders_status` (
  `lang_id` int(11) NOT NULL,
  `order_status_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`order_status_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_orders_status` (`lang_id`, `order_status_id`, `name`) VALUES
(1,	1,	'Новый'),
(1,	2,	'Принят'),
(1,	3,	'У курьера'),
(1,	4,	'Выполнен'),
(1,	5,	'Удален'),
(2,	1,	'Новый'),
(2,	2,	'Принят'),
(2,	3,	'У курьера'),
(2,	4,	'Выполнен'),
(2,	5,	'Удален'),
(3,	1,	'Новый'),
(3,	2,	'Принят'),
(3,	3,	'У курьера'),
(3,	4,	'Выполнен'),
(3,	5,	'Удален');

DROP TABLE IF EXISTS `ok_lang_pages`;
CREATE TABLE `ok_lang_pages` (
  `lang_id` int(11) NOT NULL,
  `page_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`page_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_pages` (`lang_id`, `page_id`, `name`, `name_h1`, `meta_title`, `meta_description`, `meta_keywords`, `description`) VALUES
(1,	1,	'Главная',	'',	'Интернет-магазин на OkayCMS',	'OKAYCMS  - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети. \r\n Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua). \r\n Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от о',	'Хиты продаж',	'<div class=\"inner_infobox\">\r\n<p style=\"text-align: left;\"><strong>OKAYCMS</strong> - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети.</p>\r\n<p><img style=\"float: right;\" src=\"../files/uploads/okay_about_image.png\" alt=\"\" width=\"286\" height=\"250\" /></p>\r\n<p style=\"text-align: left;\">Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua).</p>\r\n<p style=\"text-align: left;\">Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от одежды, строительных материалов, мобильных телефонов и чехлов, до музыкальных треков, видео-уроков, аудиокниг и постеров.</p>\r\n<p style=\"text-align: left;\">OKAYCMS&nbsp;- легкая и гибкая система для запуска вашего бизнеса в онлайн.</p>\r\n<p style=\"text-align: left;\">Этот магазин является демонстрацией скрипта интернет-магазина <a href=\"http://okay-cms.com\" target=\"_blank\" rel=\"noopener noreferrer\">Okay</a>. Все материалы на этом сайте присутствуют исключительно в демострационных целях.</p>\r\n</div>'),
(1,	2,	'Оплата',	'',	'Оплата',	'Оплата',	'Оплата',	'<h2><span>Наличными курьеру</span></h2><p>Вы можете оплатить заказ курьеру в рублях непосредственно в момент доставки. Курьерская доставка осуществляется по Москве на следующий день после принятия заказа.</p><h2>Яндекс.Деньги</h2><p><span>Яндекс</span><span>.</span><span>Деньги</span><span>&nbsp;&mdash; доступный и безопасный способ платить за товары и услуги через интернет</span>.</p><h2>Банковская карта</h2><p><span>Оплата банковской картой Visa или MasterCard через систему Яндекс.Деньги.</span></p><h2>Через терминал</h2><p><span>Оплатите наличными через многочисленные терминалы в любом городе России. Можно заплатить и с банковской карты через многие банкоматы. Для этого найдите в меню терминала или банкомата логотип Яндекса и укажите код платежа.</span></p><h2>Со счета мобильного телефона</h2><p><span>Оплата со&nbsp;счета мобильного телефона&nbsp;через систему Яндекс.Деньги.</span></p><h2>Webmoney</h2><p>После оформления заказа вы сможете перейти на сайт webmoney для оплаты заказа, где сможете оплатить заказ в автоматическом режиме, а так же проверить наш сертификат продавца.</p><h2>Квитанция</h2><p><span>Вы можете распечатать квитанцию и оплатить её в любом отделении банка.</span></p><h2>Робокасса</h2><p><span>ROBOKASSA &ndash; сервис для организации приема платежей на сайте, интернет магазине и социальных сетях. Прием платежей осуществляется при минимальных комиссиях.</span></p><h2>PayPal</h2><p><span>Совершайте покупки безопасно, без раскрытия информации о своей кредитной карте. PayPal защитит вас, если возникнут проблемы с покупкой.</span></p><h2>Оплата через Интеркассу</h2><p><span>Это удобный в использовании сервис, подключение к которому позволит Интернет-магазинам, веб-сайтам и прочим торговым площадкам принимать все возможные формы оплаты в максимально короткие сроки.</span></p><h2>Оплата картой через Liqpay.com</h2><p><span>Благодаря своей открытости и универсальности LiqPAY стремительно интегрируется со многими платежными системами и платформами и становится стандартом платежных операций.</span></p><h2>Оплата через Pay2Pay</h2><p><span>Универсальный платежный сервис Pay2Pay призван облегчить и максимально упростить процесс приема электронных платежей на Вашем сайте. Мы открыты для всего нового и сверхсовременного.</span></p><h2>Оплатить через QIWI</h2><p><span>QIWI &mdash; удобный сервис для оплаты повседневных услуг.</span></p><h2><span style=\"font-size: 20px;\">Наличными в офисе Автолюкса</span></h2><p>При доставке заказа системой Автолюкс, вы сможете оплатить заказ в их офисе непосредственно в момент получения товаров.</p>'),
(1,	3,	'Доставка',	'',	'Доставка',	'Доставка',	'Доставка',	'<h2>Курьерская доставка по&nbsp;Москве</h2><p>Курьерская доставка осуществляется на следующий день после оформления заказа<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>если товар есть в&nbsp;наличии. Курьерская доставка осуществляется в&nbsp;пределах Томска и&nbsp;Северска ежедневно с&nbsp;10.00 до&nbsp;21.00. Заказ на&nbsp;сумму свыше 300 рублей доставляется бесплатно. <br /><br />Стоимость бесплатной доставки раcсчитывается от&nbsp;суммы заказа с&nbsp;учтенной скидкой. В&nbsp;случае если сумма заказа после применения скидки менее 300р<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>осуществляется платная доставка. <br /><br />При сумме заказа менее 300 рублей стоимость доставки составляет от 50 рублей.</p><h2>Самовывоз</h2><p>Удобный<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>бесплатный и быстрый способ получения заказа.<br />Адрес офиса: Москва<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>ул. Арбат<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>1/3<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>офис 419.</p><h2>Доставка с&nbsp;помощью предприятия<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo;</h2><p>Удобный и быстрый способ доставки в крупные города России. Посылка доставляется в офис<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; в&nbsp;Вашем городе. Для получения необходимо предъявить паспорт и&nbsp;номер грузовой декларации<span style=\"margin-right: 0.3em;\"> </span><span style=\"margin-left: -0.3em;\">(</span>сообщит наш менеджер после отправки). Посылку желательно получить в&nbsp;течение 24 часов с&nbsp;момента прихода груза<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>иначе компания<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; может взыскать с Вас дополнительную оплату за хранение. Срок доставки и стоимость Вы можете рассчитать на сайте компании.</p><h2>Наложенным платежом</h2><p>При доставке заказа наложенным платежом с помощью<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Почты России&raquo;, вы&nbsp;сможете оплатить заказ непосредственно в&nbsp;момент получения товаров.</p>'),
(1,	4,	'Блог',	'',	'Блог',	'Описание страницы блог',	'Блог',	''),
(1,	5,	'Страница не найдена',	'',	'Страница не найдена',	'Страница не найдена',	'Страница не найдена',	'<p><span data-language=\"page404_text\">Страница, которую вы запрашиваете, не существует, или она удалена. Возможно, вы набрали неправильный адрес. Попробуйте ввести еще раз.</span></p>'),
(1,	6,	'Контакты',	'',	'Контакты',	'Контакты',	'Контакты',	'<p>Москва, ул. Космонавта Волкова 14.</p>\r\n<p>Телефон 777-15-51</p>'),
(1,	7,	'Все товары',	'',	'Все товары',	'Все товары',	'Все товары',	''),
(1,	8,	'Бренды',	'',	'Бренды',	'Бренды',	'Бренды',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>'),
(1,	10,	'Акционные товары',	'',	'Акционные товары',	'Акционные товары',	'Акционные товары',	''),
(1,	11,	'Хиты продаж',	'',	'Хиты продаж',	'Хиты продаж',	'Хиты продаж',	''),
(1,	12,	'Новости',	'',	'Новости',	'Новости',	'Новости',	''),
(1,	13,	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете:  \r\n \r\n Получать ваши персональные скидки \r\n Сохранять ваши контактные данные для оформления заказа \r\n Просматривать историю ваших заказов \r\n Отслеживать статусы новых заказов \r\n Участвовать в различных акциях',	'Вход в личный кабинет',	'<p><strong>Создайте учетную запись у нас, и вы сможете:</strong></p>\r\n<ul>\r\n<li>Получать ваши персональные скидки</li>\r\n<li>Сохранять ваши контактные данные для оформления заказа</li>\r\n<li>Просматривать историю ваших заказов</li>\r\n<li>Отслеживать статусы новых заказов</li>\r\n<li>Участвовать в различных акциях</li>\r\n</ul>'),
(1,	14,	'Регистрация',	'',	'Регистрация',	'Регистрация через соц. сеть \r\n  Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:',	'Регистрация',	'<div class=\"block_explanation__header\">Регистрация через соц. сеть</div>\r\n<div>Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:</div>'),
(1,	16,	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ   &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на ко',	'Политика конфиденцальности',	'<p><strong>1. ОБЩИЕ ПОЛОЖЕНИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br /><strong>2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br /><strong>3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br /><strong>4. ОБЯЗАТЕЛЬСТВА СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br /><strong>5. ОТВЕТСТВЕННОСТЬ СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br /><strong>6. РАЗРЕШЕНИЕ СПОРОВ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br /><strong>7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>'),
(1,	17,	'FAQ',	'',	'FAQ',	'',	'FAQ',	''),
(1,	18,	'Сравнение товаров',	'',	'Сравнение товаров',	'',	'Сравнение товаров',	''),
(1,	19,	'Избранное',	'',	'Избранное',	'',	'Избранное',	''),
(2,	1,	'Home',	'',	'Internet shop based on Okay-CMS',	'This store is a demonstration of the script online store Okay . All materials on this site are present only in demostratsionnyh purposes.',	'Bestsellers',	'<p>This store is a demonstration of the script online store Okay . All materials on this site are present only in demonstratic purposes.</p>'),
(2,	2,	'Payment',	'',	'Payment',	'Payment',	'Payment',	'<h2>Cash</h2><p><span class=\"translation-chunk\" data-align=\"0:2\">You</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"3:24\">can pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"25:32\">the courier</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"42:57\">directly</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"33:41\">in rubles</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"58:75\">at the time of delivery</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"77:111\">The Express delivery</span><span class=\"translation-chunk\">&nbsp;within</span><span class=\"translation-chunk\" data-align=\"112:121\">&nbsp;Moscow</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"122:139\">next day</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"140:145\">after</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"146:161\">order acceptance</span><span class=\"translation-chunk\">.</span></p><h2>Yandex.Money</h2><p><span class=\"translation-chunk\" data-align=\"0:7\">Yandex.</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"7:15\">Money &mdash;</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"16:45\">affordable and secure way</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"46:63\">to pay for goods</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"64:88\">and services via the Internet.</span></p><h2>Bank&nbsp;<span>account</span></h2><p><span class=\"translation-chunk\" data-align=\"0:24\">Pay with your credit card</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"25:44\">Visa or MasterCard</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"45:65\">via Yandex</span><span class=\"translation-chunk\">.</span><span class=\"translation-chunk\" data-align=\"66:72\">Money</span><span class=\"translation-chunk\">.</span></p><h2><span>Terminal</span></h2><p><span class=\"translation-chunk\" data-align=\"0:8\">Pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"9:18\">by cash</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"19:51\">through numerous of terminals in</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"52:71\">any city of Russia</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"73:90\">You can pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"91:115\">with a credit card through</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"116:122\">many</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"123:132\">ATMs</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"134:151\">To do this, find&nbsp;<span>Yandex logo in the menu of</span></span><span class=\"translation-chunk\" data-align=\"159:168\">&nbsp;terminal</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"169:172\">or</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"173:198\">ATM, </span><span class=\"translation-chunk\" data-align=\"199:208\">and enter&nbsp;</span><span class=\"translation-chunk\" data-align=\"209:220\">the payment code</span><span class=\"translation-chunk\">.</span></p><h2><span>Phone bill</span></h2><p><span class=\"translation-chunk\" data-align=\"0:6\">Payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"7:9\">with</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"10:35\">mobile phone account</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"36:56\">via Yandex</span><span class=\"translation-chunk\">.</span><span class=\"translation-chunk\" data-align=\"57:63\">Money</span><span class=\"translation-chunk\">.</span></p><h2>Webmoney</h2><p><span class=\"translation-chunk\" data-align=\"0:23\">After ordering,</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"24:42\">you can go</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"43:50\">to the </span><span class=\"translation-chunk\" data-align=\"51:59\">webmoney&nbsp;<span class=\"translation-chunk\" data-align=\"43:50\">website</span></span><span class=\"translation-chunk\">&nbsp;</span><span class=\"translation-chunk\" data-align=\"60:77\">for payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"77:105\">where you can pay for your order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"106:129\">in automatic mode</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"129:139\">, as well as</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"140:164\">to verify our <span>seller\'s&nbsp;</span>certificate</span><span class=\"translation-chunk\" data-align=\"165:173\">&nbsp;</span><span class=\"translation-chunk\">.</span></p><h2><span>Receipt</span></h2><p>You can print a receipt and pay it at any Bank.</p><h2>Robokassa</h2><p><span>ROBOKASSA &ndash;&nbsp;<span class=\"translation-chunk\" data-align=\"0:22\">the service for</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"23:38\">accepting payments</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"39:47\">on the website</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"49:68\">online store and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"69:86\">social networks.</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"87:116\">Payments are accepted</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"117:143\">with minimal commissions.</span></span></p><p><span><span class=\"translation-chunk\" data-align=\"117:143\"></span></span><span style=\"font-size: 20px;\">PayPal</span></p><p><span class=\"translation-chunk\" data-align=\"0:18\">Make purchases</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"19:28\">safely</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"30:54\">without disclosing information</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"55:78\">about your credit card</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"80:86\">PayPal</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"87:94\">will protect</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"95:104\">you if</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"105:123\">problems occur</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"124:135\">with purchase.</span></p><h2><span>Payment via Interkassa</span></h2><p><span class=\"translation-chunk\" data-align=\"0:3\">This</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"4:27\">easy to use</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"28:34\">service</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"34:58\">that you connect t,</span><span class=\"translation-chunk\">&nbsp;</span><span class=\"translation-chunk\" data-align=\"59:77\">will allow online</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"77:87\">shopping</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"88:98\">websites</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"99:126\">and other trading platforms</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"127:150\">to take all possible</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"151:163\">forms of payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"164:165\">in</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"166:193\">maximum short terms.</span></p><h2><span class=\"translation-chunk\" data-align=\"0:13\">Card payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"14:19\">via&nbsp;</span>Liqpay.com</h2><p><span class=\"translation-chunk\" data-align=\"0:15\">Due to its</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"16:26\">openness</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"27:44\">and universality</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"45:51\">LiqPAY</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"52:64\">rapidly</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"65:78\">integrates</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"79:89\">with many</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"90:126\">payment systems and platforms and</span><span class=\"translation-chunk\" data-align=\"127:148\">&nbsp;becomes the standard</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"149:168\">payment transactions.</span></p><h2><span>Payment via</span><span style=\"font-size: 20px;\">&nbsp;Pay2Pay</span></h2><p><span class=\"translation-chunk\" data-align=\"0:23\">Universal payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"24:30\">service</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"31:38\">Pay2Pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"39:56\">is intended to facilitate</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"57:80\">and simplify</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"81:88\">the process</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"89:119\">of electronic payment acceptance on</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"120:131\">Your website</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"133:143\">We are open</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"144:160\">to everything new</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"161:162\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"163:180\">modern</span><span class=\"translation-chunk\">.</span></p><h2><span>Payment via</span><span style=\"font-size: 20px;\">&nbsp;QIWI</span></h2><p><span>QIWI &mdash;&nbsp;<span class=\"translation-chunk\" data-align=\"0:14\">convenient service</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"15:25\">to pay for</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"26:44\">everyday services</span><span class=\"translation-chunk\">.</span></span></p><h2><span style=\"font-size: 20px;\">Cash at autolux office</span></h2><p><span class=\"translation-chunk\" data-align=\"0:19\">Upon delivery of</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"20:28\">the system</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"29:37\">Autolux</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"39:49\">you will be able</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"50:64\">to pay for the order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"65:75\">in their office</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"76:91\">immediately</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"92:110\">upon receipt</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"111:118\">of goods</span><span class=\"translation-chunk\">.</span></p>'),
(2,	3,	'Delivery',	'',	'Delivery',	'Delivery',	'Delivery',	'<h2>Shipping within Moscow</h2><p><span class=\"translation-chunk\" data-align=\"0:34\">Courier delivery is made</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"35:52\">the next day</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"53:76\">after ordering</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"78:103\">if the item is in stock</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"105:139\">Courier delivery is made</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"140:157\">within the Tomsk</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"158:168\">and Seversk</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"169:180\">daily from</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"181:189\">10.00 to</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"190:195\">21.00</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"197:211\">For orders</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"212:221\">more than 300</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"222:251\">rubles delivered free of charge</span><span class=\"translation-chunk\">.</span><br /><br /><span class=\"translation-chunk\" data-align=\"0:9\">Cost</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"10:44\">free delivery is calculated</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"45:47\">from</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"48:60\">the total order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"61:62\">with</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"72:79\">the discount</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"63:71\">taken into account</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"81:107\">If the order amount</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"108:131\">after applying the discount</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"132:137\">less than</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"138:142\">300 r</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"144:158\">is</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"159:175\">a paid service</span><span class=\"translation-chunk\">.</span></p><p><span class=\"translation-chunk\" data-align=\"0:11\">For orders</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"12:21\">less than 300</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"22:28\">rubles</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"30:59\">the <span>delivery </span>cost is</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"60:69\">50 rubles</span><span class=\"translation-chunk\">.</span></p><h2>Store pickup</h2><p><span class=\"translation-chunk\" data-align=\"0:7\">Convenient</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"7:19\">, free</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"20:21\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"22:54\">fast way of receiving your order.</span><span class=\"translation-chunk\"> </span></p><p><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"55:67\">Office address:</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"68:75\">Moscow,</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"80:85\">Arbat</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"76:79\">str.</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"85:90\">, 1/3</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"90:96\">, office</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"97:100\">419</span><span class=\"translation-chunk\">.</span></p><h2><span class=\"translation-chunk\" data-align=\"19:32\">\"</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"32:45\">Autotrading\" delivery</span></h2><p><span class=\"translation-chunk\" data-align=\"0:24\">A convenient and fast way</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"25:33\">of delivery</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"34:43\">in large</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"44:57\">cities of Russia</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"59:79\">Parcel is delivered</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"80:86\">to the office</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"87:101\">\"autotrading\"</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"102:117\">in Your city.</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"118:131\">To receive</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"132:161\">you must present your passport</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"162:163\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"164:189\">number of the cargo declaration</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"190:198\">(</span><span class=\"translation-chunk\" data-align=\"199:211\">our manager will inform You</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"212:226\">after sending</span><span class=\"translation-chunk\">). </span><span class=\"translation-chunk\" data-align=\"229:236\">The parcel</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"237:256\">it is advisable to get</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"257:258\">in</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"259:269\">within 24</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"270:285\">hours after</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"286:299\">arrival of the goods</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"299:315\">, or the company</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"316:330\">\"Autotrading\"</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"331:351\">may charge You an</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"352:373\">additional fee</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"374:386\">for storage.</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"387:400\">The delivery time</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"401:402\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"403:412\">the cost</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"413:433\">You can calculate</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"434:451\">on the company\'s website</span><span class=\"translation-chunk\">.</span></p><h2>C.O.D (Cash On Delivery)</h2><p><span class=\"translation-chunk\" data-align=\"0:19\">On delivery order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"20:39\">cash on delivery</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"40:49\">through</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"50:63\">\"mail of Russia</span><span class=\"translation-chunk\">\", </span><span class=\"translation-chunk\" data-align=\"66:76\">you will be able</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"77:91\">to pay for the order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"92:116\">at the time</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"117:134\">goods are received</span><span class=\"translation-chunk\">.</span></p>'),
(2,	4,	'Blog',	'',	'Blog',	'Blog description',	'Blog',	''),
(2,	5,	'Page not found',	'',	'Page not found',	'Page not found',	'Page not found',	'<p><img src=\"../files/uploads/404okay.png\" alt=\"\" width=\"374\" height=\"514\" /></p>'),
(2,	6,	'Contacts',	'',	'Contacts',	'Contacts',	'Contacts',	'<p>Moscow, Kosmonavt Volkov street, house 14.</p>\r\n<p>Phone 777-15-51</p>'),
(2,	7,	'All goods',	'',	'All goods',	'All goods',	'All goods',	''),
(2,	8,	'Brands',	'',	'Brands',	'Brands',	'Brands',	''),
(2,	10,	'Action goods',	'',	'Action goods',	'Action goods',	'Action goods',	''),
(2,	11,	'Bestsellers',	'',	'Bestsellers',	'Bestsellers',	'Bestsellers',	''),
(2,	12,	'News',	'',	'News',	'News',	'News',	''),
(2,	13,	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете: \r\n \r\n Проверять заказы \r\n Сохранить адреса для доставки \r\n Доступ к вашей истории заказов \r\n Отслеживать новые заказы \r\n Сохраните элементы в вашем списке пожеланий',	'Вход в личный кабинет',	'<p><strong>Create an account with us and you can:</strong></p>\r\n<ul>\r\n<li>Receive your personal discounts</li>\r\n<li>Save your contact details for ordering</li>\r\n<li>View your order history</li>\r\n<li>Track the status of new orders</li>\r\n<li>Participate in various promotions</li>\r\n</ul>'),
(2,	14,	'Регистрация',	'',	'Регистрация',	'Registration through the social network \r\n You can register on the site using social networking accounts:',	'Регистрация',	'<div class=\"block_explanation__header\">Registration through the social network</div>\r\n<div>You can register on the site using social networking accounts:</div>'),
(2,	16,	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ  &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на кот',	'Политика конфиденцальности',	'<p>1. ОБЩИЕ ПОЛОЖЕНИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br />2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br />3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br />4. ОБЯЗАТЕЛЬСТВА СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br />5. ОТВЕТСТВЕННОСТЬ СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br />6. РАЗРЕШЕНИЕ СПОРОВ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br />7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>'),
(2,	17,	'FAQ',	'',	'FAQ',	'',	'FAQ',	''),
(2,	18,	'Product Comparison',	'',	'Product Comparison',	'',	'Product Comparison',	''),
(2,	19,	'Wishlist',	'',	'Wishlist',	'',	'Wishlist',	''),
(3,	1,	'Головна',	'',	'Інтернет-магазин на OkayCMS',	'Цей магазин є демонстрацією скрипта інтернет-магазину Okay. Всі матеріали на цьому сайті присутні виключно в демостраціонних цілях.',	'Хіти продажу',	'<p>Цей магазин є демонстрацією скрипта інтернет-магазину Okay. Всі матеріали на цьому сайті присутні виключно в демостраціонних цілях.</p>'),
(3,	2,	'Оплата',	'',	'Оплата',	'Оплата',	'Оплата',	'<h2><span>Наличными курьеру</span></h2><p>Вы можете оплатить заказ курьеру в гривнах непосредственно в момент доставки. Курьерская доставка осуществляется по Москве на следующий день после принятия заказа.</p><h2>Яндекс.Деньги</h2><p><span>Яндекс</span><span>.</span><span>Деньги</span><span>&nbsp;&mdash; доступный и безопасный способ платить за товары и услуги через интернет</span>.</p><h2>Банковская карта</h2><p><span>Оплата банковской картой Visa или MasterCard через систему Яндекс.Деньги.</span></p><h2>Через терминал</h2><p><span>Оплатита наличными через многочисленные терминалы в любом городе России. Можно заплатить и с банковской карты через многие банкоматы. Для этого найдите в меню терминала или банкомата логотип Яндекса и укажите код платежа.</span></p><h2>Со счета мобильного телефона</h2><p><span>Оплата со&nbsp;счета мобильного телефона&nbsp;через систему Яндекс.Деньги.</span></p><h2>Webmoney</h2><p>После оформления заказа вы сможете перейти на сайт webmoney для оплаты заказа, где сможете оплатить заказ в автоматическом режиме, а так же проверить наш сертификат продавца.</p><h2>Квитанция</h2><p><span>Вы можете распечатать квитанцию и оплатить её в любом отделении банка.</span></p><h2>Робокасса</h2><p><span>ROBOKASSA &ndash; сервис для организации приема платежей на сайте, интернет магазине и социальных сетях. Прием платежей осуществляется при минимальных комиссиях.</span></p><h2>PayPal</h2><p><span>Совершайте покупки безопасно, без раскрытия информации о своей кредитной карте. PayPal защитит вас, если возникнут проблемы с покупкой.</span></p><h2>Оплата через Интеркассу</h2><p><span>Это удобный в использовании сервис, подключение к которому позволит Интернет-магазинам, веб-сайтам и прочим торговым площадкам принимать все возможные формы оплаты в максимально короткие сроки.</span></p><h2>Оплата картой через Liqpay.com</h2><p><span>Благодаря своей открытости и универсальности LiqPAY стремительно интегрируется со многими платежными системами и платформами и становится стандартом платежных операций.</span></p><h2>Оплата через Pay2Pay</h2><p><span>Универсальный платежный сервис Pay2Pay призван облегчить и максимально упростить процесс приема электронных платежей на Вашем сайте. Мы открыты для всего нового и сверхсовременного.</span></p><h2>Оплатить через QIWI</h2><p><span>QIWI &mdash; удобный сервис для оплаты повседневных услуг.</span></p><h2><span style=\"font-size: 20px;\">Наличными в офисе Автолюкса</span></h2><p>При доставке заказа системой Автолюкс, вы сможете оплатить заказ в их офисе непосредственно в момент получения товаров.</p>'),
(3,	3,	'Доставка',	'',	'Доставка',	'Доставка',	'Доставка',	'<h2>Курьерская доставка по&nbsp;Москве</h2><p>Курьерская доставка осуществляется на следующий день после оформления заказа<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>если товар есть в&nbsp;наличии. Курьерская доставка осуществляется в&nbsp;пределах Томска и&nbsp;Северска ежедневно с&nbsp;10.00 до&nbsp;21.00. Заказ на&nbsp;сумму свыше 300 рублей доставляется бесплатно. <br /><br />Стоимость бесплатной доставки раcсчитывается от&nbsp;суммы заказа с&nbsp;учтенной скидкой. В&nbsp;случае если сумма заказа после применения скидки менее 300р<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>осуществляется платная доставка. <br /><br />При сумме заказа менее 300 рублей стоимость доставки составляет от 50 рублей.</p><h2>Самовывоз</h2><p>Удобный<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>бесплатный и быстрый способ получения заказа.<br />Адрес офиса: Москва<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>ул. Арбат<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>1/3<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>офис 419.</p><h2>Доставка с&nbsp;помощью предприятия<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo;</h2><p>Удобный и быстрый способ доставки в крупные города России. Посылка доставляется в офис<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; в&nbsp;Вашем городе. Для получения необходимо предъявить паспорт и&nbsp;номер грузовой декларации<span style=\"margin-right: 0.3em;\"> </span><span style=\"margin-left: -0.3em;\">(</span>сообщит наш менеджер после отправки). Посылку желательно получить в&nbsp;течение 24 часов с&nbsp;момента прихода груза<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>иначе компания<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; может взыскать с Вас дополнительную оплату за хранение. Срок доставки и стоимость Вы можете рассчитать на сайте компании.</p><h2>Наложенным платежом</h2><p>При доставке заказа наложенным платежом с помощью<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Почты России&raquo;, вы&nbsp;сможете оплатить заказ непосредственно в&nbsp;момент получения товаров.</p>'),
(3,	4,	'Блог',	'',	'Блог',	'Блог',	'Блог',	''),
(3,	5,	'Сторінку не знайдено',	'',	'Сторінку не знайдено',	'Сторінку не знайдено',	'Сторінку не знайдено',	'<p><img src=\"../files/uploads/404okay.png\" alt=\"\" width=\"374\" height=\"514\" /></p>'),
(3,	6,	'Контакти',	'',	'Контакти',	'Контакти',	'Контакти',	'<p>Москва, ул. Космонавта Волкова 14.</p>\r\n<p>Телефон 777-15-51</p>'),
(3,	7,	'Усі товари',	'',	'Усі товари',	'Усі товари',	'Усі товари',	''),
(3,	8,	'Бренди',	'',	'Бренди',	'Бренди',	'Бренди',	''),
(3,	10,	'Акційні товари',	'',	'Акційні товари',	'Акційні товари',	'Акційні товари',	''),
(3,	11,	'Хіти продажу',	'',	'Хіти продажу',	'Хіти продажу',	'Хіти продажу',	''),
(3,	12,	'Новини',	'',	'Новини',	'Новини',	'Новини',	''),
(3,	13,	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете: \r\n \r\n Проверять заказы \r\n Сохранить адреса для доставки \r\n Доступ к вашей истории заказов \r\n Отслеживать новые заказы \r\n Сохраните элементы в вашем списке пожеланий',	'Вход в личный кабинет',	'<p><strong>Створіть обліковий запис у нас, і ви зможете:</strong></p>\r\n<ul>\r\n<li>Отримувати ваші персональні знижки</li>\r\n<li>Зберігати ваші контактні дані для оформлення замовлення</li>\r\n<li>Переглядати історію ваших замовлень</li>\r\n<li>Відслідковувати статуси нових замовлень</li>\r\n<li>Брати участь в різних акціях</li>\r\n</ul>'),
(3,	14,	'Регистрация',	'',	'Регистрация',	'Реєстрація через соц. мережі \r\n Ви можете зареєструватися на сайті за допомогою облікових записів соціальних мереж:',	'Регистрация',	'<div class=\"block_explanation__header\">Реєстрація через соц. мережі</div>\r\n<div>Ви можете зареєструватися на сайті за допомогою облікових записів соціальних мереж:</div>'),
(3,	16,	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ  &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на кот',	'Политика конфиденцальности',	'<p>1. ОБЩИЕ ПОЛОЖЕНИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br />2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br />3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br />4. ОБЯЗАТЕЛЬСТВА СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br />5. ОТВЕТСТВЕННОСТЬ СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br />6. РАЗРЕШЕНИЕ СПОРОВ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br />7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>'),
(3,	17,	'FAQ',	'',	'FAQ',	'',	'FAQ',	''),
(3,	18,	'Порівняння товарів',	'',	'Порівняння товарів',	'',	'Порівняння товарів',	''),
(3,	19,	'Вибране',	'',	'Вибране',	'',	'Вибране',	'');

DROP TABLE IF EXISTS `ok_lang_payment_methods`;
CREATE TABLE `ok_lang_payment_methods` (
  `lang_id` int(11) NOT NULL,
  `payment_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`payment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_payment_methods` (`lang_id`, `payment_id`, `name`, `description`) VALUES
(1,	6,	'Оплата картой через Liqpay.com',	'<p>LiqPay &mdash; платежная система, позволяющая проводить оплату банковскими картами MasterСard и VISA, а также наличными через терминалы самообслуживания Приватбанка. Оплата возможна после входа в аккаунт через номер мобильного телефона.</p>'),
(1,	14,	'Оплата наличными курьеру',	'<p>Если вы не хотите предварительно оплачивать заказ, у вас есть возможность рассчитаться с курьером наличными в момент получения посылки. Чтобы процесс был максимально комфортным и для вас, и для курьера, рекомендуем заранее подготовить нужную сумму.</p>'),
(1,	18,	'Оплата наложенным платежом',	'<p>Оплата производится наложенным платежом после получения товара.</p>'),
(1,	19,	'Оплата через PayKeeper',	'<p>PayKeeper &mdash; международная платежная система, осуществляющая прием платежей, проводимых с использованием банковских карт через интернет.</p>'),
(1,	20,	'Оплата через WayForPay',	'<p>WayForPay &mdash; это онлайн-сервис с оплатой через банковские карты платежных систем VISA и MasterCard. Доступные методы платежа: Приват 24, терминал, сервис обслуживает прием платежей через систему Bitcoin.</p>'),
(1,	21,	'Яндекс Касса',	'<p>Яндекс.Касса &mdash; российский платёжный провайдер, сервис по приёму платежей через интернет в пользу юридических лиц, индивидуальных предпринимателей и некоммерческих организаций.</p>'),
(2,	6,	'Card payment through Liqpay.com',	'<p>LiqPay is a payment system that allows you to pay with MasterCard and VISA credit cards, as well as in cash through Privatbank self-service terminals. Payment is possible after entering the account through a mobile phone number.</p>'),
(2,	14,	'Cash payment to courier',	'<p>If you do not want to pre-pay the order, you have the opportunity to pay the courier in cash at the time of receipt of the parcel. To make the process as comfortable as possible for both you and the courier, we recommend that you prepare the required amount in advance.</p>'),
(2,	18,	'Cash on delivery',	'<p>Payment is due on delivery after receiving the goods.</p>'),
(2,	19,	'Payment via PayKeeper',	'<p>PayKeeper is an international payment system that accepts payments made using bank cards via the Internet.</p>'),
(2,	20,	'Payment via WayForPay',	'<p>WayForPay is an online service with payment through bank cards of VISA and MasterCard payment systems. Available payment methods: Privat 24, terminal, the service serves the acceptance of payments through the Bitcoin system.</p>'),
(2,	21,	'Yandex Cashier',	'<p>Yandex.Kassa is a Russian payment provider, a service for accepting payments via the Internet in favor of legal entities, individual entrepreneurs and non-profit organizations.</p>'),
(3,	6,	'Оплата карткою через Liqpay.com',	'<p>LiqPay - платіжна система, що дозволяє проводити оплату банківськими картами MasterСard і VISA, а також готівкою через термінали самообслуговування Приватбанку. Оплата можлива після входу в обліковий запис через номер мобільного телефону.</p>'),
(3,	14,	'Оплата готівкою кур\'єру',	'<p>Якщо ви не хочете попередньо оплачувати замовлення, у вас є можливість розрахуватися з кур\'єром готівкою в момент отримання посилки. Щоб процес був максимально комфортним і для вас, і для кур\'єра, рекомендуємо заздалегідь підготувати потрібну суму.</p>'),
(3,	18,	'Оплата післяплатою',	'<p>Оплата проводиться післяплатою після отримання товару.</p>'),
(3,	19,	'Оплата через PayKeeper',	'<p>PayKeeper - міжнародна платіжна система, що здійснює прийом платежів, що проводяться з використанням банківських карт через інтернет.</p>'),
(3,	20,	'Оплата через WayForPay',	'<p>WayForPay - це онлайн-сервіс з оплатою через банківські картки платіжних систем VISA і MasterCard. Доступні методи платежу: Приват 24, термінал, сервіс обслуговує прийом платежів через систему Bitcoin.</p>'),
(3,	21,	'Яндекс Каса',	'<p>Яндекс.Касса - російський платіжний провайдер, сервіс з прийому платежів через інтернет на користь юридичних осіб, індивідуальних підприємців і некомерційних організацій.</p>');

DROP TABLE IF EXISTS `ok_lang_products`;
CREATE TABLE `ok_lang_products` (
  `lang_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `special` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_products` (`lang_id`, `product_id`, `name`, `annotation`, `description`, `meta_title`, `meta_keywords`, `meta_description`, `special`) VALUES
(1,	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	''),
(1,	2,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	''),
(1,	3,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	''),
(1,	4,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	''),
(1,	5,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	''),
(1,	6,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	''),
(1,	7,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	''),
(1,	8,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	''),
(1,	9,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	''),
(1,	10,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	''),
(1,	11,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	''),
(1,	12,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	''),
(1,	13,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	''),
(1,	14,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	''),
(1,	15,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	''),
(1,	16,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	''),
(1,	17,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	''),
(1,	18,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	''),
(1,	19,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	''),
(1,	20,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	''),
(1,	21,	'Кресло мешок груша L iPhone',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	''),
(1,	22,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	''),
(1,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	''),
(1,	24,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	''),
(1,	25,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	''),
(1,	26,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	''),
(1,	27,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	''),
(1,	28,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	''),
(1,	29,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	''),
(1,	30,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	''),
(1,	31,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	''),
(1,	32,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	''),
(1,	33,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	''),
(1,	34,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	''),
(1,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	''),
(1,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	''),
(1,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	''),
(1,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	''),
(1,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	''),
(1,	42,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	''),
(1,	43,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	''),
(1,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	''),
(1,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	''),
(1,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	''),
(1,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	''),
(1,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	''),
(1,	49,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	''),
(1,	50,	'Hatchimals: Драко в яйце номер 1',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	''),
(1,	51,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	''),
(1,	52,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	''),
(1,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	''),
(1,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	''),
(1,	55,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	''),
(1,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	''),
(1,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	''),
(1,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	''),
(1,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	''),
(1,	60,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	''),
(1,	61,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	''),
(1,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	''),
(1,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	''),
(1,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	''),
(1,	65,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	''),
(1,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	''),
(1,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	''),
(1,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	''),
(1,	69,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	''),
(1,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	''),
(1,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	''),
(1,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	''),
(1,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	''),
(1,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	''),
(1,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	''),
(1,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	''),
(1,	77,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	''),
(1,	78,	'Алюминиевый радиатор Global VOX 500/100',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	''),
(1,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	''),
(1,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	''),
(1,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	''),
(1,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	''),
(1,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	''),
(1,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	''),
(1,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	''),
(1,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	''),
(1,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	''),
(1,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	''),
(1,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	''),
(1,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	''),
(1,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	''),
(1,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	''),
(1,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	''),
(1,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	''),
(1,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	''),
(1,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	''),
(1,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	''),
(1,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	''),
(1,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	''),
(1,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	''),
(1,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	''),
(1,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	''),
(1,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	''),
(1,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	''),
(1,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	''),
(1,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	''),
(1,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	''),
(1,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	''),
(1,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'akciya.png'),
(1,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'hit.png'),
(1,	111,	'Апельсиновый сок',	'',	'',	'Апельсиновый сок',	'Апельсиновый сок, Nature product, Соки',	'',	''),
(1,	112,	'Савойская капуста',	'',	'',	'Савойская капуста',	'Савойская капуста, Organik food, Напитки и продукты',	'',	''),
(1,	113,	'Китайская петрушка Кориандр',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'',	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	'new.png'),
(1,	114,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	115,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(1,	116,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(1,	117,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(1,	118,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	119,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	120,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	121,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	122,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	123,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(1,	124,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(1,	125,	'San Remo Пенне Ригате № 18',	'',	'',	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	''),
(1,	126,	'Chobani Банановый кленовый мешок овса',	'',	'',	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	''),
(1,	127,	'Спелый сок манго',	'',	'',	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	''),
(1,	128,	'пелый клюквенный суперфруктовый сок',	'',	'',	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	''),
(1,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	''),
(1,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	''),
(1,	131,	'Moet & Chandon Ice Imperial',	'',	'',	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	''),
(1,	132,	'Bottega Millesimato Brut Prosecco',	'',	'',	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	''),
(1,	133,	'Heineken Светлое пиво',	'',	'',	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	''),
(1,	134,	'Bitburger',	'',	'',	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	''),
(1,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	''),
(1,	136,	'Молочный чертополох',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(1,	137,	'Country Life Экстракт расторопши',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'garant.png'),
(1,	138,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(1,	139,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(1,	140,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(1,	141,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(1,	142,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(1,	143,	'Куркума Куркумин-2250 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин-2250 мг',	'Куркума Куркумин-2250 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(1,	144,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	145,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	146,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	147,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	148,	'LexMod Twirl Mono Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)218.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Mono Outdoor Wicker',	'LexMod Twirl Mono Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(1,	151,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(1,	152,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(1,	153,	'LexMod Pro Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">89L x 69.5W x 28.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>8</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong><br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>295кг.</strong></span></li>\r\n</ul>',	'',	'LexMod Pro Taiji Wicker Patio Daybed',	'LexMod Pro Taiji Wicker Patio Daybed, Britax romer, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(1,	154,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	155,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	156,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	157,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	158,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	159,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'akciya.png'),
(1,	160,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(1,	161,	'Складной стул Shine Catalina 37',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 37',	'Складной стул Shine Catalina 37, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(1,	162,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(1,	163,	'Кровать  Shelly Beach Quilt 2',	'',	'',	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	''),
(1,	164,	'Кровать  Shelly Cover Natural',	'',	'',	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	''),
(1,	165,	'Кровать  Shelly Cover Natural2',	'',	'',	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	''),
(1,	166,	'Кровать  Kerela Quilt Cover',	'',	'',	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	''),
(1,	167,	'Кровать Kerela Quilt',	'',	'',	'Кровать Kerela Quilt',	'Кровать Kerela Quilt, Кровати',	'',	''),
(1,	168,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(1,	169,	'Пенал для ванной Bookends2',	'',	'',	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	''),
(1,	170,	'Пенал для ванной Bookends3',	'',	'',	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	''),
(1,	171,	'Пенал для ванной Grinder',	'',	'',	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	''),
(1,	172,	'Пенал для ванной Grinder2',	'',	'',	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	''),
(1,	173,	'Пенал для ванной Grinder Bronze',	'',	'',	'Пенал для ванной Grinder Bronze',	'Пенал для ванной Grinder Bronze, Пеналы',	'',	''),
(1,	174,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(1,	175,	'Тумба под раковину Aquwastyle2',	'',	'',	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	''),
(1,	176,	'Тумба под раковину Aquwastyle3',	'<ul>\r\n<li>Вес: <strong>120кг</strong></li>\r\n<li>Гарантия: <strong>8лет</strong></li>\r\n<li>Класс: <strong>Премиум</strong></li>\r\n</ul>',	'',	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	''),
(1,	177,	'Тумба под раковину Aquwastyle4',	'<ul>\r\n<li>Вес: <strong>45кг</strong></li>\r\n<li>Гарантия: <strong>5лет</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	''),
(1,	178,	'Тумба под раковину Aquwastyle5',	'<ul>\r\n<li>Цвет:&nbsp;<strong>Белый</strong></li>\r\n<li>Гарантия:&nbsp;<strong>3 года</strong></li>\r\n<li>Ширина:&nbsp;<strong>45-60см</strong></li>\r\n</ul>',	'',	'Тумба под раковину Aquwastyle5',	'Тумба под раковину Aquwastyle5, Beretta, Тумбы для ванной',	'',	''),
(1,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(1,	180,	'Корпус дисковой пилы Bosch',	'',	'',	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	181,	'Беспроводной перфоратор Bosch Plus',	'',	'',	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	''),
(1,	182,	'Отбойный молоток Bosch GSH 6784',	'',	'',	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	''),
(1,	183,	'Пылезащитный прибор Bosch',	'',	'',	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	185,	'Профессиональный мини-пылесос Bosch',	'',	'',	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	186,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	''),
(1,	187,	'Шуруповерт аккумуляторный Bosch',	'',	'',	'Шуруповерт аккумуляторный Bosch',	'Шуруповерт аккумуляторный Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	188,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(1,	189,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(1,	190,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(1,	191,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(1,	192,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	193,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	194,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	195,	'Противостояние, том 1 Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>576</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Противостояние, том 1 Стивен Кинг',	'Противостояние, том 1 Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	196,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(1,	197,	'Духи с ароматом стородины',	'',	'',	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	''),
(1,	198,	'Универсальная маска для лица',	'',	'',	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	''),
(1,	199,	'Духи Versace Bright crystal ABSOLU',	'',	'',	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	''),
(1,	200,	'Крем для лица ESTEE LAUDER',	'',	'',	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	''),
(1,	201,	'Набор меосметических кистей Bellapierre',	'',	'',	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	''),
(1,	202,	'Мягкий матовый крем для губ',	'',	'',	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	''),
(1,	203,	'Мягкие матовые тени',	'',	'',	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	''),
(1,	204,	'Комплект из матовой аомады и тени для глах',	'',	'',	'Комплект из матовой аомады и тени для глах',	'Комплект из матовой аомады и тени для глах, GARNIER, Косметика',	'',	''),
(1,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	''),
(1,	206,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	'akciya.png'),
(1,	207,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'new.png'),
(1,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'garant.png'),
(1,	209,	'Велообувь Shimano SH-RP501 Men',	'',	'',	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'hit.png'),
(1,	210,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'new.png'),
(1,	211,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'garant.png'),
(1,	212,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: <strong>США</strong></li>\r\n<li>Питание:<strong> батарея</strong></li>\r\n<li>Тип: <strong>классика</strong></li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'hit.png'),
(1,	213,	'Тренажер для мышц плеча MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	'Тренажер для мышц плеча MARBO-SPORT 348',	'Тренажер для мышц плеча MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	''),
(1,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: <strong>белый</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: <strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'garant.png'),
(1,	215,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'new.png'),
(1,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Тип: <strong>smart часы</strong></li>\r\n<li>Разъём: <strong>microUSB</strong></li>\r\n<li>Гарантия: <strong>12 мес</strong></li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	''),
(1,	217,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(1,	218,	'Экшн-камера ThiEYE T34 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T34 Edge',	'Экшн-камера ThiEYE T34 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(1,	219,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'<ul>\r\n<li>Тип: <strong>горный</strong></li>\r\n<li>Диаметр: <strong>25.5 дюйма</strong></li>\r\n<li>Вес: <strong>25.8 кг</strong></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'garant.png'),
(1,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(1,	221,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	''),
(1,	222,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	''),
(1,	223,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	''),
(1,	224,	'Счетчик банкнот DORS 800',	'<ul>\r\n<li>Скорость: <strong>600/900</strong></li>\r\n<li>Дисплей:&nbsp;<strong>цветной</strong></li>\r\n<li>Вместимость:&nbsp;<strong>800</strong></li>\r\n</ul>',	'<div class=\"voxes\">\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\"><strong>Dors 800</strong> &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта </span></span></span><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">- 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.</span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сортировка валют</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Определение валюты происходит по первой посчитанной купюре. Благодаря наличию отбраковочного кармана пересчёт и сортировка осуществляется безостановочно. Запуск отсчёта может проводиться в ручном или автоматическом режиме. Данный параметр задаётся в настройках счётчика.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Три режима пересчёта</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Режим &laquo;СЧЁТ&raquo; &ndash; самый простой, он позволяет выполнять отсчёт количества банкнот. В режиме &laquo;МИКС&raquo; можно работать со смешанными пачками одной валюты. Счётчик Dors 800 автоматически определяет номинал и просчитывает купюры любой ориентации. По завершению пересчёта на дисплее отображается детализированный отчёт по каждому паритету. Режим &laquo;НОМИНАЛ&raquo; используется для пересчёта банкнот одной номинальной стоимости независимо от ориентации. Данный режим позволяет отсортировывать купюры одного номинала, в то время как другие номиналы накапливаются в реджект кармане. При необходимости, можно задавать количество отсчитываемых купюр, что особенно удобно при формировании пачек.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Экспертный уровень проверки</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик банкнот Dors 800 обеспечивает девять видов проверки подлинности. Распознаёт 4 машиночитаемых признака подлинности &ndash; по образу банкноты в видимом диапазоне, ИК-диапазоне, магнитным меткам, отсутствию фонового свечения банкнотной бумаги в УФ-диапазоне. Также проверка осуществляется по оптической плотности, геометрическим размерам банкнот, сдвоенности и целостности.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Возможность обновления системы</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик валют Dors 800 может обновляться путём подключения к ПК (через <strong>USB</strong>), имеющего доступ к интернету. Специальное приложение обращается к серверу, находит обновление и устанавливает его. По завершению обновления устройство готово к работе. Периодическое обновление ПО для любого счётчика очень важно, так как технологии подделки денежных знаков постоянно усовершенствуются.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Подключение дополнительного оборудования</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">К счётчику-сортировщику Dors 800 могут подключаться устройства различного типа &ndash; выносные дисплеи (Dors 85 и Dors 90), чековые принтеры, системы видеонаблюдений. Выносной дисплей может быть востребован на операционной кассе. Его разворачивают в сторону клиента, чтобы он мог убедиться в правильности пересчитываемой суммы. После пересчёта Dors 800 может передавать данные о просчитанных банкнотах на чековый принтер. Совместимость с ЧЕКТВ БАНК позволяет контролировать все операции, выполняемые кассиром.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сенсорный дисплей</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Интерфейс Dors 800 позволяет кассиру быстро решать любые задачи по обработке наличности. Устройство оборудовано цветным сенсорным дисплеем диагональю 4,3 дюйма. Настройка нужных параметров осуществляется легко. Технология &laquo;Touchscreen&raquo; обеспечивает возможность переключения режимов работы в одно касание.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Надёжная конструкция</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Части корпуса, подверженные наибольшим нагрузкам, изготовлены из ударопрочного пластика с добавлением карбонового волокна. Механизм пересчёта хорошо отлажен, захват банкнот осуществляется чётко и бережно. В случае проникновения в механизм инородного предмета, например скрепки, процесс пересчёта приостанавливается во избежание повреждения банкнот.<span id=\"ctrlcopy\"></span></span></span></span></div>\r\n</div>',	'Счетчик банкнот DORS 800',	'Счетчик банкнот DORS 800, Товары для бизнеса',	'Dors 800  &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта      - 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.   \r\n   \r\n     Сортировка валют     \r\n ',	''),
(1,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'hit.png'),
(1,	226,	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'<ul>\r\n<li>Вес: <strong>11г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'Royal Canin Persian Adult сухой корм для котов персидской породы, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'new.png'),
(1,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	''),
(1,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>13г.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	''),
(1,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	''),
(1,	230,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	''),
(1,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	''),
(2,	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	''),
(2,	2,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	''),
(2,	3,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	''),
(2,	4,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	''),
(2,	5,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	''),
(2,	6,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	''),
(2,	7,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	''),
(2,	8,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	''),
(2,	9,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	''),
(2,	10,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	''),
(2,	11,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	''),
(2,	12,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	''),
(2,	13,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	''),
(2,	14,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	''),
(2,	15,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	''),
(2,	16,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	''),
(2,	17,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	''),
(2,	18,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	''),
(2,	19,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	''),
(2,	20,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	''),
(2,	21,	'Кресло мешок груша L iPhone',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	''),
(2,	22,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	''),
(2,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	''),
(2,	24,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	''),
(2,	25,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	''),
(2,	26,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	''),
(2,	27,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	''),
(2,	28,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	''),
(2,	29,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	''),
(2,	30,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	''),
(2,	31,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	''),
(2,	32,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	''),
(2,	33,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	''),
(2,	34,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	''),
(2,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	''),
(2,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	''),
(2,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	''),
(2,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	''),
(2,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	''),
(2,	42,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	''),
(2,	43,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	''),
(2,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	''),
(2,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	''),
(2,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	''),
(2,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	''),
(2,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	''),
(2,	49,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	''),
(2,	50,	'Hatchimals: Драко в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	''),
(2,	51,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	''),
(2,	52,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	''),
(2,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	''),
(2,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	''),
(2,	55,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	''),
(2,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	''),
(2,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	''),
(2,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	''),
(2,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	''),
(2,	60,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	''),
(2,	61,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	''),
(2,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	''),
(2,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	''),
(2,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	''),
(2,	65,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	''),
(2,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	''),
(2,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	''),
(2,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	''),
(2,	69,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	''),
(2,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	''),
(2,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	''),
(2,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	''),
(2,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	''),
(2,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	''),
(2,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	''),
(2,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	''),
(2,	77,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	''),
(2,	78,	'Алюминиевый радиатор Global VOX 500/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	''),
(2,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	''),
(2,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	''),
(2,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	''),
(2,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	''),
(2,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	''),
(2,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	''),
(2,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	''),
(2,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	''),
(2,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	''),
(2,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	''),
(2,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	''),
(2,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	''),
(2,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	''),
(2,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	''),
(2,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	''),
(2,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	''),
(2,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	''),
(2,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	''),
(2,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	''),
(2,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	''),
(2,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	''),
(2,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	''),
(2,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	''),
(2,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	''),
(2,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	''),
(2,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	''),
(2,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	''),
(2,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	''),
(2,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	''),
(2,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	''),
(2,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	''),
(2,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	''),
(2,	111,	'Сок',	'',	'',	'Сок',	'Сок, Напитки и продукты',	'',	''),
(2,	112,	'Савойская капуста',	'',	'',	'Савойская капуста',	'Савойская капуста, Напитки и продукты',	'',	''),
(2,	113,	'Китайская петрушка Кориандр',	'',	'',	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	''),
(2,	114,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	115,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(2,	116,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(2,	117,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(2,	118,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	119,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	120,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	121,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	122,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	123,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	124,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	125,	'San Remo Пенне Ригате № 18',	'',	'',	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	''),
(2,	126,	'Chobani Банановый кленовый мешок овса',	'',	'',	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	''),
(2,	127,	'Спелый сок манго',	'',	'',	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	''),
(2,	128,	'пелый клюквенный суперфруктовый сок',	'',	'',	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	''),
(2,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	''),
(2,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	''),
(2,	131,	'Moet & Chandon Ice Imperial',	'',	'',	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	''),
(2,	132,	'Bottega Millesimato Brut Prosecco',	'',	'',	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	''),
(2,	133,	'Heineken Светлое пиво',	'',	'',	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	''),
(2,	134,	'Bitburger',	'',	'',	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	''),
(2,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	''),
(2,	136,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	137,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	138,	'Country Life Экстракт расторопши',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'garant.png'),
(2,	139,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(2,	140,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(2,	141,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(2,	142,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(2,	143,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(2,	144,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0, (Dia)133.0cm</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	145,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	146,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	147,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	148,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	151,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	152,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	153,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	154,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	155,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	156,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	157,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	158,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	159,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	160,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'akciya.png'),
(2,	161,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(2,	162,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(2,	163,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(2,	164,	'Кровать  Shelly Beach Quilt 2',	'',	'',	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	''),
(2,	165,	'Кровать  Shelly Cover Natural',	'',	'',	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	''),
(2,	166,	'Кровать  Shelly Cover Natural2',	'',	'',	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	''),
(2,	167,	'Кровать  Kerela Quilt Cover',	'',	'',	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	''),
(2,	168,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(2,	169,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(2,	170,	'Пенал для ванной Bookends2',	'',	'',	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	''),
(2,	171,	'Пенал для ванной Bookends3',	'',	'',	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	''),
(2,	172,	'Пенал для ванной Grinder',	'',	'',	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	''),
(2,	173,	'Пенал для ванной Grinder2',	'',	'',	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	''),
(2,	174,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(2,	175,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(2,	176,	'Тумба под раковину Aquwastyle2',	'',	'',	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	''),
(2,	177,	'Тумба под раковину Aquwastyle3',	'',	'',	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	''),
(2,	178,	'Тумба под раковину Aquwastyle4',	'',	'',	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	''),
(2,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(2,	180,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(2,	181,	'Корпус дисковой пилы Bosch',	'',	'',	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	''),
(2,	182,	'Беспроводной перфоратор Bosch Plus',	'',	'',	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	''),
(2,	183,	'Отбойный молоток Bosch GSH 6784',	'',	'',	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	''),
(2,	185,	'Пылезащитный прибор Bosch',	'',	'',	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	''),
(2,	186,	'Профессиональный мини-пылесос Bosch',	'',	'',	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	''),
(2,	187,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	''),
(2,	188,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(2,	189,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(2,	190,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(2,	191,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(2,	192,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png');
INSERT INTO `ok_lang_products` (`lang_id`, `product_id`, `name`, `annotation`, `description`, `meta_title`, `meta_keywords`, `meta_description`, `special`) VALUES
(2,	193,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(2,	194,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(2,	195,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(2,	196,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(2,	197,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(2,	198,	'Духи с ароматом стородины',	'',	'',	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	''),
(2,	199,	'Универсальная маска для лица',	'',	'',	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	''),
(2,	200,	'Духи Versace Bright crystal ABSOLU',	'',	'',	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	''),
(2,	201,	'Набор меосметических кистей Bellapierre',	'',	'',	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	''),
(2,	202,	'Крем для лица ESTEE LAUDER',	'',	'',	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	''),
(2,	203,	'Мягкий матовый крем для губ',	'',	'',	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	''),
(2,	204,	'Мягкие матовые тени',	'',	'',	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	''),
(2,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(2,	206,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	''),
(2,	207,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'new.png'),
(2,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'garant.png'),
(2,	209,	'Велообувь Shimano SH-RP501 Men',	'',	'',	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'hit.png'),
(2,	210,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'new.png'),
(2,	211,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'garant.png'),
(2,	212,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: США</li>\r\n<li>Питание: батарея</li>\r\n<li>Тип: классика</li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'hit.png'),
(2,	213,	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	'akciya.png'),
(2,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: белый</li>\r\n<li>Запас хода: 30км</li>\r\n<li>Вес: 3.8кг</li>\r\n<li>Диаметр: 10 дюёмов</li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'garant.png'),
(2,	215,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'new.png'),
(2,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: черный</li>\r\n<li>Тип: smart часы</li>\r\n<li>Разъём: microUSB</li>\r\n<li>Гарантия: 12 мес</li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	''),
(2,	217,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(2,	218,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(2,	219,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(2,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Операционная система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс подключения: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(2,	221,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(2,	222,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	'new.png'),
(2,	223,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	'akciya.png'),
(2,	224,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	'garant.png'),
(2,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: 10г</li>\r\n<li>Тип: Сухой корм</li>\r\n<li>Класс: Супер премиум</li>\r\n</ul>',	'<p>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ<br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br />ЭКСКЛЮЗИВНАЯ ФОРМУЛА:<br /><br />Таурин и омега-3 жирные кислоты<br /><br />ЗДОРОВЬЕ СУСТАВОВ<br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br />ЗДОРОВЬЕ СЕРДЦА<br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br />ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ<br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br />ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ<br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ  Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.  ЭКСКЛЮЗИВНАЯ ФОРМУЛА:  Таурин и омега-3 жирные кислоты  ЗДОРОВЬЕ СУСТАВОВ  Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула раци',	'hit.png'),
(2,	226,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'hit.png'),
(2,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'new.png'),
(2,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>14кг.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	'akciya.png'),
(2,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	''),
(2,	230,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	'hit.png'),
(2,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	'akciya.png'),
(3,	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	''),
(3,	2,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	''),
(3,	3,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	''),
(3,	4,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	''),
(3,	5,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	''),
(3,	6,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	''),
(3,	7,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	''),
(3,	8,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	''),
(3,	9,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	''),
(3,	10,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	''),
(3,	11,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	''),
(3,	12,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	''),
(3,	13,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	''),
(3,	14,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	''),
(3,	15,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	''),
(3,	16,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	''),
(3,	17,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	''),
(3,	18,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	''),
(3,	19,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	''),
(3,	20,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	''),
(3,	21,	'Кресло мешок груша L iPhone',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	''),
(3,	22,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	''),
(3,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	''),
(3,	24,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	''),
(3,	25,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	''),
(3,	26,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	''),
(3,	27,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	''),
(3,	28,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	''),
(3,	29,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	''),
(3,	30,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	''),
(3,	31,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	''),
(3,	32,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	''),
(3,	33,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	''),
(3,	34,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	''),
(3,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	''),
(3,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	''),
(3,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	''),
(3,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	''),
(3,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	''),
(3,	42,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	''),
(3,	43,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	''),
(3,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	''),
(3,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	''),
(3,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	''),
(3,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	''),
(3,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	''),
(3,	49,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	''),
(3,	50,	'Hatchimals: Драко в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	''),
(3,	51,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	''),
(3,	52,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	''),
(3,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	''),
(3,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	''),
(3,	55,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	''),
(3,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	''),
(3,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	''),
(3,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	''),
(3,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	''),
(3,	60,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	''),
(3,	61,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	''),
(3,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	''),
(3,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	''),
(3,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	''),
(3,	65,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	''),
(3,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	''),
(3,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	''),
(3,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	''),
(3,	69,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	''),
(3,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	''),
(3,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	''),
(3,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	''),
(3,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	''),
(3,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	''),
(3,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	''),
(3,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	''),
(3,	77,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	''),
(3,	78,	'Алюминиевый радиатор Global VOX 500/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	''),
(3,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	''),
(3,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	''),
(3,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	''),
(3,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	''),
(3,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	''),
(3,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	''),
(3,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	''),
(3,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	''),
(3,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	''),
(3,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	''),
(3,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	''),
(3,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	''),
(3,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	''),
(3,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	''),
(3,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	''),
(3,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	''),
(3,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	''),
(3,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	''),
(3,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	''),
(3,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	''),
(3,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	''),
(3,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	''),
(3,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	''),
(3,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	''),
(3,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	''),
(3,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	''),
(3,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	''),
(3,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	''),
(3,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	''),
(3,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	''),
(3,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	''),
(3,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	''),
(3,	111,	'Сок',	'',	'',	'Сок',	'Сок, Напитки и продукты',	'',	''),
(3,	112,	'Савойская капуста',	'',	'',	'Савойская капуста',	'Савойская капуста, Напитки и продукты',	'',	''),
(3,	113,	'Китайская петрушка Кориандр',	'',	'',	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	''),
(3,	114,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	115,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(3,	116,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(3,	117,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(3,	118,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	119,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	120,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	121,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	122,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	123,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	124,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	125,	'San Remo Пенне Ригате № 18',	'',	'',	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	''),
(3,	126,	'Chobani Банановый кленовый мешок овса',	'',	'',	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	''),
(3,	127,	'Спелый сок манго',	'',	'',	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	''),
(3,	128,	'пелый клюквенный суперфруктовый сок',	'',	'',	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	''),
(3,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	''),
(3,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	''),
(3,	131,	'Moet & Chandon Ice Imperial',	'',	'',	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	''),
(3,	132,	'Bottega Millesimato Brut Prosecco',	'',	'',	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	''),
(3,	133,	'Heineken Светлое пиво',	'',	'',	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	''),
(3,	134,	'Bitburger',	'',	'',	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	''),
(3,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	''),
(3,	136,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	137,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	138,	'Country Life Экстракт расторопши',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'garant.png'),
(3,	139,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(3,	140,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(3,	141,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(3,	142,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(3,	143,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(3,	144,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0, (Dia)133.0cm</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	145,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	146,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	147,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	148,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	151,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	152,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	153,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	154,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	155,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	156,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	157,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	158,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	159,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	160,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'akciya.png'),
(3,	161,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(3,	162,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(3,	163,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(3,	164,	'Кровать  Shelly Beach Quilt 2',	'',	'',	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	''),
(3,	165,	'Кровать  Shelly Cover Natural',	'',	'',	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	''),
(3,	166,	'Кровать  Shelly Cover Natural2',	'',	'',	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	''),
(3,	167,	'Кровать  Kerela Quilt Cover',	'',	'',	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	''),
(3,	168,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(3,	169,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(3,	170,	'Пенал для ванной Bookends2',	'',	'',	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	''),
(3,	171,	'Пенал для ванной Bookends3',	'',	'',	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	''),
(3,	172,	'Пенал для ванной Grinder',	'',	'',	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	''),
(3,	173,	'Пенал для ванной Grinder2',	'',	'',	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	''),
(3,	174,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(3,	175,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(3,	176,	'Тумба под раковину Aquwastyle2',	'',	'',	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	''),
(3,	177,	'Тумба под раковину Aquwastyle3',	'',	'',	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	''),
(3,	178,	'Тумба под раковину Aquwastyle4',	'',	'',	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	''),
(3,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(3,	180,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(3,	181,	'Корпус дисковой пилы Bosch',	'',	'',	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	''),
(3,	182,	'Беспроводной перфоратор Bosch Plus',	'',	'',	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	''),
(3,	183,	'Отбойный молоток Bosch GSH 6784',	'',	'',	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	''),
(3,	185,	'Пылезащитный прибор Bosch',	'',	'',	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	''),
(3,	186,	'Профессиональный мини-пылесос Bosch',	'',	'',	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	''),
(3,	187,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	''),
(3,	188,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(3,	189,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(3,	190,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(3,	191,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(3,	192,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(3,	193,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(3,	194,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(3,	195,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(3,	196,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(3,	197,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(3,	198,	'Духи с ароматом стородины',	'',	'',	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	''),
(3,	199,	'Универсальная маска для лица',	'',	'',	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	''),
(3,	200,	'Духи Versace Bright crystal ABSOLU',	'',	'',	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	''),
(3,	201,	'Набор меосметических кистей Bellapierre',	'',	'',	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	''),
(3,	202,	'Крем для лица ESTEE LAUDER',	'',	'',	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	''),
(3,	203,	'Мягкий матовый крем для губ',	'',	'',	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	''),
(3,	204,	'Мягкие матовые тени',	'',	'',	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	''),
(3,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(3,	206,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	''),
(3,	207,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'new.png'),
(3,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'garant.png'),
(3,	209,	'Велообувь Shimano SH-RP501 Men',	'',	'',	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'hit.png'),
(3,	210,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'new.png'),
(3,	211,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'garant.png'),
(3,	212,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: США</li>\r\n<li>Питание: батарея</li>\r\n<li>Тип: классика</li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'hit.png'),
(3,	213,	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	'akciya.png'),
(3,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: белый</li>\r\n<li>Запас хода: 30км</li>\r\n<li>Вес: 3.8кг</li>\r\n<li>Диаметр: 10 дюёмов</li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'garant.png'),
(3,	215,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'new.png'),
(3,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: черный</li>\r\n<li>Тип: smart часы</li>\r\n<li>Разъём: microUSB</li>\r\n<li>Гарантия: 12 мес</li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	''),
(3,	217,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(3,	218,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(3,	219,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(3,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Операционная система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс подключения: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(3,	221,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(3,	222,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	'new.png'),
(3,	223,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	'akciya.png'),
(3,	224,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	'garant.png'),
(3,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: 10г</li>\r\n<li>Тип: Сухой корм</li>\r\n<li>Класс: Супер премиум</li>\r\n</ul>',	'<p>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ<br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br />ЭКСКЛЮЗИВНАЯ ФОРМУЛА:<br /><br />Таурин и омега-3 жирные кислоты<br /><br />ЗДОРОВЬЕ СУСТАВОВ<br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br />ЗДОРОВЬЕ СЕРДЦА<br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br />ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ<br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br />ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ<br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ  Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.  ЭКСКЛЮЗИВНАЯ ФОРМУЛА:  Таурин и омега-3 жирные кислоты  ЗДОРОВЬЕ СУСТАВОВ  Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула раци',	'hit.png'),
(3,	226,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'hit.png'),
(3,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'new.png'),
(3,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>14кг.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	'akciya.png'),
(3,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	''),
(3,	230,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	'hit.png'),
(3,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	'akciya.png');

DROP TABLE IF EXISTS `ok_lang_seo_filter_patterns`;
CREATE TABLE `ok_lang_seo_filter_patterns` (
  `lang_id` tinyint(11) NOT NULL,
  `seo_filter_pattern_id` int(11) NOT NULL,
  `h1` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id_filter_auto_meta_id` (`lang_id`,`seo_filter_pattern_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_lang_variants`;
CREATE TABLE `ok_lang_variants` (
  `lang_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `units` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`variant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_variants` (`lang_id`, `variant_id`, `name`, `units`) VALUES
(1,	1,	'',	''),
(1,	2,	'',	''),
(1,	3,	'',	''),
(1,	4,	'',	''),
(1,	5,	'',	''),
(1,	6,	'',	''),
(1,	7,	'',	''),
(1,	8,	'',	''),
(1,	9,	'',	''),
(1,	10,	'',	''),
(1,	11,	'',	''),
(1,	12,	'',	''),
(1,	13,	'',	''),
(1,	14,	'',	''),
(1,	15,	'',	''),
(1,	16,	'',	''),
(1,	17,	'',	''),
(1,	18,	'',	''),
(1,	19,	'',	''),
(1,	20,	'',	''),
(1,	21,	'',	''),
(1,	22,	'',	''),
(1,	23,	'Красный',	''),
(1,	24,	'Серый',	''),
(1,	25,	'',	''),
(1,	26,	'',	''),
(1,	27,	'',	''),
(1,	28,	'В наличии',	''),
(1,	29,	'',	''),
(1,	30,	'',	''),
(1,	31,	'',	''),
(1,	32,	'В наличии',	''),
(1,	33,	'Под заказ',	''),
(1,	34,	'В наличии',	''),
(1,	35,	'В наличии',	''),
(1,	38,	'Под заказ',	''),
(1,	39,	'Из наличия',	''),
(1,	40,	'Под заказ',	''),
(1,	41,	'В наличии',	''),
(1,	42,	'',	''),
(1,	43,	'В наличии',	''),
(1,	44,	'В наличии',	''),
(1,	45,	'В наличии',	''),
(1,	46,	'',	''),
(1,	47,	'В наличии',	''),
(1,	48,	'',	''),
(1,	49,	'',	''),
(1,	50,	'зеленый',	''),
(1,	51,	'',	''),
(1,	52,	'',	''),
(1,	53,	'',	''),
(1,	54,	'',	''),
(1,	55,	'',	''),
(1,	56,	'',	''),
(1,	57,	'',	''),
(1,	58,	'',	''),
(1,	59,	'',	''),
(1,	60,	'',	''),
(1,	61,	'',	''),
(1,	62,	'',	''),
(1,	63,	'',	''),
(1,	64,	'',	''),
(1,	65,	'',	''),
(1,	66,	'',	''),
(1,	67,	'',	''),
(1,	68,	'',	''),
(1,	69,	'',	''),
(1,	70,	'',	''),
(1,	71,	'',	''),
(1,	72,	'',	''),
(1,	73,	'',	''),
(1,	74,	'',	''),
(1,	75,	'',	''),
(1,	76,	'',	''),
(1,	77,	'',	''),
(1,	78,	'',	''),
(1,	79,	'',	''),
(1,	80,	'',	''),
(1,	81,	'',	''),
(1,	82,	'',	''),
(1,	83,	'',	''),
(1,	84,	'',	''),
(1,	85,	'',	''),
(1,	86,	'',	''),
(1,	87,	'',	''),
(1,	88,	'',	''),
(1,	89,	'',	''),
(1,	90,	'',	''),
(1,	91,	'',	''),
(1,	92,	'',	''),
(1,	93,	'',	''),
(1,	94,	'',	''),
(1,	95,	'',	''),
(1,	96,	'',	''),
(1,	97,	'',	''),
(1,	98,	'',	''),
(1,	99,	'',	''),
(1,	100,	'',	''),
(1,	101,	'',	''),
(1,	102,	'',	''),
(1,	103,	'',	''),
(1,	104,	'',	''),
(1,	105,	'',	''),
(1,	106,	'',	''),
(1,	107,	'',	''),
(1,	108,	'',	''),
(1,	109,	'',	''),
(1,	110,	'',	''),
(1,	111,	'',	''),
(1,	112,	'',	''),
(1,	113,	'',	''),
(1,	114,	'',	''),
(1,	115,	'',	''),
(1,	116,	'',	'кг'),
(1,	117,	'',	'кг'),
(1,	118,	'',	'кг'),
(1,	119,	'',	'кг'),
(1,	120,	'',	'кг'),
(1,	121,	'',	'кг'),
(1,	122,	'',	'кг'),
(1,	123,	'',	'кг'),
(1,	124,	'',	''),
(1,	125,	'',	'кг'),
(1,	126,	'',	''),
(1,	127,	'',	''),
(1,	128,	'',	''),
(1,	129,	'',	''),
(1,	130,	'',	''),
(1,	131,	'',	''),
(1,	132,	'',	''),
(1,	133,	'',	''),
(1,	134,	'',	''),
(1,	135,	'',	''),
(1,	136,	'',	''),
(1,	137,	'',	''),
(1,	138,	'',	''),
(1,	139,	'',	''),
(1,	140,	'',	''),
(1,	141,	'',	''),
(1,	142,	'Микки маус',	''),
(1,	143,	'Dora Dora',	''),
(1,	144,	'Тачки',	''),
(1,	145,	'',	''),
(1,	148,	'',	''),
(1,	149,	'',	''),
(1,	150,	'Бежевый',	''),
(1,	151,	'Белый',	''),
(1,	152,	'Оранжевый',	''),
(1,	153,	'Бирюзовый',	''),
(1,	154,	'Бежевый',	''),
(1,	155,	'Белый',	''),
(1,	156,	'Оранжевый',	''),
(1,	157,	'Бирюзовый',	''),
(1,	158,	'Белый',	''),
(1,	159,	'Бежевый',	''),
(1,	160,	'Оранжевый',	''),
(1,	161,	'Бирюзовый',	''),
(1,	162,	'Оранжевый',	''),
(1,	163,	'Белый',	''),
(1,	164,	'Бежевый',	''),
(1,	165,	'Бирюзовый',	''),
(1,	166,	'Бирюзовый',	''),
(1,	174,	'47L x 104W x 33.5H',	''),
(1,	175,	'65.5L x 89.5W x 25.5H',	''),
(1,	176,	'89L x 69.5W x 28.5H',	''),
(1,	177,	'47L x 104W x 33.5H',	''),
(1,	178,	'65.5L x 89.5W x 25.5H',	''),
(1,	179,	'89L x 69.5W x 28.5H',	''),
(1,	180,	'65.5L x 89.5W x 25.5H',	''),
(1,	181,	'47L x 104W x 33.5H',	''),
(1,	182,	'89L x 69.5W x 28.5H',	''),
(1,	183,	'89L x 69.5W x 28.5H',	''),
(1,	184,	'65.5L x 89.5W x 25.5H',	''),
(1,	186,	'',	''),
(1,	187,	'',	''),
(1,	188,	'',	''),
(1,	189,	'',	''),
(1,	190,	'Белый',	''),
(1,	191,	'Красный',	''),
(1,	192,	'Синий',	''),
(1,	193,	'Коричневый',	''),
(1,	194,	'Коричневый',	''),
(1,	195,	'Белый',	''),
(1,	196,	'Красный',	''),
(1,	197,	'Синий',	''),
(1,	198,	'Красный',	''),
(1,	199,	'Коричневый',	''),
(1,	200,	'Белый',	''),
(1,	201,	'Синий',	''),
(1,	202,	'Синий',	''),
(1,	203,	'Красный',	''),
(1,	204,	'Коричневый',	''),
(1,	205,	'Белый',	''),
(1,	206,	'',	''),
(1,	207,	'',	''),
(1,	208,	'',	''),
(1,	209,	'',	''),
(1,	210,	'',	''),
(1,	211,	'',	''),
(1,	212,	'',	''),
(1,	213,	'',	''),
(1,	214,	'',	''),
(1,	215,	'',	''),
(1,	216,	'',	''),
(1,	217,	'',	''),
(1,	218,	'',	''),
(1,	219,	'',	''),
(1,	220,	'',	''),
(1,	221,	'',	''),
(1,	222,	'',	''),
(1,	223,	'',	''),
(1,	224,	'',	''),
(1,	225,	'',	''),
(1,	226,	'',	''),
(1,	227,	'',	''),
(1,	229,	'',	''),
(1,	230,	'',	''),
(1,	231,	'',	''),
(1,	232,	'',	''),
(1,	233,	'',	''),
(1,	234,	'',	''),
(1,	235,	'',	''),
(1,	236,	'',	''),
(1,	237,	'',	''),
(1,	238,	'',	''),
(1,	239,	'',	''),
(1,	240,	'',	''),
(1,	241,	'',	''),
(1,	242,	'',	''),
(1,	243,	'',	''),
(1,	244,	'',	''),
(1,	245,	'',	''),
(1,	246,	'',	''),
(1,	247,	'',	''),
(1,	248,	'',	''),
(1,	249,	'16 дюймов  — 155-166 см',	''),
(1,	250,	'18 дюймов  — 165-180 см',	''),
(1,	251,	'20 дюймов  — 175-190 см',	''),
(1,	252,	'22 дюйма  — 187-200 см',	''),
(1,	253,	'17 дюймов  — 160-175 см',	''),
(1,	254,	'Белый',	''),
(1,	255,	'Красный',	''),
(1,	256,	'',	''),
(1,	257,	'',	''),
(1,	258,	'',	''),
(1,	259,	'',	''),
(1,	260,	'',	''),
(1,	261,	'',	''),
(1,	262,	'',	''),
(1,	263,	'',	''),
(1,	264,	'',	''),
(1,	265,	'',	''),
(1,	266,	'',	''),
(1,	267,	'16 дюймов  — 155-166 см',	''),
(1,	271,	'',	''),
(1,	272,	'',	''),
(1,	273,	'Оранжевый',	''),
(1,	274,	'Чёерный',	''),
(1,	275,	'',	''),
(1,	277,	'',	''),
(1,	278,	'',	''),
(1,	279,	'',	''),
(1,	280,	'',	''),
(1,	281,	'',	''),
(1,	282,	'',	''),
(1,	283,	'',	''),
(1,	284,	'зеленый',	''),
(1,	285,	'синий',	''),
(1,	286,	'Бежевый',	''),
(1,	287,	'',	''),
(1,	288,	'синий',	''),
(1,	289,	'красный',	''),
(2,	1,	'',	''),
(2,	2,	'',	''),
(2,	3,	'',	''),
(2,	4,	'',	''),
(2,	5,	'',	''),
(2,	6,	'',	''),
(2,	7,	'',	''),
(2,	8,	'',	''),
(2,	9,	'',	''),
(2,	10,	'',	''),
(2,	11,	'',	''),
(2,	12,	'',	''),
(2,	13,	'',	''),
(2,	14,	'',	''),
(2,	15,	'',	''),
(2,	16,	'',	''),
(2,	17,	'',	''),
(2,	18,	'',	''),
(2,	19,	'',	''),
(2,	20,	'',	''),
(2,	21,	'',	''),
(2,	22,	'',	''),
(2,	23,	'Красный',	''),
(2,	24,	'Серый',	''),
(2,	25,	'',	''),
(2,	26,	'',	''),
(2,	27,	'',	''),
(2,	28,	'В наличии',	''),
(2,	29,	'',	''),
(2,	30,	'',	''),
(2,	31,	'',	''),
(2,	32,	'В наличии',	''),
(2,	33,	'Под заказ',	''),
(2,	34,	'В наличии',	''),
(2,	35,	'В наличии',	''),
(2,	38,	'Под заказ',	''),
(2,	39,	'Из наличия',	''),
(2,	40,	'Под заказ',	''),
(2,	41,	'В наличии',	''),
(2,	42,	'',	''),
(2,	43,	'В наличии',	''),
(2,	44,	'В наличии',	''),
(2,	45,	'В наличии',	''),
(2,	46,	'',	''),
(2,	47,	'В наличии',	''),
(2,	48,	'',	''),
(2,	49,	'',	''),
(2,	50,	'В наличии',	''),
(2,	51,	'',	''),
(2,	52,	'',	''),
(2,	53,	'',	''),
(2,	54,	'',	''),
(2,	55,	'',	''),
(2,	56,	'',	''),
(2,	57,	'',	''),
(2,	58,	'',	''),
(2,	59,	'',	''),
(2,	60,	'',	''),
(2,	61,	'',	''),
(2,	62,	'',	''),
(2,	63,	'',	''),
(2,	64,	'',	''),
(2,	65,	'',	''),
(2,	66,	'',	''),
(2,	67,	'',	''),
(2,	68,	'',	''),
(2,	69,	'',	''),
(2,	70,	'',	''),
(2,	71,	'',	''),
(2,	72,	'',	''),
(2,	73,	'',	''),
(2,	74,	'',	''),
(2,	75,	'',	''),
(2,	76,	'',	''),
(2,	77,	'',	''),
(2,	78,	'',	''),
(2,	79,	'',	''),
(2,	80,	'',	''),
(2,	81,	'',	''),
(2,	82,	'',	''),
(2,	83,	'',	''),
(2,	84,	'',	''),
(2,	85,	'',	''),
(2,	86,	'',	''),
(2,	87,	'',	''),
(2,	88,	'',	''),
(2,	89,	'',	''),
(2,	90,	'',	''),
(2,	91,	'',	''),
(2,	92,	'',	''),
(2,	93,	'',	''),
(2,	94,	'',	''),
(2,	95,	'',	''),
(2,	96,	'',	''),
(2,	97,	'',	''),
(2,	98,	'',	''),
(2,	99,	'',	''),
(2,	100,	'',	''),
(2,	101,	'',	''),
(2,	102,	'',	''),
(2,	103,	'',	''),
(2,	104,	'',	''),
(2,	105,	'',	''),
(2,	106,	'',	''),
(2,	107,	'',	''),
(2,	108,	'',	''),
(2,	109,	'',	''),
(2,	110,	'',	''),
(2,	111,	'',	''),
(2,	112,	'',	''),
(2,	113,	'',	''),
(2,	114,	'',	''),
(2,	115,	'',	''),
(2,	116,	'',	'кг'),
(2,	117,	'',	'кг'),
(2,	118,	'',	'кг'),
(2,	119,	'',	'кг'),
(2,	120,	'',	'кг'),
(2,	121,	'',	'кг'),
(2,	122,	'',	'кг'),
(2,	123,	'',	'кг'),
(2,	124,	'',	''),
(2,	125,	'',	'кг'),
(2,	126,	'',	''),
(2,	127,	'',	''),
(2,	128,	'',	''),
(2,	129,	'',	''),
(2,	130,	'',	''),
(2,	131,	'',	''),
(2,	132,	'',	''),
(2,	133,	'',	''),
(2,	134,	'',	''),
(2,	135,	'',	''),
(2,	136,	'',	''),
(2,	137,	'',	''),
(2,	138,	'',	''),
(2,	139,	'',	''),
(2,	140,	'',	''),
(2,	141,	'',	''),
(2,	142,	'',	''),
(2,	143,	'Dora Dora',	''),
(2,	144,	'Тачки',	''),
(2,	145,	'',	''),
(2,	148,	'',	''),
(2,	149,	'',	''),
(2,	150,	'Бежевый',	''),
(2,	151,	'Белый',	''),
(2,	152,	'Оранжевый',	''),
(2,	153,	'Бирюзовый',	''),
(2,	154,	'Бежевый',	''),
(2,	155,	'Белый',	''),
(2,	156,	'Оранжевый',	''),
(2,	157,	'Бирюзовый',	''),
(2,	158,	'Белый',	''),
(2,	159,	'Бежевый',	''),
(2,	160,	'Оранжевый',	''),
(2,	161,	'Бирюзовый',	''),
(2,	162,	'Оранжевый',	''),
(2,	163,	'Белый',	''),
(2,	164,	'Бежевый',	''),
(2,	165,	'Бирюзовый',	''),
(2,	166,	'Бирюзовый',	''),
(2,	174,	'47L x 104W x 33.5H',	''),
(2,	175,	'65.5L x 89.5W x 25.5H',	''),
(2,	176,	'89L x 69.5W x 28.5H',	''),
(2,	177,	'47L x 104W x 33.5H',	''),
(2,	178,	'65.5L x 89.5W x 25.5H',	''),
(2,	179,	'89L x 69.5W x 28.5H',	''),
(2,	180,	'65.5L x 89.5W x 25.5H',	''),
(2,	181,	'47L x 104W x 33.5H',	''),
(2,	182,	'89L x 69.5W x 28.5H',	''),
(2,	183,	'89L x 69.5W x 28.5H',	''),
(2,	184,	'65.5L x 89.5W x 25.5H',	''),
(2,	186,	'',	''),
(2,	187,	'',	''),
(2,	188,	'',	''),
(2,	189,	'',	''),
(2,	190,	'',	''),
(2,	191,	'Красный',	''),
(2,	192,	'Синий',	''),
(2,	193,	'Коричневый',	''),
(2,	194,	'Коричневый',	''),
(2,	195,	'',	''),
(2,	196,	'Красный',	''),
(2,	197,	'Синий',	''),
(2,	198,	'Красный',	''),
(2,	199,	'Коричневый',	''),
(2,	200,	'',	''),
(2,	201,	'Синий',	''),
(2,	202,	'Синий',	''),
(2,	203,	'Красный',	''),
(2,	204,	'Коричневый',	''),
(2,	205,	'',	''),
(2,	206,	'',	''),
(2,	207,	'',	''),
(2,	208,	'',	''),
(2,	209,	'',	''),
(2,	210,	'',	''),
(2,	211,	'',	''),
(2,	212,	'',	''),
(2,	213,	'',	''),
(2,	214,	'',	''),
(2,	215,	'',	''),
(2,	216,	'',	''),
(2,	217,	'',	''),
(2,	218,	'',	''),
(2,	219,	'',	''),
(2,	220,	'',	''),
(2,	221,	'',	''),
(2,	222,	'',	''),
(2,	223,	'',	''),
(2,	224,	'',	''),
(2,	225,	'',	''),
(2,	226,	'',	''),
(2,	227,	'',	''),
(2,	229,	'',	''),
(2,	230,	'',	''),
(2,	231,	'',	''),
(2,	232,	'',	''),
(2,	233,	'',	''),
(2,	234,	'',	''),
(2,	235,	'',	''),
(2,	236,	'',	''),
(2,	237,	'',	''),
(2,	238,	'',	''),
(2,	239,	'',	''),
(2,	240,	'',	''),
(2,	241,	'',	''),
(2,	242,	'',	''),
(2,	243,	'',	''),
(2,	244,	'',	''),
(2,	245,	'',	''),
(2,	246,	'',	''),
(2,	247,	'',	''),
(2,	248,	'',	''),
(2,	249,	'16 дюймов  — 155-166 см',	''),
(2,	250,	'18 дюймов  — 165-180 см',	''),
(2,	251,	'20 дюймов  — 175-190 см',	''),
(2,	252,	'22 дюйма  — 187-200 см',	''),
(2,	253,	'17 дюймов  — 160-175 см',	''),
(2,	254,	'Белый',	''),
(2,	255,	'Красный',	''),
(2,	256,	'',	''),
(2,	257,	'',	''),
(2,	258,	'',	''),
(2,	259,	'',	''),
(2,	260,	'',	''),
(2,	261,	'',	''),
(2,	262,	'',	''),
(2,	263,	'',	''),
(2,	264,	'',	''),
(2,	265,	'',	''),
(2,	266,	'',	''),
(2,	267,	'16 дюймов  — 155-166 см',	''),
(2,	271,	'',	''),
(2,	272,	'',	''),
(2,	273,	'',	''),
(2,	274,	'Чёерный',	''),
(2,	275,	'',	''),
(2,	277,	'',	''),
(2,	278,	'',	''),
(2,	279,	'',	''),
(2,	280,	'',	''),
(2,	281,	'',	''),
(2,	282,	'',	''),
(2,	283,	'',	''),
(2,	284,	'Оранжевый',	''),
(2,	285,	'Белый',	''),
(2,	286,	'Бежевый',	''),
(2,	287,	'',	''),
(2,	288,	'синий',	''),
(2,	289,	'красный',	''),
(3,	1,	'',	''),
(3,	2,	'',	''),
(3,	3,	'',	''),
(3,	4,	'',	''),
(3,	5,	'',	''),
(3,	6,	'',	''),
(3,	7,	'',	''),
(3,	8,	'',	''),
(3,	9,	'',	''),
(3,	10,	'',	''),
(3,	11,	'',	''),
(3,	12,	'',	''),
(3,	13,	'',	''),
(3,	14,	'',	''),
(3,	15,	'',	''),
(3,	16,	'',	''),
(3,	17,	'',	''),
(3,	18,	'',	''),
(3,	19,	'',	''),
(3,	20,	'',	''),
(3,	21,	'',	''),
(3,	22,	'',	''),
(3,	23,	'Красный',	''),
(3,	24,	'Серый',	''),
(3,	25,	'',	''),
(3,	26,	'',	''),
(3,	27,	'',	''),
(3,	28,	'В наличии',	''),
(3,	29,	'',	''),
(3,	30,	'',	''),
(3,	31,	'',	''),
(3,	32,	'В наличии',	''),
(3,	33,	'Под заказ',	''),
(3,	34,	'В наличии',	''),
(3,	35,	'В наличии',	''),
(3,	38,	'Под заказ',	''),
(3,	39,	'Из наличия',	''),
(3,	40,	'Под заказ',	''),
(3,	41,	'В наличии',	''),
(3,	42,	'',	''),
(3,	43,	'В наличии',	''),
(3,	44,	'В наличии',	''),
(3,	45,	'В наличии',	''),
(3,	46,	'',	''),
(3,	47,	'В наличии',	''),
(3,	48,	'',	''),
(3,	49,	'',	''),
(3,	50,	'В наличии',	''),
(3,	51,	'',	''),
(3,	52,	'',	''),
(3,	53,	'',	''),
(3,	54,	'',	''),
(3,	55,	'',	''),
(3,	56,	'',	''),
(3,	57,	'',	''),
(3,	58,	'',	''),
(3,	59,	'',	''),
(3,	60,	'',	''),
(3,	61,	'',	''),
(3,	62,	'',	''),
(3,	63,	'',	''),
(3,	64,	'',	''),
(3,	65,	'',	''),
(3,	66,	'',	''),
(3,	67,	'',	''),
(3,	68,	'',	''),
(3,	69,	'',	''),
(3,	70,	'',	''),
(3,	71,	'',	''),
(3,	72,	'',	''),
(3,	73,	'',	''),
(3,	74,	'',	''),
(3,	75,	'',	''),
(3,	76,	'',	''),
(3,	77,	'',	''),
(3,	78,	'',	''),
(3,	79,	'',	''),
(3,	80,	'',	''),
(3,	81,	'',	''),
(3,	82,	'',	''),
(3,	83,	'',	''),
(3,	84,	'',	''),
(3,	85,	'',	''),
(3,	86,	'',	''),
(3,	87,	'',	''),
(3,	88,	'',	''),
(3,	89,	'',	''),
(3,	90,	'',	''),
(3,	91,	'',	''),
(3,	92,	'',	''),
(3,	93,	'',	''),
(3,	94,	'',	''),
(3,	95,	'',	''),
(3,	96,	'',	''),
(3,	97,	'',	''),
(3,	98,	'',	''),
(3,	99,	'',	''),
(3,	100,	'',	''),
(3,	101,	'',	''),
(3,	102,	'',	''),
(3,	103,	'',	''),
(3,	104,	'',	''),
(3,	105,	'',	''),
(3,	106,	'',	''),
(3,	107,	'',	''),
(3,	108,	'',	''),
(3,	109,	'',	''),
(3,	110,	'',	''),
(3,	111,	'',	''),
(3,	112,	'',	''),
(3,	113,	'',	''),
(3,	114,	'',	''),
(3,	115,	'',	''),
(3,	116,	'',	'кг'),
(3,	117,	'',	'кг'),
(3,	118,	'',	'кг'),
(3,	119,	'',	'кг'),
(3,	120,	'',	'кг'),
(3,	121,	'',	'кг'),
(3,	122,	'',	'кг'),
(3,	123,	'',	'кг'),
(3,	124,	'',	''),
(3,	125,	'',	'кг'),
(3,	126,	'',	''),
(3,	127,	'',	''),
(3,	128,	'',	''),
(3,	129,	'',	''),
(3,	130,	'',	''),
(3,	131,	'',	''),
(3,	132,	'',	''),
(3,	133,	'',	''),
(3,	134,	'',	''),
(3,	135,	'',	''),
(3,	136,	'',	''),
(3,	137,	'',	''),
(3,	138,	'',	''),
(3,	139,	'',	''),
(3,	140,	'',	''),
(3,	141,	'',	''),
(3,	142,	'',	''),
(3,	143,	'Dora Dora',	''),
(3,	144,	'Тачки',	''),
(3,	145,	'',	''),
(3,	148,	'',	''),
(3,	149,	'',	''),
(3,	150,	'Бежевый',	''),
(3,	151,	'Белый',	''),
(3,	152,	'Оранжевый',	''),
(3,	153,	'Бирюзовый',	''),
(3,	154,	'Бежевый',	''),
(3,	155,	'Белый',	''),
(3,	156,	'Оранжевый',	''),
(3,	157,	'Бирюзовый',	''),
(3,	158,	'Белый',	''),
(3,	159,	'Бежевый',	''),
(3,	160,	'Оранжевый',	''),
(3,	161,	'Бирюзовый',	''),
(3,	162,	'Оранжевый',	''),
(3,	163,	'Белый',	''),
(3,	164,	'Бежевый',	''),
(3,	165,	'Бирюзовый',	''),
(3,	166,	'Бирюзовый',	''),
(3,	174,	'47L x 104W x 33.5H',	''),
(3,	175,	'65.5L x 89.5W x 25.5H',	''),
(3,	176,	'89L x 69.5W x 28.5H',	''),
(3,	177,	'47L x 104W x 33.5H',	''),
(3,	178,	'65.5L x 89.5W x 25.5H',	''),
(3,	179,	'89L x 69.5W x 28.5H',	''),
(3,	180,	'65.5L x 89.5W x 25.5H',	''),
(3,	181,	'47L x 104W x 33.5H',	''),
(3,	182,	'89L x 69.5W x 28.5H',	''),
(3,	183,	'89L x 69.5W x 28.5H',	''),
(3,	184,	'65.5L x 89.5W x 25.5H',	''),
(3,	186,	'',	''),
(3,	187,	'',	''),
(3,	188,	'',	''),
(3,	189,	'',	''),
(3,	190,	'',	''),
(3,	191,	'Красный',	''),
(3,	192,	'Синий',	''),
(3,	193,	'Коричневый',	''),
(3,	194,	'Коричневый',	''),
(3,	195,	'',	''),
(3,	196,	'Красный',	''),
(3,	197,	'Синий',	''),
(3,	198,	'Красный',	''),
(3,	199,	'Коричневый',	''),
(3,	200,	'',	''),
(3,	201,	'Синий',	''),
(3,	202,	'Синий',	''),
(3,	203,	'Красный',	''),
(3,	204,	'Коричневый',	''),
(3,	205,	'',	''),
(3,	206,	'',	''),
(3,	207,	'',	''),
(3,	208,	'',	''),
(3,	209,	'',	''),
(3,	210,	'',	''),
(3,	211,	'',	''),
(3,	212,	'',	''),
(3,	213,	'',	''),
(3,	214,	'',	''),
(3,	215,	'',	''),
(3,	216,	'',	''),
(3,	217,	'',	''),
(3,	218,	'',	''),
(3,	219,	'',	''),
(3,	220,	'',	''),
(3,	221,	'',	''),
(3,	222,	'',	''),
(3,	223,	'',	''),
(3,	224,	'',	''),
(3,	225,	'',	''),
(3,	226,	'',	''),
(3,	227,	'',	''),
(3,	229,	'',	''),
(3,	230,	'',	''),
(3,	231,	'',	''),
(3,	232,	'',	''),
(3,	233,	'',	''),
(3,	234,	'',	''),
(3,	235,	'',	''),
(3,	236,	'',	''),
(3,	237,	'',	''),
(3,	238,	'',	''),
(3,	239,	'',	''),
(3,	240,	'',	''),
(3,	241,	'',	''),
(3,	242,	'',	''),
(3,	243,	'',	''),
(3,	244,	'',	''),
(3,	245,	'',	''),
(3,	246,	'',	''),
(3,	247,	'',	''),
(3,	248,	'',	''),
(3,	249,	'16 дюймов  — 155-166 см',	''),
(3,	250,	'18 дюймов  — 165-180 см',	''),
(3,	251,	'20 дюймов  — 175-190 см',	''),
(3,	252,	'22 дюйма  — 187-200 см',	''),
(3,	253,	'17 дюймов  — 160-175 см',	''),
(3,	254,	'Белый',	''),
(3,	255,	'Красный',	''),
(3,	256,	'',	''),
(3,	257,	'',	''),
(3,	258,	'',	''),
(3,	259,	'',	''),
(3,	260,	'',	''),
(3,	261,	'',	''),
(3,	262,	'',	''),
(3,	263,	'',	''),
(3,	264,	'',	''),
(3,	265,	'',	''),
(3,	266,	'',	''),
(3,	267,	'16 дюймов  — 155-166 см',	''),
(3,	271,	'',	''),
(3,	272,	'',	''),
(3,	273,	'',	''),
(3,	274,	'Чёерный',	''),
(3,	275,	'',	''),
(3,	277,	'',	''),
(3,	278,	'',	''),
(3,	279,	'',	''),
(3,	280,	'',	''),
(3,	281,	'',	''),
(3,	282,	'',	''),
(3,	283,	'',	''),
(3,	284,	'Оранжевый',	''),
(3,	285,	'Белый',	''),
(3,	286,	'Бежевый',	''),
(3,	287,	'',	''),
(3,	288,	'синий',	''),
(3,	289,	'красный',	'');

DROP TABLE IF EXISTS `ok_lessons`;
CREATE TABLE `ok_lessons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `preview` varchar(255) DEFAULT NULL,
  `video` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `button` varchar(255) DEFAULT NULL,
  `target_module` varchar(255) DEFAULT NULL,
  `done` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `ok_lessons` (`id`, `preview`, `video`, `title`, `description`, `button`, `target_module`, `done`) VALUES
(1,	'https://img.youtube.com/vi/Ud_B0XGcLFI/mqdefault.jpg',	'https://www.youtube.com/embed/Ud_B0XGcLFI',	'Добавление категорий',	'Категории используются для построения правильной структуры сайта. Старайтесь не допускать категорий со слишком большим количеством товаров, но и не делать категории в которых будет до десяти товаров.',	'Каталог',	'CategoriesAdmin',	NULL),
(2,	'https://img.youtube.com/vi/pAr5CkadzMA/mqdefault.jpg',	'https://www.youtube.com/embed/pAr5CkadzMA',	'Добавление бренда',	'Бренды используются в фильтре в категориях товаров. Также они важны для покупателей, которые опираются на бренд при выборе товара.',	'Каталог',	'BrandsAdmin',	NULL),
(3,	'',	'',	'Добавление свойства',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Каталог',	'FeaturesAdmin',	NULL),
(4,	'https://img.youtube.com/vi/X4B2IkQwI5g/mqdefault.jpg',	'https://www.youtube.com/embed/X4B2IkQwI5g',	'Добавление товара',	'Чем качественнее будет заполнена информация о товаре, тем больше шансов что клиент остановит свой поиск именно у вас. Обязательно укажите в товаре его фото и основные характеристики.',	'Каталог',	'ProductsAdmin',	NULL),
(5,	'',	'',	'Управление заказами',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Заказы',	'OrdersAdmin',	NULL),
(6,	'',	'',	'Добавление статьи в блог',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'Блог',	'BlogAdmin',	NULL),
(7,	'https://img.youtube.com/vi/PH6zFFSmU3Q/mqdefault.jpg',	'https://www.youtube.com/embed/PH6zFFSmU3Q',	'Настройка отправки уведомлений',	'Настройте отправку уведомлений с сайта, укажите эмейл администратора и прочие настройки писем на этой странице.',	'Настройки сайта',	'SettingsNotifyAdmin',	NULL),
(8,	'https://img.youtube.com/vi/W67M4W5uJr4/mqdefault.jpg',	'https://www.youtube.com/embed/W67M4W5uJr4',	'Настройка каталога',	'Задайте водяной знак, настройте работу с товарами не в наличии и сделайте прочие настройки каталога на этой странице.',	'Настройки сайта',	'SettingsCatalogAdmin',	NULL),
(9,	'https://img.youtube.com/vi/ccq4Plnqz9M/mqdefault.jpg',	'https://www.youtube.com/embed/ccq4Plnqz9M',	'Настройка валюты',	'Укажите валюту вашей страны основной на сайте. Если же вы используете несколько валют для формирования цен товаров, укажите соответствующие курсы валют в админ. панели.',	'Настройки сайта',	'CurrencyAdmin',	NULL),
(10,	'https://img.youtube.com/vi/R-VNpOHnk7w/mqdefault.jpg',	'https://www.youtube.com/embed/R-VNpOHnk7w',	'Добавление способа доставки',	'Выбор способов доставки важен для клиентов при оформлении заказа. Некоторые клиенты отказываются от оформления заказа не увидев подходящий вариант доставки. Постарайтесь добавить самые популярные способы доставки на ваш сайт.',	'Настройки сайта',	'DeliveriesAdmin',	NULL),
(11,	'https://img.youtube.com/vi/CgDtgLfJnCY/mqdefault.jpg',	'https://www.youtube.com/embed/CgDtgLfJnCY',	'Добавление способа оплаты',	'Всё больше клиентов готовы оплатить заказ сразу после оформление. Предоставьте им такую возможность подключив интеграцию с платежной системой на ваш сайт.',	'Настройки сайта',	'PaymentMethodsAdmin',	NULL),
(12,	'',	'',	'SEO товаров',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',	'SEO',	'SeoPatternsAdmin',	NULL);

DROP TABLE IF EXISTS `ok_managers`;
CREATE TABLE `ok_managers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lang` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ru',
  `login` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` varchar(1024) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cnt_try` tinyint(4) NOT NULL DEFAULT '0',
  `last_try` date DEFAULT NULL,
  `comment` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `menu_status` tinyint(1) NOT NULL DEFAULT '1',
  `menu` mediumtext COLLATE utf8mb4_unicode_ci,
  `last_activity` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `login` (`login`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_managers` (`id`, `lang`, `login`, `password`, `permissions`, `cnt_try`, `last_try`, `comment`, `menu_status`, `menu`, `last_activity`) VALUES
(1,	'ru',	'admin',	'$apr1$8m1u0cp4$MYUZf5fVcidsoTaFb0P9P1',	NULL,	0,	NULL,	'',	1,	NULL,	'2019-10-24 13:42:39');

DROP TABLE IF EXISTS `ok_menu`;
CREATE TABLE `ok_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `visible` (`visible`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_menu` (`id`, `group_id`, `name`, `visible`, `position`) VALUES
(1,	'header',	'Главное меню',	1,	1),
(2,	'404',	'Меню на странице 404',	1,	2),
(3,	'footer',	'Меню в footer',	1,	3),
(4,	'mobile',	'Меню на мобильном',	1,	4);

DROP TABLE IF EXISTS `ok_menu_items`;
CREATE TABLE `ok_menu_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_id` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `is_target_blank` tinyint(1) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `menu_id` (`menu_id`),
  KEY `parent_id` (`parent_id`),
  KEY `visible` (`visible`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_menu_items` (`id`, `menu_id`, `parent_id`, `name`, `url`, `is_target_blank`, `visible`, `position`) VALUES
(2,	1,	0,	'Доставка',	'dostavka',	0,	1,	8),
(3,	1,	8,	'Новости',	'news',	0,	1,	24),
(4,	1,	0,	'Главная',	'/',	1,	1,	2),
(8,	1,	0,	'Блог',	'',	0,	1,	3),
(9,	1,	8,	'Статьи',	'blog',	0,	1,	25),
(11,	2,	0,	'Контакты',	'contact',	0,	1,	15),
(12,	2,	0,	'Бренды',	'brands',	0,	1,	12),
(13,	2,	0,	'Статьи',	'blog',	0,	1,	13),
(14,	2,	0,	'Новости',	'news',	0,	1,	14),
(15,	2,	0,	'Главная',	'/',	0,	1,	11),
(16,	3,	0,	'Контакты',	'contact',	0,	1,	20),
(17,	3,	0,	'Оплата',	'oplata',	0,	1,	19),
(18,	3,	0,	'Доставка',	'dostavka',	0,	1,	18),
(19,	3,	0,	'Частые вопросы',	'faq',	0,	1,	17),
(20,	3,	0,	'Статьи',	'blog',	0,	1,	16),
(22,	1,	0,	'Оплата',	'oplata',	0,	1,	9),
(23,	1,	0,	'Бренды',	'brands',	0,	1,	4),
(24,	1,	0,	'Контакты',	'contact',	0,	1,	22),
(25,	1,	0,	'Акции',	'discounted',	0,	1,	23),
(26,	4,	0,	'Блог',	'',	0,	1,	26),
(27,	4,	0,	'Бренды',	'brands',	0,	1,	29),
(28,	4,	0,	'Клиентам',	'',	0,	1,	27),
(29,	4,	0,	'Контакты',	'contact',	0,	1,	30),
(30,	4,	26,	'Новости',	'news',	0,	1,	31),
(31,	4,	26,	'Статьи',	'blog',	0,	1,	32),
(32,	4,	28,	'Доставка',	'dostavka',	0,	1,	33),
(33,	4,	28,	'Оплата',	'oplata',	0,	1,	34),
(34,	4,	0,	'Акции',	'discounted',	0,	1,	28),
(35,	3,	0,	'Политика конфиденцальности',	'politika-konfidentsalnosti',	1,	1,	35);

DROP TABLE IF EXISTS `ok_modules`;
CREATE TABLE `ok_modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vendor` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `module_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `enabled` tinyint(4) DEFAULT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `backend_main_controller` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `system` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_modules` (`id`, `vendor`, `module_name`, `position`, `enabled`, `type`, `backend_main_controller`, `system`) VALUES
(1,	'OkayCMS',	'Integration1C',	1,	1,	NULL,	'Description1CAdmin',	NULL),
(3,	'OkayCMS',	'LiqPay',	3,	1,	'payment',	'DescriptionAdmin',	NULL),
(4,	'OkayCMS',	'Rozetka',	4,	1,	'xml',	'RozetkaXmlAdmin',	NULL),
(5,	'OkayCMS',	'WayForPay',	5,	1,	'payment',	'DescriptionAdmin',	NULL),
(6,	'OkayCMS',	'YandexXMLVendorModel',	6,	1,	'xml',	'YandexXmlAdmin',	NULL),
(7,	'OkayCMS',	'YandexXML',	7,	1,	'xml',	'YandexXmlAdmin',	NULL),
(8,	'OkayCMS',	'GoogleMerchant',	8,	1,	'xml',	'GoogleMerchantAdmin',	NULL),
(9,	'OkayCMS',	'YandexMoneyApi',	9,	1,	'payment',	'DescriptionAdmin',	NULL),
(10,	'OkayCMS',	'PayKeeper',	10,	1,	'payment',	'DescriptionAdmin',	NULL),
(11,	'OkayCMS',	'FAQ',	11,	1,	NULL,	'FAQsAdmin',	NULL),
(12,	'OkayCMS',	'NovaposhtaCost',	12,	1,	'delivery',	'NovaposhtaCostAdmin',	NULL),
(13,	'OkayCMS',	'Banners',	13,	1,	NULL,	'BannersAdmin',	NULL),
(14,	'OkayCMS',	'FastOrder',	14,	1,	NULL,	'DescriptionAdmin',	NULL),
(15,	'OkayCMS',	'Hotline',	15,	1,	NULL,	'HotlineAdmin',	NULL),
(16,	'OkayCMS',	'AdminGuide',	16,	1,	NULL,	'AdminGuideAdmin',	NULL);

DROP TABLE IF EXISTS `ok_okaycms__banners`;
CREATE TABLE `ok_okaycms__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` int(11) DEFAULT '0',
  `visible` tinyint(1) DEFAULT '1',
  `show_all_pages` tinyint(1) DEFAULT '1',
  `show_all_products` tinyint(1) DEFAULT '0',
  `categories` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `pages` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `brands` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `individual_shortcode` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `position` (`position`),
  KEY `visible` (`visible`),
  KEY `show_all_pages` (`show_all_pages`),
  KEY `show_all_products` (`show_all_products`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_okaycms__banners` (`id`, `name`, `group_name`, `position`, `visible`, `show_all_pages`, `show_all_products`, `categories`, `pages`, `brands`, `individual_shortcode`, `settings`) VALUES
(1,	'Home banners',	'group_1',	1,	1,	0,	0,	'0',	'0,1',	'0',	'',	'a:6:{s:9:\"as_slider\";s:1:\"1\";s:8:\"autoplay\";s:1:\"1\";s:4:\"loop\";s:1:\"1\";s:3:\"nav\";s:1:\"1\";s:4:\"dots\";s:1:\"1\";s:14:\"rotation_speed\";s:4:\"3500\";}');

DROP TABLE IF EXISTS `ok_okaycms__banners_images`;
CREATE TABLE `ok_okaycms__banners_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `banner_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alt` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) DEFAULT '0',
  `visible` tinyint(1) DEFAULT '1',
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `banner_id` (`banner_id`),
  KEY `position` (`position`),
  KEY `visible` (`visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_okaycms__banners_images` (`id`, `banner_id`, `name`, `alt`, `title`, `url`, `description`, `image`, `position`, `visible`, `settings`) VALUES
(1,	1,	'variant1',	'Коллекция техники LG',	'Коллекция техники LG',	'catalog/tehnika-dlya-doma',	'',	'lg_banner.jpg',	4,	1,	'a:3:{s:12:\"variant_show\";s:7:\"default\";s:7:\"desktop\";a:2:{s:1:\"w\";s:4:\"1067\";s:1:\"h\";s:3:\"400\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:0:\"\";s:1:\"h\";s:0:\"\";}}'),
(2,	1,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Легкость, стиль и простота в каждом образе',	'tshirts_banner.jpg',	3,	1,	'a:3:{s:12:\"variant_show\";s:4:\"dark\";s:7:\"desktop\";a:2:{s:1:\"w\";s:4:\"1067\";s:1:\"h\";s:3:\"400\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:0:\"\";s:1:\"h\";s:0:\"\";}}'),
(3,	1,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon™ 855<br>\r\n6.39 \" AMOLED -екран<br>\r\n48 Мп потрійна основна камера з AI<br>\r\n20 Мп висувна селфі-камера',	'xiaomi_banner.png',	2,	1,	'a:3:{s:12:\"variant_show\";s:10:\"image_left\";s:7:\"desktop\";a:2:{s:1:\"w\";s:3:\"400\";s:1:\"h\";s:3:\"350\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:0:\"\";s:1:\"h\";s:0:\"\";}}'),
(4,	1,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'При покупке игровой консоли PlayStation 4 PRO 1ТБ получите в подарок FIFA 20',	'ps4_banner.jpg',	1,	1,	'a:3:{s:12:\"variant_show\";s:11:\"image_right\";s:7:\"desktop\";a:2:{s:1:\"w\";s:3:\"400\";s:1:\"h\";s:3:\"350\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:3:\"500\";s:1:\"h\";s:3:\"320\";}}');

DROP TABLE IF EXISTS `ok_okaycms__faq__faq`;
CREATE TABLE `ok_okaycms__faq__faq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `question` text NOT NULL,
  `answer` text,
  `visible` tinyint(1) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `ok_okaycms__faq__faq` (`id`, `question`, `answer`, `visible`, `position`) VALUES
(1,	'ЧТО ДЕЛАТЬ, ЕСЛИ ТОВАР НЕ ПОДОШЕЛ ПО ФОРМЕ, ЦВЕТУ ИЛИ РАЗМЕРУ И ДРУГИЕ ПРИЧИНЫ?',	'<p>В течение 14 дней от даты приобретения товара (не считая дату покупки) - Вы можете товар, который не использовался, сохранен товарный вид и потребительские свойства, и отсутствует в перечне товаров, не подлежащих обмену или возврату: Обменять на аналогичный без пересчета стоимости Обменять на любой другой с соответствующим перерасчетом стоимости Вернуть и получить уплаченные за него денежные средства Как оценить сохранность товарного вида: При хорошем освещении, без применения специальных средств, на товаре не должно быть видимых следов пользования в виде мелких царапин, потертостей, а тем более сколов, вмятин или трещин. Проще всего оценить сохранен ли товарный вид, ответив себе на вопрос: &laquo;Купил бы я этот товар в таком виде, как новый?\"</p>',	1,	1),
(2,	'КАКОЙ ГАРАНТИЙНЫЙ СРОК У МОЕГО ТОВАРА?',	'<p>Гарантийный срок товара исчисляется со дня его продажи. Он обычно указан в эксплуатационном документе на товар (гарантийном талоне, техническом паспорте, этикетке или в другом документе, прилагаемом к товару). &nbsp;На сайте производителя Вашего товара</p>',	1,	2),
(3,	'Осуществляете ли Вы доставку до квартиры и подъем на этаж?',	'<p>Пожалуйста, обратите внимание, что адресная доставка осуществляется до входа в здание.<br />Товары из раздела &laquo;Бытовая техника и интерьер&raquo;, крупногабаритные товары из разделов \"Фитнес\", и \"Детский мир\" (тренажеры, детские кроватки, детская мебель, матрасы и т. д.)доставляются до квартиры.<br />Стоимость ручного заноса в квартиру зависит от: габаритов техники, сложности подъема и наличия лифта (куда товар помещается в упаковке).</p>',	1,	3),
(4,	'Возможно ли купить товар в рассрочку?',	'<p>К сожалению, в данный момент возможности приобретать товары в рассрочку нет.<br />Вы можете оформить заказ на интересующий Вас товар, доступный у нас на сайте, в кредит<br />Также, если Вы являетесь клиентом ПриватБанка, мы можем предложить Вам рассмотреть вариант оформления заказа с помощью услуг &laquo;Мгновенная рассрочка&raquo; и &laquo;Оплата частями&raquo;</p>',	1,	4);

DROP TABLE IF EXISTS `ok_okaycms__np_cities`;
CREATE TABLE `ok_okaycms__np_cities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ref` (`ref`),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_okaycms__np_cities` (`id`, `ref`, `name`) VALUES
(1,	'fc5f1e3c-928e-11e9-898c-005056b24375',	'Абазовка (Полтавский р-н, Полтавская обл)'),
(2,	'8e1718f5-1972-11e5-add9-005056887b8d',	'Авангард'),
(3,	'93edc540-9e41-11e9-898c-005056b24375',	'Августиновка'),
(4,	'9523ea02-7302-11e9-898c-005056b24375',	'Августовка'),
(5,	'a9522a7e-eaf5-11e7-ba66-005056b2fc3d',	'Авдеевка (Донецкая обл.)'),
(6,	'e3f238f7-5a94-11e9-a703-005056b24375',	'Авдеевка (Сосницкий р-н., Черниговская обл.)'),
(7,	'0c134e58-1ab1-11ea-8c15-0025b502a06e',	'Авиагородок'),
(8,	'd30a9675-7404-11e5-8d8d-005056887b8d',	'Авиаторское'),
(9,	'f384f3bf-b7a7-11e9-8c22-005056b24375',	'Агайманы'),
(10,	'ebc0eda9-93ec-11e3-b441-0050568002cf',	'Агрономичное'),
(11,	'f17dc676-cf44-11e9-b0c5-005056b24375',	'Агрономия'),
(12,	'67094bdd-9e45-11e9-898c-005056b24375',	'Адамполь'),
(13,	'cc4ca497-d3ce-11e5-8478-005056887b8d',	'Аджамка'),
(14,	'c1079228-76f9-11e9-898c-005056b24375',	'Азовское'),
(15,	'd30282f8-feee-11e9-91ff-0025b501a04b',	'Азовское (Запорожская обл.)'),
(16,	'b7b9cd41-aa02-11e9-b73a-005056b24375',	'Алтыновка'),
(17,	'06f8796e-4079-11de-b509-001d92f78698',	'Ананьев'),
(18,	'2250416b-b7a5-11e9-8c22-005056b24375',	'Ананьев (Первый) (Одесская обл., Ананьевский р-н)'),
(19,	'd4f405a2-64d0-11e9-898c-005056b24375',	'Ангелиновка'),
(20,	'125bfa12-dadf-11e9-b48a-005056b24375',	'Андреевичи'),
(21,	'a9280688-94c0-11e3-b441-0050568002cf',	'Андреевка (Балаклейский р-н)'),
(22,	'f4890a83-8344-11df-884b-000c290fbeaa',	'Андреевка (Бердянский р-н)'),
(23,	'354a1d2a-14fd-11e9-ad0d-005056b24375',	'Андреевка (Великоновоселковский р-н)'),
(24,	'd4f4058d-64d0-11e9-898c-005056b24375',	'Андреевка (Волноваский р-н., Донецкая обл.)'),
(25,	'5dfe2ff5-b78e-11e9-8c22-005056b24375',	'Андреевка (Днепропетровская обл.)'),
(26,	'809623cf-8841-11e9-898c-005056b24375',	'Андреевка (Донецкая обл. Славянский р-н)'),
(27,	'33ab7ee7-9e33-11e9-898c-005056b24375',	'Андреевка (Киевская обл.)'),
(28,	'd25db9eb-1ab0-11ea-8c15-0025b502a06e',	'Андреевка (поселок городского типа)'),
(29,	'69da41c3-3f5d-11de-b509-001d92f78698',	'Андрушевка'),
(30,	'f0a49fe9-399e-11e9-acea-005056b24375',	'Антоновка (Владимирецкого р-н, Ровненской обл.)'),
(31,	'6980acc8-0c93-11ea-8c15-0025b502a06e',	'Антоновка (Запорожская обл.)'),
(32,	'7a37735c-b7a2-11e9-8c22-005056b24375',	'Антоновка (Киевская обл.)'),
(33,	'4e71db12-e5e9-11e9-b48a-005056b24375',	'Антоновцы'),
(34,	'96b8d7a4-be42-11e3-9fa0-0050568002cf',	'Антонины'),
(35,	'd8264383-64d2-11e9-898c-005056b24375',	'Антополь'),
(36,	'706aff9e-7d68-11e9-898c-005056b24375',	'Анциполовка'),
(37,	'f88729c3-76ee-11e9-898c-005056b24375',	'Аполлоновка'),
(38,	'f7062316-4078-11de-b509-001d92f78698',	'Апостолово'),
(39,	'1e13e8c8-76fc-11e9-898c-005056b24375',	'Араповичи'),
(40,	'06f8795c-4079-11de-b509-001d92f78698',	'Арбузинка'),
(41,	'3e1f3199-b7be-11e9-8c22-005056b24375',	'Аркадиевка '),
(42,	'8ce45db6-e677-11e9-b48a-005056b24375',	'Артема'),
(43,	'c999c0c1-4694-11ea-b89e-0025b501a04b',	'Архангельская Слобода'),
(44,	'acd15015-8876-11e9-898c-005056b24375',	'Архангельское'),
(45,	'cdf45ea7-9e36-11e9-898c-005056b24375',	'Архиповка '),
(46,	'000655ea-4079-11de-b509-001d92f78698',	'Арциз'),
(47,	'196f4f05-8868-11e9-898c-005056b24375',	'Асеевка'),
(48,	'2b4f7c98-c984-11e4-a77a-005056887b8d',	'Аскания-Нова'),
(49,	'8724da65-e5df-11e9-b48a-005056b24375',	'Астраханка'),
(50,	'b3d56c39-feee-11e9-91ff-0025b501a04b',	'Атманай'),
(51,	'a5206c01-b435-11e3-9fa0-0050568002cf',	'Атюша'),
(52,	'abbc5062-a7a6-11e9-b73a-005056b24375',	'Африкановка'),
(53,	'0a83d21d-e133-11e5-899e-005056887b8d',	'Бабаи'),
(54,	'e7c1ae0c-883f-11e9-898c-005056b24375',	'Бабайковка'),
(55,	'41934c38-40f4-11e5-8d8d-005056887b8d',	'Бабанка'),
(56,	'907f47db-64d0-11e9-898c-005056b24375',	'Бабах-Тарама'),
(57,	'f948e14a-8830-11e9-898c-005056b24375',	'Бабин (Кельменецький р-н)'),
(58,	'1c7bc460-76f8-11e9-898c-005056b24375',	'Бабин (Ровенская обл.)'),
(59,	'6f893fd3-dab6-11e9-b48a-005056b24375',	'Бабина'),
(60,	'081feb22-5f5a-11e9-898c-005056b24375',	'Бабинцы'),
(61,	'8480a777-c33c-11e9-b0c5-005056b24375',	'Бабичи'),
(62,	'de64db47-76f2-11e9-898c-005056b24375',	'Бабурка'),
(63,	'cd27ebdc-e5e6-11e9-b48a-005056b24375',	'Бабухов'),
(64,	'66675367-cf21-11e9-b0c5-005056b24375',	'Бабчинцы'),
(65,	'cd822f8c-9282-11e9-898c-005056b24375',	'Багатое'),
(66,	'78231fd2-f427-11e9-91ff-0025b501a04b',	'Богатое (Одесская обл.)'),
(67,	'a9198c10-3b46-11e9-acea-005056b24375',	'Богатир'),
(68,	'87b7652e-b79c-11e9-8c22-005056b24375',	'Багрин'),
(69,	'a14b4f76-64cd-11e9-898c-005056b24375',	'Багриновка'),
(70,	'c447143c-e5eb-11e9-b48a-005056b24375',	'Багриновцы'),
(71,	'a545f2e7-feea-11e9-91ff-0025b501a04b',	'Бадалово'),
(72,	'87765216-7302-11e9-898c-005056b24375',	'Базалия'),
(73,	'c47fba55-a7a5-11e9-b73a-005056b24375',	'Базилевщина'),
(74,	'04eda5ff-b79f-11e9-8c22-005056b24375',	'Байбузы'),
(75,	'17a41a64-f427-11e9-91ff-0025b501a04b',	'Байбузовка'),
(76,	'324ce5a2-928e-11e9-898c-005056b24375',	'Байталы'),
(77,	'e8e3a089-1b1f-11ea-8c15-0025b502a06e',	'Бакумовка'),
(78,	'd59d2509-b785-11e9-8c22-005056b24375',	'Балановка'),
(79,	'2d776f0f-f138-11e3-8c4a-0050568002cf',	'Балабино'),
(80,	'1f7de1ac-7d28-11e3-b441-0050568002cf',	'Балаклея (Черкасская обл.)'),
(81,	'ae7a32ba-0d45-11de-b6f5-001d92f78697',	'Балаклея (Харьковская обл.)'),
(82,	'60e20bf6-e681-11e9-b48a-005056b24375',	'Баламутовка'),
(83,	'23e97262-e68e-11e9-b48a-005056b24375',	'Баланівка'),
(84,	'0f6fe65a-7302-11e9-898c-005056b24375',	'Балаховка'),
(85,	'2ffef7be-20b6-11ea-b89e-0025b501a04b',	'Балаховичи'),
(86,	'4b73abc6-882d-11e9-898c-005056b24375',	'Балашовка'),
(87,	'02e8c260-5cf7-11e9-a703-005056b24375',	'Балин'),
(88,	'1d7d859b-b787-11e9-8c22-005056b24375',	'Балинцы'),
(89,	'bf22d5bc-e674-11e9-b48a-005056b24375',	'Баличи'),
(90,	'9c8aafff-883e-11e9-898c-005056b24375',	'Баловка'),
(91,	'dc8867b2-b7a0-11e9-8c22-005056b24375',	'Балки (Винницкая обл.)'),
(92,	'4982365a-3a90-11e5-add9-005056887b8d',	'Балки (Запорожская обл.)'),
(93,	'8f5a0003-dab2-11e9-b48a-005056b24375',	'Балковцы'),
(94,	'06f87968-4079-11de-b509-001d92f78698',	'Балта'),
(95,	'5439a08c-f407-11e9-91ff-0025b501a04b',	'Балтазаровка'),
(96,	'd65e89e4-7302-11e9-898c-005056b24375',	'Балясное'),
(97,	'23837774-9e5d-11e9-898c-005056b24375',	'Бандуровка '),
(98,	'081feb38-5f5a-11e9-898c-005056b24375',	'Бандурка'),
(99,	'c825fedc-fee0-11e9-91ff-0025b501a04b',	'Бандурове'),
(100,	'6a992de9-fbee-11e5-899e-005056887b8d',	'Банилов'),
(101,	'00ce7c7a-dae4-11e9-b48a-005056b24375',	'Банилов-Подгорны'),
(102,	'1ffc73cc-cf41-11e9-b0c5-005056b24375',	'Банычи'),
(103,	'b9b59e99-cf14-11e9-b0c5-005056b24375',	'Бановка'),
(104,	'3ade9afd-964b-11e9-898c-005056b24375',	'Банновка'),
(105,	'69663f62-9e51-11e9-898c-005056b24375',	'Банчены'),
(106,	'c364eea4-8859-11e9-898c-005056b24375',	'Баня-Лысовицкая'),
(107,	'2f74cb93-c870-11dd-88ed-001d92f78697',	'Бар'),
(108,	'02f61f68-c34d-11e9-b0c5-005056b24375',	'Барабой'),
(109,	'e3eaf0c5-b774-11e9-8c22-005056b24375',	'Бараниковка'),
(110,	'b1e56d42-bb61-11e5-8478-005056887b8d',	'Баранинцы (Закарпатская обл.)'),
(111,	'69da41cf-3f5d-11de-b509-001d92f78698',	'Барановка'),
(112,	'c01bf943-cf40-11e9-b0c5-005056b24375',	'Баратовка'),
(113,	'3a98223c-76ef-11e9-898c-005056b24375',	'Бараши'),
(114,	'493d212f-f429-11e9-91ff-0025b501a04b',	'Барбово'),
(115,	'43391c18-fedf-11e9-91ff-0025b501a04b',	'Барвиновка'),
(116,	'06f8791a-4079-11de-b509-001d92f78698',	'Барвенково'),
(117,	'03fde9c7-76f0-11e9-898c-005056b24375',	'Барвинок'),
(118,	'f70622f6-4078-11de-b509-001d92f78698',	'Барышевка'),
(119,	'6283e2a0-c353-11e9-b0c5-005056b24375',	'Баркасово'),
(120,	'07d40ace-9402-11e9-898c-005056b24375',	'Бартатов'),
(121,	'ee966113-9e35-11e9-898c-005056b24375',	'Басань'),
(122,	'6f893fe8-dab6-11e9-b48a-005056b24375',	'Басовка'),
(123,	'95ef7501-9006-11e8-8710-005056b24375',	'Батурин'),
(124,	'697605b4-0c98-11ea-8c15-0025b502a06e',	'Батьков (Ровенская обл.)'),
(125,	'3f6dd256-0ce5-11ea-8c15-0025b502a06e',	'Батево'),
(126,	'79f7bf77-76ec-11e9-898c-005056b24375',	'Бахив'),
(127,	'0db17b16-4079-11de-b509-001d92f78698',	'Бахмач'),
(128,	'fa10836e-8831-11e9-898c-005056b24375',	'Бахмач (село, Бахмацкий р-н)'),
(129,	'db5c88c0-391c-11dd-90d9-001a92567626',	'Бахмут'),
(130,	'e7c1ae21-883f-11e9-898c-005056b24375',	'Бахмутское'),
(131,	'2fa93ad7-0c98-11ea-8c15-0025b502a06e',	'Башаровка'),
(132,	'54278608-dab4-11e9-b48a-005056b24375',	'Башлыки'),
(133,	'cd822fb6-9282-11e9-898c-005056b24375',	'Башмачка'),
(134,	'1cf77ca5-fef5-11e9-91ff-0025b501a04b',	'Баштановка'),
(135,	'000655dc-4079-11de-b509-001d92f78698',	'Баштанка'),
(136,	'c8383f93-b7a4-11e9-8c22-005056b24375',	'Баштанков'),
(137,	'419bab96-8f32-11e8-8acc-005056b2fc3d',	'Бездрик'),
(138,	'd40d5ff5-fcca-11e1-a04c-d4ae527baec9',	'Безлюдовка'),
(139,	'816c5c46-3608-11ea-b89e-0025b501a04b',	'Белеев'),
(140,	'93358726-c33f-11e9-b0c5-005056b24375',	'Белелуя'),
(141,	'd7e4f1f9-4698-11ea-b89e-0025b501a04b',	'Белз'),
(142,	'199ba72c-885c-11e9-898c-005056b24375',	'Бендзари'),
(143,	'e721a7ba-b79a-11e9-8c22-005056b24375',	'Бэнэ'),
(144,	'db5c88c5-391c-11dd-90d9-001a92567626',	'Бердичев'),
(145,	'4a384ada-9e6c-11e9-898c-005056b24375',	'Бердянка'),
(146,	'db5c88c7-391c-11dd-90d9-001a92567626',	'Бердянск'),
(147,	'db5c88ca-391c-11dd-90d9-001a92567626',	'Берегово'),
(148,	'0c4d5128-da92-11e3-8c4a-0050568002cf',	'Берегомет'),
(149,	'8e037179-9294-11e9-898c-005056b24375',	'Берегомет (Кицманский р-н)'),
(150,	'abbc5077-a7a6-11e9-b73a-005056b24375',	'Бережаны (Винницкая обл.)'),
(151,	'06f878f8-4079-11de-b509-001d92f78698',	'Бережаны (Тернопольская обл.)'),
(152,	'12fa5dc6-0c9b-11ea-8c15-0025b502a06e',	'Бережанка'),
(153,	'a4dfb9e1-1aaf-11ea-8c15-0025b502a06e',	'Бережки'),
(154,	'eb1b6979-0ce5-11ea-8c15-0025b502a06e',	'Бережница'),
(155,	'5cd47c52-9e65-11e9-898c-005056b24375',	'Береза'),
(156,	'000655d6-4079-11de-b509-001d92f78698',	'Березанка(Николаевская обл.)'),
(157,	'b1a78da1-cfab-11e0-baa0-c8912765d3f7',	'Березань'),
(158,	'609333b6-dae2-11e9-b48a-005056b24375',	'Березань (Одесская обл.)'),
(159,	'dfae7636-a7a3-11e9-b73a-005056b24375',	'Берездов'),
(160,	'8b2918a9-5a1a-11ea-a970-b8830365ade4',	'Березина (Житомирская обл.)'),
(161,	'cc7d1d19-8860-11e9-898c-005056b24375',	'Березино'),
(162,	'ee38c1bd-5a18-11ea-a970-b8830365ade4',	'Березинка'),
(163,	'000655fc-4079-11de-b509-001d92f78698',	'Березовка'),
(164,	'a70f5d54-882e-11e9-898c-005056b24375',	'Березовка (Винницкая обл.)'),
(165,	'46d1ddba-b7bb-11e9-8c22-005056b24375',	'Березовка (Ивано-Франковская обл.)'),
(166,	'23837789-9e5d-11e9-898c-005056b24375',	'Березовка (Кировоградская обл.)'),
(167,	'e215a1ca-7d70-11e9-898c-005056b24375',	'Березовка (Харьковская обл.)'),
(168,	'78222763-a707-11e9-b73a-005056b24375',	'Березовское'),
(169,	'00065620-4079-11de-b509-001d92f78698',	'Березно'),
(170,	'000655e2-4079-11de-b509-001d92f78698',	'Березнеговатое'),
(171,	'8eaeee56-b777-11e9-8c22-005056b24375',	'Березники'),
(172,	'bc38b80b-64ce-11e9-898c-005056b24375',	'Березняки'),
(173,	'85c5b8cc-4c73-11e9-acea-005056b24375',	'Березовая Лука'),
(174,	'e3f2390e-5a94-11e9-a703-005056b24375',	'Березовое (Ровенская обл.)'),
(175,	'9003fb4b-b7bd-11e9-8c22-005056b24375',	'Березоточа'),
(176,	'a41d4dcc-fefe-11e9-91ff-0025b501a04b',	'Березоватка'),
(177,	'11f8828f-b793-11e9-8c22-005056b24375',	'Берека'),
(178,	'3abce78b-25bd-11e3-83b9-0050568002cf',	'Берестечко'),
(179,	'56d25c3b-7302-11e9-898c-005056b24375',	'Берестовка'),
(180,	'8050cd01-0c97-11ea-8c15-0025b502a06e',	'Берестовое'),
(181,	'739dee1a-9e43-11e9-898c-005056b24375',	'Берестовец'),
(182,	'e6fa51ba-8862-11e9-898c-005056b24375',	'Бересте'),
(183,	'8b1597e3-b81e-11e9-8c22-005056b24375',	'Берестяное'),
(184,	'78b15d48-1b1e-11ea-8c15-0025b502a06e',	'Берестяны'),
(185,	'0273e3fb-0c92-11ea-8c15-0025b502a06e',	'Берестянка'),
(186,	'db5c88cd-391c-11dd-90d9-001a92567626',	'Берислав (Херсонская обл.)'),
(187,	'6f893ffd-dab6-11e9-b48a-005056b24375',	'Берлин'),
(188,	'b1c9db3b-8837-11e9-898c-005056b24375',	'Берлоги'),
(189,	'f948e120-8830-11e9-898c-005056b24375',	'Бернове'),
(190,	'69da417b-3f5d-11de-b509-001d92f78698',	'Бершадь'),
(191,	'dfc6c737-b78a-11e9-8c22-005056b24375',	'Бехтеры'),
(192,	'3e1f31c3-b7be-11e9-8c22-005056b24375',	'Бзов'),
(193,	'bccc32bc-e67b-11e9-b48a-005056b24375',	'Быковка '),
(194,	'50393a1e-7340-11e6-a9f2-005056887b8d',	'Былбасовка'),
(195,	'eeee7d45-8833-11e9-898c-005056b24375',	'Былка'),
(196,	'd58f1d4e-9293-11e9-898c-005056b24375',	'Бырловка'),
(197,	'a70c8088-dae8-11e9-b48a-005056b24375',	'Бирловка (Винницкая обл.)'),
(198,	'3de91332-cf3a-11e9-b0c5-005056b24375',	'Бирюки'),
(199,	'e86be043-e686-11e9-b48a-005056b24375',	'Быстрица'),
(200,	'bf4446a1-882c-11e9-898c-005056b24375',	'Быстричи'),
(201,	'529c93d6-b7ba-11e9-8c22-005056b24375',	'Бытков'),
(202,	'9c3f0361-dab4-11e9-b48a-005056b24375',	'Быхов'),
(203,	'10ebdab7-129d-11e6-971e-005056887b8d',	'Бышев'),
(204,	'2a90518c-7301-11e9-898c-005056b24375',	'Бышляк'),
(205,	'df9608e1-e72b-11e3-8c4a-0050568002cf',	'Бобрка'),
(206,	'54c5c3dc-cf2b-11e9-b0c5-005056b24375',	'Бегунь'),
(207,	'736b2f80-0050-11e5-8a92-005056887b8d',	'Белая'),
(208,	'e409f6b1-f40d-11e9-91ff-0025b501a04b',	'Белая (Хмельницкая обл.)'),
(209,	'b470ca1e-76f8-11e9-898c-005056b24375',	'Белая (Чертковский р-н.)'),
(210,	'5e85d7df-55e7-11e4-acce-0050568002cf',	'Белая Криница (Ровенская обл.)'),
(211,	'c459b5cb-cf16-11e9-b0c5-005056b24375',	'Белая Криница (Херсонская область)'),
(212,	'db5c88ce-391c-11dd-90d9-001a92567626',	'Белая Церковь'),
(213,	'fe84e091-64cf-11e9-898c-005056b24375',	'Белая Церковь (Закарпатская обл.)'),
(214,	'0f9d01c5-c341-11e9-b0c5-005056b24375',	'Белашов'),
(215,	'86b59d9b-735e-11ea-a970-b8830365ade4',	'Белашов (Ровенская обл.)'),
(216,	'db5c88d1-391c-11dd-90d9-001a92567626',	'Белгород-Днестровский'),
(217,	'2a9051a3-7301-11e9-898c-005056b24375',	'Белое'),
(218,	'ce78b377-feed-11e9-91ff-0025b501a04b',	'Беленькое (Донецкая обл.)'),
(219,	'4e5552f5-9e61-11e9-898c-005056b24375',	'Беленькое (Одесская обл.)'),
(220,	'184efd1e-2639-11e5-add9-005056887b8d',	'Беленькое(Запорожская обл.)'),
(221,	'c0b5faf2-dab0-11e9-b48a-005056b24375',	'Белый Колодезь'),
(222,	'ed248925-086e-11e2-891f-d4ae527baec9',	'Белики'),
(223,	'452c5992-763b-11e9-898c-005056b24375',	'Белино'),
(224,	'd428afdd-0eb4-11e2-a1de-d4ae527baec9',	'Белицкое(Донецкая обл.)'),
(225,	'414355c2-daaa-11e9-b48a-005056b24375',	'Белые Ославы'),
(226,	'95f15bbc-7d62-11e9-898c-005056b24375',	'Беловцы'),
(227,	'a69e9af0-b77d-11e9-8c22-005056b24375',	'Белка'),
(228,	'9f90e87f-c3a1-11e3-9fa0-0050568002cf',	'Белки'),
(229,	'e7cb97aa-76f9-11e9-898c-005056b24375',	'Белобожница'),
(230,	'f7062350-4078-11de-b509-001d92f78698',	'Беловодск'),
(231,	'06f87942-4079-11de-b509-001d92f78698',	'Белогорье'),
(232,	'383f0532-4a9b-11e2-889f-001631fa0467',	'Белогородка (Киевская обл.)'),
(233,	'08bd76d1-76fa-11e9-898c-005056b24375',	'Белогородка (Хмельницкая обл.)'),
(234,	'dfdc9daf-ace7-11dd-8b61-001d92f78697',	'Белозерка (Херсонская обл.)'),
(235,	'09af1b85-22c7-11e4-acce-0050568002cf',	'Белозёрское (Донецкая обл.)'),
(236,	'587c5ae4-993b-11e3-b441-0050568002cf',	'Белозерье'),
(237,	'a464b927-e682-11e9-b48a-005056b24375',	'Белозёрка'),
(238,	'a2058c5a-cf4c-11e9-b0c5-005056b24375',	'Белокриница'),
(239,	'f6837c2e-dae8-11e9-b48a-005056b24375',	'Белокузьминовка'),
(240,	'f7062346-4078-11de-b509-001d92f78698',	'Белокуракино'),
(241,	'1162da23-964d-11e9-898c-005056b24375',	'Белолесье'),
(242,	'fb7a09d9-7ec0-11e3-b441-0050568002cf',	'Белолуцк'),
(243,	'956452b3-4748-11dd-9198-001d60451983',	'Белополье'),
(244,	'907f47c6-64d0-11e9-898c-005056b24375',	'Белосарайская Коса'),
(245,	'a14b4f8b-64cd-11e9-898c-005056b24375',	'Белоусовка'),
(246,	'1af29ae3-a7a6-11e9-b73a-005056b24375',	'Белоусовка (Николаевская обл.)'),
(247,	'dc0db4ca-cf2c-11e9-b0c5-005056b24375',	'Белоусовка (Черкасская обл.)'),
(248,	'027dfe2f-7ff0-11ea-a970-b8830365ade4',	'Белоцерковка (Полтавская обл.)'),
(249,	'cfbeac96-4063-11de-b509-001d92f78698',	'Бильмак (Запорожская обл.)'),
(250,	'af4a5e39-cf1c-11e9-b0c5-005056b24375',	'Бельская Воля'),
(251,	'11dc56f5-c352-11e9-b0c5-005056b24375',	'Бильче'),
(252,	'36fe1e8d-7d64-11e9-898c-005056b24375',	'Бельчин'),
(253,	'6d228cc6-a72a-11e6-b5da-005056887b8d',	'Большовцы'),
(254,	'000655f0-4079-11de-b509-001d92f78698',	'Беляевка'),
(255,	'93358750-c33f-11e9-b0c5-005056b24375',	'Беляевка (Харьковская обл.)'),
(256,	'a0cf93fe-8862-11e9-898c-005056b24375',	'Биологическое (Падалки)'),
(257,	'9c3f0376-dab4-11e9-b48a-005056b24375',	'Борки (Волынская обл., Любашевский р-н)'),
(258,	'2e1b7e87-b79b-11e9-8c22-005056b24375',	'Борки (Львовская обл.)'),
(259,	'bb3b3ee2-e679-11e9-b48a-005056b24375',	'Борки (Ровенская обл.)'),
(260,	'c3861a2c-e014-11e3-8c4a-0050568002cf',	'Борки (Харьковская обл.)'),
(261,	'f2ac264b-1b1e-11ea-8c15-0025b502a06e',	'Бисковичи'),
(262,	'251fe9f0-0c96-11ea-8c15-0025b502a06e',	'Битля'),
(263,	'e3d01136-c491-11e3-95eb-0050568046cd',	'Благовещенка (Камянско-Днепровский р-н)'),
(264,	'06f87952-4079-11de-b509-001d92f78698',	'Благовещенское(Кировоградская обл.)'),
(265,	'b12334b9-9005-11e8-8710-005056b24375',	'Благодатное'),
(266,	'f3282ce8-5a15-11ea-a970-b8830365ade4',	'Благодатное (Белозерский р-н)'),
(267,	'f17dc661-cf44-11e9-b0c5-005056b24375',	'Благодатное (Николаевская обл.)'),
(268,	'fb38de3a-e673-11e9-b48a-005056b24375',	'Блажев'),
(269,	'0d87ca11-fee2-11e9-91ff-0025b501a04b',	'Блажово'),
(270,	'69da418d-3f5d-11de-b509-001d92f78698',	'Близнюки'),
(271,	'c5d1476e-dab6-11e9-b48a-005056b24375',	'Боберка'),
(272,	'e18f7099-9e62-11e9-898c-005056b24375',	'Бобовцы'),
(273,	'792b752b-9e53-11e9-898c-005056b24375',	'Бобли'),
(274,	'6e74aef6-c352-11e9-b0c5-005056b24375',	'Бобовище'),
(275,	'8a49ea64-7d6f-11e9-898c-005056b24375',	'Бобрик'),
(276,	'8c9a436e-20b7-11ea-b89e-0025b501a04b',	'Бобрик Второй'),
(277,	'324ce58d-928e-11e9-898c-005056b24375',	'Бобрик Первый'),
(278,	'f706232e-4078-11de-b509-001d92f78698',	'Бобринец'),
(279,	'83666e49-e678-11e9-b48a-005056b24375',	'Бобрица'),
(280,	'06f879a0-4079-11de-b509-001d92f78698',	'Бобровица'),
(281,	'4be254c4-9e6a-11e9-898c-005056b24375',	'Бовшев'),
(282,	'bc373f88-7885-11e8-9d95-005056b2fc3d',	'Богдан'),
(283,	'39e7d001-390a-11e9-acea-005056b24375',	'Богдановка (Броварской р-н.)'),
(284,	'b61fecce-4d7c-11e6-a9f2-005056887b8d',	'Богдановка (Днепропетровская обл.)'),
(285,	'0cbfcfd7-082b-11e4-acce-0050568002cf',	'Богдановка (Кировоградская обл.)'),
(286,	'79190911-1aae-11ea-8c15-0025b502a06e',	'Богдановка (Черниговский р-н., Запорожская обл.)'),
(287,	'5031a57a-dae7-11e9-b48a-005056b24375',	'Богдановка (Яготинский р-н., Киевская обл.)'),
(288,	'a0de4d1a-b2d6-11e9-8c22-005056b24375',	'Богемка'),
(289,	'49873605-82cd-11e9-898c-005056b24375',	'Богиновка (Днепропетровская обл.)'),
(290,	'06f87928-4079-11de-b509-001d92f78698',	'Богодухов'),
(291,	'3859e464-9e5b-11e9-898c-005056b24375',	'Богодуховка'),
(292,	'33f3b204-735e-11ea-a970-b8830365ade4',	'Богородичное'),
(293,	'f70622da-4078-11de-b509-001d92f78698',	'Богородчаны'),
(294,	'ff459f6c-885d-11e9-898c-005056b24375',	'Богуново'),
(295,	'77c9d073-9a52-11e4-acce-0050568002cf',	'Богуслав (Днепропетровская обл.)'),
(296,	'f706230a-4078-11de-b509-001d92f78698',	'Богуслав (Киевская обл.)'),
(297,	'd63931f1-dae7-11e9-b48a-005056b24375',	'Богуславка '),
(298,	'8b47cfb6-b77e-11e9-8c22-005056b24375',	'Богуши'),
(299,	'71f9aa21-8861-11e9-898c-005056b24375',	'Бодаква'),
(300,	'989141ca-cf48-11e9-b0c5-005056b24375',	'Боднарёв'),
(301,	'd9b3e19d-60c1-11e2-89c8-d4ae52ab9fab',	'Божедаровка(Криничанский р-н)'),
(302,	'67a54bb6-095d-11e9-ad0d-005056b24375',	'Божковское'),
(303,	'62390224-76f8-11e9-898c-005056b24375',	'Бокийма'),
(304,	'0218db6f-b7c0-11e9-8c22-005056b24375',	'Болган'),
(305,	'5e07c19b-76f7-11e9-898c-005056b24375',	'Болгарка'),
(306,	'db5c88d3-391c-11dd-90d9-001a92567626',	'Болград (Одеская обл.)'),
(307,	'615019a2-6c11-11e1-a983-0026b97ed48a',	'Болехов'),
(308,	'7e3dfe9f-cf42-11e9-b0c5-005056b24375',	'Болеховцы'),
(309,	'70473810-8856-11e9-898c-005056b24375',	'Бондаровка'),
(310,	'a8ec1f3e-b794-11e9-8c22-005056b24375',	'Боратин'),
(311,	'e721a7cf-b79a-11e9-8c22-005056b24375',	'Боржава'),
(312,	'14356d09-5a1a-11ea-a970-b8830365ade4',	'Боржавское'),
(313,	'0db17b18-4079-11de-b509-001d92f78698',	'Борзна'),
(314,	'0f53759a-9e57-11e9-898c-005056b24375',	'Бориня'),
(315,	'fcc30384-b76e-11e9-8c22-005056b24375',	'Борисовка'),
(316,	'cc7d1d43-8860-11e9-898c-005056b24375',	'Борисовка (Одесская обл.)'),
(317,	'f9687167-d4f7-11e2-874c-d4ae527baec3',	'Борислав (Львовская обл.)'),
(318,	'db5c88d4-391c-11dd-90d9-001a92567626',	'Борисполь'),
(319,	'5c11fa16-65c1-11e9-898c-005056b24375',	'Боровка'),
(320,	'ce67ed9a-9741-11e9-898c-005056b24375',	'Боровка (Киевськая обл.)'),
(321,	'd125f5d1-c982-11e5-8478-005056887b8d',	'Боровское(Луганська обл.)'),
(322,	'e18f70ae-9e62-11e9-898c-005056b24375',	'Боровцы'),
(323,	'6a9e13a9-1ea7-11e2-8db4-d4ae52ab9fab',	'Боровая (Киевская обл.)'),
(324,	'06f8791c-4079-11de-b509-001d92f78698',	'Боровая (Харьковская обл.)'),
(325,	'59ca74c4-dadf-11e9-b48a-005056b24375',	'Боровеньки'),
(326,	'71f40dbb-76fa-11e9-898c-005056b24375',	'Боровица'),
(327,	'f70622f0-4078-11de-b509-001d92f78698',	'Бородянка'),
(328,	'58a94425-b775-11e9-8c22-005056b24375',	'Борозенское'),
(329,	'64c9dfbf-797d-11e6-a9f2-005056887b8d',	'Боромля (Сумская обл.)'),
(330,	'5c66e001-882e-11e9-898c-005056b24375',	'Боронява'),
(331,	'bb70b056-c342-11e9-b0c5-005056b24375',	'Борохов'),
(332,	'9c3f038b-dab4-11e9-b48a-005056b24375',	'Борочиче'),
(333,	'ac455418-7d68-11e9-898c-005056b24375',	'Бортники'),
(334,	'3cf3178b-51ac-11e9-acea-005056b24375',	'Бортятин'),
(335,	'06f878f0-4079-11de-b509-001d92f78698',	'Борщев'),
(336,	'b20cfbe2-9291-11e9-898c-005056b24375',	'Борщовка'),
(337,	'ef5dae90-cf29-11e9-b0c5-005056b24375',	'Борщовичи'),
(338,	'65ab55f5-ea7e-11e5-899e-005056887b8d',	'Бохоники'),
(339,	'4c97e453-cf2d-11e9-b0c5-005056b24375',	'Бочаница'),
(340,	'db4d003d-7d62-11e9-898c-005056b24375',	'Бочковцы'),
(341,	'6fcd789d-7d60-11e9-898c-005056b24375',	'Боянец'),
(342,	'e1951fd2-f869-11e3-8c4a-0050568002cf',	'Бояны'),
(343,	'db5c88d6-391c-11dd-90d9-001a92567626',	'Боярка'),
(344,	'039999e6-0b84-11e5-8a92-005056887b8d',	'Браилов'),
(345,	'8bc11770-6543-11ea-a970-b8830365ade4',	'Братановка'),
(346,	'5dc4fc9f-cf46-11e9-b0c5-005056b24375',	'Братковцы (Ивано-Франковская обл.)'),
(347,	'4c8dd113-9402-11e9-898c-005056b24375',	'Братолюбовка (Кировоградская обл.)'),
(348,	'06f8795e-4079-11de-b509-001d92f78698',	'Братское'),
(349,	'682ceaa0-3608-11ea-b89e-0025b501a04b',	'Братское (Днепропетровская обл.)'),
(350,	'cc87c956-7d5e-11e9-898c-005056b24375',	'Братское (Запорожская обл.)'),
(351,	'd153d377-94c3-11e3-b441-0050568002cf',	'Брацлав'),
(352,	'6fe6087e-bee9-11e3-9fa0-0050568002cf',	'Брилевка'),
(353,	'2912ee6d-3c2e-11ea-b89e-0025b501a04b',	'Брынь'),
(354,	'feee04d0-9e65-11e9-898c-005056b24375',	'Бричковка'),
(355,	'6331b816-845f-11e5-b6f7-005056887b8d',	'Брод'),
(356,	'db5c88d7-391c-11dd-90d9-001a92567626',	'Бровары'),
(357,	'340a6051-ab75-11e8-ad0d-005056b24375',	'Бродецкое (Винницкая обл.)'),
(358,	'3c67c750-a440-11dd-bcd8-001d92f78697',	'Броды'),
(359,	'8fde6925-f40c-11e9-91ff-0025b501a04b',	'Бродница'),
(360,	'd2983ea9-e5f0-11e9-b48a-005056b24375',	'Броница'),
(361,	'a0218e98-cf2d-11e9-b0c5-005056b24375',	'Бронники (Ровенский р-н)'),
(362,	'920ee788-8b31-11e8-8acc-005056b2fc3d',	'Бронница'),
(363,	'44f293ad-735c-11ea-a970-b8830365ade4',	'Бронька'),
(364,	'2fb41dae-c34f-11e9-b0c5-005056b24375',	'Броска'),
(365,	'8e60f375-6546-11ea-a970-b8830365ade4',	'Брошнев (Рожнятовский р-н)'),
(366,	'2130890e-f843-11e2-874c-d4ae527baec3',	'Брошнев-Осада'),
(367,	'c142403f-cf3e-11e9-b0c5-005056b24375',	'Брусенки'),
(368,	'69da41ed-3f5d-11de-b509-001d92f78698',	'Брусилов'),
(369,	'92e654fa-76ea-11e9-898c-005056b24375',	'Бруслинів'),
(370,	'05bf1ed6-8879-11e9-898c-005056b24375',	'Брусница'),
(371,	'6717add6-2471-11e4-acce-0050568002cf',	'Брюховичи'),
(372,	'c1079252-76f9-11e9-898c-005056b24375',	'Бубновка'),
(373,	'ae1d0a18-3912-11e9-acea-005056b24375',	'Бугас'),
(374,	'47adb676-cfd8-11e9-b0c5-005056b24375',	'Буда-Воробьевская'),
(375,	'feafc35d-9e57-11e9-898c-005056b24375',	'Буданов'),
(376,	'ad578cc5-76fb-11e9-898c-005056b24375',	'Буденец'),
(377,	'8f1cb40a-9e6c-11e9-898c-005056b24375',	'Буды (Винницкая обл.)'),
(378,	'956d4d5b-556c-11e5-8d8d-005056887b8d',	'Буды (Харьковская обл.)'),
(379,	'6f8ab911-8850-11e9-898c-005056b24375',	'Будилов'),
(380,	'a376b6dd-7d6c-11e9-898c-005056b24375',	'Будылка'),
(381,	'bc38b7f6-64ce-11e9-898c-005056b24375',	'Будище'),
(382,	'ebe5e76f-5228-11e9-acea-005056b24375',	'Будки'),
(383,	'd9cb239b-64cc-11e9-898c-005056b24375',	'Будятичи'),
(384,	'1043aa74-dab5-11e9-b48a-005056b24375',	'Бужаны'),
(385,	'69e4b998-cf20-11e9-b0c5-005056b24375',	'Бужанка'),
(386,	'71ea969e-89c7-11e8-8acc-005056b2fc3d',	'Бузаки'),
(387,	'26b68590-64d3-11e9-898c-005056b24375',	'Бузовка'),
(388,	'a2eeb98c-8852-11e9-898c-005056b24375',	'Бузовая'),
(389,	'5855faf8-8830-11e9-898c-005056b24375',	'Бузовица'),
(390,	'af345e2c-885b-11e9-898c-005056b24375',	'Бугское'),
(391,	'44d3cceb-82d1-11e9-898c-005056b24375',	'Буймер'),
(392,	'44760e1d-d22d-11e4-a77a-005056887b8d',	'Буки'),
(393,	'4492f0be-b79a-11e9-8c22-005056b24375',	'Буково'),
(394,	'970b6fe0-cf24-11e9-b0c5-005056b24375',	'Булаховка'),
(395,	'7c84d3c9-b7a5-11e9-8c22-005056b24375',	'Бурдовка'),
(396,	'b503bf53-8830-11e9-898c-005056b24375',	'Бурдюг'),
(397,	'b565e92c-9e69-11e9-898c-005056b24375',	'Бурдяковцы '),
(398,	'4d4e0b9c-5a1b-11ea-a970-b8830365ade4',	'Бурилово'),
(399,	'00065640-4079-11de-b509-001d92f78698',	'Бурынь'),
(400,	'47876dca-c34d-11e9-b0c5-005056b24375',	'Бурлачья Балка'),
(401,	'04266197-6546-11ea-a970-b8830365ade4',	'Бурти'),
(402,	'e43db799-7d8b-11e1-beca-0026b97ed48a',	'Бурштын'),
(403,	'f7062370-4078-11de-b509-001d92f78698',	'Буск'),
(404,	'cda7e0d7-e66d-11e9-b48a-005056b24375',	'Бутенки '),
(405,	'23db4bb7-7302-11e9-898c-005056b24375',	'Буцин'),
(406,	'db5c88d9-391c-11dd-90d9-001a92567626',	'Буча'),
(407,	'607a974f-f411-11e9-91ff-0025b501a04b',	'Бучалы'),
(408,	'06f878fe-4079-11de-b509-001d92f78698',	'Бучач'),
(409,	'3de9131d-cf3a-11e9-b0c5-005056b24375',	'Бушево'),
(410,	'd653ba22-1988-11e5-add9-005056887b8d',	'Буштыно'),
(411,	'fe3923b7-7d5d-11e9-898c-005056b24375',	'Вязовок'),
(412,	'71398dee-e683-11e9-b48a-005056b24375',	'Вязовок (Днепропетровская обл.)'),
(413,	'c6be6eaf-9e64-11e9-898c-005056b24375',	'Вавилово'),
(414,	'93e8d64a-10c9-11e4-acce-0050568002cf',	'Вакуленчук'),
(415,	'06f87922-4079-11de-b509-001d92f78698',	'Валки'),
(416,	'a50f62f5-8878-11e9-898c-005056b24375',	'Валя Кузьмина'),
(417,	'd9420aef-64c9-11e9-898c-005056b24375',	'Валява'),
(418,	'0c9d8790-9292-11e9-898c-005056b24375',	'Валява (Черкасская обл.)'),
(419,	'70982ffc-76fb-11e9-898c-005056b24375',	'Ванчиковцы'),
(420,	'5db917c0-edee-11e2-874c-d4ae527baec3',	'Вапнярка'),
(421,	'28c71388-4ca6-11e1-9bbf-0026b97ed48a',	'Вараш'),
(422,	'06f87996-4079-11de-b509-001d92f78698',	'Варва'),
(423,	'd4c6c96f-e683-11e9-b48a-005056b24375',	'Варваровка (Днепропетровская обл.)'),
(424,	'92946560-cf2b-11e9-b0c5-005056b24375',	'Варваровка (Житомирская обл.)'),
(425,	'8ce45dcb-e677-11e9-b48a-005056b24375',	'Варваровка (Луганська обл.)'),
(426,	'ef30ed67-fee8-11e9-91ff-0025b501a04b',	'Варваровка (Синельниковский р-н., Днепропетровский'),
(427,	'e4c95d8f-7d61-11e9-898c-005056b24375',	'Варенка'),
(428,	'c57b5cca-9e51-11e9-898c-005056b24375',	'Вартиковцы'),
(429,	'b519ccf4-e5e7-11e9-b48a-005056b24375',	'Варяж'),
(430,	'44314906-e67f-11e9-b48a-005056b24375',	'Васильевка (Днепропетровская обл.)'),
(431,	'c5f70e4a-4bd0-11dd-9198-001d60451983',	'Васильевка (Запорожская обл.)'),
(432,	'5855face-8830-11e9-898c-005056b24375',	'Васильевка (Килийский р-н.)'),
(433,	'd7bb2cd0-76f6-11e9-898c-005056b24375',	'Васильевка (Одесская обл., Болградский р-н)'),
(434,	'e297f70a-a9ee-11e8-ad0d-005056b24375',	'Васильевка (Одесская обл.)'),
(435,	'40535318-928f-11e9-898c-005056b24375',	'Василевка (Полтавска обл.)'),
(436,	'40461a47-9e5f-11e9-898c-005056b24375',	'Васильевка (Херсонская обл.)'),
(437,	'2117a5ca-887a-11e9-898c-005056b24375',	'Васильевка (Черновицкая обл.)'),
(438,	'db5c88da-391c-11dd-90d9-001a92567626',	'Васильков'),
(439,	'69e4b983-cf20-11e9-b0c5-005056b24375',	'Васильков (Черкасская обл.)'),
(440,	'69da4199-3f5d-11de-b509-001d92f78698',	'Васильковка (Днепропетровская обл.)'),
(441,	'cf59d8bb-1b02-11e9-ad0d-005056b24375',	'Васищево'),
(442,	'fbb78610-b7aa-11e9-8c22-005056b24375',	'Васлововцы'),
(443,	'b398e476-b7aa-11e9-8c22-005056b24375',	'Васьковцы (Черниговская обл.)'),
(444,	'f3c2a2c5-735d-11ea-a970-b8830365ade4',	'Васьковичи'),
(445,	'16e572d5-feee-11e9-91ff-0025b501a04b',	'Васюковка'),
(446,	'de8fd4c2-7d67-11e9-898c-005056b24375',	'Васютинцы'),
(447,	'4bed575e-9024-11df-9565-000c290fbeaa',	'Ватутино'),
(448,	'ee714d02-cf4a-11e9-b0c5-005056b24375',	'Ватутино (Нововодолажский р-н. Харьковская обл.)'),
(449,	'afd11fca-82b8-11e9-898c-005056b24375',	'Вахновка'),
(451,	'6d6cb4b1-b791-11e9-8c22-005056b24375',	'Вашковцы (Сокирянский р-н)'),
(452,	'd2764a9f-9e4d-11e9-898c-005056b24375',	'Введенка'),
(453,	'48fa56e5-cf16-11e9-b0c5-005056b24375',	'Велетенское'),
(454,	'aed07fb5-9289-11e9-898c-005056b24375',	'Велика Андрусовка'),
(455,	'e5dd3d27-3b29-11de-913b-001d92f78698',	'Великая Багачка'),
(456,	'845a34ee-cf28-11e9-b0c5-005056b24375',	'Великая Березна'),
(457,	'991a7fe5-ea7d-11e5-899e-005056887b8d',	'Великая Березовица'),
(458,	'25cac8b1-76f0-11e9-898c-005056b24375',	'Великая Быйгань'),
(459,	'cfbeac9e-4063-11de-b509-001d92f78698',	'Великая Белозерка'),
(460,	'67808216-9293-11e9-898c-005056b24375',	'Великая Буромка'),
(461,	'b3debd00-89b4-11e3-b441-0050568002cf',	'Великая Виска'),
(462,	'6fcd78b2-7d60-11e9-898c-005056b24375',	'Великая Ольшаница'),
(463,	'0a153619-cf26-11e9-b0c5-005056b24375',	'Большая Глуша'),
(464,	'317f8791-9290-11e9-898c-005056b24375',	'Великая Городница'),
(465,	'e03f3a9e-a05d-11e3-9fa0-0050568002cf',	'Великая Дымерка'),
(466,	'f194e713-9e37-11e9-898c-005056b24375',	'Великая Девица'),
(467,	'b1eae66b-dae3-11e9-b48a-005056b24375',	'Великая Загоровка'),
(468,	'e0c7cd98-3a91-11e5-add9-005056887b8d',	'Великая Знаменка'),
(469,	'4d6e9219-cf26-11e9-b0c5-005056b24375',	'Великая Каратуль'),
(470,	'0b801487-4f18-11ea-b89e-0025b501a04b',	'Великая Киреевка'),
(471,	'1058bdfa-76eb-11e9-898c-005056b24375',	'Великая Косница'),
(472,	'25cac8c6-76f0-11e9-898c-005056b24375',	'Великая Копаня (Закарпатская обл.)'),
(473,	'0991e684-a7a5-11e9-b73a-005056b24375',	'Великая Корениха'),
(474,	'06f87936-4079-11de-b509-001d92f78698',	'Великая Лепетиха'),
(475,	'ab77b3f1-e68f-11e9-b48a-005056b24375',	'Великая Лука'),
(476,	'000655f2-4079-11de-b509-001d92f78698',	'Великая Михайловка'),
(477,	'69da41ae-3f5d-11de-b509-001d92f78698',	'Великая Новоселка'),
(478,	'32001c2f-f173-11e8-ad0d-005056b24375',	'Великая Александровка'),
(479,	'f706231c-4078-11de-b509-001d92f78698',	'Великая Александровка (Херсонская обл.)'),
(480,	'fc66e00f-cf26-11e9-b0c5-005056b24375',	'Великая Павловка'),
(481,	'c70408cf-0c95-11ea-8c15-0025b502a06e',	'Великая Паладь'),
(482,	'0006563a-4079-11de-b509-001d92f78698',	'Великая Писаревка'),
(483,	'a85f297f-e5e9-11e9-b48a-005056b24375',	'Великая Рогозянка'),
(484,	'4f99f6bf-0eb6-11e5-add9-005056887b8d',	'Великая Рублевка'),
(485,	'33ab7ebd-9e33-11e9-898c-005056b24375',	'Великая Рудка'),
(486,	'71f40da6-76fa-11e9-898c-005056b24375',	'Велика Севастянівка'),
(487,	'20a1a527-f412-11e9-91ff-0025b501a04b',	'Великая Снетинка'),
(488,	'0a2aa37b-76f7-11e9-898c-005056b24375',	'Великая Соленая'),
(489,	'1ff17304-b79d-11e9-8c22-005056b24375',	'Великая Солтановка'),
(490,	'0765c106-4699-11ea-b89e-0025b501a04b',	'Великая Сушица'),
(491,	'fecfdfa0-a96a-11e9-b73a-005056b24375',	'Великая Терновка'),
(492,	'a42b04ec-82cf-11e9-898c-005056b24375',	'Великая Турья'),
(493,	'6192d123-0d4a-11e6-971e-005056887b8d',	'Великая Чернетчина'),
(494,	'494cd1cc-5229-11e9-acea-005056b24375',	'Великая Яблоновка'),
(495,	'ab90aaa3-4698-11ea-b89e-0025b501a04b',	'Велике Вербче'),
(496,	'4e68239e-fee2-11e9-91ff-0025b501a04b',	'Великое Колодно'),
(497,	'06f8790e-4079-11de-b509-001d92f78698',	'Великий Березный'),
(498,	'7110b9ce-92f3-11e2-a57a-d4ae527baec3',	'Великий Бычков'),
(499,	'06f87916-4079-11de-b509-001d92f78698',	'Великий Бурлук'),
(500,	'fc5f1e12-928e-11e9-898c-005056b24375',	'Большой Буялик'),
(501,	'e241672f-e690-11e9-b48a-005056b24375',	'Великий Глубочек'),
(502,	'c7146c17-1986-11e5-add9-005056887b8d',	'Великий Дальник'),
(503,	'4ae07977-8858-11e9-898c-005056b24375',	'Великий Дорошев'),
(504,	'07b9c806-cf2e-11e9-b0c5-005056b24375',	'Великий Житин'),
(505,	'749932df-7301-11e9-898c-005056b24375',	'Великий Жолудск'),
(506,	'b13f8a6b-76f3-11e9-898c-005056b24375',	'Великий Ключев'),
(507,	'a554dc33-64d3-11e9-898c-005056b24375',	'Великий Круполь'),
(508,	'8d7f4ad3-5ada-11e5-8d8d-005056887b8d',	'Великий Кучуров'),
(509,	'54a7199c-65d2-11e5-8d8d-005056887b8d',	'Великий Любень'),
(510,	'9cb52954-8864-11e9-898c-005056b24375',	'Большой Мидськ'),
(511,	'1647c710-9e4f-11e9-898c-005056b24375',	'Великий Мытник'),
(512,	'4e71dafd-e5e9-11e9-b48a-005056b24375',	'Великий Александров'),
(513,	'4c97e43e-cf2d-11e9-b0c5-005056b24375',	'Великий Алексин'),
(514,	'9f722391-b795-11e9-8c22-005056b24375',	'Великий Омеляник'),
(515,	'a4f7d35c-9e40-11e9-898c-005056b24375',	'Великий Раковец'),
(516,	'813d020f-884f-11e9-898c-005056b24375',	'Великий Рожин'),
(517,	'c0fdebf4-b7b5-11e9-8c22-005056b24375',	'Великий Тростянец'),
(518,	'159ae4cc-8867-11e9-898c-005056b24375',	'Великий Ходачков'),
(519,	'e226065d-76fb-11e9-898c-005056b24375',	'Великий Хутор'),
(520,	'9fc56520-0ce5-11ea-8c15-0025b502a06e',	'Великий Щимель'),
(521,	'58ac4fef-e66f-11e9-b48a-005056b24375',	'Великие Берега '),
(522,	'e2416744-e690-11e9-b48a-005056b24375',	'Великие Бережцы'),
(523,	'80f5b4b1-c980-11e4-a77a-005056887b8d',	'Великие Борки'),
(524,	'193c3edf-9fdf-11e5-a023-005056887b8d',	'Великие Будища (Диканский р-н, Полтавская обл.)'),
(525,	'1b9b4719-3608-11ea-b89e-0025b501a04b',	'Великие Будки'),
(526,	'2bababf5-bb32-11e4-a77a-005056887b8d',	'Великие Гаи'),
(527,	'6fcd78c7-7d60-11e9-898c-005056b24375',	'Великие Грибовичи'),
(528,	'a2058c6f-cf4c-11e9-b0c5-005056b24375',	'Великие Дедеркалы'),
(529,	'65b65b1f-f428-11e9-91ff-0025b501a04b',	'Великие Дедушичи'),
(530,	'c14c09a4-c343-11e9-b0c5-005056b24375',	'Великие Зозулинцы'),
(531,	'd138958f-a9e7-11e8-ad0d-005056b24375',	'Великие Комяты'),
(532,	'366343f1-8fd6-11e2-8f83-d4ae527baec3',	'Великие Копани (Херсонская обл.)'),
(533,	'f8ce8af9-8849-11e9-898c-005056b24375',	'Великие Коровинцы'),
(534,	'22f322bc-b2d4-11e9-8c22-005056b24375',	'Большие Кошарища'),
(535,	'5f2bb143-c601-11e3-95eb-0050568046cd',	'Великие Крынки (Глобинский р-н)'),
(536,	'03fde9b2-76f0-11e9-898c-005056b24375',	'Великие Лазы'),
(537,	'd3f3b91f-b59c-11e3-9fa0-0050568002cf',	'Великие Лучки'),
(538,	'83666e5e-e678-11e9-b48a-005056b24375',	'Великие Межиричи'),
(539,	'5b0cc19b-a8ee-11e3-9fa0-0050568002cf',	'Великие Мосты'),
(540,	'0987bc68-0c2f-11e4-acce-0050568002cf',	'Великие Сорочинцы'),
(541,	'0879ac9f-64d2-11e9-898c-005056b24375',	'Великие Телковичи'),
(542,	'c4065bff-8853-11e9-898c-005056b24375',	'Великие Трояны'),
(543,	'b5e8469a-39a0-11e9-acea-005056b24375',	'Великие Цепцевичи'),
(544,	'a29916b0-e67d-11e9-b48a-005056b24375',	'Великобоярка'),
(545,	'2d0743b0-9acf-11e3-b441-0050568002cf',	'Великодолинское'),
(546,	'0f6b1b2c-feef-11e9-91ff-0025b501a04b',	'Великокомаровка'),
(547,	'ee30b433-cf24-11e9-b0c5-005056b24375',	'Великомихайловка'),
(548,	'5d720088-e5ee-11e9-b48a-005056b24375',	'Великоалександровка'),
(549,	'20c724c5-feef-11e9-91ff-0025b501a04b',	'Великоплоское'),
(550,	'46d3da50-5f6e-11e9-898c-005056b24375',	'Велимче'),
(551,	'8434dceb-cf27-11e9-b0c5-005056b24375',	'Вельбовка '),
(552,	'317f87a6-9290-11e9-898c-005056b24375',	'Вельбивно (Острожский р-н)'),
(553,	'6557dc10-4d89-11e6-a9f2-005056887b8d',	'Велятино'),
(554,	'd0057eac-f7aa-11e3-8c4a-0050568002cf',	'Вендичаны'),
(555,	'65cca7e4-9fdd-11e5-a023-005056887b8d',	'Веприк'),
(556,	'f194e728-9e37-11e9-898c-005056b24375',	'Верба (Черниговская обл.)'),
(557,	'3044ab4c-a337-11e5-a023-005056887b8d',	'Верба(Ровенская обл.)'),
(558,	'0095a1c7-fee0-11e9-91ff-0025b501a04b',	'Вербиловцы'),
(559,	'da286ab0-7fec-11ea-a970-b8830365ade4',	'Вербовка (Винницкая обл.)'),
(560,	'db727207-e689-11e9-b48a-005056b24375',	'Вербовка (Ивано-Франковская обл.)'),
(561,	'ac8e2dae-c34f-11e9-b0c5-005056b24375',	'Вербовка (Каменский р-н, Черкасская обл.)'),
(562,	'6d374666-64d2-11e9-898c-005056b24375',	'Вербовка (Харьковская обл.)'),
(563,	'b4f1e33b-9648-11e9-898c-005056b24375',	'Вербовка (Черкасская обл.)'),
(564,	'8d0d63fc-5814-11e8-9d95-005056b2fc3d',	'Вербка'),
(565,	'4cd2027e-b7c0-11e9-8c22-005056b24375',	'Вербка (Винницкая обл.)'),
(566,	'bc59f2d5-3607-11ea-b89e-0025b501a04b',	'Вербка (Хмельницкая обл.)'),
(567,	'231c4d1e-883f-11e9-898c-005056b24375',	'Вербки (Днепропетровская обл.)'),
(568,	'45ee5c1e-05aa-11e3-874c-d4ae527baec3',	'Верблюжка'),
(569,	'c5d14783-dab6-11e9-b48a-005056b24375',	'Вербляны '),
(570,	'720a18ba-9e36-11e9-898c-005056b24375',	'Вербовое'),
(571,	'f1c90285-e66f-11e9-b48a-005056b24375',	'Вербовец'),
(572,	'c33f5c8f-fee6-11e9-91ff-0025b501a04b',	'Вербовец (Ивано-Франковская обл.)'),
(573,	'36314178-0ce3-11ea-8c15-0025b502a06e',	'Вербоватовка'),
(574,	'fb497519-8877-11e9-898c-005056b24375',	'Вергуны'),
(575,	'84ae4e97-7d65-11e9-898c-005056b24375',	'Веремиевка'),
(576,	'58355d48-9e63-11e9-898c-005056b24375',	'Веренчанка'),
(577,	'b725c16f-735e-11ea-a970-b8830365ade4',	'Вересы'),
(578,	'80229a02-f428-11e9-91ff-0025b501a04b',	'Верин'),
(579,	'061966ed-0c99-11ea-8c15-0025b502a06e',	'Вертокиевка'),
(580,	'908c1c46-e68d-11e9-b48a-005056b24375',	'Верховка'),
(581,	'4b9e7132-b937-11e1-b40c-0026b97ed48a',	'Верховцево'),
(582,	'faaade67-e670-11e9-b48a-005056b24375',	'Верхнее Высоцкое'),
(583,	'24c737ef-fd5a-11e5-899e-005056887b8d',	'Верхнее Водяное'),
(584,	'b4117c25-cf43-11e9-b0c5-005056b24375',	'Верхнее Песчаное'),
(585,	'd928a4da-c069-11e6-8b12-005056887b8d',	'Верхнее Синевидное'),
(586,	'a4f7d371-9e40-11e9-898c-005056b24375',	'Верхние Ворота'),
(587,	'11fa7f74-dae6-11e9-b48a-005056b24375',	'Верхние Гаи'),
(588,	'2117a5f4-887a-11e9-898c-005056b24375',	'Верхние Петровцы'),
(589,	'dcc2bd02-f410-11e9-91ff-0025b501a04b',	'Верхние Реметы'),
(590,	'5124c0d6-e67e-11e9-b48a-005056b24375',	'Верхние Серогозы'),
(591,	'fbb78625-b7aa-11e9-8c22-005056b24375',	'Верхние Становцы'),
(592,	'b03c5771-e5e2-11e9-b48a-005056b24375',	'Верхний Быстрый'),
(593,	'c47fba6a-a7a5-11e9-b73a-005056b24375',	'Верхний Коропец'),
(594,	'faaade91-e670-11e9-b48a-005056b24375',	'Верхний Лужок'),
(595,	'06f87938-4079-11de-b509-001d92f78698',	'Верхний Рогачик'),
(596,	'8c469cd3-9e6a-11e9-898c-005056b24375',	'Верхний Струтинь'),
(597,	'97b6f963-9e4f-11e9-898c-005056b24375',	'Верхний Ясенов'),
(598,	'441f7f9a-a440-11dd-bcd8-001d92f78697',	'Верхнеднепровск'),
(599,	'0244730e-feee-11e9-91ff-0025b501a04b',	'Верхнекаменское'),
(600,	'36d2509b-cf48-11e9-b0c5-005056b24375',	'Верхняя'),
(601,	'c5d14798-dab6-11e9-b48a-005056b24375',	'Верхняя Белка'),
(602,	'e86be02e-e686-11e9-b48a-005056b24375',	'Верхняя Визница'),
(603,	'bcc951b1-daa9-11e9-b48a-005056b24375',	'Верхняя Криница'),
(604,	'8724d6d9-b329-11e3-9fa0-0050568002cf',	'Верхняя Сироватка'),
(605,	'11dc570a-c352-11e9-b0c5-005056b24375',	'Верхняя Стынава'),
(606,	'ee0f738f-e5dd-11e9-b48a-005056b24375',	'Верхняя Терса'),
(607,	'19b0c6dd-dab7-11e9-b48a-005056b24375',	'Верхняя Яблонька'),
(609,	'f70622de-4078-11de-b509-001d92f78698',	'Верховина'),
(610,	'8b75e5bc-c350-11e9-b0c5-005056b24375',	'Верчаны'),
(611,	'23a816f3-cf15-11e9-b0c5-005056b24375',	'Вершина'),
(612,	'85412f26-20b6-11ea-b89e-0025b501a04b',	'Веселое'),
(613,	'f70622ca-4078-11de-b509-001d92f78698',	'Веселое (Запорожская обл.)'),
(614,	'cb7e7bf3-b7a3-11e9-8c22-005056b24375',	'Веселое (Кировоградская обл.)'),
(615,	'89a35338-0c93-11ea-8c15-0025b502a06e',	'Веселое (Олександровский р-н., Киров. Обл.)'),
(616,	'253ed1fa-0ce3-11ea-8c15-0025b502a06e',	'Веселое (Павлоградский р-н)'),
(617,	'44d3ccd6-82d1-11e9-898c-005056b24375',	'Веселое (Сумская обл.)'),
(618,	'7f457a97-8869-11e9-898c-005056b24375',	'Веселое (Харьковская обл.)'),
(619,	'40a6d83a-9e3f-11e9-898c-005056b24375',	'Веселое (Херсонская обл.)'),
(620,	'a6f77fb0-a96a-11e9-b73a-005056b24375',	'Веселый Кут'),
(621,	'4c8dd0fe-9402-11e9-898c-005056b24375',	'Веселый Подол '),
(622,	'39ba1a85-e68c-11e9-b48a-005056b24375',	'Веселиновка'),
(623,	'000655da-4079-11de-b509-001d92f78698',	'Веселиново'),
(624,	'08292c8f-0ce3-11ea-8c15-0025b502a06e',	'Веселовка (Кировоградская обл.)'),
(625,	'369862cd-b795-11e9-8c22-005056b24375',	'Ветлы'),
(626,	'eb252228-a17a-11e4-a77a-005056887b8d',	'Выгода (Ивано-Франковская обл)'),
(627,	'4d090a02-9fd2-11e4-a77a-005056887b8d',	'Выгода (Одесская обл)'),
(628,	'dfc130d7-fed9-11e9-91ff-0025b501a04b',	'Выгода (Тернопольская обл.)'),
(629,	'eb741dbb-3c2d-11ea-b89e-0025b501a04b',	'Выграев'),
(630,	'0bccb1da-cf24-11e9-b0c5-005056b24375',	'Видинов'),
(631,	'17b483f5-03f3-11de-9570-001d92f78697',	'Вижница'),
(632,	'b13f8a80-76f3-11e9-898c-005056b24375',	'Выжний Березов'),
(633,	'b31c024d-9e5d-11e9-898c-005056b24375',	'Визирка'),
(634,	'8588b2d7-e671-11e9-b48a-005056b24375',	'Выкоты'),
(635,	'3d3ed73e-ef6b-11e2-874c-d4ae527baec3',	'Вилково'),
(636,	'39b7cb3b-e12e-11e5-899e-005056887b8d',	'Вилок (Закарпатская обл.)'),
(637,	'b316568b-2471-11e4-acce-0050568002cf',	'Винники'),
(638,	'69e4b9ad-cf20-11e9-b0c5-005056b24375',	'Виноград'),
(639,	'1447f676-e5e7-11e9-b48a-005056b24375',	'Виноград (Ивано-Франковская обл.)'),
(640,	'db5c88db-391c-11dd-90d9-001a92567626',	'Виноградов'),
(641,	'42c66baf-35c6-11e9-acea-005056b24375',	'Виноградовка'),
(642,	'3eee79ca-dae3-11e9-b48a-005056b24375',	'Виноградовка (Одесская обл., Болградский р-н)'),
(643,	'08b4b95f-8835-11e9-898c-005056b24375',	'Виноградовка (Одесская обл.)'),
(644,	'6220fc5f-20b7-11ea-b89e-0025b501a04b',	'Виноградовка (Раздельнянский р-н)'),
(645,	'85e982ff-3607-11ea-b89e-0025b501a04b',	'Виноградовка (Тарутинский р-н., Одесская обл.)'),
(646,	'291aee5b-7d6b-11e9-898c-005056b24375',	'Виноградное'),
(647,	'452193fe-dae5-11e9-b48a-005056b24375',	'Виноградное (Николаевская обл.)'),
(648,	'9b1e6b7f-daa7-11e9-b48a-005056b24375',	'Виноградово (Херсонская обл.)'),
(649,	'c3f1286d-1677-11e6-971e-005056887b8d',	'Выпасное (Белгород-Днестровский р-н)'),
(650,	'8d4658cc-9e38-11e9-898c-005056b24375',	'Выползов'),
(651,	'f34321e4-07b4-11e6-971e-005056887b8d',	'Виры'),
(652,	'0d096b32-b7b5-11e9-8c22-005056b24375',	'Виры (Сумская обл.)'),
(653,	'71cdda83-adab-11e3-9fa0-0050568002cf',	'Выришальное (Лохвицкий р-н)'),
(654,	'40708e64-e68d-11e9-b48a-005056b24375',	'Выришальный'),
(655,	'8fbdc045-76ef-11e9-898c-005056b24375',	'Высокая Печь'),
(656,	'38ae9838-9e62-11e9-898c-005056b24375',	'Высокое'),
(657,	'8ae7a08f-0ce4-11ea-8c15-0025b502a06e',	'Высокое (Днепропетровская обл.)'),
(658,	'72e18d5d-5568-11e5-8d8d-005056887b8d',	'Высокий'),
(659,	'3c91efda-7d5e-11e9-898c-005056b24375',	'Высокогорное'),
(660,	'f706231a-4078-11de-b509-001d92f78698',	'Высокополье'),
(662,	'55c78c3f-8863-11e9-898c-005056b24375',	'Высоцк '),
(663,	'b20cfbcd-9291-11e9-898c-005056b24375',	'Высочиновка'),
(664,	'bc38b820-64ce-11e9-898c-005056b24375',	'Высунск'),
(665,	'03db42e0-884f-11e9-898c-005056b24375',	'Витвица'),
(666,	'6bef18c6-7d6b-11e9-898c-005056b24375',	'Витилевка'),
(667,	'e21dfd65-b7b2-11e9-8c22-005056b24375',	'Вытязевка'),
(668,	'e44aafc6-e5e8-11e9-b48a-005056b24375',	'Вихровка'),
(669,	'86e74c8c-dfac-11e9-b48a-005056b24375',	'Вичевка'),
(670,	'db5c88dc-391c-11dd-90d9-001a92567626',	'Вышгород'),
(671,	'b472b70b-f413-11e9-91ff-0025b501a04b',	'Вишевичи'),
(672,	'cda266c3-7e10-11e5-b6f7-005056887b8d',	'Вишенки'),
(673,	'56b283b2-64d0-11e9-898c-005056b24375',	'Вишенки (Коропской г-н., Черниговская обл.)'),
(674,	'706affc8-7d68-11e9-898c-005056b24375',	'Вышковцы'),
(675,	'9b060af0-9ee5-11e3-9fa0-0050568002cf',	'Вышково'),
(676,	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Вишневое'),
(677,	'31ad9f3e-76ee-11e9-898c-005056b24375',	'Вишневое (Днепропетровская обл)'),
(678,	'1fceb43c-0c93-11ea-8c15-0025b502a06e',	'Вишневое (Донецкая обл.)'),
(679,	'af5a0218-c33b-11e9-b0c5-005056b24375',	'Вишнёвое (Кировоградская обл.)'),
(680,	'ef0279ea-b7bd-11e9-8c22-005056b24375',	'Вишневое (Полтавская обл.)'),
(681,	'92ca9fdb-dae6-11e9-b48a-005056b24375',	'Вишневое (Широковский р-н. Днепропетровская обл.)'),
(682,	'd9cb2386-64cc-11e9-898c-005056b24375',	'Вишнев'),
(683,	'60ed9a8d-e4d0-11e3-8c4a-0050568002cf',	'Вишневец'),
(684,	'1359853e-82d1-11e9-898c-005056b24375',	'Вишневцы'),
(685,	'f44f75bd-cf1d-11e9-b0c5-005056b24375',	'Вишневчик'),
(686,	'05c808a5-daa9-11e9-b48a-005056b24375',	'Вишнополь'),
(687,	'cda7e0ec-e66d-11e9-b48a-005056b24375',	'Вишняки'),
(688,	'33ab7efc-9e33-11e9-898c-005056b24375',	'Высшая Дубечня'),
(689,	'92e65539-76ea-11e9-898c-005056b24375',	'Высшеольчедаев'),
(690,	'8240e227-883f-11e9-898c-005056b24375',	'Высшетарасовка'),
(691,	'03cac129-e68b-11e9-b48a-005056b24375',	'Высший Булатец'),
(692,	'e3cbe0b5-928a-11e9-898c-005056b24375',	'Овчарово'),
(693,	'56ef354f-5a18-11ea-a970-b8830365ade4',	'Виднев'),
(694,	'93edc56a-9e41-11e9-898c-005056b24375',	'Отрадное'),
(695,	'9ec5f83c-be3b-11e3-9fa0-0050568002cf',	'Вийтовка'),
(696,	'3bcd515b-883c-11e9-898c-005056b24375',	'Войтовцы (Винницкая обл.)'),
(697,	'cdafe69f-dff6-11e3-8c4a-0050568002cf',	'Войтовцы (Хмельницкая обл.)'),
(698,	'ab49a518-884e-11e9-898c-005056b24375',	'Окно '),
(699,	'ee63f4f8-b7ba-11e9-8c22-005056b24375',	'Викторов'),
(700,	'6fdbc7ec-9e5e-11e9-898c-005056b24375',	'Викторовка'),
(701,	'd7bf9cf6-76f7-11e9-898c-005056b24375',	'Виктория'),
(702,	'8de804cd-7d64-11e9-898c-005056b24375',	'Вольное (Донецкая обл.)'),
(703,	'21d3b3d1-20b6-11ea-b89e-0025b501a04b',	'Вольное (Кировоградская обл.)'),
(704,	'b120ad07-c025-11e5-8478-005056887b8d',	'Вольное (Криворожский р-н)'),
(705,	'38692784-9404-11e9-898c-005056b24375',	'Вольное'),
(706,	'8d4658e1-9e38-11e9-898c-005056b24375',	'Вольное (Черниговская обл.)'),
(707,	'e3ab14fe-0c78-11e6-971e-005056887b8d',	'Вольное(Новомосковский р-н)'),
(708,	'441f7f98-a440-11dd-bcd8-001d92f78697',	'Вольногорск'),
(709,	'fecfdfb5-a96a-11e9-b73a-005056b24375',	'Вольнянка'),
(710,	'cfbeaca2-4063-11de-b509-001d92f78698',	'Вольнянск'),
(711,	'6fcabed5-20b8-11ea-b89e-0025b501a04b',	'Ольховка (Ивано-Франковская обл.)'),
(712,	'b9dd5f96-7079-11e8-9d95-005056b2fc3d',	'Ольховцы'),
(713,	'774e107c-e687-11e9-b48a-005056b24375',	'Ольховцы-Лазы '),
(714,	'26b6857b-64d3-11e9-898c-005056b24375',	'Ольховец'),
(715,	'c67805bb-8828-11e9-898c-005056b24375',	'Вильховець (Хмельницкая обл.)'),
(716,	'b0e532dd-76fa-11e9-898c-005056b24375',	'Вильча'),
(717,	'1162da0e-964d-11e9-898c-005056b24375',	'Ольшана (Харьковская обл.)'),
(718,	'a2153f40-0eac-11e5-add9-005056887b8d',	'Вильшана (Черкаская обл.)'),
(719,	'ba0f0e61-0d49-11e6-971e-005056887b8d',	'Ольшана(Сумская обл.)'),
(720,	'a8fd5514-9a2c-11e3-b441-0050568002cf',	'Ольшани (Харьковская обл.)'),
(721,	'c14c09b9-c343-11e9-b0c5-005056b24375',	'Ольшаник'),
(722,	'd1eed811-e688-11e9-b48a-005056b24375',	'Ольшаница'),
(723,	'06f87954-4079-11de-b509-001d92f78698',	'Ольшанка (Кировоградская обл.)'),
(724,	'8480a74d-c33c-11e9-b0c5-005056b24375',	'Ольшанка (Новоархангельский р-н)'),
(725,	'3a9b4892-cf3b-11e9-b0c5-005056b24375',	'Ольшанка (Одесская обл)'),
(726,	'cf18a910-6544-11ea-a970-b8830365ade4',	'Ольшанская Новоселица'),
(727,	'b2cf3e98-6544-11ea-a970-b8830365ade4',	'Винницкие Ставы '),
(728,	'7dbedf7f-0b93-11e5-8a92-005056887b8d',	'Винницкие Хутора'),
(729,	'db5c88de-391c-11dd-90d9-001a92567626',	'Винница'),
(730,	'a4502be6-577e-11de-b9fc-0021918b679a',	'Виньковцы'),
(731,	'e6524d87-cf48-11e9-b0c5-005056b24375',	'Вестовая'),
(732,	'e721a7e4-b79a-11e9-8c22-005056b24375',	'Вистовичи'),
(733,	'edb924ab-4c84-11e9-acea-005056b24375',	'Вита-Почтовая'),
(734,	'591febc0-7d5f-11e9-898c-005056b24375',	'Витковичи'),
(735,	'0849fdb9-c346-11e9-b0c5-005056b24375',	'Витово'),
(736,	'db4d0052-7d62-11e9-898c-005056b24375',	'Ветрянка'),
(737,	'a7214941-9290-11e9-898c-005056b24375',	'Владиславовка (Млиновский р-н)'),
(738,	'2902a41c-cf39-11e9-b0c5-005056b24375',	'Владиславка'),
(739,	'e295e791-76fb-11e9-898c-005056b24375',	'Владична'),
(740,	'768560b9-6540-11ea-a970-b8830365ade4',	'Владовка'),
(741,	'dd7ccd80-2bf7-11e3-b441-0050568002cf',	'Власовка'),
(742,	'93dae164-f406-11e9-91ff-0025b501a04b',	'Вовковцы'),
(743,	'85c5b8e7-4c73-11e9-acea-005056b24375',	'Волковинцы'),
(744,	'db5c88e1-391c-11dd-90d9-001a92567626',	'Волчанск'),
(745,	'8ed4fd24-0c99-11ea-8c15-0025b502a06e',	'Волчанское'),
(746,	'160d6e48-9e4e-11e9-898c-005056b24375',	'Волчанские Хутора'),
(747,	'ef5dae7b-cf29-11e9-b0c5-005056b24375',	'Волчье'),
(748,	'07d40af8-9402-11e9-898c-005056b24375',	'Вовчик'),
(749,	'a5260d62-6982-11e8-9d95-005056b2fc3d',	'Волчинец'),
(750,	'1694ad5e-b79c-11e9-8c22-005056b24375',	'Волчищовичи'),
(751,	'49faf0ff-b797-11e9-8c22-005056b24375',	'Волчков'),
(752,	'cf33fb08-82ce-11e9-898c-005056b24375',	'Волчковцы'),
(753,	'b7522a7a-cf2a-11e9-b0c5-005056b24375',	'Волчухи'),
(754,	'53c5b2b5-76f1-11e9-898c-005056b24375',	'Водица'),
(755,	'9368c655-928f-11e9-898c-005056b24375',	'Водяная Балка'),
(756,	'b4ef6640-b8d8-11e4-a77a-005056887b8d',	'Водяное (Каменско-Днепровский р-н)'),
(757,	'd82643c2-64d2-11e9-898c-005056b24375',	'Водяники'),
(758,	'5fa8150d-4694-11ea-b89e-0025b501a04b',	'Воегоща'),
(759,	'968da365-76f2-11e9-898c-005056b24375',	'Воздвижевка'),
(760,	'7b4756f6-3a91-11e5-add9-005056887b8d',	'Вознесенка'),
(761,	'db5c88e3-391c-11dd-90d9-001a92567626',	'Вознесенск'),
(762,	'081feb4e-5f5a-11e9-898c-005056b24375',	'Воссиятское'),
(763,	'de02f40f-cf47-11e9-b0c5-005056b24375',	'Войнилов'),
(764,	'6e3078bc-9e5d-11e9-898c-005056b24375',	'Войновка'),
(765,	'fb6baa4b-59e5-11e9-a703-005056b24375',	'Войтово'),
(766,	'0365ff01-b771-11e9-8c22-005056b24375',	'Вокзал-Городня'),
(767,	'7f6f5b3f-76fb-11e9-898c-005056b24375',	'Волица'),
(768,	'd0da1f97-1aaf-11ea-8c15-0025b502a06e',	'Волица (Жолковский р-н)'),
(769,	'36218c55-b780-11e9-8c22-005056b24375',	'Волица (Львовская обл.)'),
(770,	'bf22d5d1-e674-11e9-b48a-005056b24375',	'Волица (Мостиский р-н., Львовская обл.)'),
(771,	'69da41b4-3f5d-11de-b509-001d92f78698',	'Волноваха'),
(772,	'06f87908-4079-11de-b509-001d92f78698',	'Воловец'),
(773,	'f7062300-4078-11de-b509-001d92f78698',	'Володарка'),
(774,	'f7062358-4078-11de-b509-001d92f78698',	'Владимир-Волынский'),
(775,	'0006561c-4079-11de-b509-001d92f78698',	'Владимирец'),
(776,	'd2983e7f-e5f0-11e9-b48a-005056b24375',	'Владимировка (Волынская обл.)'),
(777,	'0befc300-5e8e-11e4-acce-0050568002cf',	'Владимировка (Донецкая обл.)'),
(778,	'2782534e-cf14-11e9-b0c5-005056b24375',	'Владимировка (Запорожская обл.)'),
(779,	'40337be6-64cb-11e9-898c-005056b24375',	'Владимировка (Знаменский р-н.)'),
(780,	'199ba717-885c-11e9-898c-005056b24375',	'Владимировка (Казанский р-н)'),
(781,	'37cc05e1-b7a2-11e9-8c22-005056b24375',	'Владимировка (Киевская обл.)'),
(782,	'26c5e6b2-7d6a-11e9-898c-005056b24375',	'Владимировка (Петровский р-н.)'),
(783,	'7d5a13ea-b1af-11e8-ad0d-005056b24375',	'Владимировское'),
(785,	'b3f90cf2-9df3-11e3-b441-0050568002cf',	'Волока'),
(786,	'5e320aec-e5e6-11e9-b48a-005056b24375',	'Волосов'),
(787,	'8d4658f6-9e38-11e9-898c-005056b24375',	'Волосковцы'),
(788,	'd8c6be75-b7b6-11e9-8c22-005056b24375',	'Волосянка'),
(789,	'06f878ec-4079-11de-b509-001d92f78698',	'Волочиск'),
(790,	'e9eafc66-e68b-11e9-b48a-005056b24375',	'Волошиновка'),
(791,	'b519cd09-e5e7-11e9-b48a-005056b24375',	'Волсвин'),
(792,	'c6264cd7-c344-11e9-b0c5-005056b24375',	'Воля-Блажевская'),
(793,	'6dece370-f40d-11e9-91ff-0025b501a04b',	'Воля-Высоцкая'),
(794,	'e51f5c0b-7fef-11ea-a970-b8830365ade4',	'Воля-Задеревацкая'),
(795,	'f278e82d-883c-11e9-898c-005056b24375',	'Воля-Любитовская'),
(796,	'6e74aee1-c352-11e9-b0c5-005056b24375',	'Вонигово'),
(797,	'9e8561e4-f1a0-11e1-a58d-d4ae527baec9',	'Ворзель'),
(798,	'47adb68b-cfd8-11e9-b0c5-005056b24375',	'Воробьевка'),
(799,	'e1cef972-db0a-11e1-aa18-d4ae527baec9',	'Ворожба (Белопольский р-н)'),
(800,	'22666ff9-5b77-11e5-8d8d-005056887b8d',	'Ворожба (Лебединский р-н)'),
(801,	'e1330b4b-a7a1-11e9-b73a-005056b24375',	'Вороное'),
(802,	'a3ed5c3d-0c98-11ea-8c15-0025b502a06e',	'Вороновка'),
(803,	'881563bb-6d3c-11e3-b441-0050568002cf',	'Воронеж'),
(804,	'a6e309d9-64d1-11e9-898c-005056b24375',	'Воронки'),
(805,	'03e3d0d3-b992-11e3-9fa0-0050568002cf',	'Вороновица'),
(806,	'8bdb0abd-92b5-11e5-a023-005056887b8d',	'Вороньков'),
(807,	'99a9329a-e5e8-11e9-b48a-005056b24375',	'Вороняки'),
(808,	'99f44a2d-a7a1-11e9-b73a-005056b24375',	'Воропаев'),
(809,	'4203a271-96cb-11e6-a4c1-005056887b8d',	'Ворохта'),
(810,	'0a4e0a2e-882e-11e9-898c-005056b24375',	'Вороцев'),
(811,	'48934d5a-884d-11e9-898c-005056b24375',	'Воскресенка'),
(812,	'4dca8290-b7a7-11e9-8c22-005056b24375',	'Воскресенка (Херсонская обл.)'),
(813,	'780fa595-4a88-11e6-a9f2-005056887b8d',	'Воскресенское (Николаевская обл.)'),
(814,	'760a4328-0c94-11ea-8c15-0025b502a06e',	'Воютын'),
(815,	'8588b2c2-e671-11e9-b48a-005056b24375',	'Воютичи'),
(816,	'06f87958-4079-11de-b509-001d92f78698',	'Врадиевка'),
(817,	'53e8eb78-b798-11e9-8c22-005056b24375',	'Времьевка'),
(818,	'5be59f06-1f2e-11e1-a84e-0026b97ed48a',	'Угледар'),
(819,	'84f61e03-f5bc-11e5-899e-005056887b8d',	'Узловое'),
(820,	'3c2b4c13-ff8a-11e8-ad0d-005056b24375',	'Гавриловка'),
(821,	'ca8aa71e-f40a-11e9-91ff-0025b501a04b',	'Гавриловка (Ивано-Франковская обл.)'),
(822,	'b20cfbb8-9291-11e9-898c-005056b24375',	'Гавриловка (Харьковская обл.)'),
(823,	'7f6f5b69-76fb-11e9-898c-005056b24375',	'Гавриловка (Хмельницкая обл)'),
(824,	'89aff5a2-603f-11e5-8d8d-005056887b8d',	'Гавришовка'),
(825,	'e215a1f4-7d70-11e9-898c-005056b24375',	'Гавронщина'),
(826,	'7833e610-3b51-11de-913b-001d92f78698',	'Гадяч'),
(827,	'a64825db-b7c0-11e9-8c22-005056b24375',	'Гаи-Шевченковские'),
(828,	'06f87950-4079-11de-b509-001d92f78698',	'Гайворон'),
(829,	'69da4181-3f5d-11de-b509-001d92f78698',	'Гайсин'),
(830,	'a0de4d45-b2d6-11e9-8c22-005056b24375',	'Гайшин'),
(831,	'0365fed7-b771-11e9-8c22-005056b24375',	'Галагановка'),
(832,	'd670ada5-cf2b-11e9-b0c5-005056b24375',	'Галагановка (Черкасская обл.)'),
(833,	'1676c406-0c92-11ea-8c15-0025b502a06e',	'Галинка'),
(834,	'd2998473-882b-11e9-898c-005056b24375',	'Галицыново'),
(835,	'3c6b97b3-9e39-11e9-898c-005056b24375',	'Галица'),
(836,	'f70622d2-4078-11de-b509-001d92f78698',	'Галич'),
(837,	'4d84c012-b81e-11e9-8c22-005056b24375',	'Галичаны'),
(838,	'95b3a9fc-a7a3-11e9-b73a-005056b24375',	'Галущина Гребля '),
(839,	'31762d98-8877-11e9-898c-005056b24375',	'Гальченци'),
(840,	'69cc4912-4698-11ea-b89e-0025b501a04b',	'Гамалиевка'),
(841,	'1d985e1a-9e5e-11e9-898c-005056b24375',	'Гандрабуры'),
(842,	'774e10a6-e687-11e9-b48a-005056b24375',	'Ганичи'),
(843,	'1c6cbf84-964c-11e9-898c-005056b24375',	'Анновка (Долинский р-н., Кировоградская обл.)'),
(844,	'7fa3c16b-0c99-11ea-8c15-0025b502a06e',	'Анновка (Запорожская обл.)'),
(845,	'26c5e6c7-7d6a-11e9-898c-005056b24375',	'Анновка (Петровский р-н., Кировоградская обл.)'),
(846,	'801bb79a-76f8-11e9-898c-005056b24375',	'Анновка-Вировская'),
(847,	'f11c4683-8838-11e9-898c-005056b24375',	'Аннополь'),
(848,	'2236c14b-b81f-11e9-8c22-005056b24375',	'Гаразджа'),
(849,	'e94c0165-9286-11e9-898c-005056b24375',	'Гарасимов'),
(850,	'0c9d87a5-9292-11e9-898c-005056b24375',	'Гарбузин'),
(851,	'0f6fe643-7302-11e9-898c-005056b24375',	'Горячковка'),
(852,	'b45d0a0e-feea-11e9-91ff-0025b501a04b',	'Гать'),
(853,	'f484b808-bec7-11e2-874c-d4ae527baec3',	'Гвардейское (Днепропетровск)'),
(854,	'300c7a15-b7a4-11e9-8c22-005056b24375',	'Гвардейское (Одесская обл.)'),
(856,	'94d7dc76-6c01-11e5-8d8d-005056887b8d',	'Гвоздец'),
(857,	'b56e626f-af49-11e8-ad0d-005056b24375',	'Гвоздев'),
(858,	'fd1a4899-9294-11e9-898c-005056b24375',	'Гвоздовцы'),
(859,	'7080924d-20b7-11ea-b89e-0025b501a04b',	'Гвоздавка Вторая'),
(860,	'648e5af5-40f5-11e5-8d8d-005056887b8d',	'Гельмязов'),
(861,	'4a384aef-9e6c-11e9-898c-005056b24375',	'Гениевка'),
(862,	'ae7a32be-0d45-11de-b6f5-001d92f78697',	'Геническ'),
(863,	'cf33fb1d-82ce-11e9-898c-005056b24375',	'Герыня'),
(864,	'd1393210-8866-11e9-898c-005056b24375',	'Гермаковка'),
(865,	'9042c788-f895-11e4-8a92-005056887b8d',	'Геронимовка'),
(866,	'06f8798e-4079-11de-b509-001d92f78698',	'Герца'),
(867,	'5031a550-dae7-11e9-b48a-005056b24375',	'Гирявые Исковцы'),
(868,	'b636130a-1aaf-11ea-8c15-0025b502a06e',	'Гийче'),
(869,	'5e30c1ff-9e54-11e9-898c-005056b24375',	'Горькая Полонка'),
(870,	'1e13e8dd-76fc-11e9-898c-005056b24375',	'Горки'),
(871,	'c364ee8f-8859-11e9-898c-005056b24375',	'Горное'),
(872,	'bff51fa5-4bf0-11e5-8d8d-005056887b8d',	'Горняк'),
(873,	'0884ce58-abc9-11e6-b5da-005056887b8d',	'Горняк (Львовская обл.)'),
(874,	'79b27fde-b76f-11e9-8c22-005056b24375',	'Гирсовка'),
(875,	'd147e814-b094-11e2-8f96-d4ae527baec3',	'Горское'),
(876,	'a6f77fc5-a96a-11e9-b73a-005056b24375',	'Горское (Львовская обл.)'),
(877,	'57577477-fed9-11e9-91ff-0025b501a04b',	'Главани'),
(878,	'f2d3c6f3-cf15-11e9-b0c5-005056b24375',	'Гладковка'),
(879,	'2ccad20d-6545-11ea-a970-b8830365ade4',	'Гладковщина'),
(880,	'fcb274dd-cf2a-11e9-b0c5-005056b24375',	'Гладковичи'),
(881,	'760c941f-23aa-11e9-ad0d-005056b24375',	'Гланышев'),
(882,	'9e8561e7-f1a0-11e1-a58d-d4ae527baec9',	'Глеваха'),
(883,	'06f8798c-4079-11de-b509-001d92f78698',	'Глыбокая'),
(884,	'fe34d202-7d63-11e9-898c-005056b24375',	'Глубокое'),
(885,	'be2d1a00-8869-11e9-898c-005056b24375',	'Глубокое (Харьковская обл.) '),
(886,	'50f12f20-cf2e-11e9-b0c5-005056b24375',	'Глубочица'),
(887,	'66c0a2c0-e682-11e9-b48a-005056b24375',	'Глубочек (Каменский сельский совет)'),
(888,	'596ca0e7-8879-11e9-898c-005056b24375',	'Глиница'),
(889,	'f788140d-8e46-11e3-b441-0050568002cf',	'Глинное (Рокитнянский р-н, Ровненская обл.)'),
(890,	'204ebbba-cf4c-11e9-b0c5-005056b24375',	'Глинск (Винницкая обл.)'),
(891,	'06418829-8856-11e9-898c-005056b24375',	'Глинск (Кировоградская обл.)'),
(892,	'07b9c81b-cf2e-11e9-b0c5-005056b24375',	'Глинск (Ровенская обл.)'),
(893,	'99a93285-e5e8-11e9-b48a-005056b24375',	'Глиняны'),
(894,	'300ec5fe-fed3-11e9-91ff-0025b501a04b',	'Глебовка'),
(895,	'7833e61c-3b51-11de-913b-001d92f78698',	'Глобино'),
(896,	'51eefb7d-cf1c-11e9-b0c5-005056b24375',	'Глодосы'),
(897,	'db5c88e6-391c-11dd-90d9-001a92567626',	'Глухов (Сумская обл.)'),
(898,	'4024132d-aa89-11e3-9fa0-0050568002cf',	'Глуховцы'),
(899,	'57d2e2ee-884e-11e9-898c-005056b24375',	'Глушков'),
(900,	'a4ad36cd-b784-11e9-8c22-005056b24375',	'Глушковка'),
(901,	'8bd6844b-9e62-11e9-898c-005056b24375',	'Гмирянка'),
(902,	'3fed2ab7-b7a0-11e9-8c22-005056b24375',	'Гнатков'),
(903,	'0f75fb1f-0cf7-11ea-8c15-0025b502a06e',	'Гнилички'),
(904,	'40981b29-a02c-11e1-b2df-0026b97ed48a',	'Гнивань'),
(905,	'9f95c0c7-64d3-11e9-898c-005056b24375',	'Гнедин'),
(906,	'735e1004-9296-11e9-898c-005056b24375',	'Гнединцы'),
(907,	'fafb2062-4715-11e5-8d8d-005056887b8d',	'Гнездычев'),
(908,	'f25177f4-b7b7-11e9-8c22-005056b24375',	'Говтвянчик'),
(909,	'e69c202a-c5f7-11e3-95eb-0050568046cd',	'Гоголево (Полтавская обл.)'),
(910,	'7ecec01b-0dee-11e6-971e-005056887b8d',	'Гоголев(Броварской р-н)'),
(911,	'f84a2801-76fa-11e9-898c-005056b24375',	'Годыновка'),
(912,	'dab6f892-76f7-11e9-898c-005056b24375',	'Гожулы'),
(913,	'db5c88e7-391c-11dd-90d9-001a92567626',	'Голая Пристань'),
(914,	'a4558ec4-76f9-11e9-898c-005056b24375',	'Голгоча'),
(915,	'989141b5-cf48-11e9-b0c5-005056b24375',	'Голынь'),
(916,	'2edb3906-f414-11e9-91ff-0025b501a04b',	'Голышев (Ровенская обл.)'),
(917,	'e8da2364-826e-11e3-b441-0050568002cf',	'Голобы'),
(918,	'8b75e5a7-c350-11e9-b0c5-005056b24375',	'Голобородьковское'),
(919,	'06f8794e-4079-11de-b509-001d92f78698',	'Голованевск'),
(920,	'a9d0ecb6-76f5-11e9-898c-005056b24375',	'Головковка'),
(921,	'738d366f-e4a4-11e3-8c4a-0050568002cf',	'Головно'),
(922,	'bb3b3f0c-e679-11e9-b48a-005056b24375',	'Головница'),
(923,	'a0de4d30-b2d6-11e9-8c22-005056b24375',	'Головуров'),
(924,	'c6ec8713-0c93-11ea-8c15-0025b502a06e',	'Головчинцы'),
(925,	'b779094c-b781-11e9-8c22-005056b24375',	'Голозубинцы'),
(926,	'95f15b92-7d62-11e9-898c-005056b24375',	'Голосков'),
(927,	'2a94f364-0c94-11ea-8c15-0025b502a06e',	'Голосков (Хмельницкая обл.)'),
(928,	'd1d230e5-cf17-11e9-b0c5-005056b24375',	'Голубиное'),
(929,	'9a2e3e5f-8cb5-11e3-b441-0050568002cf',	'Голубовка'),
(930,	'87e8c0c4-dae1-11e9-b48a-005056b24375',	'Гольма '),
(931,	'2a319437-8857-11e9-898c-005056b24375',	'Гончаровка'),
(932,	'732ade64-ee3f-11e4-8a92-005056887b8d',	'Гончаровское'),
(933,	'c65bccbb-4691-11ea-b89e-0025b501a04b',	'Гоптовка'),
(934,	'6269add9-fee3-11e9-91ff-0025b501a04b',	'Гопчиця'),
(935,	'0adbd449-5fc4-11e9-898c-005056b24375',	'Гора (Бориспольский р-н., Киевская обл.)'),
(936,	'1043aa89-dab5-11e9-b48a-005056b24375',	'Гораймовка'),
(937,	'0fde1de5-64d2-11e9-898c-005056b24375',	'Горбаков'),
(938,	'3277e8bd-64ca-11e9-898c-005056b24375',	'Горбова'),
(939,	'288fe492-7d5c-11e9-898c-005056b24375',	'Горбово'),
(940,	'204ebb90-cf4c-11e9-b0c5-005056b24375',	'Гордиевка'),
(941,	'd1389571-a9e7-11e8-ad0d-005056b24375',	'Гореничи'),
(942,	'30be0d88-5f46-11e9-898c-005056b24375',	'Горенка'),
(943,	'd122cd83-76f8-11e9-898c-005056b24375',	'Горынка'),
(944,	'd653ba34-1988-11e5-add9-005056887b8d',	'Горинчово'),
(945,	'527f00e8-cf24-11e9-b0c5-005056b24375',	'Горишнее Залучье'),
(946,	'db5c8920-391c-11dd-90d9-001a92567626',	'Горишние Плавни'),
(947,	'58355d5d-9e63-11e9-898c-005056b24375',	'Горишние Шеровцы'),
(948,	'06f87934-4079-11de-b509-001d92f78698',	'Горностаевка'),
(949,	'e831482c-fed3-11e9-91ff-0025b501a04b',	'Горностайполь'),
(950,	'1e0ee7f8-c345-11e9-b0c5-005056b24375',	'Горобиевка'),
(951,	'f70622e4-4078-11de-b509-001d92f78698',	'Городенка'),
(952,	'a175c209-1195-11e4-acce-0050568002cf',	'Городец'),
(953,	'47357de1-c33a-11e9-b0c5-005056b24375',	'Городецкое'),
(954,	'0879acb4-64d2-11e9-898c-005056b24375',	'Городище (Березновский р-н.)'),
(955,	'8cf8b0eb-cf15-11e9-b0c5-005056b24375',	'Городище (Луганская обл.)'),
(956,	'30895470-fef7-11e9-91ff-0025b501a04b',	'Городище (Менський р-н)'),
(957,	'56b283dc-64d0-11e9-898c-005056b24375',	'Городище (Ровенский р-н., Ровенская обл.)'),
(958,	'06f87986-4079-11de-b509-001d92f78698',	'Городище (Черкасская обл.)'),
(959,	'39a72fd8-e67d-11e9-b48a-005056b24375',	'Городище-Косовское'),
(960,	'2e8bdc52-76f4-11e9-898c-005056b24375',	'Городище-Пустоваровское'),
(961,	'f0a46911-9ae8-11e3-b441-0050568002cf',	'Городковка'),
(962,	'5d766363-b79d-11e9-8c22-005056b24375',	'Городница (Житомирская обл.)'),
(963,	'06f879a6-4079-11de-b509-001d92f78698',	'Городня'),
(964,	'1043aa9e-dab5-11e9-b48a-005056b24375',	'Городок (Волынская обл.)'),
(965,	'8fbdc01b-76ef-11e9-898c-005056b24375',	'Городок (Житомирская обл.)'),
(966,	'a0218ec2-cf2d-11e9-b0c5-005056b24375',	'Городок (Ровенская обл.)'),
(967,	'a4502bea-577e-11de-b9fc-0021918b679a',	'Городок (Хмельницкая обл.)'),
(968,	'f706237e-4078-11de-b509-001d92f78698',	'Городок(Львовская обл.)'),
(969,	'3e74baab-887b-11e9-898c-005056b24375',	'Горонда'),
(970,	'f706235c-4078-11de-b509-001d92f78698',	'Горохов'),
(971,	'7294763d-64d3-11e9-898c-005056b24375',	'Горошова'),
(972,	'df038be6-8848-11e9-898c-005056b24375',	'Горщик'),
(973,	'5431439f-0c7d-11e6-971e-005056887b8d',	'Горького'),
(974,	'55929bf7-b7a8-11e9-8c22-005056b24375',	'Горяновское'),
(975,	'2902a3dd-cf39-11e9-b0c5-005056b24375',	'Острая Могила'),
(976,	'2330b4f6-f2cf-11e2-874c-d4ae527baec3',	'Гострое'),
(977,	'ef027a14-b7bd-11e9-8c22-005056b24375',	'Остролучье'),
(978,	'cf33fb32-82ce-11e9-898c-005056b24375',	'Гошев'),
(979,	'00065624-4079-11de-b509-001d92f78698',	'Гоща'),
(980,	'8c469ce8-9e6a-11e9-898c-005056b24375',	'Грабов'),
(981,	'4c97e47b-cf2d-11e9-b0c5-005056b24375',	'Грабов (Ровенская обл.)'),
(982,	'9a91fe48-5a1b-11ea-a970-b8830365ade4',	'Грабовка'),
(983,	'300c7a2a-b7a4-11e9-8c22-005056b24375',	'Грабово'),
(984,	'5e07c1b0-76f7-11e9-898c-005056b24375',	'Граденицы'),
(985,	'11d1799f-dbc5-11e1-aa18-d4ae527baec9',	'Градижск'),
(986,	'bf2ffc02-1b1b-11ea-8c15-0025b502a06e',	'Градовка'),
(987,	'6f61dc15-2165-11e5-add9-005056887b8d',	'Гранов'),
(988,	'405400c6-0c98-11ea-8c15-0025b502a06e',	'Грановка ((Ровенская обл.)'),
(989,	'1dfda720-a7a4-11e9-b73a-005056b24375',	'Гранитное'),
(990,	'f88729ee-76ee-11e9-898c-005056b24375',	'Гранитное (Житомирская обл.)'),
(991,	'c8383fbd-b7a4-11e9-8c22-005056b24375',	'Гребеники'),
(992,	'c5e2520a-9e67-11e9-898c-005056b24375',	'Гребениковка'),
(993,	'e5dd3d23-3b29-11de-913b-001d92f78698',	'Гребенка (Полтавская обл.)'),
(994,	'c335d9ee-bf5e-11e1-bdef-0026b97ed48a',	'Гребенки (Киевская обл.)'),
(995,	'49faf0ea-b797-11e9-8c22-005056b24375',	'Гребля'),
(996,	'83666e73-e678-11e9-b48a-005056b24375',	'Гремячее'),
(997,	'876cf4ba-b79e-11e9-8c22-005056b24375',	'Гречишкино'),
(998,	'792b7540-9e53-11e9-898c-005056b24375',	'Грибовиця'),
(999,	'7e4cae5d-845f-11e5-b6f7-005056887b8d',	'Григоровка'),
(1000,	'16e2e6cb-f667-11e9-91ff-0025b501a04b',	'Григорьевка (Великобурлукский р-н., Харьков. обл.'),
(1001,	'704737e6-8856-11e9-898c-005056b24375',	'Григорьевка (Светловодский р-н., Кировог. обл.)'),
(1002,	'4a384b09-9e6c-11e9-898c-005056b24375',	'Григоровка (Харьковская обл.)'),
(1003,	'ccd23e7a-c339-11e9-b0c5-005056b24375',	'Григорьевка (Херсонская обл.)'),
(1004,	'22d787c4-daa7-11e9-b48a-005056b24375',	'Григоровка (Черниговская обл.)'),
(1005,	'8e28a10a-584d-11e5-8d8d-005056887b8d',	'Гримайлов'),
(1006,	'ac455442-7d68-11e9-898c-005056b24375',	'Гриненки'),
(1007,	'ed5af256-0cbb-11e4-acce-0050568002cf',	'Грицев'),
(1008,	'538181bf-b7aa-11e9-8c22-005056b24375',	'Грициевка'),
(1009,	'e592a575-6c25-11e5-8d8d-005056887b8d',	'Гришковцы'),
(1010,	'a3f0134d-1b1c-11ea-8c15-0025b502a06e',	'Громное'),
(1011,	'3cf336f9-7d71-11e9-898c-005056b24375',	'Гринчинково'),
(1012,	'6edd6dfa-175d-11e6-971e-005056887b8d',	'Гродовка'),
(1013,	'cbd146ba-c340-11e9-b0c5-005056b24375',	'Гроза'),
(1014,	'54c5c3b2-cf2b-11e9-b0c5-005056b24375',	'Грозино'),
(1015,	'56eb198f-390d-11e9-acea-005056b24375',	'Грозинцы'),
(1016,	'cb9638bf-1cc0-11e6-971e-005056887b8d',	'Громовка'),
(1017,	'db4d0067-7d62-11e9-898c-005056b24375',	'Грубна'),
(1018,	'2a72a3a6-dab6-11e9-b48a-005056b24375',	'Грузевица'),
(1019,	'690b1fec-9e64-11e9-898c-005056b24375',	'Грузское'),
(1020,	'c5e2521f-9e67-11e9-898c-005056b24375',	'Грунь'),
(1021,	'd1bbe7d8-dab2-11e9-b48a-005056b24375',	'Грушино'),
(1022,	'a50f630a-8878-11e9-898c-005056b24375',	'Грушевка'),
(1023,	'f65965fa-cf49-11e9-b0c5-005056b24375',	'Грушевка (Днепропетровская обл.)'),
(1024,	'3704917d-8831-11e9-898c-005056b24375',	'Грушевцы'),
(1025,	'58cd302a-76f2-11e9-898c-005056b24375',	'Грушка'),
(1026,	'1a133995-daad-11e9-b48a-005056b24375',	'Грушка (Кировоградская обл.)'),
(1027,	'690b2001-9e64-11e9-898c-005056b24375',	'Грушковка'),
(1028,	'3c2d05f0-9e4c-11e9-898c-005056b24375',	'Грушковцы'),
(1029,	'504abb49-ee07-11e6-95d1-005056887b8d',	'Грушево'),
(1030,	'e0fe6883-76f5-11e9-898c-005056b24375',	'Гряда'),
(1031,	'1b97d6fb-7d6c-11e9-898c-005056b24375',	'Губаровка'),
(1032,	'2df2962d-5051-11e3-b441-0050568002cf',	'Губиниха'),
(1033,	'4911a3cb-fef8-11e9-91ff-0025b501a04b',	'Губник'),
(1034,	'5bf78d41-5a1b-11ea-a970-b8830365ade4',	'Гузиев'),
(1035,	'e39b5c7c-8841-11e9-898c-005056b24375',	'Гуйва'),
(1036,	'616a6781-6540-11ea-a970-b8830365ade4',	'Гуляйпольское'),
(1037,	'cfbeaca6-4063-11de-b509-001d92f78698',	'Гуляйполе'),
(1038,	'8d0db255-cf3c-11e9-b0c5-005056b24375',	'Гуляйполе (Днепропетровская обл.)'),
(1039,	'fcb274c8-cf2a-11e9-b0c5-005056b24375',	'Гулянка'),
(1040,	'6d34e570-cf1f-11e9-b0c5-005056b24375',	'Гуменцы'),
(1041,	'9c8ab029-883e-11e9-898c-005056b24375',	'Гупаловка'),
(1042,	'85c5b902-4c73-11e9-acea-005056b24375',	'Гурьевка'),
(1043,	'538181d4-b7aa-11e9-8c22-005056b24375',	'Гурбинцы'),
(1044,	'a85f2994-e5e9-11e9-b48a-005056b24375',	'Гуриновка'),
(1045,	'9f95c0b2-64d3-11e9-898c-005056b24375',	'Гуровщина'),
(1046,	'196f4f2f-8868-11e9-898c-005056b24375',	'Гусаровка'),
(1047,	'06f878f2-4079-11de-b509-001d92f78698',	'Гусятин'),
(1048,	'30f273df-76fa-11e9-898c-005056b24375',	'Гуты'),
(1049,	'bd38ff29-b7bf-11e9-8c22-005056b24375',	'Гущинцы'),
(1050,	'c58de034-0730-11e4-acce-0050568002cf',	'Давыдов'),
(1051,	'b8dd63f9-6545-11ea-a970-b8830365ade4',	'Давыдовка (Запорожская обл.)'),
(1052,	'301e95f2-b7bd-11e9-8c22-005056b24375',	'Давидовка (Полтавская обл.)'),
(1053,	'fa004c57-cf3d-11e9-b0c5-005056b24375',	'Давыдовка (Черновицкая обл.)'),
(1054,	'b4792bab-7d6a-11e9-898c-005056b24375',	'Дальник'),
(1055,	'bde029b4-76f3-11e9-898c-005056b24375',	'Даниловка'),
(1056,	'5c66e016-882e-11e9-898c-005056b24375',	'Данилово'),
(1057,	'c57b5cdf-9e51-11e9-898c-005056b24375',	'Данковцы'),
(1058,	'10a45721-14cf-11e5-add9-005056887b8d',	'Дарьевка'),
(1059,	'a64825c6-b7c0-11e9-8c22-005056b24375',	'Дарахов'),
(1060,	'b7caed6f-f40e-11e9-91ff-0025b501a04b',	'Даровка'),
(1061,	'06af889f-3531-11e5-add9-005056887b8d',	'Дачное'),
(1062,	'83070135-feea-11e9-91ff-0025b501a04b',	'Дачное (Донецкая обл.)'),
(1063,	'a464f84a-9fb3-11e3-9fa0-0050568002cf',	'Дашава'),
(1064,	'3fb5e68d-08f0-11e4-acce-0050568002cf',	'Дашев'),
(1065,	'f59b1874-0c98-11ea-8c15-0025b502a06e',	'Дворец'),
(1066,	'8480a762-c33c-11e9-b0c5-005056b24375',	'Дворцы'),
(1067,	'06f87912-4079-11de-b509-001d92f78698',	'Двуречная'),
(1068,	'82ceb16c-e5f0-11e9-b48a-005056b24375',	'Двуречный Кут'),
(1069,	'fedabea2-5a18-11ea-a970-b8830365ade4',	'Дебальцево'),
(1070,	'e85b5c38-dae6-11e9-b48a-005056b24375',	'Девладово'),
(1071,	'ef619567-76f3-11e9-898c-005056b24375',	'Делева'),
(1072,	'3eee79df-dae3-11e9-b48a-005056b24375',	'Делень'),
(1073,	'cc7d1d2e-8860-11e9-898c-005056b24375',	'Дельжилер'),
(1074,	'38b29898-d935-11e5-8478-005056887b8d',	'Делятин'),
(1075,	'8c469cfd-9e6a-11e9-898c-005056b24375',	'Демьянов'),
(1076,	'fbafb4a5-5a19-11ea-a970-b8830365ade4',	'Демьяновка'),
(1077,	'd15a2b5c-d5ac-11e3-95eb-0050568046cd',	'Демидов'),
(1078,	'00065610-4079-11de-b509-001d92f78698',	'Демидовка'),
(1079,	'407d97a0-0c94-11ea-8c15-0025b502a06e',	'Демидовка (Винницкая обл.)'),
(1080,	'ccfd3da6-5a1a-11ea-a970-b8830365ade4',	'Демидово'),
(1081,	'9cff6533-b2d8-11e9-8c22-005056b24375',	'Денисы'),
(1082,	'ea0537ab-399d-11e9-acea-005056b24375',	'Дениховка'),
(1083,	'31a778e5-e67c-11e9-b48a-005056b24375',	'Дениши'),
(1084,	'1c7bc48a-76f8-11e9-898c-005056b24375',	'Деражное'),
(1085,	'a4502be4-577e-11de-b9fc-0021918b679a',	'Деражня'),
(1086,	'06f8792c-4079-11de-b509-001d92f78698',	'Дергачи'),
(1087,	'a0a0c09f-cf22-11e9-b0c5-005056b24375',	'Деребчин'),
(1088,	'b0e51fb4-f428-11e9-91ff-0025b501a04b',	'Дережичи'),
(1089,	'3f023c1b-b78f-11e9-8c22-005056b24375',	'Дерезоватое'),
(1090,	'daf97f91-9292-11e9-898c-005056b24375',	'Деренковец'),
(1091,	'853fa65c-c349-11e9-b0c5-005056b24375',	'Дериевка'),
(1092,	'29c0ecf0-3608-11ea-b89e-0025b501a04b',	'Деркачовка'),
(1093,	'98e11c80-735e-11ea-a970-b8830365ade4',	'Дермань Вторая'),
(1094,	'56eb1974-390d-11e9-acea-005056b24375',	'Дерно'),
(1095,	'd8c6be9f-b7b6-11e9-8c22-005056b24375',	'Дерновое'),
(1096,	'099e5f05-9e69-11e9-898c-005056b24375',	'Дерцен'),
(1097,	'c1b54080-964b-11e9-898c-005056b24375',	'Десантное'),
(1098,	'cddf656b-6042-11e5-8d8d-005056887b8d',	'Десна (Винницкая обл.)'),
(1099,	'8d7f3b7e-a2d7-11e4-a77a-005056887b8d',	'Десна (Черниговская обл.)'),
(1100,	'3c6b97c8-9e39-11e9-898c-005056b24375',	'Деснянское'),
(1101,	'c129b29f-9942-11e3-b441-0050568002cf',	'Джулинка (Бершадской р-н)'),
(1102,	'03e3d0df-b992-11e3-9fa0-0050568002cf',	'Джурин (Шаргородский р-н)'),
(1103,	'0b2e1fb5-cf46-11e9-b0c5-005056b24375',	'Дзвиняч'),
(1104,	'e1330b60-a7a1-11e9-b73a-005056b24375',	'Дзензелевка'),
(1105,	'54f4847f-7d62-11e9-898c-005056b24375',	'Дзюньков'),
(1106,	'f7b9b4d8-e67c-11e9-b48a-005056b24375',	'Дыбинцы'),
(1107,	'4022d64a-884a-11e9-898c-005056b24375',	'Дыйда'),
(1108,	'e5dd3d29-3b29-11de-913b-001d92f78698',	'Диканька'),
(1109,	'89aa54ca-cf3a-11e9-b0c5-005056b24375',	'Диковка'),
(1110,	'222085df-f1c8-11e1-a58d-d4ae527baec9',	'Дымер'),
(1111,	'568f7438-64ce-11e9-898c-005056b24375',	'Дымка'),
(1112,	'9f311a06-b790-11e9-8c22-005056b24375',	'Диновцы'),
(1113,	'f3ccff89-7d5c-11e9-898c-005056b24375',	'Дырдин'),
(1114,	'50c511b3-fed4-11e9-91ff-0025b501a04b',	'Дитятки'),
(1115,	'f729edfe-5a96-11e9-a703-005056b24375',	'Дихтинец'),
(1116,	'8dd83807-b7a3-11e9-8c22-005056b24375',	'Дибровка'),
(1117,	'3c6b97dd-9e39-11e9-898c-005056b24375',	'Дибровное'),
(1118,	'6331d091-a953-11e9-b73a-005056b24375',	'Дибровск'),
(1120,	'e34990db-23a7-11e9-ad0d-005056b24375',	'Девички'),
(1121,	'c02a4495-a958-11e9-b73a-005056b24375',	'Дегтяри'),
(1122,	'9f72237c-b795-11e9-8c22-005056b24375',	'Дедычи'),
(1123,	'5b655094-ee61-11e4-8a92-005056887b8d',	'Деловое'),
(1124,	'0218db84-b7c0-11e9-8c22-005056b24375',	'Дмитрашковка'),
(1125,	'01ff34b9-f170-11e8-ad0d-005056b24375',	'Дмитровка (Днепропетровская обл.)'),
(1126,	'8d157640-feed-11e9-91ff-0025b501a04b',	'Дмитровка (Донецкая обл.)'),
(1127,	'eaa5b3a0-feee-11e9-91ff-0025b501a04b',	'Дмитровка (Запорожская обл.)'),
(1128,	'ebc0edab-93ec-11e3-b441-0050568002cf',	'Дмитровка (Знамянский р-н Кировоградская обл.)'),
(1129,	'725cd356-2e98-11e9-acea-005056b24375',	'Дмитровка (Киево-Святошинский р-н)'),
(1130,	'20cbca48-7fef-11ea-a970-b8830365ade4',	'Дмитровка (Киевская обл.)'),
(1131,	'1d088bc4-9e65-11e9-898c-005056b24375',	'Дмитровка (Николаевская обл.)'),
(1132,	'04f8756b-a957-11e9-b73a-005056b24375',	'Дмитровка (Херсонская обл.)'),
(1133,	'232e6903-159a-11e5-add9-005056887b8d',	'Дмитровка (Черниговская обл.)'),
(1134,	'aa355833-76fb-11e9-898c-005056b24375',	'Дмитрушки'),
(1135,	'eb54475c-e5e4-11e9-b48a-005056b24375',	'Днепрельстан'),
(1136,	'db5c88f0-391c-11dd-90d9-001a92567626',	'Днепр'),
(1137,	'ed5ca607-b33f-11e3-9fa0-0050568002cf',	'Днепровка (Запорожская обл.)'),
(1138,	'46213fdf-45ef-11e2-889f-001631fa0467',	'Днепровское'),
(1139,	'b07122c0-f407-11e9-91ff-0025b501a04b',	'Днепровское (Херсонская обл.)'),
(1140,	'dac09f79-7708-11e1-8934-0026b97ed48a',	'Днепрорудное'),
(1141,	'e5598800-1cf5-11e6-971e-005056887b8d',	'Днепряны'),
(1142,	'1d088bd9-9e65-11e9-898c-005056b24375',	'Добрая Криница'),
(1143,	'511ce83d-fef6-11e9-91ff-0025b501a04b',	'Доброе (Николаевская обл.)'),
(1144,	'f7062328-4078-11de-b509-001d92f78698',	'Добровеличковка'),
(1145,	'de02f3e5-cf47-11e9-b0c5-005056b24375',	'Добровляны'),
(1146,	'24cd0822-cf18-11e9-b0c5-005056b24375',	'Доброводы'),
(1147,	'91e2c824-cf4d-11e9-b0c5-005056b24375',	'Доброводы (Тернопольская обл.)'),
(1148,	'974ff31d-8857-11e9-898c-005056b24375',	'Доброгостив'),
(1149,	'f3184567-e633-11e3-8c4a-0050568002cf',	'Добромиль'),
(1150,	'9db8b6c2-8855-11e9-898c-005056b24375',	'Добронадиевка'),
(1151,	'948a49c9-0416-11de-9570-001d92f78697',	'Доброполье'),
(1152,	'f619be34-e3f3-11e8-ad0d-005056b24375',	'Добросин'),
(1153,	'000655fa-4079-11de-b509-001d92f78698',	'Доброслав'),
(1154,	'e8da237a-826e-11e3-b441-0050568002cf',	'Добротвор'),
(1155,	'1447f68b-e5e7-11e9-b48a-005056b24375',	'Добротов'),
(1156,	'c364eeb9-8859-11e9-898c-005056b24375',	'Добряны'),
(1157,	'13598553-82d1-11e9-898c-005056b24375',	'Добрянка'),
(1158,	'c8a00f80-e5e0-11e9-b48a-005056b24375',	'Добрянка (Черниговская обл.)'),
(1159,	'4f96ec77-4daf-11e6-a9f2-005056887b8d',	'Довбыш'),
(1160,	'c873836a-b02c-11e4-a77a-005056887b8d',	'Долгое (Закарпатская обл.)'),
(1161,	'a68ce409-fed4-11e9-91ff-0025b501a04b',	'Долгое (Запорожская обл.)'),
(1162,	'e879c5a9-885a-11e9-898c-005056b24375',	'Долгое (Львовская обл.)'),
(1163,	'e40ff157-6546-11ea-a970-b8830365ade4',	'Долгое-Калушское'),
(1164,	'82293210-cf47-11e9-b0c5-005056b24375',	'Долгий Войнилов'),
(1165,	'7499330d-7301-11e9-898c-005056b24375',	'Довговоля'),
(1166,	'1694ad88-b79c-11e9-8c22-005056b24375',	'Долгомостиска'),
(1167,	'4682677b-9e68-11e9-898c-005056b24375',	'Должик'),
(1168,	'7d02af62-f867-11e8-ad0d-005056b24375',	'Должик (Житомирская обл.)'),
(1169,	'160d6e5d-9e4e-11e9-898c-005056b24375',	'Довжик (Харьковская обл.)'),
(1170,	'b79a3907-4c82-11e9-acea-005056b24375',	'Должок'),
(1171,	'3aab2820-20b8-11ea-b89e-0025b501a04b',	'Довпотов'),
(1172,	'0e45263f-3912-11e9-acea-005056b24375',	'Докучаевское'),
(1173,	'f70622d6-4078-11de-b509-001d92f78698',	'Долина'),
(1174,	'bb195724-b79d-11e9-8c22-005056b24375',	'Долина (Донецкая обл.)'),
(1175,	'e9e6e10c-cf1b-11e9-b0c5-005056b24375',	'Долиновка'),
(1176,	'bcc95187-daa9-11e9-b48a-005056b24375',	'Долинка'),
(1177,	'f7062332-4078-11de-b509-001d92f78698',	'Долинская'),
(1178,	'00b6e98d-58b3-11e6-a9f2-005056887b8d',	'Долинское (Запорожский р-н)'),
(1179,	'51b2160b-9284-11e9-898c-005056b24375',	'Долинское (Мелитопольский р-н)'),
(1180,	'22504156-b7a5-11e9-8c22-005056b24375',	'Долинское (Одеська обл.)'),
(1181,	'58a9443a-b775-11e9-8c22-005056b24375',	'Долинское (Херсонская обл.)'),
(1182,	'15befce4-9e52-11e9-898c-005056b24375',	'Долиняны'),
(1183,	'1d7d85b0-b787-11e9-8c22-005056b24375',	'Долишнее Залучье'),
(1184,	'639754c0-b7ab-11e9-8c22-005056b24375',	'Долишний Шепот'),
(1185,	'06f8795a-4079-11de-b509-001d92f78698',	'Доманевка'),
(1186,	'04eda5ea-b79f-11e9-8c22-005056b24375',	'Домантово'),
(1187,	'bd344b7b-7c09-11e2-8f83-d4ae527baec3',	'Донец(Балаклейский р-н)'),
(1188,	'840d611d-ea81-11e5-899e-005056887b8d',	'Донское'),
(1189,	'e3eaf0ef-b774-11e9-8c22-005056b24375',	'Донцовка'),
(1190,	'8e92e4d6-daa8-11e9-b48a-005056b24375',	'Доробратово'),
(1191,	'57e8dc69-7fea-11ea-a970-b8830365ade4',	'Дорожнянка'),
(1192,	'75d9394f-1cbd-11e6-971e-005056887b8d',	'Дорошовка'),
(1193,	'898abd73-dae4-11e9-b48a-005056b24375',	'Дорошовцы'),
(1194,	'8ec3300d-ff89-11e8-ad0d-005056b24375',	'Дослидное'),
(1195,	'c5f7492f-9653-11e9-898c-005056b24375',	'Дослидницкое'),
(1196,	'06f87972-4079-11de-b509-001d92f78698',	'Драбов'),
(1198,	'48fb3a7a-9294-11e9-898c-005056b24375',	'Драбово-Барятинское'),
(1199,	'8f6be858-7644-11e4-acce-0050568002cf',	'Драгово'),
(1200,	'568f744d-64ce-11e9-898c-005056b24375',	'Драница'),
(1201,	'05e6689b-2bec-11e6-9e93-005056887b8d',	'Драчинцы'),
(1202,	'd2983e94-e5f0-11e9-b48a-005056b24375',	'Древини'),
(1203,	'09e93ffc-fe15-11e8-ad0d-005056b24375',	'Дробышево'),
(1204,	'65552ace-76fc-11e9-898c-005056b24375',	'Дробышев'),
(1205,	'db5c88f6-391c-11dd-90d9-001a92567626',	'Дрогобыч'),
(1206,	'11fa7f89-dae6-11e9-b48a-005056b24375',	'Дроговиж'),
(1207,	'561ab385-fee1-11e9-91ff-0025b501a04b',	'Дроздынь (Ровенская обл.)'),
(1208,	'92d3f579-dab3-11e9-b48a-005056b24375',	'Дроздни'),
(1209,	'7a39946d-feed-11e9-91ff-0025b501a04b',	'Дружба (Донецкая обл.)'),
(1210,	'222085e2-f1c8-11e1-a58d-d4ae527baec9',	'Дружба (Сумська обл.)'),
(1211,	'8a4ff697-78e7-11e6-a9f2-005056887b8d',	'Дружба (Тернопольская обл.)'),
(1212,	'db5c88f7-391c-11dd-90d9-001a92567626',	'Дружковка'),
(1213,	'fb5416de-1aaf-11ea-8c15-0025b502a06e',	'Дружное'),
(1214,	'ff84052c-9742-11e9-898c-005056b24375',	'Друхов'),
(1215,	'938d240c-e689-11e9-b48a-005056b24375',	'Дуба'),
(1216,	'23db4ba0-7302-11e9-898c-005056b24375',	'Дубечно'),
(1217,	'3a9b48a7-cf3b-11e9-b0c5-005056b24375',	'Дубиново'),
(1218,	'5e30c214-9e54-11e9-898c-005056b24375',	'Дубище'),
(1219,	'e8f46089-f40c-11e9-91ff-0025b501a04b',	'Дубовка'),
(1220,	'48fb3a8f-9294-11e9-898c-005056b24375',	'Дубовцы'),
(1221,	'401e948d-cf45-11e9-b0c5-005056b24375',	'Дубовцы (Ивано-Франковская обл.)'),
(1222,	'06abe99f-6c0a-11e4-acce-0050568002cf',	'Дубиевка'),
(1223,	'd223f258-6621-11e3-b441-0050568002cf',	'Дубляны (Львов.обл.,Жовков.р-н)'),
(1224,	'f349a9a1-735e-11ea-a970-b8830365ade4',	'Дубляны (Самборский р-н)'),
(1225,	'c0b5fb07-dab0-11e9-b48a-005056b24375',	'Дублянка'),
(1226,	'441f7f9c-a440-11dd-bcd8-001d92f78697',	'Дубно'),
(1227,	'e454bd81-dcf9-11e8-ad0d-005056b24375',	'Дубовязовка'),
(1228,	'921dbf9a-e246-11e3-8c4a-0050568002cf',	'Дубовое'),
(1229,	'578161a6-b793-11e9-8c22-005056b24375',	'Дубовое (Волынская обл.)'),
(1230,	'5dfe2fe0-b78e-11e9-8c22-005056b24375',	'Дубовики'),
(1231,	'054d852d-884b-11e9-898c-005056b24375',	'Дубриничи'),
(1232,	'878aee97-b7a1-11e9-8c22-005056b24375',	'Дубровка'),
(1233,	'8c81a411-b79b-11e9-8c22-005056b24375',	'Дубровица (Львовская обл.)'),
(1234,	'00065618-4079-11de-b509-001d92f78698',	'Дубровица (Ровенская обл.)'),
(1235,	'62e39d31-65ce-11e5-8d8d-005056887b8d',	'Дударков'),
(1236,	'4250c6ad-76fb-11e9-898c-005056b24375',	'Дудчаны'),
(1237,	'06286881-a958-11e9-b73a-005056b24375',	'Дудчино'),
(1238,	'67f00c1c-0092-11e6-899e-005056887b8d',	'Дулибы'),
(1239,	'56646bea-cf44-11e9-b0c5-005056b24375',	'Дулово'),
(1240,	'3f7aa04b-8865-11e9-898c-005056b24375',	'Дунаец'),
(1241,	'bf44468c-882c-11e9-898c-005056b24375',	'Дунаев'),
(1242,	'df4d7b24-b76f-11e9-8c22-005056b24375',	'Дунаевка '),
(1243,	'f70622ea-4078-11de-b509-001d92f78698',	'Дунаевцы'),
(1244,	'14e697cb-706c-11e8-9d95-005056b2fc3d',	'Дунаивцы (Дунаевецкий р-н.)'),
(1245,	'd9cb23b0-64cc-11e9-898c-005056b24375',	'Дусино'),
(1246,	'6785d6dc-2f04-11e6-9e93-005056887b8d',	'Дядьковичи (Ровненский р-н)'),
(1247,	'a9c68bdc-fee3-11e9-91ff-0025b501a04b',	'Дьяковцы'),
(1248,	'f8c9dddd-a7a2-11e9-b73a-005056b24375',	'Элитное'),
(1249,	'b3ecdf66-a84b-11de-a2ca-000c294065a1',	'Энергодар'),
(1250,	'5cd47c67-9e65-11e9-898c-005056b24375',	'Эсмань'),
(1251,	'a07bf655-b783-11e9-8c22-005056b24375',	'Эсхар'),
(1252,	'd7892f9d-76f6-11e9-898c-005056b24375',	'Евгеновка'),
(1253,	'3ef9c2af-76f5-11e9-898c-005056b24375',	'Евсуг'),
(1254,	'22504180-b7a5-11e9-8c22-005056b24375',	'Егоровка'),
(1255,	'cc3d66f0-9e6a-11e9-898c-005056b24375',	'Езуполь'),
(1256,	'06f87960-4079-11de-b509-001d92f78698',	'Еланец'),
(1257,	'fc246356-fbed-11e5-899e-005056887b8d',	'Елизаветовка'),
(1258,	'6994d4ef-a7a2-11e9-b73a-005056b24375',	'Емиловка'),
(1259,	'69da41d8-3f5d-11de-b509-001d92f78698',	'Емильчино'),
(1260,	'04eda5d3-b79f-11e9-8c22-005056b24375',	'Епифановка'),
(1261,	'2f229328-feef-11e9-91ff-0025b501a04b',	'Еремеевка'),
(1262,	'35c4e0f1-40de-11e5-8d8d-005056887b8d',	'Ерки'),
(1263,	'326cd26c-76f3-11e9-898c-005056b24375',	'Ерковцы'),
(1264,	'09e961c2-82d1-11e9-898c-005056b24375',	'Ефремовка'),
(1265,	'ed015da5-7d68-11e9-898c-005056b24375',	'Жабокрыч'),
(1266,	'1162d9f9-964d-11e9-898c-005056b24375',	'Жаботин (Черкасская обл.)'),
(1267,	'abdb3038-6540-11ea-a970-b8830365ade4',	'Жалиборы'),
(1268,	'06f8794a-4079-11de-b509-001d92f78698',	'Жашков'),
(1269,	'fc9077e9-0c93-11ea-8c15-0025b502a06e',	'Жванец'),
(1270,	'864c4f2f-928b-11e9-898c-005056b24375',	'Жвирка'),
(1271,	'9c8ab014-883e-11e9-898c-005056b24375',	'Ждановка (Днепропетровская обл.)'),
(1272,	'a9cbcd19-1aae-11ea-8c15-0025b502a06e',	'Ждениево'),
(1273,	'5c11fa01-65c1-11e9-898c-005056b24375',	'Жежелев'),
(1274,	'7e3c2636-20b8-11ea-b89e-0025b501a04b',	'Жердова'),
(1275,	'84c9655a-fee2-11e9-91ff-0025b501a04b',	'Жердя'),
(1276,	'7b75fb5a-2d1b-11e4-acce-0050568002cf',	'Жеребково'),
(1277,	'c4065c29-8853-11e9-898c-005056b24375',	'Живановка'),
(1278,	'527f0112-cf24-11e9-b0c5-005056b24375',	'Живачов'),
(1279,	'5a1cd952-a96a-11e9-b73a-005056b24375',	'Жигайловка'),
(1280,	'f7062386-4078-11de-b509-001d92f78698',	'Жидачов'),
(1281,	'8b1597b9-b81e-11e9-8c22-005056b24375',	'Жидычин'),
(1282,	'e52d9a60-76f5-11e9-898c-005056b24375',	'Житловка'),
(1283,	'796d7a73-76f4-11e9-898c-005056b24375',	'Житные Горы'),
(1284,	'db5c88c4-391c-11dd-90d9-001a92567626',	'Житомир'),
(1285,	'3277e8a8-64ca-11e9-898c-005056b24375',	'Жихорь'),
(1286,	'17e0c2cb-b5b9-11dd-81ea-001d92f78697',	'Жмеринка'),
(1287,	'099e5f1a-9e69-11e9-898c-005056b24375',	'Жнятино'),
(1288,	'f7062378-4078-11de-b509-001d92f78698',	'Жовква'),
(1289,	'2a9051ba-7301-11e9-898c-005056b24375',	'Жовкини'),
(1290,	'fab79262-7d65-11e9-898c-005056b24375',	'Жовнино'),
(1291,	'51b215f6-9284-11e9-898c-005056b24375',	'Желтая Круча'),
(1292,	'ab8956bf-399a-11e9-acea-005056b24375',	'Жовтанцы'),
(1293,	'87153129-9e6b-11e9-898c-005056b24375',	'Жолтое'),
(1294,	'e85b5c4d-dae6-11e9-b48a-005056b24375',	'Желтое (Пятихатский р-н., Днепропетровская обл.)'),
(1295,	'441f7f9e-a440-11dd-bcd8-001d92f78697',	'Желтые Воды'),
(1296,	'd63931c7-dae7-11e9-b48a-005056b24375',	'Жоравка'),
(1297,	'a64cf7e1-8849-11e9-898c-005056b24375',	'Жубровичи'),
(1298,	'77bf4d0e-e66e-11e9-b48a-005056b24375',	'Жуки'),
(1299,	'cf0c2b8c-b81e-11e9-8c22-005056b24375',	'Журавичи'),
(1300,	'93a4310f-887a-11e9-898c-005056b24375',	'Журавка'),
(1301,	'd1e4b506-6540-11ea-a970-b8830365ade4',	'Журавлинка'),
(1302,	'7a377376-b7a2-11e9-8c22-005056b24375',	'Журавлиха'),
(1303,	'5265f8dd-8834-11e9-898c-005056b24375',	'Журавное'),
(1304,	'653253f3-735d-11ea-a970-b8830365ade4',	'Журавники'),
(1305,	'd51a21ef-f876-11e4-8a92-005056887b8d',	'Журавно'),
(1306,	'906b17f4-9e3e-11e9-898c-005056b24375',	'Заайдаровка'),
(1307,	'137e332f-9291-11e9-898c-005056b24375',	'Забарино'),
(1308,	'65a62535-ffe7-11e5-899e-005056887b8d',	'Заборье'),
(1309,	'20982d74-9b6c-11e2-a57a-d4ae527baec3',	'Заболотов (Снятинский р-н)'),
(1310,	'03e3d0c7-b992-11e3-9fa0-0050568002cf',	'Заболотье (Волынская обл.)'),
(1311,	'662c902d-e5e7-11e9-b48a-005056b24375',	'Заболотье (Ровненская обл.)'),
(1312,	'4a3e8989-882c-11e9-898c-005056b24375',	'Заболотцы'),
(1313,	'0bf13ba7-9e34-11e9-898c-005056b24375',	'Забуянье'),
(1315,	'6fd64007-e674-11e9-b48a-005056b24375',	'Завадов (Яворский р-н., Львовская обл.)'),
(1316,	'da754e97-929a-11e9-898c-005056b24375',	'Завадовка'),
(1317,	'a38a92ba-5a1a-11ea-a970-b8830365ade4',	'Завадовка (Львовская обл.)'),
(1318,	'82446cd0-a954-11e9-b73a-005056b24375',	'Завадовка (Черкасская обл.)'),
(1319,	'387f8866-cf47-11e9-b0c5-005056b24375',	'Завадка'),
(1320,	'e63f0d31-b787-11e9-8c22-005056b24375',	'Завалье (Ивано-Франковская обл.)'),
(1321,	'8c30dec7-3a09-11e2-8c54-d4ae52ab9fab',	'Завалье (Кировоград обл.)'),
(1322,	'ea139a43-0c96-11ea-8c15-0025b502a06e',	'Заверешица'),
(1323,	'19b0c6f2-dab7-11e9-b48a-005056b24375',	'Завидовичи'),
(1324,	'099e5f2f-9e69-11e9-898c-005056b24375',	'Завидово'),
(1325,	'bca0cba3-fef7-11e9-91ff-0025b501a04b',	'Завой '),
(1326,	'7c84d408-b7a5-11e9-8c22-005056b24375',	'Заводовка'),
(1327,	'a2762a75-a0ef-11e1-b2df-0026b97ed48a',	'Заводское(Лохвицкий р-н,Полтав.обл)'),
(1328,	'c640284a-c975-11e4-a77a-005056887b8d',	'Заводское(Тернопольская обл.)'),
(1329,	'272e2a49-883a-11e9-898c-005056b24375',	'Заворичи'),
(1330,	'd1d230fa-cf17-11e9-b0c5-005056b24375',	'Загатье'),
(1331,	'8a3cea06-4699-11ea-b89e-0025b501a04b',	'Загвоздье'),
(1332,	'12702099-b7b6-11e9-8c22-005056b24375',	'Загорное'),
(1333,	'87e8c0d9-dae1-11e9-b48a-005056b24375',	'Загнитков'),
(1334,	'8ebcf9b2-cfd8-11e9-b0c5-005056b24375',	'Загребелье'),
(1335,	'0f5375af-9e57-11e9-898c-005056b24375',	'Заднестрье'),
(1336,	'cc3d6705-9e6a-11e9-898c-005056b24375',	'Заднестрянское'),
(1337,	'3e8748b4-dab2-11e9-b48a-005056b24375',	'Задубровцы'),
(1338,	'4d2bd895-cbe3-11e5-8478-005056887b8d',	'Зазимье'),
(1339,	'6e0a1631-b7b5-11e9-8c22-005056b24375',	'Зезерки'),
(1340,	'83187db8-b771-11e9-8c22-005056b24375',	'Заезд'),
(1341,	'905d8ed6-c345-11e9-b0c5-005056b24375',	'Зайцево'),
(1342,	'09144cb4-e5ef-11e9-b48a-005056b24375',	'Зайцево (Днепропетровская обл.)'),
(1343,	'938d2421-e689-11e9-b48a-005056b24375',	'Закерничное'),
(1344,	'241fbbf1-8829-11e9-898c-005056b24375',	'Закупное'),
(1345,	'a6d7483c-0c93-11ea-8c15-0025b502a06e',	'Залавье'),
(1346,	'937f6565-3607-11ea-b89e-0025b501a04b',	'Заланов'),
(1347,	'311fcd76-fedf-11e9-91ff-0025b501a04b',	'Заливное'),
(1348,	'e1ec5c20-9e39-11e9-898c-005056b24375',	'Железный Мост'),
(1349,	'eb7f0f9b-1e63-11e6-971e-005056887b8d',	'Железный Порт'),
(1350,	'a8ec1f68-b794-11e9-8c22-005056b24375',	'Зализница'),
(1351,	'b5557266-8835-11e9-898c-005056b24375',	'Зализничное '),
(1352,	'b08d8344-cf20-11e9-b0c5-005056b24375',	'Зализничное (Винницкая обл.)'),
(1353,	'3b687acb-b78c-11e9-8c22-005056b24375',	'Зализничное (Днепропетровская обл.)'),
(1354,	'27825337-cf14-11e9-b0c5-005056b24375',	'Зализничное (Запорожский р-н)'),
(1355,	'c7cf0f9e-78d8-11e6-a9f2-005056887b8d',	'Заложцы'),
(1356,	'594a1a19-b794-11e9-8c22-005056b24375',	'Залесочье'),
(1357,	'575c2af8-0c94-11ea-8c15-0025b502a06e',	'Залесье (Волынская обл.)'),
(1358,	'63f8dc43-4f16-11ea-b89e-0025b501a04b',	'Залесье Первое'),
(1359,	'c8955ac1-b780-11e9-8c22-005056b24375',	'Залесцы'),
(1360,	'64c2f4de-fef8-11e9-91ff-0025b501a04b',	'Залесцы (Тернопольская обл.)'),
(1361,	'06f878ee-4079-11de-b509-001d92f78698',	'Залещики'),
(1362,	'5219432d-0ce4-11ea-8c15-0025b502a06e',	'Залокоть'),
(1363,	'e5f628fd-9e53-11e9-898c-005056b24375',	'Залужжя'),
(1364,	'fbd4476b-20b7-11ea-b89e-0025b501a04b',	'Залужье (Закарпатская обл.)'),
(1365,	'cd27ebc7-e5e6-11e9-b48a-005056b24375',	'Залужье (Ивано-Франковская обл.)'),
(1366,	'6fd63fdd-e674-11e9-b48a-005056b24375',	'Залужье (Львовская обл.)'),
(1367,	'cc3d671a-9e6a-11e9-898c-005056b24375',	'Залуква'),
(1368,	'c8a00f91-e5e0-11e9-b48a-005056b24375',	'Замглай'),
(1369,	'd9dcb282-fef5-11e9-91ff-0025b501a04b',	'Замостье'),
(1370,	'06286896-a958-11e9-b73a-005056b24375',	'Заозерное'),
(1371,	'11a1b4b6-b782-11e9-8c22-005056b24375',	'Западинцы'),
(1372,	'390611ba-646b-11e6-a9f2-005056887b8d',	'Запытов'),
(1373,	'db5c88c6-391c-11dd-90d9-001a92567626',	'Запорожье'),
(1374,	'6667d212-0c9a-11ea-8c15-0025b502a06e',	'Запорожье (Великолепетихский район)'),
(1375,	'48934d6f-884d-11e9-898c-005056b24375',	'Запорожье (Токмацкий р-н)'),
(1376,	'853fa621-c349-11e9-b0c5-005056b24375',	'Запрудье'),
(1377,	'46826790-9e68-11e9-898c-005056b24375',	'Запселье'),
(1378,	'4022d65f-884a-11e9-898c-005056b24375',	'Запсонь'),
(1379,	'03d352e4-47b8-11e4-acce-0050568002cf',	'Зарванцы'),
(1380,	'fe84e067-64cf-11e9-898c-005056b24375',	'Заричаны'),
(1381,	'b79a3922-4c82-11e9-acea-005056b24375',	'Заречанка'),
(1382,	'09e94017-fe15-11e8-ad0d-005056b24375',	'Заречное (Донецкая обл.)'),
(1383,	'3d100665-b76e-11e9-8c22-005056b24375',	'Заречное (Запорожская обл.)'),
(1384,	'0006561a-4079-11de-b509-001d92f78698',	'Заречное(Ровенская обл.)'),
(1385,	'aba4042e-76ec-11e9-898c-005056b24375',	'Заречье (Волынская обл.)'),
(1386,	'86793df3-882a-11e9-898c-005056b24375',	'Заречье (Владимир-Волынский р-н)'),
(1387,	'414355ec-daaa-11e9-b48a-005056b24375',	'Заречье (Ивано-Франковская обл.)'),
(1388,	'34581559-e692-11e9-b48a-005056b24375',	'Заречье (Овручский р-н., Житомирская обл.)'),
(1389,	'b4f1e350-9648-11e9-898c-005056b24375',	'Заречье (Черкасская обл.)'),
(1390,	'24161b5d-7644-11e4-acce-0050568002cf',	'Заречье(Закарпатская обл.)'),
(1391,	'568f7462-64ce-11e9-898c-005056b24375',	'Зарожаны'),
(1392,	'5e30c229-9e54-11e9-898c-005056b24375',	'Зарудчи'),
(1393,	'0b4cf538-f428-11e9-91ff-0025b501a04b',	'Заселье'),
(1394,	'3c2d0605-9e4c-11e9-898c-005056b24375',	'Заслучное'),
(1395,	'6d34e59a-cf1f-11e9-b0c5-005056b24375',	'Заставки'),
(1396,	'06f87988-4079-11de-b509-001d92f78698',	'Заставна'),
(1397,	'a6457791-fee2-11e9-91ff-0025b501a04b',	'Заставцы'),
(1398,	'c8066abc-c355-11e9-b0c5-005056b24375',	'Заставче'),
(1399,	'9ec5f824-be3b-11e3-9fa0-0050568002cf',	'Засулье'),
(1400,	'a856de46-e67f-11e9-b48a-005056b24375',	'Затишное'),
(1401,	'c5e7acd2-a9ed-11e8-ad0d-005056b24375',	'Затишье'),
(1402,	'fe8615f2-3607-11ea-b89e-0025b501a04b',	'Затишье (Волынская обл.)'),
(1403,	'801fe5be-e6a7-11e5-899e-005056887b8d',	'Затока'),
(1404,	'cf0c2bb6-b81e-11e9-8c22-005056b24375',	'Затурцы'),
(1405,	'000655f4-4079-11de-b509-001d92f78698',	'Захарьевка(Одесская обл)'),
(1406,	'cf1035b2-5f6c-11e9-898c-005056b24375',	'Зачатовка'),
(1407,	'00065606-4079-11de-b509-001d92f78698',	'Зачепиловка'),
(1408,	'5f5e2c20-e5e8-11e9-b48a-005056b24375',	'Зашков'),
(1409,	'db5c8901-391c-11dd-90d9-001a92567626',	'Збараж'),
(1410,	'c579aa48-0ce5-11ea-8c15-0025b502a06e',	'Збора'),
(1411,	'06f878f4-4079-11de-b509-001d92f78698',	'Зборов'),
(1412,	'1b41636d-b79e-11e9-8c22-005056b24375',	'Звановка'),
(1413,	'06f8797e-4079-11de-b509-001d92f78698',	'Звенигородка'),
(1414,	'52a0cf2c-dab5-11e9-b48a-005056b24375',	'Звиняче'),
(1415,	'0a15362e-cf26-11e9-b0c5-005056b24375',	'Зверев '),
(1416,	'af5a022d-c33b-11e9-b0c5-005056b24375',	'Зверевка'),
(1417,	'e37ce45a-76ec-11e9-898c-005056b24375',	'Згораны'),
(1418,	'f70622f8-4078-11de-b509-001d92f78698',	'Згуровка'),
(1419,	'b7c4db39-daa6-11e9-b48a-005056b24375',	'Здвижевка'),
(1420,	'0dbf78c7-e67a-11e9-b48a-005056b24375',	'Здовбица'),
(1421,	'0006560c-4079-11de-b509-001d92f78698',	'Здолбунов'),
(1422,	'b503bf3e-8830-11e9-898c-005056b24375',	'Зеленая '),
(1423,	'9cf9dae3-fedf-11e9-91ff-0025b501a04b',	'Зеленая (Ивано-Франковская обл.)'),
(1424,	'749932f6-7301-11e9-898c-005056b24375',	'Зеленое'),
(1425,	'5e320ac2-e5e6-11e9-b48a-005056b24375',	'Зеленое (Запорожская обл.)'),
(1426,	'95552f22-0c9a-11ea-8c15-0025b502a06e',	'Зеленое (Херсонская обл.)'),
(1427,	'c61b7850-14fc-11e9-ad0d-005056b24375',	'Зелёное Поле (Великоновоселковский р-н)'),
(1428,	'b209ba28-9742-11e9-898c-005056b24375',	'Зеленый Гай'),
(1429,	'5ae59b6b-9e42-11e9-898c-005056b24375',	'Заленый Гай (Запорожская обл.)'),
(1430,	'fa511767-76fa-11e9-898c-005056b24375',	'Зеленый Под'),
(1431,	'6439d840-9e5c-11e9-898c-005056b24375',	'Зеленый Яр'),
(1432,	'630032d5-0c95-11ea-8c15-0025b502a06e',	'Зеленый Яр (Донецкая обл.)'),
(1433,	'0b9a89db-027b-11e4-acce-0050568002cf',	'Зеленогорское'),
(1434,	'6e11e6e5-8e9b-11e1-bcb0-0026b97ed48a',	'Зеленодольск'),
(1435,	'6331d07c-a953-11e9-b73a-005056b24375',	'Зеленополье'),
(1436,	'f44f757e-cf1d-11e9-b0c5-005056b24375',	'Зеленче'),
(1437,	'6837611b-5224-11e9-acea-005056b24375',	'Зеленьки'),
(1438,	'300c7a00-b7a4-11e9-8c22-005056b24375',	'Зибкове'),
(1439,	'df5ba8ec-a946-11e9-b73a-005056b24375',	'Зимовник'),
(1440,	'fc1511bd-8297-11e3-b441-0050568002cf',	'Зимняя Вода'),
(1441,	'7812e445-e68c-11e9-b48a-005056b24375',	'Зидьки'),
(1442,	'782f0982-f425-11e9-91ff-0025b501a04b',	'Зиново'),
(1443,	'7833e60e-3b51-11de-913b-001d92f78698',	'Зеньков'),
(1444,	'8b22a832-fd21-11e8-ad0d-005056b24375',	'Зиньков (Хмельницкая обл.)'),
(1445,	'33717ddc-c355-11e9-b0c5-005056b24375',	'Зеньковщина'),
(1446,	'0879acc9-64d2-11e9-898c-005056b24375',	'Зорное'),
(1447,	'669dea81-8840-11e9-898c-005056b24375',	'Златоустовка'),
(1448,	'cabc206c-49c7-11e6-a9f2-005056887b8d',	'Злинка (Маловисковский р-н.)'),
(1449,	'06f87910-4079-11de-b509-001d92f78698',	'Змиев'),
(1450,	'1d7fd806-0f9b-11e7-95d1-005056887b8d',	'Змиенец'),
(1451,	'e1ec5c35-9e39-11e9-898c-005056b24375',	'Змитнев'),
(1452,	'441f7f94-a440-11dd-bcd8-001d92f78697',	'Знаменка (Кировоградская обл.)'),
(1453,	'2d0743bb-9acf-11e3-b441-0050568002cf',	'Знаменка (Одесская обл.)'),
(1454,	'df48bd64-7c23-11e3-b441-0050568002cf',	'Знаменка Вторая'),
(1455,	'c22421c9-5632-11e5-8d8d-005056887b8d',	'Знаменовка (Новомосковский р-н)'),
(1456,	'a20cd079-b4b6-11e3-9fa0-0050568002cf',	'Знобь-Новгородское'),
(1457,	'0f117d34-646b-11e6-a9f2-005056887b8d',	'Зняцево'),
(1458,	'bd38ff3e-b7bf-11e9-8c22-005056b24375',	'Зозов'),
(1459,	'40a6d869-9e3f-11e9-898c-005056b24375',	'Золотая Балка'),
(1460,	'89c78f8f-9288-11e9-898c-005056b24375',	'Золотаревка'),
(1461,	'a70f5d3f-882e-11e9-898c-005056b24375',	'Золотарево'),
(1462,	'dcc4bef7-c537-11e3-95eb-0050568046cd',	'Золотое'),
(1463,	'6473ebdb-a7a6-11e9-b73a-005056b24375',	'Золотой Поток'),
(1464,	'd722c43b-5a16-11ea-a970-b8830365ade4',	'Золотые Пруды'),
(1465,	'a64825b1-b7c0-11e9-8c22-005056b24375',	'Золотники (Тернопольськая обл.)'),
(1466,	'db5c8903-391c-11dd-90d9-001a92567626',	'Золотоноша'),
(1467,	'441f7f92-a440-11dd-bcd8-001d92f78697',	'Золочев (Львовская обл.)'),
(1468,	'06f8792a-4079-11de-b509-001d92f78698',	'Золочев (Харьковськая обл.)'),
(1469,	'87c63a63-9e60-11e9-898c-005056b24375',	'Заря (Днепропетровская обл., Днепровский р-н)'),
(1470,	'cc87c96b-7d5e-11e9-898c-005056b24375',	'Заря (Днепропетровская обл.)'),
(1471,	'23741bb9-14e4-11e9-ad0d-005056b24375',	'Заря (Донецкая обл.,Никольский р-н)'),
(1472,	'd82f3972-20b6-11ea-b89e-0025b501a04b',	'Зоря (Костантиновский район)'),
(1473,	'7620b75f-9a50-11e4-acce-0050568002cf',	'Зоря (Одесская обл.)'),
(1474,	'34ed9082-f784-11e3-8c4a-0050568002cf',	'Заря (Ровенская обл.)'),
(1475,	'aebea810-20b7-11ea-b89e-0025b501a04b',	'Зубовка'),
(1476,	'a64cf7cc-8849-11e9-898c-005056b24375',	'Зубковичи'),
(1477,	'41e53a72-fea6-11e8-ad0d-005056b24375',	'Зубра'),
(1478,	'20796a99-7d68-11e9-898c-005056b24375',	'Зяньковцы'),
(1479,	'4b20f800-82cc-11e9-898c-005056b24375',	'Зятковцы'),
(1480,	'6c8c41da-8866-11e9-898c-005056b24375',	'Иване-Пусте'),
(1481,	'f706235a-4078-11de-b509-001d92f78698',	'Иваничи (Волынская обл.)'),
(1482,	'd67013b3-74f0-11e6-a9f2-005056887b8d',	'Иванов (Калиновский р-н)'),
(1483,	'9702066e-5228-11e9-acea-005056b24375',	'Ивановка (Богуславский р-н.)'),
(1484,	'e68423b2-9e60-11e9-898c-005056b24375',	'Ивановка (Днепропетровская обл.)'),
(1485,	'a6f77f9b-a96a-11e9-b73a-005056b24375',	'Ивановка (Донецкая обл.)'),
(1486,	'18e62a0a-3c2f-11e5-add9-005056887b8d',	'Ивановка (Запорожская обл.)'),
(1487,	'152a0a20-c350-11e9-b0c5-005056b24375',	'Ивановка (Николаевская обл.)'),
(1488,	'000655f8-4079-11de-b509-001d92f78698',	'Ивановка (Одесская обл. Ивановський р-н)'),
(1489,	'82c10b13-b7b7-11e9-8c22-005056b24375',	'Ивановка (Сумская обл.)'),
(1490,	'723119fe-9e58-11e9-898c-005056b24375',	'Ивановка (Тернопольская обл.)'),
(1491,	'f70622ce-4078-11de-b509-001d92f78698',	'Ивановка (Херсонская обл.)'),
(1492,	'05c808cf-daa9-11e9-b48a-005056b24375',	'Ивановка (Черкасская обл.)'),
(1493,	'905d8eeb-c345-11e9-b0c5-005056b24375',	'Ивановское'),
(1494,	'dfc6c722-b78a-11e9-8c22-005056b24375',	'Ивановцы'),
(1495,	'dc88679d-b7a0-11e9-8c22-005056b24375',	'Ивановцы (Винницкая обл.)'),
(1496,	'4d7ffc41-b7b8-11e9-8c22-005056b24375',	'Ивановцы (Закарпатская обл.)'),
(1497,	'4a2706c3-cf25-11e9-b0c5-005056b24375',	'Ивановцы (Черновицкая обл.)'),
(1498,	'f70622f2-4078-11de-b509-001d92f78698',	'Иванков (Иванковский р-н)'),
(1499,	'f3b29b43-9e69-11e9-898c-005056b24375',	'Иванков (Тернопольская обл.)'),
(1500,	'd6bc18f0-fa5d-11e5-899e-005056887b8d',	'Иванков(Бориспольский р-н)'),
(1501,	'bcb1262f-7d6b-11e9-898c-005056b24375',	'Иванковцы (Черновицкая обл.)'),
(1502,	'd7f49864-8850-11e9-898c-005056b24375',	'Иванковичи '),
(1503,	'db5c8904-391c-11dd-90d9-001a92567626',	'Ивано-Франковск'),
(1504,	'844a3dd3-4d64-11e4-acce-0050568002cf',	'Ивано-Франково'),
(1505,	'c6476ccd-2dca-11e9-acea-005056b24375',	'Иваново (Лиманський р-н)'),
(1506,	'6f4a77d8-9e5a-11e9-898c-005056b24375',	'Иванополье'),
(1507,	'92e65524-76ea-11e9-898c-005056b24375',	'Иванополь'),
(1508,	'f8ce8ae4-8849-11e9-898c-005056b24375',	'Иванополь (Житомирская обл.)'),
(1509,	'a58b8900-9295-11e9-898c-005056b24375',	'Иваньков'),
(1510,	'47dda8f1-885e-11e9-898c-005056b24375',	'Ивашков'),
(1511,	'849eb41d-64cb-11e9-898c-005056b24375',	'Ивашковцы'),
(1512,	'71767a55-fee3-11e9-91ff-0025b501a04b',	'Ивашковцы (Винницкаяобл.)'),
(1513,	'964731cb-76ef-11e9-898c-005056b24375',	'Игнатполь'),
(1514,	'52d6882c-ef4f-11e5-899e-005056887b8d',	'Иза'),
(1515,	'53c5b28b-76f1-11e9-898c-005056b24375',	'Изки'),
(1516,	'db5c8907-391c-11dd-90d9-001a92567626',	'Измаил'),
(1517,	'db5c8909-391c-11dd-90d9-001a92567626',	'Изюм'),
(1518,	'06f87940-4079-11de-b509-001d92f78698',	'Изяслав'),
(1519,	'72311a13-9e58-11e9-898c-005056b24375',	'Илавче'),
(1520,	'762301d8-a3a4-11e3-9fa0-0050568002cf',	'Илларионово'),
(1521,	'bbd0f51f-6546-11ea-a970-b8830365ade4',	'Илемня'),
(1522,	'6d522992-abca-11e6-b5da-005056887b8d',	'Иличанка'),
(1523,	'612122e4-feed-11e9-91ff-0025b501a04b',	'Иллиновка'),
(1524,	'69da4151-3f5d-11de-b509-001d92f78698',	'Ильинцы'),
(1525,	'6f8ab8fc-8850-11e9-898c-005056b24375',	'Ильинцы (Ивано-Франковская обл.)'),
(1526,	'8588b2ad-e671-11e9-b48a-005056b24375',	'Ильник'),
(1527,	'e706990e-783f-11e8-9d95-005056b2fc3d',	'Ильница'),
(1528,	'bce8e30a-884d-11e9-898c-005056b24375',	'Ильцы'),
(1529,	'045b1b73-5a17-11ea-a970-b8830365ade4',	'Имстичево'),
(1530,	'f255182e-1aac-11ea-8c15-0025b502a06e',	'Ингулец'),
(1531,	'a464b912-e682-11e9-b48a-005056b24375',	'Ингулка'),
(1532,	'720a18cf-9e36-11e9-898c-005056b24375',	'Инженерное'),
(1533,	'ed654e1f-2e8e-11e4-acce-0050568002cf',	'Ирклиев'),
(1534,	'db5c8911-391c-11dd-90d9-001a92567626',	'Ирпень'),
(1535,	'06f87904-4079-11de-b509-001d92f78698',	'Иршава'),
(1536,	'99a4b252-d7ed-11e1-a00a-d4ae527baec9',	'Иршанск'),
(1537,	'6fdbc801-9e5e-11e9-898c-005056b24375',	'Исаево'),
(1538,	'ad1dd01d-9e5c-11e9-898c-005056b24375',	'Исайки'),
(1539,	'58ac4fda-e66f-11e9-b48a-005056b24375',	'Искра'),
(1540,	'06e5ff59-e685-11e9-b48a-005056b24375',	'Искровка (Полтавская обл.)'),
(1541,	'1b15cd2a-4d8b-11e6-a9f2-005056887b8d',	'Испас'),
(1542,	'06f8799c-4079-11de-b509-001d92f78698',	'Ичня'),
(1543,	'11c0d3cd-e682-11e9-b48a-005056b24375',	'Иживци'),
(1544,	'2e79f775-7d63-11e9-898c-005056b24375',	'Йорданешты'),
(1545,	'b4792bc0-7d6a-11e9-898c-005056b24375',	'Йосоповка'),
(1546,	'6667533d-cf21-11e9-b0c5-005056b24375',	'Иосиповка (Винницкая обл.)'),
(1547,	'38ad3442-8853-11e9-898c-005056b24375',	'Йосиповка (Кировоградская обл.)'),
(1548,	'f949d207-735c-11ea-a970-b8830365ade4',	'Йосиповка (Львовская обл.)'),
(1549,	'c4302938-f428-11e9-91ff-0025b501a04b',	'Кавское'),
(1550,	'210ac2bc-7360-11ea-a970-b8830365ade4',	'Кавуны'),
(1551,	'f706230e-4078-11de-b509-001d92f78698',	'Кагарлык'),
(1552,	'47dda8c7-885e-11e9-898c-005056b24375',	'Кагарлик (Одесская обл.)'),
(1553,	'46388d4d-1ab0-11ea-8c15-0025b502a06e',	'Кадиевцы'),
(1554,	'3480daa4-cf49-11e9-b0c5-005056b24375',	'Кадобна'),
(1555,	'db2351f7-1b1f-11ea-8c15-0025b502a06e',	'Кадомка'),
(1556,	'05bf1ec1-8879-11e9-898c-005056b24375',	'Кадубовцы'),
(1557,	'000655e0-4079-11de-b509-001d92f78698',	'Казанка'),
(1558,	'b5d484ed-b7a9-11e9-8c22-005056b24375',	'Казначеевка'),
(1559,	'3f7cc65e-08ea-11e9-ad0d-005056b24375',	'Каиры'),
(1560,	'd5e1188d-64d3-11e9-898c-005056b24375',	'Калаглия'),
(1561,	'6bedba12-928a-11e9-898c-005056b24375',	'Калантаев'),
(1562,	'06f8792e-4079-11de-b509-001d92f78698',	'Каланчак'),
(1563,	'46d3da3a-5f6e-11e9-898c-005056b24375',	'Калины'),
(1564,	'452193e9-dae5-11e9-b48a-005056b24375',	'Калиновка (Березанский р-н., Николаевская обл.)'),
(1565,	'756bbe2c-4484-11e4-acce-0050568002cf',	'Калиновка (Броварской р-н)'),
(1566,	'b61307c2-3f59-11de-b509-001d92f78698',	'Калиновка (Винницкая обл., Калиновский р-н)'),
(1567,	'cf59d89d-1b02-11e9-ad0d-005056b24375',	'Калиновка (Витовский р-н., Николаевская обл.)'),
(1568,	'6eea52a4-0e14-11e2-a1de-d4ae527baec9',	'Калиновка(Васильковский район)'),
(1569,	'c459b5e0-cf16-11e9-b0c5-005056b24375',	'Калиновское'),
(1570,	'5c60c9cc-5fc4-11e6-a9f2-005056887b8d',	'Калита'),
(1571,	'db5c8913-391c-11dd-90d9-001a92567626',	'Калуш'),
(1572,	'1de3d9b5-b7b9-11e9-8c22-005056b24375',	'Кальная'),
(1573,	'9aa0e786-e691-11e9-b48a-005056b24375',	'Кальное '),
(1574,	'f2e00456-9e6c-11e9-898c-005056b24375',	'Кальник'),
(1575,	'b6ab7178-0c95-11ea-8c15-0025b502a06e',	'Кальчик'),
(1576,	'b398e48b-b7aa-11e9-8c22-005056b24375',	'Калюжинцы'),
(1577,	'c9d5e12a-9e63-11e9-898c-005056b24375',	'Каменная'),
(1578,	'cf083808-4d8b-11e6-a9f2-005056887b8d',	'Каменная Яруга'),
(1579,	'067de462-884c-11e9-898c-005056b24375',	'Каменное'),
(1580,	'db5c8914-391c-11dd-90d9-001a92567626',	'Каменец-Подольский'),
(1581,	'662c9018-e5e7-11e9-b48a-005056b24375',	'Каменечье'),
(1582,	'ed015dcf-7d68-11e9-898c-005056b24375',	'Каменный Брод'),
(1583,	'46fdf92a-6543-11ea-a970-b8830365ade4',	'Каменица'),
(1584,	'2b326d7b-8849-11e9-898c-005056b24375',	'Каменка (Житомирская обл.)'),
(1585,	'6f4a7802-9e5a-11e9-898c-005056b24375',	'Каменка (Луганская обл.)'),
(1586,	'79380335-b7b3-11e9-8c22-005056b24375',	'Каменка (Николаевская обл.)'),
(1587,	'9c2c81f2-76f6-11e9-898c-005056b24375',	'Каменка (Одесская обл., Беляевский р-н)'),
(1588,	'a0cabf67-9e61-11e9-898c-005056b24375',	'Каменка (Одесская обл., Измаильский р-н)'),
(1589,	'f3857e77-dae1-11e9-b48a-005056b24375',	'Каменка (Одесская обл., Роздельнянский р-н)'),
(1590,	'f35bfce4-b77e-11e9-8c22-005056b24375',	'Каменка (Ровенская обл.)'),
(1591,	'ca4b3fe0-cf1f-11e9-b0c5-005056b24375',	'Каменка (Хмельницкая обл.)'),
(1592,	'06f87978-4079-11de-b509-001d92f78698',	'Каменка (Черкасская обл.)'),
(1593,	'7d350679-e49e-11e3-8c4a-0050568002cf',	'Каменка (Черновицкая обл. Глыбокский р-н)'),
(1594,	'f7062374-4078-11de-b509-001d92f78698',	'Каменка-Бугская'),
(1595,	'cfbeac9c-4063-11de-b509-001d92f78698',	'Каменка-Днепровская (Запорожская обл.)'),
(1596,	'f3b29b58-9e69-11e9-898c-005056b24375',	'Каменки (Тернопольская обл.)'),
(1597,	'20aabef1-b77b-11e9-8c22-005056b24375',	'Каменское (Запорожская обл.)'),
(1598,	'8715313e-9e6b-11e9-898c-005056b24375',	'Каменское (Никопольский р-н)'),
(1599,	'be23cc03-fed8-11e9-91ff-0025b501a04b',	'Каменское (Одесская обл., Арцизский р-н)'),
(1600,	'db5c88ed-391c-11dd-90d9-001a92567626',	'Каменское(Днепропетровская обл)'),
(1601,	'40337bfb-64cb-11e9-898c-005056b24375',	'Камбурлеевка'),
(1602,	'8937b510-8838-11e9-898c-005056b24375',	'Камень'),
(1603,	'f7062368-4078-11de-b509-001d92f78698',	'Камень-Каширский'),
(1604,	'06f87974-4079-11de-b509-001d92f78698',	'Канев'),
(1605,	'8925eb5c-7301-11e9-898c-005056b24375',	'Каноничи'),
(1606,	'59ca74d9-dadf-11e9-b48a-005056b24375',	'Кантакузовка'),
(1607,	'48301785-1d82-11e9-ad0d-005056b24375',	'Капитановка (Кировоградская обл.)'),
(1608,	'7d3175e9-cf4b-11e9-b0c5-005056b24375',	'Капустяны'),
(1609,	'dcc10705-96f2-11e8-ad0d-005056b24375',	'Карапыши'),
(1610,	'3f023c45-b78f-11e9-8c22-005056b24375',	'Карапчов'),
(1611,	'11c0d3b8-e682-11e9-b48a-005056b24375',	'Карапчив (Вижницкий р-н., Черновицкая обл.)'),
(1612,	'ee391073-a954-11e9-b73a-005056b24375',	'Карашина'),
(1613,	'288fe4a7-7d5c-11e9-898c-005056b24375',	'Карыльское'),
(1614,	'7833e618-3b51-11de-913b-001d92f78698',	'Карловка'),
(1615,	'310353eb-4f16-11ea-b89e-0025b501a04b',	'Карловка (Донецька обл.)'),
(1616,	'0c29a594-b5c3-11e4-a77a-005056887b8d',	'Карнауховка(Днепропетровская обл.)'),
(1617,	'c008f79e-e690-11e5-899e-005056887b8d',	'Каролино-Бугаз'),
(1618,	'39ba9fe6-0c96-11ea-8c15-0025b502a06e',	'Карпатское'),
(1619,	'b398e461-b7aa-11e9-8c22-005056b24375',	'Карпиловка'),
(1620,	'52a0cf41-dab5-11e9-b48a-005056b24375',	'Карпиловка (Волынская обл.)'),
(1621,	'a0218ead-cf2d-11e9-b0c5-005056b24375',	'Карпиловка (Ровенский р-н. Ровенская обл.)'),
(1622,	'9ea3a48e-fee1-11e9-91ff-0025b501a04b',	'Карпиловка (Рокитновский р-н, Ровненская обл.)'),
(1623,	'10ebda7e-129d-11e6-971e-005056887b8d',	'Карповка (Широковский р-н)'),
(1624,	'461097a8-4c83-11e9-acea-005056b24375',	'Каскада'),
(1625,	'23741bd4-14e4-11e9-ad0d-005056b24375',	'Касьяновка (Донецкая обл., Никольский р-н)'),
(1626,	'358842bd-883e-11e9-898c-005056b24375',	'Катериновка'),
(1627,	'd03cca05-cf28-11e9-b0c5-005056b24375',	'Катериновка (Донецкая обл.)'),
(1628,	'bb95cd4a-e687-11e9-b48a-005056b24375',	'Катериновка (Николаевская обл.)'),
(1629,	'06f87980-4079-11de-b509-001d92f78698',	'Катеринополь'),
(1630,	'5f81eea7-ff87-11e8-ad0d-005056b24375',	'Катюжанка'),
(1631,	'db5c8917-391c-11dd-90d9-001a92567626',	'Каховка'),
(1632,	'3bcd5170-883c-11e9-898c-005056b24375',	'Качановка'),
(1633,	'8e764c03-b7a0-11e9-8c22-005056b24375',	'Качковка'),
(1634,	'e4c7da15-336d-11e9-acea-005056b24375',	'Кашперовка'),
(1635,	'2fe13b3e-dd65-11e2-874c-d4ae527baec3',	'Квасилов (Ровенская обл.)'),
(1636,	'a554dc1e-64d3-11e9-898c-005056b24375',	'Квитки'),
(1637,	'00065608-4079-11de-b509-001d92f78698',	'Кегичевка'),
(1638,	'06f87990-4079-11de-b509-001d92f78698',	'Кельменцы'),
(1639,	'a4f7d386-9e40-11e9-898c-005056b24375',	'Керецки'),
(1640,	'e34990c0-23a7-11e9-ad0d-005056b24375',	'Керменчик'),
(1641,	'19b2ca95-93fc-11e9-898c-005056b24375',	'Керница'),
(1642,	'cd822fa1-9282-11e9-898c-005056b24375',	'Керносовка'),
(1643,	'bcbb6969-b791-11e9-8c22-005056b24375',	'Керстенцы'),
(1644,	'88faf8fb-76f7-11e9-898c-005056b24375',	'Кибинцы'),
(1645,	'8d5a980d-391c-11dd-90d9-001a92567626',	'Киев'),
(1646,	'a3157f30-e675-11e9-b48a-005056b24375',	'Кирданы (Житомирская обл.)'),
(1647,	'2e017a6d-92b8-11e5-a023-005056887b8d',	'Кириковка(Великописар.р-н)'),
(1648,	'23741bef-14e4-11e9-ad0d-005056b24375',	'Кирилловка (Донецкая обл., Никольский р-н)'),
(1649,	'f583e224-3a89-11e5-add9-005056887b8d',	'Кирилловка(Акимовский р-н)'),
(1650,	'e6e45300-cf93-11e3-95eb-0050568046cd',	'Кирнасовка'),
(1651,	'ff459f96-885d-11e9-898c-005056b24375',	'Кирнички'),
(1652,	'370e12cd-76fb-11e9-898c-005056b24375',	'Киселев'),
(1653,	'f8274a8b-b7b3-11e9-8c22-005056b24375',	'Киселевка (Николаевская обл.)'),
(1654,	'40a6d854-9e3f-11e9-898c-005056b24375',	'Киселевка (Херсонская обл.)'),
(1655,	'1d7d3af1-12b1-11e6-971e-005056887b8d',	'Кислица'),
(1656,	'76bc4088-f40c-11e9-91ff-0025b501a04b',	'Кисоричи'),
(1657,	'f2e0046b-9e6c-11e9-898c-005056b24375',	'Китайгород'),
(1658,	'44314930-e67f-11e9-b48a-005056b24375',	'Китайгород (Днепропетровская обл.)'),
(1659,	'65027dfa-76fa-11e9-898c-005056b24375',	'Китченковка'),
(1660,	'ecec0fa2-76ef-11e9-898c-005056b24375',	'Кишин'),
(1661,	'f7062354-4078-11de-b509-001d92f78698',	'Киверцы'),
(1662,	'bd344b91-7c09-11e2-8f83-d4ae527baec3',	'Ковшаровка'),
(1663,	'5905bca1-ff8c-11e8-ad0d-005056b24375',	'Кившовата'),
(1664,	'b5e846b5-39a0-11e9-acea-005056b24375',	'Кидры'),
(1665,	'a21a140d-cf4a-11e9-b0c5-005056b24375',	'Кызливка'),
(1666,	'27ed9829-cf17-11e9-b0c5-005056b24375',	'Кизомыс'),
(1667,	'00065604-4079-11de-b509-001d92f78698',	'Килия'),
(1668,	'871d3173-5a17-11ea-a970-b8830365ade4',	'Кинашев'),
(1669,	'5236d132-7962-11e4-acce-0050568002cf',	'Конецполь'),
(1670,	'efddfa75-884c-11e9-898c-005056b24375',	'Конские Раздоры'),
(1671,	'd7bbb0e5-0c95-11ea-8c15-0025b502a06e',	'Киреши'),
(1672,	'17b483f8-03f3-11de-9570-001d92f78697',	'Кицмань'),
(1673,	'8b86cac4-f1df-11e1-a58d-d4ae527baec9',	'Клавдиево-Тарасово'),
(1674,	'101afca9-db19-11e1-aa18-d4ae527baec9',	'Клевань'),
(1675,	'7fda7433-7fef-11ea-a970-b8830365ade4',	'Клембовка'),
(1676,	'e846e4c8-38b8-11e4-acce-0050568002cf',	'Клесов'),
(1677,	'c0fdec1e-b7b5-11e9-8c22-005056b24375',	'Климовка'),
(1678,	'd9420b04-64c9-11e9-898c-005056b24375',	'Кливодин'),
(1679,	'd25c4d36-b9ad-11e3-9fa0-0050568002cf',	'Клишковцы'),
(1680,	'fab79277-7d65-11e9-898c-005056b24375',	'Клещинцы'),
(1681,	'e5f62912-9e53-11e9-898c-005056b24375',	'Клопочин'),
(1682,	'dfae764b-a7a3-11e9-b73a-005056b24375',	'Клубовка'),
(1683,	'd1eed7e7-e688-11e9-b48a-005056b24375',	'Клубовцы'),
(1684,	'e454bd66-dcf9-11e8-ad0d-005056b24375',	'Клугино-Башкировка'),
(1685,	'cec2e340-feec-11e9-91ff-0025b501a04b',	'Клюки'),
(1686,	'7fc6226a-9e69-11e9-898c-005056b24375',	'Ключарки'),
(1687,	'9ff55620-9e54-11e9-898c-005056b24375',	'Княгининок'),
(1688,	'6331d0a6-a953-11e9-b73a-005056b24375',	'Княжья'),
(1689,	'd82643ad-64d2-11e9-898c-005056b24375',	'Княжья Криница'),
(1690,	'9a2f2cfd-c33e-11e9-b0c5-005056b24375',	'Княжее'),
(1691,	'4030bb13-005e-11e5-8a92-005056887b8d',	'Княжичи (Броварской р-н)'),
(1692,	'c3f7c57b-82d0-11e9-898c-005056b24375',	'Княжичи (Киево-Святошинский р-н.)'),
(1693,	'456ccb84-82cf-11e9-898c-005056b24375',	'Княжелука'),
(1694,	'1afd1f79-cf3c-11e9-b0c5-005056b24375',	'Князе-Григоровка'),
(1695,	'8cb62df1-3608-11ea-b89e-0025b501a04b',	'Князевское'),
(1696,	'e5dbdeb5-9e4f-11e9-898c-005056b24375',	'Кобаки'),
(1697,	'7833e622-3b51-11de-913b-001d92f78698',	'Кобеляки'),
(1698,	'8bd68460-9e62-11e9-898c-005056b24375',	'Кобыжча'),
(1699,	'fe84e07c-64cf-11e9-898c-005056b24375',	'Кобылецкая Поляна'),
(1700,	'72311a28-9e58-11e9-898c-005056b24375',	'Кобыловолоки'),
(1701,	'5a77aa77-c47c-11e3-95eb-0050568046cd',	'Коблево'),
(1702,	'596ca0fc-8879-11e9-898c-005056b24375',	'Коболчин'),
(1703,	'a0378152-8877-11e9-898c-005056b24375',	'Кобриново'),
(1704,	'9d7ed304-dae5-11e9-b48a-005056b24375',	'Ковалево'),
(1705,	'f973dba2-6543-11ea-a970-b8830365ade4',	'Ковалин'),
(1706,	'aa6ca8d0-9e5b-11e9-898c-005056b24375',	'Ковалевка (Винницкая обл.)'),
(1707,	'0ef4a561-e5ee-11e9-b48a-005056b24375',	'Ковалевка ( Ивано-Франковская обл.)'),
(1708,	'9021ed80-f412-11e9-91ff-0025b501a04b',	'Ковалевка (Киевская обл.)'),
(1709,	'11500dbb-64cf-11e9-898c-005056b24375',	'Ковалевка (Николаевский р-н)'),
(1710,	'65cca7d3-9fdd-11e5-a023-005056887b8d',	'Ковалевка(Полтав.р-н,Полтав.обл.)'),
(1711,	'db5c891e-391c-11dd-90d9-001a92567626',	'Ковель'),
(1712,	'2e8bdc3d-76f4-11e9-898c-005056b24375',	'Кодаки'),
(1713,	'905d8ec1-c345-11e9-b0c5-005056b24375',	'Кодема'),
(1714,	'06f87966-4079-11de-b509-001d92f78698',	'Кодыма'),
(1715,	'e39b5c91-8841-11e9-898c-005056b24375',	'Кодня'),
(1716,	'27825311-cf14-11e9-b0c5-005056b24375',	'Кодра'),
(1717,	'adbe5c52-9e57-11e9-898c-005056b24375',	'Кожанка'),
(1718,	'87b76519-b79c-11e9-8c22-005056b24375',	'Кожуховка'),
(1719,	'92010935-fed3-11e9-91ff-0025b501a04b',	'Козаровичи'),
(1720,	'c6839a20-c983-11e4-a77a-005056887b8d',	'Козацкое (Херсонская обл.)'),
(1721,	'82446ca6-a954-11e9-b73a-005056b24375',	'Казацкое (Черкасская обл.)'),
(1722,	'a8fd5509-9a2c-11e3-b441-0050568002cf',	'Козачья Лопань'),
(1723,	'd15cf3e3-e67e-11e9-b48a-005056b24375',	'Казачьи Лагери'),
(1724,	'1cd43ab0-7d62-11e9-898c-005056b24375',	'Козачки'),
(1725,	'06f879a2-4079-11de-b509-001d92f78698',	'Козелец'),
(1726,	'7833e620-3b51-11de-913b-001d92f78698',	'Козельщина'),
(1727,	'3fa22aa6-9295-11e9-898c-005056b24375',	'Козиловка'),
(1728,	'905c11d2-13d6-11e4-acce-0050568002cf',	'Козин (Киевская обл., Обуховский р-н)'),
(1729,	'e4f28d26-ff77-11e8-ad0d-005056b24375',	'Козин (Мироновский р-н)'),
(1730,	'64293b47-c3db-11e3-9fa0-0050568002cf',	'Козын (Ровенская обл.)'),
(1731,	'11500da6-64cf-11e9-898c-005056b24375',	'Козырка'),
(1732,	'38ad342d-8853-11e9-898c-005056b24375',	'Козичанка'),
(1733,	'a70c809d-dae8-11e9-b48a-005056b24375',	'Козлов'),
(1734,	'f8145675-c338-11e9-b0c5-005056b24375',	'Козляничи'),
(1735,	'06f878f6-4079-11de-b509-001d92f78698',	'Козова'),
(1736,	'6f7c1208-cfb4-11e9-b0c5-005056b24375',	'Козьова'),
(1737,	'697a860d-3f4f-11de-b509-001d92f78698',	'Казатин (город, Винницкая обл.)'),
(1738,	'a04410d8-65c1-11e9-898c-005056b24375',	'Казатин (село, Казатинский р-н., Винницкая обл.)'),
(1739,	'cf28f88c-cf1e-11e9-b0c5-005056b24375',	'Колыбаевка'),
(1740,	'2e79f78a-7d63-11e9-898c-005056b24375',	'Коленковцы'),
(1741,	'5893199a-feea-11e9-91ff-0025b501a04b',	'Колисец'),
(1742,	'be66bcc8-d7b3-11e1-a00a-d4ae527baec9',	'Колки'),
(1743,	'f35bfcf7-b77e-11e9-8c22-005056b24375',	'Колки (Ровенская обл.)'),
(1744,	'5034629b-98cc-11e5-a023-005056887b8d',	'Колоденка'),
(1745,	'595a2f0e-b77a-11e9-8c22-005056b24375',	'Колодистое'),
(1746,	'4cd202a8-b7c0-11e9-8c22-005056b24375',	'Колодиевка'),
(1747,	'774e1091-e687-11e9-b48a-005056b24375',	'Колодное (Закарпатская обл.)'),
(1748,	'eefc95ab-ff82-11e8-ad0d-005056b24375',	'Колодежно'),
(1749,	'c57957c0-73d8-11e9-898c-005056b24375',	'Колодезное (Ровенская обл.)'),
(1750,	'28460285-f40f-11e9-91ff-0025b501a04b',	'Коломье'),
(1751,	'06f87924-4079-11de-b509-001d92f78698',	'Коломак'),
(1752,	'db5c891f-391c-11dd-90d9-001a92567626',	'Коломыя'),
(1753,	'bcb917a2-82d1-11e9-898c-005056b24375',	'Колонтаев'),
(1754,	'eefc95c6-ff82-11e8-ad0d-005056b24375',	'Колонщина'),
(1755,	'fc0f494a-176e-11e6-971e-005056887b8d',	'Колочава'),
(1756,	'0c9d877b-9292-11e9-898c-005056b24375',	'Колубаевцы'),
(1757,	'895d45da-4d9d-11e6-a9f2-005056887b8d',	'Кольчино'),
(1758,	'65552ae3-76fc-11e9-898c-005056b24375',	'Комань'),
(1759,	'96455a1f-cb8c-11e3-95eb-0050568046cd',	'Комар'),
(1760,	'd42262c0-c353-11e9-b0c5-005056b24375',	'Комаров'),
(1761,	'80838e54-7fee-11ea-a970-b8830365ade4',	'Комаров (Черновицкая обл.)'),
(1762,	'0bf13bd1-9e34-11e9-898c-005056b24375',	'Комаровка'),
(1763,	'a82c0c6f-a959-11e9-b73a-005056b24375',	'Комаровка (Черниговская обл.)'),
(1764,	'ad578cda-76fb-11e9-898c-005056b24375',	'Комаровцы'),
(1765,	'6fd63ff2-e674-11e9-b48a-005056b24375',	'Комарники '),
(1766,	'c869f8c7-602b-11e4-acce-0050568002cf',	'Комарно'),
(1767,	'ba993b42-64d2-11e9-898c-005056b24375',	'Камыш-Заря'),
(1768,	'1e103981-99cb-11e5-a023-005056887b8d',	'Камышаны'),
(1769,	'ffcb4bbd-c986-11e5-8478-005056887b8d',	'Камышня'),
(1770,	'eaabea09-5a19-11ea-a970-b8830365ade4',	'Камышеватое (Донецкая обл.)'),
(1771,	'f16ef2ef-8e76-11e3-b441-0050568002cf',	'Камышеваха'),
(1772,	'add3e23b-0c97-11ea-8c15-0025b502a06e',	'Комышеваха (Донецкая обл.)'),
(1773,	'f706232c-4078-11de-b509-001d92f78698',	'Компанеевка'),
(1774,	'bccc3292-e67b-11e9-b48a-005056b24375',	'Конищев'),
(1775,	'ed054896-0c97-11ea-8c15-0025b502a06e',	'Кононивка (поселок)'),
(1776,	'2ae27e45-20b8-11ea-b89e-0025b501a04b',	'Конопливци'),
(1777,	'ff459f81-885d-11e9-898c-005056b24375',	'Конопляное'),
(1778,	'db5c8923-391c-11dd-90d9-001a92567626',	'Конотоп'),
(1779,	'623d2609-e5e2-11e9-b48a-005056b24375',	'Концово'),
(1780,	'd6f032de-cf46-11e9-b0c5-005056b24375',	'Конюшки'),
(1781,	'c9c54b3f-9e3a-11e9-898c-005056b24375',	'Конятин'),
(1782,	'60924a7d-53f5-11e6-a9f2-005056887b8d',	'Копайгород'),
(1783,	'd6f032c9-cf46-11e9-b0c5-005056b24375',	'Копанки'),
(1784,	'c67805a6-8828-11e9-898c-005056b24375',	'Копачовка'),
(1785,	'0b8a3d58-9745-11e9-898c-005056b24375',	'Копачовка (Волынская обл.)'),
(1786,	'3ee2c1b7-65ce-11e5-8d8d-005056887b8d',	'Копашново'),
(1787,	'301e95dd-b7bd-11e9-8c22-005056b24375',	'Копылы'),
(1788,	'9175510e-1bcf-11e4-acce-0050568002cf',	'Копылов'),
(1789,	'25499633-5a8a-11e8-9d95-005056b2fc3d',	'Копыстин'),
(1790,	'461097c6-4c83-11e9-acea-005056b24375',	'Копытинцы'),
(1791,	'315aca83-16cf-11e2-928c-d4ae527baec9',	'Копычинцы (Гусятинский р-н)'),
(1792,	'02dcc3a1-ba67-11e3-9fa0-0050568002cf',	'Корделевка'),
(1793,	'4fe41c4b-b785-11e9-8c22-005056b24375',	'Кордишовка'),
(1794,	'00065622-4079-11de-b509-001d92f78698',	'Корец'),
(1795,	'9cf50207-5a02-11e9-a703-005056b24375',	'Коржи'),
(1796,	'0268c28d-e66f-11e9-b48a-005056b24375',	'Корыстова'),
(1797,	'5b8021da-dae0-11e9-b48a-005056b24375',	'Корысть (Корецкий р-н., Ровенская обл.)'),
(1798,	'11c0d3a3-e682-11e9-b48a-005056b24375',	'Корытное'),
(1799,	'bcc9519c-daa9-11e9-b48a-005056b24375',	'Корытня '),
(1800,	'2f9b0431-bb59-11e5-8478-005056887b8d',	'Корытняны'),
(1801,	'724dfe01-39f5-11e5-add9-005056887b8d',	'Корнын (Житомирская обл.)'),
(1802,	'e7ea189e-8864-11e9-898c-005056b24375',	'Корнин (Ровенский р-н)'),
(1803,	'4049919c-65c0-11e9-898c-005056b24375',	'Корница'),
(1804,	'40461a5c-9e5f-11e9-898c-005056b24375',	'Коробки'),
(1805,	'bcb91778-82d1-11e9-898c-005056b24375',	'Коровинцы'),
(1806,	'5264386c-76fc-11e9-898c-005056b24375',	'Коровия'),
(1807,	'78ebfe5f-c39f-11e3-9fa0-0050568002cf',	'Королево'),
(1808,	'6640f01e-9e35-11e9-898c-005056b24375',	'Королевка'),
(1809,	'16594b40-fedc-11e9-91ff-0025b501a04b',	'Королевка (Тернопольская обл.)'),
(1810,	'0db17b14-4079-11de-b509-001d92f78698',	'Короп'),
(1811,	'db5c8924-391c-11dd-90d9-001a92567626',	'Коростень'),
(1812,	'69da41ea-3f5d-11de-b509-001d92f78698',	'Коростышев'),
(1813,	'21bb9228-0ce4-11ea-8c15-0025b502a06e',	'Коростов'),
(1814,	'1aadf69b-fee3-11e9-91ff-0025b501a04b',	'Коростовцы'),
(1815,	'96793020-5a17-11ea-a970-b8830365ade4',	'Коростовичи'),
(1816,	'30f273ca-76fa-11e9-898c-005056b24375',	'Коротыч'),
(1817,	'f11c4698-8838-11e9-898c-005056b24375',	'Корсунка'),
(1818,	'06f8797a-4079-11de-b509-001d92f78698',	'Корсунь-Шевченковский'),
(1819,	'9c209aea-76f6-11e9-898c-005056b24375',	'Корчин'),
(1820,	'6535185b-0c79-11e6-971e-005056887b8d',	'Коршев'),
(1821,	'0db17b0a-4079-11de-b509-001d92f78698',	'Корюковка'),
(1822,	'507e1916-4ad6-11e4-acce-0050568002cf',	'Косари (Черкаська обл.)'),
(1823,	'f70622e0-4078-11de-b509-001d92f78698',	'Косов'),
(1824,	'da754eac-929a-11e9-898c-005056b24375',	'Косовка'),
(1825,	'6e3078d1-9e5d-11e9-898c-005056b24375',	'Косовка (Кировоградская обл.)'),
(1826,	'4ead8b46-76f0-11e9-898c-005056b24375',	'Косовская Поляна'),
(1827,	'657100fc-8f15-11e8-8acc-005056b2fc3d',	'Косовщина'),
(1828,	'ba885c8e-027a-11e4-acce-0050568002cf',	'Косонь (Косино)'),
(1829,	'8c8e9f93-64ce-11e9-898c-005056b24375',	'Костычаны'),
(1830,	'a9cb64b2-c347-11e9-b0c5-005056b24375',	'Костовцы'),
(1831,	'c9c54b54-9e3a-11e9-898c-005056b24375',	'Костобобров'),
(1832,	'aed07fa0-9289-11e9-898c-005056b24375',	'Костомаровка (Кировоградская обл.)'),
(1833,	'00065614-4079-11de-b509-001d92f78698',	'Костополь'),
(1834,	'a50f631f-8878-11e9-898c-005056b24375',	'Кострижевка'),
(1835,	'db5c8925-391c-11dd-90d9-001a92567626',	'Константиновка (Донецкая обл.)'),
(1836,	'd03cc9f0-cf28-11e9-b0c5-005056b24375',	'Константиновка (Марьинский р-н)'),
(1837,	'1ecd2603-fef6-11e9-91ff-0025b501a04b',	'Контстантиновка (Новоодеский р-н, Никол. обл.)'),
(1838,	'65027de5-76fa-11e9-898c-005056b24375',	'Константиновка (Харьковская обл.)'),
(1839,	'062868ab-a958-11e9-b73a-005056b24375',	'Константиновка (Херсонская обл.)'),
(1840,	'51addb7b-052f-11e6-899e-005056887b8d',	'Констянтиновка(Арбузинский р-н, Никол.обл.)'),
(1841,	'16a5b682-b5be-11e4-a77a-005056887b8d',	'Константиновка(Мелитоп.р-н,Запорож.обл)'),
(1842,	'128a2881-b799-11e9-8c22-005056b24375',	'Константинополь'),
(1843,	'9335873b-c33f-11e9-b0c5-005056b24375',	'Котелево'),
(1844,	'7833e60c-3b51-11de-913b-001d92f78698',	'Котельва'),
(1845,	'11500d91-64cf-11e9-898c-005056b24375',	'Котляреве'),
(1846,	'9a2f2ce8-c33e-11e9-b0c5-005056b24375',	'Котляры'),
(1847,	'b5d48502-b7a9-11e9-8c22-005056b24375',	'Котовка '),
(1848,	'5a1cd928-a96a-11e9-b73a-005056b24375',	'Котюжинцы'),
(1849,	'a491944c-6f85-11e2-9b72-d4ae52ab9fab',	'Коцюбинское'),
(1850,	'7a3c0451-5a19-11ea-a970-b8830365ade4',	'Коцюры'),
(1851,	'970b6ff5-cf24-11e9-b0c5-005056b24375',	'Кочережки'),
(1852,	'a4ad36b8-b784-11e9-8c22-005056b24375',	'Кочеток'),
(1853,	'3c97d507-e670-11e9-b48a-005056b24375',	'Кошелево '),
(1854,	'88faf8e6-76f7-11e9-898c-005056b24375',	'Кошмановка'),
(1855,	'3c97d4f2-e670-11e9-b48a-005056b24375',	'Крайниково'),
(1856,	'aca7b12e-4727-11e5-8d8d-005056887b8d',	'Краковец'),
(1857,	'db5c8927-391c-11dd-90d9-001a92567626',	'Краматорск'),
(1858,	'dfdc9db1-ace7-11dd-8b61-001d92f78697',	'Красилов'),
(1859,	'38f93fe5-4486-11e4-acce-0050568002cf',	'Красиловка (Броварской р-н)'),
(1860,	'3444087f-9e3b-11e9-898c-005056b24375',	'Красиловка (Черниговская обл.)'),
(1861,	'76e6eb79-fee0-11e9-91ff-0025b501a04b',	'Красная (Ивано-Франковская обл.)'),
(1862,	'96c02874-cf26-11e9-b0c5-005056b24375',	'Красная Лука'),
(1863,	'a749aa14-93c8-11e8-ad0d-005056b24375',	'Красная Поляна'),
(1864,	'6396aedc-9282-11e9-898c-005056b24375',	'Красное (Винницкая обл.)'),
(1865,	'6f8ab8e7-8850-11e9-898c-005056b24375',	'Красное (Ивано-Франковская обл.)'),
(1866,	'f06a0f8c-fef7-11e9-91ff-0025b501a04b',	'Красное (Киевская обл.)'),
(1867,	'd97a7025-b8d8-11e4-a77a-005056887b8d',	'Красное (Львовская обл.)'),
(1868,	'c01bf919-cf40-11e9-b0c5-005056b24375',	'Красное (Николаевская обл.)'),
(1869,	'b1eae62c-dae3-11e9-b48a-005056b24375',	'Красное (Одесская обл.)'),
(1870,	'03332230-0ce6-11ea-8c15-0025b502a06e',	'Красное (Харьковская обл.)'),
(1871,	'3e74bad5-887b-11e9-898c-005056b24375',	'Красное (Херсонская обл.)'),
(1872,	'e4cd94ee-fed6-11e9-91ff-0025b501a04b',	'Красный Яр'),
(1873,	'b4bccd23-ff8b-11e8-ad0d-005056b24375',	'Красногоровка'),
(1874,	'db5c892b-391c-11dd-90d9-001a92567626',	'Красноград (Харьковская обл)'),
(1875,	'0b8a3d43-9745-11e9-898c-005056b24375',	'Красноивановка'),
(1876,	'06f87926-4079-11de-b509-001d92f78698',	'Краснокутск'),
(1877,	'958bc6af-21c5-11e3-b000-0050568002cf',	'Краснопавловка'),
(1878,	'bd38ff14-b7bf-11e9-8c22-005056b24375',	'Краснополка'),
(1879,	'5bba5e30-daa9-11e9-b48a-005056b24375',	'Краснополка (Черкасская обл.)'),
(1880,	'00065638-4079-11de-b509-001d92f78698',	'Краснополье (Сумская обл.)'),
(1881,	'eeee7d5a-8833-11e9-898c-005056b24375',	'Краснополье (Черниговская обл., Коропский р-н)'),
(1882,	'50f12f0b-cf2e-11e9-b0c5-005056b24375',	'Краснополь'),
(1883,	'10d8fdff-3a87-11e5-add9-005056887b8d',	'Краснореченское'),
(1884,	'197010c8-b7bf-11e9-8c22-005056b24375',	'Красноселка'),
(1885,	'5d93509d-c346-11e9-b0c5-005056b24375',	'Красноселка (Житомирская обл.)'),
(1886,	'c68e312e-7301-11e9-898c-005056b24375',	'Красноселье'),
(1887,	'faddd346-8854-11e9-898c-005056b24375',	'Красноселье (Кировоградская обл.)'),
(1888,	'344f8fd3-e676-11e9-b48a-005056b24375',	'Красноторка'),
(1889,	'f70622f4-4078-11de-b509-001d92f78698',	'Красятичи'),
(1890,	'db5c892e-391c-11dd-90d9-001a92567626',	'Кременец'),
(1891,	'bb70b041-c342-11e9-b0c5-005056b24375',	'Кременец (Волынская обл.)'),
(1892,	'31ad9f6a-76ee-11e9-898c-005056b24375',	'Кременевка'),
(1893,	'8d5a9813-391c-11dd-90d9-001a92567626',	'Кременчуг'),
(1894,	'5124c0ac-e67e-11e9-b48a-005056b24375',	'Кремидовка'),
(1895,	'f7062340-4078-11de-b509-001d92f78698',	'Кременная'),
(1896,	'c67805d0-8828-11e9-898c-005056b24375',	'Кременная (Хмельницкая обл.)'),
(1898,	'05b90a3b-9e6b-11e9-898c-005056b24375',	'Креховичи'),
(1899,	'3aa7c2ca-feeb-11e9-91ff-0025b501a04b',	'Крива'),
(1900,	'28ccf59a-e680-11e9-b48a-005056b24375',	'Кривая Балка'),
(1901,	'4d332aeb-4698-11ea-b89e-0025b501a04b',	'Кривое (Житомирская обл.)'),
(1902,	'06f87956-4079-11de-b509-001d92f78698',	'Кривое Озеро'),
(1903,	'bb95cd35-e687-11e9-b48a-005056b24375',	'Кривое Озеро Второе'),
(1904,	'db5c890d-391c-11dd-90d9-001a92567626',	'Кривой Рог'),
(1905,	'57d2e2d9-884e-11e9-898c-005056b24375',	'Криворовня'),
(1906,	'c6264d01-c344-11e9-b0c5-005056b24375',	'Кривошеинцы'),
(1907,	'2df94d37-f408-11e9-91ff-0025b501a04b',	'Крывче'),
(1908,	'69da4172-3f5d-11de-b509-001d92f78698',	'Крыжополь'),
(1909,	'bb3b3ef7-e679-11e9-b48a-005056b24375',	'Крылов'),
(1910,	'ee63f4e3-b7ba-11e9-8c22-005056b24375',	'Крылос'),
(1911,	'c0b5fac8-dab0-11e9-b48a-005056b24375',	'Крымки'),
(1912,	'90231172-6d70-11e8-9d95-005056b2fc3d',	'Крымное (Старовыжевский р-н., Волынская обл.)'),
(1913,	'69da4184-3f5d-11de-b509-001d92f78698',	'Кринички'),
(1914,	'a58b892a-9295-11e9-898c-005056b24375',	'Криски'),
(1915,	'5374aafd-6950-11e8-9d95-005056b2fc3d',	'Криховцы'),
(1916,	'282ee4cd-469a-11ea-b89e-0025b501a04b',	'Крищинцы'),
(1917,	'956452a2-4748-11dd-9198-001d60451983',	'Кролевец'),
(1918,	'e2260687-76fb-11e9-898c-005056b24375',	'Крапивна'),
(1919,	'05b90a50-9e6b-11e9-898c-005056b24375',	'Крапивник'),
(1920,	'36d25086-cf48-11e9-b0c5-005056b24375',	'Крапивник (Калушский р-н)'),
(1921,	'db5c891b-391c-11dd-90d9-001a92567626',	'Кропивницкий'),
(1922,	'bf22d5e6-e674-11e9-b48a-005056b24375',	'Кротошин'),
(1923,	'fd249316-887a-11e9-898c-005056b24375',	'Круглозёрка'),
(1924,	'd193840e-0c96-11ea-8c15-0025b502a06e',	'Крукеничи'),
(1925,	'20c776f3-abcc-11e6-b5da-005056887b8d',	'Крупец (Ровенская обл.)'),
(1926,	'4b8f3cde-f40f-11e9-91ff-0025b501a04b',	'Крупец (Хмельницкая обл.)'),
(1927,	'84c71d26-cf2c-11e9-b0c5-005056b24375',	'Крутьки'),
(1928,	'5b0cc18d-a8ee-11e3-9fa0-0050568002cf',	'Крюковщина'),
(1929,	'2679f4ca-ce22-11e8-ad0d-005056b24375',	'Ксаверовка (Винницкая обл.)'),
(1930,	'198b3647-82d0-11e9-898c-005056b24375',	'Ксаверовка (Киевская обл.)'),
(1931,	'11a1b4e0-b782-11e9-8c22-005056b24375',	'Кугаевцы'),
(1932,	'1cd43ac5-7d62-11e9-898c-005056b24375',	'Кудинка'),
(1933,	'f814568a-c338-11e9-b0c5-005056b24375',	'Кудлаевка'),
(1934,	'461ffdd8-20b8-11ea-b89e-0025b501a04b',	'Кудлатовка'),
(1935,	'72947628-64d3-11e9-898c-005056b24375',	'Кудренцы'),
(1936,	'3ffe4323-7d6f-11e9-898c-005056b24375',	'Кузнецово'),
(1937,	'7ae55829-c33d-11e9-b0c5-005056b24375',	'Кузьмин'),
(1938,	'69693fff-4691-11ea-b89e-0025b501a04b',	'Кукольники'),
(1939,	'9db8b6ad-8855-11e9-898c-005056b24375',	'Куколовка'),
(1940,	'9003fb60-b7bd-11e9-8c22-005056b24375',	'Кулажинцы'),
(1941,	'7fda27cf-fee4-11e9-91ff-0025b501a04b',	'Кулачковцы'),
(1942,	'9647d69a-c493-11e3-95eb-0050568046cd',	'Куликов'),
(1943,	'06f87994-4079-11de-b509-001d92f78698',	'Куликовка'),
(1944,	'8ea019e0-9e4e-11e9-898c-005056b24375',	'Кулиничи'),
(1945,	'698efcd8-0c97-11ea-8c15-0025b502a06e',	'Кулиши'),
(1946,	'109f7abb-5a19-11ea-a970-b8830365ade4',	'Кулешовка'),
(1947,	'55d9fa73-1ab0-11ea-8c15-0025b502a06e',	'Кульчинки'),
(1948,	'c5e9414b-735e-11ea-a970-b8830365ade4',	'Кульчицы'),
(1949,	'85da54b5-3c2d-11ea-b89e-0025b501a04b',	'Кумейки'),
(1950,	'90a1d491-a7a5-11e9-b73a-005056b24375',	'Кумы'),
(1951,	'3b92ac32-0ce6-11ea-8c15-0025b502a06e',	'Куна'),
(1952,	'ae7a32bc-0d45-11de-b6f5-001d92f78697',	'Купянск'),
(1953,	'c129b2c0-9942-11e3-b441-0050568002cf',	'Купянск-Узловой'),
(1954,	'0c2acc18-b794-11e9-8c22-005056b24375',	'Купичев'),
(1955,	'4cc64f5b-9e56-11e9-898c-005056b24375',	'Купель'),
(1956,	'8c8e9fa8-64ce-11e9-898c-005056b24375',	'Купка'),
(1957,	'581eeeb6-b799-11e9-8c22-005056b24375',	'Кураховка'),
(1958,	'586d9b83-c5dc-11e1-86b4-0026b97ed48a',	'Курахово'),
(1959,	'231c4d33-883f-11e9-898c-005056b24375',	'Куриловка'),
(1960,	'17e578be-b784-11e9-8c22-005056b24375',	'Куриловка (Харьковская обл.)'),
(1961,	'53e8eb4e-b798-11e9-8c22-005056b24375',	'Куриловка (Хмельницкая обл.)'),
(1962,	'bc1dc04c-8832-11e9-898c-005056b24375',	'Курень'),
(1963,	'6591260d-64cf-11e9-898c-005056b24375',	'Курисово'),
(1964,	'f2cb4326-6540-11ea-a970-b8830365ade4',	'Куровичи'),
(1965,	'baadc136-0ce6-11ea-8c15-0025b502a06e',	'Куряны'),
(1966,	'f278e857-883c-11e9-898c-005056b24375',	'Куснища'),
(1967,	'6c523b6d-73dd-11e9-898c-005056b24375',	'Кустолово-Суходолка'),
(1968,	'81450a32-ef4e-11e5-899e-005056887b8d',	'Куты (Косовский р-н)'),
(1969,	'2d3c37ac-76f4-11e9-898c-005056b24375',	'Кутище'),
(1970,	'0d3c6aa0-3c2c-11ea-b89e-0025b501a04b',	'Кутковцы'),
(1971,	'8ea019f5-9e4e-11e9-898c-005056b24375',	'Кутузовка'),
(1972,	'eb544741-e5e4-11e9-b48a-005056b24375',	'Кутузовка (Запорожская обл.)'),
(1973,	'34ca8584-7fe8-11ea-a970-b8830365ade4',	'Кухари'),
(1974,	'e048792f-b8ef-11e4-a77a-005056887b8d',	'Куцеволовка (Кировоград.обл)'),
(1975,	'3c2d061a-9e4c-11e9-898c-005056b24375',	'Куча'),
(1976,	'f3fd0603-9e54-11e9-898c-005056b24375',	'Кучаков'),
(1977,	'aefd0561-32a0-11e4-acce-0050568002cf',	'Кучурган'),
(1978,	'cfb2e946-0554-11e6-899e-005056887b8d',	'Кушница'),
(1979,	'c0bb0334-20b7-11ea-b89e-0025b501a04b',	'Куштановица'),
(1980,	'9d9a541b-76f1-11e9-898c-005056b24375',	'Кушугум'),
(1981,	'5cc44bda-9278-11e9-898c-005056b24375',	'Кущинцы'),
(1982,	'92a3ecdc-0c98-11ea-8c15-0025b502a06e',	'Куяновка'),
(1983,	'be661ba1-4698-11ea-b89e-0025b501a04b',	'Лавочное'),
(1984,	'a3157f06-e675-11e9-b48a-005056b24375',	'Лаврики'),
(1985,	'b067705f-c341-11e9-b0c5-005056b24375',	'Лавров '),
(1986,	'83bab35d-6545-11ea-a970-b8830365ade4',	'Лавровка'),
(1987,	'04236030-8ce7-11e3-b441-0050568002cf',	'Ладан'),
(1988,	'973064e7-9e4c-11e9-898c-005056b24375',	'Ладыги'),
(1989,	'c2647f08-5261-11e1-8fd9-0026b97ed48a',	'Ладыжин'),
(1990,	'c129b294-9942-11e3-b441-0050568002cf',	'Ладыжинка'),
(1991,	'36879142-f42a-11e9-91ff-0025b501a04b',	'Ладычин'),
(1992,	'3c370d39-b7a1-11e9-8c22-005056b24375',	'Лазаревка'),
(1993,	'71c9d52b-0ce5-11ea-8c15-0025b502a06e',	'Лазещина'),
(1994,	'f1d4e906-735f-11ea-a970-b8830365ade4',	'Лазы'),
(1995,	'990f6b9b-aea1-11e3-9fa0-0050568002cf',	'Лазорки (Оржицкий р-н)'),
(1996,	'7fc6227f-9e69-11e9-898c-005056b24375',	'Лалово'),
(1997,	'ab3e8e26-73dd-11e9-898c-005056b24375',	'Ландари'),
(1998,	'c9d83d83-fef6-11e9-91ff-0025b501a04b',	'Лановка '),
(1999,	'00065648-4079-11de-b509-001d92f78698',	'Лановцы'),
(2000,	'71f9aa0c-8861-11e9-898c-005056b24375',	'Ланна'),
(2001,	'468267a5-9e68-11e9-898c-005056b24375',	'Лантаратовка'),
(2002,	'6380ff35-f877-11e4-8a92-005056887b8d',	'Ланчин'),
(2003,	'4ae0798c-8858-11e9-898c-005056b24375',	'Лапаевка'),
(2004,	'ad477a72-cf3d-11e9-b0c5-005056b24375',	'Ларжанка'),
(2005,	'd9420b16-64c9-11e9-898c-005056b24375',	'Лашковка'),
(2006,	'c2ba8a0b-b7be-11e9-8c22-005056b24375',	'Лебяжье'),
(2007,	'db5c8933-391c-11dd-90d9-001a92567626',	'Лебедин (Сумская обл.)'),
(2008,	'5eb2e3ca-22e2-11e4-acce-0050568002cf',	'Лебедин (Черкаская обл., Шполянский р-н)'),
(2009,	'b73463d2-8851-11e9-898c-005056b24375',	'Лебедевка'),
(2010,	'd29df29e-f429-11e9-91ff-0025b501a04b',	'Лебедевка (Сахновщинский р-н., Харьковская обл.)'),
(2011,	'5690f893-f427-11e9-91ff-0025b501a04b',	'Левадовка'),
(2012,	'07b9c830-cf2e-11e9-b0c5-005056b24375',	'Левков'),
(2013,	'f8d12ed7-b777-11e9-8c22-005056b24375',	'Легедзино'),
(2014,	'71f9aa36-8861-11e9-898c-005056b24375',	'Лелюховка'),
(2015,	'3e1f31ae-b7be-11e9-8c22-005056b24375',	'Лемешовка'),
(2016,	'15befcf9-9e52-11e9-898c-005056b24375',	'Ленковцы'),
(2017,	'929e72ca-1ab0-11ea-8c15-0025b502a06e',	'Ленковцы (Хмельницкая обл.)'),
(2018,	'0365feec-b771-11e9-8c22-005056b24375',	'Леоновка'),
(2019,	'c01bf92e-cf40-11e9-b0c5-005056b24375',	'Лепетиха'),
(2020,	'd5f1521e-8c59-11e5-b6f7-005056887b8d',	'Леськи'),
(2021,	'849eb432-64cb-11e9-898c-005056b24375',	'Летава'),
(2022,	'dfdc9db3-ace7-11dd-8b61-001d92f78697',	'Летичев'),
(2023,	'f2e00480-9e6c-11e9-898c-005056b24375',	'Летковка'),
(2024,	'74f00b7c-b7b6-11e9-8c22-005056b24375',	'Летня'),
(2025,	'ccc49412-883b-11e9-898c-005056b24375',	'Леухи'),
(2026,	'39ba1a70-e68c-11e9-b48a-005056b24375',	'Лехновка'),
(2027,	'9cff6549-b2d8-11e9-8c22-005056b24375',	'Лецки'),
(2028,	'27cf5ac4-feec-11e9-91ff-0025b501a04b',	'Лешнев'),
(2029,	'3c97d51c-e670-11e9-b48a-005056b24375',	'Либохора'),
(2030,	'3dee1b20-0ce4-11ea-8c15-0025b502a06e',	'Либохора (Сколевский р-н)'),
(2031,	'7d3175d4-cf4b-11e9-b0c5-005056b24375',	'Лиговка'),
(2032,	'40d741db-8869-11e9-898c-005056b24375',	'Лизогубовка'),
(2033,	'08a21b46-ebfd-11e8-ad0d-005056b24375',	'Лиман (Харьковская обл.)'),
(2034,	'69da41a8-3f5d-11de-b509-001d92f78698',	'Лиман(Донецька обл)'),
(2035,	'00f007d8-f427-11e9-91ff-0025b501a04b',	'Лиманское (Запорожская обл.)'),
(2036,	'762c5152-cacb-11e3-95eb-0050568046cd',	'Лиманское (Раздельнянский р-н)'),
(2037,	'34440894-9e3b-11e9-898c-005056b24375',	'Линовица'),
(2038,	'c8dfbaa6-4d9d-11e6-a9f2-005056887b8d',	'Липины'),
(2039,	'e215a1df-7d70-11e9-898c-005056b24375',	'Липовка'),
(2040,	'5dc4fc8a-cf46-11e9-b0c5-005056b24375',	'Липовка (Ивано-Франковская обл.)'),
(2041,	'56c3cac3-e685-11e9-b48a-005056b24375',	'Липовка (Львовская обл.)'),
(2042,	'9b2a1394-7d70-11e9-898c-005056b24375',	'Липковатовка'),
(2043,	'4f9cceb0-a956-11e9-b73a-005056b24375',	'Липно'),
(2044,	'b209ba52-9742-11e9-898c-005056b24375',	'Липники'),
(2045,	'0006563c-4079-11de-b509-001d92f78698',	'Липовая Долина'),
(2046,	'69da414b-3f5d-11de-b509-001d92f78698',	'Липовец'),
(2047,	'1a0e8c91-0c97-11ea-8c15-0025b502a06e',	'Липовец (Киевская обл.)'),
(2049,	'cb9d5ff4-6546-11ea-a970-b8830365ade4',	'Липовица'),
(2050,	'7f457a6d-8869-11e9-898c-005056b24375',	'Липцы'),
(2051,	'968da350-76f2-11e9-898c-005056b24375',	'Липча'),
(2052,	'582a8ae5-2ad2-11e5-add9-005056887b8d',	'Лысая Гора'),
(2053,	'b49d44f1-8829-11e9-898c-005056b24375',	'Лисановцы'),
(2054,	'a8969055-cf45-11e9-b0c5-005056b24375',	'Лисец'),
(2055,	'1b7d780d-8859-11e9-898c-005056b24375',	'Лисиничи (Львовская обл.)'),
(2056,	'db5c8934-391c-11dd-90d9-001a92567626',	'Лисичанск'),
(2057,	'3611f852-fed8-11e9-91ff-0025b501a04b',	'Лисичово'),
(2058,	'e4720877-b799-11e9-8c22-005056b24375',	'Лысовка'),
(2059,	'dc621531-3607-11ea-b89e-0025b501a04b',	'Лысогорка (Летичевский р-н., Хмельницкая обл.)'),
(2060,	'591febab-7d5f-11e9-898c-005056b24375',	'Листопадово'),
(2061,	'06f8797c-4079-11de-b509-001d92f78698',	'Лысянка'),
(2062,	'3e1b7ecc-885a-11e9-898c-005056b24375',	'Лисятичи'),
(2063,	'6640f033-9e35-11e9-898c-005056b24375',	'Литвиновка'),
(2064,	'1058be0f-76eb-11e9-898c-005056b24375',	'Литовеж'),
(2065,	'cdda2dbe-b7bc-11e9-8c22-005056b24375',	'Лиховка'),
(2066,	'ee0f737a-e5dd-11e9-b48a-005056b24375',	'Лычанка'),
(2067,	'066d7f0d-c356-11e9-b0c5-005056b24375',	'Лычковцы'),
(2068,	'e68423c7-9e60-11e9-898c-005056b24375',	'Лычково'),
(2069,	'b503bf29-8830-11e9-898c-005056b24375',	'Левинцы'),
(2070,	'f6ca5dfc-0c95-11ea-8c15-0025b502a06e',	'Лимна'),
(2071,	'3859e479-9e5b-11e9-898c-005056b24375',	'Лепляво'),
(2072,	'd50b9ffc-7300-11e9-898c-005056b24375',	'Лесная Поляна'),
(2073,	'ab5f1803-fedf-11e9-91ff-0025b501a04b',	'Лесная Тарновица '),
(2074,	'98ebbf62-b786-11e9-8c22-005056b24375',	'Лесной Хлебычин'),
(2075,	'6640f048-9e35-11e9-898c-005056b24375',	'Лесники'),
(2076,	'c6be6e9a-9e64-11e9-898c-005056b24375',	'Лесовое'),
(2077,	'e55fa915-7feb-11ea-a970-b8830365ade4',	'Лесовое (Черкасская обл.)'),
(2078,	'37cc05f6-b7a2-11e9-8c22-005056b24375',	'Лесовичи'),
(2079,	'932d9fd5-cf1d-11e9-b0c5-005056b24375',	'Лесоводы'),
(2080,	'739dee2f-9e43-11e9-898c-005056b24375',	'Лесополь'),
(2081,	'b61307c8-3f59-11de-b509-001d92f78698',	'Литин'),
(2082,	'1fcecfac-4c84-11e9-acea-005056b24375',	'Летки'),
(2083,	'973064fc-9e4c-11e9-898c-005056b24375',	'Летки (Хмельницкая обл.)'),
(2084,	'c23f5b2b-7d6f-11e9-898c-005056b24375',	'Леточки'),
(2085,	'4e1977c2-2af4-11e5-add9-005056887b8d',	'Лешня'),
(2086,	'36fe1ea2-7d64-11e9-898c-005056b24375',	'Лищаны'),
(2087,	'4d84c050-b81e-11e9-8c22-005056b24375',	'Лобачевка'),
(2088,	'9a2e3e54-8cb5-11e3-b441-0050568002cf',	'Лобойковка'),
(2089,	'35b67bb0-b7a3-11e9-8c22-005056b24375',	'Логвин'),
(2090,	'd046ae5e-884f-11e9-898c-005056b24375',	'Лоевая'),
(2091,	'8c81a426-b79b-11e9-8c22-005056b24375',	'Лозино'),
(2092,	'6d127511-c595-11e8-ad0d-005056b24375',	'Лозно-Александровка'),
(2093,	'db5c8936-391c-11dd-90d9-001a92567626',	'Лозовая'),
(2094,	'b03f2c07-735d-11ea-a970-b8830365ade4',	'Лозовая (Тернопольськая обл.)'),
(2095,	'af4a63c0-7301-11e9-898c-005056b24375',	'Лозовое'),
(2096,	'7567f24c-fee2-11e9-91ff-0025b501a04b',	'Лозовое (Хмельницкая обл.)'),
(2097,	'5ae59baa-9e42-11e9-898c-005056b24375',	'Лозоватая (Кировоградская обл.)'),
(2098,	'cdda2dd3-b7bc-11e9-8c22-005056b24375',	'Лозуватка (Пятихатський р-н)'),
(2099,	'9ebd345f-55b0-11e3-b441-0050568002cf',	'Лозоватка(Криворожский р-н)'),
(2100,	'f7062356-4078-11de-b509-001d92f78698',	'Локачи'),
(2101,	'c71cb018-b7bb-11e9-8c22-005056b24375',	'Лолин'),
(2102,	'8c8e9fbd-64ce-11e9-898c-005056b24375',	'Ломачинцы'),
(2103,	'05b90a65-9e6b-11e9-898c-005056b24375',	'Лопянка'),
(2104,	'2fba68d4-0834-11e4-acce-0050568002cf',	'Лопатин (Львовская обл.)'),
(2105,	'ecec0fb7-76ef-11e9-898c-005056b24375',	'Лопатичи'),
(2106,	'fbb7863f-b7aa-11e9-8c22-005056b24375',	'Лопушна'),
(2107,	'cdcf5623-21ec-11e3-b000-0050568002cf',	'Лосиновка'),
(2108,	'f2f0f214-9403-11e9-898c-005056b24375',	'Лосятин (Киевская обл.)'),
(2109,	'd122cd98-76f8-11e9-898c-005056b24375',	'Лосятин (Тернопольськая обл.)'),
(2110,	'7833e612-3b51-11de-913b-001d92f78698',	'Лохвица'),
(2111,	'7938034a-b7b3-11e9-8c22-005056b24375',	'Лоцкино'),
(2112,	'b7790937-b781-11e9-8c22-005056b24375',	'Лошковцы'),
(2113,	'a88bc693-76f2-11e9-898c-005056b24375',	'Лубянка'),
(2114,	'db5c8938-391c-11dd-90d9-001a92567626',	'Лубны'),
(2115,	'b5ee7579-64ca-11e9-898c-005056b24375',	'Луганка'),
(2116,	'd7f00174-6546-11ea-a970-b8830365ade4',	'Луги'),
(2117,	'69da41de-3f5d-11de-b509-001d92f78698',	'Лугины'),
(2118,	'eb870456-11ac-11e4-acce-0050568002cf',	'Лужаны'),
(2119,	'cd61a01c-9287-11e9-898c-005056b24375',	'Лукьяновка '),
(2120,	'dd5f6b36-fef7-11e9-91ff-0025b501a04b',	'Лукьяновка (Барышевский р-н)'),
(2121,	'56cccaac-b792-11e9-8c22-005056b24375',	'Лукьянцы'),
(2122,	'52972239-cf4a-11e9-b0c5-005056b24375',	'Лука'),
(2123,	'1f30a44e-f7aa-11e3-8c4a-0050568002cf',	'Лука-Мелешковская'),
(2124,	'639754d5-b7ab-11e9-8c22-005056b24375',	'Лукавцы'),
(2125,	'2e80ed16-76f1-11e9-898c-005056b24375',	'Лукашево'),
(2126,	'9cf5021d-5a02-11e9-a703-005056b24375',	'Лукаши'),
(2127,	'738184fd-1626-11e3-874c-d4ae527baec3',	'Луков'),
(2128,	'dab6f8a7-76f7-11e9-898c-005056b24375',	'Луко'),
(2129,	'ae3a5233-82d0-11e9-898c-005056b24375',	'Лупарево'),
(2130,	'b749ad7a-1ab0-11ea-8c15-0025b502a06e',	'Лутовка'),
(2131,	'1c3f1e84-64d0-11e9-898c-005056b24375',	'Лутовиновка'),
(2132,	'db5c893b-391c-11dd-90d9-001a92567626',	'Луцк'),
(2133,	'd6f03308-cf46-11e9-b0c5-005056b24375',	'Лучинцы'),
(2134,	'db5c88f5-391c-11dd-90d9-001a92567626',	'Львов'),
(2135,	'90a1d47c-a7a5-11e9-b73a-005056b24375',	'Львовское'),
(2136,	'6064aa4c-fed7-11e9-91ff-0025b501a04b',	'Львовое'),
(2137,	'4a2706d8-cf25-11e9-b0c5-005056b24375',	'Летничье'),
(2138,	'9f33ab22-dab5-11e9-b48a-005056b24375',	'Любязь'),
(2139,	'69da41c9-3f5d-11de-b509-001d92f78698',	'Любар'),
(2140,	'3a2066fb-9e55-11e9-898c-005056b24375',	'Любарцы'),
(2141,	'06f87962-4079-11de-b509-001d92f78698',	'Любашевка'),
(2142,	'344408a9-9e3b-11e9-898c-005056b24375',	'Любеч'),
(2143,	'f706236a-4078-11de-b509-001d92f78698',	'Любешов'),
(2144,	'5d72009d-e5ee-11e9-b48a-005056b24375',	'Любимовка'),
(2145,	'3257a9a2-48f4-11e6-a9f2-005056887b8d',	'Любимовка (Каховский р-н)'),
(2146,	'ee0f7350-e5dd-11e9-b48a-005056b24375',	'Любимовка (Киевская обл.)'),
(2147,	'dc133ff4-9e3f-11e9-898c-005056b24375',	'Любимовка (Нововоронцовський р-н)'),
(2148,	'681956cf-a958-11e9-b73a-005056b24375',	'Любимо-Павловка'),
(2149,	'd96095f9-f428-11e9-91ff-0025b501a04b',	'Любинцы'),
(2150,	'aba40443-76ec-11e9-898c-005056b24375',	'Любитов'),
(2151,	'5400fbb2-fedf-11e9-91ff-0025b501a04b',	'Любицкое '),
(2152,	'e295efee-59e9-11e4-acce-0050568002cf',	'Люблинец'),
(2153,	'd63931dc-dae7-11e9-b48a-005056b24375',	'Любомировка'),
(2154,	'f7062360-4078-11de-b509-001d92f78698',	'Любомль'),
(2155,	'd48436af-e99c-11e0-be54-f5cb9f9fdf36',	'Люботин'),
(2156,	'6396af06-9282-11e9-898c-005056b24375',	'Любохини'),
(2157,	'40499188-65c0-11e9-898c-005056b24375',	'Лютаривка'),
(2158,	'357e7bba-76fa-11e9-898c-005056b24375',	'Лютарка'),
(2159,	'84d9d806-0c20-11e4-acce-0050568002cf',	'Лютенька'),
(2160,	'02f3d3e7-9e44-11e9-898c-005056b24375',	'Лютинск'),
(2161,	'dee91f56-d5ed-11e3-95eb-0050568046cd',	'Лютеж'),
(2162,	'a692a51d-65bf-11e9-898c-005056b24375',	'Люча'),
(2163,	'31ad9f53-76ee-11e9-898c-005056b24375',	'Ляшковка'),
(2164,	'd58f1d24-9293-11e9-898c-005056b24375',	'Лящовка'),
(2165,	'7d4081c1-9e55-11e9-898c-005056b24375',	'Мякеньковка '),
(2166,	'00ed4fed-dadd-11e9-b48a-005056b24375',	'Мавковичи'),
(2167,	'8f5a0018-dab2-11e9-b48a-005056b24375',	'Магала'),
(2168,	'69da41a5-3f5d-11de-b509-001d92f78698',	'Магдалиновка'),
(2169,	'adbd778e-76f5-11e9-898c-005056b24375',	'Магеров'),
(2170,	'9cff655f-b2d8-11e9-8c22-005056b24375',	'Мазинки'),
(2171,	'cb003d26-e5ec-11e9-b48a-005056b24375',	'Мазуровка'),
(2172,	'4a60ca35-9e41-11e9-898c-005056b24375',	'Майдан'),
(2173,	'fe3923a2-7d5d-11e9-898c-005056b24375',	'Майданецкое'),
(2174,	'cf2d470c-9e5e-11e9-898c-005056b24375',	'Майоры'),
(2175,	'7b91d903-4f17-11ea-b89e-0025b501a04b',	'Майорское'),
(2176,	'1907241a-046f-11e5-8a92-005056887b8d',	'Майское'),
(2177,	'f70622ee-4078-11de-b509-001d92f78698',	'Макаров'),
(2178,	'b2021399-b7b8-11e9-8c22-005056b24375',	'Макарово'),
(2179,	'980e80d6-9e3b-11e9-898c-005056b24375',	'Макишин'),
(2180,	'6439d855-9e5c-11e9-898c-005056b24375',	'Маковка'),
(2181,	'0b598345-735d-11ea-a970-b8830365ade4',	'Макеевка'),
(2182,	'ba993b57-64d2-11e9-898c-005056b24375',	'Максима Горького'),
(2183,	'7d5ee742-1ab0-11ea-8c15-0025b502a06e',	'Максимовка'),
(2184,	'4cb8ef03-2620-11e5-add9-005056887b8d',	'Малая Белозерка'),
(2185,	'6780822b-9293-11e9-898c-005056b24375',	'Малая Буромка'),
(2186,	'f7062324-4078-11de-b509-001d92f78698',	'Малая Виска'),
(2187,	'9f33ab37-dab5-11e9-b48a-005056b24375',	'Малая Глуша'),
(2188,	'1488ae35-f5bc-11e5-899e-005056887b8d',	'Малая Даниловка'),
(2189,	'f0e07b13-ebdb-11e8-ad0d-005056b24375',	'Малая Девица'),
(2190,	'8e92e4eb-daa8-11e9-b48a-005056b24375',	'Малая Добронь'),
(2191,	'7e6dd85a-882b-11e9-898c-005056b24375',	'Малая Каратуль '),
(2192,	'4492f0e8-b79a-11e9-8c22-005056b24375',	'Малая Копаня'),
(2193,	'739dee44-9e43-11e9-898c-005056b24375',	'Малая Любаша'),
(2194,	'5e320ad7-e5e6-11e9-b48a-005056b24375',	'Малая Михайловка'),
(2195,	'7a0b61c4-093c-11e9-ad0d-005056b24375',	'Малая Александровка'),
(2196,	'50410b9d-e8a7-11e8-ad0d-005056b24375',	'Малая Перещепина'),
(2197,	'df11dd19-76ed-11e9-898c-005056b24375',	'Мала Петриковка'),
(2198,	'b4117c10-cf43-11e9-b0c5-005056b24375',	'Малая Рыбица'),
(2199,	'a07bf640-b783-11e9-8c22-005056b24375',	'Малая Рогань'),
(2200,	'87b76543-b79c-11e9-8c22-005056b24375',	'Малая Солтановка'),
(2201,	'f7a264a4-7d5a-11e9-898c-005056b24375',	'Малая Токмачка'),
(2202,	'58cd3054-76f2-11e9-898c-005056b24375',	'Малая Турья'),
(2203,	'a5d241d9-7fef-11ea-a970-b8830365ade4',	'Малаевцы'),
(2204,	'f9a0584c-0c94-11ea-8c15-0025b502a06e',	'Малашевцы'),
(2205,	'eb0a19be-bbf6-11e3-9fa0-0050568002cf',	'Малехов'),
(2206,	'2047a11a-76f6-11e9-898c-005056b24375',	'Малечковичи'),
(2207,	'4022d674-884a-11e9-898c-005056b24375',	'Малый Березный'),
(2208,	'2855f8f9-f667-11e9-91ff-0025b501a04b',	'Малый Бурлук'),
(2209,	'c142402a-cf3e-11e9-b0c5-005056b24375',	'Малый Кучуров'),
(2210,	'af98b7ae-f40c-11e9-91ff-0025b501a04b',	'Малый Мидск'),
(2211,	'1ece1c45-8864-11e9-898c-005056b24375',	'Малый Стыдин'),
(2212,	'4cd20293-b7c0-11e9-8c22-005056b24375',	'Малый Ходачков'),
(2213,	'69da41f3-3f5d-11de-b509-001d92f78698',	'Малин'),
(2214,	'd670ad7b-cf2b-11e9-b0c5-005056b24375',	'Малиновка (Донецкая обл.)'),
(2215,	'fcc3036f-b76e-11e9-8c22-005056b24375',	'Малиновка (Запорожская обл.)'),
(2216,	'a2bbe8c0-8f4d-11e4-acce-0050568002cf',	'Малиновка (Харьковская обл.)'),
(2217,	'317f877c-9290-11e9-898c-005056b24375',	'Малинск'),
(2218,	'74562723-7d63-11e9-898c-005056b24375',	'Малинцы'),
(2219,	'eb544771-e5e4-11e9-b48a-005056b24375',	'Малышевка'),
(2220,	'a7214956-9290-11e9-898c-005056b24375',	'Малые Дорогостаи'),
(2221,	'f2d3c6de-cf15-11e9-b0c5-005056b24375',	'Малые Копани'),
(2222,	'1647c725-9e4f-11e9-898c-005056b24375',	'Малые Крушлинцы'),
(2223,	'1694ad73-b79c-11e9-8c22-005056b24375',	'Малые Мокряны'),
(2224,	'67094bc8-9e45-11e9-898c-005056b24375',	'Малые Подлески'),
(2225,	'8925eb73-7301-11e9-898c-005056b24375',	'Малые Телковичи'),
(2226,	'eb899190-0c93-11ea-8c15-0025b502a06e',	'Малиевцы'),
(2227,	'e0a7b396-b7a5-11e9-8c22-005056b24375',	'Малодолинское '),
(2228,	'272e2a88-883a-11e9-898c-005056b24375',	'Малокатериновка'),
(2229,	'4dca82a5-b7a7-11e9-8c22-005056b24375',	'Малокаховка'),
(2230,	'498735db-82cd-11e9-898c-005056b24375',	'Маломихайловка'),
(2231,	'dc0eed36-6544-11ea-a970-b8830365ade4',	'Малополовецкое'),
(2232,	'2a364e22-8841-11e9-898c-005056b24375',	'Малотарановка'),
(2233,	'c61b7835-14fc-11e9-ad0d-005056b24375',	'Малоянисоль (Донецкая обл., Никольский р-н)'),
(2234,	'44a5f428-1e9c-11e2-8db4-d4ae52ab9fab',	'Мамаевцы'),
(2235,	'841477c8-6c2f-11e5-8d8d-005056887b8d',	'Мамалига'),
(2236,	'000655cc-4079-11de-b509-001d92f78698',	'Мангуш'),
(2237,	'f706236c-4078-11de-b509-001d92f78698',	'Маневичи'),
(2238,	'91ba5af9-b797-11e9-8c22-005056b24375',	'Манжелия '),
(2239,	'ffbfb17f-b77b-11e9-8c22-005056b24375',	'Мануйловка'),
(2240,	'1b97d710-7d6c-11e9-898c-005056b24375',	'Манченки'),
(2241,	'06f8794c-4079-11de-b509-001d92f78698',	'Маньковка'),
(2242,	'6741e6c1-b7bf-11e9-8c22-005056b24375',	'Маньковка (Винницкая обл.)'),
(2243,	'1ec11a4b-e689-11e9-b48a-005056b24375',	'Манява'),
(2244,	'd902b108-1aad-11ea-8c15-0025b502a06e',	'Марьевка (Запорожский р-н., Запорожская обл.)'),
(2245,	'69da41b1-3f5d-11de-b509-001d92f78698',	'Марьинка'),
(2246,	'09e961ec-82d1-11e9-898c-005056b24375',	'Марьяновка (Березовский р-н., Одесская обл.)'),
(2247,	'77bf5e88-82d0-11e9-898c-005056b24375',	'Марьяновка (Васильковский р-н)'),
(2248,	'0c2acc2d-b794-11e9-8c22-005056b24375',	'Марьяновка (Волынская обл.)'),
(2249,	'69ca4ec8-7d69-11e9-898c-005056b24375',	'Марьяновка (Житомирская обл.)'),
(2250,	'9710f65a-4696-11ea-b89e-0025b501a04b',	'Марьяновка (Запорожская обл.)'),
(2251,	'a88bc669-76f2-11e9-898c-005056b24375',	'Марьяновка (Макаровский р-н)'),
(2252,	'd7bb2cbb-76f6-11e9-898c-005056b24375',	'Марьяновка (Овидиопольский р-н., Одесская обл.)'),
(2253,	'2b5022fd-b783-11e9-8c22-005056b24375',	'Марьяновка (Черкасская обл.)'),
(2254,	'609333cb-dae2-11e9-b48a-005056b24375',	'Марьяновка (Ширяевский р-н., Одесская обл.)'),
(2255,	'a6dc90d6-c2be-11e2-874c-d4ae527baec3',	'Марьянское'),
(2256,	'db5c8942-391c-11dd-90d9-001a92567626',	'Марганец'),
(2257,	'3ffe4338-7d6f-11e9-898c-005056b24375',	'Мариновка'),
(2258,	'db5c8944-391c-11dd-90d9-001a92567626',	'Мариуполь'),
(2259,	'f17dc68b-cf44-11e9-b0c5-005056b24375',	'Мариямполь'),
(2260,	'f706234c-4078-11de-b509-001d92f78698',	'Марковка'),
(2261,	'9d7ed319-dae5-11e9-b48a-005056b24375',	'Марковка (Полтавская обл.)'),
(2262,	'5dc4fc75-cf46-11e9-b0c5-005056b24375',	'Марковцы (Ивано-Франковская обл.)'),
(2264,	'980f26aa-5a1a-11ea-a970-b8830365ade4',	'Маркополь'),
(2265,	'a0378113-8877-11e9-898c-005056b24375',	'Мартыновка'),
(2266,	'9929c22e-9e66-11e9-898c-005056b24375',	'Мартыновка (Полтавская обл.)'),
(2267,	'8bddd1e0-9e68-11e9-898c-005056b24375',	'Мартыновка  (Сумская обл.)'),
(2268,	'e879c5e7-885a-11e9-898c-005056b24375',	'Мартыновское'),
(2269,	'19d9f9e6-9289-11e9-898c-005056b24375',	'Марто-Ивановка'),
(2270,	'43e216fd-dab3-11e9-b48a-005056b24375',	'Мартовое'),
(2271,	'a9d0ec8c-76f5-11e9-898c-005056b24375',	'Мартоноша'),
(2272,	'adbe5c7c-9e57-11e9-898c-005056b24375',	'Мархалевка'),
(2273,	'3fa22a91-9295-11e9-898c-005056b24375',	'Маршинцы'),
(2274,	'6530c96a-fee1-11e9-91ff-0025b501a04b',	'Масевичи'),
(2275,	'e4f28d41-ff77-11e8-ad0d-005056b24375',	'Масловка'),
(2276,	'ad36316c-73e6-11e5-8d8d-005056887b8d',	'Матвеевка(Вольнянский р-н)'),
(2277,	'372a18af-9e50-11e9-898c-005056b24375',	'Матеевцы'),
(2278,	'a6e309af-64d1-11e9-898c-005056b24375',	'Матышевка'),
(2279,	'2fb41dc3-c34f-11e9-b0c5-005056b24375',	'Матроска'),
(2280,	'2b502312-b783-11e9-8c22-005056b24375',	'Матусов'),
(2281,	'87adccbf-e5ec-11e9-b48a-005056b24375',	'Махаринцы'),
(2282,	'594558db-f301-11e3-8c4a-0050568002cf',	'Махнивка (Винницкая обл.)'),
(2283,	'0268c2a2-e66f-11e9-b48a-005056b24375',	'Мацьковцы'),
(2284,	'3d5b1cb7-e07c-11e5-899e-005056887b8d',	'Мачухи'),
(2285,	'7833e616-3b51-11de-913b-001d92f78698',	'Машевка'),
(2286,	'02f3d411-9e44-11e9-898c-005056b24375',	'Маща'),
(2287,	'2a364e4c-8841-11e9-898c-005056b24375',	'Маяки'),
(2288,	'cf2d4721-9e5e-11e9-898c-005056b24375',	'Маяки (Одесская обл.)'),
(2289,	'525e40af-8862-11e9-898c-005056b24375',	'Маячка'),
(2290,	'22e68143-fef8-11e9-91ff-0025b501a04b',	'Медведевка'),
(2291,	'363c049c-5633-11e5-8d8d-005056887b8d',	'Медвежье Ушко'),
(2292,	'97020688-5228-11e9-acea-005056b24375',	'Медвин'),
(2293,	'a1e5b37e-41ad-11e5-8d8d-005056887b8d',	'Меденичи'),
(2294,	'96b8d798-be42-11e3-9fa0-0050568002cf',	'Меджибож'),
(2295,	'84f71019-c354-11e9-b0c5-005056b24375',	'Мединя'),
(2296,	'3f023c30-b78f-11e9-8c22-005056b24375',	'Межирич'),
(2297,	'a721496b-9290-11e9-898c-005056b24375',	'Межирич (Острожский р-н, Ровенская обл.)'),
(2298,	'47b78957-6545-11ea-a970-b8830365ade4',	'Межирич (Черкасская обл.)'),
(2299,	'948341f7-b77f-11e9-8c22-005056b24375',	'Межиречье'),
(2300,	'69da4193-3f5d-11de-b509-001d92f78698',	'Межевая'),
(2301,	'ff840541-9742-11e9-898c-005056b24375',	'Мезеновка'),
(2302,	'1c3f1e99-64d0-11e9-898c-005056b24375',	'Мелекино'),
(2303,	'36bade9b-ea5a-11e3-8c4a-0050568002cf',	'Мелиоративное (Новомосковский р-н)'),
(2304,	'db5c8947-391c-11dd-90d9-001a92567626',	'Мелитополь'),
(2305,	'6396aef1-9282-11e9-898c-005056b24375',	'Мельники'),
(2306,	'd670ad90-cf2b-11e9-b0c5-005056b24375',	'Мельники (Чигиринский р-н.)'),
(2307,	'84c71d11-cf2c-11e9-b0c5-005056b24375',	'Мельники (Чернобаевский р-н)'),
(2308,	'8e8a0899-b06d-11e4-a77a-005056887b8d',	'Мельница-Подольская (Тернопольская обл.)'),
(2309,	'0db17b0e-4079-11de-b509-001d92f78698',	'Мена'),
(2310,	'a3a3c953-f40a-11e9-91ff-0025b501a04b',	'Менчикуры'),
(2311,	'948341e2-b77f-11e9-8c22-005056b24375',	'Мервичи'),
(2312,	'd48436b0-e99c-11e0-be54-f5cb9f9fdf36',	'Мерефа'),
(2313,	'e14c9281-9e5a-11e9-898c-005056b24375',	'Метёлкино'),
(2314,	'cbb031eb-1aac-11ea-8c15-0025b502a06e',	'Мигалки'),
(2315,	'1de3d98b-b7b9-11e9-8c22-005056b24375',	'Мигия '),
(2316,	'c4418548-4da6-11e6-a9f2-005056887b8d',	'Мигово'),
(2317,	'128a28ab-b799-11e9-8c22-005056b24375',	'Никольское (Монастырь) (Волновахск. р-н., Донецкая'),
(2318,	'618f131b-c32d-11e9-b0c5-005056b24375',	'Никольское (Светловодский р-н., Кировоград. Обл.)'),
(2319,	'3213bbd1-e675-11e9-b48a-005056b24375',	'Миклашев'),
(2320,	'db5c888c-391c-11dd-90d9-001a92567626',	'Николаев'),
(2321,	'acecfca8-1488-11df-8caf-000c2965ae0e',	'Николаев (Львовская обл., Николаевский р-н)'),
(2322,	'1b7d7822-8859-11e9-898c-005056b24375',	'Николаев (Львовская обл., Радеховский р-н)'),
(2323,	'54ceecce-0c9a-11ea-8c15-0025b502a06e',	'Николаевка (Великолепетихский район)'),
(2324,	'fee78550-cf3c-11e9-b0c5-005056b24375',	'Николаевка (Днепровский р-н,, Днепропетр. Обл.)'),
(2325,	'cc87c980-7d5e-11e9-898c-005056b24375',	'Николаевка (Казанковский р-н., Николаевская обл.)'),
(2326,	'e472088c-b799-11e9-8c22-005056b24375',	'Николаевка (Николаевский сельский совет)'),
(2327,	'424956c5-2406-11e2-83ab-d4ae52ab9fab',	'Николаевка ( Новомосковский р-н)'),
(2328,	'd5e118a2-64d3-11e9-898c-005056b24375',	'Николаевка (Овидиопольский р-н., Одесская обл.)'),
(2329,	'000655fe-4079-11de-b509-001d92f78698',	'Николаевка (Одесская обл., Николаевский р-н)'),
(2330,	'55929be2-b7a8-11e9-8c22-005056b24375',	'Николаевка (Петриковский р-н.)'),
(2331,	'a9b31b12-9a50-11e4-acce-0050568002cf',	'Николаевка (Петропавловский р-н)'),
(2332,	'b6e8345f-a929-11e0-91c2-e85e90109097',	'Николаевка (Славянский городской совет)'),
(2333,	'3a678a0a-5788-11e5-8d8d-005056887b8d',	'Николаевка(Белопольский р-н)'),
(2334,	'89517c52-05e1-11e4-acce-0050568002cf',	'Микулинцы'),
(2335,	'01ff349c-f170-11e8-ad0d-005056b24375',	'Микуличин'),
(2336,	'99f44a18-a7a1-11e9-b73a-005056b24375',	'Микуличи'),
(2337,	'4aae6ee2-735d-11ea-a970-b8830365ade4',	'Микуличи (Волынская обл.)'),
(2338,	'905c11b6-13d6-11e4-acce-0050568002cf',	'Милая'),
(2339,	'346e8009-2ba7-11e5-add9-005056887b8d',	'Минай'),
(2340,	'db5c894c-391c-11dd-90d9-001a92567626',	'Миргород'),
(2341,	'69741a2a-feea-11e9-91ff-0025b501a04b',	'Мировка'),
(2342,	'4c81d0bf-885d-11e9-898c-005056b24375',	'Мирное (Беляевский р-н., Одесская обл.)'),
(2343,	'4d84c027-b81e-11e9-8c22-005056b24375',	'Мирное (Волынская обл.)'),
(2344,	'809623a5-8841-11e9-898c-005056b24375',	'Мирное (Донецкая обл.)'),
(2345,	'f658d984-76f2-11e9-898c-005056b24375',	'Мирное (Киевская обл.)'),
(2346,	'48b7f3fd-0c9b-11ea-8c15-0025b502a06e',	'Мирное (Килийский р-н)'),
(2347,	'1fcecfc7-4c84-11e9-acea-005056b24375',	'Мирное (Ореховский р-н.)'),
(2348,	'662c9042-e5e7-11e9-b48a-005056b24375',	'Мирное (Ровенская обл.)'),
(2349,	'd649425b-4b33-11e5-8d8d-005056887b8d',	'Мирное(Мелитопол. р-н)'),
(2350,	'9d2fee8f-cefe-11e5-8478-005056887b8d',	'Мирное(Херсонская обл.)'),
(2351,	'10975677-8a89-11e0-8140-969cd9edcd68',	'Мирноград'),
(2352,	'3202fef7-fed9-11e9-91ff-0025b501a04b',	'Мирнополье'),
(2353,	'f65965d0-cf49-11e9-b0c5-005056b24375',	'Мировое'),
(2354,	'ee30b41e-cf24-11e9-b0c5-005056b24375',	'Миролюбовка'),
(2355,	'190c1495-fee8-11e9-91ff-0025b501a04b',	'Миролюбовка (Синельниковский р-н., Днепр. Обл.)'),
(2356,	'1041022a-20b5-11ea-b89e-0025b501a04b',	'Миролюбовка (Херсонская обл.)'),
(2357,	'4c81d0aa-885d-11e9-898c-005056b24375',	'Мироны'),
(2358,	'f706230c-4078-11de-b509-001d92f78698',	'Мироновка'),
(2359,	'93c505d0-0535-11e9-ad0d-005056b24375',	'Мироновский (Бахмутский р-н.)'),
(2360,	'ee391088-a954-11e9-b73a-005056b24375',	'Мирополье (Черкасская обл.)'),
(2361,	'fb5f51b2-0d49-11e6-971e-005056887b8d',	'Мирополье(Сумская обл.)'),
(2362,	'c265a98b-95f8-11e6-a4c1-005056887b8d',	'Мирополь(Житомирская обл.)'),
(2363,	'67f339d3-0ce4-11ea-8c15-0025b502a06e',	'Миртюки'),
(2364,	'ad1dd008-9e5c-11e9-898c-005056b24375',	'Мисайловка'),
(2365,	'85885ece-fef7-11e9-91ff-0025b501a04b',	'Мыслов'),
(2366,	'edb924c6-4c84-11e9-acea-005056b24375',	'Мыслятин'),
(2367,	'cb6e0681-b79b-11e9-8c22-005056b24375',	'Мистичи'),
(2368,	'415dc2df-1b20-11ea-8c15-0025b502a06e',	'Мыта'),
(2369,	'3c370d0f-b7a1-11e9-8c22-005056b24375',	'Мытки'),
(2370,	'77bf5eb2-82d0-11e9-898c-005056b24375',	'Мытница'),
(2371,	'152a0a35-c350-11e9-b0c5-005056b24375',	'Михайловка (Буринский р-н, Сумская обл.)'),
(2372,	'54a52180-9e4f-11e9-898c-005056b24375',	'Михайловка (Винницкая обл.)'),
(2373,	'204ebba5-cf4c-11e9-b0c5-005056b24375',	'Михайловка (Гайсинский р-н., Винницкая обл.)'),
(2374,	'69663f38-9e51-11e9-898c-005056b24375',	'Михайловка (Днепропетровская обл.)'),
(2375,	'35167215-5a1a-11ea-a970-b8830365ade4',	'Михайлівка (Житомирська обл.)'),
(2376,	'6bedba27-928a-11e9-898c-005056b24375',	'Михайловка (Кировоградская обл.)'),
(2377,	'8ce45de0-e677-11e9-b48a-005056b24375',	'Михайловка (Луганская обл.)'),
(2378,	'4a3e8974-882c-11e9-898c-005056b24375',	'Михайловка (Николаевская обл.)'),
(2379,	'cfbeaca0-4063-11de-b509-001d92f78698',	'Михайловка (Михайловский р-н., Запорожская обл.)'),
(2380,	'6bef18b1-7d6b-11e9-898c-005056b24375',	'Михайловка (Одесская обл)'),
(2381,	'f5a3be22-f406-11e9-91ff-0025b501a04b',	'Михайловка (Покровский р-н, Донецкая обл.)'),
(2382,	'f3badaf0-9e66-11e9-898c-005056b24375',	'Михайловка (Полтавская обл.)'),
(2383,	'4a40411c-76f8-11e9-898c-005056b24375',	'Михайловка (Ровенская обл., Радивиловский р-н))'),
(2384,	'e008d93a-7d6c-11e9-898c-005056b24375',	'Михайловка (Сумская обл.)'),
(2385,	'dc134009-9e3f-11e9-898c-005056b24375',	'Михайловка (Херсонская обл.)'),
(2386,	'b0048e00-07fd-11e4-acce-0050568002cf',	'Михайловка (Черкаська обл.)'),
(2387,	'3a684d8a-c180-11e8-ad0d-005056b24375',	'Михайловка-Рубежовка'),
(2388,	'a4cebe82-cf1a-11e9-b0c5-005056b24375',	'Михайло-Лукашово'),
(2389,	'9f95c0dc-64d3-11e9-898c-005056b24375',	'Михайло-Александровка'),
(2390,	'fd1a48ae-9294-11e9-898c-005056b24375',	'Михалково'),
(2391,	'7f6a84fa-cf3e-11e9-b0c5-005056b24375',	'Михальча'),
(2392,	'dba533db-521d-11e9-acea-005056b24375',	'Михля'),
(2393,	'ab77b41b-e68f-11e9-b48a-005056b24375',	'Мышковичи'),
(2394,	'5350057d-fef4-11e9-91ff-0025b501a04b',	'Мишурин Рог'),
(2395,	'06f8790a-4079-11de-b509-001d92f78698',	'Межгорье'),
(2396,	'71f89d83-e67b-11e9-b48a-005056b24375',	'Межлесье'),
(2397,	'bce8e2f5-884d-11e9-898c-005056b24375',	'Междуречье'),
(2398,	'a92def83-9e16-11e3-9fa0-0050568002cf',	'Мизоч'),
(2399,	'a0e3a441-883a-11e9-898c-005056b24375',	'Мизяковские Хутора'),
(2400,	'639754ea-b7ab-11e9-8c22-005056b24375',	'Милиево'),
(2401,	'f706234e-4078-11de-b509-001d92f78698',	'Меловое'),
(2402,	'e4c29040-e017-11e3-8c4a-0050568002cf',	'Мостки (Сватовский р-н)'),
(2403,	'c8955ad6-b780-11e9-8c22-005056b24375',	'Мицевцы'),
(2404,	'14e708ad-c981-11e4-a77a-005056887b8d',	'Мешково-Погорелово'),
(2405,	'00065612-4079-11de-b509-001d92f78698',	'Млинов'),
(2406,	'3c91efb0-7d5e-11e9-898c-005056b24375',	'Млиев'),
(2407,	'cb4f1c4f-cfd8-11e9-b0c5-005056b24375',	'Мнёв'),
(2408,	'91b43be1-9a51-11e4-acce-0050568002cf',	'Могилев'),
(2409,	'69da4169-3f5d-11de-b509-001d92f78698',	'Могилев - Подольский'),
(2410,	'4fe41c60-b785-11e9-8c22-005056b24375',	'Могилевка'),
(2411,	'9cb52969-8864-11e9-898c-005056b24375',	'Могиляны'),
(2412,	'f5b618a7-8857-11e9-898c-005056b24375',	'Модрычи'),
(2413,	'2a319422-8857-11e9-898c-005056b24375',	'Можняковка'),
(2414,	'54a52195-9e4f-11e9-898c-005056b24375',	'Моевка'),
(2415,	'9368c67f-928f-11e9-898c-005056b24375',	'Моквин'),
(2416,	'b4f1e365-9648-11e9-898c-005056b24375',	'Мокрая Калигорка'),
(2417,	'08b4b974-8835-11e9-898c-005056b24375',	'Мокре'),
(2418,	'8925eb45-7301-11e9-898c-005056b24375',	'Молодецкое'),
(2419,	'c3d881b0-d3cf-11e5-8478-005056887b8d',	'Молодежное'),
(2420,	'2e8bdc67-76f4-11e9-898c-005056b24375',	'Молодежное (Кировоградская обл.)'),
(2421,	'15befd0e-9e52-11e9-898c-005056b24375',	'Молодия '),
(2422,	'a96a1cc5-fee4-11e9-91ff-0025b501a04b',	'Молодятин'),
(2423,	'f0aa45c7-f131-11e3-8c4a-0050568002cf',	'Молочанск'),
(2424,	'06f878fc-4079-11de-b509-001d92f78698',	'Монастыриска'),
(2425,	'06f87948-4079-11de-b509-001d92f78698',	'Монастырище'),
(2426,	'db20c3ea-4f17-11ea-b89e-0025b501a04b',	'Монастирчани'),
(2427,	'8724da76-e5df-11e9-b48a-005056b24375',	'Мордвиновка'),
(2428,	'aa35581e-76fb-11e9-898c-005056b24375',	'Моринцы'),
(2429,	'65b0d00a-b782-11e9-8c22-005056b24375',	'Моринцы (Корсунь-Шевченковский р-н)'),
(2430,	'5df20360-dcfa-11e8-ad0d-005056b24375',	'Морозовка'),
(2431,	'5b8021ef-dae0-11e9-b48a-005056b24375',	'Морозовка (Житомирская обл.)'),
(2432,	'd14f8bd8-b79f-11e9-8c22-005056b24375',	'Морозовка (Ровенская обл.)'),
(2433,	'85c0a364-c4a9-11e9-b0c5-005056b24375',	'Морозовка (Харьковская обл.)'),
(2434,	'e387a588-1b1b-11ea-8c15-0025b502a06e',	'Морозовичи'),
(2435,	'54fee475-31b3-11e3-b441-0050568002cf',	'Моршин'),
(2436,	'5c58153b-64ce-11e9-898c-005056b24375',	'Москаленки'),
(2437,	'f706237c-4078-11de-b509-001d92f78698',	'Мостиска'),
(2438,	'0082b58b-4f18-11ea-b89e-0025b501a04b',	'Мостище (Ивано-Франковская обл.)'),
(2439,	'0c33dfc0-5f6c-11e9-898c-005056b24375',	'Мостовое'),
(2440,	'0e65891f-f413-11e9-91ff-0025b501a04b',	'Мотовиловка'),
(2441,	'ce5f3852-ada5-11e3-9fa0-0050568002cf',	'Мошны'),
(2442,	'26c5e6dc-7d6a-11e9-898c-005056b24375',	'Мошорино'),
(2443,	'f8d12ec3-b777-11e9-8c22-005056b24375',	'Мошуров'),
(2444,	'137e3305-9291-11e9-898c-005056b24375',	'Мощаница'),
(2445,	'8bd68475-9e62-11e9-898c-005056b24375',	'Мрин'),
(2446,	'c8066aa7-c355-11e9-b0c5-005056b24375',	'Мужилов'),
(2447,	'74b79bbc-5f6d-11e9-898c-005056b24375',	'Мужиево'),
(2448,	'dc13401e-9e3f-11e9-898c-005056b24375',	'Музыковка'),
(2449,	'67a54b82-095d-11e9-ad0d-005056b24375',	'Музичи'),
(2450,	'db5c88c9-391c-11dd-90d9-001a92567626',	'Мукачево'),
(2451,	'af4a5e24-cf1c-11e9-b0c5-005056b24375',	'Мульчицы'),
(2452,	'68bdd0ab-6e77-11e6-a9f2-005056887b8d',	'Мурафа'),
(2453,	'65027dd0-76fa-11e9-898c-005056b24375',	'Мурафа (Харьковская обл.)'),
(2454,	'2e1b7e5d-b79b-11e9-8c22-005056b24375',	'Муроване'),
(2455,	'69da4166-3f5d-11de-b509-001d92f78698',	'Мурованые Куриловцы'),
(2456,	'0d096b47-b7b5-11e9-8c22-005056b24375',	'Мутин'),
(2457,	'6796b3d2-f409-11e9-91ff-0025b501a04b',	'Мушкатовка'),
(2458,	'07d40ae3-9402-11e9-898c-005056b24375',	'Мшана'),
(2459,	'ba1dd1ec-c34c-11e9-b0c5-005056b24375',	'Набережное'),
(2460,	'daf97fbb-9292-11e9-898c-005056b24375',	'Набутов'),
(2461,	'e0fe6898-76f5-11e9-898c-005056b24375',	'Навария'),
(2462,	'6994d4da-a7a2-11e9-b73a-005056b24375',	'Нагорная'),
(2463,	'0f5375c4-9e57-11e9-898c-005056b24375',	'Нагорное (Львовская обл.)'),
(2464,	'51b97e9d-1b1e-11ea-8c15-0025b502a06e',	'Нагорное (Мостиский р-н)'),
(2465,	'21171354-5635-11e5-8d8d-005056887b8d',	'Нагорное (Ренинский р-н)'),
(2466,	'125bf9e8-dadf-11e9-b48a-005056b24375',	'Нагорянка'),
(2467,	'a376b6c8-7d6c-11e9-898c-005056b24375',	'Нагуевичи'),
(2468,	'f70622dc-4078-11de-b509-001d92f78698',	'Надворная'),
(2469,	'ce67ed70-9741-11e9-898c-005056b24375',	'Надеждовка'),
(2470,	'8d830969-1aad-11ea-8c15-0025b502a06e',	'Надеждовка (Белозёрский р-н)'),
(2471,	'54b6944f-9e40-11e9-898c-005056b24375',	'Надеждовка (Херсонская обл.)'),
(2472,	'b1c9db26-8837-11e9-898c-005056b24375',	'Надиев'),
(2473,	'11d94677-b7aa-11e9-8c22-005056b24375',	'Надиевка'),
(2474,	'cf2d4736-9e5e-11e9-898c-005056b24375',	'Надлиманское'),
(2475,	'068ea18b-9e53-11e9-898c-005056b24375',	'Надточии'),
(2476,	'a735bfa8-b7ba-11e9-8c22-005056b24375',	'Назавизов'),
(2477,	'ef5dae6a-cf29-11e9-b0c5-005056b24375',	'Наконечное Второе'),
(2478,	'99f44a57-a7a1-11e9-b73a-005056b24375',	'Наливайковка'),
(2479,	'abc1abc0-cf29-11e9-b0c5-005056b24375',	'Нанково'),
(2480,	'5dfe5843-b7c1-11e9-8c22-005056b24375',	'Нападовка'),
(2481,	'28f16648-0ce6-11ea-8c15-0025b502a06e',	'Нападовка (Винницкая обл.)'),
(2482,	'08bd76a7-76fa-11e9-898c-005056b24375',	'Наркевичи'),
(2483,	'69da41e4-3f5d-11de-b509-001d92f78698',	'Народичи'),
(2484,	'ab77b406-e68f-11e9-b48a-005056b24375',	'Настасов'),
(2485,	'74bc726f-4696-11ea-b89e-0025b501a04b',	'Настасиевка'),
(2486,	'401e9478-cf45-11e9-b0c5-005056b24375',	'Насташино'),
(2487,	'fdddee4a-b7a1-11e9-8c22-005056b24375',	'Насташка'),
(2488,	'c46379f4-735d-11ea-a970-b8830365ade4',	'Наталовка'),
(2489,	'970ea315-9e3c-11e9-898c-005056b24375',	'Наумовка'),
(2490,	'3d100626-b76e-11e9-8c22-005056b24375',	'Небелица'),
(2491,	'db7271f2-e689-11e9-b48a-005056b24375',	'Небылов'),
(2492,	'fc3c2889-feea-11e9-91ff-0025b501a04b',	'Неветленфолу'),
(2493,	'e6524d5d-cf48-11e9-b0c5-005056b24375',	'Неговцы'),
(2494,	'27ed9853-cf17-11e9-b0c5-005056b24375',	'Негровец'),
(2495,	'7876a370-2ad1-11e5-add9-005056887b8d',	'Недобоивцы'),
(2496,	'0006563e-4079-11de-b509-001d92f78698',	'Недригайлов (Сумская обл.)'),
(2497,	'e879c5be-885a-11e9-898c-005056b24375',	'Нежухов'),
(2498,	'6863a00d-2bed-11e6-9e93-005056887b8d',	'Некрасово (Винницкий р-н)'),
(2499,	'79962622-cf41-11e9-b0c5-005056b24375',	'Некрасово (Сумская обл.)'),
(2500,	'8e0371a3-9294-11e9-898c-005056b24375',	'Нелиповцы'),
(2501,	'24cd07f8-cf18-11e9-b0c5-005056b24375',	'Нелепино'),
(2502,	'3f0fc87a-20b7-11ea-b89e-0025b501a04b',	'Нелеповка '),
(2503,	'e90b3d88-0ce3-11ea-8c15-0025b502a06e',	'Нелюбовка'),
(2504,	'69da4154-3f5d-11de-b509-001d92f78698',	'Немиров (Винницкая обл.)'),
(2505,	'd3fc0057-7e9b-11e3-b441-0050568002cf',	'Немиров (Львовская обл.)'),
(2506,	'8db8ee61-7fef-11ea-a970-b8830365ade4',	'Немировское'),
(2507,	'96b0d78c-9853-11e2-a57a-d4ae527baec3',	'Немешаево'),
(2508,	'804cdfae-0c98-11ea-8c15-0025b502a06e',	'Немия'),
(2509,	'43913a90-9e44-11e9-898c-005056b24375',	'Немовичи'),
(2510,	'2689f37a-d501-11e3-95eb-0050568046cd',	'Неполоковцы'),
(2511,	'244d35a7-b5c3-11e4-a77a-005056887b8d',	'Нересница (Тячевский р-н)'),
(2512,	'b43e7190-8854-11e9-898c-005056b24375',	'Нерубайка'),
(2513,	'73ada2c8-1986-11e5-add9-005056887b8d',	'Нерубайское'),
(2514,	'84f71043-c354-11e9-b0c5-005056b24375',	'Нерудсталь'),
(2515,	'5b85af79-4699-11ea-b89e-0025b501a04b',	'Нерушай'),
(2516,	'8f5a002d-dab2-11e9-b48a-005056b24375',	'Несвоя'),
(2517,	'600c1f82-8835-11e9-898c-005056b24375',	'Нескучное'),
(2518,	'9a2f2cd3-c33e-11e9-b0c5-005056b24375',	'Нестеренки'),
(2519,	'09432294-fee3-11e9-91ff-0025b501a04b',	'Нестеровцы '),
(2520,	'1fcecfe2-4c84-11e9-acea-005056b24375',	'Нестерянка'),
(2521,	'1cc53858-9293-11e9-898c-005056b24375',	'Нетеребка'),
(2522,	'97306511-9e4c-11e9-898c-005056b24375',	'Нетеченцы'),
(2523,	'35d676dd-7560-11de-a214-002219c743f6',	'Нетешин'),
(2524,	'2926b303-8833-11e9-898c-005056b24375',	'Нехаевка'),
(2525,	'2527b928-2154-11e5-add9-005056887b8d',	'Нехвороща'),
(2526,	'9df349a1-e784-11e5-899e-005056887b8d',	'Нещеретово'),
(2527,	'2615fbb5-6544-11ea-a970-b8830365ade4',	'Нещерів'),
(2528,	'874ccbdc-dd35-11e4-8a92-005056887b8d',	'Нива Трудовая'),
(2529,	'b1e56d53-bb61-11e5-8478-005056887b8d',	'Нижанковичи'),
(2530,	'd77aa060-6f98-11e8-9d95-005056b2fc3d',	'Нижнее Селище'),
(2531,	'fbb4cb4c-f428-11e9-91ff-0025b501a04b',	'Нижнее Синевидное'),
(2532,	'87d042be-2276-11e2-83ab-d4ae52ab9fab',	'Нижние Ворота'),
(2533,	'c9d5e13f-9e63-11e9-898c-005056b24375',	'Нижние Петровцы'),
(2534,	'f70622cc-4078-11de-b509-001d92f78698',	'Нижние Серогозы'),
(2535,	'f7b7634a-fb26-11e5-899e-005056887b8d',	'Нижние Становци'),
(2536,	'f384f3aa-b7a7-11e9-8c22-005056b24375',	'Нижние Торгаи'),
(2537,	'9d9a5430-76f1-11e9-898c-005056b24375',	'Нижнев'),
(2538,	'e97c3be3-65bf-11e9-898c-005056b24375',	'Нижний Березов'),
(2539,	'831427a8-f429-11e9-91ff-0025b501a04b',	'Нижний Булатец'),
(2540,	'e454bd9c-dcf9-11e8-ad0d-005056b24375',	'Нижний Вербиж'),
(2541,	'7fc62294-9e69-11e9-898c-005056b24375',	'Нижний Коропец'),
(2542,	'4a1ce410-9e6b-11e9-898c-005056b24375',	'Нижний Струтинь'),
(2543,	'9e366906-ebfc-11e8-ad0d-005056b24375',	'Нижняя Апша'),
(2544,	'379e1aa4-3a88-11e5-add9-005056887b8d',	'Нижняя Дуванка'),
(2545,	'f3badb05-9e66-11e9-898c-005056b24375',	'Нижняя Ланная'),
(2546,	'a4bdcbf5-b164-11e6-8b12-005056887b8d',	'Нижняя Сыроватка'),
(2548,	'8ae45115-7d5e-11e9-898c-005056b24375',	'Нижняя Хортица'),
(2549,	'00ed5002-dadd-11e9-b48a-005056b24375',	'Нижняя Яблонька'),
(2550,	'b73463bd-8851-11e9-898c-005056b24375',	'Низшая Дубечня'),
(2551,	'f9399a25-b7c0-11e9-8c22-005056b24375',	'Низшие Лубянки'),
(2552,	'93bfc431-2638-11e5-add9-005056887b8d',	'Низы'),
(2553,	'23e3a63e-feee-11e9-91ff-0025b501a04b',	'Никифоровка'),
(2554,	'3a3e6efc-b7b7-11e9-8c22-005056b24375',	'Ницаха'),
(2555,	'5f732140-8837-11e9-898c-005056b24375',	'Нечипоровка'),
(2556,	'b7c4db4e-daa6-11e9-b48a-005056b24375',	'Нежиловичи'),
(2557,	'76678793-8289-11dd-96a9-001d92f78698',	'Нежин'),
(2558,	'000655ce-4079-11de-b509-001d92f78698',	'Никольское (Никольский р-н., Донецкая обл.)'),
(2559,	'db5c894f-391c-11dd-90d9-001a92567626',	'Никополь (Днепропетровская обл.)'),
(2560,	'84ae4e82-7d65-11e9-898c-005056b24375',	'Новая Астрахань'),
(2561,	'93a430fa-887a-11e9-898c-005056b24375',	'Новая Басань'),
(2562,	'af415363-995e-11e3-b441-0050568002cf',	'Новая Боровая'),
(2563,	'06f87920-4079-11de-b509-001d92f78698',	'Новая Водолага'),
(2564,	'7e3dc7c4-a859-11e4-a77a-005056887b8d',	'Новая Галещина (Козельщенский р-н)'),
(2565,	'5a1cd93d-a96a-11e9-b73a-005056b24375',	'Новая Гребля'),
(2566,	'e7cee979-f429-11e9-91ff-0025b501a04b',	'Новая Гусаровка'),
(2567,	'19b77c7c-76fc-11e9-898c-005056b24375',	'Новая Дмитровка'),
(2568,	'a626d255-feef-11e9-91ff-0025b501a04b',	'Новая Долина'),
(2569,	'767d543d-7d71-11e9-898c-005056b24375',	'Новая Дофиновка'),
(2570,	'52c0db3d-0d84-11e4-acce-0050568002cf',	'Новая Збурьевка'),
(2571,	'280308ad-5a17-11ea-a970-b8830365ade4',	'Новая Ивановка'),
(2572,	'db5c8951-391c-11dd-90d9-001a92567626',	'Новая Каховка'),
(2573,	'0f9d01b0-c341-11e9-b0c5-005056b24375',	'Новая Лешня'),
(2574,	'ad1dd032-9e5c-11e9-898c-005056b24375',	'Новая Маковка'),
(2575,	'2ef035ab-99ad-11e5-a023-005056887b8d',	'Новая Маячка'),
(2576,	'000655d8-4079-11de-b509-001d92f78698',	'Новая Одесса'),
(2577,	'fb6baa61-59e5-11e9-a703-005056b24375',	'Новая Александровка'),
(2578,	'9db8b698-8855-11e9-898c-005056b24375',	'Новая Осота'),
(2579,	'dc14618c-64c5-11e4-acce-0050568002cf',	'Новая Прага'),
(2580,	'9fb4556c-9e65-11e9-898c-005056b24375',	'Новая Слобода'),
(2581,	'f70622ec-4078-11de-b509-001d92f78698',	'Новая Ушица'),
(2582,	'7d02af7d-f867-11e8-ad0d-005056b24375',	'Новая Чертория'),
(2583,	'e0aa6716-7301-11e9-898c-005056b24375',	'Новички'),
(2584,	'0db17b12-4079-11de-b509-001d92f78698',	'Новгород-Северский'),
(2585,	'f7062334-4078-11de-b509-001d92f78698',	'Новгородка(Кировоградская обл.)'),
(2586,	'f7a264b9-7d5a-11e9-898c-005056b24375',	'Новгородковка (Мелитопольский р-н,Запорожская обл)'),
(2587,	'730cd06c-c17e-11e3-9fa0-0050568002cf',	'Новгородское (Донецкая обл.)'),
(2588,	'b3debcea-89b4-11e3-b441-0050568002cf',	'Новое'),
(2589,	'b8515b0a-f6dd-11e8-ad0d-005056b24375',	'Новое (Киевская обл.)'),
(2590,	'f7a264ce-7d5a-11e9-898c-005056b24375',	'Новое (Мелитопольский р-н., Запорожская обл.)'),
(2591,	'023da634-cf44-11e9-b0c5-005056b24375',	'Новое Давыдково'),
(2592,	'b7c4db63-daa6-11e9-b48a-005056b24375',	'Новое Залесье'),
(2593,	'5ae59b80-9e42-11e9-898c-005056b24375',	'Новое Запорожье'),
(2594,	'33717df1-c355-11e9-b0c5-005056b24375',	'Новое Мажарове'),
(2595,	'a037813d-8877-11e9-898c-005056b24375',	'Новое Мисто'),
(2596,	'054d8518-884b-11e9-898c-005056b24375',	'Новое Село'),
(2597,	'64062030-1b1c-11ea-8c15-0025b502a06e',	'Новое Село (Городокский р-н)'),
(2598,	'16f6eac0-f429-11e9-91ff-0025b501a04b',	'Новое Село (Львовская обл.)'),
(2599,	'000655de-4079-11de-b509-001d92f78698',	'Новый Буг'),
(2600,	'e37ce445-76ec-11e9-898c-005056b24375',	'Новый Двор'),
(2601,	'e84e3d7b-3270-11e4-acce-0050568002cf',	'Новый Калинов'),
(2602,	'43e21712-dab3-11e9-b48a-005056b24375',	'Новый Коротич'),
(2603,	'16a6ce44-735f-11ea-a970-b8830365ade4',	'Новый Крапивник'),
(2604,	'f7062388-4078-11de-b509-001d92f78698',	'Новый Роздол'),
(2605,	'84f61df1-f5bc-11e5-899e-005056887b8d',	'Новый Стародуб'),
(2606,	'eb0a19b1-bbf6-11e3-9fa0-0050568002cf',	'Новый Ярычев'),
(2607,	'3dca85b2-e691-11e9-b48a-005056b24375',	'Новики'),
(2608,	'387f887b-cf47-11e9-b0c5-005056b24375',	'Новица'),
(2609,	'e94c0150-9286-11e9-898c-005056b24375',	'Новичка'),
(2610,	'097db0c0-0666-11e3-874c-d4ae527baec3',	'Новые Белокоровичи'),
(2611,	'2117a5df-887a-11e9-898c-005056b24375',	'Новые Бросковцы'),
(2612,	'ed6f894f-f413-11e9-91ff-0025b501a04b',	'Новые Веледники'),
(2613,	'5eb2491c-f425-11e9-91ff-0025b501a04b',	'Новые Вирки'),
(2614,	'd1e11fc5-c68b-11e2-874c-d4ae527baec3',	'Новые Петровцы'),
(2615,	'7833e624-3b51-11de-913b-001d92f78698',	'Новые Санжары'),
(2616,	'e560c9ed-dab5-11e9-b48a-005056b24375',	'Новые Червища'),
(2617,	'b6e8345e-a929-11e0-91c2-e85e90109097',	'Новоайдар'),
(2618,	'8724da8b-e5df-11e9-b48a-005056b24375',	'Новоандреевка'),
(2619,	'f7062326-4078-11de-b509-001d92f78698',	'Новоархангельск'),
(2620,	'f2d3c708-cf15-11e9-b0c5-005056b24375',	'Новоберислав'),
(2621,	'e87e4189-9e3e-11e9-898c-005056b24375',	'Новобелая'),
(2622,	'2c761145-b2c4-11e5-8478-005056887b8d',	'Новобогдановка(Запорож.обл.)'),
(2623,	'1d985e2f-9e5e-11e9-898c-005056b24375',	'Новоборисовка'),
(2624,	'b055670d-fef6-11e9-91ff-0025b501a04b',	'Нововязовское'),
(2625,	'79b27fc9-b76f-11e9-8c22-005056b24375',	'Нововасильевка'),
(2626,	'ccb4b760-0c99-11ea-8c15-0025b502a06e',	'Нововасилевка (Бердянский гор. совет)'),
(2627,	'fb0b387e-3a90-11e5-add9-005056887b8d',	'Нововодяное'),
(2628,	'db5c8953-391c-11dd-90d9-001a92567626',	'Нововолынск'),
(2629,	'f7062318-4078-11de-b509-001d92f78698',	'Нововоронцовка'),
(2630,	'b9e879db-fed4-11e9-91ff-0025b501a04b',	'Новогоровка'),
(2631,	'db5c8955-391c-11dd-90d9-001a92567626',	'Новоград-Волынский'),
(2632,	'a554dc48-64d3-11e9-898c-005056b24375',	'Новоградковка'),
(2633,	'e879c5d2-885a-11e9-898c-005056b24375',	'Новогригоровка'),
(2634,	'd15cf3b9-e67e-11e9-b48a-005056b24375',	'Новогригоровка (Херсонская обл.)'),
(2635,	'c3f7c5a5-82d0-11e9-898c-005056b24375',	'Новогригоровка Первая (Кировоградская обл.)'),
(2636,	'1097567d-8a89-11e0-8140-969cd9edcd68',	'Новогродовка'),
(2637,	'2c197334-4d80-11e5-8d8d-005056887b8d',	'Новогуйвинское'),
(2638,	'067de477-884c-11e9-898c-005056b24375',	'Новогупаловка'),
(2639,	'2e80ecec-76f1-11e9-898c-005056b24375',	'Новоданиловка'),
(2640,	'139e45a4-e5e0-11e9-b48a-005056b24375',	'Новоданиловка (Ореховский р-н)'),
(2641,	'22d787d9-daa7-11e9-b48a-005056b24375',	'Новодеркул'),
(2642,	'a6118956-1aad-11ea-8c15-0025b502a06e',	'Новодмитровка (Белозёрский р-н)'),
(2643,	'd15cf3ce-e67e-11e9-b48a-005056b24375',	'Новодмитровка (Херсонская обл.)'),
(2644,	'4c8dd0e9-9402-11e9-898c-005056b24375',	'Новоднепровка'),
(2645,	'b6c1c6b7-0aaf-11e1-a180-0026b97ed48a',	'Новоднестровск'),
(2646,	'd912ef39-4db7-11e6-a9f2-005056887b8d',	'Новодонецкое'),
(2647,	'23d2e60c-1b3d-11e5-add9-005056887b8d',	'Новодружеск'),
(2648,	'1b97d6e6-7d6c-11e9-898c-005056b24375',	'Новоегоровка'),
(2649,	'288fe469-7d5c-11e9-898c-005056b24375',	'Новозлатополь'),
(2650,	'c8ddb6ea-76ec-11e9-898c-005056b24375',	'Новоивановка'),
(2651,	'eaae4ae2-0c92-11ea-8c15-0025b502a06e',	'Новоивановка (Запорожская обл.)'),
(2652,	'bb69de87-4690-11ea-b89e-0025b501a04b',	'Новоивницкое'),
(2653,	'a3e2f6c4-9743-11e9-898c-005056b24375',	'Новоигоревка (Кировоградская обл.)'),
(2654,	'720a18e3-9e36-11e9-898c-005056b24375',	'Новокарловка'),
(2655,	'48934d84-884d-11e9-898c-005056b24375',	'Новокатещино'),
(2656,	'4b4f275c-9e4d-11e9-898c-005056b24375',	'Новоконстантинов'),
(2657,	'1afd1f8e-cf3c-11e9-b0c5-005056b24375',	'Новониколаевка (Верхньоднипров. р-н, Днепроп. обл)'),
(2658,	'fee78565-cf3c-11e9-b0c5-005056b24375',	'Новониколаевка (Днепровский р-н)'),
(2659,	'cfbeaca4-4063-11de-b509-001d92f78698',	'Новониколаевка (Запорожская обл.)'),
(2660,	'2799c192-c33c-11e9-b0c5-005056b24375',	'Новониколаевка (Кировоградская обл.)'),
(2661,	'067de48e-884c-11e9-898c-005056b24375',	'Новониколаевка (Мелитопольский р-н)'),
(2662,	'71398dc4-e683-11e9-b48a-005056b24375',	'Новониколаевка (Николаевская обл.)'),
(2663,	'681956e4-a958-11e9-b73a-005056b24375',	'Новониколаевка (Новотроицкий р-н)'),
(2664,	'f7b76339-fb26-11e5-899e-005056887b8d',	'Новониколаевка(Скадовский р-н)'),
(2665,	'f7062322-4078-11de-b509-001d92f78698',	'Новомиргород'),
(2666,	'd03cca1a-cf28-11e9-b0c5-005056b24375',	'Новомихайловка (Донецкая обл.)'),
(2667,	'885272f0-fed4-11e9-91ff-0025b501a04b',	'Новомлиновка'),
(2668,	'db5c8956-391c-11dd-90d9-001a92567626',	'Новомосковск'),
(2669,	'5a1cd967-a96a-11e9-b73a-005056b24375',	'Новоалександровка (Донецкая обл.)'),
(2670,	'322c3515-9403-11e9-898c-005056b24375',	'Новоалександровка (Кировоградская обл.)'),
(2671,	'56646c14-cf44-11e9-b0c5-005056b24375',	'Новоалександровка (Николаевская обл.)'),
(2672,	'f384f3d4-b7a7-11e9-8c22-005056b24375',	'Новоалександровка (Нижнесерогозский р-н)'),
(2673,	'14d05427-7c73-11e4-acce-0050568002cf',	'Новоалександровка (Нововорон.р-н,Херсон.обл.)'),
(2674,	'ac569711-f40b-11e9-91ff-0025b501a04b',	'Новоалександровка (Новоукраинский р-н., Киров. обл'),
(2675,	'c4471413-e5eb-11e9-b48a-005056b24375',	'Новоалександровка (Харьковская обл.)'),
(2676,	'44c46a5b-3c1d-11e5-add9-005056887b8d',	'Новоалександровка (Днепропетровская обл.)'),
(2677,	'12a2b513-a30f-11e4-a77a-005056887b8d',	'Новоалексеевка (Херсонская обл.)'),
(2678,	'8363dfbb-dd1d-11e4-8a92-005056887b8d',	'Новооржицкое'),
(2679,	'd4e6c3ea-9e6b-11e9-898c-005056b24375',	'Новоореховка'),
(2680,	'4fe41c36-b785-11e9-8c22-005056b24375',	'Новоосиново'),
(2681,	'370f86a9-9e6d-11e9-898c-005056b24375',	'Новоохтирка'),
(2682,	'139e458f-e5e0-11e9-b48a-005056b24375',	'Новопавловка (Запорожская обл., Ореховский р-н)'),
(2683,	'b9b59eae-cf14-11e9-b0c5-005056b24375',	'Новопавловка (Запорожская обл.)'),
(2684,	'9261c077-1bee-11e5-add9-005056887b8d',	'Новопавловка(Межевский р-н)'),
(2685,	'67209448-cb8c-11e3-95eb-0050568046cd',	'Новопетриковка'),
(2686,	'66ee2bfd-f232-11e8-ad0d-005056b24375',	'Новопетровка'),
(2687,	'1f74e99a-9e43-11e9-898c-005056b24375',	'Новопетровка (Кировоградская обл.)'),
(2688,	'd4f405b6-64d0-11e9-898c-005056b24375',	'Новопетровка (Одесская обл.)'),
(2689,	'1ffc73b7-cf41-11e9-b0c5-005056b24375',	'Новопетровское'),
(2690,	'51b21620-9284-11e9-898c-005056b24375',	'Новопилиповка '),
(2691,	'b5d484d8-b7a9-11e9-8c22-005056b24375',	'Новоподкряж'),
(2692,	'e295efe0-59e9-11e4-acce-0050568002cf',	'Новопокровка (Харьковская обл.)'),
(2693,	'e0a7b3ab-b7a5-11e9-8c22-005056b24375',	'Новопокровка (Херсонская обл.)'),
(2694,	'b5ee7564-64ca-11e9-898c-005056b24375',	'Новополтавка'),
(2695,	'be16f5c6-0c92-11ea-8c15-0025b502a06e',	'Новополтавка (Запрожская обл.)'),
(2696,	'cf4bf9b8-4699-11ea-b89e-0025b501a04b',	'Новопрокоповка'),
(2697,	'f7062348-4078-11de-b509-001d92f78698',	'Новопсков'),
(2698,	'6febdcf4-8876-11e9-898c-005056b24375',	'Новорайск'),
(2699,	'e87e419e-9e3e-11e9-898c-005056b24375',	'Новороссошь'),
(2700,	'f2dcd8f7-4f17-11ea-b89e-0025b501a04b',	'Новоселица (Долинский р-н)'),
(2701,	'be791788-e685-11e9-b48a-005056b24375',	'Новоселица (Закарпатская обл.)'),
(2702,	'527f00fd-cf24-11e9-b0c5-005056b24375',	'Новоселица (Ивано-Франковская обл.)'),
(2703,	'643bd362-e5ef-11e9-b48a-005056b24375',	'Новоселица (Кельменецкий р-н)'),
(2704,	'0268c2b7-e66f-11e9-b48a-005056b24375',	'Новоселица (Хмельницкая обл.)'),
(2705,	'12058c59-02c2-11de-9570-001d92f78697',	'Новоселица (Черновицкая обл.)'),
(2706,	'7c84d3f3-b7a5-11e9-8c22-005056b24375',	'Новоселовка (Березовский р-н)'),
(2707,	'20796a84-7d68-11e9-898c-005056b24375',	'Новоселовка (Винницкая обл.)'),
(2708,	'39e7cfe6-390a-11e9-acea-005056b24375',	'Новосёловка (Днепропетровская обл.)'),
(2709,	'344f8ffd-e676-11e9-b48a-005056b24375',	'Новоселовка (Донецкая обл.)'),
(2710,	'3ade9b12-964b-11e9-898c-005056b24375',	'Новоселовка (Килийский р-н)'),
(2711,	'7e72b1c3-4c84-11e9-acea-005056b24375',	'Новосёловка (Ореховский р-н.)'),
(2712,	'c6721bb3-f1a7-11e9-91ff-0025b501a04b',	'Новоселовка (Пологовский р-н., Запорожская обл.)'),
(2713,	'96c0284a-cf26-11e9-b0c5-005056b24375',	'Новоселовка (Полтавская обл.)'),
(2714,	'ade782b7-feed-11e9-91ff-0025b501a04b',	'Новоселовка (Славянский р-н, Донецкая обл.)'),
(2715,	'40708e3a-e68d-11e9-b48a-005056b24375',	'Новоселовка (Харьковская обл.)'),
(2716,	'5426f70e-e5e4-11e9-b48a-005056b24375',	'Новоселка (Подволочиский р-н.)'),
(2717,	'e94c017a-9286-11e9-898c-005056b24375',	'Новоселки (Вишгородский р-н)'),
(2718,	'8dc013b0-d273-11e2-874c-d4ae527baec3',	'Новоселки (Киево-Святошинский р-н)'),
(2719,	'50b77e0e-b769-11e9-8c22-005056b24375',	'Новоселки (Макаровский р-н.)'),
(2720,	'e0aa672d-7301-11e9-898c-005056b24375',	'Новоселки (Ровенская обл.)'),
(2721,	'96649cb9-5637-11e5-8d8d-005056887b8d',	'Новосельское (Ренинский р-н)'),
(2722,	'3c91efc5-7d5e-11e9-898c-005056b24375',	'Новослободка'),
(2723,	'08d062ea-e5e2-11e9-b48a-005056b24375',	'Новософиевка'),
(2724,	'5a30f3db-6547-11ea-a970-b8830365ade4',	'Новостав'),
(2725,	'40499173-65c0-11e9-898c-005056b24375',	'Новоставци'),
(2726,	'914e667f-5a16-11ea-a970-b8830365ade4',	'Новостепнянське'),
(2727,	'3bad2103-f407-11e9-91ff-0025b501a04b',	'Новострельцовка'),
(2728,	'82c10b28-b7b7-11e9-8c22-005056b24375',	'Новосухановка'),
(2729,	'40b17160-64d3-11e9-898c-005056b24375',	'Новотаврическое'),
(2730,	'fee7853b-cf3c-11e9-b0c5-005056b24375',	'Новотаромське'),
(2731,	'd9c2421e-89fd-11e5-b6f7-005056887b8d',	'Новотроицкое (Донецкая обл.)'),
(2732,	'724cdba8-3607-11ea-b89e-0025b501a04b',	'Новотроицкое (Запорожская обл.)'),
(2733,	'06f87932-4079-11de-b509-001d92f78698',	'Новотроицкое (Херсонская обл.)'),
(2734,	'f706232a-4078-11de-b509-001d92f78698',	'Новоукраинка'),
(2735,	'23a816c9-cf15-11e9-b0c5-005056b24375',	'Новоукраинка (Запорожская обл.)'),
(2736,	'2c49f212-39a1-11e9-acea-005056b24375',	'Новоукраинка (Марьинский р-н., Донецкая обл.)'),
(2737,	'eb23c19c-dae4-11e9-b48a-005056b24375',	'Новофедоровка'),
(2738,	'c71cb02d-b7bb-11e9-8c22-005056b24375',	'Новошин'),
(2739,	'f5554065-5712-11e1-a283-0026b97ed48a',	'Новояворовск'),
(2740,	'964731e0-76ef-11e9-898c-005056b24375',	'Норинск'),
(2741,	'ea4d3570-fee0-11e9-91ff-0025b501a04b',	'Носачев'),
(2742,	'06f8799e-4079-11de-b509-001d92f78698',	'Носовка'),
(2743,	'4c97e468-cf2d-11e9-b0c5-005056b24375',	'Обаров'),
(2744,	'c45a2fc9-64cb-11e9-898c-005056b24375',	'Обенижи'),
(2745,	'bb73089d-6b37-11e4-acce-0050568002cf',	'Обертин'),
(2746,	'f06dc047-9656-11e9-898c-005056b24375',	'Обильное'),
(2747,	'23e97277-e68e-11e9-b48a-005056b24375',	'Ободовка'),
(2748,	'1e13e8b3-76fc-11e9-898c-005056b24375',	'Оболонье'),
(2749,	'3480dab9-cf49-11e9-b0c5-005056b24375',	'Оболонье (Ивано-Франковская обл.)'),
(2750,	'1f7bc091-ade0-11e3-9fa0-0050568002cf',	'Оболонь (Семеновский р-н)'),
(2751,	'02376adf-ff89-11e8-ad0d-005056b24375',	'Оброшино'),
(2752,	'7e0a2c6a-8865-11e9-898c-005056b24375',	'Обтове'),
(2753,	'db5c8958-391c-11dd-90d9-001a92567626',	'Обухов'),
(2754,	'5a182bb8-bfe7-11e3-9fa0-0050568002cf',	'Обуховка'),
(2755,	'ee0f7365-e5dd-11e9-b48a-005056b24375',	'Обуховичи'),
(2756,	'000655e6-4079-11de-b509-001d92f78698',	'Овидиополь'),
(2757,	'69da41e1-3f5d-11de-b509-001d92f78698',	'Овруч'),
(2758,	'0742bf66-9297-11e9-898c-005056b24375',	'Огиевка'),
(2759,	'82ceb181-e5f0-11e9-b48a-005056b24375',	'Огульцы'),
(2760,	'cbd146a5-c340-11e9-b0c5-005056b24375',	'Огурцовка'),
(2761,	'db5c88d0-391c-11dd-90d9-001a92567626',	'Одесса'),
(2762,	'533eb9de-7d6c-11e9-898c-005056b24375',	'Одноробовка'),
(2763,	'8ec5740f-9e5f-11e9-898c-005056b24375',	'Отрадовка'),
(2764,	'21420177-b777-11e9-8c22-005056b24375',	'Отрадокаменка'),
(2765,	'204c603e-5a19-11ea-a970-b8830365ade4',	'Ожево'),
(2766,	'1651b7d8-9ddb-11e2-a57a-d4ae527baec3',	'Оженин'),
(2767,	'974ff308-8857-11e9-898c-005056b24375',	'Ожидов'),
(2768,	'c6e035a3-5a15-11ea-a970-b8830365ade4',	'Озера (Бородянский р-н)'),
(2769,	'08a21b2b-ebfd-11e8-ad0d-005056b24375',	'Озерна'),
(2770,	'2b3326bc-636f-11e5-8d8d-005056887b8d',	'Озерное (Житомирская обл.)'),
(2771,	'c68e3145-7301-11e9-898c-005056b24375',	'Озеро'),
(2772,	'95a362df-1aaf-11ea-8c15-0025b502a06e',	'Озерцы '),
(2773,	'9341716d-4691-11ea-b89e-0025b501a04b',	'Озерцы (Волынская обл.)'),
(2775,	'bb377b26-fedc-11e9-91ff-0025b501a04b',	'Озеряны (Бучацкий р-н, Тернопольская обл.)'),
(2776,	'dfedf9e2-0c98-11ea-8c15-0025b502a06e',	'Озерянка'),
(2777,	'd8264398-64d2-11e9-898c-005056b24375',	'Озирна'),
(2778,	'06f8796c-4079-11de-b509-001d92f78698',	'Окны'),
(2779,	'369862e2-b795-11e9-8c22-005056b24375',	'Оконск'),
(2780,	'4b73abdb-882d-11e9-898c-005056b24375',	'Оксамитное'),
(2781,	'69da41db-3f5d-11de-b509-001d92f78698',	'Олевск'),
(2782,	'd6c74abd-f407-11e9-91ff-0025b501a04b',	'Александровка (Белозерский р-н., Херсонская обл.)'),
(2783,	'0218db99-b7c0-11e9-8c22-005056b24375',	'Александровка (Винницкая обл.)'),
(2784,	'c8ddb6ff-76ec-11e9-898c-005056b24375',	'Александровка (Днепропетровская обл.)'),
(2785,	'322c3500-9403-11e9-898c-005056b24375',	'Александровка (Долинский р-н. Кировоградска обл.)'),
(2786,	'fb7a2425-6983-11e4-acce-0050568002cf',	'Александровка (Николаевская обл.)'),
(2787,	'c87ae04f-a7a4-11e9-b73a-005056b24375',	'Александровка (Новотроицкий р-н, Херсонская обл.)'),
(2788,	'515ffcf7-76f7-11e9-898c-005056b24375',	'Александровка (Одесская обл., Лиманский р-н)'),
(2789,	'04f87556-a957-11e9-b73a-005056b24375',	'Александровка (Одесская обл.)'),
(2790,	'eef079f8-2535-11e0-ac94-0024e83b596e',	'Александровка (Александр.р-н,Донец.обл)'),
(2791,	'04f87541-a957-11e9-b73a-005056b24375',	'Александровка (Александрийский р-н, Киров. обл.)'),
(2792,	'4b20f82a-82cc-11e9-898c-005056b24375',	'Александровка (Покровский р-н. Днепропетровская)'),
(2793,	'79b27ff3-b76f-11e9-8c22-005056b24375',	'Александровка (Приазовский р-н, Запорожская обл.)'),
(2794,	'f7062320-4078-11de-b509-001d92f78698',	'Александровка (пгт.Кировог.обл.райц)'),
(2795,	'0bc77c5d-7d5f-11e9-898c-005056b24375',	'Александровка (Широковский р-н)'),
(2796,	'e52d9a4b-76f5-11e9-898c-005056b24375',	'Александрийское'),
(2797,	'db5c895b-391c-11dd-90d9-001a92567626',	'Александрия (г.Кировогр.обл.райц)'),
(2798,	'5ac4a58b-c1dd-11e6-8b12-005056887b8d',	'Александрия (Ровенская обл.)'),
(2799,	'0fae1fbf-20b7-11ea-b89e-0025b501a04b',	'Александро-Калиново'),
(2801,	'c70914f7-9283-11e9-898c-005056b24375',	'Александрополь (Солонянский р-н.)'),
(2802,	'2b297a2f-8ea5-11e5-a023-005056887b8d',	'Алексеево-Дружковка'),
(2803,	'23db4b89-7302-11e9-898c-005056b24375',	'Алексеевка'),
(2804,	'a3a04795-b7a7-11e9-8c22-005056b24375',	'Алексеевка (Генический р-н, Херсонская обл.)'),
(2805,	'7330cca1-e68a-11e9-b48a-005056b24375',	'Алексеевка (Днепроп. обл., Никопольский р-н.)'),
(2806,	'23a816de-cf15-11e9-b0c5-005056b24375',	'Алексеевка (Запорожская обл.)'),
(2807,	'22f322d2-b2d4-11e9-8c22-005056b24375',	'Алексеевка (Харьковская обл.)'),
(2808,	'dfc6c74c-b78a-11e9-8c22-005056b24375',	'Алексеевка (Херсонская обл.)'),
(2809,	'3cf3370e-7d71-11e9-898c-005056b24375',	'Оленинское'),
(2810,	'8d0db240-cf3c-11e9-b0c5-005056b24375',	'Оленовка (Днепропетровская обл.)'),
(2811,	'e8a721b2-f411-11e9-91ff-0025b501a04b',	'Оленовка (Киевская обл.)'),
(2812,	'199ba741-885c-11e9-898c-005056b24375',	'Оленовка (Одесская обл.)'),
(2813,	'e5f62927-9e53-11e9-898c-005056b24375',	'Олеськ '),
(2814,	'e3f23924-5a94-11e9-a703-005056b24375',	'Олесько'),
(2815,	'3b687ae0-b78c-11e9-8c22-005056b24375',	'Олефировка'),
(2816,	'2d3c37c1-76f4-11e9-898c-005056b24375',	'Олеша'),
(2817,	'68d655d6-f40f-11e9-91ff-0025b501a04b',	'Олешин'),
(2818,	'c19296fc-82cd-11e9-898c-005056b24375',	'Олешов'),
(2819,	'e221d63e-391c-11dd-90d9-001a92567626',	'Олешки (Херсонская обл.)'),
(2820,	'bc2447be-884a-11e9-898c-005056b24375',	'Олешник'),
(2821,	'3cf33723-7d71-11e9-898c-005056b24375',	'Олешня'),
(2822,	'50f05b18-3607-11ea-b89e-0025b501a04b',	'Олива'),
(2823,	'101afcbe-db19-11e1-aa18-d4ae527baec9',	'Олыка'),
(2824,	'e63f0d5b-b787-11e9-8c22-005056b24375',	'Олиево-Королевка'),
(2825,	'a7474639-6545-11ea-a970-b8830365ade4',	'Олиевка'),
(2826,	'f2f0f23e-9403-11e9-898c-005056b24375',	'Олейникова Слобода'),
(2827,	'7f185d79-675d-11ea-a970-b8830365ade4',	'Ольговка'),
(2828,	'e18f7070-9e62-11e9-898c-005056b24375',	'Ольшана'),
(2829,	'a5b3557d-7d69-11e9-898c-005056b24375',	'Ольшаница'),
(2830,	'cc4ca485-d3ce-11e5-8478-005056887b8d',	'Ольшанское'),
(2831,	'0b52f75e-3608-11ea-b89e-0025b501a04b',	'Омельно'),
(2832,	'6e3078e6-9e5d-11e9-898c-005056b24375',	'Омельник '),
(2833,	'2040be41-3c2c-11ea-b89e-0025b501a04b',	'Омельник (Ореховский р-н. Запорожская обл)'),
(2834,	'b43e7166-8854-11e9-898c-005056b24375',	'Оникеево'),
(2835,	'767d5452-7d71-11e9-898c-005056b24375',	'Онисково'),
(2836,	'12330be2-fd03-11e3-8c4a-0050568002cf',	'Оноковцы (ст. Доманинцы)'),
(2837,	'f7062310-4078-11de-b509-001d92f78698',	'Онуфриевка'),
(2838,	'10c2f77b-cf42-11e9-b0c5-005056b24375',	'Опака'),
(2839,	'e57d990d-a7f7-11e6-b5da-005056887b8d',	'Опытное (Бахмутский р-н)'),
(2840,	'6908046f-84aa-11e1-8aad-0026b97ed48a',	'Опошня'),
(2841,	'7f1f346e-8836-11e9-898c-005056b24375',	'Опоры'),
(2842,	'370e12a3-76fb-11e9-898c-005056b24375',	'Опрышены'),
(2843,	'3a1352dd-fed4-11e9-91ff-0025b501a04b',	'Ораное'),
(2844,	'69da414e-3f5d-11de-b509-001d92f78698',	'Оратов'),
(2845,	'55c78c54-8863-11e9-898c-005056b24375',	'Орвяница'),
(2846,	'405352ee-928f-11e9-898c-005056b24375',	'Ордановка'),
(2847,	'67a60892-feee-11e9-91ff-0025b501a04b',	'Орестов'),
(2848,	'e5dd3d25-3b29-11de-913b-001d92f78698',	'Оржица'),
(2849,	'8026b494-cc84-11e4-a77a-005056887b8d',	'Оржев'),
(2850,	'65b0cff5-b782-11e9-8c22-005056b24375',	'Оринин'),
(2851,	'4be25485-9e6a-11e9-898c-005056b24375',	'Оришковцы'),
(2852,	'd2983e6a-e5f0-11e9-b48a-005056b24375',	'Орелька'),
(2853,	'c5f70e4e-4bd0-11dd-9198-001d60451983',	'Орехов'),
(2854,	'd4e6c3ff-9e6b-11e9-898c-005056b24375',	'Ореховка'),
(2855,	'3213bbfb-e675-11e9-b48a-005056b24375',	'Ореховец'),
(2856,	'c6292913-cf27-11e9-b0c5-005056b24375',	'Орлик'),
(2857,	'148e224f-5634-11e5-8d8d-005056887b8d',	'Орловка (Ренийский р-н)'),
(2858,	'c57957d5-73d8-11e9-898c-005056b24375',	'Орловка (Ровенская обл.)'),
(2859,	'a58b8915-9295-11e9-898c-005056b24375',	'Орловка (Черниговская обл.)'),
(2860,	'7501f75e-1bee-11e5-add9-005056887b8d',	'Орловщина'),
(2861,	'e5b1253c-e5de-11e9-b48a-005056b24375',	'Орлово'),
(2862,	'a945830e-7d5d-11e9-898c-005056b24375',	'Орловец'),
(2863,	'c3927b9b-f137-11e3-8c4a-0050568002cf',	'Орлянское'),
(2864,	'c9d5e154-9e63-11e9-898c-005056b24375',	'Оршевцы'),
(2865,	'3d100650-b76e-11e9-8c22-005056b24375',	'Осещина'),
(2866,	'eb089861-8852-11e9-898c-005056b24375',	'Осыково'),
(2867,	'3017fca5-0c99-11ea-8c15-0025b502a06e',	'Осыково (Житомирская обл.)'),
(2868,	'ccd23e50-c339-11e9-b0c5-005056b24375',	'Осиновое'),
(2869,	'abc934f7-3c29-11e5-add9-005056887b8d',	'Осипенко(Бердянский р-н)'),
(2870,	'7302f050-7d6a-11e9-898c-005056b24375',	'Осычки'),
(2871,	'b03c575c-e5e2-11e9-b48a-005056b24375',	'Осий '),
(2872,	'c6780591-8828-11e9-898c-005056b24375',	'Осламов'),
(2873,	'134ac3de-e5f1-11e9-b48a-005056b24375',	'Осмиловичи'),
(2874,	'2c1644b1-cf43-11e9-b0c5-005056b24375',	'Осоевка'),
(2875,	'c459b5f5-cf16-11e9-b0c5-005056b24375',	'Осокоровка'),
(2876,	'89d3dd9e-0124-11e4-acce-0050568002cf',	'Остер'),
(2877,	'6e7da36a-9286-11e9-898c-005056b24375',	'Остриковка'),
(2878,	'3277e8d2-64ca-11e9-898c-005056b24375',	'Острица'),
(2879,	'f9d0f19f-fedc-11e9-91ff-0025b501a04b',	'Остров (Тернопольская обл.)'),
(2880,	'0006560e-4079-11de-b509-001d92f78698',	'Острог'),
(2881,	'336e4326-12af-11e6-971e-005056887b8d',	'Острожец'),
(2882,	'3adf9c9b-e4d0-11e3-8c4a-0050568002cf',	'Отыния'),
(2883,	'e18f7084-9e62-11e9-898c-005056b24375',	'Охиньки'),
(2884,	'fa511752-76fa-11e9-898c-005056b24375',	'Охочее'),
(2885,	'6a4318c9-f426-11e9-91ff-0025b501a04b',	'Охримовка'),
(2886,	'db5c895d-391c-11dd-90d9-001a92567626',	'Ахтырка'),
(2887,	'000655d4-4079-11de-b509-001d92f78698',	'Очаков'),
(2888,	'4aa0c4d8-2d68-11e6-9e93-005056887b8d',	'Очеретино (Ясиноватский р-н)'),
(2889,	'3eee79b5-dae3-11e9-b48a-005056b24375',	'Очеретоватое'),
(2890,	'52643881-76fc-11e9-898c-005056b24375',	'Ошихлебы'),
(2891,	'08dcfb49-96cd-11e6-a4c1-005056887b8d',	'Пядики'),
(2892,	'1970109e-b7bf-11e9-8c22-005056b24375',	'Пятигорское'),
(2893,	'29a811f4-399c-11e9-acea-005056b24375',	'Пятигоры'),
(2894,	'c45a2fdd-64cb-11e9-898c-005056b24375',	'Пятыдни'),
(2895,	'441f7f96-a440-11dd-bcd8-001d92f78697',	'Пятихатки'),
(2896,	'1f36e89c-84ce-11e3-b441-0050568002cf',	'Павлыш'),
(2897,	'c5eee10a-f26f-11e5-899e-005056887b8d',	'Павлов(Львовская обл.)'),
(2898,	'86793e08-882a-11e9-898c-005056b24375',	'Павловка (Винницкая обл., Калиновский р-н)'),
(2899,	'54f484a9-7d62-11e9-898c-005056b24375',	'Павловка (Винницкая обл.)'),
(2900,	'96808b57-feea-11e9-91ff-0025b501a04b',	'Павловка (Донецкая обл.)'),
(2901,	'a8969040-cf45-11e9-b0c5-005056b24375',	'Павловка (Ивано-Франковская обл.)'),
(2902,	'7302f026-7d6a-11e9-898c-005056b24375',	'Павловка (Кировоградская обл.)'),
(2903,	'09e961d7-82d1-11e9-898c-005056b24375',	'Павловка (Николаевская обл.)'),
(2904,	'17e57892-b784-11e9-8c22-005056b24375',	'Павловка (Харьковская обл.)'),
(2905,	'3f0f7ca2-9e60-11e9-898c-005056b24375',	'Павловка (Херсонская обл., Генический р-н)'),
(2906,	'54b69464-9e40-11e9-898c-005056b24375',	'Павловка (Херсонская обл.)'),
(2907,	'db5c895e-391c-11dd-90d9-001a92567626',	'Павлоград'),
(2908,	'25627aba-0ce5-11ea-8c15-0025b502a06e',	'Павшино'),
(2909,	'65912622-64cf-11e9-898c-005056b24375',	'Палиевка'),
(2910,	'58a94410-b775-11e9-8c22-005056b24375',	'Памятное'),
(2911,	'fef83c96-fef6-11e9-91ff-0025b501a04b',	'Панасовка'),
(2912,	'fd7a9766-64ce-11e9-898c-005056b24375',	'Панка'),
(2913,	'19ec6f3a-1581-11e5-add9-005056887b8d',	'Пантаевка'),
(2914,	'5f73212b-8837-11e9-898c-005056b24375',	'Панфилы'),
(2915,	'a9d0eca1-76f5-11e9-898c-005056b24375',	'Панчево'),
(2916,	'e4c95d7a-7d61-11e9-898c-005056b24375',	'Паньковцы'),
(2917,	'814cb7cd-e569-11e3-8c4a-0050568002cf',	'Панютино'),
(2918,	'4b4f2771-9e4d-11e9-898c-005056b24375',	'Паплинцы'),
(2919,	'5f81eec2-ff87-11e8-ad0d-005056b24375',	'Парасковеевка'),
(2920,	'b3debd0b-89b4-11e3-b441-0050568002cf',	'Парафиевка'),
(2921,	'ab8a95b8-b5bf-11e4-a77a-005056887b8d',	'Партизанское (Днепропетров.р-н)'),
(2922,	'9b526d4d-64cf-11e9-898c-005056b24375',	'Парутино'),
(2923,	'35b67bc5-b7a3-11e9-8c22-005056b24375',	'Пархомовка (Киевская обл.)'),
(2924,	'b0e532b3-76fa-11e9-898c-005056b24375',	'Пархомовка (Краснокутский р-н.)'),
(2925,	'623d261e-e5e2-11e9-b48a-005056b24375',	'Пасека '),
(2926,	'3e1c0e3a-76f6-11e9-898c-005056b24375',	'Пасеки-Зубрицкие'),
(2927,	'529c93c1-b7ba-11e9-8c22-005056b24375',	'Пасечная'),
(2928,	'f44f75a8-cf1d-11e9-b0c5-005056b24375',	'Пасечная (Хмельницкая обл.)'),
(2929,	'7e1b02d5-6546-11ea-a970-b8830365ade4',	'Пациков'),
(2930,	'f7a13b14-76eb-11e9-898c-005056b24375',	'Пеньковка'),
(2931,	'e7ae21de-0c95-11ea-8c15-0025b502a06e',	'Пеняки'),
(2932,	'55929bcd-b7a8-11e9-8c22-005056b24375',	'Первомаевка'),
(2933,	'db5c8962-391c-11dd-90d9-001a92567626',	'Первомайск(Никол.обл.Первомайс.р-н)'),
(2934,	'a8fd54fe-9a2c-11e3-b441-0050568002cf',	'Первомайское(пгт-Никол.обл.Витовский.р-н)'),
(2935,	'06f8791e-4079-11de-b509-001d92f78698',	'Первомайский (Харьковская обл.)'),
(2936,	'6d6cb4db-b791-11e9-8c22-005056b24375',	'Перебыковцы'),
(2937,	'822931e6-cf47-11e9-b0c5-005056b24375',	'Перевозец'),
(2938,	'1c954ffc-dfec-11e3-8c4a-0050568002cf',	'Перегинское'),
(2939,	'c5e7ace7-a9ed-11e8-ad0d-005056b24375',	'Перегоновка'),
(2940,	'e14c9296-9e5a-11e9-898c-005056b24375',	'Передельское'),
(2941,	'1b416397-b79e-11e9-8c22-005056b24375',	'Переездное'),
(2942,	'4eb22ffe-20b7-11ea-b89e-0025b501a04b',	'Перелеты'),
(2943,	'f706236e-4078-11de-b509-001d92f78698',	'Перемышляны'),
(2944,	'3ade9b27-964b-11e9-898c-005056b24375',	'Перемога'),
(2945,	'7996260d-cf41-11e9-b0c5-005056b24375',	'Победа (Сумская обл.)'),
(2946,	'8649ff37-f411-11e9-91ff-0025b501a04b',	'Переможное'),
(2947,	'a91a93ff-f425-11e9-91ff-0025b501a04b',	'Переможное (Запорожская обл.)'),
(2948,	'71df092f-6543-11ea-a970-b8830365ade4',	'Перепильчинцы '),
(2949,	'a735bfbd-b7ba-11e9-8c22-005056b24375',	'Переросль'),
(2950,	'055a3319-3787-11e5-add9-005056887b8d',	'Пересадовка'),
(2951,	'90a1d467-a7a5-11e9-b73a-005056b24375',	'Пересыпки'),
(2952,	'0f9d019b-c341-11e9-b0c5-005056b24375',	'Пересечное'),
(2953,	'95b3a9e7-a7a3-11e9-b73a-005056b24375',	'Переспа'),
(2954,	'85ea479a-cf3b-11e9-b0c5-005056b24375',	'Перекрестово'),
(2955,	'06f8790c-4079-11de-b509-001d92f78698',	'Перечин'),
(2956,	'a269ff01-b93e-11e1-b40c-0026b97ed48a',	'Перещепино'),
(2957,	'f70622fc-4078-11de-b509-001d92f78698',	'Переяслав'),
(2958,	'bde0298a-76f3-11e9-898c-005056b24375',	'Переяславское'),
(2959,	'b2a00502-e5e1-11e9-b48a-005056b24375',	'Першоконстантиновка'),
(2960,	'4d121e31-eb2b-11e0-be54-f5cb9f9fdf36',	'Першотравенск (Днепропетровская обл)'),
(2961,	'4a99b45c-bb2e-11e3-9fa0-0050568002cf',	'Першотравенск (Житомирская обл.)'),
(2962,	'ecec0f8d-76ef-11e9-898c-005056b24375',	'Першотравневое (Житомирская обл.)'),
(2963,	'61dece9a-a7a4-11e9-b73a-005056b24375',	'Першотравневое (Одесская обл.)'),
(2964,	'a04410ed-65c1-11e9-898c-005056b24375',	'Першотравневое (Харьковская обл.)'),
(2965,	'8937b525-8838-11e9-898c-005056b24375',	'Петранка'),
(2966,	'48fb3aa4-9294-11e9-898c-005056b24375',	'Петраши'),
(2967,	'69da419f-3f5d-11de-b509-001d92f78698',	'Петриковка'),
(2968,	'74562738-7d63-11e9-898c-005056b24375',	'Петрычанка'),
(2969,	'6b81e9be-0c99-11ea-8c15-0025b502a06e',	'Петровка (Запорожская обл.)'),
(2970,	'3d1e73d9-ad26-11e9-8c22-005056b24375',	'Петровка (Николаевская обл.)'),
(2971,	'ba8e4932-ac59-11e9-8c22-005056b24375',	'Петровка (Херсонская обл.)'),
(2972,	'04dcccb6-9e3d-11e9-898c-005056b24375',	'Петровка (Черниговская обл.)'),
(2973,	'f25f51fe-ff8c-11e8-ad0d-005056b24375',	'Петровка (Чутовский р-н.)'),
(2974,	'29939d15-4484-11e4-acce-0050568002cf',	'Петровка - Роменская'),
(2975,	'abda0413-a32b-11e5-a023-005056887b8d',	'Петровское (Харьковская обл.)'),
(2976,	'a657f69f-964a-11e9-898c-005056b24375',	'Петро-Давыдовка'),
(2977,	'ebf9b111-1aae-11ea-8c15-0025b502a06e',	'Петро-Михайлівка'),
(2978,	'e0a7b381-b7a5-11e9-8c22-005056b24375',	'Петрове (Одеська обл.)'),
(2979,	'f706231e-4078-11de-b509-001d92f78698',	'Петрово (Петровский р-н., Кировоградская обл)'),
(2980,	'9523e9e9-7302-11e9-898c-005056b24375',	'Петродолинское'),
(2981,	'69da4190-3f5d-11de-b509-001d92f78698',	'Петропавловка (Днепропетровская обл.)'),
(2982,	'2376aea5-e677-11e9-b48a-005056b24375',	'Петропавловка (Луганская обл.)'),
(2983,	'ec04f494-8868-11e9-898c-005056b24375',	'Петропавловка (Харьковская обл.)'),
(2984,	'a657f68a-964a-11e9-898c-005056b24375',	'Петропавловка (Черкасская обл.)'),
(2985,	'be18a877-0c94-11ea-8c15-0025b502a06e',	'Петропавловское'),
(2986,	'27825326-cf14-11e9-b0c5-005056b24375',	'Петрушки'),
(2987,	'fc3dd912-1ab0-11ea-8c15-0025b502a06e',	'Печановка'),
(2988,	'06f87918-4079-11de-b509-001d92f78698',	'Печенеги'),
(2989,	'01c9e8d7-6c20-11e5-8d8d-005056887b8d',	'Печенежин'),
(2990,	'8bddd1f4-9e68-11e9-898c-005056b24375',	'Печины'),
(2991,	'01f80622-f40f-11e9-91ff-0025b501a04b',	'Печихвосты'),
(2992,	'00f39f33-f411-11e9-91ff-0025b501a04b',	'Пийтерфолво'),
(2993,	'11cbb787-0ce6-11ea-8c15-0025b502a06e',	'Пиков'),
(2994,	'b7522a65-cf2a-11e9-b0c5-005056b24375',	'Пикуловичи '),
(2995,	'53c5b2a0-76f1-11e9-898c-005056b24375',	'Пилипец'),
(2996,	'4b4f2786-9e4d-11e9-898c-005056b24375',	'Пилипы-Александровские'),
(2997,	'aa0b71d3-fed3-11e9-91ff-0025b501a04b',	'Пилиповичи '),
(2998,	'483017a0-1d82-11e9-ad0d-005056b24375',	'Пироговцы'),
(2999,	'4427697a-08f9-11de-b6f5-001d92f78697',	'Пирятин'),
(3000,	'a0e3a456-883a-11e9-898c-005056b24375',	'Писаревка'),
(3001,	'e3cbe09d-928a-11e9-898c-005056b24375',	'Писаревка (Луганская обл.)'),
(3002,	'85ea4785-cf3b-11e9-b0c5-005056b24375',	'Писаревка (Одесская обл.)'),
(3004,	'5d85965c-dab1-11e9-b48a-005056b24375',	'Писаревка (Харьковская обл.)'),
(3005,	'3720027a-9e67-11e9-898c-005056b24375',	'Писаревщина'),
(3006,	'8d3f95cb-f40e-11e9-91ff-0025b501a04b',	'Письменное'),
(3007,	'5fdad240-dade-11e9-b48a-005056b24375',	'Пищики'),
(3008,	'993f78ba-556a-11e5-8d8d-005056887b8d',	'Пивденное (Харьковский обл.)'),
(3009,	'f4e97a3e-6544-11ea-a970-b8830365ade4',	'Пивни'),
(3010,	'6edd6e0b-175d-11e6-971e-005056887b8d',	'Пивничное'),
(3011,	'8937b53a-8838-11e9-898c-005056b24375',	'Подбережье'),
(3012,	'4d84c03b-b81e-11e9-8c22-005056b24375',	'Подберезье'),
(3013,	'3213bbe6-e675-11e9-b48a-005056b24375',	'Подберезцы'),
(3014,	'2e1b7e72-b79b-11e9-8c22-005056b24375',	'Подборцы'),
(3015,	'16e8f2a5-abca-11e6-b5da-005056887b8d',	'Подбуж'),
(3016,	'bc2447d3-884a-11e9-898c-005056b24375',	'Подвиноградов'),
(3017,	'670d6c07-76f5-11e9-898c-005056b24375',	'Подвысокое'),
(3018,	'cba49635-e5ed-11e9-b48a-005056b24375',	'Подвысокое (Ивано-Франковская обл.)'),
(3019,	'06f878ea-4079-11de-b509-001d92f78698',	'Подволочиск'),
(3020,	'790b2a24-898e-11e8-8acc-005056b2fc3d',	'Подгайцы (Луцкий р-н)'),
(3021,	'1752a094-76f8-11e9-898c-005056b24375',	'Подгайцы (Млиновский р-н)'),
(3022,	'06f878fa-4079-11de-b509-001d92f78698',	'Подгайцы (Подгаецкий р-н., Тернопольская обл.)'),
(3023,	'813d01fa-884f-11e9-898c-005056b24375',	'Подгайчики'),
(3024,	'6942b329-9e57-11e9-898c-005056b24375',	'Подгайчики (Львовская обл.)'),
(3025,	'0b2e1fca-cf46-11e9-b0c5-005056b24375',	'Подгорье'),
(3026,	'7f201f6b-fedf-11e9-91ff-0025b501a04b',	'Подгорное'),
(3027,	'11d946a1-b7aa-11e9-8c22-005056b24375',	'Подгорное (Одесская обл.)'),
(3028,	'8aee950e-b796-11e9-8c22-005056b24375',	'Подгорцы (Киевская обл.)'),
(3029,	'd891986b-6545-11ea-a970-b8830365ade4',	'Подгорцы (Львовская обл.)'),
(3030,	'37e74c43-6de0-11e6-a9f2-005056887b8d',	'Подгоровка'),
(3031,	'203f1d66-1eb5-11e3-b000-0050568002cf',	'Подгородное (Днепропетровская обл.)'),
(3032,	'f0b6fb41-cf1c-11e9-b0c5-005056b24375',	'Подгородное (Золочевский р-н., Львовская обл.)'),
(3033,	'f9399a10-b7c0-11e9-8c22-005056b24375',	'Подгородное (Тернопольс. р-н., Тернопольская обл.)'),
(3034,	'870b90d4-9e67-11e9-898c-005056b24375',	'Подгородцы (Львовская обл.)'),
(3035,	'02376ac4-ff89-11e8-ad0d-005056b24375',	'Поддубцы'),
(3036,	'2ddcafad-0cf7-11ea-8c15-0025b502a06e',	'Подзамочек'),
(3037,	'4d9b91db-0c98-11ea-8c15-0025b502a06e',	'Подзамче'),
(3038,	'fd7a977b-64ce-11e9-898c-005056b24375',	'Подзахаричи'),
(3039,	'4b73abf0-882d-11e9-898c-005056b24375',	'Подкамень'),
(3040,	'908c1c1c-e68d-11e9-b48a-005056b24375',	'Подлиман'),
(3041,	'9523ea19-7302-11e9-898c-005056b24375',	'Подлесное (Кировоградская обл.)'),
(3042,	'0c1c2c89-6543-11ea-a970-b8830365ade4',	'Подлесный Мукаров '),
(3043,	'c71cb042-b7bb-11e9-8c22-005056b24375',	'Подлужье'),
(3044,	'ec87fcbf-dab3-11e9-b48a-005056b24375',	'Подманово'),
(3045,	'387f8851-cf47-11e9-b0c5-005056b24375',	'Подмихайля'),
(3046,	'e008d964-7d6c-11e9-898c-005056b24375',	'Подопригоры'),
(3047,	'1037a544-b7bc-11e9-8c22-005056b24375',	'Подпечеры'),
(3048,	'6e0883a8-6546-11ea-a970-b8830365ade4',	'Подплеша'),
(3049,	'ef0279ff-b7bd-11e9-8c22-005056b24375',	'Позники'),
(3050,	'ebe5e754-5228-11e9-acea-005056b24375',	'Пии'),
(3051,	'36d25071-cf48-11e9-b0c5-005056b24375',	'Пийло'),
(3052,	'7ae55814-c33d-11e9-b0c5-005056b24375',	'Пильный Алексинец'),
(3053,	'77bf5e9d-82d0-11e9-898c-005056b24375',	'Пинчуки'),
(3054,	'ee9660e9-9e35-11e9-898c-005056b24375',	'Пирново'),
(3055,	'6db577b7-5a1a-11ea-a970-b8830365ade4',	'Пески (Житомирская обл.)'),
(3056,	'29a811d9-399c-11e9-acea-005056b24375',	'Пески (Луганская обл.)'),
(3057,	'56b283c7-64d0-11e9-898c-005056b24375',	'Пески (Полтавская обл.)'),
(3058,	'c1b54095-964b-11e9-898c-005056b24375',	'Пески (Сумская обл.)'),
(3059,	'04dccccb-9e3d-11e9-898c-005056b24375',	'Пески (Черниговская обл.)'),
(3060,	'4df5a1d5-96cd-11e6-a4c1-005056887b8d',	'Пески-Радьковские'),
(3061,	'6994d504-a7a2-11e9-b73a-005056b24375',	'Песков'),
(3062,	'a92def78-9e16-11e3-9fa0-0050568002cf',	'Песковка'),
(3063,	'2959a2a4-6183-11e3-b441-0050568002cf',	'Песочин'),
(3064,	'0a4e0a19-882e-11e9-898c-005056b24375',	'Песочная'),
(3065,	'ef61953d-76f3-11e9-898c-005056b24375',	'Пистынь'),
(3066,	'023da647-cf44-11e9-b0c5-005056b24375',	'Пестрялово'),
(3067,	'ec87fce9-dab3-11e9-b48a-005056b24375',	'Пища'),
(3068,	'767d5428-7d71-11e9-898c-005056b24375',	'Песчаное'),
(3069,	'ddbdccfd-3d6c-11e4-acce-0050568002cf',	'Песчаное ( Полтавская обл.)'),
(3070,	'e47acc5b-5561-11e5-8d8d-005056887b8d',	'Песчаное(Черкаская обл.)'),
(3071,	'0392e712-454b-11e4-acce-0050568002cf',	'Песчаный Брод'),
(3072,	'4f9ccedc-a956-11e9-b73a-005056b24375',	'Песчаный Брод (Александрийский район)'),
(3073,	'69da416f-3f5d-11de-b509-001d92f78698',	'Песчанка (Винницкая обл.)'),
(3074,	'4dde090e-0c77-11e6-971e-005056887b8d',	'Песчанка(Днепропетровская обл.)'),
(3075,	'9c209aff-76f6-11e9-898c-005056b24375',	'Плавье'),
(3076,	'eeee7d6f-8833-11e9-898c-005056b24375',	'Плавни'),
(3077,	'33ab7ed2-9e33-11e9-898c-005056b24375',	'Плахтиевка'),
(3078,	'9798f19a-883c-11e9-898c-005056b24375',	'Плебановка'),
(3079,	'06513a61-ff8b-11e8-ad0d-005056b24375',	'Плесецкое'),
(3080,	'a82c0c84-a959-11e9-b73a-005056b24375',	'Плиски'),
(3081,	'54f48494-7d62-11e9-898c-005056b24375',	'Плисков'),
(3082,	'6febdcdf-8876-11e9-898c-005056b24375',	'Плодовое'),
(3083,	'8a49ea3a-7d6f-11e9-898c-005056b24375',	'Плоское'),
(3084,	'7e66c6ae-e67a-11e9-b48a-005056b24375',	'Плоское (Ровенская обл.)'),
(3085,	'cd61a008-9287-11e9-898c-005056b24375',	'Плоское (Таращанский р-н)'),
(3086,	'f65f2160-dab1-11e9-b48a-005056b24375',	'Плоское (Харьковская обл.)'),
(3087,	'b06d9799-7534-11e8-9d95-005056b2fc3d',	'Плотыча'),
(3088,	'1be58ecc-0cbc-11e4-acce-0050568002cf',	'Плужное'),
(3089,	'4d5b3f9b-cf40-11e9-b0c5-005056b24375',	'Пляковка'),
(3090,	'4a1ce425-9e6b-11e9-898c-005056b24375',	'Пнев'),
(3091,	'9798f1c4-883c-11e9-898c-005056b24375',	'Пневно'),
(3092,	'77439815-b7bc-11e9-8c22-005056b24375',	'Побережье'),
(3093,	'9d7439b4-7fee-11ea-a970-b8830365ade4',	'Победа'),
(3094,	'b893311e-c477-11e2-874c-d4ae527baec3',	'Побугское'),
(3095,	'370e12b8-76fb-11e9-898c-005056b24375',	'Погореловка'),
(3096,	'8bdb0ace-92b5-11e5-a023-005056887b8d',	'Погребы'),
(3097,	'54629c60-f413-11e9-91ff-0025b501a04b',	'Погребы (Васильковский р-н)'),
(3098,	'6c523b82-73dd-11e9-898c-005056b24375',	'Погребы (Полтавская обл.)'),
(3099,	'a9cb64c7-c347-11e9-b0c5-005056b24375',	'Погребы (Тетиевский р-н)'),
(3100,	'b61307c5-3f59-11de-b509-001d92f78698',	'Погребище'),
(3101,	'f948e135-8830-11e9-898c-005056b24375',	'Подворьевка'),
(3102,	'8986ecbf-76f9-11e9-898c-005056b24375',	'Подворки'),
(3103,	'643bd377-e5ef-11e9-b48a-005056b24375',	'Подворное'),
(3104,	'ac8e2d84-c34f-11e9-b0c5-005056b24375',	'Подол'),
(3105,	'a217190e-928c-11e9-898c-005056b24375',	'Подолье'),
(3106,	'023da61f-cf44-11e9-b0c5-005056b24375',	'Подолки '),
(3107,	'06f8796a-4079-11de-b509-001d92f78698',	'Подольск'),
(3108,	'704737fb-8856-11e9-898c-005056b24375',	'Подорожное'),
(3109,	'b1143f1c-885e-11e9-898c-005056b24375',	'Познанка Первая'),
(3110,	'5993db14-f40c-11e9-91ff-0025b501a04b',	'Познань (Ровенская обл.)'),
(3111,	'92946536-cf2b-11e9-b0c5-005056b24375',	'Покалев'),
(3112,	'2959a2af-6183-11e3-b441-0050568002cf',	'Покотиловка'),
(3113,	'51eefb92-cf1c-11e9-b0c5-005056b24375',	'Покотилово'),
(3114,	'b49d451b-8829-11e9-898c-005056b24375',	'Покошичи'),
(3115,	'db5c895c-391c-11dd-90d9-001a92567626',	'Покров'),
(3116,	'db5c892a-391c-11dd-90d9-001a92567626',	'Покровск'),
(3117,	'96c0285f-cf26-11e9-b0c5-005056b24375',	'Покровская Богачка'),
(3118,	'e7c1ae36-883f-11e9-898c-005056b24375',	'Покровское (Артемовский р-н)'),
(3119,	'bf47c6a4-1aad-11ea-8c15-0025b502a06e',	'Покровское (запорожская обл.)'),
(3120,	'b64bd4a9-0fd9-11e8-ba66-005056b2fc3d',	'Покровское (Мангушський р-н)'),
(3121,	'69da4196-3f5d-11de-b509-001d92f78698',	'Покровское'),
(3122,	'da86c22c-b797-11e9-8c22-005056b24375',	'Покровское (Полтавская обл.)'),
(3123,	'd50b9fe5-7300-11e9-898c-005056b24375',	'Покровское (Черниговская обл.)'),
(3124,	'f88729d9-76ee-11e9-898c-005056b24375',	'Поливановка'),
(3125,	'bcca0269-2aa5-11e9-acea-005056b24375',	'Полицы'),
(3126,	'8cbcff3d-4037-11e5-8d8d-005056887b8d',	'Полигон'),
(3127,	'8b47cfa1-b77e-11e9-8c22-005056b24375',	'Полесское (Ровенская обл.)'),
(3128,	'fddc04cb-82d1-11e9-898c-005056b24375',	'Полковая-Никитовка'),
(3129,	'a521251a-7fec-11ea-a970-b8830365ade4',	'Половинчик'),
(3130,	'c5f70e4c-4bd0-11dd-9198-001d60451983',	'Пологи (Запорожская обл.)'),
(3131,	'62374d49-964f-11e9-898c-005056b24375',	'Пологи (Киевская обл.)'),
(3132,	'cdf45e92-9e36-11e9-898c-005056b24375',	'Пологи (село)'),
(3133,	'a5586095-b2da-11e9-8c22-005056b24375',	'Пологи-Яненки'),
(3134,	'ec87fcd4-dab3-11e9-b48a-005056b24375',	'Положево'),
(3135,	'b0677074-c341-11e9-b0c5-005056b24375',	'Полонка'),
(3136,	'06f8793c-4079-11de-b509-001d92f78698',	'Полонное'),
(3137,	'79962637-cf41-11e9-b0c5-005056b24375',	'Полошки'),
(3138,	'db5c8892-391c-11dd-90d9-001a92567626',	'Полтава'),
(3139,	'fcc3035a-b76e-11e9-8c22-005056b24375',	'Полтавка (Запорожская обл.)'),
(3140,	'6bedba3c-928a-11e9-898c-005056b24375',	'Полтавка (Кировоградская обл.)'),
(3141,	'5cfc170d-b2a8-11e4-a77a-005056887b8d',	'Поляна (Закарпатская обл.)'),
(3142,	'be34bb8d-9e52-11e9-898c-005056b24375',	'Поляна (Черновицкая обл.)'),
(3143,	'd8c6be8a-b7b6-11e9-8c22-005056b24375',	'Поляне'),
(3144,	'f3857e8c-dae1-11e9-b48a-005056b24375',	'Полянецкое'),
(3145,	'af4a5e4e-cf1c-11e9-b0c5-005056b24375',	'Поляны (Ровенская обл.)'),
(3146,	'e255bae9-1ed4-11e3-b000-0050568002cf',	'Поляница (Буковель)'),
(3147,	'8fbb7694-5a1b-11ea-a970-b8830365ade4',	'Поляница (Ивано-Франковская обл.)'),
(3148,	'69ca4ef2-7d69-11e9-898c-005056b24375',	'Полянка'),
(3149,	'7f6f5b54-76fb-11e9-898c-005056b24375',	'Поляхова'),
(3150,	'9fa97ad8-cf18-11e9-b0c5-005056b24375',	'Поминик'),
(3151,	'b7ef1235-a34f-11e1-b00b-0026b97ed48a',	'Помошная'),
(3152,	'4034f0ea-feec-11e9-91ff-0025b501a04b',	'Пониковица'),
(3153,	'16860771-9227-11e3-b441-0050568002cf',	'Понинка'),
(3154,	'44799b36-4da8-11e6-a9f2-005056887b8d',	'Понорница'),
(3155,	'88f39458-4f17-11ea-b89e-0025b501a04b',	'Понятовка'),
(3156,	'f706233e-4078-11de-b509-001d92f78698',	'Попасная'),
(3157,	'8632d344-0c78-11e6-971e-005056887b8d',	'Попасное (Новомосковский р-н.)'),
(3158,	'3869276f-9404-11e9-898c-005056b24375',	'Попели'),
(3159,	'372a18d9-9e50-11e9-898c-005056b24375',	'Попельники'),
(3160,	'd65e89b6-7302-11e9-898c-005056b24375',	'Поповка (Карловский р-н)'),
(3161,	'88faf910-76f7-11e9-898c-005056b24375',	'Поповка (Миргородский р-н)'),
(3162,	'69da41c0-3f5d-11de-b509-001d92f78698',	'Попельня'),
(3163,	'c3f7c590-82d0-11e9-898c-005056b24375',	'Порадовка'),
(3164,	'683760e5-5224-11e9-acea-005056b24375',	'Порохня'),
(3165,	'5cae70cb-884b-11e9-898c-005056b24375',	'Порошково'),
(3166,	'54b69479-9e40-11e9-898c-005056b24375',	'Посад-Покровское'),
(3167,	'6239020f-76f8-11e9-898c-005056b24375',	'Постойное'),
(3168,	'dba533f6-521d-11e9-acea-005056b24375',	'Постоловка'),
(3169,	'a0378128-8877-11e9-898c-005056b24375',	'Поташ'),
(3170,	'c8066a92-c355-11e9-b0c5-005056b24375',	'Поташня'),
(3171,	'deb06200-1aaf-11ea-8c15-0025b502a06e',	'Потелич'),
(3172,	'8fbdc030-76ef-11e9-898c-005056b24375',	'Потиевка'),
(3173,	'90e4a85d-cf39-11e9-b0c5-005056b24375',	'Поток'),
(3174,	'd7f4983a-8850-11e9-898c-005056b24375',	'Поточек'),
(3175,	'89c78f7a-9288-11e9-898c-005056b24375',	'Потоки'),
(3176,	'ea398304-3d40-11e2-8c54-d4ae52ab9fab',	'Почаев'),
(3177,	'0fd87451-ba4b-11e8-ad0d-005056b24375',	'Почапинцы'),
(3178,	'b298ce9a-daaf-11e9-b48a-005056b24375',	'Почапинцы (Хмельницкая обл.)'),
(3179,	'b08d832f-cf20-11e9-b0c5-005056b24375',	'Почапинцы (Черкасская обл.)'),
(3180,	'c8955aac-b780-11e9-8c22-005056b24375',	'Правдовка'),
(3181,	'571b3b74-7403-11e5-8d8d-005056887b8d',	'Преображенка (Каланчацкий р-н)'),
(3182,	'8d0db26a-cf3c-11e9-b0c5-005056b24375',	'Преображенка (Криничанский р-н ,, Днепроп. обл.)'),
(3183,	'7e72b1e1-4c84-11e9-acea-005056b24375',	'Преображенка (Ореховский р-н.)'),
(3184,	'4431491b-e67f-11e9-b48a-005056b24375',	'Преображенка (Царичанський р-н., Днепроп. обл.'),
(3185,	'a236f34b-f408-11e9-91ff-0025b501a04b',	'Преображенка (Чаплинский р-н., Херсонская обл.)'),
(3186,	'27d498d3-fed7-11e9-91ff-0025b501a04b',	'Преображенное'),
(3187,	'cf1035d4-5f6c-11e9-898c-005056b24375',	'Пречистовка'),
(3188,	'f70622d0-4078-11de-b509-001d92f78698',	'Приазовское'),
(3189,	'1388aed3-fed4-11e9-91ff-0025b501a04b',	'Приборск'),
(3190,	'fecfdf8b-a96a-11e9-b73a-005056b24375',	'Приборжавское'),
(3191,	'272e2a73-883a-11e9-898c-005056b24375',	'Приборовка'),
(3192,	'53f6125b-76f6-11e9-898c-005056b24375',	'Прибужье'),
(3193,	'd299845e-882b-11e9-898c-005056b24375',	'Прибужское'),
(3194,	'8f105bd6-b105-11e3-9fa0-0050568002cf',	'Приволье (Лисичанский городской совет)'),
(3195,	'e3eaf0da-b774-11e9-8c22-005056b24375',	'Приволье (Троицкий р-н)'),
(3196,	'd7892fb2-76f6-11e9-898c-005056b24375',	'Привольное'),
(3197,	'8240e212-883f-11e9-898c-005056b24375',	'Привольное (Днепропетровская обл.)'),
(3198,	'cf0c2ba1-b81e-11e9-8c22-005056b24375',	'Приветное'),
(3199,	'2d6adb18-b2d6-11e9-8c22-005056b24375',	'Привокзальное'),
(3200,	'de8fd483-7d67-11e9-898c-005056b24375',	'Приднепровское'),
(3201,	'301e95c8-b7bd-11e9-8c22-005056b24375',	'Приднепровское (Днепропетровская обл.)'),
(3202,	'294605f1-cf28-11e9-b0c5-005056b24375',	'Приднепрянское (Полтавская обл.)'),
(3203,	'b0e532c8-76fa-11e9-898c-005056b24375',	'Приколотное'),
(3204,	'9ff55635-9e54-11e9-898c-005056b24375',	'Прилесное'),
(3205,	'ae7a32c0-0d45-11de-b6f5-001d92f78697',	'Прилуки'),
(3206,	'594a1a04-b794-11e9-8c22-005056b24375',	'Прилуцкое'),
(3207,	'69da41f6-3f5d-11de-b509-001d92f78698',	'Приморск (Запорожская обл.)'),
(3208,	'28ccf5af-e680-11e9-b48a-005056b24375',	'Приморское (Белгород-Днестровский р-н.)'),
(3209,	'a4cebe97-cf1a-11e9-b0c5-005056b24375',	'Приморское (Запорожская обл.)'),
(3210,	'f8458bfb-9e61-11e9-898c-005056b24375',	'Приморское (Килийский р-н)'),
(3211,	'c69f094f-feee-11e9-91ff-0025b501a04b',	'Приморский Посад'),
(3212,	'47876ddf-c34d-11e9-b0c5-005056b24375',	'Приозерное (Одесская обл.)'),
(3213,	'6c523b58-73dd-11e9-898c-005056b24375',	'Прислуч'),
(3214,	'ce5750d8-9e68-11e9-898c-005056b24375',	'Пристайлово'),
(3215,	'760c943a-23aa-11e9-ad0d-005056b24375',	'Пристромы'),
(3216,	'6d37467b-64d2-11e9-898c-005056b24375',	'Пришиб (Харьковская обл.)'),
(3217,	'c6d1f384-b2a8-11e4-a77a-005056887b8d',	'Приютовка (Кировоградская обл.)'),
(3218,	'fddc04e0-82d1-11e9-898c-005056b24375',	'Прогрес'),
(3219,	'2d85bf49-dc2f-11e4-8a92-005056887b8d',	'Пролиски'),
(3220,	'93a5e6e8-1aae-11ea-8c15-0025b502a06e',	'Просторе'),
(3221,	'244d3593-b5c3-11e4-a77a-005056887b8d',	'Просяная (Покровский р-н)'),
(3222,	'7812e45a-e68c-11e9-b48a-005056b24375',	'Просяное'),
(3223,	'e7cb97d4-76f9-11e9-898c-005056b24375',	'Протопоповка'),
(3224,	'064187ff-8856-11e9-898c-005056b24375',	'Протопоповка (Кировоградская обл.)'),
(3225,	'9fa49e58-20b7-11ea-b89e-0025b501a04b',	'Протопоповка (Одесская обл.)'),
(3226,	'326cd257-76f3-11e9-898c-005056b24375',	'Процев'),
(3227,	'7c15a196-9e50-11e9-898c-005056b24375',	'Прутовка'),
(3228,	'9a2e3e6a-8cb5-11e3-b441-0050568002cf',	'Прядивка'),
(3229,	'da86c217-b797-11e9-8c22-005056b24375',	'Пузыри'),
(3230,	'69da41d2-3f5d-11de-b509-001d92f78698',	'Пулины'),
(3231,	'358842a8-883e-11e9-898c-005056b24375',	'Пульмо'),
(3232,	'1e0ee7e3-c345-11e9-b0c5-005056b24375',	'Пустоваровка'),
(3233,	'76405d92-735d-11ea-a970-b8830365ade4',	'Пустовойтово'),
(3234,	'90e4a872-cf39-11e9-b0c5-005056b24375',	'Пустовиты'),
(3235,	'67d14006-4f17-11ea-b89e-0025b501a04b',	'Пустоиванье'),
(3236,	'000655ca-4079-11de-b509-001d92f78698',	'Пустомыты'),
(3237,	'db5c8969-391c-11dd-90d9-001a92567626',	'Путивль'),
(3238,	'06f8798a-4079-11de-b509-001d92f78698',	'Путила'),
(3239,	'cd27ebb2-e5e6-11e9-b48a-005056b24375',	'Путятинцы'),
(3240,	'c23f5b16-7d6f-11e9-898c-005056b24375',	'Пуховка'),
(3241,	'e4f28d5c-ff77-11e8-ad0d-005056b24375',	'Пушкарёвка'),
(3242,	'670d6bdd-76f5-11e9-898c-005056b24375',	'Пушково'),
(3243,	'8831d2ad-e66d-11e9-b48a-005056b24375',	'Пуща-Водица (Киев)'),
(3244,	'1037a52f-b7bc-11e9-8c22-005056b24375',	'Пшеничники'),
(3245,	'0680e1c0-bbc6-11e2-8f96-d4ae527baec3',	'Рава-Русская'),
(3246,	'22d787ee-daa7-11e9-b48a-005056b24375',	'Раденск'),
(3247,	'f7062376-4078-11de-b509-001d92f78698',	'Радехов'),
(3248,	'f7062372-4078-11de-b509-001d92f78698',	'Радивилов'),
(3249,	'40b17175-64d3-11e9-898c-005056b24375',	'Радивоновка'),
(3250,	'e0aa6744-7301-11e9-898c-005056b24375',	'Радижеве'),
(3251,	'04dccce0-9e3d-11e9-898c-005056b24375',	'Радичев'),
(3252,	'ae3a5248-82d0-11e9-898c-005056b24375',	'Радостный сад'),
(3253,	'25cac89c-76f0-11e9-898c-005056b24375',	'Радовель'),
(3254,	'9798f1af-883c-11e9-898c-005056b24375',	'Радовичи'),
(3255,	'69da41f0-3f5d-11de-b509-001d92f78698',	'Радомышль'),
(3256,	'05b9152c-e632-11e3-8c4a-0050568002cf',	'Радошевка'),
(3257,	'6e0a40da-1620-11e4-acce-0050568002cf',	'Радушное'),
(3258,	'46d1dda5-b7bb-11e9-8c22-005056b24375',	'Радча'),
(3259,	'8240e1fd-883f-11e9-898c-005056b24375',	'Раевка'),
(3260,	'876cf4a5-b79e-11e9-8c22-005056b24375',	'Рай-Александровка'),
(3261,	'409f4d03-6aa5-11e6-a9f2-005056887b8d',	'Райгородка'),
(3262,	'd9a34ff6-1749-11e6-971e-005056887b8d',	'Райгородок(Славянский р-н)'),
(3263,	'a5b35568-7d69-11e9-898c-005056b24375',	'Райки'),
(3264,	'87701ebd-1e5e-11e6-971e-005056887b8d',	'Райское(Херсонская обл.)'),
(3265,	'198b3632-82d0-11e9-898c-005056b24375',	'Раков'),
(3266,	'25f8db44-9e54-11e9-898c-005056b24375',	'Раков Лес'),
(3267,	'0b07ca1a-5a18-11ea-a970-b8830365ade4',	'Раковчик'),
(3268,	'6473ebc6-a7a6-11e9-b73a-005056b24375',	'Раково'),
(3269,	'0b2e1fa0-cf46-11e9-b0c5-005056b24375',	'Раковец'),
(3270,	'548db4ae-1b20-11ea-8c15-0025b502a06e',	'Раковець (Львівська обл.)'),
(3271,	'62242379-7e0d-11e5-b6f7-005056887b8d',	'Ракошино'),
(3272,	'ec2c06dc-5fc4-11e6-a9f2-005056887b8d',	'Ралевка'),
(3273,	'974ff332-8857-11e9-898c-005056b24375',	'Раневичи'),
(3274,	'f7062364-4078-11de-b509-001d92f78698',	'Ратно'),
(3275,	'291aee31-7d6b-11e9-898c-005056b24375',	'Рауховка'),
(3276,	'f78813f7-8e46-11e3-b441-0050568002cf',	'Рафаловка'),
(3277,	'5d31ed24-7360-11ea-a970-b8830365ade4',	'Рахиня'),
(3278,	'06f87902-4079-11de-b509-001d92f78698',	'Рахов'),
(3279,	'6df48384-a53f-11e4-a77a-005056887b8d',	'Рахны-Лисовые'),
(3280,	'8434dd00-cf27-11e9-b0c5-005056b24375',	'Рашевка'),
(3281,	'494cd204-5229-11e9-acea-005056b24375',	'Ребедайловка'),
(3282,	'eb23c187-dae4-11e9-b48a-005056b24375',	'Ревовка'),
(3283,	'f658d9ae-76f2-11e9-898c-005056b24375',	'Ревное'),
(3284,	'28ccf5c5-e680-11e9-b48a-005056b24375',	'Ревное (Черновицкая обл.)'),
(3285,	'8f416d29-2f04-11e6-9e93-005056887b8d',	'Ременов'),
(3286,	'00065602-4079-11de-b509-001d92f78698',	'Рени'),
(3287,	'05bf1eac-8879-11e9-898c-005056b24375',	'Репужинцы'),
(3288,	'c5f70e46-4bd0-11dd-9198-001d60451983',	'Решетиловка'),
(3289,	'898abd88-dae4-11e9-b48a-005056b24375',	'Ржавинцы'),
(3290,	'735776ef-c340-11e9-b0c5-005056b24375',	'Ржавчик'),
(3291,	'9e8561d5-f1a0-11e1-a58d-d4ae527baec9',	'Ржищев'),
(3292,	'2a31940d-8857-11e9-898c-005056b24375',	'Рыбянцево'),
(3293,	'67cc45d5-9e3d-11e9-898c-005056b24375',	'Рыбинск'),
(3294,	'2926b2ee-8833-11e9-898c-005056b24375',	'Рыботин'),
(3295,	'8986ec95-76f9-11e9-898c-005056b24375',	'Рыдомиль'),
(3296,	'fcb274b3-cf2a-11e9-b0c5-005056b24375',	'Рыжаны'),
(3297,	'f1acd214-2cf1-11e4-acce-0050568002cf',	'Рыково'),
(3298,	'25f8db59-9e54-11e9-898c-005056b24375',	'Рымачи'),
(3299,	'e39b5c67-8841-11e9-898c-005056b24375',	'Рыхальское'),
(3300,	'30175d6f-f429-11e9-91ff-0025b501a04b',	'Рычагов'),
(3301,	'db5c896a-391c-11dd-90d9-001a92567626',	'Ровно'),
(3302,	'05bbc685-3565-11e2-8c54-d4ae52ab9fab',	'Ровное (Новоукраинский р-н, Кировоградская обл.)'),
(3303,	'a7ea4a7c-7d5c-11e9-898c-005056b24375',	'Ровное (Херсонская обл.)'),
(3304,	'618f1336-c32d-11e9-b0c5-005056b24375',	'Ровнополь (Донецкая обл.)'),
(3305,	'1dd83f0a-8850-11e9-898c-005056b24375',	'Ровня'),
(3306,	'be34bba2-9e52-11e9-898c-005056b24375',	'Редковцы'),
(3307,	'89c78f65-9288-11e9-898c-005056b24375',	'Рожки'),
(3308,	'6c3270d8-fedf-11e9-91ff-0025b501a04b',	'Риздвянка'),
(3309,	'66519eec-5a1b-11ea-a970-b8830365ade4',	'Рипянка'),
(3310,	'06f879a4-4079-11de-b509-001d92f78698',	'Репки'),
(3311,	'68376100-5224-11e9-acea-005056b24375',	'Репна'),
(3312,	'a716bafa-3608-11ea-b89e-0025b501a04b',	'Репное'),
(3313,	'801bb7af-76f8-11e9-898c-005056b24375',	'Речки'),
(3314,	'3e923615-cf1d-11e9-b0c5-005056b24375',	'Речки (Львовская обл.)'),
(3315,	'abbdc7ff-4699-11ea-b89e-0025b501a04b',	'Работино'),
(3316,	'5c98d8e9-456a-11e9-acea-005056b24375',	'Рованцы'),
(3317,	'b7cdf14c-c6fb-11e3-95eb-0050568046cd',	'Рогань(Великая Рогань)'),
(3318,	'f70622d4-4078-11de-b509-001d92f78698',	'Рогатин'),
(3319,	'f8d12eeb-b777-11e9-8c22-005056b24375',	'Роги'),
(3320,	'8750d555-0ce5-11ea-8c15-0025b502a06e',	'Рогозки'),
(3321,	'2d3c37d6-76f4-11e9-898c-005056b24375',	'Рогозов'),
(3322,	'00ed5017-dadd-11e9-b48a-005056b24375',	'Родатычи'),
(3323,	'10975679-8a89-11e0-8140-969cd9edcd68',	'Родинское'),
(3324,	'3fa22abb-9295-11e9-898c-005056b24375',	'Рождественське'),
(3325,	'f7062352-4078-11de-b509-001d92f78698',	'Рожище'),
(3326,	'9b2a137f-7d70-11e9-898c-005056b24375',	'Рожевка'),
(3327,	'fb9056fa-7d6f-11e9-898c-005056b24375',	'Рожны'),
(3328,	'1cd43ada-7d62-11e9-898c-005056b24375',	'Рожны (Хмельницкая обл.)'),
(3329,	'58cd303f-76f2-11e9-898c-005056b24375',	'Рожнов'),
(3330,	'f70622d8-4078-11de-b509-001d92f78698',	'Рожнятов'),
(3331,	'61deceaf-a7a4-11e9-b73a-005056b24375',	'Розалевка'),
(3332,	'9368c66a-928f-11e9-898c-005056b24375',	'Розбишевка'),
(3333,	'7e66c6c3-e67a-11e9-b48a-005056b24375',	'Розваж'),
(3334,	'5d793dec-3607-11ea-b89e-0025b501a04b',	'Розважев'),
(3335,	'adbd7779-76f5-11e9-898c-005056b24375',	'Раздел'),
(3336,	'db5c896e-391c-11dd-90d9-001a92567626',	'Раздельная (Одесская обл.)'),
(3337,	'b04026bc-5a1a-11ea-a970-b8830365ade4',	'Раздол'),
(3338,	'0849fda4-c346-11e9-b0c5-005056b24375',	'Роздоловка'),
(3339,	'b8515aee-f6dd-11e8-ad0d-005056b24375',	'Раздольное'),
(3340,	'c709150c-9283-11e9-898c-005056b24375',	'Раздольное (Донецкая обл.)'),
(3341,	'1bad1a14-96f3-11e8-ad0d-005056b24375',	'Роздоры'),
(3342,	'ab8956a4-399a-11e9-acea-005056b24375',	'Розовка'),
(3343,	'cfbeac98-4063-11de-b509-001d92f78698',	'Розовка (Розовский р-н., Запорожская обл.)'),
(3344,	'05c96064-9e5f-11e9-898c-005056b24375',	'Розквит'),
(3345,	'6a7e5bb0-dadd-11e9-b48a-005056b24375',	'Розлуч'),
(3346,	'70969fe5-1aaf-11ea-8c15-0025b502a06e',	'Разношенское'),
(3347,	'7b4abc28-a850-11e4-a77a-005056887b8d',	'Рассошенцы(Полтавская обл.)'),
(3348,	'8e6f3b51-96cd-11e6-a4c1-005056887b8d',	'Розтоки'),
(3349,	'7f1f3444-8836-11e9-898c-005056b24375',	'Ростоки (Ивано-Франковская обл.)'),
(3350,	'317da756-f40a-11e9-91ff-0025b501a04b',	'Разумовка (Запорожский р-н., Запорожская обл.)'),
(3351,	'4ab317f5-a7a3-11e9-b73a-005056b24375',	'Рокини'),
(3352,	'f7062306-4078-11de-b509-001d92f78698',	'Ракитное (Киевская обл., Ракитнянский р-н)'),
(3353,	'ec04f4a9-8868-11e9-898c-005056b24375',	'Рокитное (Нововодолажский р-н. Харьковская обл.)'),
(3354,	'43913aa5-9e44-11e9-898c-005056b24375',	'Ракитное (Ровенская обл., Костопельский р-н)'),
(3355,	'0006561e-4079-11de-b509-001d92f78698',	'Ракитное (Ровенская обл., Рокитновский р-н)'),
(3356,	'd1bbe7ae-dab2-11e9-b48a-005056b24375',	'Рокитное (Черновицкая обл., Новоселицкий р-н)'),
(3357,	'b808699d-cf25-11e9-b0c5-005056b24375',	'Ракитница'),
(3358,	'b18b01ec-a087-11e8-ad0d-005056b24375',	'Рокосово'),
(3359,	'291aee46-7d6b-11e9-898c-005056b24375',	'Роксоланы'),
(3360,	'69da41cc-3f5d-11de-b509-001d92f78698',	'Романов'),
(3361,	'33bf5e83-11ad-11e4-acce-0050568002cf',	'Романковцы'),
(3362,	'37cc05cc-b7a2-11e9-8c22-005056b24375',	'Ромашки'),
(3363,	'47357db7-c33a-11e9-b0c5-005056b24375',	'Ромашково'),
(3364,	'1a1339aa-daad-11e9-b48a-005056b24375',	'Ромейки'),
(3365,	'db5c896f-391c-11dd-90d9-001a92567626',	'Ромны'),
(3366,	'0ccbf4b5-6c30-11e5-8d8d-005056887b8d',	'Ромодан'),
(3367,	'ad578cef-76fb-11e9-898c-005056b24375',	'Ропча'),
(3368,	'90e4a887-cf39-11e9-b0c5-005056b24375',	'Росава'),
(3369,	'a14b4f61-64cd-11e9-898c-005056b24375',	'Росош'),
(3370,	'4b20f7eb-82cc-11e9-898c-005056b24375',	'Росоша'),
(3371,	'66c0a2ea-e682-11e9-b48a-005056b24375',	'Ротмистровка'),
(3372,	'c0b5fadd-dab0-11e9-b48a-005056b24375',	'Рубаный Мост'),
(3373,	'3d19eb6d-8980-11e5-b6f7-005056887b8d',	'Рубановка'),
(3374,	'db5c8970-391c-11dd-90d9-001a92567626',	'Рубежное'),
(3375,	'af4a6392-7301-11e9-898c-005056b24375',	'Рубцы'),
(3376,	'5fdad216-dade-11e9-b48a-005056b24375',	'Руда'),
(3377,	'bd97b0ab-fee3-11e9-91ff-0025b501a04b',	'Руданское'),
(3378,	'a5b35592-7d69-11e9-898c-005056b24375',	'Рудое Село'),
(3379,	'525e409a-8862-11e9-898c-005056b24375',	'Руденковка'),
(3380,	'e8da239b-826e-11e3-b441-0050568002cf',	'Рудки'),
(3381,	'120937da-659f-11e8-9d95-005056b2fc3d',	'Рудно'),
(3382,	'74f00b52-b7b6-11e9-8c22-005056b24375',	'Рудники'),
(3383,	'e560ca02-dab5-11e9-b48a-005056b24375',	'Рудники (Волынская обл.)'),
(3384,	'544feda7-cf23-11e9-b0c5-005056b24375',	'Рудники (Ивано-Франковская обл.)'),
(3385,	'c1b5406b-964b-11e9-898c-005056b24375',	'Рудницкое'),
(3386,	'6f0ac1ca-9745-11e9-898c-005056b24375',	'Рудница'),
(3387,	'93c505ef-0535-11e9-ad0d-005056b24375',	'Рудня'),
(3388,	'69da41bd-3f5d-11de-b509-001d92f78698',	'Ружин'),
(3389,	'7456274d-7d63-11e9-898c-005056b24375',	'Рукшин'),
(3390,	'b692351b-fee4-11e9-91ff-0025b501a04b',	'Рунгуры'),
(3391,	'0b1a2068-9e6c-11e9-898c-005056b24375',	'Русанов'),
(3392,	'82c10b3d-b7b7-11e9-8c22-005056b24375',	'Русановка'),
(3393,	'cb003d50-e5ec-11e9-b48a-005056b24375',	'Русов'),
(3394,	'77549389-40f4-11e5-8d8d-005056887b8d',	'Русская Лозовая'),
(3395,	'e8da236f-826e-11e3-b441-0050568002cf',	'Русская Поляна'),
(3396,	'4d7ffc6b-b7b8-11e9-8c22-005056b24375',	'Русское Поле'),
(3397,	'f3ccff74-7d5c-11e9-898c-005056b24375',	'Русские Комаровцы'),
(3398,	'40d741f0-8869-11e9-898c-005056b24375',	'Русские Тишки'),
(3399,	'c19296d2-82cd-11e9-898c-005056b24375',	'Ручаевка'),
(3400,	'98fee456-65c0-11e9-898c-005056b24375',	'Ручки (Гадячский р-н.)'),
(3401,	'ce5750ed-9e68-11e9-898c-005056b24375',	'Рябина'),
(3402,	'd4c6c984-e683-11e9-b48a-005056b24375',	'Рябковка'),
(3403,	'ff840556-9742-11e9-898c-005056b24375',	'Рясное'),
(3404,	'aca7b11b-4727-11e5-8d8d-005056887b8d',	'Рясное-Русское'),
(3405,	'3296d90f-1b20-11ea-8c15-0025b502a06e',	'Рясское'),
(3406,	'd0cd66cb-d07f-11e9-b0c5-005056b24375',	'Савин'),
(3407,	'67cc45ea-9e3d-11e9-898c-005056b24375',	'Савинки'),
(3408,	'796d7a9d-76f4-11e9-898c-005056b24375',	'Савинцы'),
(3409,	'd65e89cd-7302-11e9-898c-005056b24375',	'Савинцы (Миргородский р-н)'),
(3410,	'd4e6c414-9e6b-11e9-898c-005056b24375',	'Савинцы (Оржицкий р-н)'),
(3411,	'908c1c31-e68d-11e9-b48a-005056b24375',	'Савинцы (Харьковская обл.)'),
(3412,	'06f87964-4079-11de-b509-001d92f78698',	'Саврань'),
(3413,	'6f4c75a0-1b20-11ea-8c15-0025b502a06e',	'Сагайдак'),
(3414,	'd9c95abc-005c-11e5-8a92-005056887b8d',	'Сагуновка'),
(3415,	'e146de31-8f31-11e8-8acc-005056b2fc3d',	'Сад'),
(3416,	'870f2820-1b1e-11ea-8c15-0025b502a06e',	'Садковичи'),
(3417,	'a464b8fd-e682-11e9-b48a-005056b24375',	'Садовое (Николаевская обл.)'),
(3418,	'e85b5c62-dae6-11e9-b48a-005056b24375',	'Саевка'),
(3419,	'9c1acd46-e224-11e9-b48a-005056b24375',	'Саксагань'),
(3420,	'38ae9823-9e62-11e9-898c-005056b24375',	'Салгани'),
(3421,	'7a3205ad-f413-11e9-91ff-0025b501a04b',	'Салиха'),
(3422,	'0bc77c87-7d5f-11e9-898c-005056b24375',	'Сальвоково'),
(3423,	'fc3dde04-9745-11e9-898c-005056b24375',	'Сальник'),
(3424,	'54a521aa-9e4f-11e9-898c-005056b24375',	'Сальница'),
(3425,	'95f15ba7-7d62-11e9-898c-005056b24375',	'Самарское (Днепропетровская обл.)'),
(3426,	'db5c8972-391c-11dd-90d9-001a92567626',	'Самбор'),
(3427,	'819bb14b-1aaf-11ea-8c15-0025b502a06e',	'Самгородок'),
(3428,	'c58de027-0730-11e4-acce-0050568002cf',	'Самгородок (Винницкая обл.)'),
(3429,	'1e0ee7ce-c345-11e9-b0c5-005056b24375',	'Самгородок (Киевская обл.)'),
(3430,	'7512ed7a-0c9a-11ea-8c15-0025b502a06e',	'Самойловка'),
(3431,	'd122cd6e-76f8-11e9-898c-005056b24375',	'Саматоевка'),
(3432,	'c45a2fb4-64cb-11e9-898c-005056b24375',	'Самчыки'),
(3433,	'c87ae025-a7a4-11e9-b73a-005056b24375',	'Санжейка'),
(3434,	'b88ffd5d-9e58-11e9-898c-005056b24375',	'Сапанов'),
(3435,	'a108f0c7-3607-11ea-b89e-0025b501a04b',	'Сапогов'),
(3436,	'000655e8-4079-11de-b509-001d92f78698',	'Сарата'),
(3437,	'7d4081d6-9e55-11e9-898c-005056b24375',	'Сары'),
(3438,	'00065616-4079-11de-b509-001d92f78698',	'Сарны'),
(3439,	'1b2bcec1-5adb-11e5-8d8d-005056887b8d',	'Сартана (Донецкая обл.)'),
(3440,	'b03c5747-e5e2-11e9-b48a-005056b24375',	'Сасовка'),
(3441,	'33f1ffcd-cf29-11e9-b0c5-005056b24375',	'Сасово'),
(3442,	'4250c6c2-76fb-11e9-898c-005056b24375',	'Сатанов'),
(3443,	'20aabedc-b77b-11e9-8c22-005056b24375',	'Сатановка'),
(3444,	'1cc5386d-9293-11e9-898c-005056b24375',	'Сахновка'),
(3445,	'c47fba3e-a7a5-11e9-b73a-005056b24375',	'Сахновщина (Полтавская обл.)'),
(3446,	'0006560a-4079-11de-b509-001d92f78698',	'Сахновщина (Харьковская обл.)'),
(3447,	'83187d9f-b771-11e9-8c22-005056b24375',	'Сахутовка'),
(3448,	'06f87906-4079-11de-b509-001d92f78698',	'Свалява'),
(3449,	'ddde1ab2-6540-11ea-a970-b8830365ade4',	'Сварицевичи'),
(3450,	'db72721c-e689-11e9-b48a-005056b24375',	'Сваричев'),
(3451,	'f7062342-4078-11de-b509-001d92f78698',	'Сватово'),
(3452,	'1db59605-1766-11e2-928c-d4ae527baec9',	'Свесса'),
(3453,	'3aaa7b2d-64cd-11e9-898c-005056b24375',	'Свидовок'),
(3454,	'cf28f862-cf1e-11e9-b0c5-005056b24375',	'Свершковцы'),
(3455,	'67cc45ff-9e3d-11e9-898c-005056b24375',	'Свитанок'),
(3456,	'86187fca-b77b-11e9-8c22-005056b24375',	'Свитанок (Запорожская обл.)'),
(3457,	'8a49ea4f-7d6f-11e9-898c-005056b24375',	'Светильня'),
(3458,	'fa75a5a3-8861-11e9-898c-005056b24375',	'Светлое'),
(3459,	'f8c9ddf2-a7a2-11e9-b73a-005056b24375',	'Светличное'),
(3460,	'db5c8974-391c-11dd-90d9-001a92567626',	'Светловодск'),
(3461,	'40b1718a-64d3-11e9-898c-005056b24375',	'Светлогорское'),
(3462,	'23e89fb0-db22-11e1-aa18-d4ae527baec9',	'Светлодарск'),
(3463,	'e5b12527-e5de-11e9-b48a-005056b24375',	'Светлодолинское'),
(3464,	'df11dcef-76ed-11e9-898c-005056b24375',	'Свитязь'),
(3465,	'8de804a3-7d64-11e9-898c-005056b24375',	'Свободное'),
(3466,	'70d0397e-4699-11ea-b89e-0025b501a04b',	'Святец'),
(3467,	'c62928e9-cf27-11e9-b0c5-005056b24375',	'Святиловка'),
(3468,	'eef079f6-2535-11e0-ac94-0024e83b596e',	'Святогорск'),
(3469,	'e03f3aa9-a05d-11e3-9fa0-0050568002cf',	'Святопетровское (Киево-Свят. р-н)'),
(3470,	'9b526d38-64cf-11e9-898c-005056b24375',	'Себино'),
(3471,	'4b20f815-82cc-11e9-898c-005056b24375',	'Севериновка'),
(3472,	'ee9660fe-9e35-11e9-898c-005056b24375',	'Севериновка (Киевская обл.)'),
(3473,	'853fa636-c349-11e9-b0c5-005056b24375',	'Севериновка (Таращанский р-н)'),
(3474,	'370f867f-9e6d-11e9-898c-005056b24375',	'Севериновка (Тростянецкий р-н)'),
(3475,	'25f8db6e-9e54-11e9-898c-005056b24375',	'Седлище'),
(3476,	'9ff5564a-9e54-11e9-898c-005056b24375',	'Седлище (Любашевский р-н)'),
(3477,	'e4bde1be-9e3d-11e9-898c-005056b24375',	'Седнев'),
(3478,	'1c3f1e6f-64d0-11e9-898c-005056b24375',	'Секретарка'),
(3479,	'068ea1a0-9e53-11e9-898c-005056b24375',	'Селекционное'),
(3480,	'1ece1c30-8864-11e9-898c-005056b24375',	'Селец (Ровенская обл.)'),
(3481,	'f0a49fce-399e-11e9-acea-005056b24375',	'Селещина'),
(3482,	'1097567b-8a89-11e0-8140-969cd9edcd68',	'Селидово'),
(3483,	'39ba1a9a-e68c-11e9-b48a-005056b24375',	'Селичевка'),
(3484,	'fe34d1ed-7d63-11e9-898c-005056b24375',	'Селище'),
(3485,	'0b1a207d-9e6c-11e9-898c-005056b24375',	'Селище (Киевская обл.)'),
(3486,	'cb003d3b-e5ec-11e9-b48a-005056b24375',	'Селище (Тывровский р-н., Винницкая обл.)'),
(3487,	'1cc53882-9293-11e9-898c-005056b24375',	'Селище (Черкасская обл.)'),
(3488,	'659125f8-64cf-11e9-898c-005056b24375',	'Селятин'),
(3489,	'91ba5b0e-b797-11e9-8c22-005056b24375',	'Семьяновка'),
(3490,	'dd42b6af-fee7-11e9-91ff-0025b501a04b',	'Семаковцы (Коломыйский р-н)'),
(3491,	'84f7102e-c354-11e9-b0c5-005056b24375',	'Семеновка (Днепропетровская обл.)'),
(3492,	'f6837c43-dae8-11e9-b48a-005056b24375',	'Семеновка (Донецкая обл.)'),
(3493,	'2e80ed01-76f1-11e9-898c-005056b24375',	'Семеновка (Запорожская обл.)'),
(3494,	'bb790d02-a95a-11e9-b73a-005056b24375',	'Семеновка (Киевская обл.)'),
(3495,	'a856de31-e67f-11e9-b48a-005056b24375',	'Семеновка (Криничанський р-н., Днепроп. обл.)'),
(3496,	'2047a12f-76f6-11e9-898c-005056b24375',	'Семёновка (Львовская обл.)'),
(3497,	'0a2aa390-76f7-11e9-898c-005056b24375',	'Семеновка (Николаевская обл.)'),
(3498,	'8cf8b0c2-cf15-11e9-b0c5-005056b24375',	'Семеновка (Пологовский р-н)'),
(3499,	'c2ba8a20-b7be-11e9-8c22-005056b24375',	'Семеновка (Харьковская обл.)'),
(3500,	'681956f9-a958-11e9-b73a-005056b24375',	'Семеновка (Херсонская обл.)'),
(3501,	'7833e61e-3b51-11de-913b-001d92f78698',	'Семеновка(Полт.обл.,Семенов.р-н)'),
(3502,	'0db17b10-4079-11de-b509-001d92f78698',	'Семеновка (Черниговская обл.)'),
(3503,	'706affb3-7d68-11e9-898c-005056b24375',	'Семенки'),
(3504,	'3a3e6f11-b7b7-11e9-8c22-005056b24375',	'Семеренки'),
(3506,	'fb9056e5-7d6f-11e9-898c-005056b24375',	'Семиполки'),
(3507,	'741ca522-5a1b-11ea-a970-b8830365ade4',	'Сенечев'),
(3508,	'0c2acc42-b794-11e9-8c22-005056b24375',	'Сенкевечевка'),
(3509,	'458f63ba-ae97-11e3-9fa0-0050568002cf',	'Сенча'),
(3510,	'fe34d217-7d63-11e9-898c-005056b24375',	'Сеньковка'),
(3511,	'b1143ef2-885e-11e9-898c-005056b24375',	'Сербы'),
(3512,	'be34bbb7-9e52-11e9-898c-005056b24375',	'Сербичаны'),
(3513,	'515ffd0c-76f7-11e9-898c-005056b24375',	'Сербка'),
(3514,	'9294654b-cf2b-11e9-b0c5-005056b24375',	'Сербо-Слободка'),
(3515,	'abb47021-f427-11e9-91ff-0025b501a04b',	'Сергии'),
(3516,	'dac5e47e-9fe5-11e4-a77a-005056887b8d',	'Сергеевка (Белгород-Днестровский р-н)'),
(3517,	'98fee46b-65c0-11e9-898c-005056b24375',	'Сергеевка (Гадячский р-н)'),
(3518,	'6ea6cb6e-0ce3-11ea-8c15-0025b502a06e',	'Сергеевка (Днепропетровская обл.)'),
(3519,	'be2d1a15-8869-11e9-898c-005056b24375',	'Сергеевка (Каховский р-н)'),
(3520,	'fb581fb4-4697-11ea-b89e-0025b501a04b',	'Сергіївка (Покровський р-н, Донецька обл)'),
(3521,	'809623ba-8841-11e9-898c-005056b24375',	'Сергеевка (Славянский р-н)'),
(3522,	'67954b0b-abc7-11e6-b5da-005056887b8d',	'Серебрия'),
(3523,	'00065642-4079-11de-b509-001d92f78698',	'Середина-Буда'),
(3524,	'87603d5a-b7be-11e9-8c22-005056b24375',	'Середовка '),
(3525,	'a3ca5429-f411-11e9-91ff-0025b501a04b',	'Середкевичи'),
(3526,	'c514c05f-df32-11e3-8c4a-0050568002cf',	'Среднее'),
(3527,	'017548ec-75be-11e6-a9f2-005056887b8d',	'Среднее Водяное'),
(3528,	'e97c3bf8-65bf-11e9-898c-005056b24375',	'Средний Березов'),
(3529,	'fc5f1e27-928e-11e9-898c-005056b24375',	'Середняки (Гадячский р-н, Полтавская обл.)'),
(3530,	'4ec1476c-0ce5-11ea-8c15-0025b502a06e',	'Серное'),
(3531,	'f35bfd0c-b77e-11e9-8c22-005056b24375',	'Серники'),
(3532,	'74b79bd2-5f6d-11e9-898c-005056b24375',	'Серпневое'),
(3533,	'db5c8977-391c-11dd-90d9-001a92567626',	'Северодонецк'),
(3534,	'3d19eb56-8980-11e5-b6f7-005056887b8d',	'Сивашское'),
(3535,	'54addc4c-3a81-11e5-add9-005056887b8d',	'Сигнаевка'),
(3537,	'bb19570f-b79d-11e9-8c22-005056b24375',	'Сидорово'),
(3538,	'1c7bc475-76f8-11e9-898c-005056b24375',	'Симонов'),
(3539,	'c5e7acfc-a9ed-11e8-ad0d-005056b24375',	'Синевир'),
(3540,	'69da419c-3f5d-11de-b509-001d92f78698',	'Синельниково'),
(3541,	'b470ca09-76f8-11e9-898c-005056b24375',	'Синевка '),
(3542,	'aed07f8b-9289-11e9-898c-005056b24375',	'Синьки'),
(3543,	'98fee441-65c0-11e9-898c-005056b24375',	'Синютки'),
(3544,	'bc335c86-76f4-11e9-898c-005056b24375',	'Синява'),
(3545,	'3c2b4c2e-ff8a-11e8-ad0d-005056b24375',	'Синяк'),
(3546,	'e4bde1d3-9e3d-11e9-898c-005056b24375',	'Сыраи'),
(3547,	'84ae4e6d-7d65-11e9-898c-005056b24375',	'Сиротино'),
(3548,	'cc58f263-ea7f-11e5-899e-005056887b8d',	'Ситковцы'),
(3549,	'5d00fd59-0c98-11ea-8c15-0025b502a06e',	'Сытное'),
(3550,	'955e9579-d525-11e0-a0c3-b20c8c0df681',	'Северск'),
(3551,	'989141a0-cf48-11e9-b0c5-005056b24375',	'Сивка-Калушская'),
(3552,	'e3cbe0ca-928a-11e9-898c-005056b24375',	'Селец'),
(3553,	'7743982a-b7bc-11e9-8c22-005056b24375',	'Селец (Ивано-Франковская обл.)'),
(3554,	'8986ecaa-76f9-11e9-898c-005056b24375',	'Сельцо '),
(3555,	'e23f098d-6543-11ea-a970-b8830365ade4',	'Сельцо (Волынская обл.)'),
(3556,	'1c6cbf5a-964c-11e9-898c-005056b24375',	'Симьянивка'),
(3557,	'10ebda97-129d-11e6-971e-005056887b8d',	'Сингуры'),
(3558,	'db5c897b-391c-11dd-90d9-001a92567626',	'Скадовск'),
(3559,	'e85ae8a5-2f7d-11e4-acce-0050568002cf',	'Скала-Подольская'),
(3560,	'15fb1f49-2f7d-11e4-acce-0050568002cf',	'Скалат'),
(3561,	'a69e9ac6-b77d-11e9-8c22-005056b24375',	'Скалевские Хутора'),
(3562,	'0aa3d4fc-1ab0-11ea-8c15-0025b502a06e',	'Скаржинцы'),
(3563,	'f70622fe-4078-11de-b509-001d92f78698',	'Сквира'),
(3564,	'89147272-1b1c-11ea-8c15-0025b502a06e',	'Скелевка'),
(3566,	'5bba5e45-daa9-11e9-b48a-005056b24375',	'Скибин'),
(3567,	'f27dc032-e691-11e9-b48a-005056b24375',	'Скибин (Киевская обл.)'),
(3568,	'cb7e7bc9-b7a3-11e9-8c22-005056b24375',	'Скибинцы'),
(3569,	'd91dce13-0ce3-11ea-8c15-0025b502a06e',	'Скибовка'),
(3570,	'd72cb595-6543-11ea-a970-b8830365ade4',	'Скирче'),
(3571,	'8e26b224-feeb-11e9-91ff-0025b501a04b',	'Скнилов '),
(3572,	'e560ca17-dab5-11e9-b48a-005056b24375',	'Скобелка'),
(3573,	'a85f296a-e5e9-11e9-b48a-005056b24375',	'Сковородиновка'),
(3574,	'f7062384-4078-11de-b509-001d92f78698',	'Сколе'),
(3575,	'6f04e41d-8859-11e9-898c-005056b24375',	'Скоморохи'),
(3576,	'9b57b36e-6545-11ea-a970-b8830365ade4',	'Скоморохи (Житомирская обл.)'),
(3577,	'a70f5d69-882e-11e9-898c-005056b24375',	'Скоморошки'),
(3578,	'de8fd498-7d67-11e9-898c-005056b24375',	'Скородистик'),
(3579,	'0d9256d1-1671-11e5-add9-005056887b8d',	'Скороходово (Полтавська обл.)'),
(3580,	'ba1dd216-c34c-11e9-b0c5-005056b24375',	'Скосаревка'),
(3581,	'878aee82-b7a1-11e9-8c22-005056b24375',	'Скраглевка'),
(3582,	'f2f0f229-9403-11e9-898c-005056b24375',	'Скребыши'),
(3583,	'e3e66f72-5f6d-11e9-898c-005056b24375',	'Скрипаи'),
(3584,	'20796a6f-7d68-11e9-898c-005056b24375',	'Скрицкое'),
(3585,	'3d9231f1-76ee-11e9-898c-005056b24375',	'Славгород (Днепропетровская обл.)'),
(3586,	'a3e2f6ad-9743-11e9-898c-005056b24375',	'Славгород (Сумская обл.)'),
(3587,	'cde0b043-9bc8-11e4-acce-0050568002cf',	'Славское(Львовская обл.)'),
(3588,	'06f8793e-4079-11de-b509-001d92f78698',	'Славута'),
(3589,	'db5c897d-391c-11dd-90d9-001a92567626',	'Славутич'),
(3590,	'e1e334d4-386c-11e6-a9f2-005056887b8d',	'Слатино'),
(3591,	'1dd83ef5-8850-11e9-898c-005056b24375',	'Сливки'),
(3592,	'8d1dfcd4-e688-11e9-b48a-005056b24375',	'Слободка (Ивано-Франковская обл.)'),
(3593,	'db9c3883-0ce5-11ea-8c15-0025b502a06e',	'Слободка (Калушский р-н)'),
(3594,	'b7790961-b781-11e9-8c22-005056b24375',	'Слободка (Хмельницкая обл.)'),
(3595,	'0d5715a2-0c94-11ea-8c15-0025b502a06e',	'Слободка-Гуменецка'),
(3596,	'11a1b4cb-b782-11e9-8c22-005056b24375',	'Слободка-Охримовецкая '),
(3597,	'735776da-c340-11e9-b0c5-005056b24375',	'Слободское'),
(3598,	'e8a06206-9e5c-11e9-898c-005056b24375',	'Слобода (Киевская обл.)'),
(3599,	'3f7aa021-8865-11e9-898c-005056b24375',	'Слобода (Сумская обл.)'),
(3600,	'a4779b37-b7ab-11e9-8c22-005056b24375',	'Слобода-Банилов'),
(3601,	'b505cb98-3608-11ea-b89e-0025b501a04b',	'Слобода-Болеховская'),
(3602,	'c4471428-e5eb-11e9-b48a-005056b24375',	'Слобода-Шаргородская'),
(3603,	'ec04f47f-8868-11e9-898c-005056b24375',	'Слобожанское (Харьковская обл., Кегичевский р-н)'),
(3604,	'8f1cb3e0-9e6c-11e9-898c-005056b24375',	'Слобожанское (Харьковская обл. Нововодолажский р-н'),
(3605,	'bcbb6993-b791-11e9-8c22-005056b24375',	'Слобожанское (Харьковский р-н., Харьковская обл.)'),
(3606,	'0673974a-492a-11e2-889f-001631fa0467',	'Слобожанское(Змиёвский р-н., Харьковская обл.)'),
(3607,	'4f3928d7-4696-11ea-b89e-0025b501a04b',	'Славянка'),
(3608,	'3421da55-f427-11e9-91ff-0025b501a04b',	'Славяносербка'),
(3609,	'db5c897e-391c-11dd-90d9-001a92567626',	'Славянск'),
(3610,	'8c839dc2-117b-11e3-874c-d4ae527baec3',	'Словечное'),
(3611,	'9fb45581-9e65-11e9-898c-005056b24375',	'Слоут'),
(3612,	'8622316e-18f9-11e2-af92-d4ae52ab9fab',	'Смыга'),
(3613,	'b88ffd72-9e58-11e9-898c-005056b24375',	'Смыковцы'),
(3614,	'578161bb-b793-11e9-8c22-005056b24375',	'Смидин'),
(3615,	'db5c8980-391c-11dd-90d9-001a92567626',	'Смела'),
(3616,	'07650f6b-6210-11e1-ae72-0026b97ed48a',	'Смолино'),
(3617,	'e14c92ab-9e5a-11e9-898c-005056b24375',	'Смоляниново'),
(3618,	'dab6f87d-76f7-11e9-898c-005056b24375',	'Смотрики'),
(3619,	'a852178e-5a18-11ea-a970-b8830365ade4',	'Смотрич (Дунаевецкий р-н)'),
(3620,	'000655e4-4079-11de-b509-001d92f78698',	'Снигиревка'),
(3621,	'43e21727-dab3-11e9-b48a-005056b24375',	'Снежков'),
(3622,	'06f879a8-4079-11de-b509-001d92f78698',	'Сновск'),
(3623,	'f70622e2-4078-11de-b509-001d92f78698',	'Снятин'),
(3624,	'51eefba7-cf1c-11e9-b0c5-005056b24375',	'Собещицы'),
(3625,	'110045c6-fef8-11e9-91ff-0025b501a04b',	'Соболевка'),
(3626,	'3c67c752-a440-11dd-bcd8-001d92f78697',	'Сокаль'),
(3627,	'a82c0c99-a959-11e9-b73a-005056b24375',	'Сокиринцы'),
(3628,	'7e66c6d8-e67a-11e9-b48a-005056b24375',	'Сокиринцы (Винницкая обл.)'),
(3629,	'f91d442d-4694-11ea-b89e-0025b501a04b',	'Сокиричи'),
(3630,	'3d31a62b-e8bc-11e4-8a92-005056887b8d',	'Сокирница(Хуст.р-н, Закарпатская обл.)'),
(3631,	'06f87992-4079-11de-b509-001d92f78698',	'Сокиряны'),
(3632,	'97b6f939-9e4f-11e9-898c-005056b24375',	'Сокол'),
(3633,	'aa903320-5a17-11ea-a970-b8830365ade4',	'Сокол (Ивано-Франковская обл.)'),
(3634,	'ecd353bd-9fdf-11e5-a023-005056887b8d',	'Сокольники'),
(3635,	'e33f7821-585f-11e5-8d8d-005056887b8d',	'Соколовка'),
(3636,	'71f89d59-e67b-11e9-b48a-005056b24375',	'Соколовка (Винницкая обл.)'),
(3637,	'6095cfdd-a955-11e9-b73a-005056b24375',	'Соколовка (Ивано-Франковская)'),
(3638,	'4250c6d7-76fb-11e9-898c-005056b24375',	'Соколовка (Хмельницкая обл.)'),
(3639,	'525e40c4-8862-11e9-898c-005056b24375',	'Соколова Балка'),
(3640,	'7a321606-8868-11e9-898c-005056b24375',	'Соколово'),
(3641,	'e9e6e0e2-cf1b-11e9-b0c5-005056b24375',	'Солгутово'),
(3642,	'955e9578-d525-11e0-a0c3-b20c8c0df681',	'Соледар'),
(3643,	'906a4c6d-9e4d-11e9-898c-005056b24375',	'Солобковцы'),
(3644,	'6396af1b-9282-11e9-898c-005056b24375',	'Соловичи'),
(3645,	'e2b3d9ce-4699-11ea-b89e-0025b501a04b',	'Сладкая Балка'),
(3646,	'623d25f4-e5e2-11e9-b48a-005056b24375',	'Соломоново'),
(3647,	'69da4187-3f5d-11de-b509-001d92f78698',	'Соленое'),
(3648,	'0acf23f3-20b6-11ea-b89e-0025b501a04b',	'Соленое ( Вольнянский р-н)'),
(3649,	'bd344b86-7c09-11e2-8f83-d4ae527baec3',	'Солоницевка'),
(3650,	'b389780a-e295-11e4-8a92-005056887b8d',	'Солонка (Львовская обл.)'),
(3651,	'756921ac-fef7-11e9-91ff-0025b501a04b',	'Солотвин'),
(3652,	'9b060ae5-9ee5-11e3-9fa0-0050568002cf',	'Солотвино'),
(3653,	'8e92e500-daa8-11e9-b48a-005056b24375',	'Солочин'),
(3654,	'5480c721-c34b-11e9-b0c5-005056b24375',	'Солтановка'),
(3655,	'529c93ac-b7ba-11e9-8c22-005056b24375',	'Солуков'),
(3656,	'7b34c3b7-5a1a-11ea-a970-b8830365ade4',	'Солнечное'),
(3657,	'4ae07962-8858-11e9-898c-005056b24375',	'Сопошин'),
(3658,	'ca921bff-feeb-11e9-91ff-0025b501a04b',	'Сороки-Львовские'),
(3659,	'c68e315c-7301-11e9-898c-005056b24375',	'Сосны'),
(3660,	'0db17b0c-4079-11de-b509-001d92f78698',	'Сосница'),
(3661,	'f462447e-6887-11e3-b441-0050568002cf',	'Сосновка (Львовская обл.)'),
(3662,	'f50676ed-9e55-11e9-898c-005056b24375',	'Сосновка (Полтавская обл.)'),
(3663,	'3d7807ae-3607-11ea-b89e-0025b501a04b',	'Соснова'),
(3664,	'f78813ec-8e46-11e3-b441-0050568002cf',	'Сосновое (Ровенская обл.)'),
(3665,	'aa6ca8e5-9e5b-11e9-898c-005056b24375',	'Сосонка'),
(3666,	'3ffe434d-7d6f-11e9-898c-005056b24375',	'Софиевка (Николаевская обл.)'),
(3667,	'65ac6dd8-3c2d-11ea-b89e-0025b501a04b',	'Софиевка (Черкасская обл., Черкасский р-н)'),
(3668,	'f7062312-4078-11de-b509-001d92f78698',	'Софиевка(Днепропетровская обл.)'),
(3669,	'42f92125-17b9-11e4-acce-0050568002cf',	'Сошично'),
(3670,	'edd52e9d-b795-11e9-8c22-005056b24375',	'Сошников'),
(3671,	'813d01e5-884f-11e9-898c-005056b24375',	'Спас (Коломыйский р-н., Ивано-Франковск. Обл.)'),
(3672,	'1de3d9a0-b7b9-11e9-8c22-005056b24375',	'Спас (Рожнятовский р-н., Ивано-Франков. Обл.)'),
(3673,	'2524a86b-5632-11e5-8d8d-005056887b8d',	'Спасское (Днепропетровская обл.)'),
(3674,	'6c27dee6-fef5-11e9-91ff-0025b501a04b',	'Спасское (Одесская обл.)'),
(3675,	'e4bde1e8-9e3d-11e9-898c-005056b24375',	'Спасское (Черниговская обл.)'),
(3676,	'c6264cec-c344-11e9-b0c5-005056b24375',	'Сприня'),
(3677,	'5c5c1d7b-4f17-11ea-b89e-0025b501a04b',	'Сребное (Ровенская обл.)'),
(3678,	'06f87998-4079-11de-b509-001d92f78698',	'Сребное (Черниговская обл.)'),
(3679,	'36fe1e78-7d64-11e9-898c-005056b24375',	'Ставищаны'),
(3680,	'f7062304-4078-11de-b509-001d92f78698',	'Ставище'),
(3681,	'ae3a525d-82d0-11e9-898c-005056b24375',	'Ставки (Николаевская обл.)'),
(3682,	'05c96079-9e5f-11e9-898c-005056b24375',	'Ставковое'),
(3683,	'f3857ea1-dae1-11e9-b48a-005056b24375',	'Ставрово'),
(3684,	'70982fd2-76fb-11e9-898c-005056b24375',	'Ставчани (Кицманский р-н.)'),
(3685,	'c99a291b-64ce-11e9-898c-005056b24375',	'Ставчаны (Хотинский р-н.)'),
(3686,	'a0e3a46b-883a-11e9-898c-005056b24375',	'Стадниця'),
(3687,	'ab8956da-399a-11e9-acea-005056b24375',	'Стайки'),
(3688,	'82ceb157-e5f0-11e9-b48a-005056b24375',	'Стальновцы'),
(3689,	'f7062338-4078-11de-b509-001d92f78698',	'Станица Луганская'),
(3690,	'8f1cb3f5-9e6c-11e9-898c-005056b24375',	'Станичное'),
(3691,	'31a778bb-e67c-11e9-b48a-005056b24375',	'Станишовка '),
(3692,	'2d6adb2e-b2d6-11e9-8c22-005056b24375',	'Становцы'),
(3693,	'ce5f3877-ada5-11e3-9fa0-0050568002cf',	'Станислав'),
(3694,	'354a1d4a-14fd-11e9-ad0d-005056b24375',	'Станиславчик'),
(3695,	'5906db33-20b8-11ea-b89e-0025b501a04b',	'Станковцы'),
(3696,	'ce575102-9e68-11e9-898c-005056b24375',	'Становая '),
(3697,	'6283e28b-c353-11e9-b0c5-005056b24375',	'Становое'),
(3698,	'3458156e-e692-11e9-b48a-005056b24375',	'Станционное'),
(3699,	'de02f3fa-cf47-11e9-b0c5-005056b24375',	'Станьковая'),
(3700,	'f7062366-4078-11de-b509-001d92f78698',	'Старая Выжевка'),
(3701,	'7f6a84e5-cf3e-11e9-b0c5-005056b24375',	'Старая Жадова'),
(3702,	'2142014e-b777-11e9-8c22-005056b24375',	'Старая Збурьевка'),
(3703,	'498a7290-4694-11ea-b89e-0025b501a04b',	'Старая Лешня'),
(3704,	'11d9468c-b7aa-11e9-8c22-005056b24375',	'Старая Некрасовка'),
(3705,	'06f8793a-4079-11de-b509-001d92f78698',	'Старая Синява'),
(3706,	'6f04e432-8859-11e9-898c-005056b24375',	'Старая Соль'),
(3707,	'f658d999-76f2-11e9-898c-005056b24375',	'Старое'),
(3708,	'8776522d-7302-11e9-898c-005056b24375',	'Старое село'),
(3709,	'41d8a635-f40c-11e9-91ff-0025b501a04b',	'Старое Село (Ровенская обл.)'),
(3710,	'97bc4b7e-e68e-11e9-b48a-005056b24375',	'Старый Вишневец'),
(3711,	'c99a2906-64ce-11e9-898c-005056b24375',	'Старый Волчинец'),
(3712,	'08d945d3-f414-11e9-91ff-0025b501a04b',	'Старый Корец'),
(3713,	'77bf4d23-e66e-11e9-b48a-005056b24375',	'Старый Кривин'),
(3714,	'5341f763-3ba7-11e7-80c8-005056887b8d',	'Старый Крым (Донецкая обл.)'),
(3715,	'a896906a-cf45-11e9-b0c5-005056b24375',	'Старый Лисец'),
(3716,	'a42b04c2-82cf-11e9-898c-005056b24375',	'Старый Мизунь'),
(3717,	'02febaed-0301-11e6-899e-005056887b8d',	'Старый Острополь'),
(3718,	'aba40419-76ec-11e9-898c-005056b24375',	'Старый Порицк'),
(3719,	'f65f218a-dab1-11e9-b48a-005056b24375',	'Старый Салтов'),
(3720,	'f7062380-4078-11de-b509-001d92f78698',	'Старый Самбор'),
(3721,	'822931fb-cf47-11e9-b0c5-005056b24375',	'Старый Угринов'),
(3722,	'b067704a-c341-11e9-b0c5-005056b24375',	'Старый Чарторийск'),
(3723,	'b7522a8f-cf2a-11e9-b0c5-005056b24375',	'Старый Яр'),
(3724,	'fb4974ef-8877-11e9-898c-005056b24375',	'Старые Бабаны'),
(3725,	'8aee9523-b796-11e9-8c22-005056b24375',	'Старые Безрадичи'),
(3726,	'9c106242-76fc-11e9-898c-005056b24375',	'Старые Бросковцы'),
(3727,	'183831d7-fef4-11e9-91ff-0025b501a04b',	'Старые Кодаки'),
(3728,	'8d1dfce9-e688-11e9-b48a-005056b24375',	'Старые Кривотулы'),
(3729,	'40461a32-9e5f-11e9-898c-005056b24375',	'Старые Маяки'),
(3730,	'3d10063b-b76e-11e9-8c22-005056b24375',	'Старые Петровцы'),
(3731,	'e3e66f5c-5f6d-11e9-898c-005056b24375',	'Старые Санжары'),
(3732,	'47876df4-c34d-11e9-b0c5-005056b24375',	'Старые Трояны'),
(3733,	'1f42722e-882a-11e9-898c-005056b24375',	'Староаврамовка'),
(3734,	'f706234a-4078-11de-b509-001d92f78698',	'Старобельск'),
(3735,	'9b2a13a9-7d70-11e9-898c-005056b24375',	'Староверовка'),
(3736,	'ed248926-086e-11e2-891f-d4ae527baec9',	'Старовойтово'),
(3737,	'c63fffcc-352f-11e5-add9-005056887b8d',	'Староказачье'),
(3738,	'db5c8982-391c-11dd-90d9-001a92567626',	'Староконстантинов'),
(3739,	'64e19745-175e-11e6-971e-005056887b8d',	'Старомлиновка'),
(3740,	'0205cfa6-0c9a-11ea-8c15-0025b502a06e',	'Старопетровка'),
(3741,	'a9458323-7d5d-11e9-898c-005056b24375',	'Староселье'),
(3742,	'ae36e94e-b793-11e9-8c22-005056b24375',	'Староселье (Иваничевский р-н)'),
(3743,	'f3fd05d9-9e54-11e9-898c-005056b24375',	'Староселье (Маневичский р-н., Волынская обл.)'),
(3744,	'bccc32a7-e67b-11e9-b48a-005056b24375',	'Старосельцы '),
(3745,	'ce505a5b-4f17-11ea-b89e-0025b501a04b',	'Старуня'),
(3746,	'ee776b0b-4698-11ea-b89e-0025b501a04b',	'Старява'),
(3747,	'3a8354c1-da69-11e3-8c4a-0050568002cf',	'Стаси'),
(3748,	'dc48c2c7-89be-11e4-acce-0050568002cf',	'Стеблев (Черкасская обл.)'),
(3749,	'b23da969-abc7-11e6-b5da-005056887b8d',	'Стеблёвка'),
(3750,	'2b5022e8-b783-11e9-8c22-005056b24375',	'Стебное'),
(3751,	'e8da2390-826e-11e3-b441-0050568002cf',	'Стебник'),
(3752,	'a6e309ee-64d1-11e9-898c-005056b24375',	'Степангород'),
(3753,	'6439d82b-9e5c-11e9-898c-005056b24375',	'Степанивка (Винницкая обл.)'),
(3754,	'f81cc520-6b27-11e5-8d8d-005056887b8d',	'Степановка (Сумская обл.)'),
(3755,	'217ce6e8-f426-11e9-91ff-0025b501a04b',	'Степановка Первая'),
(3756,	'4e2ca120-8878-11e9-898c-005056b24375',	'Степанки'),
(3757,	'd44c3aaa-495a-11e9-acea-005056b24375',	'Степанцы'),
(3758,	'7ca4516a-6418-11e4-acce-0050568002cf',	'Степань'),
(3759,	'3d8401e0-7360-11ea-a970-b8830365ade4',	'Степковка'),
(3760,	'50783f25-c986-11e5-8478-005056887b8d',	'Степное (Полтавская обл.)'),
(3761,	'74a521bb-f138-11e3-8c4a-0050568002cf',	'Степногорск'),
(3762,	'a856de5b-e67f-11e9-b48a-005056b24375',	'Степное (Днепропетровская обл.)'),
(3763,	'152a0a0b-c350-11e9-b0c5-005056b24375',	'Степовое (Кировоградская обл.)'),
(3764,	'71398dd9-e683-11e9-b48a-005056b24375',	'Степовое (Николаевский р-н., Николаевская обл.)'),
(3765,	'c8383fa8-b7a4-11e9-8c22-005056b24375',	'Степовое (Одесская обл.)'),
(3766,	'b89b491a-7d63-11e9-898c-005056b24375',	'Стерче'),
(3767,	'5df20345-dcfa-11e8-ad0d-005056b24375',	'Стецева'),
(3768,	'65b0d01f-b782-11e9-8c22-005056b24375',	'Стецовка'),
(3769,	'6f5e7490-b79f-11e9-8c22-005056b24375',	'Стецовка (Чигиринский р-н)'),
(3770,	'61b72f97-dc61-11e5-899e-005056887b8d',	'Стецковка'),
(3771,	'a35b176f-4f17-11ea-b89e-0025b501a04b',	'Стольско '),
(3772,	'326cd281-76f3-11e9-898c-005056b24375',	'Стовпяги'),
(3773,	'52b957e2-cfd9-11e9-b0c5-005056b24375',	'Стольное'),
(3774,	'e97c3c0d-65bf-11e9-898c-005056b24375',	'Стопчатов'),
(3775,	'2f74cb90-c870-11dd-88ed-001d92f78697',	'Сторожинец'),
(3776,	'ce36b5ac-1ccb-11e6-971e-005056887b8d',	'Сторожница(Ужгородский р-н)'),
(3777,	'92ca9fb1-dae6-11e9-b48a-005056b24375',	'Сторона '),
(3778,	'cb3f9fc0-897e-11e5-b6f7-005056887b8d',	'Стоянов (Львовская обл.)'),
(3779,	'717b7acf-8ceb-11e0-8f21-e1d3134d1b45',	'Стоянка'),
(3780,	'fc0f495b-176e-11e6-971e-005056887b8d',	'Страбичово'),
(3781,	'53f61246-76f6-11e9-898c-005056b24375',	'Страдч'),
(3782,	'00a122cf-f42a-11e9-91ff-0025b501a04b',	'Стратиевка'),
(3783,	'2846ea33-fed4-11e9-91ff-0025b501a04b',	'Страхолесье'),
(3784,	'd1eed7fc-e688-11e9-b48a-005056b24375',	'Стриганцы'),
(3785,	'df48bd59-7c23-11e3-b441-0050568002cf',	'Стрижавка'),
(3786,	'57e324bd-e7c9-11e3-8c4a-0050568002cf',	'Стрижевка (Коростышевский р-н, Житомирская обл.)'),
(3787,	'878aeeac-b7a1-11e9-8c22-005056b24375',	'Стрижевка (Любарский р-н, Житомирская обл.)'),
(3788,	'db5c8985-391c-11dd-90d9-001a92567626',	'Стрый'),
(3789,	'70982fe7-76fb-11e9-898c-005056b24375',	'Стрелецкий Кут'),
(3790,	'7f457a82-8869-11e9-898c-005056b24375',	'Стрелече'),
(3791,	'fe62f4cf-1b3d-11e5-add9-005056887b8d',	'Стрелки'),
(3792,	'd7892f88-76f6-11e9-898c-005056b24375',	'Стрелков'),
(3793,	'c107923d-76f9-11e9-898c-005056b24375',	'Стрелковое'),
(3794,	'c6775602-7387-11e8-9d95-005056b2fc3d',	'Стрелковичи'),
(3795,	'e627bebd-1b1e-11ea-8c15-0025b502a06e',	'Стрельбичи'),
(3796,	'08315478-b774-11e9-8c22-005056b24375',	'Стрельцовка'),
(3797,	'6095cfc8-a955-11e9-b73a-005056b24375',	'Строинцы (Винницкая обл.)'),
(3798,	'9f311a30-b790-11e9-8c22-005056b24375',	'Строинцы (Черновицкая обл.)'),
(3799,	'24cd080d-cf18-11e9-b0c5-005056b24375',	'Стройное (Свалявский р-н., Закарпатская обл.)'),
(3800,	'2b760b53-3607-11ea-b89e-0025b501a04b',	'Строкова'),
(3801,	'f44f7593-cf1d-11e9-b0c5-005056b24375',	'Струга'),
(3802,	'9f123288-3c30-11e5-add9-005056887b8d',	'Струмовка'),
(3803,	'adca41c6-fef5-11e9-91ff-0025b501a04b',	'Струмок'),
(3804,	'0bccb1c5-cf24-11e9-b0c5-005056b24375',	'Струпков'),
(3805,	'c4070a37-8867-11e9-898c-005056b24375',	'Струсов'),
(3806,	'b4792b96-7d6a-11e9-898c-005056b24375',	'Стрюково'),
(3807,	'6f0ac1df-9745-11e9-898c-005056b24375',	'Студенная'),
(3808,	'54b12122-23a8-11e9-ad0d-005056b24375',	'Студеники'),
(3809,	'c7091521-9283-11e9-898c-005056b24375',	'Студеница'),
(3810,	'd6f032f3-cf46-11e9-b0c5-005056b24375',	'Студинка'),
(3811,	'3e9086d9-6540-11ea-a970-b8830365ade4',	'Стульнево'),
(3812,	'c0301ffe-376e-11e5-add9-005056887b8d',	'Стуфчинцы'),
(3813,	'ebc0edac-93ec-11e3-b441-0050568002cf',	'Субботцы'),
(3814,	'df4d7b4e-b76f-11e9-8c22-005056b24375',	'Сувид'),
(3815,	'340a603c-ab75-11e8-ad0d-005056b24375',	'Суворово'),
(3816,	'12b0800f-f424-11e9-91ff-0025b501a04b',	'Сугаки'),
(3817,	'e0e44ca5-7fee-11ea-a970-b8830365ade4',	'Суданка'),
(3818,	'429b3403-d3ce-11e5-8478-005056887b8d',	'Судилков'),
(3819,	'a0122372-bfae-11e3-9fa0-0050568002cf',	'Судовая Вишня '),
(3820,	'0a153604-cf26-11e9-b0c5-005056b24375',	'Судче'),
(3821,	'c62758c7-fed3-11e9-91ff-0025b501a04b',	'Сукачи '),
(3822,	'87603d30-b7be-11e9-8c22-005056b24375',	'Сулимовка'),
(3823,	'5330c779-20b6-11ea-b89e-0025b501a04b',	'Сулимовка (Бориспольский р-н)'),
(3824,	'db5c88e5-391c-11dd-90d9-001a92567626',	'Сумы'),
(3825,	'71f40d91-76fa-11e9-898c-005056b24375',	'Сунки'),
(3826,	'f78c2e69-8836-11e9-898c-005056b24375',	'Супоевка'),
(3827,	'427d6931-9624-11e8-ad0d-005056b24375',	'Супруновка (Полтавская обл.)'),
(3828,	'335b76ae-cf4d-11e9-b0c5-005056b24375',	'Сураж'),
(3829,	'458595cf-62be-11e5-8d8d-005056887b8d',	'Сурско-Литовское'),
(3830,	'c5e40694-cf97-11e3-95eb-0050568046cd',	'Сутиски'),
(3831,	'3e92363f-cf1d-11e9-b0c5-005056b24375',	'Сутковцы'),
(3832,	'0a2aa3a5-76f7-11e9-898c-005056b24375',	'Сухая Балка'),
(3833,	'8f612310-6540-11ea-a970-b8830365ade4',	'Сухой'),
(3834,	'c87ae03a-a7a4-11e9-b73a-005056b24375',	'Сухой Лиман'),
(3835,	'982d76bd-735d-11ea-a970-b8830365ade4',	'Сухиновка '),
(3836,	'd9420b2b-64c9-11e9-898c-005056b24375',	'Суховерхов'),
(3837,	'5c66dfec-882e-11e9-898c-005056b24375',	'Суховоля'),
(3838,	'7cd4c0f9-feeb-11e9-91ff-0025b501a04b',	'Суховоля (Бродовский р-н.)'),
(3839,	'ad8a66ed-6546-11ea-a970-b8830365ade4',	'Суходол'),
(3840,	'95b3aa11-a7a3-11e9-b73a-005056b24375',	'Сухорабовка '),
(3841,	'c99a2930-64ce-11e9-898c-005056b24375',	'Сучевены'),
(3842,	'54c5c3c7-cf2b-11e9-b0c5-005056b24375',	'Сущаны'),
(3843,	'e8da2385-826e-11e3-b441-0050568002cf',	'Сходница'),
(3844,	'acf0f69f-fed7-11e9-91ff-0025b501a04b',	'Сюрте'),
(3845,	'44ffa6cd-9e3e-11e9-898c-005056b24375',	'Сядрино'),
(3846,	'b1eae641-dae3-11e9-b48a-005056b24375',	'Табаки'),
(3847,	'7a3215dc-8868-11e9-898c-005056b24375',	'Таволжанка'),
(3848,	'a3a04780-b7a7-11e9-8c22-005056b24375',	'Тавричанка'),
(3849,	'dfdc9dad-ace7-11dd-8b61-001d92f78697',	'Таврийск (Херсонская обл.)'),
(3850,	'845890de-1987-11e5-add9-005056887b8d',	'Таврийское (Голопристанский р-н)'),
(3851,	'efddfa60-884c-11e9-898c-005056b24375',	'Таврическое (Ореховский р-н)'),
(3852,	'08569626-f426-11e9-91ff-0025b501a04b',	'Таврическое (Акимовский р-н, Запорожская обл.)'),
(3853,	'4ead8b5b-76f0-11e9-898c-005056b24375',	'Таврия'),
(3854,	'31762dc2-8877-11e9-898c-005056b24375',	'Таганча'),
(3855,	'4777faaf-7405-11e5-8d8d-005056887b8d',	'Таирово'),
(3856,	'0fa1868e-a28f-11e7-8cf2-005056b2fc3d',	'Талаковка'),
(3857,	'6592c281-a95a-11e9-b73a-005056b24375',	'Талалаевка (Нежинский р-н. Черниговская обл.)'),
(3858,	'06f8799a-4079-11de-b509-001d92f78698',	'Талалаевка (Талалаевский р-н., Черниговская обл.)'),
(3859,	'06f87982-4079-11de-b509-001d92f78698',	'Тальное'),
(3860,	'621ed67c-e8bc-11e4-8a92-005056887b8d',	'Тальянки'),
(3861,	'05c808ba-daa9-11e9-b48a-005056b24375',	'Танское'),
(3862,	'e87e41b3-9e3e-11e9-898c-005056b24375',	'Танюшевка'),
(3863,	'e6fa51a5-8862-11e9-898c-005056b24375',	'Тараканов'),
(3864,	'59eaa8ac-e017-11e3-8c4a-0050568002cf',	'Тарановка'),
(3865,	'a6ae40f9-8f07-11e3-b441-0050568002cf',	'Тарасовка'),
(3866,	'7f1f3459-8836-11e9-898c-005056b24375',	'Тарасовка (Броварской р-н)'),
(3867,	'ac45542d-7d68-11e9-898c-005056b24375',	'Тарасовка (Винницкая обл.)'),
(3868,	'5b802204-dae0-11e9-b48a-005056b24375',	'Тарасовка (Киевская обл., Володарский р-н)'),
(3869,	'bcb12659-7d6b-11e9-898c-005056b24375',	'Тарасовка (Кировоградская обл.)'),
(3870,	'a21a13e3-cf4a-11e9-b0c5-005056b24375',	'Тарасовка (Полтавская обл.)'),
(3871,	'5d2250d7-6546-11ea-a970-b8830365ade4',	'Тарасовка (Тячевский р-н)'),
(3872,	'4f7fef06-dd4c-11e8-ad0d-005056b24375',	'Тарасовцы'),
(3873,	'4ab3180a-a7a3-11e9-b73a-005056b24375',	'Тарасово'),
(3874,	'fd7a9751-64ce-11e9-898c-005056b24375',	'Тарашаны'),
(3875,	'f7062308-4078-11de-b509-001d92f78698',	'Тараща'),
(3876,	'8dd837f2-b7a3-11e9-8c22-005056b24375',	'Тарган'),
(3877,	'47357dcc-c33a-11e9-b0c5-005056b24375',	'Тарнава'),
(3878,	'9c6351d3-9e56-11e9-898c-005056b24375',	'Тарновцы'),
(3879,	'a9527bd4-1ab0-11ea-8c15-0025b502a06e',	'Тарноруда'),
(3880,	'b298ce85-daaf-11e9-b48a-005056b24375',	'Тартаков'),
(3881,	'000655ec-4079-11de-b509-001d92f78698',	'Тарутино'),
(3882,	'000655ee-4079-11de-b509-001d92f78698',	'Татарбунары'),
(3883,	'27b5af3a-fee5-11e9-91ff-0025b501a04b',	'Татаров'),
(3884,	'1447f6a0-e5e7-11e9-b48a-005056b24375',	'Таужное'),
(3885,	'a55860ab-b2da-11e9-8c22-005056b24375',	'Ташань'),
(3886,	'66c0a2d5-e682-11e9-b48a-005056b24375',	'Ташлык'),
(3887,	'33f1ffb8-cf29-11e9-b0c5-005056b24375',	'Теково'),
(3888,	'def48e2d-b779-11e9-8c22-005056b24375',	'Текуча'),
(3889,	'ef619552-76f3-11e9-898c-005056b24375',	'Текучее'),
(3890,	'e21dfda4-b7b2-11e9-8c22-005056b24375',	'Телепино'),
(3891,	'fdddee35-b7a1-11e9-8c22-005056b24375',	'Телешовка'),
(3892,	'7a77529a-0c95-11ea-8c15-0025b502a06e',	'Темрюк'),
(3893,	'06f87944-4079-11de-b509-001d92f78698',	'Теофиполь'),
(3894,	'ca4b3ff5-cf1f-11e9-b0c5-005056b24375',	'Теперовка'),
(3895,	'69da417e-3f5d-11de-b509-001d92f78698',	'Теплик'),
(3896,	'443c8f1b-fed9-11e9-91ff-0025b501a04b',	'Теплица'),
(3897,	'da1d5f6b-e549-11e1-b22f-d4ae527baec9',	'Теплодар'),
(3898,	'b89b492f-7d63-11e9-898c-005056b24375',	'Тереблече'),
(3899,	'b2021384-b7b8-11e9-8c22-005056b24375',	'Теребля'),
(3900,	'e221d620-391c-11dd-90d9-001a92567626',	'Теребовля'),
(3901,	'44d3ccc1-82d1-11e9-898c-005056b24375',	'Терентиивка'),
(3902,	'6cb98fe5-fd59-11e5-899e-005056887b8d',	'Тересва'),
(3903,	'71f89d6e-e67b-11e9-b48a-005056b24375',	'Терешки (Винницкая обл.)'),
(3904,	'9ec5f830-be3b-11e3-9fa0-0050568002cf',	'Терешки (Полтавский р-н)'),
(3905,	'b298ceaf-daaf-11e9-b48a-005056b24375',	'Терешки (Черкасская обл.)'),
(3906,	'8e03718e-9294-11e9-898c-005056b24375',	'Тернавка'),
(3907,	'f48833e0-ba62-11e3-9fa0-0050568002cf',	'Терны'),
(3908,	'e221d621-391c-11dd-90d9-001a92567626',	'Терновка'),
(3909,	'f8c9de07-a7a2-11e9-b73a-005056b24375',	'Терновая'),
(3910,	'4ead8b31-76f0-11e9-898c-005056b24375',	'Терново'),
(3911,	'db5c8900-391c-11dd-90d9-001a92567626',	'Тернополь'),
(3912,	'efddfa4b-884c-11e9-898c-005056b24375',	'Терноватое'),
(3913,	'9caf98c4-3c2f-11e5-add9-005056887b8d',	'Терпенье'),
(3914,	'ffbfb155-b77b-11e9-8c22-005056b24375',	'Терсянка'),
(3915,	'fb47b143-0c96-11ea-8c15-0025b502a06e',	'Тершев'),
(3916,	'f35bfd21-b77e-11e9-8c22-005056b24375',	'Тетевчицы'),
(3917,	'50f12f35-cf2e-11e9-b0c5-005056b24375',	'Тетеревка'),
(3918,	'5bba5e5a-daa9-11e9-b48a-005056b24375',	'Тетеровка (Черкасская обл.)'),
(3919,	'f7062302-4078-11de-b509-001d92f78698',	'Тетиев'),
(3920,	'69da4157-3f5d-11de-b509-001d92f78698',	'Тывров'),
(3921,	'c19296e7-82cd-11e9-898c-005056b24375',	'Тимошовка'),
(3922,	'ac8e2d99-c34f-11e9-b0c5-005056b24375',	'Тимошовка (Черкасская обл.)'),
(3923,	'de8fd4ad-7d67-11e9-898c-005056b24375',	'Тимченки'),
(3924,	'bc1dc037-8832-11e9-898c-005056b24375',	'Тиница'),
(3925,	'88471a9e-650b-11e6-a9f2-005056887b8d',	'Тинное'),
(3926,	'456ccb99-82cf-11e9-898c-005056b24375',	'Тисов'),
(3927,	'f70622e8-4078-11de-b509-001d92f78698',	'Тысменица'),
(3928,	'a735bf93-b7ba-11e9-8c22-005056b24375',	'Тысменичаны'),
(3929,	'15619961-feeb-11e9-91ff-0025b501a04b',	'Тисобикень'),
(3930,	'e295e77c-76fb-11e9-898c-005056b24375',	'Тисовец'),
(3931,	'8b47cfcb-b77e-11e9-8c22-005056b24375',	'Тышица (Ровенская обл.)'),
(3932,	'c129b2aa-9942-11e3-b441-0050568002cf',	'Тишковка'),
(3933,	'f70622e6-4078-11de-b509-001d92f78698',	'Тлумач'),
(3934,	'6cbd8c02-5a19-11ea-a970-b8830365ade4',	'Тоболы'),
(3935,	'44ffa6e2-9e3e-11e9-898c-005056b24375',	'Толкачёвка'),
(3936,	'7c15a1c0-9e50-11e9-898c-005056b24375',	'Товмачик'),
(3937,	'8aeac472-0bfa-11e4-acce-0050568002cf',	'Толстое'),
(3938,	'24493869-7d6d-11e9-898c-005056b24375',	'Токари'),
(3939,	'b470c9f4-76f8-11e9-898c-005056b24375',	'Токари (Сумская обл.)'),
(3940,	'6283e2b5-c353-11e9-b0c5-005056b24375',	'Токаревка'),
(3941,	'088b92ad-5a16-11ea-a970-b8830365ade4',	'Токаревка (Херсонская обл.)'),
(3942,	'79f7bf8c-76ec-11e9-898c-005056b24375',	'Токовское'),
(3943,	'91214bc9-5d2c-11dd-b180-001d92f78698',	'Токмак'),
(3944,	'cfbeac9a-4063-11de-b509-001d92f78698',	'Томаковка'),
(3945,	'b8a340b4-aab7-11e3-9fa0-0050568002cf',	'Томашгород'),
(3946,	'932d9fff-cf1d-11e9-b0c5-005056b24375',	'Томашовка'),
(3947,	'bb95cd5f-e687-11e9-b48a-005056b24375',	'Томашовцы'),
(3948,	'69da4163-3f5d-11de-b509-001d92f78698',	'Томашполь'),
(3949,	'ef817dc9-f407-11e9-91ff-0025b501a04b',	'Томина Балка'),
(3950,	'324ce5b7-928e-11e9-898c-005056b24375',	'Топалы'),
(3951,	'f3fd05ee-9e54-11e9-898c-005056b24375',	'Топольне'),
(3952,	'faaade7c-e670-11e9-b48a-005056b24375',	'Топольница '),
(3953,	'c02a446b-a958-11e9-b73a-005056b24375',	'Тополевка'),
(3954,	'629ed740-0c9b-11ea-8c15-0025b502a06e',	'Тополя'),
(3955,	'd41195ab-4c94-11e9-acea-005056b24375',	'Топоры'),
(3956,	'370491a7-8831-11e9-898c-005056b24375',	'Топоровцы'),
(3957,	'068ea176-9e53-11e9-898c-005056b24375',	'Топоровцы (Черновецкая обл.)'),
(3958,	'de64db71-76f2-11e9-898c-005056b24375',	'Торговиця'),
(3959,	'faddd331-8854-11e9-898c-005056b24375',	'Торговица (Кировоградская обл.)'),
(3960,	'10975675-8a89-11e0-8140-969cd9edcd68',	'Торецк'),
(3961,	'2376ae90-e677-11e9-b48a-005056b24375',	'Торское'),
(3962,	'a92def6d-9e16-11e3-9fa0-0050568002cf',	'Торчин'),
(3963,	'5f81eedd-ff87-11e8-ad0d-005056b24375',	'Тошковка'),
(3964,	'538181aa-b7aa-11e9-8c22-005056b24375',	'Траповка'),
(3965,	'2f000c9b-05fd-11e5-8a92-005056887b8d',	'Требухов'),
(3966,	'e13d18e7-cf3a-11e9-b0c5-005056b24375',	'Треповка'),
(3967,	'6f0ac1f4-9745-11e9-898c-005056b24375',	'Трибусовка'),
(3968,	'0c33dfd6-5f6c-11e9-898c-005056b24375',	'Тридубы'),
(3969,	'af345e41-885b-11e9-898c-005056b24375',	'Трикраты'),
(3970,	'e8ad3cfa-6544-11ea-a970-b8830365ade4',	'Трилесы '),
(3971,	'd63af498-ffe5-11e5-899e-005056887b8d',	'Триполье (Киевская обл.)'),
(3972,	'4cc64f70-9e56-11e9-898c-005056b24375',	'Трительники'),
(3973,	'5a5435f9-1b1f-11ea-8c15-0025b502a06e',	'Тритузное'),
(3974,	'4d5b3fc5-cf40-11e9-b0c5-005056b24375',	'Трихаты'),
(3975,	'56cccad6-b792-11e9-8c22-005056b24375',	'Тройчатое'),
(3976,	'3d923206-76ee-11e9-898c-005056b24375',	'Троицкое'),
(3977,	'f7062344-4078-11de-b509-001d92f78698',	'Троицкое (Луганская обл.)'),
(3978,	'0d096b1d-b7b5-11e9-8c22-005056b24375',	'Троицкое (Николаевская обл.)'),
(3979,	'f38f1ed0-a53e-11e4-a77a-005056887b8d',	'Троицкое (Одес.обл, Беляевский р-н)'),
(3980,	'99a1976b-a2a6-11e3-9fa0-0050568002cf',	'Троицкое (Одесская обл.Любашовский р-н)'),
(3981,	'24858462-feed-11e9-91ff-0025b501a04b',	'Троицкое (Рокитновский р-н)'),
(3982,	'56cccac1-b792-11e9-8c22-005056b24375',	'Троицкое (Харьковская обл.)'),
(3983,	'0bc77c72-7d5f-11e9-898c-005056b24375',	'Троицко-Сафоново'),
(3984,	'544fedbc-cf23-11e9-b0c5-005056b24375',	'Троица'),
(3985,	'a692a4f1-65bf-11e9-898c-005056b24375',	'Троповое'),
(3987,	'c0455d19-6544-11ea-a970-b8830365ade4',	'Тростинская Новоселица'),
(3988,	'69da4178-3f5d-11de-b509-001d92f78698',	'Тростянец (Винницкая обл.)'),
(3989,	'0b8a3d6d-9745-11e9-898c-005056b24375',	'Тростянец (Волынская обл.)'),
(3990,	'198b361d-82d0-11e9-898c-005056b24375',	'Тростянец (Ивано-Франковская обл.)'),
(3991,	'd7f4984f-8850-11e9-898c-005056b24375',	'Тростянец (Снятинский р-н)'),
(3992,	'e221d625-391c-11dd-90d9-001a92567626',	'Тростянец (Сумская обл.)'),
(3993,	'fc3dde19-9745-11e9-898c-005056b24375',	'Тростянчик'),
(3994,	'd1fa6683-7d71-11e9-898c-005056b24375',	'Трояндовое'),
(3995,	'c4065c14-8853-11e9-898c-005056b24375',	'Троянка'),
(3996,	'288fe47e-7d5c-11e9-898c-005056b24375',	'Трудовое'),
(3997,	'a4cebe6d-cf1a-11e9-b0c5-005056b24375',	'Трудовое (Новониколаевский р-н)'),
(3998,	'6e7da37f-9286-11e9-898c-005056b24375',	'Трудовое (Токмацкий р-н)'),
(3999,	'cdccfd06-c354-11e9-b0c5-005056b24375',	'Трудолюб'),
(4000,	'e221d626-391c-11dd-90d9-001a92567626',	'Трускавец'),
(4001,	'cd74c3fa-cf42-11e9-b0c5-005056b24375',	'Труханов'),
(4002,	'0849fdce-c346-11e9-b0c5-005056b24375',	'Тубольцы'),
(4003,	'e6524d72-cf48-11e9-b0c5-005056b24375',	'Тужилов'),
(4004,	'69da4160-3f5d-11de-b509-001d92f78698',	'Тульчин'),
(4005,	'44ffa6f7-9e3e-11e9-898c-005056b24375',	'Тупичев'),
(4006,	'054d8542-884b-11e9-898c-005056b24375',	'Турьи Реметы'),
(4007,	'02dcc3ad-ba67-11e3-9fa0-0050568002cf',	'Турбов'),
(4008,	'bd023338-7d60-11e9-898c-005056b24375',	'Туринка'),
(4009,	'f706235e-4078-11de-b509-001d92f78698',	'Турийск'),
(4010,	'591feb94-7d5f-11e9-898c-005056b24375',	'Турия'),
(4011,	'f7062382-4078-11de-b509-001d92f78698',	'Турка'),
(4012,	'2d6adb44-b2d6-11e9-8c22-005056b24375',	'Турятка'),
(4013,	'4a1ce43a-9e6b-11e9-898c-005056b24375',	'Тустань'),
(4014,	'a376b6b3-7d6c-11e9-898c-005056b24375',	'Тухля'),
(4015,	'6f68b6d0-4dae-11e6-a9f2-005056887b8d',	'Тучин'),
(4016,	'9a15b68a-f413-11e9-91ff-0025b501a04b',	'Тхорин'),
(4017,	'b555727b-8835-11e9-898c-005056b24375',	'Тюдов'),
(4018,	'77d51f99-b773-11e9-8c22-005056b24375',	'Тютюнница'),
(4019,	'06931e99-095e-11e9-ad0d-005056b24375',	'Тягинка'),
(4020,	'1037a558-b7bc-11e9-8c22-005056b24375',	'Тязев'),
(4021,	'456ccb6f-82cf-11e9-898c-005056b24375',	'Тяпче'),
(4022,	'06f87900-4079-11de-b509-001d92f78698',	'Тячев'),
(4023,	'5ef8b499-0ce5-11ea-8c15-0025b502a06e',	'Тячевка'),
(4024,	'08da7bd7-fede-11e9-91ff-0025b501a04b',	'Увисла (Тернопольская обл.)'),
(4025,	'56c3caae-e685-11e9-b48a-005056b24375',	'Угерско'),
(4026,	'4ee2cc40-4024-11e5-8d8d-005056887b8d',	'Угля'),
(4027,	'1d7d3b04-12b1-11e6-971e-005056887b8d',	'Угорники'),
(4028,	'cb6e0657-b79b-11e9-8c22-005056b24375',	'Угры'),
(4029,	'594a19ef-b794-11e9-8c22-005056b24375',	'Угринов (Волынская обл.)'),
(4030,	'700f9986-4036-11e5-8d8d-005056887b8d',	'Угринов (Тысменицкий р-н., Ивано-Франк. обл.)'),
(4031,	'53980a77-e5e3-11e9-b48a-005056b24375',	'Угринь'),
(4032,	'7e0a2c55-8865-11e9-898c-005056b24375',	'Угроеды'),
(4033,	'ef702577-4696-11ea-b89e-0025b501a04b',	'Удачное'),
(4034,	'e221d627-391c-11dd-90d9-001a92567626',	'Ужгород'),
(4035,	'137e331a-9291-11e9-898c-005056b24375',	'Ужинец '),
(4036,	'c335d9eb-bf5e-11e1-bdef-0026b97ed48a',	'Узин'),
(4037,	'c335d9f1-bf5e-11e1-bdef-0026b97ed48a',	'Украинка'),
(4038,	'72947613-64d3-11e9-898c-005056b24375',	'Украинка (Криничанский р-н.)'),
(4039,	'864c4f44-928b-11e9-898c-005056b24375',	'Украинка (Николаевская обл.)'),
(4040,	'aa6ed829-7a07-11e4-acce-0050568002cf',	'Украинск (Донецкая обл.)'),
(4041,	'970b6fcb-cf24-11e9-b0c5-005056b24375',	'Украинское'),
(4042,	'f7a13aff-76eb-11e9-898c-005056b24375',	'Уладовка'),
(4043,	'e34990a5-23a7-11e9-ad0d-005056b24375',	'Улаклы (Великоновоселковский р-н)'),
(4044,	'02dcc395-ba67-11e3-9fa0-0050568002cf',	'Уланов'),
(4045,	'f78c2e3f-8836-11e9-898c-005056b24375',	'Уличное'),
(4046,	'1dd26614-e5e8-11e9-b48a-005056b24375',	'Ульвивок'),
(4047,	'801bb785-76f8-11e9-898c-005056b24375',	'Ульяновка'),
(4048,	'd9fac536-dae0-11e9-b48a-005056b24375',	'Ульяновка (Кировоградская обл.)'),
(4049,	'e221d62a-391c-11dd-90d9-001a92567626',	'Умань'),
(4050,	'9c209ad5-76f6-11e9-898c-005056b24375',	'Унятичи'),
(4051,	'42acd726-67db-11e8-9d95-005056b2fc3d',	'Урзуф'),
(4052,	'f5b618d1-8857-11e9-898c-005056b24375',	'Урож'),
(4053,	'600c1f97-8835-11e9-898c-005056b24375',	'Урожайное'),
(4054,	'67a54b9c-095d-11e9-ad0d-005056b24375',	'Усатово'),
(4055,	'5124c0c1-e67e-11e9-b48a-005056b24375',	'Усатово (поселок)'),
(4056,	'9f7223a6-b795-11e9-8c22-005056b24375',	'Усычи'),
(4057,	'f78c2e54-8836-11e9-898c-005056b24375',	'Усовка'),
(4058,	'968da37a-76f2-11e9-898c-005056b24375',	'Успеновка'),
(4059,	'3f7aa036-8865-11e9-898c-005056b24375',	'Успенка'),
(4060,	'853fa64b-c349-11e9-b0c5-005056b24375',	'Успенка (Кировоградская обл.)'),
(4061,	'bce8e31f-884d-11e9-898c-005056b24375',	'Устерики'),
(4062,	'a361a865-0eb6-11e5-add9-005056887b8d',	'Устивица'),
(4063,	'80fce617-d989-11e2-874c-d4ae527baec3',	'Устилуг'),
(4064,	'b36caac9-f412-11e9-91ff-0025b501a04b',	'Устимовка'),
(4065,	'f7062330-4078-11de-b509-001d92f78698',	'Устиновка'),
(4066,	'b8515ad2-f6dd-11e8-ad0d-005056b24375',	'Усть-Путила'),
(4067,	'b2e2bac2-4f17-11ea-b89e-0025b501a04b',	'Усть-Чорна'),
(4068,	'b467ba9c-9e50-11e9-898c-005056b24375',	'Устье'),
(4069,	'6006c593-0ce6-11ea-8c15-0025b502a06e',	'Устье (Винницкая обл.)'),
(4070,	'792b7516-9e53-11e9-898c-005056b24375',	'Утковка'),
(4071,	'06513a7c-ff8b-11e8-ad0d-005056b24375',	'Утконосовка'),
(4072,	'4049915e-65c0-11e9-898c-005056b24375',	'Уторопы'),
(4073,	'01a03bc9-0c9b-11ea-8c15-0025b502a06e',	'Ушкалка'),
(4074,	'bc2447a9-884a-11e9-898c-005056b24375',	'Фанчиково'),
(4075,	'87603d45-b7be-11e9-8c22-005056b24375',	'Фарбованое'),
(4076,	'e221d62b-391c-11dd-90d9-001a92567626',	'Фастов'),
(4077,	'040b9d75-f412-11e9-91ff-0025b501a04b',	'Фастовец'),
(4078,	'906b17ca-9e3e-11e9-898c-005056b24375',	'Фастовцы'),
(4079,	'19d9f9bc-9289-11e9-898c-005056b24375',	'Федиркы'),
(4080,	'4e4af1ca-0c95-11ea-8c15-0025b502a06e',	'Федоровка (Донецкая обл., Никольский р-н)'),
(4081,	'1b416382-b79e-11e9-8c22-005056b24375',	'Федоровка (Донецкая обл.)'),
(4082,	'6e7da340-9286-11e9-898c-005056b24375',	'Федоровка (Запорожская обл.)'),
(4083,	'bc1da4d6-2ad2-11e5-add9-005056887b8d',	'Федоровка (Полтавскаяобл.)'),
(4084,	'924e77d3-f429-11e9-91ff-0025b501a04b',	'Федунка'),
(4085,	'd4639172-fed3-11e9-91ff-0025b501a04b',	'Феневичи'),
(4086,	'533eb9f3-7d6c-11e9-898c-005056b24375',	'Феськи'),
(4087,	'3720028f-9e67-11e9-898c-005056b24375',	'Филенково'),
(4088,	'ee63f4ce-b7ba-11e9-8c22-005056b24375',	'Фитьков'),
(4089,	'e57694f2-14cb-11e5-add9-005056887b8d',	'Фонтанка'),
(4090,	'e86be019-e686-11e9-b48a-005056b24375',	'Форнош'),
(4091,	'd72552f3-5a15-11ea-a970-b8830365ade4',	'Фрузиновка'),
(4092,	'0e452624-3912-11e9-acea-005056b24375',	'Фруктовое'),
(4093,	'ad477a5d-cf3d-11e9-b0c5-005056b24375',	'Фурмановка'),
(4094,	'def48e03-b779-11e9-8c22-005056b24375',	'Фурманка'),
(4095,	'3c2b4bf8-ff8a-11e8-ad0d-005056b24375',	'Фурсы'),
(4096,	'bc1dc061-8832-11e9-898c-005056b24375',	'Халимоново'),
(4097,	'14b8eb20-0c99-11ea-8c15-0025b502a06e',	'Харитоновка'),
(4098,	'db5c88e0-391c-11dd-90d9-001a92567626',	'Харьков'),
(4099,	'a55860c1-b2da-11e9-8c22-005056b24375',	'Харковци'),
(4100,	'4bbebe91-310b-11e5-add9-005056887b8d',	'Хацки'),
(4101,	'05d49763-0c96-11ea-8c15-0025b502a06e',	'Хащев'),
(4102,	'9ee69ebc-76f4-11e9-898c-005056b24375',	'Хащеватое'),
(4103,	'1dd26629-e5e8-11e9-b48a-005056b24375',	'Хватов'),
(4104,	'4a08bb0f-5a19-11ea-a970-b8830365ade4',	'Хворостово'),
(4105,	'db5c88cc-391c-11dd-90d9-001a92567626',	'Херсон'),
(4106,	'56d25c24-7302-11e9-898c-005056b24375',	'Хиночи'),
(4107,	'66e45fac-34cc-11e3-b441-0050568002cf',	'Хыров'),
(4108,	'1ff1732e-b79d-11e9-8c22-005056b24375',	'Хлепча'),
(4109,	'a9458338-7d5d-11e9-898c-005056b24375',	'Хлыстуновка'),
(4110,	'dfae7662-a7a3-11e9-b73a-005056b24375',	'Хлебодаровка'),
(4111,	'ffac5dca-9317-11e9-898c-005056b24375',	'Хлебодарское'),
(4112,	'1f427204-882a-11e9-898c-005056b24375',	'Хлопяники'),
(4113,	'2f51324d-fede-11e9-91ff-0025b501a04b',	'Хлоповка (Тернопольская обл.)'),
(4114,	'2cea90cb-4691-11ea-b89e-0025b501a04b',	'Хмелевка'),
(4115,	'db5c88ac-391c-11dd-90d9-001a92567626',	'Хмельницкий'),
(4116,	'e3373ba0-12af-11e6-971e-005056887b8d',	'Хмелевое (Кировоградская обл.)'),
(4117,	'b61307bf-3f59-11de-b509-001d92f78698',	'Хмельник (Винницкая обл.)'),
(4118,	'9e8561b6-f1a0-11e1-a58d-d4ae527baec9',	'Ходоров'),
(4119,	'e7b04312-c15d-11e8-ad0d-005056b24375',	'Ходосовка'),
(4120,	'6331d068-a953-11e9-b73a-005056b24375',	'Холмец'),
(4121,	'f814569f-c338-11e9-b0c5-005056b24375',	'Холмы'),
(4122,	'4db87d11-fed8-11e9-91ff-0025b501a04b',	'Холмок'),
(4123,	'ce67ed85-9741-11e9-898c-005056b24375',	'Холмское'),
(4124,	'8f5a4c82-a087-11e8-ad0d-005056b24375',	'Холодная Балка'),
(4125,	'8b1597ce-b81e-11e9-8c22-005056b24375',	'Холоневичи'),
(4126,	'988aae7d-fee4-11e9-91ff-0025b501a04b',	'Хомяковка'),
(4127,	'69ca4edd-7d69-11e9-898c-005056b24375',	'Хомутец (Житомирская обл.)'),
(4128,	'0c33dfec-5f6c-11e9-898c-005056b24375',	'Хомутец (Полтавская обл.)'),
(4129,	'aa6ca8bb-9e5b-11e9-898c-005056b24375',	'Хоров'),
(4130,	'e221d63b-391c-11dd-90d9-001a92567626',	'Хорол'),
(4131,	'4400fabb-f9ba-11e2-874c-d4ae527baec3',	'Хоростков'),
(4132,	'498735f0-82cd-11e9-898c-005056b24375',	'Хорошее'),
(4133,	'40708e4f-e68d-11e9-b48a-005056b24375',	'Хорошево'),
(4134,	'69da41d5-3f5d-11de-b509-001d92f78698',	'Хорошев'),
(4135,	'12058c5b-02c2-11de-9570-001d92f78697',	'Хотин'),
(4136,	'c57957a9-73d8-11e9-898c-005056b24375',	'Хотин (Ровенская обл.)'),
(4137,	'905c11c4-13d6-11e4-acce-0050568002cf',	'Хотов'),
(4138,	'f65f219f-dab1-11e9-b48a-005056b24375',	'Хотомля'),
(4139,	'6187f6c2-95fd-11e6-a4c1-005056887b8d',	'Хотень'),
(4140,	'2c49f22d-39a1-11e9-acea-005056b24375',	'Хотяновка'),
(4141,	'f7b9b4ed-e67c-11e9-b48a-005056b24375',	'Хохитва'),
(4142,	'ea0537e1-399d-11e9-acea-005056b24375',	'Хоцки'),
(4143,	'd58f1d39-9293-11e9-898c-005056b24375',	'Крестителево'),
(4144,	'2a364e37-8841-11e9-898c-005056b24375',	'Крестище'),
(4145,	'48fa56fa-cf16-11e9-b0c5-005056b24375',	'Хрестовка'),
(4146,	'83187d8a-b771-11e9-8c22-005056b24375',	'Хриповка'),
(4147,	'20f42533-e68a-11e9-b48a-005056b24375',	'Хриплин'),
(4148,	'06f87946-4079-11de-b509-001d92f78698',	'Христиновка'),
(4149,	'6f7c1237-cfb4-11e9-b0c5-005056b24375',	'Христиновка (село)'),
(4150,	'1752a0be-76f8-11e9-898c-005056b24375',	'Хренники'),
(4151,	'a4ad36a3-b784-11e9-8c22-005056b24375',	'Хролы'),
(4152,	'4a60ca5f-9e41-11e9-898c-005056b24375',	'Худлево'),
(4153,	'3aaa7b03-64cd-11e9-898c-005056b24375',	'Худяки'),
(4154,	'e221d63c-391c-11dd-90d9-001a92567626',	'Хуст'),
(4155,	'1d7d85c4-b787-11e9-8c22-005056b24375',	'Хутор-Будилов'),
(4156,	'4e5552cb-9e61-11e9-898c-005056b24375',	'Хуторское'),
(4157,	'4e2ca0f6-8878-11e9-898c-005056b24375',	'Хутора'),
(4158,	'f25177ca-b7b7-11e9-8c22-005056b24375',	'Хухра'),
(4159,	'69da41a2-3f5d-11de-b509-001d92f78698',	'Царичанка'),
(4160,	'fe39238d-7d5d-11e9-898c-005056b24375',	'Цветково'),
(4161,	'5b547ce8-f410-11e9-91ff-0025b501a04b',	'Цветоха'),
(4162,	'44f6ea3b-cb56-11e5-8478-005056887b8d',	'Цебриково'),
(4163,	'03e3d0eb-b992-11e3-9fa0-0050568002cf',	'Цекиновка'),
(4164,	'e8a0621b-9e5c-11e9-898c-005056b24375',	'Центральное'),
(4165,	'5cd47c3d-9e65-11e9-898c-005056b24375',	'Центральное (Николаевская обл.)'),
(4166,	'600c1fac-8835-11e9-898c-005056b24375',	'Ценява'),
(4167,	'01ff34d8-f170-11e8-ad0d-005056b24375',	'Цепцевичи'),
(4168,	'e5f2d8ea-b7b9-11e9-8c22-005056b24375',	'Церковна'),
(4169,	'ea0537c6-399d-11e9-acea-005056b24375',	'Цибли'),
(4170,	'1dfda735-a7a4-11e9-b73a-005056b24375',	'Цибулеве'),
(4171,	'fdedf3cf-beff-11e3-9fa0-0050568002cf',	'Цибулев'),
(4172,	'23e9728c-e68e-11e9-b48a-005056b24375',	'Цибулевка'),
(4173,	'2a72a37c-dab6-11e9-b48a-005056b24375',	'Цир'),
(4174,	'eb0a19bd-bbf6-11e3-9fa0-0050568002cf',	'Циркуны'),
(4175,	'f11c46ac-8838-11e9-898c-005056b24375',	'Цинева'),
(4176,	'87c63a4e-9e60-11e9-898c-005056b24375',	'Цукуры'),
(4177,	'2959a2ba-6183-11e3-b441-0050568002cf',	'Цумань'),
(4178,	'827ebec6-4693-11ea-b89e-0025b501a04b',	'Цуповка'),
(4179,	'd4226296-c353-11e9-b0c5-005056b24375',	'Цуцилов'),
(4180,	'9e8561c7-f1a0-11e1-a58d-d4ae527baec9',	'Чабаны'),
(4181,	'643bd34c-e5ef-11e9-b48a-005056b24375',	'Чагор'),
(4182,	'b2dded6a-c3ac-11e3-9fa0-0050568002cf',	'Чайки'),
(4183,	'be3260a0-cfd9-11e9-b0c5-005056b24375',	'Чайкино'),
(4184,	'e4c95d50-7d61-11e9-898c-005056b24375',	'Чаньков'),
(4185,	'40535303-928f-11e9-898c-005056b24375',	'Чапаевка'),
(4186,	'c4c69055-b682-11e3-9fa0-0050568002cf',	'Чаплино'),
(4187,	'4e5552e0-9e61-11e9-898c-005056b24375',	'Чаплинка (Днепропетровская обл.)'),
(4188,	'06f87930-4079-11de-b509-001d92f78698',	'Чаплинка (Херсонская обл.)'),
(4189,	'4b9d7adb-0ce3-11ea-8c15-0025b502a06e',	'Чаплинка (Юрьевский р-н)'),
(4190,	'193d1e57-f40b-11e9-91ff-0025b501a04b',	'Чаривное'),
(4191,	'4d6e9204-cf26-11e9-b0c5-005056b24375',	'Чаруков'),
(4192,	'955e957a-d525-11e0-a0c3-b20c8c0df681',	'Часов Яр'),
(4193,	'a4502bed-577e-11de-b9fc-0021918b679a',	'Чемеровцы'),
(4194,	'e3e66f88-5f6d-11e9-898c-005056b24375',	'Чемужовка'),
(4195,	'33f1ffe2-cf29-11e9-b0c5-005056b24375',	'Чепа'),
(4196,	'b49d4506-8829-11e9-898c-005056b24375',	'Чепелевка'),
(4197,	'b2b50b5d-9fda-11e5-a023-005056887b8d',	'Червоная Каменка'),
(4198,	'a88bc67e-76f2-11e9-898c-005056b24375',	'Червоная Слобода (Киевская обл.)'),
(4199,	'0991e699-a7a5-11e9-b73a-005056b24375',	'Червоная Слобода (Сумская обл.)'),
(4200,	'c129b289-9942-11e3-b441-0050568002cf',	'Червоная Слобода (Черкасская обл.)'),
(4201,	'f328f920-3607-11ea-b89e-0025b501a04b',	'Червоная Хвыля'),
(4202,	'827f9e38-6c20-11e5-8d8d-005056887b8d',	'Червоное (Житомирская обл.)'),
(4203,	'9dae05a6-fed7-11e9-91ff-0025b501a04b',	'Червоное (Закарпатская обл.)'),
(4204,	'd92d753d-fee0-11e9-91ff-0025b501a04b',	'Червоное (Кировоградская обл.)'),
(4205,	'30b3cf79-4694-11ea-b89e-0025b501a04b',	'Червоное (Львовская обл.)'),
(4206,	'735776c5-c340-11e9-b0c5-005056b24375',	'Червоное Знамено'),
(4207,	'0991e6ae-a7a5-11e9-b73a-005056b24375',	'Червоное Озеро'),
(4208,	'5e790c6f-675d-11ea-a970-b8830365ade4',	'Красный Маяк'),
(4209,	'e221d63f-391c-11dd-90d9-001a92567626',	'Червоноград (Львовская обл.)'),
(4210,	'b4bccd3e-ff8b-11e8-ad0d-005056b24375',	'Червоногригоровка'),
(4211,	'e52d9a75-76f5-11e9-898c-005056b24375',	'Червонопоповка'),
(4212,	'fe727822-fef7-11e9-91ff-0025b501a04b',	'Черевки'),
(4213,	'4ab317e0-a7a3-11e9-b73a-005056b24375',	'Черемхов'),
(4214,	'370f8694-9e6d-11e9-898c-005056b24375',	'Черепашинцы'),
(4215,	'da754ec1-929a-11e9-898c-005056b24375',	'Черепин'),
(4216,	'ee39109d-a954-11e9-b73a-005056b24375',	'Черепин (Черкасская обл.)'),
(4217,	'b5ee754f-64ca-11e9-898c-005056b24375',	'Черепковцы'),
(4218,	'93a430e5-887a-11e9-898c-005056b24375',	'Череш'),
(4219,	'db5c8902-391c-11dd-90d9-001a92567626',	'Черкассы'),
(4220,	'f6237003-4db8-11e6-a9f2-005056887b8d',	'Черкасская Лозовая'),
(4221,	'a869ebff-d500-11e3-95eb-0050568046cd',	'Черкасское'),
(4222,	'40d741c6-8869-11e9-898c-005056b24375',	'Черкасские Тишки'),
(4223,	'9f311a1b-b790-11e9-8c22-005056b24375',	'Черленовка (Черновецкая обл.)'),
(4224,	'cb6e066c-b79b-11e9-8c22-005056b24375',	'Черляны'),
(4225,	'74b79ba6-5f6d-11e9-898c-005056b24375',	'Чермалык'),
(4226,	'e63f0d46-b787-11e9-8c22-005056b24375',	'Чернелица'),
(4227,	'906a4c82-9e4d-11e9-898c-005056b24375',	'Чернеловка'),
(4228,	'e7ea18c8-8864-11e9-898c-005056b24375',	'Чернеча Слобода'),
(4229,	'bf444677-882c-11e9-898c-005056b24375',	'Чернечий Яр '),
(4230,	'b5557251-8835-11e9-898c-005056b24375',	'Чернетчина'),
(4231,	'89aa54b5-cf3a-11e9-b0c5-005056b24375',	'Чернин'),
(4232,	'e221d642-391c-11dd-90d9-001a92567626',	'Черновцы'),
(4233,	'69da415a-3f5d-11de-b509-001d92f78698',	'Черновцы (Винницкая обл.)'),
(4234,	'db5c897c-391c-11dd-90d9-001a92567626',	'Чернигов'),
(4235,	'69da41f9-3f5d-11de-b509-001d92f78698',	'Черниговка'),
(4236,	'67b26074-a034-11e6-b5da-005056887b8d',	'Черниев'),
(4237,	'7d227e12-0ce3-11ea-8c15-0025b502a06e',	'Чернявщина'),
(4238,	'5a1df844-53f2-11e6-a9f2-005056887b8d',	'Чернятин (Жмеринский р-н)'),
(4239,	'69da41e7-3f5d-11de-b509-001d92f78698',	'Черняхов (Житомирская обл.)'),
(4240,	'0ad4d559-6547-11ea-a970-b8830365ade4',	'Черняховка'),
(4241,	'c14c09ce-c343-11e9-b0c5-005056b24375',	'Черхава'),
(4242,	'262f318d-daab-11e9-b48a-005056b24375',	'Черче'),
(4243,	'97bc4b69-e68e-11e9-b48a-005056b24375',	'Четвертиновка'),
(4244,	'369862f7-b795-11e9-8c22-005056b24375',	'Четвертня'),
(4245,	'7302f03b-7d6a-11e9-898c-005056b24375',	'Чечелево'),
(4246,	'40337c10-64cb-11e9-898c-005056b24375',	'Чечелиевка'),
(4247,	'69da4175-3f5d-11de-b509-001d92f78698',	'Чечельник'),
(4248,	'06f87976-4079-11de-b509-001d92f78698',	'Чигирин'),
(4249,	'de186511-feeb-11e9-91ff-0025b501a04b',	'Чижиков'),
(4250,	'658f59ff-9e59-11e9-898c-005056b24375',	'Чижовка'),
(4251,	'87886600-d9ec-11e4-8a92-005056887b8d',	'Чинадиево'),
(4252,	'9fcfd5f2-0ce6-11ea-8c15-0025b502a06e',	'Чистилов'),
(4253,	'53f61231-76f6-11e9-898c-005056b24375',	'Чишки'),
(4254,	'b9b59e84-cf14-11e9-b0c5-005056b24375',	'Чкалово (Запорожская обл.)'),
(4255,	'bf4e8215-2cf0-11e4-acce-0050568002cf',	'Чкалово (Новотроицкий р-н, Херсонская обл.)'),
(4256,	'8ec800a9-add9-11e3-9fa0-0050568002cf',	'Чкаловское'),
(4257,	'4d7ffc56-b7b8-11e9-8c22-005056b24375',	'Чомонин'),
(4258,	'6fd1191d-5adc-11e5-8d8d-005056887b8d',	'Чонгар(Херсонская обл.)'),
(4259,	'a4f77d1b-45fa-11df-a786-000c294065a1',	'Чоп'),
(4260,	'6fdbc7d7-9e5e-11e9-898c-005056b24375',	'Чорна'),
(4261,	'625236f3-6541-11ea-a970-b8830365ade4',	'Черная(Хмельницкая обл.)'),
(4262,	'3e74bac0-887b-11e9-898c-005056b24375',	'Черная Тиса'),
(4263,	'36218c7f-b780-11e9-8c22-005056b24375',	'Черниводы'),
(4264,	'2a72a391-dab6-11e9-b48a-005056b24375',	'Черныж'),
(4265,	'd6171f76-bc28-11e4-a77a-005056887b8d',	'Чорный Остров'),
(4266,	'262f31a2-daab-11e9-b48a-005056b24375',	'Чёрный Поток'),
(4267,	'f1c9029a-e66f-11e9-b48a-005056b24375',	'Черный Поток (Закарпатская обл.)'),
(4268,	'262f31b9-daab-11e9-b48a-005056b24375',	'Чёрные Ославы'),
(4269,	'14f57f30-c983-11e4-a77a-005056887b8d',	'Чорнобаевка'),
(4270,	'06f87970-4079-11de-b509-001d92f78698',	'Чернобай'),
(4271,	'eb08988b-8852-11e9-898c-005056b24375',	'Чорногородка'),
(4272,	'a4779b23-b7ab-11e9-8c22-005056b24375',	'Черногузы'),
(4273,	'd75e02c3-f425-11e9-91ff-0025b501a04b',	'Черноземное'),
(4274,	'8d1dfcfe-e688-11e9-b48a-005056b24375',	'Чернолозцы'),
(4275,	'fc3dddef-9745-11e9-898c-005056b24375',	'Черномин '),
(4276,	'db5c890b-391c-11dd-90d9-001a92567626',	'Черноморск'),
(4277,	'5124c097-e67e-11e9-b48a-005056b24375',	'Черноморское'),
(4278,	'08d062c0-e5e2-11e9-b48a-005056b24375',	'Черноморское (Голопристанский р-н)'),
(4279,	'03fde9dc-76f0-11e9-898c-005056b24375',	'Чернотисов'),
(4280,	'43913aba-9e44-11e9-898c-005056b24375',	'Чернотичи'),
(4281,	'e5dd3d21-3b29-11de-913b-001d92f78698',	'Чернухи (Полтавская обл.)'),
(4282,	'fa51177c-76fa-11e9-898c-005056b24375',	'Чернянка'),
(4283,	'e221d647-391c-11dd-90d9-001a92567626',	'Чортков'),
(4284,	'ab49a503-884e-11e9-898c-005056b24375',	'Чертовец'),
(4285,	'edd52e88-b795-11e9-8c22-005056b24375',	'Чубинское'),
(4286,	'e221d648-391c-11dd-90d9-001a92567626',	'Чугуев'),
(4287,	'c9825b43-11ac-11e4-acce-0050568002cf',	'Чудей'),
(4288,	'a69e9adb-b77d-11e9-8c22-005056b24375',	'Чудель'),
(4289,	'69da41c6-3f5d-11de-b509-001d92f78698',	'Чуднов'),
(4290,	'46d1ddcf-b7bb-11e9-8c22-005056b24375',	'Чукаловка'),
(4291,	'6f04e408-8859-11e9-898c-005056b24375',	'Чуква'),
(4292,	'79f7bf62-76ec-11e9-898c-005056b24375',	'Чуков'),
(4293,	'fd249301-887a-11e9-898c-005056b24375',	'Чулаковка'),
(4294,	'65552af8-76fc-11e9-898c-005056b24375',	'Чулатов'),
(4295,	'c805badc-f417-11e8-ad0d-005056b24375',	'Чумаки'),
(4296,	'1c6cbf6f-964c-11e9-898c-005056b24375',	'Чумакове'),
(4297,	'56646bff-cf44-11e9-b0c5-005056b24375',	'Чумалево'),
(4298,	'bcb12644-7d6b-11e9-898c-005056b24375',	'Чуньков'),
(4299,	'0fd87467-ba4b-11e8-ad0d-005056b24375',	'Чупаховка'),
(4300,	'7833e61a-3b51-11de-913b-001d92f78698',	'Чутово'),
(4301,	'da86c241-b797-11e9-8c22-005056b24375',	'Чухели'),
(4302,	'2926b318-8833-11e9-898c-005056b24375',	'Шаболинов'),
(4303,	'dd2ae777-feed-11e9-91ff-0025b501a04b',	'Шабельковка'),
(4304,	'6add2379-e6a8-11e5-899e-005056887b8d',	'Шабо'),
(4305,	'1f427219-882a-11e9-898c-005056b24375',	'Шаболтасовка'),
(4306,	'9c6351a9-9e56-11e9-898c-005056b24375',	'Шаланки'),
(4307,	'c960817b-cf41-11e9-b0c5-005056b24375',	'Шалыгино'),
(4308,	'1f74e9af-9e43-11e9-898c-005056b24375',	'Шамраево'),
(4309,	'b993ef19-dadd-11e9-b48a-005056b24375',	'Шамраевка'),
(4310,	'e8a06230-9e5c-11e9-898c-005056b24375',	'Шандра'),
(4311,	'5c6b402a-735e-11ea-a970-b8830365ade4',	'Шандриголово'),
(4312,	'6a7e5bc5-dadd-11e9-b48a-005056b24375',	'Шандровец'),
(4313,	'00ce7c50-dae4-11e9-b48a-005056b24375',	'Шаповаловка'),
(4314,	'69da415d-3f5d-11de-b509-001d92f78698',	'Шаргород (Винницкая обл.)'),
(4315,	'def48e18-b779-11e9-8c22-005056b24375',	'Шарин'),
(4316,	'533eb9c9-7d6c-11e9-898c-005056b24375',	'Шаровка'),
(4317,	'92d3f564-dab3-11e9-b48a-005056b24375',	'Шаровка (Валковский р-н)'),
(4318,	'dc3f450b-0c93-11ea-8c15-0025b502a06e',	'Шаровка (Хмельницкая обл.)'),
(4319,	'fdddee5f-b7a1-11e9-8c22-005056b24375',	'Шарки'),
(4320,	'cdafe6ad-dff6-11e3-8c4a-0050568002cf',	'Шаровечка'),
(4321,	'9b21a9aa-b1ae-11e8-ad0d-005056b24375',	'Шатава'),
(4322,	'1dfda70b-a7a4-11e9-b73a-005056b24375',	'Шахтерское'),
(4323,	'f7062362-4078-11de-b509-001d92f78698',	'Шацк'),
(4324,	'89ed8d8a-8c5d-11e5-b6f7-005056887b8d',	'Шаян'),
(4325,	'b89b4944-7d63-11e9-898c-005056b24375',	'Шебутинцы'),
(4326,	'54800be5-0c99-11ea-8c15-0025b502a06e',	'Шевченка (Запорожская обл.)'),
(4327,	'609333dc-dae2-11e9-b48a-005056b24375',	'Шевченковка'),
(4328,	'ffbfb16a-b77b-11e9-8c22-005056b24375',	'Шевченковское'),
(4329,	'b209ba3d-9742-11e9-898c-005056b24375',	'Шевченко (Донецкая обл.)'),
(4330,	'a42b04d7-82cf-11e9-898c-005056b24375',	'Шевченково (Ивано-Франковская обл.)'),
(4331,	'39e7d021-390a-11e9-acea-005056b24375',	'Шевченково (Киевская обл.)'),
(4332,	'b76f8916-aeb1-11e3-9fa0-0050568002cf',	'Шевченково (Килийский р-н)'),
(4333,	'9b21a993-b1ae-11e8-ad0d-005056b24375',	'Шевченково (Николаевска обл.)'),
(4334,	'2946061b-cf28-11e9-b0c5-005056b24375',	'Шевченково (Полтавская обл.)'),
(4335,	'06f87914-4079-11de-b509-001d92f78698',	'Шевченково (Харьковская обл.)'),
(4336,	'eea275cd-89fe-11e5-b6f7-005056887b8d',	'Шевченково (Черкаская обл.)'),
(4337,	'ead28a23-602b-11e4-acce-0050568002cf',	'Шегини'),
(4338,	'f5067717-9e55-11e9-898c-005056b24375',	'Шедиево'),
(4339,	'61decec4-a7a4-11e9-b73a-005056b24375',	'Шелехово'),
(4340,	'33717dc7-c355-11e9-b0c5-005056b24375',	'Шелудьковка'),
(4341,	'9e3668eb-ebfc-11e8-ad0d-005056b24375',	'Шелюги'),
(4343,	'e221d64b-391c-11dd-90d9-001a92567626',	'Шепетовка'),
(4344,	'd046ae49-884f-11e9-898c-005056b24375',	'Шешоры'),
(4345,	'9aa0e771-e691-11e9-b48a-005056b24375',	'Шибалин'),
(4346,	'cd79d1f3-9123-11e9-898c-005056b24375',	'Шибена'),
(4347,	'b7c4db24-daa6-11e9-b48a-005056b24375',	'Шибеное'),
(4348,	'6d6cb4c6-b791-11e9-8c22-005056b24375',	'Шиловцы'),
(4349,	'da5ede90-2625-11e5-add9-005056887b8d',	'Шипинцы'),
(4350,	'c3758a70-9e4e-11e9-898c-005056b24375',	'Шиповатое'),
(4351,	'e295e7a6-76fb-11e9-898c-005056b24375',	'Шировцы'),
(4352,	'7e96b275-f408-11e9-91ff-0025b501a04b',	'Широкая Балка'),
(4353,	'd59d251e-b785-11e9-8c22-005056b24375',	'Широкая Гребля'),
(4354,	'712fcf9e-e68b-11e9-b48a-005056b24375',	'Широкая Долина'),
(4355,	'4492f0d3-b79a-11e9-8c22-005056b24375',	'Широкое (Закарпатская обл.)'),
(4356,	'8ae45100-7d5e-11e9-898c-005056b24375',	'Широкое (Запорожский р-н. Запорожская обл)'),
(4357,	'f7062314-4078-11de-b509-001d92f78698',	'Широкое (Широковский р-н. Днепропетровская обл)'),
(4358,	'f11c7dbb-20b5-11ea-b89e-0025b501a04b',	'Широкое (Веселовский р-н., Запорожская обл.)'),
(4359,	'3ffe430e-7d6f-11e9-898c-005056b24375',	'Широколановка'),
(4360,	'000655f6-4079-11de-b509-001d92f78698',	'Ширяево'),
(4361,	'7833e614-3b51-11de-913b-001d92f78698',	'Шишаки'),
(4362,	'04a84c55-9e64-11e9-898c-005056b24375',	'Шишковци (Кицманский р-н., Черновицкая обл.)'),
(4363,	'596ca111-8879-11e9-898c-005056b24375',	'Шишковцы (Сокирянский р-н., Черновицкая обл.)'),
(4364,	'07dbb6a9-9eee-11e9-b790-005056b24375',	'Шклинь'),
(4365,	'c80340f9-dcfa-11e8-ad0d-005056b24375',	'Шкло'),
(4366,	'b1f9b929-0c98-11ea-8c15-0025b502a06e',	'Шкуратовка'),
(4368,	'e221d64c-391c-11dd-90d9-001a92567626',	'Шостка'),
(4369,	'5d935073-c346-11e9-b0c5-005056b24375',	'Шпанов'),
(4370,	'810ca9d5-e51f-11e1-b22f-d4ae527baec9',	'Шпиков'),
(4371,	'fba69948-fed3-11e9-91ff-0025b501a04b',	'Шпили'),
(4372,	'3a684d74-c180-11e8-ad0d-005056b24375',	'Шпитьки'),
(4373,	'06f87984-4079-11de-b509-001d92f78698',	'Шпола'),
(4374,	'e2260672-76fb-11e9-898c-005056b24375',	'Шрамковка'),
(4375,	'906a4c97-9e4d-11e9-898c-005056b24375',	'Шрубков'),
(4376,	'dcddd201-8865-11e9-898c-005056b24375',	'Штеповка'),
(4377,	'e4ad0889-f40e-11e9-91ff-0025b501a04b',	'Штунь'),
(4378,	'4f9ccec5-a956-11e9-b73a-005056b24375',	'Шубков'),
(4379,	'04a84c6a-9e64-11e9-898c-005056b24375',	'Шубранец'),
(4380,	'6bef189c-7d6b-11e9-898c-005056b24375',	'Шульговка'),
(4381,	'00065646-4079-11de-b509-001d92f78698',	'Шумск'),
(4382,	'2383775f-9e5d-11e9-898c-005056b24375',	'Шупики'),
(4383,	'3425bc36-adb8-11e3-9fa0-0050568002cf',	'Счастливое'),
(4384,	'6e7da355-9286-11e9-898c-005056b24375',	'Счастливое (Запорожская обл.)'),
(4385,	'34e962f2-fef6-11e9-91ff-0025b501a04b',	'Счастливое (Николаевская обл.)'),
(4386,	'22f322a4-b2d4-11e9-8c22-005056b24375',	'Счастливое (Херсонская обл.)'),
(4387,	'a7ea4a91-7d5c-11e9-898c-005056b24375',	'Счастливцево (Херсонская обл.)'),
(4388,	'e221d64d-391c-11dd-90d9-001a92567626',	'Счастье'),
(4389,	'1af29b0d-a7a6-11e9-b73a-005056b24375',	'Щербани'),
(4390,	'5c11f9ec-65c1-11e9-898c-005056b24375',	'Щербанка'),
(4391,	'6f4a77ed-9e5a-11e9-898c-005056b24375',	'Щербиновка'),
(4392,	'7ae5583e-c33d-11e9-b0c5-005056b24375',	'Щиборовка'),
(4393,	'1a36aef1-082f-11e4-acce-0050568002cf',	'Щирец'),
(4394,	'58355d33-9e63-11e9-898c-005056b24375',	'Юженец'),
(4395,	'e221d64e-391c-11dd-90d9-001a92567626',	'Южное'),
(4396,	'e221d650-391c-11dd-90d9-001a92567626',	'Южноукраинск'),
(4397,	'69da418a-3f5d-11de-b509-001d92f78698',	'Юрьевка (Днепропетровская обл.)'),
(4398,	'907f47f0-64d0-11e9-898c-005056b24375',	'Юрьевка (Донецкая обл.)'),
(4399,	'b226082f-cee3-11e9-b0c5-005056b24375',	'Юровка (Киевская обл.)'),
(4400,	'de64db5c-76f2-11e9-898c-005056b24375',	'Юрковка'),
(4401,	'357e7be4-76fa-11e9-898c-005056b24375',	'Юрковка (Черкасская обл.)'),
(4402,	'5265f8f2-8834-11e9-898c-005056b24375',	'Юхимовка'),
(4403,	'08bd76bc-76fa-11e9-898c-005056b24375',	'Юхимовцы'),
(4404,	'9f2dd421-76fc-11e9-898c-005056b24375',	'Юхново'),
(4405,	'7a377347-b7a2-11e9-8c22-005056b24375',	'Юшков Рог'),
(4406,	'964731b6-76ef-11e9-898c-005056b24375',	'Яблонец'),
(4407,	'544fed92-cf23-11e9-b0c5-005056b24375',	'Яблоница'),
(4408,	'b493e00a-e985-11e4-8a92-005056887b8d',	'Яблонов'),
(4409,	'849eb447-64cb-11e9-898c-005056b24375',	'Яблуневка'),
(4410,	'38ad3418-8853-11e9-898c-005056b24375',	'Яблоновка (Киевская обл.)'),
(4411,	'c4070a22-8867-11e9-898c-005056b24375',	'Яблоновка (Тернопольская обл.)'),
(4412,	'67808201-9293-11e9-898c-005056b24375',	'Яблоновка (Черкасская обл.)'),
(4413,	'59e1fc64-7ff0-11ea-a970-b8830365ade4',	'Яблунное'),
(4414,	'1ec11a60-e689-11e9-b48a-005056b24375',	'Яблонька'),
(4415,	'4d5b3fb0-cf40-11e9-b0c5-005056b24375',	'Явкино'),
(4416,	'6a7e5bda-dadd-11e9-b48a-005056b24375',	'Явора'),
(4417,	'f706237a-4078-11de-b509-001d92f78698',	'Яворов'),
(4418,	'e5f2d8ff-b7b9-11e9-8c22-005056b24375',	'Яворов (Долинский р-н, Ивано-Франковская обл.)'),
(4419,	'78ed4a65-b78a-11e9-8c22-005056b24375',	'Яворов (Косовский р-н., Ивано-Франковская обл.)'),
(4420,	'125bf9fd-dadf-11e9-b48a-005056b24375',	'Ягельниця'),
(4421,	'f70622fa-4078-11de-b509-001d92f78698',	'Яготин'),
(4422,	'cfbeaca8-4063-11de-b509-001d92f78698',	'Акимовка (Запорожская обл.)'),
(4423,	'a04410c3-65c1-11e9-898c-005056b24375',	'Якимовка (Оратовский р-н)'),
(4424,	'85c0a379-c4a9-11e9-b0c5-005056b24375',	'Яковенково'),
(4425,	'a6e309c4-64d1-11e9-898c-005056b24375',	'Яковлевка'),
(4426,	'344f8fe8-e676-11e9-b48a-005056b24375',	'Яковлевка (Донецкая обл.)'),
(4427,	'e5f2d8d6-b7b9-11e9-8c22-005056b24375',	'Якубов'),
(4428,	'c2ac48ea-96cd-11e6-a4c1-005056887b8d',	'Якушинци'),
(4430,	'867bd3ec-ea80-11e5-899e-005056887b8d',	'Ялта (Донецкая обл.)'),
(4431,	'f7a13b29-76eb-11e9-898c-005056b24375',	'Ялтушков'),
(4432,	'a3e2f698-9743-11e9-898c-005056b24375',	'Ямное'),
(4433,	'401e94a2-cf45-11e9-b0c5-005056b24375',	'Ямница'),
(4434,	'69da416c-3f5d-11de-b509-001d92f78698',	'Ямполь (Винницкая обл.)'),
(4435,	'09e93fe1-fe15-11e8-ad0d-005056b24375',	'Ямполь (Донецкая обл.)'),
(4436,	'b993eef3-dadd-11e9-b48a-005056b24375',	'Ямполь (Львовская обл.)'),
(4437,	'00065644-4079-11de-b509-001d92f78698',	'Ямполь (Сумская обл.)'),
(4438,	'25cc0752-ba57-11e3-9fa0-0050568002cf',	'Ямполь (Хмельницкая обл.)'),
(4439,	'a2171938-928c-11e9-898c-005056b24375',	'Янишевка'),
(4440,	'96b8d78c-be42-11e3-9fa0-0050568002cf',	'Яноши'),
(4441,	'161830be-eb29-11e3-8c4a-0050568002cf',	'Яремче'),
(4442,	'0703bdb2-05d4-11e4-acce-0050568002cf',	'Яреськи'),
(4443,	'fb9056d0-7d6f-11e9-898c-005056b24375',	'Ярешки'),
(4444,	'4b21d03e-7ff0-11ea-a970-b8830365ade4',	'Яриновка (Березновский р-н)'),
(4445,	'a692a507-65bf-11e9-898c-005056b24375',	'Ярышев'),
(4446,	'8e764bee-b7a0-11e9-8c22-005056b24375',	'Ярышевка'),
(4447,	'a4502be8-577e-11de-b9fc-0021918b679a',	'Ярмолинцы'),
(4448,	'2376ae7b-e677-11e9-b48a-005056b24375',	'Яровая'),
(4449,	'bdf6d326-1aae-11ea-8c15-0025b502a06e',	'Яровое'),
(4450,	'0d096b5c-b7b5-11e9-8c22-005056b24375',	'Ярославец'),
(4451,	'e4c95d65-7d61-11e9-898c-005056b24375',	'Ярославка'),
(4452,	'a07bf62b-b783-11e9-8c22-005056b24375',	'Ярошовка'),
(4453,	'1598434e-0c96-11ea-8c15-0025b502a06e',	'Ясеница-Замковая'),
(4454,	'cd74c424-cf42-11e9-b0c5-005056b24375',	'Ясеница-Сольная'),
(4455,	'bd99e54e-f411-11e9-91ff-0025b501a04b',	'Ясенов'),
(4456,	'2a302777-bf83-11e5-8478-005056887b8d',	'Ясенов-Польный'),
(4457,	'35b67b9b-b7a3-11e9-8c22-005056b24375',	'Ясеновка'),
(4458,	'bd02334d-7d60-11e9-898c-005056b24375',	'Ясеновцы'),
(4459,	'b1143f07-885e-11e9-898c-005056b24375',	'Ясеново Второе'),
(4460,	'9c7205e9-3608-11ea-b89e-0025b501a04b',	'Ясеновец'),
(4461,	'1dd83ee0-8850-11e9-898c-005056b24375',	'Ясень'),
(4462,	'b31c0238-9e5d-11e9-898c-005056b24375',	'Ясинуватка'),
(4463,	'7110b9c1-92f3-11e2-a57a-d4ae527baec3',	'Ясиня'),
(4464,	'd2624241-0c92-11ea-8c15-0025b502a06e',	'Ясная Поляна'),
(4465,	'e5b12551-e5de-11e9-b48a-005056b24375',	'Ясное'),
(4466,	'8c81a3fc-b79b-11e9-8c22-005056b24375',	'Ясниска'),
(4467,	'8ec32ff0-ff89-11e8-ad0d-005056b24375',	'Ясногорка'),
(4468,	'4aa2b998-1988-11e5-add9-005056887b8d',	'Яснозорье'),
(4469,	'02f61f53-c34d-11e9-b0c5-005056b24375',	'Яски'),
(4470,	'022e486c-6545-11ea-a970-b8830365ade4',	'Яхны'),
(4471,	'5031a565-dae7-11e9-b48a-005056b24375',	'Яхники'),
(4472,	'af4a63a9-7301-11e9-898c-005056b24375',	'Яцкивка'),
(4473,	'f0b6fb17-cf1c-11e9-b0c5-005056b24375',	'Яцковичи (Ровенская обл.)'),
(4476,	'05a20b23-735f-11ea-a970-b8830365ade4',	'Страшевичи'),
(4477,	'07eb5fe0-6544-11ea-a970-b8830365ade4',	'Великие Дмитровичи'),
(4478,	'4693c30e-6541-11ea-a970-b8830365ade4',	'Волосское'),
(4479,	'178ba6a8-f40e-11e9-91ff-0025b501a04b',	'Городница (Ивано-Франковская обл.)'),
(4480,	'73eb44f9-896d-11ea-a970-b8830365ade4',	'Давыдовцы'),
(4481,	'911f3756-6544-11ea-a970-b8830365ade4',	'Дашковка'),
(4482,	'3a38d844-4f17-11ea-b89e-0025b501a04b',	'Дольск'),
(4483,	'1ec11a36-e689-11e9-b48a-005056b24375',	'Драгомирчаны'),
(4484,	'235069b6-896b-11ea-a970-b8830365ade4',	'Зубани'),
(4485,	'e008d94f-7d6c-11e9-898c-005056b24375',	'Калиновка'),
(4486,	'33c77f81-735d-11ea-a970-b8830365ade4',	'Козиевка'),
(4487,	'52cf3f37-6540-11ea-a970-b8830365ade4',	'Копани'),
(4488,	'f8dc69c1-6542-11ea-a970-b8830365ade4',	'Лагодинцы'),
(4489,	'9c807337-5a19-11ea-a970-b8830365ade4',	'Мякоты'),
(4490,	'4fdfe4c3-4f16-11ea-b89e-0025b501a04b',	'Молодежное (Запорожская обл.)'),
(4491,	'1b6a490c-896c-11ea-a970-b8830365ade4',	'Новое Мисто (Львовская обл.)'),
(4492,	'3a982227-76ef-11e9-898c-005056b24375',	'Новоянисоль'),
(4493,	'1058be24-76eb-11e9-898c-005056b24375',	'Павловка (Волынская обл.)'),
(4494,	'ae14ae46-b77a-11e9-8c22-005056b24375',	'Паланка'),
(4495,	'3e8748de-dab2-11e9-b48a-005056b24375',	'Первомайское (Днепропетровская обл.)'),
(4496,	'6767f2b7-896d-11ea-a970-b8830365ade4',	'Плоская'),
(4497,	'6d374690-64d2-11e9-898c-005056b24375',	'Преслав'),
(4498,	'c99e5c7f-6543-11ea-a970-b8830365ade4',	'Радехов (Любомльский р-н)'),
(4499,	'38b9ad00-896b-11ea-a970-b8830365ade4',	'Ракита  (Полтавская обл.)'),
(4500,	'542dfabc-6541-11ea-a970-b8830365ade4',	'Сахновцы'),
(4501,	'ab49a52d-884e-11e9-898c-005056b24375',	'Семаковцы'),
(4502,	'03db42b6-884f-11e9-898c-005056b24375',	'Серафинцы'),
(4503,	'2d9edc06-8969-11ea-a970-b8830365ade4',	'Сереховичи'),
(4504,	'37cdbb97-7fea-11ea-a970-b8830365ade4',	'Сосновка (Киевская обл.)'),
(4505,	'3e8748c9-dab2-11e9-b48a-005056b24375',	'Тышковцы'),
(4506,	'8af99468-3c2c-11ea-b89e-0025b501a04b',	'Топиловка'),
(4507,	'16b59463-4f17-11ea-b89e-0025b501a04b',	'Туличев'),
(4508,	'f1f4dcec-8966-11ea-a970-b8830365ade4',	'Успенівка (Одеська обл.)'),
(4509,	'ee30b448-cf24-11e9-b0c5-005056b24375',	'Цурень');

DROP TABLE IF EXISTS `ok_okaycms__np_cost_delivery_data`;
CREATE TABLE `ok_okaycms__np_cost_delivery_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `city_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `warehouse_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `delivery_term` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `redelivery` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `ok_okaycms__np_warehouses`;
CREATE TABLE `ok_okaycms__np_warehouses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city_ref` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `city_ref` (`city_ref`),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_okaycms__np_warehouses` (`id`, `ref`, `city_ref`, `name`) VALUES
(1,	'e68be3b9-ca66-11e9-b0c5-005056b24375',	'5f732140-8837-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Андрея Бобырь, 13'),
(2,	'230b68fb-981a-11e9-898c-005056b24375',	'3ade9b27-964b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 5А'),
(3,	'03e49b5a-8159-11e9-898c-005056b24375',	'0a2aa37b-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12/1'),
(4,	'39931b80-e1c2-11e3-8c4a-0050568002cf',	'20982d74-9b6c-11e2-a57a-d4ae527baec3',	'Отделение №1: ул. М. Грушевского, 3'),
(5,	'8b338725-6816-11e9-898c-005056b24375',	'e97c3c0d-65bf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78а'),
(6,	'b8b73ce1-11b4-11ea-9295-005056b24375',	'5b547ce8-f410-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(7,	'5a39e5aa-e1c2-11e3-8c4a-0050568002cf',	'000655d6-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Суворова, 62'),
(8,	'5a6fd9c7-b37c-11e9-8c22-005056b24375',	'22f322bc-b2d4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Луференко, 13-А'),
(9,	'1d1a49f3-f802-11e9-9c59-005056b24375',	'93dae164-f406-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(10,	'008d0603-2639-11e5-add9-005056887b8d',	'93bfc431-2638-11e5-add9-005056887b8d',	'Отделение № 1: ул. Театральная, 19'),
(11,	'531dd90a-813b-11e9-898c-005056b24375',	'f88729d9-76ee-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(12,	'9ae744c0-5d53-11e9-a703-005056b24375',	'02e8c260-5cf7-11e9-a703-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13'),
(13,	'edb01446-b8f8-11e9-8c22-005056b24375',	'f3fd0603-9e54-11e9-898c-005056b24375',	'Отделение №1: ул. Гетмана Ивана Сулимы, 81а'),
(14,	'60070989-f646-11e9-9c59-005056b24375',	'af98b7ae-f40c-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 122а'),
(15,	'fdb4e3be-936b-11e9-898c-005056b24375',	'48934d6f-884d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Северный, 1'),
(16,	'd5ad4b6d-caaa-11e9-b0c5-005056b24375',	'152a0a20-c350-11e9-b0c5-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Центральная, 42'),
(17,	'b52d2709-8208-11e9-898c-005056b24375',	'20796a99-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Молодежная, 5'),
(18,	'3a45a90f-fa7a-11e9-9c59-005056b24375',	'44314930-e67f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Китайгородская, 1'),
(19,	'511fcfe4-e1c2-11e3-8c4a-0050568002cf',	'0db17b16-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Ярослава Мудрого, 24'),
(20,	'd0044cab-b2e1-11e9-8c22-005056b24375',	'6f4a77d8-9e5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 7'),
(21,	'165230f3-cb3c-11e9-b0c5-005056b24375',	'8986ec95-76f9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 89'),
(22,	'6c92def8-11f9-11ea-9295-005056b24375',	'b1eae62c-dae3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тарутинская, 20'),
(23,	'941aeb21-fbe7-11e9-9c59-005056b24375',	'72311a28-9e58-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(24,	'35976fe7-ca8a-11e9-b0c5-005056b24375',	'b0677074-c341-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 21Б'),
(25,	'29aa4cbc-4757-11ea-9b37-0025b502a04e',	'c65bccbb-4691-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 9'),
(26,	'48c24917-ae05-11e9-8c22-005056b24375',	'dfae764b-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Георгия Кирпы, 98а'),
(27,	'362400ae-ebee-11e9-b850-005056b24375',	'2142014e-b777-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 4'),
(28,	'abcb622c-2319-11ea-ba4d-005056b24375',	'b636130a-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 40Б'),
(29,	'6d7e38ce-e21b-11e9-b48a-005056b24375',	'8f5a002d-dab2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(30,	'6d5a4aa3-f804-11e9-9c59-005056b24375',	'5e320ac2-e5e6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 12'),
(31,	'c8bf80f9-fca2-11e9-9c59-005056b24375',	'3a98223c-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чехова, 1'),
(32,	'01c9e8ea-6c20-11e5-8d8d-005056887b8d',	'01c9e8d7-6c20-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Леси Украинки, 2'),
(33,	'e79b1f93-91a6-11e9-898c-005056b24375',	'e7cb97d4-76f9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Столбовая, 2'),
(34,	'641fdcab-7c81-11e9-898c-005056b24375',	'56d25c24-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21/А'),
(35,	'd81893bc-7fdb-11e9-898c-005056b24375',	'a9d0ec8c-76f5-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Мира, 74'),
(36,	'449a5c96-91dd-11e9-898c-005056b24375',	'bce8e2f5-884d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кобринской, 3'),
(37,	'531dd925-813b-11e9-898c-005056b24375',	'f88729c3-76ee-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбкина, 59а'),
(38,	'3de7abee-bad2-11e9-8c22-005056b24375',	'40461a5c-9e5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(39,	'47402e83-e1c2-11e3-8c4a-0050568002cf',	'db5c894c-391c-11dd-90d9-001a92567626',	'Отделение: ул. Гоголя, 4'),
(40,	'f697d569-f8e4-11e9-9c59-005056b24375',	'2edb3906-f414-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 46'),
(41,	'3f263b88-1e7d-11ea-ac3b-0025b502a04e',	'b749ad7a-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Великая Лутовецкая, 178'),
(42,	'38c47dfe-8020-11e9-898c-005056b24375',	'cc87c980-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. А.Горбаня, 53'),
(43,	'832d4da0-74cd-11e9-898c-005056b24375',	'c57957c0-73d8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Андреевская, 70а'),
(44,	'336de1d7-e1c2-11e3-8c4a-0050568002cf',	'02dcc395-ba67-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Соборная, 34'),
(45,	'336de1d8-e1c2-11e3-8c4a-0050568002cf',	'02dcc3a1-ba67-11e3-9fa0-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1Д'),
(46,	'336de1d9-e1c2-11e3-8c4a-0050568002cf',	'02dcc3ad-ba67-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Маяковского, 8'),
(47,	'39931b66-e1c2-11e3-8c4a-0050568002cf',	'7833e624-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Центральная, 76'),
(48,	'39931b67-e1c2-11e3-8c4a-0050568002cf',	'f7062386-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Мицкевича, 9'),
(49,	'16922854-e1c2-11e3-8c4a-0050568002cf',	'db5c88f7-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Космонавтов, 50'),
(50,	'16922855-e1c2-11e3-8c4a-0050568002cf',	'db5c895c-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Шатохина, 3-а'),
(51,	'02febb04-0301-11e6-899e-005056887b8d',	'02febaed-0301-11e6-899e-005056887b8d',	'Отделение №1: ул. Центральная, 1/4'),
(52,	'e1934e4c-fbbf-11e9-9c59-005056b24375',	'8ae45115-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13Б'),
(53,	'31ed22ae-b203-11e9-8c22-005056b24375',	'd2764a9f-9e4d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 110'),
(54,	'ffe2d838-e413-11e9-b48a-005056b24375',	'11fa7f89-dae6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 41'),
(55,	'cac0bbab-2325-11ea-ba4d-005056b24375',	'46388d4d-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 25а'),
(56,	'ab3d509a-0ec3-11ea-9295-005056b24375',	'12b0800f-f424-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Кифоруков, 36'),
(57,	'898b9c05-2305-11ea-8ac1-0025b502a04e',	'1041022a-20b5-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(58,	'a3100b64-ca63-11e9-b0c5-005056b24375',	'93358750-c33f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 10/1'),
(59,	'3a36179d-1a70-11e9-ad0d-005056b24375',	'23741bef-14e4-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 88'),
(60,	'0392e721-454b-11e4-acce-0050568002cf',	'0392e712-454b-11e4-acce-0050568002cf',	'Отделение № 1: ул. Мира, 20'),
(61,	'24fa7fc7-5c6b-11ea-b3f9-b8830365bd14',	'088b92ad-5a16-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 1'),
(62,	'039999f9-0b84-11e5-8a92-005056887b8d',	'039999e6-0b84-11e5-8a92-005056887b8d',	'Отделение № 1: ул. Монастырская, 11а'),
(63,	'6ec2478e-5555-11e9-acea-005056b24375',	'd41195ab-4c94-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4'),
(64,	'fd99979b-ba9c-11e9-8c22-005056b24375',	'4d84c027-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 21'),
(65,	'03d352f6-47b8-11e4-acce-0050568002cf',	'03d352e4-47b8-11e4-acce-0050568002cf',	'Отделение №1: ул. Интернациональная, 20а'),
(66,	'39931b61-e1c2-11e3-8c4a-0050568002cf',	'dfdc9db3-ace7-11dd-8b61-001d92f78697',	'Отделение № 1: ул. Патриса Лумумбы, 116/1'),
(67,	'336de1d0-e1c2-11e3-8c4a-0050568002cf',	'03e3d0c7-b992-11e3-9fa0-0050568002cf',	'Отделение №1 (до 30 кг): ул. Независимости, 3'),
(68,	'336de1d1-e1c2-11e3-8c4a-0050568002cf',	'03e3d0d3-b992-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Ленина, 23'),
(69,	'336de1d2-e1c2-11e3-8c4a-0050568002cf',	'03e3d0df-b992-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Смавзюка, 34'),
(70,	'336de1d3-e1c2-11e3-8c4a-0050568002cf',	'03e3d0eb-b992-11e3-9fa0-0050568002cf',	'Отделение №1: ул. 50-летия Октября, 5'),
(71,	'8cc66767-fa3d-11e9-9c59-005056b24375',	'2a364e22-8841-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 1а'),
(72,	'2bb8ceb2-e1c2-11e3-8c4a-0050568002cf',	'04236030-8ce7-11e3-b441-0050568002cf',	'Отделение №1: ул. Мира, 77'),
(73,	'9399b6fb-0dcf-11ea-9295-005056b24375',	'581eeeb6-b799-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 17'),
(74,	'cf96eab3-f5a2-11e9-9c59-005056b24375',	'1ec11a60-e689-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Могильницкого, 104'),
(75,	'9fbfa987-d2c8-11e9-b0c5-005056b24375',	'0f53759a-9e57-11e9-898c-005056b24375',	'Отделение №1: ул. Ивана Франко, 4'),
(76,	'bf1fda1e-9817-11e9-898c-005056b24375',	'ec04f494-8868-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Красная, 47'),
(77,	'4eb5df5a-b9ec-11e9-8c22-005056b24375',	'58a94425-b775-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 17'),
(78,	'1ea35ba6-8019-11e9-898c-005056b24375',	'3c91efda-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 7'),
(79,	'0d8b5c05-0b9a-11ea-9295-005056b24375',	'40708e3a-e68d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рассветная, 7А'),
(80,	'ef1d0158-2306-11ea-8ac1-0025b502a04e',	'3aab2820-20b8-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. В. Стефаника, 2'),
(81,	'de71be75-9824-11e9-898c-005056b24375',	'b73463d2-8851-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Сваромська, 8'),
(82,	'effe8402-0200-11e9-ad0d-005056b24375',	'7d5a13ea-b1af-11e8-ad0d-005056b24375',	'Отделение №1: ул. Космическая, 12а'),
(83,	'f2d3c173-a32d-11e9-b790-005056b24375',	'792b752b-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 42а'),
(84,	'feee7159-caef-11e9-b0c5-005056b24375',	'8e764c03-b7a0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 62'),
(85,	'b111fa4b-c971-11e9-b0c5-005056b24375',	'33ab7efc-9e33-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 9а'),
(86,	'61aed84f-adf1-11e9-8c22-005056b24375',	'82446cd0-a954-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(87,	'53776fcb-f594-11e9-9c59-005056b24375',	'1ec11a4b-e689-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1Б'),
(88,	'87b76193-95e9-11e9-898c-005056b24375',	'3fa22abb-9295-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 1'),
(89,	'7120e781-7d63-11e9-898c-005056b24375',	'65552af8-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ляшенко, 36'),
(90,	'b7442812-8129-11e9-898c-005056b24375',	'd1fa6683-7d71-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1/1'),
(91,	'39931ae9-e1c2-11e3-8c4a-0050568002cf',	'06f8792a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. 1 Мая, 2а'),
(92,	'39931aea-e1c2-11e3-8c4a-0050568002cf',	'69da41bd-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Стадионная, 2'),
(93,	'0d545efc-e1c2-11e3-8c4a-0050568002cf',	'46213fdf-45ef-11e2-889f-001631fa0467',	'Отделение №1: ул. Центральная, 15а'),
(94,	'e25f27f2-db11-11e9-b48a-005056b24375',	'cf28f88c-cf1e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 112а'),
(95,	'ab50725e-48af-11ea-9b37-0025b502a04e',	'fa10836e-8831-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Южная, 21/а'),
(96,	'0d545f79-e1c2-11e3-8c4a-0050568002cf',	'05bbc685-3565-11e2-8c54-d4ae52ab9fab',	'Отделение №1: ул. Центральная, 126 а'),
(97,	'8f74be64-f8b0-11e9-9c59-005056b24375',	'2a72a37c-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев майдана, 5'),
(98,	'05d70aac-5adb-11e5-8d8d-005056887b8d',	'8d7f4ad3-5ada-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Главная, 3'),
(99,	'336de177-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Линейная, 15'),
(100,	'039dce11-f930-11e8-ad0d-005056b24375',	'2524a86b-5632-11e5-8d8d-005056887b8d',	'Отделение №1: ул. П. Козинца, 12а'),
(101,	'2c01cc79-2483-11e9-ad0d-005056b24375',	'e34990a5-23a7-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 38'),
(102,	'549af845-85c1-11e9-898c-005056b24375',	'801bb7af-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(103,	'fa945aa8-0e14-11ea-9295-005056b24375',	'ab49a503-884e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 35'),
(104,	'd15101ec-3796-11ea-8461-0025b502a04e',	'1b9b4719-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. 8 Марта, 5'),
(105,	'c5fe3614-ca6a-11e9-b0c5-005056b24375',	'0f9d01b0-c341-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 44а'),
(106,	'0d545efd-e1c2-11e3-8c4a-0050568002cf',	'0673974a-492a-11e2-889f-001631fa0467',	'Отделение №1: ул. Спортивная, 13а'),
(107,	'1692282a-e1c2-11e3-8c4a-0050568002cf',	'0680e1c0-bbc6-11e2-8f96-d4ae527baec3',	'Отделение №1: ул. Коновалца, 25/27'),
(108,	'e3a87ebd-2322-11ea-ba4d-005056b24375',	'3e92363f-cf1d-11e9-b0c5-005056b24375',	'Пункт приймання-видачі (до 30 кг), вул. Соборна, 1'),
(109,	'06abe9b3-6c0a-11e4-acce-0050568002cf',	'06abe99f-6c0a-11e4-acce-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. 1-го Мая, 10'),
(110,	'06af88b3-3531-11e5-add9-005056887b8d',	'06af889f-3531-11e5-add9-005056887b8d',	'Отделение №1: вул. Преображенская, 91'),
(111,	'9aa6bb52-c576-11e9-b0c5-005056b24375',	'704737fb-8856-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85'),
(112,	'511fcfa2-e1c2-11e3-8c4a-0050568002cf',	'db5c8974-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. 9-го Января, 102'),
(113,	'6e2dace8-2567-11ea-8ac1-0025b502a04e',	'80229a02-f428-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Загуменная, 76'),
(114,	'f5047b55-e3b7-11e9-b48a-005056b24375',	'6f893fd3-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6'),
(115,	'0703bdc3-05d4-11e4-acce-0050568002cf',	'0703bdb2-05d4-11e4-acce-0050568002cf',	'Отделение № 1: ул. Казацкий Путь, 64а'),
(116,	'070ba1fe-1a3a-11e5-add9-005056887b8d',	'd653ba22-1988-11e5-add9-005056887b8d',	'Отделение № 1: ул. Майская, 8'),
(117,	'db8b48c7-a3f4-11e9-b790-005056b24375',	'8ec5740f-9e5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 109а'),
(118,	'40498356-e1c2-11e3-8c4a-0050568002cf',	'0006560c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 20'),
(119,	'40498357-e1c2-11e3-8c4a-0050568002cf',	'10975675-8a89-11e0-8140-969cd9edcd68',	'Отделение №1: ул. Полевая, 1'),
(120,	'40498358-e1c2-11e3-8c4a-0050568002cf',	'06f878f0-4079-11de-b509-001d92f78698',	'Отделение №1: ул. М.Кривоноса, 2'),
(121,	'40498359-e1c2-11e3-8c4a-0050568002cf',	'06f878ee-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Стефаника, 26а'),
(122,	'e04b95b0-9697-11e9-898c-005056b24375',	'da754eac-929a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 57А'),
(123,	'c337f7fe-f0cf-11e9-9c59-005056b24375',	'ecec0fb7-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Партизанская, 1'),
(124,	'40498318-e1c2-11e3-8c4a-0050568002cf',	'ed248925-086e-11e2-891f-d4ae527baec9',	'Отделение №1: ул. Мира, 3А'),
(125,	'616d7695-91cf-11e9-898c-005056b24375',	'53f61246-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 7'),
(126,	'078eeb03-8f32-11e8-8acc-005056b2fc3d',	'e146de31-8f31-11e8-8acc-005056b2fc3d',	'Отделение №1: ул. Войты, 1'),
(127,	'b2d18e42-bdd2-11e9-8c22-005056b24375',	'f9399a25-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 68'),
(128,	'ff0b975f-ba67-11e9-8c22-005056b24375',	'def48e03-b779-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 9'),
(129,	'07b50396-13dc-11e4-acce-0050568002cf',	'905c11b6-13d6-11e4-acce-0050568002cf',	'Отделение № 1: ул. Комарова, 23м'),
(130,	'fa3b9305-8cfc-11e9-898c-005056b24375',	'bc1dc037-8832-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1/5'),
(131,	'44ae5d98-b42a-11e9-8c22-005056b24375',	'9cff6549-b2d8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(132,	'1d9f32e0-f582-11e9-9c59-005056b24375',	'7e66c6ae-e67a-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Острожская, 77'),
(133,	'77dd9017-e2b5-11e9-b48a-005056b24375',	'ad477a5d-cf3d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 18'),
(134,	'f6ae2df0-ca9d-11e9-b0c5-005056b24375',	'c0fdec1e-b7b5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 1а'),
(135,	'e18c0753-49ad-11e9-acea-005056b24375',	'29a811d9-399c-11e9-acea-005056b24375',	'Отделение №1: ул. Центральная, 8'),
(136,	'b2fef821-968d-11e9-898c-005056b24375',	'c7091521-9283-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15/а'),
(137,	'550a1587-db05-11e9-b48a-005056b24375',	'af4a5e39-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 39а'),
(138,	'5ae59dcb-5c87-11ea-91e8-b8830365bd14',	'ee38c1bd-5a18-11ea-a970-b8830365ade4',	'Пункт приема-выдачи, ул. Новая, 67/а'),
(139,	'b282e6ca-eb57-11e9-b850-005056b24375',	'f17dc661-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 40'),
(140,	'1ec09da6-e1c2-11e3-8c4a-0050568002cf',	'06f8794c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Павлова, 2а'),
(141,	'1ec09da7-e1c2-11e3-8c4a-0050568002cf',	'06f87956-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Набережная, 21'),
(142,	'6399b988-b1d0-11e9-8c22-005056b24375',	'99f44a2d-a7a1-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 39А'),
(143,	'ac71583c-bdd7-11e9-8c22-005056b24375',	'4cd20293-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 1'),
(144,	'08807c26-e2dd-11e9-b48a-005056b24375',	'37cc05e1-b7a2-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(145,	'526fd2fb-be89-11e9-8c22-005056b24375',	'8b47cfcb-b77e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 195'),
(146,	'769583b8-f8d0-11e9-9c59-005056b24375',	'8588b2d7-e671-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 75'),
(147,	'7de45b81-a3b9-11e9-b790-005056b24375',	'8bd6844b-9e62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 73'),
(148,	'a61afd97-ac4a-11e9-8c22-005056b24375',	'6fdbc7ec-9e5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85'),
(149,	'5739449c-8064-11e9-898c-005056b24375',	'54f48494-7d62-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Центральная, 10'),
(150,	'827889f8-df06-11e9-b48a-005056b24375',	'b7522a7a-cf2a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 482'),
(151,	'08ff1d14-2f0a-11e6-9e93-005056887b8d',	'8f416d29-2f04-11e6-9e93-005056887b8d',	'Отделение №1: ул. Львовская, 23'),
(152,	'591d7cfb-caac-11e9-b0c5-005056b24375',	'79380335-b7b3-11e9-8c22-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Шевченко, 53'),
(153,	'd91f1159-b2e0-11e9-8c22-005056b24375',	'bc2447be-884a-11e9-898c-005056b24375',	'Отделение №1: ул. Украинская, 193'),
(154,	'6871be13-e429-11e8-ad0d-005056b24375',	'f619be34-e3f3-11e8-ad0d-005056b24375',	'Отделение №1: площадь 40-летия Победы, 4'),
(155,	'0937de8e-fa69-11e5-899e-005056887b8d',	'd6bc18f0-fa5d-11e5-899e-005056887b8d',	'Отделение №1: ул. Центральная, 13'),
(156,	'3587c22b-1288-11ea-9295-005056b24375',	'f2e00456-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 164'),
(157,	'5cb09363-fa20-11e9-9c59-005056b24375',	'08d062ea-e5e2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31'),
(158,	'a55c6d04-d462-11e9-b0c5-005056b24375',	'36d25071-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 1'),
(159,	'097abfef-6983-11e8-9d95-005056b2fc3d',	'a5260d62-6982-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Василия Симоненко, 45'),
(160,	'0d545ede-e1c2-11e3-8c4a-0050568002cf',	'097db0c0-0666-11e3-874c-d4ae527baec3',	'Отделение №1: ул. Довженко, 7'),
(161,	'0987bc77-0c2f-11e4-acce-0050568002cf',	'0987bc68-0c2f-11e4-acce-0050568002cf',	'Отделение № 1: ул. Гоголя, 81'),
(162,	'8d306f8a-256e-11e9-ad0d-005056b24375',	'06513a7c-ff8b-11e8-ad0d-005056b24375',	'Отделение №1: ул. Михайловская, 30Г'),
(163,	'8415a351-9830-11e9-898c-005056b24375',	'efddfa60-884c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17'),
(164,	'09af1b95-22c7-11e4-acce-0050568002cf',	'09af1b85-22c7-11e4-acce-0050568002cf',	'Отделение №1: ул. Александра Ермакова, 5'),
(165,	'e1a23d33-97dd-11e9-898c-005056b24375',	'1e13e8dd-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 25'),
(166,	'8d893771-81eb-11e9-898c-005056b24375',	'de8fd483-7d67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 19а'),
(167,	'336d9fe0-15ce-11ea-a63c-0025b502a04e',	'ab49a518-884e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 59'),
(168,	'3560947d-ca86-11e9-b0c5-005056b24375',	'8b1597ce-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(169,	'0a1a4170-6430-11e4-acce-0050568002cf',	'7ca4516a-6418-11e4-acce-0050568002cf',	'Отделение №1: ул. Киевская, 55'),
(170,	'f3345cd1-f802-11e9-9c59-005056b24375',	'f3b29b43-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(171,	'0d545f7c-e1c2-11e3-8c4a-0050568002cf',	'1db59605-1766-11e2-928c-d4ae527baec9',	'Отделение № 1: ул. Коцюбинского, 1'),
(172,	'f1f73f32-cfec-11e9-b0c5-005056b24375',	'8aee950e-b796-11e9-8c22-005056b24375',	'Отделение №1: ул. Столичное шоссе, 9б'),
(173,	'84ac6c83-f7e2-11e9-9c59-005056b24375',	'efddfa75-884c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 113'),
(174,	'2d760e6c-95f3-11e9-898c-005056b24375',	'daf97fbb-9292-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 230'),
(175,	'68ed2989-a3cd-11e9-b790-005056b24375',	'58355d5d-9e63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 85'),
(176,	'b478fdb8-9140-11e9-898c-005056b24375',	'93a430e5-887a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 73'),
(177,	'07bdd82f-6689-11e9-898c-005056b24375',	'c99a2906-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Копельмана, 56'),
(178,	'2511dcc8-97dc-11e9-898c-005056b24375',	'193c3edf-9fdf-11e5-a023-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Кононенко, 33а'),
(179,	'408dfcdd-9822-11e9-898c-005056b24375',	'1c6cbf84-964c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Веселая, 54'),
(180,	'1692282f-e1c2-11e3-8c4a-0050568002cf',	'7833e622-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Шевченка, 40'),
(181,	'0ae06468-62be-11e5-8d8d-005056887b8d',	'2f74cb90-c870-11dd-88ed-001d92f78697',	'Отделение №1: ул. Матросова, 33б'),
(182,	'8b655e3e-f0b4-11e9-9c59-005056b24375',	'8724da65-e5df-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 92а'),
(183,	'69456dbe-2f95-11e9-acea-005056b24375',	'725cd356-2e98-11e9-acea-005056b24375',	'Отделение №1: ул. Молодежная, 1'),
(184,	'ca27468d-ca90-11e9-b0c5-005056b24375',	'd4226296-c353-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Братьев Бочуков, 67-А'),
(185,	'47ae6c0f-1a6e-11e9-ad0d-005056b24375',	'354a1d2a-14fd-11e9-ad0d-005056b24375',	'Отделение №1 (до 30 кг): ул. Мира, 52'),
(186,	'33987137-a480-11e9-b790-005056b24375',	'04a84c6a-9e64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 41'),
(187,	'56c2fd8b-3b37-11e9-acea-005056b24375',	'2c49f22d-39a1-11e9-acea-005056b24375',	'Отделение №1: ул. Валовая, 12'),
(188,	'820e1dc1-67f0-11e9-898c-005056b24375',	'56b283b2-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 62а'),
(189,	'64730d47-8068-11e9-898c-005056b24375',	'ef61953d-76f3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 89а'),
(190,	'e7a16b35-ca9a-11e9-b0c5-005056b24375',	'c14c09ce-c343-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Солнечная, 1'),
(191,	'ef60c952-14e6-11ea-9295-005056b24375',	'335b76ae-cf4d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рудка, 1'),
(192,	'25247bc3-9bc7-11e9-898c-005056b24375',	'f7a13aff-76eb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 66'),
(193,	'7b100b2d-d3fe-11e9-b0c5-005056b24375',	'25f8db44-9e54-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Ветеранов, 99'),
(194,	'c5d91c32-f8a9-11e9-9c59-005056b24375',	'4d84c03b-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78б'),
(195,	'eeb41d53-f8d2-11e9-9c59-005056b24375',	'6fd64007-e674-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Глубокая, 1'),
(196,	'9aa6bb29-c576-11e9-b0c5-005056b24375',	'23837789-9e5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ольховская, 85А'),
(197,	'0b80d632-7a0b-11e4-acce-0050568002cf',	'aa6ed829-7a07-11e4-acce-0050568002cf',	'Отделение № 1: ул. Богдана Хмельницького,, 10'),
(198,	'6bfeded1-95e3-11e9-898c-005056b24375',	'51b21620-9284-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 114'),
(199,	'2e82ce32-d457-11e9-b0c5-005056b24375',	'387f887b-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 70'),
(200,	'72a4ab99-ae27-11e9-8c22-005056b24375',	'90a1d491-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(201,	'0befc312-5e8e-11e4-acce-0050568002cf',	'0befc300-5e8e-11e4-acce-0050568002cf',	'Отделение №1: ул. Симоненко, 17'),
(202,	'07de03c4-820a-11e9-898c-005056b24375',	'706aff9e-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Победы, 9'),
(203,	'fdb4e39a-936b-11e9-898c-005056b24375',	'9c209aea-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(204,	'0c29a5a7-b5c3-11e4-a77a-005056887b8d',	'0c29a594-b5c3-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Пушкина, 30в'),
(205,	'88140050-f0d2-11e9-9c59-005056b24375',	'25cac89c-76f0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Николая Хоречко, 2а'),
(206,	'f23e89a1-e411-11e9-b48a-005056b24375',	'3a9b4892-cf3b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 121'),
(207,	'9ca05595-8944-11e9-898c-005056b24375',	'86793df3-882a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 13А'),
(208,	'1ec09d75-e1c2-11e3-8c4a-0050568002cf',	'0c4d5128-da92-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Центральная, 113'),
(209,	'1285d993-a313-11e9-b790-005056b24375',	'1f74e99a-9e43-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 42'),
(210,	'93a74812-6828-11ea-91e8-b8830365bd14',	'8bc11770-6543-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Главная, 44'),
(211,	'2a270821-b381-11e9-8c22-005056b24375',	'9cff655f-b2d8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 18'),
(212,	'547b8a41-ca6d-11e9-b0c5-005056b24375',	'578161bb-b793-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 39'),
(213,	'0ca772b7-89d8-11e8-8acc-005056b2fc3d',	'71ea969e-89c7-11e8-8acc-005056b2fc3d',	'Отделение №1: ул. 8-го марта, 8а'),
(214,	'0cbfcfe4-082b-11e4-acce-0050568002cf',	'0cbfcfd7-082b-11e4-acce-0050568002cf',	'Отделение № 1: ул. Мира, 8/3'),
(215,	'0ccbf4c8-6c30-11e5-8d8d-005056887b8d',	'0ccbf4b5-6c30-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Первомайская, 3'),
(216,	'14ca955b-0dc0-11ea-9295-005056b24375',	'885272f0-fed4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 65'),
(217,	'068e47a1-98cc-11e9-898c-005056b24375',	'c5f7492f-9653-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Инженерная, 1'),
(218,	'02372771-b9ea-11e9-8c22-005056b24375',	'50b77e0e-b769-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 16'),
(219,	'5fecf957-82f4-11e9-898c-005056b24375',	'8de804cd-7d64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Костюченка, 41'),
(220,	'cd79d213-9123-11e9-898c-005056b24375',	'c4065c14-8853-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(221,	'0d540a3a-12b1-11e6-971e-005056887b8d',	'e3373ba0-12af-11e6-971e-005056887b8d',	'Отделение №1: ул. Центральная, 26'),
(222,	'a2bfa0ce-aa2c-11e9-b73a-005056b24375',	'7c15a196-9e50-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24'),
(223,	'ce7fd699-1e7d-11ea-ac3b-0025b502a04e',	'bf47c6a4-1aad-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Антипенка, 77а'),
(224,	'9ee21a85-bdc9-11e9-8c22-005056b24375',	'a82c0c6f-a959-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 2ж'),
(225,	'0d9256e5-1671-11e5-add9-005056887b8d',	'0d9256d1-1671-11e5-add9-005056887b8d',	'Отделение № 1: ул. Мира, 1'),
(226,	'1795e8b3-e22d-11e9-b48a-005056b24375',	'301e95c8-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Узловая, 1'),
(227,	'c5feec48-f807-11e9-9c59-005056b24375',	'a3a3c953-f40a-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 1'),
(228,	'0daec8fd-1cd8-11e6-971e-005056887b8d',	'7ecec01b-0dee-11e6-971e-005056887b8d',	'Отделение №1: ул. Киевская, 164'),
(229,	'169227dd-e1c2-11e3-8c4a-0050568002cf',	'db5c8938-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Фабричная, 7'),
(230,	'3409d2f1-f56c-11e9-9c59-005056b24375',	'5e320aec-e5e6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1а'),
(231,	'25a59b7a-9687-11e9-898c-005056b24375',	'a721496b-9290-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(232,	'4b7db07d-8143-11e9-898c-005056b24375',	'bc38b820-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 48'),
(233,	'46312926-a3c9-11e9-b790-005056b24375',	'58355d33-9e63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 26'),
(234,	'c3e999e4-d449-11e9-b0c5-005056b24375',	'989141ca-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 12'),
(235,	'06174f29-73e5-11e9-898c-005056b24375',	'23db4b89-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 123'),
(236,	'a81ebabc-a3ef-11e9-b790-005056b24375',	'cc3d671a-9e6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Калужская, 34'),
(237,	'f757a5b9-11ba-11ea-9295-005056b24375',	'e8a721b2-f411-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Варвары Ханенко, 8'),
(238,	'2f5891f0-4756-11ea-9b37-0025b502a04e',	'4f3928d7-4696-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Богдана Хмельницкого, 30'),
(239,	'4dda26c0-e9b3-11e9-b850-005056b24375',	'7743982a-b7bc-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зузука, 17А'),
(240,	'862c93b4-fa40-11e9-9c59-005056b24375',	'2376ae7b-e677-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Донецкая, 55'),
(241,	'775a0639-c989-11e9-b0c5-005056b24375',	'ccd23e50-c339-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Слобожанская, 127'),
(242,	'e20ab9c5-caf5-11e9-b0c5-005056b24375',	'3fed2ab7-b7a0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 6а'),
(243,	'1d1a49d1-f802-11e9-9c59-005056b24375',	'b565e92c-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Маковщина, 1'),
(244,	'b06e9b17-a476-11e9-b790-005056b24375',	'f278e82d-883c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Луцка, 9'),
(245,	'191ce332-3797-11ea-8461-0025b502a04e',	'a716bafa-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Франко, 30А'),
(246,	'0ede671c-12af-11e6-971e-005056887b8d',	'10ebda7e-129d-11e6-971e-005056887b8d',	'Отделение №1: ул. Центральная, 95в'),
(247,	'1958cd9f-6751-11e9-898c-005056b24375',	'3277e8bd-64ca-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Главная, 62'),
(248,	'c7251c8f-ca60-11e9-b0c5-005056b24375',	'85c0a364-c4a9-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 18'),
(249,	'0f117d4d-646b-11e6-a9f2-005056887b8d',	'0f117d34-646b-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Гойды, 70/12'),
(250,	'23b95497-cab0-11e9-b0c5-005056b24375',	'bb19570f-b79d-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 2а'),
(251,	'2c591969-1290-11ea-9295-005056b24375',	'baadc136-0ce6-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 1'),
(252,	'f8aff018-caba-11e9-b0c5-005056b24375',	'3859e464-9e5b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грихнивська, 2а'),
(253,	'137fb2f2-ca5e-11e9-b0c5-005056b24375',	'85c0a379-c4a9-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 14'),
(254,	'926686eb-9133-11e9-898c-005056b24375',	'704737e6-8856-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 68'),
(255,	'9a10e643-eb59-11e9-b850-005056b24375',	'bb95cd4a-e687-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 38'),
(256,	'b5759e2c-11ee-11ea-9295-005056b24375',	'0205cfa6-0c9a-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Горького, 12'),
(257,	'8c9c83e0-a323-11e9-b790-005056b24375',	'dc133ff4-9e3f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Таврийская, 70'),
(258,	'cd9f4666-fb23-11e9-9c59-005056b24375',	'28ccf5c5-e680-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 49'),
(259,	'0fa186ad-a28f-11e7-8cf2-005056b2fc3d',	'0fa1868e-a28f-11e7-8cf2-005056b2fc3d',	'Отделение №1: ул. Соборная, 231'),
(260,	'16922892-e1c2-11e3-8c4a-0050568002cf',	'000655dc-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Промышленная, 13'),
(261,	'b47cb492-ebd5-11e9-b850-005056b24375',	'b2a00502-e5e1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Визгина, 25'),
(262,	'23fcef51-c4a9-11e9-b0c5-005056b24375',	'964731e0-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2/2'),
(263,	'71376b65-9423-11e9-898c-005056b24375',	'be2d1a00-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Студенческая, 1а'),
(264,	'd3c39a4d-1e7c-11ea-ac3b-0025b502a04e',	'78b15d48-1b1e-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Шашкевича, 63'),
(265,	'721609a4-d461-11e9-b0c5-005056b24375',	'387f8866-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франко, 20а'),
(266,	'0e4c8773-ffad-11e8-ad0d-005056b24375',	'b8515b0a-f6dd-11e8-ad0d-005056b24375',	'Отделение №1 (до 30 кг на одно место): ул. Козацкая, 1Б'),
(267,	'606fec1b-ad44-11e9-8c22-005056b24375',	'739dee1a-9e43-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 70'),
(268,	'5e2c990e-97f1-11e9-898c-005056b24375',	'acd15015-8876-11e9-898c-005056b24375',	'Отделение №1: ул. Тараса Шевченко, 45а'),
(269,	'b589d938-ac8e-11e9-8c22-005056b24375',	'870b90d4-9e67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 48'),
(270,	'363c0365-c556-11e8-ad0d-005056b24375',	'3a684d74-c180-11e8-ad0d-005056b24375',	'Отделение №1: ул. Личанская, 9-А'),
(271,	'ccc4cf97-fb10-11e9-9c59-005056b24375',	'f8ce8af9-8849-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Терещенко, 14'),
(272,	'10b6fd86-15a1-11e5-add9-005056887b8d',	'232e6903-159a-11e5-add9-005056887b8d',	'Отделение № 1: ул. Победы, 33/1'),
(273,	'1d48e16c-f56e-11e9-9c59-005056b24375',	'401e948d-cf45-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана-Франка, 2'),
(274,	'10d8fe13-3a87-11e5-add9-005056887b8d',	'10d8fdff-3a87-11e5-add9-005056887b8d',	'Отделение №1: ул. Привокзальная, 9а'),
(275,	'f0e61be8-231b-11ea-ba4d-005056b24375',	'deb06200-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 94а'),
(276,	'2f32cfd6-e3a2-11e9-b48a-005056b24375',	'735776ef-c340-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 174'),
(277,	'240d1078-def5-11e9-b48a-005056b24375',	'2b5022fd-b783-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 108'),
(278,	'0d6a2594-fa2c-11e9-9c59-005056b24375',	'b03c5771-e5e2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 111'),
(279,	'8dc655f2-f58a-11e9-9c59-005056b24375',	'62390224-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(280,	'8d5542e2-ca6b-11e9-b0c5-005056b24375',	'25f8db59-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 95'),
(281,	'a3503dc7-f593-11e9-9c59-005056b24375',	'11c0d3b8-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41а'),
(282,	'603d6a7f-1214-11ea-9295-005056b24375',	'629ed740-0c9b-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Гоголевская, 9'),
(283,	'9e12cd9a-f8d3-11e9-9c59-005056b24375',	'8588b2ad-e671-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 133'),
(284,	'0dfb07fc-b201-11e9-8c22-005056b24375',	'6f04e432-8859-11e9-898c-005056b24375',	'Отделение №1: площадь Мира, 8а'),
(285,	'8309ad14-5478-11e9-acea-005056b24375',	'edb924c6-4c84-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Горинская, 17б'),
(286,	'068e4781-98cc-11e9-898c-005056b24375',	'c364ee8f-8859-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(287,	'511fcfe6-e1c2-11e3-8c4a-0050568002cf',	'28c71388-4ca6-11e1-9bbf-0026b97ed48a',	'Отделение №1: ул. Энергетиков, 5'),
(288,	'511fcfe7-e1c2-11e3-8c4a-0050568002cf',	'c2647f08-5261-11e1-8fd9-0026b97ed48a',	'Отделение №1: ул. Базарна, 40'),
(289,	'511fcffc-e1c2-11e3-8c4a-0050568002cf',	'e221d626-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Ивана Мазепы, 21г'),
(290,	'511fcffe-e1c2-11e3-8c4a-0050568002cf',	'db5c8982-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. И. Франко, 19'),
(291,	'511fcfff-e1c2-11e3-8c4a-0050568002cf',	'db5c8980-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Тараса Шевченко (ран. Октябрьская), 18'),
(292,	'511fd000-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Микулинецкая, 46, пом. 1'),
(293,	'511fd001-e1c2-11e3-8c4a-0050568002cf',	'd48436b0-e99c-11e0-be54-f5cb9f9fdf36',	'Отделение №1: ул. Савченко, 1в'),
(294,	'81247729-9373-11e9-898c-005056b24375',	'40d741c6-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(295,	'40498326-e1c2-11e3-8c4a-0050568002cf',	'11d1799f-dbc5-11e1-aa18-d4ae527baec9',	'Отделение №1: ул. Киевская, 46'),
(296,	'120937f6-659f-11e8-9d95-005056b2fc3d',	'120937da-659f-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Владимира Великого, 3б'),
(297,	'12330bf0-fd03-11e3-8c4a-0050568002cf',	'12330be2-fd03-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Доманинская, 308а'),
(298,	'b71574a8-eb73-11e9-b850-005056b24375',	'a856de31-e67f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мироновская, 30'),
(299,	'59f9dfe4-800a-11e9-898c-005056b24375',	'a9458323-7d5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 3'),
(300,	'1edce41a-e41c-11e9-b48a-005056b24375',	'5b8021ef-dae0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 203'),
(301,	'd44c3a89-495a-11e9-acea-005056b24375',	'5df20345-dcfa-11e8-ad0d-005056b24375',	'Отделение №1: ул. Сечевых Стрельцов, 2'),
(302,	'530fabf6-85c6-11e9-898c-005056b24375',	'3cf336f9-7d71-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Школьный, 4'),
(303,	'12a2b52c-a30f-11e4-a77a-005056887b8d',	'12a2b513-a30f-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Дружбы Народов, 7'),
(304,	'b60aced0-249d-11e9-ad0d-005056b24375',	'f6237003-4db8-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Почтовая, 2а'),
(305,	'c7dbc86c-e28f-11e9-b48a-005056b24375',	'b993eef3-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 165'),
(306,	'bf8ced45-6ce5-11e9-898c-005056b24375',	'11500d91-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 86'),
(307,	'12ae53a8-40f6-11e5-8d8d-005056887b8d',	'9f123288-3c30-11e5-add9-005056887b8d',	'Отделение № 1: ул. Ровенская, 72'),
(308,	'24ffe79a-d453-11e9-b0c5-005056b24375',	'3480daa4-cf49-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франко, 22а'),
(309,	'ba4f0a33-74c9-11ea-91e8-b8830365bd14',	'653253f3-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 2'),
(310,	'2bb8ce5c-e1c2-11e3-8c4a-0050568002cf',	'69da41cc-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Небесной Сотни, 32а'),
(311,	'2bb8ce5d-e1c2-11e3-8c4a-0050568002cf',	'23e89fb0-db22-11e1-aa18-d4ae527baec9',	'Отделение №1: просп. Победы, 86-а'),
(312,	'2bb8ce5e-e1c2-11e3-8c4a-0050568002cf',	'1097567b-8a89-11e0-8140-969cd9edcd68',	'Отделение: ул. Гоголя, 2'),
(313,	'2bb8ce5f-e1c2-11e3-8c4a-0050568002cf',	'f7062384-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Братьев Вильшинських, 3'),
(314,	'2bb8ce60-e1c2-11e3-8c4a-0050568002cf',	'000655ec-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Красная, 134'),
(315,	'2bb8ce61-e1c2-11e3-8c4a-0050568002cf',	'000655ee-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Тура, 80а'),
(316,	'2bb8ce62-e1c2-11e3-8c4a-0050568002cf',	'69da4157-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Тиверская, 38'),
(317,	'cee7103f-6750-11e9-898c-005056b24375',	'd9cb2386-64cc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 146'),
(318,	'caa1904e-c3e2-11e9-b0c5-005056b24375',	'79b27fc9-b76f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 101'),
(319,	'8e7da968-2410-11ea-8ac1-0025b502a04e',	'96808b57-feea-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 85'),
(320,	'a563ff97-1228-11ea-9295-005056b24375',	'36314178-0ce3-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(321,	'f54c6cf0-b2de-11e9-8c22-005056b24375',	'95b3aa11-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Майская, 15'),
(322,	'137db83c-e6a9-11e5-899e-005056887b8d',	'6add2379-e6a8-11e5-899e-005056887b8d',	'Отделение №1: Центральная, 65а'),
(323,	'f15b69ef-ac7e-11e9-8c22-005056b24375',	'cc7d1d2e-8860-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(324,	'5f9a9def-0dd3-11ea-9295-005056b24375',	'16594b40-fedc-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 12'),
(325,	'74e387da-e2a4-11e9-b48a-005056b24375',	'c01bf943-cf40-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Капитана Агеенко, 4'),
(326,	'1398a455-f70b-11e5-899e-005056887b8d',	'84f61df1-f5bc-11e5-899e-005056887b8d',	'Отделение №1: ул. Леси Украинки, 68'),
(327,	'dc9ec590-f8c3-11e9-9c59-005056b24375',	'f1c90285-e66f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Главная, 42'),
(328,	'd44c2547-eb2f-11e9-b850-005056b24375',	'd1bbe7ae-dab2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(329,	'706e5a58-f0d7-11e9-9c59-005056b24375',	'609333cb-dae2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(330,	'47402e99-e1c2-11e3-8c4a-0050568002cf',	'06f87994-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 97'),
(331,	'd74d1a96-681d-11e9-898c-005056b24375',	'd5e1188d-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Братьев Пироженко, 15А'),
(332,	'13c86b63-472a-11e5-8d8d-005056887b8d',	'aca7b12e-4727-11e5-8d8d-005056887b8d',	'Отделение №1: пл. Шухевича, 8'),
(333,	'02112f4f-8217-11e9-898c-005056b24375',	'26c5e6b2-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Конончука, 8'),
(334,	'1be0404f-d460-11e9-b0c5-005056b24375',	'b4117c10-cf43-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Миропольская, 7'),
(335,	'a0ff63ab-91cb-11e9-898c-005056b24375',	'0a4e0a2e-882e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 13'),
(336,	'5a39e583-e1c2-11e3-8c4a-0050568002cf',	'06f878fe-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Винниченко, 1'),
(337,	'5a39e585-e1c2-11e3-8c4a-0050568002cf',	'69da41f0-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Карпенка, 10'),
(338,	'5a39e586-e1c2-11e3-8c4a-0050568002cf',	'06f878f8-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Привокзальная, 1'),
(339,	'6b1f47dc-b363-11e9-8c22-005056b24375',	'1af29b0d-a7a6-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 72'),
(340,	'97bf80b7-ad4b-11e9-8c22-005056b24375',	'720a18ba-9e36-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 181'),
(341,	'90de8de0-ad51-11e9-8c22-005056b24375',	'4ead8b5b-76f0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружби, 34'),
(342,	'6f3c039a-f80e-11e9-9c59-005056b24375',	'e409f6b1-f40d-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1а'),
(343,	'c6857967-bad7-11e9-8c22-005056b24375',	'b398e48b-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 57'),
(344,	'7cf0aa21-e2cd-11e9-b48a-005056b24375',	'84c71d26-cf2c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Устименко, 138'),
(345,	'1478d274-1714-11e4-acce-0050568002cf',	'0b9a89db-027b-11e4-acce-0050568002cf',	'Отделение №1: ул. Заводская, 1 а'),
(346,	'f7db1c4f-db5a-11e9-b48a-005056b24375',	'33f1ffb8-cf29-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 183'),
(347,	'44099676-de89-11e9-b48a-005056b24375',	'ef0279ea-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Марченко, 3'),
(348,	'1488ae4e-f5bc-11e5-899e-005056887b8d',	'1488ae35-f5bc-11e5-899e-005056887b8d',	'Отделение №1: ул. Малоданиловской путь, 93А'),
(349,	'c013ae22-0529-11ea-9c59-005056b24375',	'3213bbe6-e675-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 22'),
(350,	'16922813-e1c2-11e3-8c4a-0050568002cf',	'3c67c752-a440-11dd-bcd8-001d92f78697',	'Отделение №1: пл. Сечевых Стрельцов, 7'),
(351,	'16922814-e1c2-11e3-8c4a-0050568002cf',	'69da41f9-3f5d-11de-b509-001d92f78698',	'Отделение №1: вул. Соборная, 379'),
(352,	'14d05438-7c73-11e4-acce-0050568002cf',	'14d05427-7c73-11e4-acce-0050568002cf',	'Отделение №1: ул. 1-го Мая, 96'),
(353,	'5555ed7a-8060-11e9-898c-005056b24375',	'1cd43ab0-7d62-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Первомайская, 55'),
(354,	'14e708c0-c981-11e4-a77a-005056887b8d',	'14e708ad-c981-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Ольшанского, 1'),
(355,	'14f57f43-c983-11e4-a77a-005056887b8d',	'14f57f30-c983-11e4-a77a-005056887b8d',	'Отделение №1: пер. Гаражный, 2'),
(356,	'47402eb8-e1c2-11e3-8c4a-0050568002cf',	'06f87904-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченка, 145в'),
(357,	'67fa75e3-91c4-11e9-898c-005056b24375',	'c68e315c-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 14'),
(358,	'05987568-ae1b-11e9-8c22-005056b24375',	'4f9ccedc-a956-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 30'),
(359,	'96955170-9bdd-11e9-898c-005056b24375',	'6bedba27-928a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Горького, 1'),
(360,	'5a39e53e-e1c2-11e3-8c4a-0050568002cf',	'69da414b-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Василия Липковского, 55'),
(361,	'5a39e53f-e1c2-11e3-8c4a-0050568002cf',	'06f87944-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Б. Хмельницкого, 2'),
(362,	'5a39e540-e1c2-11e3-8c4a-0050568002cf',	'06f87942-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Бондарчука, 1'),
(363,	'686c8479-5132-11e9-acea-005056b24375',	'f0e07b13-ebdb-11e8-ad0d-005056b24375',	'Отделение №1: вул. Слободская, 7'),
(364,	'c1a3d6f6-f721-11e9-9c59-005056b24375',	'a50f630a-8878-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Штефана Чел Маре, 24'),
(365,	'bb1348cc-9710-11e9-898c-005056b24375',	'48fb3aa4-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 20'),
(366,	'f2ea5514-98c7-11e9-898c-005056b24375',	'62374d49-964f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 4'),
(367,	'18b1ae25-80af-11ea-91e8-b8830365bd14',	'4b21d03e-7ff0-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 24'),
(368,	'820e1de8-67f0-11e9-898c-005056b24375',	'40b1718a-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Днепровская, 1-А'),
(369,	'430d8b59-4759-11ea-9b37-0025b502a04e',	'e2b3d9ce-4699-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Почтовая, 4'),
(370,	'60e90aaa-8065-11e9-898c-005056b24375',	'2d3c37c1-76f4-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 116'),
(371,	'2c49f24a-39a1-11e9-acea-005056b24375',	'483017a0-1d82-11e9-ad0d-005056b24375',	'Отделение №1: ул. Гайдара, 1'),
(372,	'c75f17ca-9420-11e9-898c-005056b24375',	'4e2ca120-8878-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. М. Грушевского, 1'),
(373,	'f7c89f7c-5873-11ea-bfa0-0025b502a04e',	'fc66e00f-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Вишневая, 144А'),
(374,	'bd9c3a26-b2d6-11e9-8c22-005056b24375',	'04dcccb6-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ильинская, 20'),
(375,	'93c88fd5-116f-11ea-9295-005056b24375',	'407d97a0-0c94-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1-Б'),
(376,	'1ec09dba-e1c2-11e3-8c4a-0050568002cf',	'cfbeac9a-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Шоссейная, 6'),
(377,	'75e9c098-fa79-11e9-9c59-005056b24375',	'3a9b48a7-cf3b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Нахимова, 27'),
(378,	'15fb1f5a-2f7d-11e4-acce-0050568002cf',	'15fb1f49-2f7d-11e4-acce-0050568002cf',	'Отделение №1: ул. Тернопольская, 60'),
(379,	'1b9657e1-ad1e-11e9-8c22-005056b24375',	'05b90a65-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 191'),
(380,	'0cd0a88e-8121-11e9-898c-005056b24375',	'ad578cc5-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сторожинецкая, 38'),
(381,	'161830d0-eb29-11e3-8c4a-0050568002cf',	'161830be-eb29-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Степана Бандеры, 6/2'),
(382,	'afd768d0-2620-11e9-ad0d-005056b24375',	'5f81eea7-ff87-11e8-ad0d-005056b24375',	'Отделение №1: ул. Почтовая, 4'),
(383,	'8d78a5b8-e222-11e9-b48a-005056b24375',	'25f8db6e-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 32'),
(384,	'6be02aec-11d6-11ea-9295-005056b24375',	'4d9b91db-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Почаевская, 7'),
(385,	'c605b9f6-3b8b-11e9-acea-005056b24375',	'ae1d0a18-3912-11e9-acea-005056b24375',	'Отделение №1: ул. Центральная, 1'),
(386,	'fa79abbe-0ab6-11e9-ad0d-005056b24375',	'66ee2bfd-f232-11e8-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 42'),
(387,	'40498342-e1c2-11e3-8c4a-0050568002cf',	'db5c88e6-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Терещенков, 45'),
(388,	'a70205a6-2f63-11e9-acea-005056b24375',	'8ec32ff0-ff89-11e8-ad0d-005056b24375',	'Отделение №1: ул. Левобережная, 350'),
(389,	'920b21bc-5c53-11e9-a703-005056b24375',	'93c505ef-0535-11e9-ad0d-005056b24375',	'Отделение №1: ул. Леси Украинки, 2'),
(390,	'8e0f0311-3863-11ea-8461-0025b502a04e',	'fe8615f2-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 47'),
(391,	'c8df2b60-0eb1-11ea-9295-005056b24375',	'1043aa89-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1А'),
(392,	'2bb8cefa-e1c2-11e3-8c4a-0050568002cf',	'06f87922-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Харьковская, 11а'),
(393,	'2bb8cec1-e1c2-11e3-8c4a-0050568002cf',	'16860771-9227-11e3-b441-0050568002cf',	'Отделение №1: ул. Победы, 34/14'),
(394,	'336de19b-e1c2-11e3-8c4a-0050568002cf',	'db5c890b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Транспортная, 14'),
(395,	'0dbd01ac-5c88-11ea-91e8-b8830365bd14',	'14356d09-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Ивана Франко, 4'),
(396,	'16a5b693-b5be-11e4-a77a-005056887b8d',	'16a5b682-b5be-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Соборная, 97/4'),
(397,	'7999c555-9b41-11e9-898c-005056b24375',	'0b8a3d43-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64'),
(398,	'57c63790-f0e4-11e9-9c59-005056b24375',	'db7271f2-e689-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 30А'),
(399,	'01765e46-5c74-11ea-b3f9-b8830365bd14',	'96793020-5a17-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Б. Хмельницкого, 18а'),
(400,	'1a46b006-a30d-11e9-b790-005056b24375',	'980e80d6-9e3b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 71'),
(401,	'59a73f68-b37e-11e9-8c22-005056b24375',	'a0de4d1a-b2d6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 39'),
(402,	'16e8f2be-abca-11e6-b5da-005056887b8d',	'16e8f2a5-abca-11e6-b5da-005056887b8d',	'Отделение №1: ул. Набережная, 20/1'),
(403,	'04f07fb1-7c62-11e9-898c-005056b24375',	'e0aa6716-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 61А'),
(404,	'b282e6ec-eb57-11e9-b850-005056b24375',	'bb95cd35-e687-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Горького, 250А'),
(405,	'9baea467-85ce-11e9-898c-005056b24375',	'2d3c37d6-76f4-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 97'),
(406,	'36b16dd8-6827-11e9-898c-005056b24375',	'5c11f9ec-65c1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Суворова, б/н'),
(407,	'2d31bb04-e096-11e9-b48a-005056b24375',	'a735bf93-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сибирь, 26а'),
(408,	'511fcfd7-e1c2-11e3-8c4a-0050568002cf',	'f7062320-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости Украины, 106'),
(409,	'174c6c73-92b8-11e5-a023-005056887b8d',	'8bdb0ace-92b5-11e5-a023-005056887b8d',	'Отделение №1: ул. Гагарина, 18а'),
(410,	'758b3bda-9be0-11e9-898c-005056b24375',	'0b8a3d58-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 49'),
(411,	'edd8f388-ac4f-11e9-8c22-005056b24375',	'40461a32-9e5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дорожная, 1'),
(412,	'4ac6a0eb-e09b-11e9-b48a-005056b24375',	'529c93d6-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 47е'),
(413,	'672ba489-df07-11e9-b48a-005056b24375',	'cb6e0657-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вербовая, 45'),
(414,	'7243fd4a-ca9a-11e9-b0c5-005056b24375',	'9368c66a-928f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(415,	'9e514026-81ed-11e9-898c-005056b24375',	'e215a1ca-7d70-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Садовый, 2'),
(416,	'e0b7356f-e1f4-11e9-b48a-005056b24375',	'b298ce9a-daaf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 104'),
(417,	'1285d976-a313-11e9-b790-005056b24375',	'54b6944f-9e40-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Королева, 20'),
(418,	'3438de69-090d-11e9-ad0d-005056b24375',	'7d02af7d-f867-11e8-ad0d-005056b24375',	'Отделение №1 (до 30 кг): ул. Независимости, 34'),
(419,	'22646d5a-0b81-11ea-9295-005056b24375',	'988aae7d-fee4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 90'),
(420,	'e27c8260-6723-11e9-898c-005056b24375',	'd4f4058d-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рудченкова, 26'),
(421,	'5742b3de-ebd6-11e9-b850-005056b24375',	'dc134009-9e3f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(422,	'97d18f8f-93f9-11e9-898c-005056b24375',	'47dda8c7-885e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая 17'),
(423,	'ea0c800d-dfc5-11e9-b48a-005056b24375',	'47adb676-cfd8-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 3'),
(424,	'b3eb9fb8-8226-11e9-898c-005056b24375',	'84ae4e6d-7d65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Быкова, 59'),
(425,	'5b0e3cc3-ca90-11e9-b0c5-005056b24375',	'4492f0e8-b79a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(426,	'9da4f5d1-c584-11e9-b0c5-005056b24375',	'77439815-b7bc-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 104'),
(427,	'184efd31-2639-11e5-add9-005056887b8d',	'184efd1e-2639-11e5-add9-005056887b8d',	'Отделение № 1: ул. Центральная, 2б'),
(428,	'd1574e71-3796-11ea-8461-0025b502a04e',	'682ceaa0-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), шоссе Запорожское, 2'),
(429,	'52a8854f-a3ae-11e9-b790-005056b24375',	'6e3078d1-9e5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Культуры, 34'),
(430,	'b984ba83-fa39-11e9-9c59-005056b24375',	'344f8fd3-e676-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Белгородская, 98'),
(431,	'd9d0e574-cab6-11e9-b0c5-005056b24375',	'47876df4-c34d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кутузова, 13'),
(432,	'e1c314f4-4756-11ea-9b37-0025b502a04e',	'be661ba1-4698-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Вокзальная, 10в'),
(433,	'90935419-c019-11e8-ad0d-005056b24375',	'340a6051-ab75-11e8-ad0d-005056b24375',	'Отделение №1: ул. Рабочая, 32'),
(434,	'4d28b40a-d460-11e9-b0c5-005056b24375',	'7d3175e9-cf4b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мурованого, 1'),
(435,	'ab613a80-69c9-11ea-91e8-b8830365bd14',	'83bab35d-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1б'),
(436,	'6974783b-475f-11e9-acea-005056b24375',	'eefc95ab-ff82-11e8-ad0d-005056b24375',	'Отделение №1: ул. Леси Украинки, 18а'),
(437,	'45b871e3-7bd3-11e9-898c-005056b24375',	'749932f6-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 20'),
(438,	'1907242d-046f-11e5-8a92-005056887b8d',	'1907241a-046f-11e5-8a92-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 13'),
(439,	'85863ef4-24a6-11e9-ad0d-005056b24375',	'54b12122-23a8-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Якушева, 26в'),
(440,	'48bbf02f-0dd0-11ea-9295-005056b24375',	'be23cc03-fed8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 29'),
(441,	'ff736bd2-85e8-11e9-898c-005056b24375',	'a42b04c2-82cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Верховинца, 11'),
(442,	'1692286a-e1c2-11e3-8c4a-0050568002cf',	'db5c8955-391c-11dd-90d9-001a92567626',	'Отделение: ул. Вокзальная, 6'),
(443,	'01eb5724-74ca-11ea-91e8-b8830365bd14',	'982d76bd-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 2'),
(444,	'7caf4699-bdb9-11e9-8c22-005056b24375',	'0365fed7-b771-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кольцевая, 2'),
(445,	'04a40e25-6674-11e9-898c-005056b24375',	'd9420b04-64c9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. И. Гешка, 16'),
(446,	'22f675dc-cabc-11e9-b0c5-005056b24375',	'3859e479-9e5b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гайдара, 34'),
(447,	'cd9f4688-fb23-11e9-9c59-005056b24375',	'abb47021-f427-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 121'),
(448,	'cf57a59b-11e9-11ea-9295-005056b24375',	'dfedf9e2-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 1'),
(449,	'511fd00f-e1c2-11e3-8c4a-0050568002cf',	'f70622ee-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Проектная, 1'),
(450,	'08105e23-b381-11e9-8c22-005056b24375',	'a0de4d30-b2d6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гарфункина, 15'),
(451,	'892f6f9b-85d7-11e9-898c-005056b24375',	'afd11fca-82b8-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. 600-летия Октября, 48'),
(452,	'19ec6f4d-1581-11e5-add9-005056887b8d',	'19ec6f3a-1581-11e5-add9-005056887b8d',	'Отделение № 1: ул. Магистральная, 43а'),
(453,	'9fe78218-2320-11ea-8ac1-0025b502a04e',	'2a94f364-0c94-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Коцюбинского, 10'),
(454,	'07f2b3dc-b2d3-11e9-8c22-005056b24375',	'3c6b97b3-9e39-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(455,	'bfd1dbfd-9835-11e9-898c-005056b24375',	'670d6c07-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 16'),
(456,	'9e12cdc5-f8d3-11e9-9c59-005056b24375',	'faaade7c-e670-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 35а'),
(457,	'3e98359e-23e9-11ea-ba4d-005056b24375',	'110045c6-fef8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Рыболовная, 1-А'),
(458,	'1a36af01-082f-11e4-acce-0050568002cf',	'1a36aef1-082f-11e4-acce-0050568002cf',	'Отделение №1: ул. Остривська, 32г'),
(459,	'54b2840c-0671-11e4-acce-0050568002cf',	'f3184567-e633-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Грушевского, 3'),
(460,	'81dbb3c7-c58d-11e9-b0c5-005056b24375',	'4d7ffc41-b7b8-11e9-8c22-005056b24375',	'Отделение №1: ул. Мира, 29А'),
(461,	'7a0b61a2-093c-11e9-ad0d-005056b24375',	'f25f51fe-ff8c-11e8-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 29'),
(462,	'e4a33143-e0f8-11e9-b48a-005056b24375',	'22d787ee-daa7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Добровольского, 31'),
(463,	'a3f0ed29-8cee-11e9-898c-005056b24375',	'3704917d-8831-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 77'),
(464,	'92668d30-967a-11e9-898c-005056b24375',	'd58f1d24-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 19'),
(465,	'eeaecd08-2316-11ea-ba4d-005056b24375',	'a4dfb9e1-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Набережная, 57'),
(466,	'f9e0d9ab-6680-11e9-898c-005056b24375',	'659125f8-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кольцевая, 16'),
(467,	'a30e455e-fb0e-11e9-9c59-005056b24375',	'4dca8290-b7a7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2В'),
(468,	'e18c072b-49ad-11e9-acea-005056b24375',	'd44c3aaa-495a-11e9-acea-005056b24375',	'Отделение №1: ул. Шевченко, 36'),
(469,	'd8660e21-69cb-11ea-91e8-b8830365bd14',	'e40ff157-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 2'),
(470,	'0fe6fa9a-c4e3-11e9-b0c5-005056b24375',	'c9d5e154-9e63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 98'),
(471,	'1b2bced4-5adb-11e5-8d8d-005056887b8d',	'1b2bcec1-5adb-11e5-8d8d-005056887b8d',	'Отделение №1:ул. Челюскинцев, 30'),
(472,	'1a65d655-a305-11e9-b790-005056b24375',	'04dccce0-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Корды, 95'),
(473,	'c9cdffc7-93f4-11e9-898c-005056b24375',	'96b8d78c-be42-11e3-9fa0-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(474,	'f1e30442-85e6-11e9-898c-005056b24375',	'44d3ccd6-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(475,	'1d2e35ac-80ae-11ea-91e8-b8830365bd14',	'a5d241d9-7fef-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Базарная, 1'),
(476,	'1bad1a31-96f3-11e8-ad0d-005056b24375',	'1bad1a14-96f3-11e8-ad0d-005056b24375',	'Отделение №1: проул. Кооперативный, 3'),
(477,	'1be58edd-0cbc-11e4-acce-0050568002cf',	'1be58ecc-0cbc-11e4-acce-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Бортника, 1А'),
(478,	'88f41826-cd8c-11e9-b0c5-005056b24375',	'370f867f-9e6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14а'),
(479,	'ff65ed35-0dd7-11ea-9295-005056b24375',	'08da7bd7-fede-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 58'),
(480,	'c7118c60-77c0-11e9-898c-005056b24375',	'0f6fe65a-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(481,	'5a39e568-e1c2-11e3-8c4a-0050568002cf',	'000655e0-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 222'),
(482,	'39931b0a-e1c2-11e3-8c4a-0050568002cf',	'db5c88e7-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Депутатская, 32'),
(483,	'39931b0b-e1c2-11e3-8c4a-0050568002cf',	'2f74cb93-c870-11dd-88ed-001d92f78697',	'Отделение №1: ул. Леонтовича, 14'),
(484,	'39931b0c-e1c2-11e3-8c4a-0050568002cf',	'e5dd3d21-3b29-11de-913b-001d92f78698',	'Отделение №1: ул. Центральная, 39'),
(485,	'39931b0d-e1c2-11e3-8c4a-0050568002cf',	'db5c897d-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Героев Днепра, 2-а'),
(486,	'39931b0e-e1c2-11e3-8c4a-0050568002cf',	'69da4160-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул.  Петра Захарова, 36'),
(487,	'3cb94bc8-d450-11e9-b0c5-005056b24375',	'989141b5-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 600 летие Голиня, 29б'),
(488,	'84da83a8-e219-11e9-b48a-005056b24375',	'd63931c7-dae7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 10'),
(489,	'8feea303-fa4a-11e9-9c59-005056b24375',	'79962637-cf41-11e9-b0c5-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Берегова, 9'),
(490,	'1ec09d77-e1c2-11e3-8c4a-0050568002cf',	'1c954ffc-dfec-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Сечевых Стрельцов, 176'),
(491,	'1cc2ed47-055b-11e6-899e-005056887b8d',	'cfb2e946-0554-11e6-899e-005056887b8d',	'Отделение №1: ул. Победы, 6'),
(492,	'6d011fd4-0ebd-11ea-9295-005056b24375',	'612122e4-feed-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 32'),
(493,	'71524200-3a66-11e9-acea-005056b24375',	'2c49f212-39a1-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 16-Б'),
(494,	'fe9a65e4-23e7-11ea-ba4d-005056b24375',	'609333b6-dae2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 39'),
(495,	'28b0bc28-faea-11e9-9c59-005056b24375',	'e472088c-b799-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61а'),
(496,	'd9d0e593-cab6-11e9-b0c5-005056b24375',	'47876ddf-c34d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 46а'),
(497,	'e76d9922-81d8-11e9-898c-005056b24375',	'a5b3557d-7d69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 89'),
(498,	'1d7d3b1d-12b1-11e6-971e-005056887b8d',	'1d7d3b04-12b1-11e6-971e-005056887b8d',	'Отделение №1: ул. Тисменицкая, 249б'),
(499,	'1d7fd81f-0f9b-11e7-95d1-005056887b8d',	'1d7fd806-0f9b-11e7-95d1-005056887b8d',	'Отделение №1: ул. Луцкая, 2а'),
(500,	'3c019a9c-9204-11e9-898c-005056b24375',	'1dd83f0a-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 62А'),
(501,	'6b02abed-eb4d-11e9-b850-005056b24375',	'a856de5b-e67f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Весенняя, 22'),
(502,	'2b716ed7-e28b-11e9-b48a-005056b24375',	'00ed4fed-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Луговая, 141а'),
(503,	'f8769423-24a6-11e9-ad0d-005056b24375',	'760c943a-23aa-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черняховская, 75'),
(504,	'24daf3e3-f0c5-11e9-9c59-005056b24375',	'134ac3de-e5f1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 35'),
(505,	'b1ac4f33-811e-11e9-898c-005056b24375',	'70982fd2-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 31'),
(506,	'd6d7353f-ac53-11e9-8c22-005056b24375',	'87c63a63-9e60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Щедрая, 2'),
(507,	'8aef1f91-c594-11e9-b0c5-005056b24375',	'74f00b7c-b7b6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дрогобыческая, 169'),
(508,	'008d284a-b1d8-11e9-8c22-005056b24375',	'99f44a57-a7a1-11e9-b73a-005056b24375',	'Наливайковка, Центральная 30а'),
(509,	'1e103994-99cb-11e5-a023-005056887b8d',	'1e103981-99cb-11e5-a023-005056887b8d',	'Отделение №1: ул. Центральная, 16'),
(510,	'9d94c9de-fbe9-11e9-9c59-005056b24375',	'8986ecaa-76f9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Монастырецкая, 15'),
(511,	'4eb5df2f-b9ec-11e9-8c22-005056b24375',	'58a94410-b775-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 31А'),
(512,	'ffbb5d94-ca98-11e9-b0c5-005056b24375',	'11dc56f5-c352-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Алексея Зарицкого, 6'),
(513,	'c7f233b7-93dd-11e9-898c-005056b24375',	'533eb9f3-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5а'),
(514,	'3587c212-1288-11ea-9295-005056b24375',	'7d3175d4-cf4b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Загревського, 74'),
(515,	'c0812d26-9680-11e9-898c-005056b24375',	'317f8791-9290-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23б'),
(516,	'7af3d361-9276-11e9-898c-005056b24375',	'ff459f81-885d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 30 лет Победы, 32'),
(517,	'b8e086df-98bc-11e9-898c-005056b24375',	'e7c1ae36-883f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 1'),
(518,	'cededb40-aa2f-11e9-b73a-005056b24375',	'b467ba9c-9e50-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 1а'),
(519,	'514b1120-d2fe-11e9-b0c5-005056b24375',	'ef5dae6a-cf29-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 65'),
(520,	'29d4baf5-85be-11e9-898c-005056b24375',	'533eb9c9-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 37а'),
(521,	'1c4aa330-eb3b-11e9-b850-005056b24375',	'bccc3292-e67b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 3'),
(522,	'219c00bc-0b68-11ea-9295-005056b24375',	'50c511b3-fed4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Чернобыльская, 20'),
(523,	'1ec026e7-6ac6-11e6-a9f2-005056887b8d',	'409f4d03-6aa5-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Новая, 3 а'),
(524,	'cd04a92d-c9a0-11e9-b0c5-005056b24375',	'faddd331-8854-11e9-898c-005056b24375',	'Отделение №1: ул. И.Сирыка, 40'),
(525,	'923b4076-7ffc-11e9-898c-005056b24375',	'288fe469-7d5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 58/1'),
(526,	'1f1f4dba-b699-11e4-a77a-005056887b8d',	'244d3593-b5c3-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Ворвуля, 12'),
(527,	'b39d9384-bdbd-11e9-8c22-005056b24375',	'0365feec-b771-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Луговая, 10'),
(528,	'34ed9090-f784-11e3-8c4a-0050568002cf',	'34ed9082-f784-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Новая, 3а'),
(529,	'2bb8cea9-e1c2-11e3-8c4a-0050568002cf',	'1f36e89c-84ce-11e3-b441-0050568002cf',	'Отделение №1: ул. Центральная, 2а'),
(530,	'49b8046d-85da-11e9-898c-005056b24375',	'4b20f815-82cc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 20'),
(531,	'25b683f9-1285-11ea-9295-005056b24375',	'8ae7a08f-0ce4-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Днепровская, 34'),
(532,	'7f1957a7-8116-11e9-898c-005056b24375',	'7456274d-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 32а'),
(533,	'4226cc1d-98ba-11e9-898c-005056b24375',	'e7c1ae21-883f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 2'),
(534,	'b5344a77-e22e-11e9-b48a-005056b24375',	'4d6e9204-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 29'),
(535,	'336de1bd-e1c2-11e3-8c4a-0050568002cf',	'1f7bc091-ade0-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Котляревского, 2а'),
(536,	'2bb8ce95-e1c2-11e3-8c4a-0050568002cf',	'1f7de1ac-7d28-11e3-b441-0050568002cf',	'Отделение №1: ул. Мира, 123а'),
(537,	'b67ac69f-e2a5-11e9-b48a-005056b24375',	'c01bf92e-cf40-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(538,	'c3a6be39-a47e-11e9-b790-005056b24375',	'2383775f-9e5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2А'),
(539,	'f2556155-8cf1-11e9-898c-005056b24375',	'f948e135-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 360А'),
(540,	'adb488f4-7d57-11e9-898c-005056b24375',	'b470ca1e-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Штокаливка, 140а'),
(541,	'ffecab0a-5c72-11ea-b3f9-b8830365bd14',	'741ca522-5a1b-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3А'),
(542,	'f2ccc828-11f5-11ea-9295-005056b24375',	'1cf77ca5-fef5-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 31в'),
(543,	'510e6a0d-fb1f-11e9-9c59-005056b24375',	'93a430fa-887a-11e9-898c-005056b24375',	'Отделение №1: ул. 30-летия Победы, 8'),
(544,	'47402e90-e1c2-11e3-8c4a-0050568002cf',	'203f1d66-1eb5-11e3-b000-0050568002cf',	'Отделение №1: вул. Партизанская, 60'),
(545,	'e16cd0f9-e097-11e9-b48a-005056b24375',	'd6f03308-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 23а'),
(546,	'444b1125-0528-11ea-9c59-005056b24375',	'bf22d5e6-e674-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Княгини Ольги, 30'),
(547,	'b282f61a-257e-11ea-8ac1-0025b502a04e',	'12fa5dc6-0c9b-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 36'),
(548,	'85673b9c-caa8-11e9-b0c5-005056b24375',	'1e0ee7ce-c345-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 36'),
(549,	'dc98ae2c-a3e4-11e9-b790-005056b24375',	'c5e2520a-9e67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 1'),
(550,	'e60a8130-fed0-11e9-9c59-005056b24375',	'cb003d3b-e5ec-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дмитриевская, 94б'),
(551,	'5cea9eef-6822-11e9-898c-005056b24375',	'd5e118a2-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Днестровская, 106Б'),
(552,	'fcf81c06-ba69-11e9-8c22-005056b24375',	'f8d12ec3-b777-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(553,	'62ce2ce6-91bf-11e9-898c-005056b24375',	'6f8ab8fc-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(554,	'bb3744e9-e2c3-11e9-b48a-005056b24375',	'a64cf7e1-8849-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(555,	'1b82b6b3-e039-11e9-b48a-005056b24375',	'05c808ba-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5а'),
(556,	'bc35c690-f013-11e9-9c59-005056b24375',	'ee0f7350-e5dd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 100'),
(557,	'11f02f3c-cb2a-11e9-b0c5-005056b24375',	'92e65524-76ea-11e9-898c-005056b24375',	'Иванополь, ул Луговая, 2'),
(558,	'5960543e-ca3e-11e9-b0c5-005056b24375',	'6d6cb4db-b791-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 41'),
(559,	'eeb41d75-f8d2-11e9-9c59-005056b24375',	'6fd63fdd-e674-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гребля, 239'),
(560,	'de71bea1-9824-11e9-898c-005056b24375',	'be2d1a15-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 70А'),
(561,	'03b62d8c-e90f-11e9-b850-005056b24375',	'fcb274b3-cf2a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кутузова, 45а'),
(562,	'211f30f5-12af-11e6-971e-005056887b8d',	'10ebda97-129d-11e6-971e-005056887b8d',	'Отделение №1: ул. Житомирская, 39а'),
(563,	'ab5cf7b7-8d55-11e9-898c-005056b24375',	'bf4446a1-882c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Надслучанская, 306'),
(564,	'0d545ed7-e1c2-11e3-8c4a-0050568002cf',	'2130890e-f843-11e2-874c-d4ae527baec3',	'Отделение №1: ул. 22 Января, 82'),
(565,	'2175ca0f-e113-11e5-899e-005056887b8d',	'c335d9f1-bf5e-11e1-bdef-0026b97ed48a',	'Отделение №1: ул. Южная, 21'),
(566,	'844364b8-98c3-11e9-898c-005056b24375',	'fb9056fa-7d6f-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Свободы, 41-В'),
(567,	'ca90fbde-cab4-11e9-b0c5-005056b24375',	'2fb41dc3-c34f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 35'),
(568,	'9da4f5fc-c584-11e9-b0c5-005056b24375',	'4d7ffc6b-b7b8-11e9-8c22-005056b24375',	'Руське Поле'),
(569,	'137d1172-e2d9-11e9-b48a-005056b24375',	'07b9c81b-cf2e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(570,	'eda33bf7-97eb-11e9-898c-005056b24375',	'af345e2c-885b-11e9-898c-005056b24375',	'Отделение №1: ул. Атамана Григорьева, 325А'),
(571,	'356094a7-ca86-11e9-b0c5-005056b24375',	'cf0c2b8c-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Т.Шевченко, 58'),
(572,	'2bf5c0eb-cd83-11e9-b0c5-005056b24375',	'7a377347-b7a2-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41'),
(573,	'fd359f50-23d0-11ea-ba4d-005056b24375',	'cf28f862-cf1e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 17'),
(574,	'd9a6725b-b271-11e8-ad0d-005056b24375',	'9b21a993-b1ae-11e8-ad0d-005056b24375',	'Отделение №1: ул. Урожайная, 1'),
(575,	'55f80172-91ca-11e9-898c-005056b24375',	'3ef9c2af-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Старобельска, 24'),
(576,	'c93dd49e-db59-11e9-b48a-005056b24375',	'4022d65f-884a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 11'),
(577,	'2216bc19-85e1-11e9-898c-005056b24375',	'1359853e-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Славы, 1'),
(578,	'76cbbb03-caac-11e9-b0c5-005056b24375',	'df038be6-8848-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 11а'),
(579,	'635444f8-fb07-11e9-9c59-005056b24375',	'1afd1f79-cf3c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Таврическая, 127'),
(580,	'f40d2856-1162-11ea-9295-005056b24375',	'c825fedc-fee0-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Ватутина, 9'),
(581,	'511fcfd9-e1c2-11e3-8c4a-0050568002cf',	'0db17b18-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Палия Семена, 12є'),
(582,	'511fcfd6-e1c2-11e3-8c4a-0050568002cf',	'db5c891f-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Симоненка, 2б/43'),
(583,	'4844650b-aa38-11e9-b73a-005056b24375',	'4cc64f5b-9e56-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Жилина, 36'),
(584,	'1ec09d5f-e1c2-11e3-8c4a-0050568002cf',	'06f87960-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 156в'),
(585,	'7b422fa6-e1b8-11e3-8c4a-0050568002cf',	'db5c88d6-391c-11dd-90d9-001a92567626',	'Отделение № 1: ул. Шевченка, 193'),
(586,	'787af92c-5c88-11ea-91e8-b8830365bd14',	'5bf78d41-5a1b-11ea-a970-b8830365ade4',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 39'),
(587,	'ddf4112a-e20b-11e9-b48a-005056b24375',	'6667533d-cf21-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 58а'),
(588,	'25eae99b-56ab-11e9-acea-005056b24375',	'01ff349c-f170-11e8-ad0d-005056b24375',	'Отделение №1: ул. Грушевского, 87Б'),
(589,	'2d396392-814b-11e9-898c-005056b24375',	'd7892f9d-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(590,	'1753a3be-cb4a-11e9-b0c5-005056b24375',	'6283e2b5-c353-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гутника, 40-в'),
(591,	'ef90358e-8009-11e9-898c-005056b24375',	'f3ccff89-7d5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шполянская, 46'),
(592,	'eb4ce6f2-ba84-11e9-8c22-005056b24375',	'3f023c1b-b78f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ходарева, 1А'),
(593,	'd95718e2-c21e-11e8-ad0d-005056b24375',	'e7b04312-c15d-11e8-ad0d-005056b24375',	'Отделение №1: ул. Березовая, 2'),
(594,	'7c1695f4-933a-11e9-898c-005056b24375',	'40d741db-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63'),
(595,	'5ba7520d-0b77-11ea-9295-005056b24375',	'cd27ebc7-e5e6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 12'),
(596,	'4995c59a-74ca-11ea-91e8-b8830365bd14',	'86b59d9b-735e-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Поповская, 82'),
(597,	'7a2dbd93-f7e5-11e9-9c59-005056b24375',	'24cd0822-cf18-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 5а'),
(598,	'c1dd03fd-69c9-11ea-91e8-b8830365bd14',	'b8dd63f9-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Солнечная, 17'),
(599,	'8b8e7741-e2bf-11e9-b48a-005056b24375',	'1ff1732e-b79d-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(600,	'23d2e621-1b3d-11e5-add9-005056887b8d',	'23d2e60c-1b3d-11e5-add9-005056887b8d',	'Отделение №1: ул. Центральная 33а'),
(601,	'23d9ec59-0c1b-11e4-acce-0050568002cf',	'8aeac472-0bfa-11e4-acce-0050568002cf',	'Отделение №1: ул. Украинская, 90а'),
(602,	'7fa198ae-3858-11ea-8461-0025b502a04e',	'd59d2509-b785-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 2'),
(603,	'1795e891-e22d-11e9-b48a-005056b24375',	'cdda2dbe-b7bc-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Т.Шевченко, 9'),
(604,	'926686cd-9133-11e9-898c-005056b24375',	'ecec0f8d-76ef-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг на одно место): ул. Базарна, 3'),
(605,	'38e047b4-3b80-11e9-acea-005056b24375',	'b5e846b5-39a0-11e9-acea-005056b24375',	'Автолавка: ВК 4215 ВМ: ул. Школьная, 64'),
(606,	'f3345cf3-f802-11e9-9c59-005056b24375',	'2df94d37-f408-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Фигура, 53'),
(607,	'24161b70-7644-11e4-acce-0050568002cf',	'24161b5d-7644-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 64а (маг. &quot;Капитошка&quot;)'),
(608,	'2dca0553-96a7-11e9-898c-005056b24375',	'aed07fb5-9289-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(609,	'244554c6-1a3a-11e5-add9-005056887b8d',	'd653ba34-1988-11e5-add9-005056887b8d',	'Отделение № 1: ул. Монастырецкая, 2'),
(610,	'244d35bc-b5c3-11e4-a77a-005056887b8d',	'244d35a7-b5c3-11e4-a77a-005056887b8d',	'Отделение №1: ул. Мира, 34'),
(611,	'0d545f71-e1c2-11e3-8c4a-0050568002cf',	'b61307c2-3f59-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 1Б'),
(612,	'0d545f72-e1c2-11e3-8c4a-0050568002cf',	'f7062300-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Коцюбинского, 29'),
(613,	'0d545f73-e1c2-11e3-8c4a-0050568002cf',	'69da4181-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Октябрьская, 2'),
(614,	'a98006c9-8939-11e9-898c-005056b24375',	'326cd26c-76f3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ферапонтова, 9'),
(615,	'4298abbb-8131-11e9-898c-005056b24375',	'd7bb2cbb-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 109'),
(616,	'7c0922f5-9800-11e9-898c-005056b24375',	'adbd7779-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кревецкого, 29б'),
(617,	'36513943-df01-11e9-b48a-005056b24375',	'128a28ab-b799-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 81'),
(618,	'7ca1e923-6828-11ea-91e8-b8830365bd14',	'71df092f-6543-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Героев Майдана, 42А'),
(619,	'3a8636d4-1e7e-11ea-ac3b-0025b502a04e',	'64062030-1b1c-11ea-8c15-0025b502a06e',	'Пунт приема-выдачи (до 30 кг), ул. Дрогобычская, 353'),
(620,	'96019ff6-128d-11ea-9295-005056b24375',	'11cbb787-0ce6-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 86'),
(621,	'573a6153-e097-11e9-b48a-005056b24375',	'22d787c4-daa7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(622,	'252c7608-96cc-11e6-a4c1-005056887b8d',	'96455a1f-cb8c-11e3-95eb-0050568046cd',	'Отделение №1: ул. Егорова, 8'),
(623,	'c44d4729-cb00-11e9-b0c5-005056b24375',	'853fa64b-c349-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22-А'),
(624,	'2549964f-5a8a-11e8-9d95-005056b2fc3d',	'25499633-5a8a-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Пригородная, 5'),
(625,	'853c0fff-ca9c-11e9-b0c5-005056b24375',	'c6264cd7-c344-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Карпатская, 2а'),
(626,	'a7f77c2e-2306-11ea-8ac1-0025b502a04e',	'7080924d-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Свято-Михайловская, 1'),
(627,	'0e4197e8-914b-11e9-898c-005056b24375',	'c23f5b16-7d6f-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 56 А'),
(628,	'775a0663-c989-11e9-b0c5-005056b24375',	'e3eaf0da-b774-11e9-8c22-005056b24375',	'Отделение №1: просп. Парковый, 11а'),
(629,	'47402e82-e1c2-11e3-8c4a-0050568002cf',	'f7062360-4078-11de-b509-001d92f78698',	'Отделение №1: ул. 1-го Мая, 18'),
(630,	'f664b43c-122a-11ea-9295-005056b24375',	'4b9d7adb-0ce3-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(631,	'eb418ada-8012-11e9-898c-005056b24375',	'de64db47-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 1А'),
(632,	'4318330a-c981-11e9-b0c5-005056b24375',	'f814568a-c338-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(633,	'26c76bb4-defa-11e9-b48a-005056b24375',	'40d741f0-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Липецкая, 36'),
(634,	'0ba7c98b-db14-11e9-b48a-005056b24375',	'0bccb1da-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Серафинець, 21'),
(635,	'aeaaf21b-cb46-11e9-b0c5-005056b24375',	'ac8e2d84-c34f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(636,	'ff736bb9-85e8-11e9-898c-005056b24375',	'456ccb84-82cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 82б'),
(637,	'336de1d5-e1c2-11e3-8c4a-0050568002cf',	'25cc0752-ba57-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Чернавина, 42а'),
(638,	'141ffeac-9691-11e9-898c-005056b24375',	'89c78f65-9288-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 98'),
(639,	'892f6fb4-85d7-11e9-898c-005056b24375',	'4b20f7eb-82cc-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Грушевского, 17'),
(640,	'abdf6988-ba8f-11e9-8c22-005056b24375',	'edd52e88-b795-11e9-8c22-005056b24375',	'Отделение №1: ул. Выставочная, 12'),
(641,	'e32a1f57-d408-11e9-b0c5-005056b24375',	'a0218ead-cf2d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5А'),
(642,	'a76b1209-11b8-11ea-9295-005056b24375',	'c70408cf-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Кошута, 197'),
(643,	'f2cea46e-6692-11e9-898c-005056b24375',	'3277e8d2-64ca-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. М. Эминеску, 73'),
(644,	'39931b7f-e1c2-11e3-8c4a-0050568002cf',	'06f87938-4079-11de-b509-001d92f78698',	'Отделение №1: пер. Почтовый, 4/4.'),
(645,	'1692285e-e1c2-11e3-8c4a-0050568002cf',	'e221d625-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Благовещенская, 58'),
(646,	'ae04dd69-11b2-11ea-9295-005056b24375',	'f9a0584c-0c94-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Подольская, 29а'),
(647,	'768b249c-67fd-11e9-898c-005056b24375',	'c45a2fc9-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тишика, 56а'),
(648,	'2654e6a0-13dc-11e4-acce-0050568002cf',	'905c11c4-13d6-11e4-acce-0050568002cf',	'Отделение № 1: ул. Богдана Хмельницкого, 1'),
(649,	'2c9b6fff-db0e-11e9-b48a-005056b24375',	'f0b6fb41-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тернопольская, 41'),
(650,	'49b80486-85da-11e9-898c-005056b24375',	'c19296fc-82cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31а'),
(651,	'1958cdbc-6751-11e9-898c-005056b24375',	'26b68590-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 89а'),
(652,	'336de164-e1c2-11e3-8c4a-0050568002cf',	'2689f37a-d501-11e3-95eb-0050568046cd',	'Отделение №1: ул. Главная, 28'),
(653,	'46c38787-667d-11e9-898c-005056b24375',	'd9420b16-64c9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 37'),
(654,	'ac3c931c-913e-11e9-898c-005056b24375',	'2117a5df-887a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сторожинецкая, 24а'),
(655,	'a1ab9ae5-fa59-11e9-9c59-005056b24375',	'00f007d8-f427-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Буднок, 31'),
(656,	'64730d6e-8068-11e9-898c-005056b24375',	'ef619552-76f3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Баня, 150'),
(657,	'69553b7e-cab8-11e9-b0c5-005056b24375',	'cc7d1d19-8860-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 60'),
(658,	'3646324f-805c-11e9-898c-005056b24375',	'e4c95d7a-7d61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кольцевая, 48'),
(659,	'4340dd97-ae0d-11e9-8c22-005056b24375',	'1dfda720-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 24'),
(660,	'be3be2d8-85c8-11e9-898c-005056b24375',	'767d5428-7d71-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 5'),
(661,	'16922828-e1c2-11e3-8c4a-0050568002cf',	'f706237a-4078-11de-b509-001d92f78698',	'Отделение №1: ул. А. Маковея, 62'),
(662,	'1e223f91-6688-11e9-898c-005056b24375',	'568f7438-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23'),
(663,	'1e223faa-6688-11e9-898c-005056b24375',	'8c8e9fa8-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(664,	'787c45ad-5c88-11ea-91e8-b8830365bd14',	'7b34c3b7-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Игоря Сикорского, 44Б'),
(665,	'96db83f6-ff90-11e8-ad0d-005056b24375',	'09e94017-fe15-11e8-ad0d-005056b24375',	'Автолавка (до 30 кг): АН 2938 КН, площадь Гагарина (возле сельсовета)'),
(666,	'0d545f4b-e1c2-11e3-8c4a-0050568002cf',	'000655cc-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мира,109'),
(667,	'03644596-f0c7-11e9-9c59-005056b24375',	'ec87fcd4-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лучевая, 13'),
(668,	'04ae3ab8-e229-11e9-b48a-005056b24375',	'9c3f0376-dab4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полесская, 65'),
(669,	'eef405da-be8e-11e9-8c22-005056b24375',	'3b687ae0-b78c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Комсомольская, 8'),
(670,	'39d1927a-ca93-11e9-b0c5-005056b24375',	'054d8518-884b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральна, 155'),
(671,	'a2e2f845-b371-11e9-8c22-005056b24375',	'c02a4495-a958-11e9-b73a-005056b24375',	'Дегтяри, Центральная, 32'),
(672,	'5dd21b6b-27e4-11ea-8ac1-0025b502a04e',	'd25db9eb-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 45'),
(673,	'e60a8152-fed0-11e9-9c59-005056b24375',	'326cd257-76f3-11e9-898c-005056b24375',	'Отделение №1: ул. Дружбы, 1'),
(674,	'6faf2342-adf3-11e9-8c22-005056b24375',	'ee391088-a954-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(675,	'23682480-bab4-11e9-8c22-005056b24375',	'8dd837f2-b7a3-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 42'),
(676,	'1ec09d5b-e1c2-11e3-8c4a-0050568002cf',	'e43db799-7d8b-11e1-beca-0026b97ed48a',	'Отделение №1: ул. Шухевича, 3'),
(677,	'fabc3108-7d86-11e9-898c-005056b24375',	'9f2dd421-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50'),
(678,	'6faf2318-adf3-11e9-8c22-005056b24375',	'ee391073-a954-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(679,	'75739dfe-38fd-11ea-8461-0025b502a04e',	'8fbdc030-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Милиенка, 46'),
(680,	'25a59b55-9687-11e9-898c-005056b24375',	'a7214956-9290-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 37'),
(681,	'16922863-e1c2-11e3-8c4a-0050568002cf',	'441f7f98-a440-11dd-bcd8-001d92f78697',	'Отделение №1: ул. Ленина, 54 (ТРК Альтаир)'),
(682,	'16922865-e1c2-11e3-8c4a-0050568002cf',	'7833e60e-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Погребняка, 8б'),
(683,	'eb2fb2fa-11bb-11ea-9295-005056b24375',	'040b9d75-f412-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 31-А'),
(684,	'40498344-e1c2-11e3-8c4a-0050568002cf',	'69da416c-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Б. Хмельницкого, 42'),
(685,	'28192aca-b2ad-11e4-a77a-005056887b8d',	'c6d1f384-b2a8-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Октябрьская, 8'),
(686,	'b686af94-b35a-11e9-8c22-005056b24375',	'43913a90-9e44-11e9-898c-005056b24375',	'Отделение №1: ул. Хмель, 50а'),
(687,	'cac0bbcd-2325-11ea-ba4d-005056b24375',	'0d5715a2-0c94-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Проектная, 11'),
(688,	'3cfae8f6-0e19-11ea-9295-005056b24375',	'da86c22c-b797-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 1б'),
(689,	'5af1edd1-1fea-11ea-ba4d-005056b24375',	'd193840e-0c96-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 13'),
(690,	'72b282ab-ae21-11e9-8c22-005056b24375',	'c87ae025-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Парусная, 1'),
(691,	'dd500fd8-942a-11e9-898c-005056b24375',	'199ba717-885c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 109'),
(692,	'42afa199-8056-11e9-898c-005056b24375',	'e4c95d50-7d61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мифодия Ковальчука, 33'),
(693,	'ad775db4-8218-11e9-898c-005056b24375',	'df11dcef-76ed-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 24'),
(694,	'c9be82c2-a3b6-11e9-b790-005056b24375',	'cf2d4736-9e5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 17А'),
(695,	'b036ae19-3b78-11e9-acea-005056b24375',	'f0a49fe9-399e-11e9-acea-005056b24375',	'Автолавка: ВК 4215 ВМ: ул. Богдана Хмельницкого, 8'),
(696,	'cd04a902-c9a0-11e9-b0c5-005056b24375',	'af5a0218-c33b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 35'),
(697,	'563d79c0-805e-11e9-898c-005056b24375',	'e4c95d8f-7d61-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Центральная, 10'),
(698,	'037f7867-74c6-11e9-898c-005056b24375',	'6c523b6d-73dd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1'),
(699,	'19e8ea02-e095-11e9-b48a-005056b24375',	'b7c4db63-daa6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 2Б'),
(700,	'2bb8ce74-e1c2-11e3-8c4a-0050568002cf',	'2959a2a4-6183-11e3-b441-0050568002cf',	'Отделение №1: ул. Шевченко, 2/82'),
(701,	'2bb8ce75-e1c2-11e3-8c4a-0050568002cf',	'2959a2af-6183-11e3-b441-0050568002cf',	'Отделение №1: ул. Почтовая, 7'),
(702,	'39931b57-e1c2-11e3-8c4a-0050568002cf',	'f7062314-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 104а'),
(703,	'39931b59-e1c2-11e3-8c4a-0050568002cf',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Центральная, 70'),
(704,	'39931b5a-e1c2-11e3-8c4a-0050568002cf',	'000655fc-4079-11de-b509-001d92f78698',	'Отделение №1: ул., Шевченка, 35'),
(705,	'29939d25-4484-11e4-acce-0050568002cf',	'29939d15-4484-11e4-acce-0050568002cf',	'Отделение №1: ул. Владимира Козака, 50'),
(706,	'2bb8cec2-e1c2-11e3-8c4a-0050568002cf',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Олекси Тихого, 70в'),
(707,	'40498354-e1c2-11e3-8c4a-0050568002cf',	'000655f0-4079-11de-b509-001d92f78698',	'Отделение № 1: ул. Кипенко, 4'),
(708,	'40498355-e1c2-11e3-8c4a-0050568002cf',	'69da41d8-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Незавизимости, 19а'),
(709,	'd4d1e6e8-67f7-11e9-898c-005056b24375',	'7294763d-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Довбуша, 3'),
(710,	'ce939be7-5c65-11ea-b3f9-b8830365bd14',	'd1393210-8866-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Митяшкина, 65'),
(711,	'a76b11f0-11b8-11ea-9295-005056b24375',	'a545f2e7-feea-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мартирок б/н'),
(712,	'f8769409-24a6-11e9-ad0d-005056b24375',	'760c941f-23aa-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Весенняя, 2а'),
(713,	'd9513334-74ca-11ea-91e8-b8830365bd14',	'16a6ce44-735f-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Довбуша, 141'),
(714,	'04d02c9d-ca96-11e9-b0c5-005056b24375',	'11dc570a-c352-11e9-b0c5-005056b24375',	'ункт приема-выдачи (до 30 кг): ул. Зеленая, 3'),
(715,	'117a078b-e20b-11e9-b48a-005056b24375',	'a70c809d-dae8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Большая Лубянка, 17'),
(716,	'6a093417-e035-11e9-b48a-005056b24375',	'05c808cf-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 40'),
(717,	'449a5c73-91dd-11e9-898c-005056b24375',	'4b73abdb-882d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 10'),
(718,	'14a938db-ac99-11e9-8c22-005056b24375',	'8c469cd3-9e6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 57А'),
(719,	'1ec09d28-e1c2-11e3-8c4a-0050568002cf',	'db5c88c9-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Кооперативная, 4'),
(720,	'1ec09d2b-e1c2-11e3-8c4a-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Верещагина, 16'),
(721,	'1ec09d2d-e1c2-11e3-8c4a-0050568002cf',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Привокзальная, 21'),
(722,	'1ec09d2e-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Городоцкая, 355/6'),
(723,	'1ec09d2f-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Куприна, 10'),
(724,	'1ec09d30-e1c2-11e3-8c4a-0050568002cf',	'db5c8985-391c-11dd-90d9-001a92567626',	'Отделение №1: с. Грабовец, ул. Поповича, 11а'),
(725,	'1ec09d31-e1c2-11e3-8c4a-0050568002cf',	'e221d650-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Молодежная, 6-Г'),
(726,	'1ec09d32-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Максимовича, 8'),
(727,	'1ec09d38-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Князя Владимира, 109а'),
(728,	'1ec09d39-e1c2-11e3-8c4a-0050568002cf',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Олега Оникиенко (ран. Кутузова), 125'),
(729,	'1ec09d3a-e1c2-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №1 (до 30 кг на одно место): ул. Старобелоуская, 77'),
(730,	'1ec09d3b-e1c2-11e3-8c4a-0050568002cf',	'db5c891e-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Владимирская, 135'),
(731,	'1ec09d3d-e1c2-11e3-8c4a-0050568002cf',	'db5c895b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Казацкая (ран. Красного Казачества), 122/1'),
(732,	'1ec09d3e-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Флотская, 2'),
(733,	'1ec09d42-e1c2-11e3-8c4a-0050568002cf',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. И. Франко, 40а'),
(734,	'7b422fb1-e1b8-11e3-8c4a-0050568002cf',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Узынская (ран. 1-ая Совхозная), 5'),
(735,	'7b422fb4-e1b8-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №1: просп. Героев Украины (ран. просп. Героев Сталинграда), д. 13'),
(736,	'7b422fb5-e1b8-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Ветеринарная, 22 (заезд с ул. Европейская &quot;Меблевий квартал&quot;)'),
(737,	'7b422fbf-e1b8-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Крепостная (ран. Грязнова), 2в (Набережная магистраль)'),
(738,	'4c1ca199-dae9-11e9-b48a-005056b24375',	'6640f01e-9e35-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Кравченко, 156'),
(739,	'219c009a-0b68-11ea-9295-005056b24375',	'e831482c-fed3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Чернобыльская, 16г'),
(740,	'f0aa39d1-9119-11e9-898c-005056b24375',	'f11c46ac-8838-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Залужна, 2'),
(741,	'7946818a-241c-11ea-8ac1-0025b502a04e',	'dd2ae777-feed-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Волгодонская, 73'),
(742,	'eef40603-be8e-11e9-8c22-005056b24375',	'9f311a06-b790-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 26'),
(743,	'730d38d2-5d5b-11ea-91e8-b8830365bd14',	'a2058c5a-cf4c-11e9-b0c5-005056b24375',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 14'),
(744,	'2b297a42-8ea5-11e5-a023-005056887b8d',	'2b297a2f-8ea5-11e5-a023-005056887b8d',	'Отделение №1: ул. Каштановая, 16'),
(745,	'2b2fb8f9-3a90-11e5-add9-005056887b8d',	'f583e224-3a89-11e5-add9-005056887b8d',	'Отделение №1: ул. Центральная, 28а'),
(746,	'2b3326cf-636f-11e5-8d8d-005056887b8d',	'2b3326bc-636f-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Авиационная (рынок)'),
(747,	'24ec4151-8222-11e9-898c-005056b24375',	'e52d9a75-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(748,	'1ec09db0-e1c2-11e3-8c4a-0050568002cf',	'db5c8920-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Соборная (ран. Советская), 31'),
(749,	'c6839a32-c983-11e4-a77a-005056887b8d',	'c6839a20-c983-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Шевченко, 9а'),
(750,	'2b4f7cac-c984-11e4-a77a-005056887b8d',	'2b4f7c98-c984-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Соборная, 2'),
(751,	'9c1acd25-e224-11e9-b48a-005056b24375',	'52972239-cf4a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 98'),
(752,	'1e7c14b1-e209-11e9-b48a-005056b24375',	'66675367-cf21-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 39'),
(753,	'2babac08-bb32-11e4-a77a-005056887b8d',	'2bababf5-bb32-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Подлесная, 27'),
(754,	'83c56dcd-9104-11e9-898c-005056b24375',	'358842bd-883e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Солнечная, 1'),
(755,	'c3a6be20-a47e-11e9-b790-005056b24375',	'e14c9281-9e5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(756,	'fe171b3c-127b-11ea-9295-005056b24375',	'25627aba-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Береговский, 22а'),
(757,	'84da8384-e219-11e9-b48a-005056b24375',	'196f4f05-8868-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(758,	'2c197348-4d80-11e5-8d8d-005056887b8d',	'2c197334-4d80-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Коммунистическая, 4'),
(759,	'3f0e738c-0ec0-11ea-9295-005056b24375',	'0dbf78c7-e67a-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шосова, 97'),
(760,	'874dd5aa-820a-11e9-898c-005056b24375',	'92e65539-76ea-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Соборная, 1'),
(761,	'1b402f46-e227-11e9-b48a-005056b24375',	'8240e227-883f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 6-Б'),
(762,	'24af5ea2-0ab2-11e9-ad0d-005056b24375',	'67a54b82-095d-11e9-ad0d-005056b24375',	'Отделение №1 (до 30 кг): ул. Музыкальная, 2-Б'),
(763,	'9c0c1ac1-8132-11e9-898c-005056b24375',	'9523e9e9-7302-11e9-898c-005056b24375',	'Отделение №1: ул. Карнаухина, 32'),
(764,	'e54f2c8f-fa5b-11e9-9c59-005056b24375',	'217ce6e8-f426-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мартынова, 11'),
(765,	'aa12ab9b-e08c-11e9-b48a-005056b24375',	'b7c4db4e-daa6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Подсухи, 102 б'),
(766,	'2c761165-b2c4-11e5-8478-005056887b8d',	'2c761145-b2c4-11e5-8478-005056887b8d',	'Отделение №1: ул. Шевченка, 56а'),
(767,	'8cf2cac9-0b69-11ea-9295-005056b24375',	'ffbfb155-b77b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78'),
(768,	'580de3f4-800f-11e9-898c-005056b24375',	'3c91efb0-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кушнира, 55'),
(769,	'01754904-75be-11e6-a9f2-005056887b8d',	'017548ec-75be-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Траян,10'),
(770,	'799c306b-ca39-11e9-b0c5-005056b24375',	'357e7be4-76fa-11e9-898c-005056b24375',	'Юрковка, ул Октябрьская, 87'),
(771,	'13b53357-b2e4-11e9-8c22-005056b24375',	'809623a5-8841-11e9-898c-005056b24375',	'Отделение №1: ул. Юбилейная, 37А'),
(772,	'7d586872-f0e5-11e9-9c59-005056b24375',	'bb95cd5f-e687-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гургули, 33'),
(773,	'b219be8b-bdcd-11e9-8c22-005056b24375',	'b2021399-b7b8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 1'),
(774,	'0d545f5b-e1c2-11e3-8c4a-0050568002cf',	'dac09f79-7708-11e1-8934-0026b97ed48a',	'Отделение №1: ул. Молодёжная, 7'),
(775,	'76cbbada-caac-11e9-b0c5-005056b24375',	'b88ffd72-9e58-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шухевича, 2Б'),
(776,	'2bb8cef2-e1c2-11e3-8c4a-0050568002cf',	'ae7a32be-0d45-11de-b6f5-001d92f78697',	'Отделение: ул. Чкалова, 93'),
(777,	'511fcfc4-e1c2-11e3-8c4a-0050568002cf',	'000655fe-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Калинина, 70'),
(778,	'511fcfc5-e1c2-11e3-8c4a-0050568002cf',	'2d0743b0-9acf-11e3-b441-0050568002cf',	'Отделение №1: ул. Центральная, 103'),
(779,	'511fcfc6-e1c2-11e3-8c4a-0050568002cf',	'2d0743bb-9acf-11e3-b441-0050568002cf',	'Отделение №1: ул. Генерала Плиева, 29/4.'),
(780,	'aec551d9-a3bc-11e9-b790-005056b24375',	'e18f7084-9e62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(781,	'5134b34f-df0d-11e9-b48a-005056b24375',	'f384f3d4-b7a7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Таврическая, 1'),
(782,	'1d56fc36-0524-11ea-9c59-005056b24375',	'6fd63ff2-e674-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 124а'),
(783,	'2d613296-310d-11e5-add9-005056887b8d',	'4bbebe91-310b-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Героев Украины, 8а'),
(784,	'6dc9aebe-e2e7-11e9-b48a-005056b24375',	'3de91332-cf3a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 19'),
(785,	'50b0ad54-fa5d-11e9-9c59-005056b24375',	'08569626-f426-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 28Б'),
(787,	'97f17155-929b-11e9-898c-005056b24375',	'd7892fb2-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 447'),
(788,	'3e12851a-ad33-11e9-8c22-005056b24375',	'6331d068-a953-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 1'),
(789,	'82b5cf87-ca9d-11e9-b0c5-005056b24375',	'2e1b7e87-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 19б'),
(790,	'2d85bf5c-dc2f-11e4-8a92-005056887b8d',	'2d85bf49-dc2f-11e4-8a92-005056887b8d',	'Отделение №1: ул. Промышленная, 1'),
(791,	'1692288e-e1c2-11e3-8c4a-0050568002cf',	'e221d62b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Киевская (ран. Кирова), 34'),
(792,	'e61c282c-5179-11ea-9b37-0025b502a04e',	'5c5c1d7b-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 1'),
(793,	'aae912d4-044f-11ea-9c59-005056b24375',	'3d100650-b76e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 98'),
(794,	'0bcfbead-f71f-11e9-9c59-005056b24375',	'a3157f06-e675-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(795,	'2bb8ce69-e1c2-11e3-8c4a-0050568002cf',	'2df2962d-5051-11e3-b441-0050568002cf',	'Отделение №1: ул. Берегового, 46'),
(796,	'2e017a82-92b8-11e5-a023-005056887b8d',	'2e017a6d-92b8-11e5-a023-005056887b8d',	'Отделение №1: ул. Правденская, 1'),
(797,	'cab01e50-74c9-11e9-898c-005056b24375',	'6c523b82-73dd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Т.Г. Шевченко, 55'),
(798,	'8f8664a3-11e0-11ea-9295-005056b24375',	'b1f9b929-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(799,	'b550badf-74ca-11ea-91e8-b8830365bd14',	'f349a9a1-735e-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Сечевых Стрельцов, 5'),
(800,	'98810627-ae22-11e9-8c22-005056b24375',	'04f87556-a957-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 77'),
(801,	'b44781f5-127e-11ea-9295-005056b24375',	'e86be019-e686-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Беке, 156'),
(802,	'1a823396-aa25-11e9-b73a-005056b24375',	'8ea019e0-9e4e-11e9-898c-005056b24375',	'Отделение №1: ул. Грищенко, 6а'),
(803,	'1ea2004c-d2fa-11e9-b0c5-005056b24375',	'e721a7e4-b79a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 4'),
(804,	'c4e05178-cb3d-11e9-b0c5-005056b24375',	'54a52180-9e4f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(805,	'bbfeedc5-9b43-11e9-898c-005056b24375',	'6f0ac1f4-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(806,	'1ec09dcc-e1c2-11e3-8c4a-0050568002cf',	'69da41c3-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Зозулинского, 15 Б'),
(807,	'1ec09dcd-e1c2-11e3-8c4a-0050568002cf',	'955e957a-d525-11e0-a0c3-b20c8c0df681',	'Отделение № 1: ул. Олега Кошевого, 42б'),
(808,	'1ec09dce-e1c2-11e3-8c4a-0050568002cf',	'06f8795c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Набережная, 170'),
(809,	'1ec09dcf-e1c2-11e3-8c4a-0050568002cf',	'f7062350-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Луганская, 1а'),
(810,	'1ec09dd0-e1c2-11e3-8c4a-0050568002cf',	'dfdc9daf-ace7-11dd-8b61-001d92f78697',	'Отделение №1: ул. Свободы,102а'),
(811,	'7057da84-dfc7-11e9-b48a-005056b24375',	'cb4f1c4f-cfd8-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(812,	'f6e28a09-ad52-11e9-8c22-005056b24375',	'de64db5c-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(813,	'98a30205-e3be-11e9-b48a-005056b24375',	'878aee97-b7a1-11e9-8c22-005056b24375',	'Отделение №1 (до 30 кг): ул. Адмирала Левченко, 132'),
(814,	'ae8dbd10-fbd7-11e9-9c59-005056b24375',	'40708e64-e68d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Удянская, 11'),
(815,	'630aa230-9658-11e9-898c-005056b24375',	'e94c0165-9286-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинский, 1'),
(816,	'96c3fd66-0c24-11ea-9295-005056b24375',	'908c1c1c-e68d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Евдокимова, 5а'),
(817,	'2ef035bf-99ad-11e5-a023-005056887b8d',	'2ef035ab-99ad-11e5-a023-005056887b8d',	'Отделение №1: ул. Соборная, 189а'),
(818,	'2f000cb0-05fd-11e5-8a92-005056887b8d',	'2f000c9b-05fd-11e5-8a92-005056887b8d',	'Отделение № 1: ул. Горького, 2'),
(819,	'fa582ce8-9662-11e9-898c-005056b24375',	'f06dc047-9656-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Аграрная, 8а'),
(820,	'2fd503bc-85e1-11e9-898c-005056b24375',	'291aee31-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гвардейская, 50'),
(821,	'c3ef722a-9148-11e9-898c-005056b24375',	'39e7d021-390a-11e9-acea-005056b24375',	'Отделение №1: ул. Вокзальная, 11'),
(822,	'83cf740c-0b75-11ea-9295-005056b24375',	'0095a1c7-fee0-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Городецкая, 2'),
(823,	'fe314a49-a32b-11e9-b790-005056b24375',	'e5f62927-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Овлочинська, 5'),
(824,	'1d2e117f-6748-11e9-898c-005056b24375',	'0c33dfec-5f6c-11e9-898c-005056b24375',	'Отделение №1: ул. Декабристов, 2а'),
(825,	'3111d3d4-5c88-11ea-91e8-b8830365bd14',	'6db577b7-5a1a-11ea-a970-b8830365ade4',	'\nПункт приема-выдачи (до 30 кг), ул. Школьная, 16'),
(826,	'00326d67-1287-11ea-9295-005056b24375',	'f65965d0-cf49-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 12'),
(827,	'52d8c3eb-0b71-11ea-9295-005056b24375',	'9cf9dae3-fedf-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Фантераль, 81'),
(828,	'16922869-e1c2-11e3-8c4a-0050568002cf',	'db5c88f6-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Горишня Брама, 183'),
(829,	'f7fd0fb9-6ce1-11e9-898c-005056b24375',	'9f95c0b2-64d3-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Киевская, 47а'),
(830,	'ae80b22d-e1f3-11e9-b48a-005056b24375',	'ca4b3fe0-cf1f-11e9-b0c5-005056b24375',	'Отделение №1: ул. Вокзальная, 2а'),
(831,	'c18bccf7-23d3-11ea-ba4d-005056b24375',	'd1d230fa-cf17-11e9-b0c5-005056b24375',	'Отделение №1, ул. Мира, 121'),
(832,	'2fba68e3-0834-11e4-acce-0050568002cf',	'2fba68d4-0834-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 24а'),
(833,	'38f4df43-ac8b-11e9-8c22-005056b24375',	'feee04d0-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Парковая, 8'),
(834,	'747737ba-bdc7-11e9-8c22-005056b24375',	'b398e461-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 45а'),
(835,	'0d545ec2-e1c2-11e3-8c4a-0050568002cf',	'2fe13b3e-dd65-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Ровенская, 1'),
(836,	'a5907814-13df-11e9-ad0d-005056b24375',	'67a54b9c-095d-11e9-ad0d-005056b24375',	'Отделение №1: ул. Ивана Франко, 2А'),
(837,	'787d8c33-5c88-11ea-91e8-b8830365bd14',	'8b2918a9-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Киевская, 26а'),
(838,	'1ea35b83-8019-11e9-898c-005056b24375',	'3c91efc5-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 21'),
(839,	'6ec939f0-81da-11e9-898c-005056b24375',	'fb9056d0-7d6f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 17'),
(840,	'684c5e2c-caff-11e9-b0c5-005056b24375',	'853fa65c-c349-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 2'),
(841,	'3044ab60-a337-11e5-a023-005056887b8d',	'3044ab4c-a337-11e5-a023-005056887b8d',	'Отделение №1: ул. Львовская, 33'),
(842,	'97d18faa-93f9-11e9-898c-005056b24375',	'b1143ef2-885e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Небесной Сотни, 1'),
(843,	'eb98b3f2-fb9a-11e9-9c59-005056b24375',	'87603d5a-b7be-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 22'),
(844,	'661c81ef-81ea-11e9-898c-005056b24375',	'fab79277-7d65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 26'),
(845,	'062437c9-e22d-11e9-b48a-005056b24375',	'bb70b041-c342-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ковельская, 55а'),
(846,	'c35934b0-ae2c-11e9-8c22-005056b24375',	'a6f77fc5-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Козловского, 12'),
(847,	'336de172-e1c2-11e3-8c4a-0050568002cf',	'c5f70e46-4bd0-11dd-9198-001d60451983',	'Отделение №1: ул. Шевченко, 11а'),
(848,	'336de173-e1c2-11e3-8c4a-0050568002cf',	'06f8797a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Майдана, 12а'),
(849,	'336de174-e1c2-11e3-8c4a-0050568002cf',	'06f87986-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Чернобыля, 19'),
(850,	'69553b65-cab8-11e9-b0c5-005056b24375',	'3ade9b12-964b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Димитрова, 66а'),
(851,	'22646d7c-0b81-11ea-9295-005056b24375',	'15befd0e-9e52-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 33б'),
(852,	'980c5582-6743-11e9-898c-005056b24375',	'849eb447-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(853,	'12f787be-a3ab-11e9-b790-005056b24375',	'23837774-9e5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ингулецкая, 9'),
(854,	'30d0745d-1cb7-11e6-971e-005056887b8d',	'f706230e-4078-11de-b509-001d92f78698',	'Оделение №1: ул. Медовая, 10'),
(855,	'f8afeff0-caba-11e9-b0c5-005056b24375',	'04eda5ea-b79f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, б\\н'),
(856,	'6744049a-b35e-11e9-8c22-005056b24375',	'97b6f939-9e4f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 88'),
(857,	'2a7e3231-115d-11ea-9295-005056b24375',	'0f75fb1f-0cf7-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(858,	'6f4a78b4-addf-11e9-8c22-005056b24375',	'be34bbb7-9e52-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Примака, 1'),
(859,	'796ca0c6-7f23-11e9-898c-005056b24375',	'dab6f87d-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 80'),
(860,	'0784420a-0ebe-11ea-9295-005056b24375',	'8d157640-feed-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 24'),
(861,	'c0b6ff9f-6663-11e9-898c-005056b24375',	'e3f2390e-5a94-11e9-a703-005056b24375',	'Отделение №1: ул. Первомайская, 2Б'),
(862,	'16922867-e1c2-11e3-8c4a-0050568002cf',	'315aca83-16cf-11e2-928c-d4ae527baec9',	'Отделение №1: ул. Чайковского, 2а'),
(863,	'0248bce3-cb48-11e9-b0c5-005056b24375',	'152a0a0b-c350-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(864,	'4b234937-8932-11e9-898c-005056b24375',	'c6780591-8828-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Подольская, 7'),
(865,	'9ffa0381-e2c6-11e9-b48a-005056b24375',	'f384f3aa-b7a7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 22'),
(866,	'd31234c6-eb65-11e9-b850-005056b24375',	'cb003d26-e5ec-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 7'),
(867,	'b6432fdb-81ec-11e9-898c-005056b24375',	'9b2a1394-7d70-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 18'),
(868,	'a7420342-cafd-11e9-b0c5-005056b24375',	'5d93509d-c346-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(869,	'ff736beb-85e8-11e9-898c-005056b24375',	'a42b04d7-82cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 11'),
(870,	'3204c4a1-368f-11e5-add9-005056887b8d',	'e295efee-59e9-11e4-acce-0050568002cf',	'Отделение 1: ул. Независимости, 2'),
(871,	'd3b067e0-fc6e-11e8-ad0d-005056b24375',	'7d02af62-f867-11e8-ad0d-005056b24375',	'Отделение №1 (до 30 кг на одно место): ул. Непокоренных, 22'),
(872,	'5892e26d-7bce-11e9-898c-005056b24375',	'749932df-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 29'),
(873,	'a1ab9b07-fa59-11e9-9c59-005056b24375',	'8724da76-e5df-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(874,	'eb35a249-ca65-11e9-b0c5-005056b24375',	'cbd146a5-c340-11e9-b0c5-005056b24375',	'Огурцовка, ул Дружбы, 23'),
(875,	'5b3fd9f5-6ce3-11e9-898c-005056b24375',	'5c11fa01-65c1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Карьерная, 5'),
(876,	'a3af0ebe-e21c-11e9-b48a-005056b24375',	'5031a57a-dae7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Бондаренко, 99'),
(877,	'1c746dcf-915a-11e9-898c-005056b24375',	'f11c4698-8838-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 39А'),
(879,	'408c5ec3-b367-11e9-8c22-005056b24375',	'0991e684-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Фармаковский, 8'),
(880,	'43ca109f-b20a-11e9-8c22-005056b24375',	'f8c9ddf2-a7a2-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(881,	'2bb8cee7-e1c2-11e3-8c4a-0050568002cf',	'db5c8934-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Владимира Сосюры (ран. Свердлова), 355'),
(882,	'2bb8cee9-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №1: бул. Независимости, 2а'),
(883,	'2bb8ceea-e1c2-11e3-8c4a-0050568002cf',	'db5c896f-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Полтавская, 41'),
(884,	'2bb8ceeb-e1c2-11e3-8c4a-0050568002cf',	'e221d63e-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Гвардейская, 153а'),
(885,	'b7437afc-85ea-11e9-898c-005056b24375',	'fa511767-76fa-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 12'),
(886,	'336e433f-12af-11e6-971e-005056887b8d',	'336e4326-12af-11e6-971e-005056887b8d',	'Отделение №1: ул. Независимости, 10'),
(887,	'eba854e3-85de-11e9-898c-005056b24375',	'198b3647-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральный майдан, 1'),
(888,	'259510cf-e2da-11e9-b48a-005056b24375',	'5b8021da-dae0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 45'),
(889,	'7bdb6300-d460-11e9-b0c5-005056b24375',	'e6524d87-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 37'),
(890,	'e5b4c494-8d52-11e9-898c-005056b24375',	'b555727b-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 62а'),
(891,	'1711fc28-4108-11ea-9b37-0025b502a04e',	'c4471413-e5eb-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 28'),
(892,	'f1f73f06-cfec-11e9-b0c5-005056b24375',	'3444087f-9e3b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 3'),
(893,	'c6e20a4c-e0a3-11e9-b48a-005056b24375',	'6fcd78c7-7d60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 81'),
(894,	'33bf5e92-11ad-11e4-acce-0050568002cf',	'33bf5e83-11ad-11e4-acce-0050568002cf',	'Отделение №1: ул. Главная, 37'),
(895,	'954723ad-965b-11e9-898c-005056b24375',	'cd822fa1-9282-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 21А'),
(896,	'198594d4-de7f-11e9-b48a-005056b24375',	'f5b618a7-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дрогобычская, 65'),
(897,	'4049831b-e1c2-11e3-8c4a-0050568002cf',	'f7062388-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Яворницкого,8'),
(898,	'4049831c-e1c2-11e3-8c4a-0050568002cf',	'f7062370-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Львовская, 8'),
(899,	'd3bd892f-d30e-11e9-b0c5-005056b24375',	'04eda5d3-b79f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 2'),
(900,	'f697be62-fbde-11e9-9c59-005056b24375',	'5d720088-e5ee-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(901,	'16922893-e1c2-11e3-8c4a-0050568002cf',	'db5c88e3-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Киевская (ран. просп. Октябрьской революции), 48а'),
(902,	'336de1bb-e1c2-11e3-8c4a-0050568002cf',	'3425bc36-adb8-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Перспективная, 2'),
(903,	'28601e82-0aa8-11e9-ad0d-005056b24375',	'8ec3300d-ff89-11e8-ad0d-005056b24375',	'Отделение №1: ул. Научная, 1'),
(904,	'd7ea47da-e9a4-11e9-b850-005056b24375',	'8d0db26a-cf3c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(905,	'7d5e251b-85e5-11e9-898c-005056b24375',	'0a2aa390-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Попова, 30'),
(906,	'92064824-f71c-11e9-9c59-005056b24375',	'f17dc68b-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мелиоративная, 1'),
(907,	'b3eb9f92-8226-11e9-898c-005056b24375',	'e52d9a60-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(908,	'23795a0e-014b-11ea-9c59-005056b24375',	'34581559-e692-11e9-b48a-005056b24375',	'Пункте приема-выдачи (до 30 кг): ул. Коростенский, 18'),
(909,	'1c17c981-cd8a-11e9-b0c5-005056b24375',	'cb7e7bf3-b7a3-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Уютная, 9'),
(910,	'346e801c-2ba7-11e5-add9-005056887b8d',	'346e8009-2ba7-11e5-add9-005056887b8d',	'Отделение №1: ул. Патруся Карпатского, 13а'),
(911,	'976f437a-e217-11e9-b48a-005056b24375',	'f2e0046b-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10'),
(912,	'4e0af1e7-11b1-11ea-9295-005056b24375',	'be18a877-0c94-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6Б'),
(913,	'b0abac12-ec33-11e9-b850-005056b24375',	'23e97262-e68e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 2'),
(914,	'526fd324-be89-11e9-8c22-005056b24375',	'948341f7-b77f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шахтерская, 15а'),
(915,	'd5c8be06-df6e-11e9-b48a-005056b24375',	'56646bea-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вайды, 80'),
(916,	'1228db82-e026-11e9-b48a-005056b24375',	'24cd07f8-cf18-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 159/3'),
(917,	'02c4dba3-aa32-11e9-b73a-005056b24375',	'4022d64a-884a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Арпада, 39'),
(918,	'39030082-052f-11ea-9c59-005056b24375',	'83666e49-e678-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 77'),
(919,	'2aacfcea-db22-11e9-b48a-005056b24375',	'd03cc9f0-cf28-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 46'),
(920,	'9ffa03a3-e2c6-11e9-b48a-005056b24375',	'f384f3bf-b7a7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 1'),
(921,	'e04c6446-df65-11e9-b48a-005056b24375',	'7f6a84fa-cf3e-11e9-b0c5-005056b24375',	'Михальча'),
(922,	'40498327-e1c2-11e3-8c4a-0050568002cf',	'f7062354-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченко, 8'),
(924,	'c0bacee4-eb23-11e9-b850-005056b24375',	'e44aafc6-e5e8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(925,	'40498351-e1c2-11e3-8c4a-0050568002cf',	'69da41a8-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Привокзальная, 35 а'),
(926,	'41f01183-b355-11e9-8c22-005056b24375',	'df5ba8ec-a946-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мостовая, 1'),
(927,	'7395f67f-df5c-11e9-b48a-005056b24375',	'c6292913-cf27-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44'),
(928,	'3538993a-e6a8-11e5-899e-005056887b8d',	'801fe5be-e6a7-11e5-899e-005056887b8d',	'Отделение №1: ул. Приморская, 54/1'),
(929,	'91df255c-5071-11e9-acea-005056b24375',	'7e72b1e1-4c84-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Преображенская, 5а'),
(930,	'337fa0da-2414-11ea-8ac1-0025b502a04e',	'd7bbb0e5-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Кирешская, б/н'),
(931,	'1ec09d73-e1c2-11e3-8c4a-0050568002cf',	'db5c88d9-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Горького, 8'),
(932,	'6d65d739-b365-11e9-8c22-005056b24375',	'792b7516-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Слабожанська, 76'),
(933,	'35b6284c-0c7d-11e6-971e-005056887b8d',	'6535185b-0c79-11e6-971e-005056887b8d',	'Отделение №1: ул. Шевченка, 30б'),
(934,	'35a6c414-6d1c-11ea-a970-b8830365ade4',	'9d2fee8f-cefe-11e5-8478-005056887b8d',	'Отделение №1, ул. Шевченко, 35'),
(935,	'5742b3bc-ebd6-11e9-b850-005056b24375',	'c459b5e0-cf16-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 16'),
(936,	'c43bb38a-c55a-11e8-ad0d-005056b24375',	'419bab96-8f32-11e8-8acc-005056b2fc3d',	'Отделение №1: ул. Заречная, 5-А'),
(937,	'532f065a-de8b-11e9-b48a-005056b24375',	'3e1f31ae-b7be-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 171в'),
(938,	'1d9f32be-f582-11e9-9c59-005056b24375',	'83666e73-e678-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 65'),
(939,	'1ec09d8e-e1c2-11e3-8c4a-0050568002cf',	'06f8791a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 14е'),
(940,	'6a12bc82-1279-11ea-9295-005056b24375',	'56c3cac3-e685-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(941,	'16922819-e1c2-11e3-8c4a-0050568002cf',	'366343f1-8fd6-11e2-8f83-d4ae527baec3',	'Отделение №1: ул. Советская, 12'),
(942,	'7b422f8f-e1b8-11e3-8c4a-0050568002cf',	'06f878f2-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Тернопольская, 5я'),
(943,	'7b422f90-e1b8-11e3-8c4a-0050568002cf',	'06f87936-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Чкалова, 25'),
(944,	'a9146c34-b362-11e9-8c22-005056b24375',	'1af29ae3-a7a6-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 1'),
(945,	'7e1a8a6b-fbcc-11e9-9c59-005056b24375',	'd4c6c96f-e683-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 137-А'),
(946,	'36badea9-ea5a-11e3-8c4a-0050568002cf',	'36bade9b-ea5a-11e3-8c4a-0050568002cf',	'Отделение № 1: ул. Молодежная, 26'),
(947,	'06c01b67-ac89-11e9-8c22-005056b24375',	'9fb45581-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шоскинський путь, 5'),
(948,	'4c30e1af-db02-11e9-b48a-005056b24375',	'a4cebe97-cf1a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Восточная, 72'),
(949,	'd945955c-6900-11ea-a970-b8830365ade4',	'47876dca-c34d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 97/2'),
(950,	'bd5f6346-b1ff-11e9-8c22-005056b24375',	'e1330b60-a7a1-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(951,	'39931b12-e1c2-11e3-8c4a-0050568002cf',	'e221d64e-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Центральная, 24'),
(952,	'5a39e581-e1c2-11e3-8c4a-0050568002cf',	'06f878ec-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 13'),
(953,	'37618438-c987-11e5-8478-005056887b8d',	'ffcb4bbd-c986-11e5-8478-005056887b8d',	'Отделение №1: ул. Шевченка, 15'),
(954,	'58c20bd0-c8a9-11e9-b0c5-005056b24375',	'300c7a15-b7a4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 6'),
(955,	'2254dfde-cd84-11e9-b0c5-005056b24375',	'7a37735c-b7a2-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 26'),
(956,	'ca1bc972-d412-11e9-b0c5-005056b24375',	'f25177ca-b7b7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полтавская, 29'),
(957,	'2cd0f24c-ad20-11e9-8c22-005056b24375',	'cc3d66f0-9e6a-11e9-898c-005056b24375',	'Отделение №1: ул. Степана Бандеры, 46'),
(958,	'd65a861c-8256-11e9-898c-005056b24375',	'53c5b2a0-76f1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44'),
(959,	'2bb8cec8-e1c2-11e3-8c4a-0050568002cf',	'ebc0edab-93ec-11e3-b441-0050568002cf',	'Отделение №1: пл. Победы, 7'),
(960,	'2bb8cec9-e1c2-11e3-8c4a-0050568002cf',	'ebc0edac-93ec-11e3-b441-0050568002cf',	'Отделение №1: ул. Яблоневая, 10'),
(961,	'2bb8cecb-e1c2-11e3-8c4a-0050568002cf',	'ebc0eda9-93ec-11e3-b441-0050568002cf',	'Отделение №1: ул. Мичурина, 6'),
(962,	'51b20ade-d521-11e9-b0c5-005056b24375',	'204ebba5-cf4c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 3'),
(963,	'9e823c16-a7dd-11e9-b73a-005056b24375',	'69663f62-9e51-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 119а'),
(964,	'379e1ab9-3a88-11e5-add9-005056887b8d',	'379e1aa4-3a88-11e5-add9-005056887b8d',	'Отделение №1: ул. Ленина, 81'),
(965,	'fae8bbba-fb2a-11e9-9c59-005056b24375',	'a464b8fd-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(966,	'01ae25e2-e1c2-11e3-8c4a-0050568002cf',	'06f8791e-4079-11de-b509-001d92f78698',	'Отделение №1: 1/2 микрорайон, дом 55'),
(967,	'e1886ddb-517a-11ea-9b37-0025b502a04e',	'b2e2bac2-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Верховинская, 146'),
(968,	'13286cf5-4b00-11e9-acea-005056b24375',	'f0a49fce-399e-11e9-acea-005056b24375',	'Отделение №1 (до 30 кг): ул. Мира, 50'),
(969,	'83e4cbb1-bab0-11e9-8c22-005056b24375',	'878aee82-b7a1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 11'),
(970,	'f1df9203-eb24-11e9-b850-005056b24375',	'ca4b3ff5-cf1f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(971,	'37e74c5c-6de0-11e6-a9f2-005056887b8d',	'37e74c43-6de0-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Чкалова, 64'),
(972,	'1958f810-23ef-11ea-8ac1-0025b502a04e',	'd6c74abd-f407-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 28'),
(973,	'c1746c9b-128b-11ea-9295-005056b24375',	'28f16648-0ce6-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1а'),
(974,	'0d545eff-e1c2-11e3-8c4a-0050568002cf',	'383f0532-4a9b-11e2-889f-001631fa0467',	'Отделение №1: ул. Калинина, 2'),
(975,	'0a1755fe-517a-11ea-9b37-0025b502a04e',	'67d14006-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 2'),
(976,	'd862a0f4-69cb-11ea-91e8-b8830365bd14',	'd7f00174-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Победы, 5'),
(977,	'75b5ae3a-bccb-11e9-8c22-005056b24375',	'19b77c7c-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Урожайная, б/н'),
(978,	'38b298ad-d935-11e5-8478-005056887b8d',	'38b29898-d935-11e5-8478-005056887b8d',	'Отделение №1: ул. 16 июля, 267а'),
(979,	'38d66a50-98cd-11e5-a023-005056887b8d',	'5034629b-98cc-11e5-a023-005056887b8d',	'Отделение №1: ул. Свободы, 20'),
(980,	'a9c4c3b0-e02a-11e9-b48a-005056b24375',	'8e92e4d6-daa8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 7'),
(981,	'38f93ff4-4486-11e4-acce-0050568002cf',	'38f93fe5-4486-11e4-acce-0050568002cf',	'Отделение №1: ул. Жукова, 17'),
(982,	'693487af-981b-11e9-898c-005056b24375',	'3ade9afd-964b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 100а'),
(983,	'2960c70f-e907-11e9-b850-005056b24375',	'7ae55829-c33d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 13'),
(984,	'26ef703b-8090-11e9-898c-005056b24375',	'74562738-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23А'),
(985,	'28b0bc4a-faea-11e9-9c59-005056b24375',	'f5a3be22-f406-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 54а'),
(986,	'd439a478-85de-11e9-898c-005056b24375',	'49873605-82cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(987,	'387e7ce0-56b4-11e9-acea-005056b24375',	'97020688-5228-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(988,	'39b7cb4f-e12e-11e5-899e-005056887b8d',	'39b7cb3b-e12e-11e5-899e-005056887b8d',	'Отделение №1: ул. Ракоцы, 12'),
(989,	'7057da5b-dfc7-11e9-b48a-005056b24375',	'47adb68b-cfd8-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Красные партизаны, 5'),
(990,	'55361d62-8149-11e9-898c-005056b24375',	'3ffe4323-7d6f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2'),
(991,	'7a79b371-e38c-11e9-b48a-005056b24375',	'a07bf640-b783-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(992,	'ad76274c-eb3f-11e9-b850-005056b24375',	'b519ccf4-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(993,	'46092aa6-a3ea-11e9-b790-005056b24375',	'8bddd1f4-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2'),
(994,	'b4fbf8c2-98b1-11e9-898c-005056b24375',	'f2f0f214-9403-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(995,	'af3e2f74-fa50-11e9-9c59-005056b24375',	'f7b9b4d8-e67c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вовченко, 15'),
(996,	'16922827-e1c2-11e3-8c4a-0050568002cf',	'06f878ea-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Тернопольская, 7'),
(997,	'a7f8b624-6795-11e9-898c-005056b24375',	'4049919c-65c0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шляхова, 65'),
(998,	'16922807-e1c2-11e3-8c4a-0050568002cf',	'e221d63f-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Б. Хмельницкого, 65'),
(999,	'16922809-e1c2-11e3-8c4a-0050568002cf',	'db5c88c0-391c-11dd-90d9-001a92567626',	'Отделение №1: с. Хромово, ул. Киевская, 2а'),
(1000,	'1692280a-e1c2-11e3-8c4a-0050568002cf',	'db5c8970-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Смирнова, 1а'),
(1001,	'511fcfee-e1c2-11e3-8c4a-0050568002cf',	'db5c8969-391c-11dd-90d9-001a92567626',	'Отделение №1: просп. Иоанна Путивльского, 36'),
(1002,	'4049830e-e1c2-11e3-8c4a-0050568002cf',	'f706235c-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Козацкая, 17'),
(1003,	'6785d62c-97e3-11e9-898c-005056b24375',	'600c1f82-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Плисенко, 1'),
(1004,	'18ec52e3-ca43-11e9-b0c5-005056b24375',	'128a2881-b799-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 37'),
(1005,	'230b6916-981a-11e9-898c-005056b24375',	'c1b5406b-964b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4А'),
(1006,	'1ec09d74-e1c2-11e3-8c4a-0050568002cf',	'3a8354c1-da69-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Яковенко, 10'),
(1007,	'47402e80-e1c2-11e3-8c4a-0050568002cf',	'69da419f-3f5d-11de-b509-001d92f78698',	'Отделение №1: просп. Калнишевского, 59а'),
(1008,	'b32ba789-a3ec-11e9-b790-005056b24375',	'7fc62294-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 9'),
(1009,	'1ec09d24-e1c2-11e3-8c4a-0050568002cf',	'3abce78b-25bd-11e3-83b9-0050568002cf',	'Отделение №1: ул. Независимости, 7'),
(1010,	'ba6ca53e-e803-11e3-8c4a-0050568002cf',	'3adf9c9b-e4d0-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Липовая, 44'),
(1011,	'508b6cc8-910c-11e9-898c-005056b24375',	'525e40c4-8862-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 44д'),
(1012,	'511fd00e-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Трудовая, 5/4 (за заправкой Shell)'),
(1013,	'39931b6f-e1c2-11e3-8c4a-0050568002cf',	'0006561c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Повстанцев, 68'),
(1014,	'd3bd8904-d30e-11e9-b0c5-005056b24375',	'876cf4ba-b79e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2а'),
(1015,	'1a0d6b11-9695-11e9-898c-005056b24375',	'da754e97-929a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 22'),
(1016,	'fabc312c-7d86-11e9-898c-005056b24375',	'ef619567-76f3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Выгон, 28'),
(1017,	'54f1007c-e054-11e9-b48a-005056b24375',	'c3927b9b-f137-11e3-8c4a-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 180'),
(1018,	'4298abd6-8131-11e9-898c-005056b24375',	'b4792bab-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 126'),
(1019,	'1884d881-e29b-11e9-b48a-005056b24375',	'3720028f-9e67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11г'),
(1020,	'47402e58-e1c2-11e3-8c4a-0050568002cf',	'f7062364-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 16'),
(1021,	'47402e59-e1c2-11e3-8c4a-0050568002cf',	'69da415d-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Майдана, 292/2 &quot;А&quot;'),
(1022,	'e295261a-85e5-11e9-898c-005056b24375',	'1b97d6fb-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гутянская, 60А'),
(1023,	'39931b7c-e1c2-11e3-8c4a-0050568002cf',	'0db17b14-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Горького, 5'),
(1024,	'2b04ec00-a3e6-11e9-b790-005056b24375',	'468267a5-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лебединская, 43'),
(1025,	'3b775cfd-0737-11e4-acce-0050568002cf',	'c58de027-0730-11e4-acce-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 55б'),
(1026,	'29b57938-e064-11e9-b48a-005056b24375',	'1b7d780d-8859-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Винниковская, 27а'),
(1027,	'dd5078b5-fbea-11e9-9c59-005056b24375',	'97bc4b7e-e68e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Збаражская, 1а'),
(1028,	'62ed849a-8122-11e9-898c-005056b24375',	'370e12b8-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 2а'),
(1029,	'b987d154-6ce8-11e9-898c-005056b24375',	'0c33dfd6-5f6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 47'),
(1030,	'6bc9b5a3-db09-11e9-b48a-005056b24375',	'a4cebe82-cf1a-11e9-b0c5-005056b24375',	'Михайло-Лукашево, Центральная, 44а'),
(1031,	'd55657a7-0b8c-11ea-9295-005056b24375',	'11fa7f74-dae6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 4'),
(1032,	'a0c0b346-04a1-11ea-9c59-005056b24375',	'09432294-fee3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(1033,	'5936447b-bb23-11e9-8c22-005056b24375',	'82c10b3d-b7b7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грубрина, 28'),
(1034,	'13788084-4d30-11e9-acea-005056b24375',	'1fcecfac-4c84-11e9-acea-005056b24375',	'Отделение №1: ул. Шевченко, 74а'),
(1035,	'71d60508-95f1-11e9-898c-005056b24375',	'0c9d87a5-9292-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 18а'),
(1036,	'398af739-5ac1-11e9-a703-005056b24375',	'f729edfe-5a96-11e9-a703-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 106'),
(1037,	'3a3617be-1a70-11e9-ad0d-005056b24375',	'c61b7835-14fc-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Греческая, 8'),
(1038,	'00f9c9f1-5c6b-11ea-b3f9-b8830365bd14',	'd72552f3-5a15-11ea-a970-b8830365ade4',	'\nПункт приема-выдачи (до 30 кг), ул. Гагарина, 1В'),
(1039,	'357883b7-91d1-11e9-898c-005056b24375',	'4ead8b31-76f0-11e9-898c-005056b24375',	'Почтовая лавка (до 30 кг): ул. Молодежная 21'),
(1040,	'4d2ca0cc-aa0c-11e9-b73a-005056b24375',	'a4f7d35c-9e40-11e9-898c-005056b24375',	'Отделение №1: ул. Шевченко, 38'),
(1041,	'2bb8cef9-e1c2-11e3-8c4a-0050568002cf',	'69da41e7-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Слободская, 8'),
(1042,	'8c93e97b-893c-11e9-898c-005056b24375',	'7e6dd85a-882b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Переяславская, 9а'),
(1043,	'47402ebf-e1c2-11e3-8c4a-0050568002cf',	'f7062304-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 7а'),
(1044,	'86aa076c-ae10-11e9-8c22-005056b24375',	'1dfda70b-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 40'),
(1045,	'f320dbf0-d45a-11e9-b0c5-005056b24375',	'de02f3fa-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 56'),
(1046,	'1ec09d5c-e1c2-11e3-8c4a-0050568002cf',	'06f87920-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Гагарина, 1 (отель &quot;Центральний&quot;)'),
(1047,	'1ec09d5d-e1c2-11e3-8c4a-0050568002cf',	'00065646-4079-11de-b509-001d92f78698',	'Отделение: ул. Украинская, 36'),
(1048,	'1ec09d5e-e1c2-11e3-8c4a-0050568002cf',	'000655e2-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Чехова, 22/1'),
(1049,	'07d32175-5d5b-11ea-91e8-b8830365bd14',	'c8955aac-b780-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 230'),
(1050,	'1c60cf65-e28c-11e9-b48a-005056b24375',	'6f893fe8-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 89'),
(1051,	'3d31a63f-e8bc-11e4-8a92-005056887b8d',	'3d31a62b-e8bc-11e4-8a92-005056887b8d',	'Отделение № 1: ул. Центральная, 85а'),
(1052,	'ad775d99-8218-11e9-898c-005056b24375',	'24493869-7d6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Андрусенка, 16'),
(1053,	'b718c917-128e-11ea-9295-005056b24375',	'e241672f-e690-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тернопольская, 2а'),
(1054,	'3d5b1ccb-e07c-11e5-899e-005056887b8d',	'3d5b1cb7-e07c-11e5-899e-005056887b8d',	'Отделение №1: ул. Историческая, 1'),
(1055,	'a28bc747-b37d-11e9-8c22-005056b24375',	'22f322d2-b2d4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 90а'),
(1056,	'320bfd91-a32f-11e9-b790-005056b24375',	'7d4081c1-9e55-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Подгорянская, 15'),
(1057,	'37682653-95f6-11e9-898c-005056b24375',	'67808201-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чиковани, 72'),
(1058,	'40498301-e1c2-11e3-8c4a-0050568002cf',	'06f87906-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Чорновола, 5Б'),
(1059,	'40498302-e1c2-11e3-8c4a-0050568002cf',	'69da41ae-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Гагарина,22'),
(1060,	'6434b1e5-1fef-11ea-ba4d-005056b24375',	'7512ed7a-0c9a-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. 35 лет Победы, 30'),
(1061,	'844afade-ba70-11e9-8c22-005056b24375',	'f35bfd21-b77e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Веселая, 32'),
(1062,	'979f37a7-e3bf-11e9-b48a-005056b24375',	'e39b5c7c-8841-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Бердичевская, 2'),
(1063,	'47402e9f-e1c2-11e3-8c4a-0050568002cf',	'db5c8958-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Чумацкий Шлях (ран. Октябрьская), 14а'),
(1064,	'24b98c7c-2585-11ea-8ac1-0025b502a04e',	'5d72009d-e5ee-11e9-b48a-005056b24375',	'Отделение №1, ул. Садовая, 2з'),
(1065,	'6a992e02-fbee-11e5-899e-005056887b8d',	'6a992de9-fbee-11e5-899e-005056887b8d',	'Отделение №1: ул. Гостинец, 61'),
(1066,	'b31114ea-de83-11e9-b48a-005056b24375',	'5dc4fc9f-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 82Б'),
(1067,	'13e2e4e9-f0ce-11e9-9c59-005056b24375',	'92946560-cf2b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17б'),
(1068,	'df0ffd31-73e6-11e9-898c-005056b24375',	'af4a6392-7301-11e9-898c-005056b24375',	'Автолавка: АН 2938 КН, ул. Центральная, 18 (возле сельсовета)'),
(1069,	'37bbca8d-96ab-11e9-898c-005056b24375',	'324ce5a2-928e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Маринича Павла, 1'),
(1070,	'55296d49-5c88-11ea-91e8-b8830365bd14',	'4d4e0b9c-5a1b-11ea-a970-b8830365ade4',	'Пункт приймання-видачі (до 30 кг): вул. Шевченка, 107'),
(1071,	'20999475-f65a-11e9-9c59-005056b24375',	'01f80622-f40f-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Пришкольная, 9'),
(1072,	'92b7fdec-f8e3-11e9-9c59-005056b24375',	'1ff17304-b79d-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 2б'),
(1073,	'0aaee23e-e2ca-11e9-b48a-005056b24375',	'dc0db4ca-cf2c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 65'),
(1074,	'0b3a9874-aa39-11e9-b73a-005056b24375',	'f8ce8ae4-8849-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Независимости, 11'),
(1075,	'327f73b3-69ca-11ea-91e8-b8830365bd14',	'04266197-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1А'),
(1076,	'c93241de-115b-11ea-9295-005056b24375',	'4a60ca5f-9e41-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3а'),
(1077,	'246b47cf-db21-11e9-b48a-005056b24375',	'd03cca05-cf28-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 30А'),
(1078,	'f674136a-6204-11e9-898c-005056b24375',	'74b79ba6-5f6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 44 (маг. &quot;Наша Марка&quot;)'),
(1079,	'3ee2c1ca-65ce-11e5-8d8d-005056887b8d',	'3ee2c1b7-65ce-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Центральная, 121'),
(1080,	'47402e9c-e1c2-11e3-8c4a-0050568002cf',	'06f87972-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 39'),
(1081,	'9c4584a5-a3a2-11e9-b790-005056b24375',	'370f86a9-9e6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 1а'),
(1082,	'47402eb9-e1c2-11e3-8c4a-0050568002cf',	'db5c8913-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Каракая, 32а'),
(1083,	'47402eba-e1c2-11e3-8c4a-0050568002cf',	'db5c8923-391c-11dd-90d9-001a92567626',	'Отделение № 1: ул. Батуринская, 22а'),
(1084,	'47402ebb-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Хоменка 15'),
(1085,	'f6144aa9-4759-11ea-9b37-0025b502a04e',	'74bc726f-4696-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 5/1'),
(1086,	'e84d8fd2-cab6-11e9-b0c5-005056b24375',	'1b41636d-b79e-11e9-8c22-005056b24375',	'Пункт приема-передачи (до 30 кг): просп. Победы, 1'),
(1087,	'82d97a95-8251-11e9-898c-005056b24375',	'288fe47e-7d5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17'),
(1088,	'13acdf7f-aa0b-11e9-b73a-005056b24375',	'67cc45ea-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 5а'),
(1089,	'03adaaf3-c400-11e9-b0c5-005056b24375',	'e63f0d5b-b787-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 38'),
(1090,	'064581a3-dfcb-11e9-b48a-005056b24375',	'22d787d9-daa7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Луганская, 15'),
(1091,	'9a10e665-eb59-11e9-b850-005056b24375',	'7812e445-e68c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ковтуна, 103'),
(1092,	'a14b4c13-3cf4-11ea-8461-0025b502a04e',	'85da54b5-3c2d-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Победы, 23а'),
(1093,	'119e4e57-668f-11e9-898c-005056b24375',	'8c8e9f93-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111'),
(1095,	'44f92ae5-cafd-11e9-b0c5-005056b24375',	'5d935073-c346-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 15'),
(1096,	'311230a5-fbac-11e9-9c59-005056b24375',	'03cac129-e68b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Площадь Михайловский, 1'),
(1097,	'3fb5e69c-08f0-11e4-acce-0050568002cf',	'3fb5e68d-08f0-11e4-acce-0050568002cf',	'Отделение №1: ул. Чкалова, 2г'),
(1098,	'a577078f-95e7-11e9-898c-005056b24375',	'6e7da355-9286-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Запорожская, 34'),
(1099,	'd02b905b-dfc8-11e9-b48a-005056b24375',	'df4d7b4e-b76f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 44А'),
(1100,	'664a793a-e2aa-11e9-b48a-005056b24375',	'eb23c187-dae4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Воронкова, 4'),
(1101,	'6b7b6df8-fbbd-11e9-9c59-005056b24375',	'515ffcf7-76f7-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Центральная, 8'),
(1102,	'ebc9f84d-0485-11ea-9c59-005056b24375',	'e87e4189-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Волкова, 1'),
(1103,	'461f30c7-daf1-11e9-b48a-005056b24375',	'968da365-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(1104,	'b9b5a99c-a2fe-11e9-b790-005056b24375',	'8d4658f6-9e38-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 4'),
(1105,	'dbc32cec-d44d-11e9-b0c5-005056b24375',	'36d2509b-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Станьковская, 1'),
(1106,	'54a44ce5-df5d-11e9-b48a-005056b24375',	'69e4b998-cf20-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 71а'),
(1107,	'58b9e159-981d-11e9-898c-005056b24375',	'1162da23-964d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 67'),
(1108,	'ceb1687a-09a5-11e9-ad0d-005056b24375',	'3f7cc65e-08ea-11e9-ad0d-005056b24375',	'Отделение №1: ул. Кооперативная, 6'),
(1109,	'62dd93f0-e09e-11e9-b48a-005056b24375',	'1a1339aa-daad-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 8'),
(1110,	'7087dbd5-ac84-11e9-8c22-005056b24375',	'33ab7ed2-9e33-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 169'),
(1111,	'48446531-aa38-11e9-b73a-005056b24375',	'4cc64f70-9e56-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4'),
(1112,	'c4173abe-ad2c-11e9-8c22-005056b24375',	'4a384b09-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 63А'),
(1113,	'44b71982-f58c-11e9-9c59-005056b24375',	'1752a0be-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(1114,	'79a9130b-e394-11e9-b48a-005056b24375',	'5d85965c-dab1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1115,	'1692286e-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №1: Киевское шоссе (ран. Ленинградское шоссе), 27'),
(1116,	'96cc9cad-e2b7-11e9-b48a-005056b24375',	'ad477a72-cf3d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 29'),
(1117,	'3b202ccb-b352-11e9-8c22-005056b24375',	'38ad3418-8853-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 87б'),
(1118,	'475713ef-9819-11e9-898c-005056b24375',	'07d40ace-9402-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 7'),
(1119,	'1ec09db6-e1c2-11e3-8c4a-0050568002cf',	'e221d62a-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Индустриальная, 14а'),
(1120,	'a2e2c71f-8d5a-11e9-898c-005056b24375',	'9cb52954-8864-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63'),
(1121,	'd6b1a364-f0b7-11e9-9c59-005056b24375',	'ee0f738f-e5dd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85'),
(1122,	'e2b89215-aa06-11e9-b73a-005056b24375',	'970ea315-9e3c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лучка, 1а'),
(1123,	'40498321-e1c2-11e3-8c4a-0050568002cf',	'f70622fe-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Самгородоцкая, 9'),
(1124,	'2ab1c5d0-faf5-11e9-9c59-005056b24375',	'623d261e-e5e2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 75'),
(1125,	'8f8664d1-11e0-11ea-9295-005056b24375',	'061966ed-0c99-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 27'),
(1126,	'029f9c38-e2d7-11e9-b48a-005056b24375',	'89aa54b5-cf3a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 21'),
(1127,	'8fad5867-f8a6-11e9-9c59-005056b24375',	'cf0c2bb6-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Липинского, 59'),
(1128,	'41934c4b-40f4-11e5-8d8d-005056887b8d',	'41934c38-40f4-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Соборна, 2а'),
(1129,	'f1645610-a2fc-11e9-b790-005056b24375',	'906b17ca-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35А'),
(1130,	'bab720c3-11da-11ea-9295-005056b24375',	'804cdfae-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Юности, 1-В'),
(1131,	'0538cc93-517b-11ea-9b37-0025b502a04e',	'0082b58b-4f18-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 2'),
(1132,	'4203a28a-96cb-11e6-a4c1-005056887b8d',	'4203a271-96cb-11e6-a4c1-005056887b8d',	'Отделение №1: ул. Данила Галицкого, 39'),
(1133,	'ed6f37c2-98b2-11e9-898c-005056b24375',	'bde029b4-76f3-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Центральная, 122а'),
(1134,	'e12a066c-7fd2-11e9-898c-005056b24375',	'52643881-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 88'),
(1135,	'ca7f706f-c999-11e9-b0c5-005056b24375',	'20aabedc-b77b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Счастливая, 3'),
(1136,	'f6ae2dd7-ca9d-11e9-b0c5-005056b24375',	'f3badaf0-9e66-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(1137,	'427d694f-9624-11e8-ad0d-005056b24375',	'427d6931-9624-11e8-ad0d-005056b24375',	'Отделение №1: ул. Нефтяников, 11в'),
(1138,	'c6b7e4e7-9106-11e9-898c-005056b24375',	'358842a8-883e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 168'),
(1139,	'd532f4e7-defd-11e9-b48a-005056b24375',	'edd52e9d-b795-11e9-8c22-005056b24375',	'Отделение №1: ул. Личенка, 136-я'),
(1140,	'429b3418-d3ce-11e5-8478-005056887b8d',	'429b3403-d3ce-11e5-8478-005056887b8d',	'Отделение №1: ул. Энгельса, 1а'),
(1141,	'c43bb36a-c55a-11e8-ad0d-005056b24375',	'3a684d8a-c180-11e8-ad0d-005056b24375',	'Отделение №1: ул. Школьная, 15/1'),
(1142,	'42acd743-67db-11e8-9d95-005056b2fc3d',	'42acd726-67db-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Центральная, 70а'),
(1143,	'5a56b97e-bdbe-11e9-8c22-005056b24375',	'8b47cfb6-b77e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 56'),
(1144,	'3b91fab9-820f-11e9-898c-005056b24375',	'26c5e6c7-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 36'),
(1145,	'6335544d-b36b-11e9-8c22-005056b24375',	'6942b329-9e57-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(1146,	'cededb68-aa2f-11e9-b73a-005056b24375',	'9ff55620-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 76'),
(1147,	'1c2eedb4-d408-11e9-b0c5-005056b24375',	'a0218ec2-cf2d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Барона Штейнгеля, 89А'),
(1148,	'd2ac5303-cb05-11e9-b0c5-005056b24375',	'905d8eeb-c345-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шоссейная, 2а'),
(1149,	'940b4fd1-c99a-11e9-b0c5-005056b24375',	'47357de1-c33a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(1150,	'42f92134-17b9-11e4-acce-0050568002cf',	'42f92125-17b9-11e4-acce-0050568002cf',	'Отделение №1: ул. Ковельская, 102'),
(1151,	'06264b51-929f-11e9-898c-005056b24375',	'9523ea02-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): вул. Кооперативна, 15'),
(1152,	'374dd340-8ce9-11e9-898c-005056b24375',	'f948e14a-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кельменецкая, 1'),
(1153,	'00b87b5d-8126-11e9-898c-005056b24375',	'7302f050-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 1'),
(1154,	'b111fa75-c971-11e9-b0c5-005056b24375',	'3d10063b-b76e-11e9-8c22-005056b24375',	'Старі Петрівці'),
(1155,	'6e860311-ac92-11e9-8c22-005056b24375',	'f78c2e3f-8836-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 152'),
(1156,	'd8a96bda-91d0-11e9-898c-005056b24375',	'9c8ab014-883e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1157,	'3279f681-e09a-11e9-b48a-005056b24375',	'414355c2-daaa-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. М.Подгорянки, 150К'),
(1158,	'530fac0f-85c6-11e9-898c-005056b24375',	'3cf3370e-7d71-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Будильская, 35'),
(1159,	'470b60be-f655-11e9-9c59-005056b24375',	'b067705f-c341-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Колхозная, 1А'),
(1160,	'52a88573-a3ae-11e9-b790-005056b24375',	'b31c0238-9e5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 60А'),
(1161,	'7b422fa7-e1b8-11e3-8c4a-0050568002cf',	'ae7a32c0-0d45-11de-b6f5-001d92f78697',	'Отделение №1: пл. Привокзальная, 10/3'),
(1162,	'8196d05d-ca6b-11e9-b0c5-005056b24375',	'9003fb60-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 13'),
(1163,	'c3a6be5e-a47e-11e9-b790-005056b24375',	'796d7a9d-76f4-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 20А'),
(1164,	'0d545ed8-e1c2-11e3-8c4a-0050568002cf',	'4400fabb-f9ba-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Независимости, 60'),
(1165,	'f5159517-e2cf-11e9-b48a-005056b24375',	'85ea479a-cf3b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1 в'),
(1166,	'c60c4282-5c87-11ea-91e8-b8830365bd14',	'7a3c0451-5a19-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 26'),
(1167,	'a46d471f-5943-11ea-bfa0-0025b502a04e',	'05c96079-9e5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 2а'),
(1168,	'1aea681e-678b-11e9-898c-005056b24375',	'a554dc33-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевский путь, 16А'),
(1169,	'44760e30-d22d-11e4-a77a-005056887b8d',	'44760e1d-d22d-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Центральная, 20'),
(1170,	'c5feec26-f807-11e9-9c59-005056b24375',	'5e320ad7-e5e6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(1171,	'1fa79bfd-11f0-11ea-9295-005056b24375',	'54800be5-0c99-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Щорса, 15'),
(1172,	'1edbc74a-4759-11ea-9b37-0025b502a04e',	'abbdc7ff-4699-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 17'),
(1173,	'5a39e5a3-e1c2-11e3-8c4a-0050568002cf',	'dfdc9db1-ace7-11dd-8b61-001d92f78697',	'Отделение №1: ул. Грушевского, 112 (пом. Быткомбината)'),
(1174,	'b74427dc-8129-11e9-898c-005056b24375',	'767d543d-7d71-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6Б'),
(1175,	'c3587c08-a3b0-11e9-b790-005056b24375',	'9db8b6c2-8855-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 21'),
(1176,	'44f6ea50-cb56-11e5-8478-005056887b8d',	'44f6ea3b-cb56-11e5-8478-005056887b8d',	'Отделение №1: ул. Ленина, 8'),
(1177,	'4e0af1ce-11b1-11ea-9295-005056b24375',	'760a4328-0c94-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Светлая, 1'),
(1178,	'01ae2618-e1c2-11e3-8c4a-0050568002cf',	'96b0d78c-9853-11e2-a57a-d4ae527baec3',	'Отделение №1: ул. Горького, 1'),
(1179,	'f1ad0e3d-9e2a-11e9-898c-005056b24375',	'da754ec1-929a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12А'),
(1180,	'aa845393-bb20-11e9-8c22-005056b24375',	'd8c6be9f-b7b6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 81а'),
(1181,	'32044f41-ae12-11e9-8c22-005056b24375',	'8f1cb3e0-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(1182,	'458595e2-62be-11e5-8d8d-005056887b8d',	'458595cf-62be-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Центральная,18г'),
(1183,	'336de1bf-e1c2-11e3-8c4a-0050568002cf',	'458f63ba-ae97-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Героев Украины, 9а'),
(1184,	'ab075a91-2587-11ea-8ac1-0025b502a04e',	'cec2e340-feec-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Горького, 1'),
(1185,	'bb8d5620-74d6-11e9-898c-005056b24375',	'87765216-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 13'),
(1186,	'9659d305-e2c0-11e9-b48a-005056b24375',	'b993ef19-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Волоти, 2а'),
(1187,	'7b422fa2-e1b8-11e3-8c4a-0050568002cf',	'8622316e-18f9-11e2-af92-d4ae52ab9fab',	'Отделение №1: ул. Школьная, 23'),
(1188,	'4309ecd7-4759-11ea-9b37-0025b502a04e',	'cf4bf9b8-4699-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Счастливая, 2а'),
(1189,	'475713d5-9819-11e9-898c-005056b24375',	'19b2ca95-93fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 94'),
(1190,	'0d545edc-e1c2-11e3-8c4a-0050568002cf',	'45ee5c1e-05aa-11e3-874c-d4ae527baec3',	'Пункт приема-выдачи (до 30 кг): ул. 223-й стрелковой дивизии, 2г'),
(1191,	'b277bcdf-23fb-11ea-8ac1-0025b502a04e',	'662c902d-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 11в'),
(1192,	'32491483-bb35-11e9-8c22-005056b24375',	'e5f2d8ea-b7b9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 56'),
(1193,	'14fdfee9-bb2e-11e9-8c22-005056b24375',	'0218db99-b7c0-11e9-8c22-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Соборна, 35'),
(1194,	'76051be3-ca59-11e9-b0c5-005056b24375',	'4fe41c4b-b785-11e9-8c22-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Йосипа Косюка, 22'),
(1195,	'55f8014d-91ca-11e9-898c-005056b24375',	'9798f1c4-883c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4а'),
(1196,	'461b0cc0-abc8-11e6-b5da-005056887b8d',	'a491944c-6f85-11e2-9b72-d4ae52ab9fab',	'Отделение №1: ул. Пономарева, 30'),
(1197,	'c71b0c28-e396-11e9-b48a-005056b24375',	'3bcd515b-883c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зои Космодемьянской, 3'),
(1198,	'1ec09db7-e1c2-11e3-8c4a-0050568002cf',	'c335d9eb-bf5e-11e1-bdef-0026b97ed48a',	'Отделение №1: ул. Садовая, 4в'),
(1199,	'1ec09db8-e1c2-11e3-8c4a-0050568002cf',	'06f87914-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Центральна, 4'),
(1200,	'1ec09db9-e1c2-11e3-8c4a-0050568002cf',	'06f87926-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Ленина, 132в'),
(1201,	'f10a180d-9651-11e9-898c-005056b24375',	'e3cbe0ca-928a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шахтерская, 16'),
(1202,	'5d3e297c-801b-11e9-898c-005056b24375',	'cc87c96b-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 15'),
(1203,	'7eae70c5-5c87-11ea-91e8-b8830365bd14',	'204c603e-5a19-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 1'),
(1204,	'555f7be1-e2c7-11e9-b48a-005056b24375',	'f6837c2e-dae8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 12'),
(1205,	'8e30fbb4-df5d-11e9-b48a-005056b24375',	'b08d832f-cf20-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3'),
(1206,	'87fb0d3d-de85-11e9-b48a-005056b24375',	'0b2e1fb5-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Степаняка, 27А'),
(1207,	'24daf3c1-f0c5-11e9-9c59-005056b24375',	'd2983e94-e5f0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 8а'),
(1208,	'959ebe64-8b96-11e9-898c-005056b24375',	'd122cd83-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 12'),
(1209,	'd5c8be30-df6e-11e9-b48a-005056b24375',	'023da634-cf44-11e9-b0c5-005056b24375',	'Отделение №1: ул. Мира, 4А'),
(1210,	'3d25fabf-cafa-11e9-b0c5-005056b24375',	'ba1dd1ec-c34c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Елисеева, 11'),
(1211,	'81d427b0-1e7e-11ea-ac3b-0025b502a04e',	'e387a588-1b1b-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 43'),
(1212,	'336de191-e1c2-11e3-8c4a-0050568002cf',	'0006560e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Князей Острожских, 3'),
(1213,	'336de192-e1c2-11e3-8c4a-0050568002cf',	'06f87958-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Врадиевщины,162'),
(1214,	'd74d1a73-681d-11e9-898c-005056b24375',	'0879acb4-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 164'),
(1215,	'25226884-a46d-11e9-b790-005056b24375',	'58355d48-9e63-11e9-898c-005056b24375',	'Отделение №1: ул. Шевченко, 31б'),
(1216,	'745ef747-f8b6-11e9-9c59-005056b24375',	'68d655d6-f40f-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Подлесная, 2/1'),
(1217,	'47222888-b36d-11e9-8c22-005056b24375',	'3a2066fb-9e55-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33А'),
(1218,	'4777fac2-7405-11e5-8d8d-005056887b8d',	'4777faaf-7405-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Трамвайная, 17'),
(1219,	'661c820a-81ea-11e9-898c-005056b24375',	'de8fd498-7d67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 33'),
(1220,	'39203ddc-a3de-11e9-b790-005056b24375',	'9c106242-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Миколайчука, 3'),
(1221,	'6694392b-e39c-11e9-b48a-005056b24375',	'3bcd5170-883c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2а'),
(1222,	'c580a35a-fbbe-11e9-9c59-005056b24375',	'e86be02e-e686-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 24А'),
(1223,	'511fcf92-e1c2-11e3-8c4a-0050568002cf',	'e221d64c-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Садовый бульвар (ран. Ленина), 28'),
(1224,	'14ca957d-0dc0-11ea-9295-005056b24375',	'a68ce409-fed4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 113'),
(1225,	'8cc66745-fa3d-11e9-9c59-005056b24375',	'344f8ffd-e676-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 82'),
(1226,	'6eebcc98-b1d4-11e9-8c22-005056b24375',	'33ab7ee7-9e33-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Меля, 120'),
(1227,	'336de196-e1c2-11e3-8c4a-0050568002cf',	'db5c88da-391c-11dd-90d9-001a92567626',	'Отделение № 1: ул. Чехова, 3а (территория МРЭО ГАИ)'),
(1228,	'510e69ec-fb1f-11e9-9c59-005056b24375',	'78231fd2-f427-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 37а'),
(1229,	'4b0d3467-b379-11e9-8c22-005056b24375',	'4f9ccec5-a956-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 24а'),
(1230,	'f86588ce-bb27-11e9-8c22-005056b24375',	'f2e00480-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 257'),
(1231,	'54aa8d47-85df-11e9-898c-005056b24375',	'77bf5e88-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Декабристов, 11'),
(1232,	'b411e2cd-5c63-11ea-b3f9-b8830365bd14',	'7d227e12-0ce3-11ea-8c15-0025b502a06e',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 81'),
(1233,	'ee97b2ac-85e8-11e9-898c-005056b24375',	'456ccb6f-82cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Участки, 1'),
(1234,	'121c103c-3cf4-11ea-8461-0025b502a04e',	'2040be41-3c2c-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Победы, 8'),
(1235,	'5a39e5a4-e1c2-11e3-8c4a-0050568002cf',	'f70622d4-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Галицкая, 50с'),
(1236,	'8b617838-ae1d-11e9-8c22-005056b24375',	'61dece9a-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 4е'),
(1237,	'48ec08a5-b5c2-11e4-a77a-005056887b8d',	'ab8a95b8-b5bf-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Заводская, 29а'),
(1238,	'59364451-bb23-11e9-8c22-005056b24375',	'3a3e6f11-b7b7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 56'),
(1239,	'1c746da3-915a-11e9-898c-005056b24375',	'fb9056e5-7d6f-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 17'),
(1240,	'07a4c937-85e1-11e9-898c-005056b24375',	'2e8bdc3d-76f4-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 1'),
(1241,	'c0812d4b-9680-11e9-898c-005056b24375',	'317f87a6-9290-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 45А'),
(1242,	'f2cea455-6692-11e9-898c-005056b24375',	'c99a291b-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Адажия, 65'),
(1243,	'8aa09663-ca98-11e9-b0c5-005056b24375',	'1694ad73-b79c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 2'),
(1244,	'ce83287e-1e7d-11ea-ac3b-0025b502a04e',	'd902b108-1aad-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 53'),
(1245,	'aff8b8d0-980f-11e9-898c-005056b24375',	'067de462-884c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 3Б'),
(1246,	'2c1c8178-98c5-11e9-898c-005056b24375',	'9b2a137f-7d70-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 23А'),
(1247,	'4040d4b3-e043-11e9-b48a-005056b24375',	'125bf9e8-dadf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кобылянской, 5а'),
(1248,	'4940d4fa-fd5b-11e5-899e-005056887b8d',	'24c737ef-fd5a-11e5-899e-005056887b8d',	'Отделение №1: ул. Ленина, 3'),
(1249,	'f11d84e1-f8a2-11e9-9c59-005056b24375',	'56cccac1-b792-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 10'),
(1250,	'bdfdfe57-6737-11e9-898c-005056b24375',	'907f47c6-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Безуха, 30х/1'),
(1251,	'4982366d-3a90-11e5-add9-005056887b8d',	'4982365a-3a90-11e5-add9-005056887b8d',	'Отделение №1: ул. Каховская, 43'),
(1252,	'9bab7547-0521-11ea-9c59-005056b24375',	'bca0cba3-fef7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Данила Галицкого, 375А'),
(1253,	'05f633ac-804b-11e9-898c-005056b24375',	'591febab-7d5f-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Победы, 1'),
(1254,	'04ae9e5b-0dc3-11ea-9295-005056b24375',	'b9e879db-fed4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул.  Молодежная, 9'),
(1255,	'04852413-66c1-11e9-898c-005056b24375',	'40337be6-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 3'),
(1256,	'79ca6ded-2478-11ea-8ac1-0025b502a04e',	'8ce45db6-e677-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Солнечная, 5'),
(1257,	'd1543e11-3796-11ea-8461-0025b502a04e',	'29c0ecf0-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(1258,	'49b13548-175e-11e6-971e-005056887b8d',	'6edd6dfa-175d-11e6-971e-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Донецкая, 101'),
(1259,	'a1e7c814-5aac-11e9-a703-005056b24375',	'fb6baa4b-59e5-11e9-a703-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 8а'),
(1260,	'6be02abb-11d6-11ea-9295-005056b24375',	'405400c6-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32а'),
(1261,	'69348781-981b-11e9-898c-005056b24375',	'b4f1e33b-9648-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Братьев Соловьевых, 5'),
(1262,	'98810651-ae22-11e9-8c22-005056b24375',	'c87ae04f-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 27'),
(1263,	'01ae25c6-e1c2-11e3-8c4a-0050568002cf',	'f7062378-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Набережная, 1'),
(1264,	'7e5fb79b-a30e-11e9-b790-005056b24375',	'fb4974ef-8877-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 2'),
(1265,	'ef60c91d-14e6-11ea-9295-005056b24375',	'3f7aa021-8865-11e9-898c-005056b24375',	'Отделение №1: ул. Шевченко, 29К'),
(1266,	'd309497c-e02b-11e9-b48a-005056b24375',	'8e92e4eb-daa8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 72'),
(1267,	'a187b385-93f6-11e9-898c-005056b24375',	'4c81d0bf-885d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 210'),
(1268,	'39931ad7-e1c2-11e3-8c4a-0050568002cf',	'4a99b45c-bb2e-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Миру, 6'),
(1269,	'4aa0c4f5-2d68-11e6-9e93-005056887b8d',	'4aa0c4d8-2d68-11e6-9e93-005056887b8d',	'Отделение №1: ул. Первомайская, 12Б'),
(1270,	'650897a0-bb2b-11e9-8c22-005056b24375',	'bd38ff29-b7bf-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 94а'),
(1271,	'7b422fa1-e1b8-11e3-8c4a-0050568002cf',	'6a9e13a9-1ea7-11e2-8db4-d4ae52ab9fab',	'Отделение №1: ул. Театральная, 8а'),
(1272,	'ea2f9807-ca33-11e9-b0c5-005056b24375',	'7ae55814-c33d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 26а'),
(1273,	'c93241c5-115b-11ea-9295-005056b24375',	'4db87d11-fed8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 57'),
(1274,	'69d55061-911b-11e9-898c-005056b24375',	'f11c4683-8838-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Корецкая, 15'),
(1275,	'412579ba-820a-11e9-898c-005056b24375',	'706affc8-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Ленина, 36'),
(1276,	'1ec09d79-e1c2-11e3-8c4a-0050568002cf',	'cdafe69f-dff6-11e3-8c4a-0050568002cf',	'Відділення №1: вул. Мира, 3'),
(1277,	'bff91cb4-40f4-11ea-9b37-0025b502a04e',	'a6457791-fee2-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Корчагина, 11'),
(1278,	'bbfc3485-5d5b-11ea-91e8-b8830365bd14',	'b3d56c39-feee-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 3А'),
(1279,	'd6d73519-ac53-11e9-8c22-005056b24375',	'e7c1ae0c-883f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Театральная, 1-Д'),
(1280,	'74c5f8ef-9bdd-11e9-898c-005056b24375',	'b4f1e365-9648-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гоголя, 3 (Магазин Ромашка)'),
(1281,	'31a4575e-08f8-11e9-ad0d-005056b24375',	'8b22a832-fd21-11e8-ad0d-005056b24375',	'Отделение №1 (до 30 кг на одно место): ул. Писаренко, 46'),
(1282,	'0d545f59-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Маршала Малиновского, 114'),
(1283,	'5a39e56f-e1c2-11e3-8c4a-0050568002cf',	'f706235e-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Привокзальная, 3а'),
(1284,	'5a39e570-e1c2-11e3-8c4a-0050568002cf',	'69da41a5-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 2а'),
(1285,	'cef5db65-4414-11ea-9b37-0025b502a04e',	'40708e4f-e68d-11e9-b48a-005056b24375',	'Отделение №1 (до 30 кг), ул. Мира, 2/1-го Мая1'),
(1286,	'121a8672-e393-11e9-b48a-005056b24375',	'c0b5fb07-dab0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1287,	'13e2e4c7-f0ce-11e9-9c59-005056b24375',	'54c5c3dc-cf2b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Бегунская, 67'),
(1288,	'5f33853c-bdc6-11e9-8c22-005056b24375',	'538181bf-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 25а'),
(1289,	'0f036f7e-73e1-11e9-898c-005056b24375',	'1c3f1e6f-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 27Д'),
(1290,	'78845717-f8d5-11e9-9c59-005056b24375',	'bd99e54e-f411-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Бродовская, 25'),
(1291,	'3f170ca6-0491-11ea-9c59-005056b24375',	'401e9478-cf45-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинская, 1'),
(1292,	'16523114-cb3c-11e9-b0c5-005056b24375',	'f3fd05ee-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 51'),
(1293,	'170e1f09-ca5b-11e9-b0c5-005056b24375',	'33717df1-c355-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19/1'),
(1294,	'8cadb198-6817-11e9-898c-005056b24375',	'081feb22-5f5a-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Майская, 64а'),
(1295,	'bfb15c76-e222-11e9-b48a-005056b24375',	'd63931f1-dae7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 66'),
(1296,	'0b6ee6bc-4fda-11e9-acea-005056b24375',	'461097a8-4c83-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 8 марта, 1'),
(1297,	'443e01df-8945-11e9-898c-005056b24375',	'c1079252-76f9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27/1'),
(1298,	'4cb8ef16-2620-11e5-add9-005056887b8d',	'4cb8ef03-2620-11e5-add9-005056887b8d',	'Отделение № 1: ул. Колхозная, 2б'),
(1299,	'511fcfeb-e1c2-11e3-8c4a-0050568002cf',	'f706232a-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Николая Вороного, 90'),
(1300,	'511fcfec-e1c2-11e3-8c4a-0050568002cf',	'f7062322-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Евгения Присяжного, 21/56'),
(1301,	'40e12ac6-96ae-11e9-898c-005056b24375',	'fc5f1e12-928e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Преображенская, 103'),
(1302,	'7fe55663-def7-11e9-b48a-005056b24375',	'a50f62f5-8878-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 230'),
(1303,	'4d2bd8aa-cbe3-11e5-8478-005056887b8d',	'4d2bd895-cbe3-11e5-8478-005056887b8d',	'Отделение №1: ул. Широка, 17-А'),
(1304,	'f3aa2414-e2d4-11e9-b48a-005056b24375',	'4c97e453-cf2d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Климчука, 65'),
(1305,	'e8511de0-ca44-11e9-b0c5-005056b24375',	'9a2f2ce8-c33e-11e9-b0c5-005056b24375',	'Отделение №1: ул. Миру, 1Р'),
(1306,	'ab2ae694-d523-11e9-b0c5-005056b24375',	'fee78550-cf3c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32-А'),
(1307,	'63e7dc6a-61db-11e9-898c-005056b24375',	'0c33dfc0-5f6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гетьмана Мазепы, 15'),
(1308,	'c0989338-937a-11e9-898c-005056b24375',	'974ff308-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шашкевича, 72'),
(1309,	'198a1de4-1171-11ea-9295-005056b24375',	'f7a13b14-76eb-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 60а'),
(1310,	'02f089a9-c4e9-11e9-b0c5-005056b24375',	'c9d5e12a-9e63-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Главная, 3'),
(1311,	'4dde092a-0c77-11e6-971e-005056887b8d',	'4dde090e-0c77-11e6-971e-005056887b8d',	'Отделение №1: ул. Центральная, 5'),
(1312,	'4df5a1ee-96cd-11e6-a4c1-005056887b8d',	'4df5a1d5-96cd-11e6-a4c1-005056887b8d',	'Отделение №1: пер. Рабочий, 22'),
(1313,	'1fc8e73b-9674-11e9-898c-005056b24375',	'e3cbe09d-928a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(1314,	'ce854a5a-0eb2-11ea-9295-005056b24375',	'0a153604-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ровенская, 1'),
(1315,	'20631247-def4-11e9-b48a-005056b24375',	'69e4b9ad-cf20-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 47'),
(1316,	'4e1977d5-2af4-11e5-add9-005056887b8d',	'4e1977c2-2af4-11e5-add9-005056887b8d',	'Отделение №1: ул. Дрогобицкая, 35а'),
(1317,	'c76b5f13-db15-11e9-b48a-005056b24375',	'527f00e8-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 108а'),
(1318,	'5ca67074-2315-11ea-ba4d-005056b24375',	'66c0a2d5-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Б.Хмельницкого, 101'),
(1319,	'0cd3034a-83d1-11ea-91e8-b8830365bd14',	'c4065c29-8853-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Победы 29, н/1'),
(1320,	'6870118a-61a8-11e9-898c-005056b24375',	'081feb38-5f5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 36'),
(1321,	'684c5e0c-caff-11e9-b0c5-005056b24375',	'5480c721-c34b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 69'),
(1322,	'c323c6e2-2414-11ea-8ac1-0025b502a04e',	'3aa7c2ca-feeb-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Задорожного, 46а'),
(1323,	'4ecddea5-1986-11e5-add9-005056887b8d',	'8e1718f5-1972-11e5-add9-005056887b8d',	'Отделение № 1: ул. Ангарская, 13/1'),
(1324,	'4ee2cc53-4024-11e5-8d8d-005056887b8d',	'4ee2cc40-4024-11e5-8d8d-005056887b8d',	'Отделение № 1: ул. Ленина, 91ф'),
(1325,	'9695519d-9bdd-11e9-898c-005056b24375',	'0884ce58-abc9-11e6-b5da-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 2'),
(1326,	'9c79f8d6-91d4-11e9-898c-005056b24375',	'e39b5c67-8841-11e9-898c-005056b24375',	'Отделение №1: ул. Соборная, 4'),
(1327,	'4f1238ea-3c29-11e5-add9-005056887b8d',	'44c46a5b-3c1d-11e5-add9-005056887b8d',	'Отделение №1: ул. Парковая, 4а'),
(1328,	'76af5932-4756-11ea-9b37-0025b502a04e',	'2cea90cb-4691-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Закарпатская, 22'),
(1329,	'4f3d296f-c10b-11e6-8b12-005056887b8d',	'f7062332-4078-11de-b509-001d92f78698',	'Отделение №1: площадь Привокзальная, 1а'),
(1330,	'47402e81-e1c2-11e3-8c4a-0050568002cf',	'f7062328-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Козацкая 34/2'),
(1331,	'84c21ad1-daf0-11e9-b48a-005056b24375',	'23a816f3-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 6'),
(1332,	'27750f19-247a-11ea-8ac1-0025b502a04e',	'2376aea5-e677-11e9-b48a-005056b24375',	'Отделение №1, ул. Петровского, 74'),
(1333,	'4f96ec90-4daf-11e6-a9f2-005056887b8d',	'4f96ec77-4daf-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Соборная, 12Б'),
(1334,	'4f99f6d3-0eb6-11e5-add9-005056887b8d',	'4f99f6bf-0eb6-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 43'),
(1335,	'336de171-e1c2-11e3-8c4a-0050568002cf',	'db5c8925-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Громова, 55'),
(1336,	'2d3963ad-814b-11e9-898c-005056b24375',	'3ffe430e-7d6f-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 93А'),
(1337,	'324914ab-bb35-11e9-8c22-005056b24375',	'e5f2d8ff-b7b9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Коляджина, 91'),
(1338,	'b3b838d9-82e9-11e9-898c-005056b24375',	'db4d0067-7d62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 2б'),
(1339,	'5ba7522f-0b77-11ea-9295-005056b24375',	'7fda27cf-fee4-11e9-91ff-0025b501a04b',	'Кулачківці'),
(1340,	'4fd450ff-3371-11e4-acce-0050568002cf',	'e84e3d7b-3270-11e4-acce-0050568002cf',	'Отделение №1: пл. Авиации, 24/11'),
(1341,	'11d1e61a-8049-11e9-898c-005056b24375',	'0bc77c87-7d5f-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Заводская, 2'),
(1342,	'bdf3c0ae-971f-11e9-898c-005056b24375',	'e94c0150-9286-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новичка, 19'),
(1343,	'c801ccc5-fbdf-11e9-9c59-005056b24375',	'ab77b3f1-e68f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1344,	'eb4d2885-11bd-11ea-9295-005056b24375',	'39ba9fe6-0c96-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 120'),
(1345,	'2a40d8de-e230-11e9-b48a-005056b24375',	'369862f7-b795-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 56'),
(1346,	'832d4d7c-74cd-11e9-898c-005056b24375',	'c57957a9-73d8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Андреевская, 17'),
(1347,	'0fe6fac3-c4e3-11e9-b0c5-005056b24375',	'fbb78610-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленый Гай, 1'),
(1348,	'0ba7c962-db14-11e9-b48a-005056b24375',	'54a52195-9e4f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Украины, 72/3'),
(1349,	'179c1626-2302-11ea-ba4d-005056b24375',	'f9d0f19f-fedc-11e9-91ff-0025b501a04b',	'Отделение №1: ул. Кордуби, 100'),
(1350,	'8f52c751-95e1-11e9-898c-005056b24375',	'51b215f6-9284-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 40 лет Победы, 46г'),
(1351,	'50393a37-7340-11e6-a9f2-005056887b8d',	'50393a1e-7340-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Центральная, 75в'),
(1352,	'f46336d3-6824-11e9-898c-005056b24375',	'a554dc48-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 114'),
(1353,	'16922834-e1c2-11e3-8c4a-0050568002cf',	'f7062306-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Первомайская, 17'),
(1354,	'16922837-e1c2-11e3-8c4a-0050568002cf',	'0006563c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Роменская, 13'),
(1355,	'16922838-e1c2-11e3-8c4a-0050568002cf',	'06f87998-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 25'),
(1356,	'16922839-e1c2-11e3-8c4a-0050568002cf',	'586d9b83-c5dc-11e1-86b4-0026b97ed48a',	'Отделение №1: ул. Грушева, 28'),
(1357,	'50783f38-c986-11e5-8478-005056887b8d',	'50783f25-c986-11e5-8478-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Опытная, 1'),
(1358,	'507e1924-4ad6-11e4-acce-0050568002cf',	'507e1916-4ad6-11e4-acce-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Модестова, 52а'),
(1359,	'79feb09a-ba9e-11e9-8c22-005056b24375',	'cf0c2ba1-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 71/1'),
(1360,	'e4e58e60-a3ee-11e9-b790-005056b24375',	'4be254c4-9e6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 52'),
(1361,	'd853d985-69cb-11ea-91e8-b8830365bd14',	'cb9d5ff4-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 114'),
(1362,	'50ff123d-38ba-11e4-acce-0050568002cf',	'e846e4c8-38b8-11e4-acce-0050568002cf',	'Отделение №1: ул. Чайковського, 32'),
(1363,	'5109d3de-abcc-11e6-b5da-005056887b8d',	'20c776f3-abcc-11e6-b5da-005056887b8d',	'Отделение №1: ул. Зарогатка, 1'),
(1364,	'579d78aa-98c0-11e9-898c-005056b24375',	'57e324bd-e7c9-11e3-8c4a-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Мекаберидзе, 23/а'),
(1365,	'ee7b3d31-929c-11e9-898c-005056b24375',	'b1143f07-885e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Свято-Покровская, 16'),
(1366,	'7999c57a-9b41-11e9-898c-005056b24375',	'6f0ac1ca-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 38а'),
(1367,	'f46336b2-6824-11e9-898c-005056b24375',	'9f95c0dc-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32'),
(1368,	'e6e3e6da-ff9a-11e8-ad0d-005056b24375',	'e4f28d41-ff77-11e8-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 67'),
(1369,	'39931b70-e1c2-11e3-8c4a-0050568002cf',	'06f879a8-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Гомельская, 15'),
(1370,	'39931b71-e1c2-11e3-8c4a-0050568002cf',	'0db17b0c-4079-11de-b509-001d92f78698',	'Отделение: ул. Виноградского, 24'),
(1371,	'1b925bd6-e28a-11e9-b48a-005056b24375',	'19b0c6f2-dab7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Южная, 31'),
(1372,	'a43f7cb9-e3aa-11e9-b48a-005056b24375',	'd1bbe7d8-dab2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(1373,	'51addb93-052f-11e6-899e-005056887b8d',	'51addb7b-052f-11e6-899e-005056887b8d',	'Отделение №1: площадь Соборная, 22'),
(1374,	'16922879-e1c2-11e3-8c4a-0050568002cf',	'000655ea-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Аккерманская, 1'),
(1375,	'1692287a-e1c2-11e3-8c4a-0050568002cf',	'06f8799e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Вокзальная, 10д'),
(1376,	'1692287b-e1c2-11e3-8c4a-0050568002cf',	'69da4196-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 113'),
(1378,	'2ec85e00-e2c8-11e9-b48a-005056b24375',	'f6837c43-dae8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 6'),
(1379,	'51d0b78e-f86e-11e8-ad0d-005056b24375',	'01ff34d8-f170-11e8-ad0d-005056b24375',	'Отделение №1: ул. Молодежная, 19Б'),
(1380,	'5236d145-7962-11e4-acce-0050568002cf',	'5236d132-7962-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 46'),
(1381,	'6a13a7f8-94db-11e5-a023-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Якова Шепеля, 1'),
(1382,	'ba14bdc1-f0df-11e9-9c59-005056b24375',	'db727207-e689-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 20'),
(1383,	'900ee4ac-67ef-11e9-898c-005056b24375',	'9f95c0c7-64d3-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Заводская, 4-а'),
(1384,	'7d5e2500-85e5-11e9-898c-005056b24375',	'ae3a525d-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 79а'),
(1385,	'0b1b600a-9726-11e9-898c-005056b24375',	'137e332f-9291-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1386,	'1c08f294-f8a4-11e9-9c59-005056b24375',	'd2983ea9-e5f0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тихая, 1'),
(1387,	'db591e59-c403-11e9-b0c5-005056b24375',	'424956c5-2406-11e2-83ab-d4ae52ab9fab',	'Николаевка (Новомосковський р-н), Центральная, 48'),
(1388,	'64cfe7f2-91b9-11e9-898c-005056b24375',	'600c1fac-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 68'),
(1389,	'52c0db4c-0d84-11e4-acce-0050568002cf',	'52c0db3d-0d84-11e4-acce-0050568002cf',	'Отделение №1: ул. Больничная, 18'),
(1390,	'c18bcd20-23d3-11ea-ba4d-005056b24375',	'a9cbcd19-1aae-11ea-8c15-0025b502a06e',	'Отделение №1, ул. Шевченко, 134'),
(1391,	'ad051ff6-1220-11ea-9295-005056b24375',	'71398dd9-e683-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 34'),
(1392,	'f3e5b71f-d454-11e9-b0c5-005056b24375',	'd6f032c9-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 1а'),
(1393,	'd32dc6be-7c82-11e9-898c-005056b24375',	'0879acc9-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 26а'),
(1394,	'412579d5-820a-11e9-898c-005056b24375',	'ac455442-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Шевченка, 47'),
(1395,	'72282032-8884-11ea-91e8-b8830365bd14',	'b5557266-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(1397,	'404982f8-e1c2-11e3-8c4a-0050568002cf',	'9e8561d5-f1a0-11e1-a58d-d4ae527baec9',	'Отделение №1: ул. Киевский Путь, 38'),
(1398,	'404982f9-e1c2-11e3-8c4a-0050568002cf',	'0006560a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Южновокзальная, 3'),
(1399,	'404982fa-e1c2-11e3-8c4a-0050568002cf',	'eef079f6-2535-11e0-ac94-0024e83b596e',	'Отделение №1: ул. Школьная, 1а'),
(1400,	'404982fb-e1c2-11e3-8c4a-0050568002cf',	'955e9579-d525-11e0-a0c3-b20c8c0df681',	'Отделение № 1: ул. Суворова, 28'),
(1401,	'404982fe-e1c2-11e3-8c4a-0050568002cf',	'9e8561c7-f1a0-11e1-a58d-d4ae527baec9',	'Отделение №1: ул. Покровская, 5а'),
(1402,	'7d586850-f0e5-11e9-9c59-005056b24375',	'd1eed7fc-e688-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 30А'),
(1403,	'5341f77f-3ba7-11e7-80c8-005056887b8d',	'5341f763-3ba7-11e7-80c8-005056887b8d',	'Отделение №1: ул. Центральная, 94а'),
(1404,	'39931ada-e1c2-11e3-8c4a-0050568002cf',	'eb0a19be-bbf6-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Тараса Дороша, 20а'),
(1405,	'31cc89ba-fbe4-11e9-9c59-005056b24375',	'e2416744-e690-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3'),
(1406,	'5374ab18-6950-11e8-9d95-005056b2fc3d',	'5374aafd-6950-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Довженко, 25В'),
(1407,	'2d2b49d5-11bf-11ea-9295-005056b24375',	'05d49763-0c96-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Верхний конец, 108'),
(1408,	'57394479-8064-11e9-898c-005056b24375',	'54f484a9-7d62-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Первомайская, 22'),
(1409,	'5c145682-7d52-11e9-898c-005056b24375',	'1e13e8c8-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кожедуба, 26'),
(1410,	'2c07c304-93db-11e9-898c-005056b24375',	'eeee7d6f-8833-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Котовского, 71'),
(1411,	'37682630-95f6-11e9-898c-005056b24375',	'1cc53882-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 56'),
(1412,	'16922829-e1c2-11e3-8c4a-0050568002cf',	'1651b7d8-9ddb-11e2-a57a-d4ae527baec3',	'Отделение №1: ул. Мирная, 21'),
(1413,	'a8dda538-11fc-11ea-9295-005056b24375',	'adca41c6-fef5-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 88'),
(1414,	'4611d7a8-f88b-11e9-9c59-005056b24375',	'a85f2994-e5e9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(1415,	'53aafc2a-8ced-11e9-898c-005056b24375',	'f948e120-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 13'),
(1416,	'ea11fbef-ca2e-11e9-b0c5-005056b24375',	'b7790937-b781-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 121'),
(1417,	'9ee21ab0-bdc9-11e9-8c22-005056b24375',	'a82c0c84-a959-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 33'),
(1418,	'e0d3a17d-2e05-11e9-acea-005056b24375',	'c6476ccd-2dca-11e9-acea-005056b24375',	'Отделение №1: ул. Центральная, 1а'),
(1419,	'11e10a07-a306-11e9-b790-005056b24375',	'43913aba-9e44-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Бойковка, 1'),
(1420,	'22c0243f-6ceb-11e9-898c-005056b24375',	'a692a507-65bf-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Главная, 19 (возле сельсовета)'),
(1421,	'192c4595-3797-11ea-8461-0025b502a04e',	'b505cb98-3608-11ea-b89e-0025b501a04b',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 75'),
(1422,	'2bb8ce55-e1c2-11e3-8c4a-0050568002cf',	'06f8790c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Гагарина, 10'),
(1423,	'2bb8ce56-e1c2-11e3-8c4a-0050568002cf',	'06f87918-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Харьковская, 100Д'),
(1424,	'2bb8ce57-e1c2-11e3-8c4a-0050568002cf',	'69da416f-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 73'),
(1425,	'2bb8ce58-e1c2-11e3-8c4a-0050568002cf',	'b61307c5-3f59-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченка, 28'),
(1426,	'2bb8ce59-e1c2-11e3-8c4a-0050568002cf',	'06f8798a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Украинская, 178'),
(1427,	'2bb8ce5a-e1c2-11e3-8c4a-0050568002cf',	'06f87902-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Карпатская, 12'),
(1428,	'2bb8ce5b-e1c2-11e3-8c4a-0050568002cf',	'cfbeac98-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Освободителей , 1б'),
(1429,	'543143b8-0c7d-11e6-971e-005056887b8d',	'5431439f-0c7d-11e6-971e-005056887b8d',	'Отделение №1: ул. Народная, 7'),
(1430,	'4ae14648-db18-11e9-b48a-005056b24375',	'd046ae49-884f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 124'),
(1431,	'01ae25ce-e1c2-11e3-8c4a-0050568002cf',	'06f87930-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Парковая, 2а'),
(1432,	'd6b040d5-85e6-11e9-898c-005056b24375',	'bcb91778-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 84'),
(1433,	'2bb8ce4b-e1c2-11e3-8c4a-0050568002cf',	'f70622cc-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Садовая, 6'),
(1434,	'2bb8ce4c-e1c2-11e3-8c4a-0050568002cf',	'f70622ec-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Подольская, 10/2'),
(1435,	'048523f8-66c1-11e9-898c-005056b24375',	'40337bfb-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 26'),
(1436,	'2bb8ced1-e1c2-11e3-8c4a-0050568002cf',	'a9280688-94c0-11e3-b441-0050568002cf',	'Отделение №1: ул. Центральная, 5а'),
(1437,	'2bb8ced2-e1c2-11e3-8c4a-0050568002cf',	'd153d377-94c3-11e3-b441-0050568002cf',	'Отделение №1: ул. Энгельса, 5'),
(1438,	'336de190-e1c2-11e3-8c4a-0050568002cf',	'06f87934-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Покровськая, 130'),
(1439,	'54addc5f-3a81-11e5-add9-005056887b8d',	'54addc4c-3a81-11e5-add9-005056887b8d',	'Отделение № 1: ул. Независимости, 1'),
(1440,	'792c7bcd-ac94-11e9-8c22-005056b24375',	'7fc6226a-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 26'),
(1441,	'191945ce-3797-11ea-8461-0025b502a04e',	'724cdba8-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Суликова, 2-Б'),
(1442,	'72901d83-2de9-11e9-acea-005056b24375',	'48301785-1d82-11e9-ad0d-005056b24375',	'Отделение №1: ул. Промышленная, 11'),
(1443,	'511fcfa7-e1c2-11e3-8c4a-0050568002cf',	'54fee475-31b3-11e3-b441-0050568002cf',	'Отделение №1: ул. Привокзальная, 55'),
(1444,	'aa0a73b1-d402-11e9-b0c5-005056b24375',	'96c0285f-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 35/2'),
(1445,	'07e28bc9-ca89-11e9-b0c5-005056b24375',	'bb70b056-c342-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Освободителей, 25а'),
(1446,	'db03c031-2310-11ea-ba4d-005056b24375',	'66c0a2ea-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Милованова, 1'),
(1447,	'4bce7b5c-f88a-11e9-9c59-005056b24375',	'16e2e6cb-f667-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19'),
(1448,	'1b5a3eb6-67fd-11e9-898c-005056b24375',	'40b17175-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 152'),
(1449,	'e87b12f3-85d4-11e9-898c-005056b24375',	'c19296d2-82cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(1450,	'5574934b-79a1-11e6-a9f2-005056887b8d',	'8a4ff697-78e7-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Л.Украинки, 7 б'),
(1451,	'2af95b92-ac71-11e9-8c22-005056b24375',	'4e2ca0f6-8878-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 105'),
(1452,	'1b402f24-e227-11e9-b48a-005056b24375',	'92ca9fdb-dae6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(1453,	'07bdd848-6689-11e9-898c-005056b24375',	'c99a2930-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32'),
(1454,	'00f243e6-11d8-11ea-9295-005056b24375',	'5d00fd59-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 7а'),
(1455,	'874dd58f-820a-11e9-898c-005056b24375',	'ac45542d-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Независимости, 36'),
(1456,	'16809089-1e7e-11ea-ac3b-0025b502a04e',	'fc3dd912-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Подкорытова, 8'),
(1457,	'55b6b409-f138-11e3-8c4a-0050568002cf',	'2d776f0f-f138-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Мира, 17'),
(1458,	'b718c930-128e-11ea-9295-005056b24375',	'91e2c824-cf4d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 1'),
(1459,	'1b422b3c-673e-11e9-898c-005056b24375',	'fe84e067-64cf-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Бердичевское шоссе, 4'),
(1460,	'7d843504-eb37-11e9-b850-005056b24375',	'0268c28d-e66f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(1461,	'49b8049f-85da-11e9-898c-005056b24375',	'cf33fb08-82ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 72'),
(1462,	'87298156-85ea-11e9-898c-005056b24375',	'a7ea4a91-7d5c-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 20 -б'),
(1463,	'1ec09d61-e1c2-11e3-8c4a-0050568002cf',	'db5c88cd-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Шевченко, 23А'),
(1464,	'810b5f34-ca64-11e9-b0c5-005056b24375',	'cbd146ba-c340-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 40'),
(1465,	'a3ce7534-9125-11e9-898c-005056b24375',	'b43e7166-8854-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(1466,	'1ffc04c3-c9af-11e9-b0c5-005056b24375',	'8aee9523-b796-11e9-8c22-005056b24375',	'Отделение №1: ул. Киевская, 1з'),
(1467,	'5a39e57b-e1c2-11e3-8c4a-0050568002cf',	'db5c8917-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Мелитопольская, 7а'),
(1468,	'5666e37d-1e64-11e6-971e-005056887b8d',	'eb7f0f9b-1e63-11e6-971e-005056887b8d',	'Отделение №1: ул. Школьная, 57 (пансионат &quot;Прибой&quot;)'),
(1469,	'f7514636-c3e4-11e9-b0c5-005056b24375',	'e3eaf0ef-b774-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 45'),
(1470,	'8b462584-673a-11e9-898c-005056b24375',	'907f47f0-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 47'),
(1471,	'198a1dcb-1171-11ea-9295-005056b24375',	'1aadf69b-fee3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 27'),
(1472,	'111fff05-9655-11e9-898c-005056b24375',	'0c9d877b-9292-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 40-летия Победы, 1а'),
(1473,	'd1e1cf7e-a197-11e9-b790-005056b24375',	'5855face-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 25'),
(1474,	'96cc9ccf-e2b7-11e9-b48a-005056b24375',	'4e5552f5-9e61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(1475,	'08ea6d7d-9722-11e9-898c-005056b24375',	'f78c2e69-8836-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Яготинская, 18'),
(1476,	'435432f0-83be-11ea-91e8-b8830365bd14',	'80838e54-7fee-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Главная, 2'),
(1477,	'56f44fd4-2bed-11e6-9e93-005056887b8d',	'05e6689b-2bec-11e6-9e93-005056887b8d',	'Отделение №1: ул. Шевченка, 72'),
(1478,	'ce4a0c5f-ca51-11e9-b0c5-005056b24375',	'a4ad36b8-b784-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чугуевская, 70'),
(1479,	'48503db5-fb9c-11e9-9c59-005056b24375',	'924e77d3-f429-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 28'),
(1480,	'aff8b8a4-980f-11e9-898c-005056b24375',	'2e80ed16-76f1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(1481,	'1cd039cf-e412-11e9-b48a-005056b24375',	'a21a13e3-cf4a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гребенковская, 3'),
(1482,	'26073781-11d5-11ea-9295-005056b24375',	'ed054896-0c97-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 1'),
(1483,	'571b3b89-7403-11e5-8d8d-005056887b8d',	'571b3b74-7403-11e5-8d8d-005056887b8d',	'Отделение №1: проул. Школьный, 2'),
(1484,	'4139bbe1-b377-11e9-8c22-005056b24375',	'681956e4-a958-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 55'),
(1485,	'46374587-440d-11ea-b89e-0025b501a04b',	'40a6d854-9e3f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Молодогвардейская, 53'),
(1486,	'ac338dd6-1829-11ea-9295-005056b24375',	'f8458bfb-9e61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 11'),
(1487,	'3f422a70-8794-11e9-898c-005056b24375',	'25cac8c6-76f0-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 154'),
(1488,	'3f7e3227-684b-11ea-91e8-b8830365bd14',	'8f612310-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25а'),
(1489,	'4bd8fad3-c598-11e9-b0c5-005056b24375',	'49faf0ea-b797-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 28а'),
(1490,	'eb148f75-e2ce-11e9-b48a-005056b24375',	'84c71d11-cf2c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вознесенская, 106'),
(1491,	'e0b90d95-dee8-11e9-b48a-005056b24375',	'8cf8b0eb-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Беловодская, 22'),
(1492,	'efe3e2ad-1218-11ea-9295-005056b24375',	'11c0d3cd-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Штефан Челмари, 55'),
(1493,	'b8cf019b-4757-11ea-9b37-0025b502a04e',	'498a7290-4694-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 46'),
(1494,	'b724bd25-a47f-11e9-b790-005056b24375',	'38ae9838-9e62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 80'),
(1495,	'e2d3d0cb-579b-11e9-acea-005056b24375',	'ebe5e76f-5228-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 176'),
(1496,	'cccad4a9-9774-11e9-898c-005056b24375',	'31ad9f6a-76ee-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9а'),
(1497,	'c2b797d7-eb38-11e9-b850-005056b24375',	'71f89d59-e67b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дубины, 1а'),
(1498,	'cbe1cf76-bae2-11e9-8c22-005056b24375',	'301e95dd-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 1-в'),
(1499,	'c0b6ff7e-6663-11e9-898c-005056b24375',	'e3f23924-5a94-11e9-a703-005056b24375',	'Отделене №1: ул. Замковая, 3'),
(1500,	'2a421b02-052b-11ea-9c59-005056b24375',	'de186511-feeb-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(1501,	'3e422f94-85fb-11e9-898c-005056b24375',	'4b20f82a-82cc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 65а'),
(1502,	'6e860337-ac92-11e9-8c22-005056b24375',	'099e5f1a-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 136А/3'),
(1503,	'a5bd9373-1e7e-11ea-ac3b-0025b502a04e',	'5a5435f9-1b1f-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 11'),
(1504,	'2bb8ced4-e1c2-11e3-8c4a-0050568002cf',	'587c5ae4-993b-11e3-b441-0050568002cf',	'Отделение №1: ул. Независимости, 168а'),
(1505,	'004a8677-e214-11e9-b48a-005056b24375',	'5dfe2ff5-b78e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 2'),
(1506,	'4a129522-f57b-11e9-9c59-005056b24375',	'f658d984-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рудаковская, 68'),
(1507,	'7ae70888-8ce4-11e9-898c-005056b24375',	'30f273ca-76fa-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Пушкина, 2'),
(1508,	'cf055857-fa2b-11e9-9c59-005056b24375',	'8649ff37-f411-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7'),
(1509,	'd6b040bc-85e6-11e9-898c-005056b24375',	'a376b6b3-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франка, 86'),
(1510,	'd6ad3a0a-85e8-11e9-898c-005056b24375',	'cf33fb1d-82ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Степана Бандеры, 1'),
(1511,	'ccc4cfc0-fb10-11e9-9c59-005056b24375',	'50f12f20-cf2e-11e9-b0c5-005056b24375',	'Отделение №1: ул. 40-летия Победы, 8'),
(1512,	'cdd1626b-bacd-11e9-8c22-005056b24375',	'22504156-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 8'),
(1513,	'6d76766d-666c-11e9-898c-005056b24375',	'a6e309d9-64d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 14А'),
(1514,	'01ae260c-e1c2-11e3-8c4a-0050568002cf',	'd147e814-b094-11e2-8f96-d4ae527baec3',	'Отделение №1: ул. Центральная, 7'),
(1515,	'80e126c3-114f-11ea-9295-005056b24375',	'27825311-cf14-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 4'),
(1516,	'b7b9cd5b-aa02-11e9-b73a-005056b24375',	'e1ec5c35-9e39-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Придеснянская, 47'),
(1517,	'8f3bc7a5-ca8d-11e9-b0c5-005056b24375',	'd42262c0-c353-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вороны, 304а'),
(1518,	'019f2894-82eb-11e9-898c-005056b24375',	'7f6f5b54-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Бойцуна, 26'),
(1519,	'169227da-e1c2-11e3-8c4a-0050568002cf',	'69da41b1-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Прокофьева, 14а'),
(1520,	'1889296a-b361-11e9-8c22-005056b24375',	'b31c024d-9e5d-11e9-898c-005056b24375',	'Отделение №1: ул. Ставницера Алексея, 11'),
(1521,	'b6b3c565-69c5-11ea-91e8-b8830365bd14',	'e8ad3cfa-6544-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(1522,	'594558ed-f301-11e3-8c4a-0050568002cf',	'594558db-f301-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Киевская, 46'),
(1523,	'c9da3ebd-fa7b-11e9-9c59-005056b24375',	'fee78565-cf3c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 21-А'),
(1524,	'04a40e0c-6674-11e9-898c-005056b24375',	'd9420aef-64c9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франка, 2'),
(1525,	'11f57596-d3fa-11e9-b0c5-005056b24375',	'544fedbc-cf23-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 125а'),
(1526,	'4af6ae62-aa08-11e9-b73a-005056b24375',	'44ffa6cd-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 8'),
(1527,	'fa24bfd8-eb64-11e9-b850-005056b24375',	'97bc4b69-e68e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1'),
(1528,	'16922842-e1c2-11e3-8c4a-0050568002cf',	'db5c8936-391c-11dd-90d9-001a92567626',	'Отделение №1: пер. Севастопольский, 2б'),
(1529,	'7e9ea334-e299-11e9-b48a-005056b24375',	'c47fba55-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 38'),
(1530,	'39931ae7-e1c2-11e3-8c4a-0050568002cf',	'5a182bb8-bfe7-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Центральная, 44а'),
(1531,	'5a1df85d-53f2-11e6-a9f2-005056887b8d',	'5a1df844-53f2-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Первомайская, 8а'),
(1532,	'b447820e-127e-11ea-9295-005056b24375',	'4ec1476c-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 136'),
(1533,	'3a7c55b0-63a4-11ea-a970-b8830365ade4',	'401e94a2-cf45-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Галицкая, 43'),
(1534,	'd14cfe66-3796-11ea-8461-0025b502a04e',	'5d793dec-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Иванковская, 7Б'),
(1535,	'2bb8cefc-e1c2-11e3-8c4a-0050568002cf',	'5a77aa77-c47c-11e3-95eb-0050568046cd',	'Отделение №1: ул. Степная, 4'),
(1536,	'679748e3-892b-11e9-898c-005056b24375',	'c67805a6-8828-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 132'),
(1537,	'6803823f-5c64-11ea-b3f9-b8830365bd14',	'6ea6cb6e-0ce3-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 10а'),
(1538,	'0d18a4b6-982f-11e9-898c-005056b24375',	'2e80ecec-76f1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 72'),
(1539,	'353fd460-9be2-11e9-898c-005056b24375',	'ce67ed85-9741-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 57'),
(1540,	'5ac4a5a3-c1dd-11e6-8b12-005056887b8d',	'5ac4a58b-c1dd-11e6-8b12-005056887b8d',	'Отделение №1: ул. 1-го Мая, 43а'),
(1541,	'03e49b3f-8159-11e9-898c-005056b24375',	'3ffe434d-7d6f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 22а'),
(1542,	'aa635199-e9a1-11e9-b850-005056b24375',	'8831d2ad-e66d-11e9-b48a-005056b24375',	'Отделение №1: ул. Николая Юнкерова, 29а (Киев)'),
(1543,	'40a719c4-c40f-11e9-b0c5-005056b24375',	'da86c241-b797-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(1544,	'96db8416-ff90-11e8-ad0d-005056b24375',	'09e93ffc-fe15-11e8-ad0d-005056b24375',	'Автолавка (до 30 кг): АН 2938 КН, ул. Государственная, 94'),
(1545,	'06b939c9-e292-11e9-b48a-005056b24375',	'00ed5002-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 277'),
(1546,	'a48fbe2d-caa0-11e9-b0c5-005056b24375',	'8c81a411-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Середина, 38'),
(1547,	'336de1b1-e1c2-11e3-8c4a-0050568002cf',	'5b0cc18d-a8ee-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Балукова, 8Б'),
(1548,	'336de1b2-e1c2-11e3-8c4a-0050568002cf',	'5b0cc19b-a8ee-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Сагайдачного, 47'),
(1549,	'e47fd560-8923-11e9-898c-005056b24375',	'c67805bb-8828-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ковальчука, 6н'),
(1550,	'5c31422d-e2e9-11e9-b48a-005056b24375',	'3de9131d-cf3a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(1551,	'ef68828b-e1f6-11e9-b48a-005056b24375',	'36218c7f-b780-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Терешковой, 15'),
(1552,	'9098cc3b-c62b-11e8-ad0d-005056b24375',	'dee91f56-d5ed-11e3-95eb-0050568046cd',	'Отделение №1 (до 30 кг): ул. Освободителей, 64а'),
(1553,	'8839b2a6-9837-11e9-898c-005056b24375',	'1ece1c30-8864-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 20'),
(1554,	'1ec09d82-e1c2-11e3-8c4a-0050568002cf',	'06f87990-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Буковинская, 11'),
(1555,	'e28a7210-caa5-11e9-b0c5-005056b24375',	'84f71019-c354-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 39'),
(1556,	'5b6550a7-ee61-11e4-8a92-005056887b8d',	'5b655094-ee61-11e4-8a92-005056887b8d',	'Отделение №1: ул. Трибушанская, 66'),
(1557,	'5bd87ec8-adfe-11e9-8c22-005056b24375',	'6095cfdd-a955-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): поселок Горби, 317а'),
(1558,	'a5b96d68-1e7e-11ea-ac3b-0025b502a04e',	'f2ac264b-1b1e-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Ярослава Мудрого, 5'),
(1559,	'9baea480-85ce-11e9-898c-005056b24375',	'f658d999-76f2-11e9-898c-005056b24375',	'Отделение №1: ул. Днепровая, 22а'),
(1560,	'50c35c42-0eab-11ea-9295-005056b24375',	'56cccaac-b792-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Красный, 11'),
(1561,	'5bd42112-1cbf-11e6-971e-005056887b8d',	'fc0f494a-176e-11e6-971e-005056887b8d',	'Отделение №1: ул. Шевченка, 17'),
(1562,	'ef60c936-14e6-11ea-9295-005056b24375',	'bd97b0ab-fee3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(1563,	'a995128a-942c-11e9-898c-005056b24375',	'af345e41-885b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Скаржинского, 30'),
(1564,	'1f0a47e9-6762-11e9-898c-005056b24375',	'd82643c2-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 107'),
(1565,	'a3100b38-ca63-11e9-b0c5-005056b24375',	'735776da-c340-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 5а'),
(1566,	'25b683c7-1285-11ea-9295-005056b24375',	'20f42533-e68a-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Автоливмашевская, 179'),
(1567,	'e733d789-cb48-11e9-b0c5-005056b24375',	'f8274a8b-b7b3-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 7'),
(1568,	'fa5828fb-fb18-11e9-9c59-005056b24375',	'07b9c830-cf2e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Байка, 31'),
(1569,	'5c5efa47-ef5d-11e5-899e-005056887b8d',	'52d6882c-ef4f-11e5-899e-005056887b8d',	'Отделение №1: ул. Центральная, 97'),
(1570,	'2a7e324a-115d-11ea-9295-005056b24375',	'5426f70e-e5e4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 3'),
(1571,	'5c60c9e3-5fc4-11e6-a9f2-005056887b8d',	'5c60c9cc-5fc4-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Мира, 40'),
(1572,	'140a05a5-bb22-11e9-8c22-005056b24375',	'3a3e6efc-b7b7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 27а'),
(1573,	'2b04ec24-a3e6-11e9-b790-005056b24375',	'8bddd1e0-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 3'),
(1574,	'2e825296-7c5e-11e9-898c-005056b24375',	'c68e312e-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(1575,	'bd6d6933-8940-11e9-898c-005056b24375',	'b0e532c8-76fa-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 32'),
(1576,	'83c56dec-9104-11e9-898c-005056b24375',	'9798f1af-883c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Владимирская, 14а'),
(1577,	'6ef5ebc7-c098-11e8-ad0d-005056b24375',	'0fd87467-ba4b-11e8-ad0d-005056b24375',	'Отделение №1: ул. Воздвиженская, 59'),
(1578,	'47402e5b-e1c2-11e3-8c4a-0050568002cf',	'f7062352-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 82'),
(1579,	'47402e5c-e1c2-11e3-8c4a-0050568002cf',	'40981b29-a02c-11e1-b2df-0026b97ed48a',	'Отделение №1: ул. Соборная, 43'),
(1580,	'392f52a5-ad55-11e9-8c22-005056b24375',	'fecfdfa0-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 12-а'),
(1581,	'5cfc1720-b2a8-11e4-a77a-005056887b8d',	'5cfc170d-b2a8-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Духновича, 92'),
(1582,	'6dff065b-941e-11e9-898c-005056b24375',	'fd249316-887a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48/1'),
(1583,	'47402e4d-e1c2-11e3-8c4a-0050568002cf',	'00065624-4079-11de-b509-001d92f78698',	'Отделение №1: ул. А. Колпака, 2а'),
(1584,	'47402e4e-e1c2-11e3-8c4a-0050568002cf',	'0006561e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мицкевича, 1'),
(1585,	'47402e4f-e1c2-11e3-8c4a-0050568002cf',	'00065610-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Луцкая, 10'),
(1586,	'47402e50-e1c2-11e3-8c4a-0050568002cf',	'0006561a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Аэрофлотская, 2б'),
(1587,	'47402e53-e1c2-11e3-8c4a-0050568002cf',	'e221d647-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Жалезнодорожная, 87'),
(1588,	'5050b7d8-9bd7-11e9-898c-005056b24375',	'4c8dd0e9-9402-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(1589,	'141ffe87-9691-11e9-898c-005056b24375',	'cd61a01c-9287-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22а'),
(1590,	'7beae31f-c40b-11e9-b0c5-005056b24375',	'578161a6-b793-11e9-8c22-005056b24375',	'Отделение №1: ул. Ковельская, 52'),
(1591,	'4af6ae3d-aa08-11e9-b73a-005056b24375',	'e4bde1e8-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Придеснянская, 69'),
(1592,	'6161ee46-e21e-11e9-b48a-005056b24375',	'43e21712-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 10'),
(1593,	'b58c5744-e9a6-11e9-b850-005056b24375',	'3eee79ca-dae3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 23'),
(1594,	'6e1a85dd-c57c-11e9-b0c5-005056b24375',	'a735bfa8-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 1А'),
(1595,	'0d545ecd-e1c2-11e3-8c4a-0050568002cf',	'5db917c0-edee-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Гагарина, 6с'),
(1596,	'75b5ae4a-bccb-11e9-8c22-005056b24375',	'0218db84-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 67'),
(1597,	'941aeb43-fbe7-11e9-9c59-005056b24375',	'36879142-f42a-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. И. Франко, 48'),
(1598,	'410a1ba1-eb55-11e9-b850-005056b24375',	'f17dc676-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Никитченко, 12'),
(1599,	'093fd531-b207-11e9-8c22-005056b24375',	'b0e532dd-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 34/1'),
(1600,	'ebd12a5d-981d-11e9-898c-005056b24375',	'4c8dd0fe-9402-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10-А'),
(1601,	'37736882-970f-11e9-898c-005056b24375',	'48fb3a8f-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 37'),
(1602,	'9211c57c-cab8-11e9-b0c5-005056b24375',	'1b416397-b79e-11e9-8c22-005056b24375',	'Пункт приема-передачи (до 30 кг): ул. Центральная, 94'),
(1603,	'7444883b-0566-11ea-9c59-005056b24375',	'c364eeb9-8859-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24'),
(1604,	'3f170c84-0491-11ea-9c59-005056b24375',	'27d498d3-fed7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 12'),
(1605,	'ad54051d-5aba-11e9-a703-005056b24375',	'fb6baa61-59e5-11e9-a703-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 15б'),
(1606,	'29a3a7df-a3e9-11e9-b790-005056b24375',	'ce5750d8-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2'),
(1607,	'5e85d7ed-55e7-11e4-acce-0050568002cf',	'5e85d7df-55e7-11e4-acce-0050568002cf',	'Отделение №1: ул. Совхозная, 4'),
(1608,	'ade89d0d-8253-11e9-898c-005056b24375',	'03fde9b2-76f0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 24а'),
(1609,	'47d46ebf-85c5-11e9-898c-005056b24375',	'e008d93a-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 25а'),
(1610,	'3782b9e7-11fb-11ea-9295-005056b24375',	'6c27dee6-fef5-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 129'),
(1611,	'02894b86-f576-11e9-9c59-005056b24375',	'643bd377-e5ef-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 48'),
(1612,	'77366cb4-1161-11ea-9295-005056b24375',	'9fcfd5f2-0ce6-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 55'),
(1613,	'f25f5219-ff8c-11e8-ad0d-005056b24375',	'09e93fe1-fe15-11e8-ad0d-005056b24375',	'Автолавка (до 30 кг): АН 2938 КН, ул. Леваневского, 13 (возле сельсовета)'),
(1614,	'5eb2e3db-22e2-11e4-acce-0050568002cf',	'5eb2e3ca-22e2-11e4-acce-0050568002cf',	'Отделение № 1: ул. Центральная, 166/а'),
(1615,	'5af27ba9-11eb-11ea-9295-005056b24375',	'7fa3c16b-0c99-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(1616,	'1d87fed3-b1db-11e9-8c22-005056b24375',	'6640f033-9e35-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 10а'),
(1617,	'a42435ab-e2b8-11e9-b48a-005056b24375',	'609333dc-dae2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 53'),
(1618,	'332b0933-df67-11e9-b48a-005056b24375',	'53f61231-76f6-11e9-898c-005056b24375',	'Чишки, Тараа Шевченка, 48'),
(1619,	'46002a56-9144-11e9-898c-005056b24375',	'e879c5e7-885a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. БОС2, 9а'),
(1620,	'2bb8cefb-e1c2-11e3-8c4a-0050568002cf',	'000655e6-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Евгения Колесниченко, 40'),
(1621,	'4f5ec163-9371-11e9-898c-005056b24375',	'2926b303-8833-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(1622,	'85673bc4-caa8-11e9-b0c5-005056b24375',	'1e0ee7e3-c345-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кулеша Леонида, 1а'),
(1623,	'01ae2604-e1c2-11e3-8c4a-0050568002cf',	'f7062338-4078-11de-b509-001d92f78698',	'Отделение №1: кв-л Молодёжный, 20'),
(1624,	'8fb311e7-ca97-11e9-b0c5-005056b24375',	'1694ad5e-b79c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(1625,	'd7c1f32f-9670-11e9-898c-005056b24375',	'6396af1b-9282-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ковеля, 2'),
(1626,	'a6c37b1d-9728-11e9-898c-005056b24375',	'0742bf66-9297-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 4'),
(1627,	'7b422f9e-e1b8-11e3-8c4a-0050568002cf',	'5f2bb143-c601-11e3-95eb-0050568046cd',	'Отделение № 1: ул. Полтавская, 46'),
(1628,	'0ead704d-daf6-11e9-b48a-005056b24375',	'23a816c9-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Снытка, 69а'),
(1629,	'13788059-4d30-11e9-acea-005056b24375',	'39e7d001-390a-11e9-acea-005056b24375',	'Отделение №1: ул. Хоменко, 26/А'),
(1630,	'88e94ab7-0497-11ea-9c59-005056b24375',	'5ae59baa-9e42-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Звездная, 61'),
(1631,	'33e331d0-f7e3-11e9-9c59-005056b24375',	'c6721bb3-f1a7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(1632,	'b6c46642-69c5-11ea-91e8-b8830365bd14',	'022e486c-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(1633,	'5bcf2f4b-b37f-11e9-8c22-005056b24375',	'2d6adb18-b2d6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 13'),
(1634,	'16922844-e1c2-11e3-8c4a-0050568002cf',	'7833e60c-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Покровская, 21'),
(1635,	'16922845-e1c2-11e3-8c4a-0050568002cf',	'c5f70e4c-4bd0-11dd-9198-001d60451983',	'Отделение №1: ул. Государственная, 29'),
(1636,	'16922846-e1c2-11e3-8c4a-0050568002cf',	'db5c897b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Вячеслава Черновола, 103'),
(1637,	'16922847-e1c2-11e3-8c4a-0050568002cf',	'69da41f3-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Владимирская, 21б'),
(1638,	'16922848-e1c2-11e3-8c4a-0050568002cf',	'cfbeac9c-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 4'),
(1639,	'7c214467-940f-11e5-a023-005056887b8d',	'ae7a32ba-0d45-11de-b6f5-001d92f78697',	'Отделение №1: ул. 8-го Марта, 3б'),
(1640,	'd79d7ce1-f0bc-11e9-9c59-005056b24375',	'd7f4984f-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 14'),
(1641,	'aeaaf203-cb46-11e9-b0c5-005056b24375',	'853fa621-c349-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 7'),
(1642,	'5e365b42-eb27-11e9-b850-005056b24375',	'a85f296a-e5e9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 43'),
(1643,	'62e51515-3cf2-11ea-8461-0025b502a04e',	'2912ee6d-3c2e-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 30'),
(1644,	'c63353fe-a3a8-11e9-b790-005056b24375',	'ad1dd032-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 51'),
(1645,	'40498325-e1c2-11e3-8c4a-0050568002cf',	'69da418a-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 104 Г'),
(1647,	'6311f807-0dbf-11ea-9295-005056b24375',	'1388aed3-fed4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 1а'),
(1648,	'd19ac63d-6923-11ea-a970-b8830365ade4',	'39ba1a9a-e68c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Гоголя, 1а'),
(1649,	'e9e01723-fb46-11e9-9c59-005056b24375',	'7e3dfe9f-cf42-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(1650,	'6020911f-3a91-11e5-add9-005056887b8d',	'fb0b387e-3a90-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Стрильникова, 2Б'),
(1651,	'89da4fde-2554-11ea-8ac1-0025b502a04e',	'ce78b377-feed-11e9-91ff-0025b501a04b',	'Отделение №1, ул. Софиевская, 136'),
(1652,	'36214d41-d3f9-11e9-b0c5-005056b24375',	'27ed9829-cf17-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Касперовская, 167'),
(1653,	'90eeccd6-127f-11ea-9295-005056b24375',	'3e74bac0-887b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 210-А'),
(1654,	'2a5b849b-eb4e-11e9-b850-005056b24375',	'c8a00f80-e5e0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 187'),
(1655,	'e28a71f1-caa5-11e9-b0c5-005056b24375',	'8b75e5a7-c350-11e9-b0c5-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Социалистическая, 3а'),
(1656,	'21cffc7e-c983-11e9-b0c5-005056b24375',	'f814569f-c338-11e9-b0c5-005056b24375',	'Отделение №1: ул. Центральная, 84'),
(1657,	'40498337-e1c2-11e3-8c4a-0050568002cf',	'91214bc9-5d2c-11dd-b180-001d92f78698',	'Отделение №1: ул. Шевченко, 3'),
(1658,	'40498338-e1c2-11e3-8c4a-0050568002cf',	'e221d63c-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Тимирязева, 37'),
(1659,	'7c0922d1-9800-11e9-898c-005056b24375',	'0a4e0a19-882e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 15а'),
(1660,	'44b78c2d-1227-11ea-9295-005056b24375',	'7a3205ad-f413-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Сергиева, 1-В'),
(1661,	'040bbbb7-73ec-11e9-898c-005056b24375',	'0f6fe643-7302-11e9-898c-005056b24375',	'Автолавка (до 30 кг): АВ 3795 СР, ул. Соборная 15, (возле сельсовета)'),
(1662,	'becf316b-e809-11e3-8c4a-0050568002cf',	'60ed9a8d-e4d0-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Грушевського, 3'),
(1663,	'f54c6cc7-b2de-11e9-8c22-005056b24375',	'95b3a9e7-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ковельская, 36а'),
(1664,	'3b1db570-a3b4-11e9-b790-005056b24375',	'6fdbc7d7-9e5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 31'),
(1665,	'a182f2a0-813c-11e9-898c-005056b24375',	'6bef189c-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111'),
(1666,	'6cf3b22c-5c6b-11ea-b3f9-b8830365bd14',	'd722c43b-5a16-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(1667,	'3646322c-805c-11e9-898c-005056b24375',	'e4c95d65-7d61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 24'),
(1668,	'a249b85b-5c87-11ea-91e8-b8830365bd14',	'4a08bb0f-5a19-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Слобожанская, 4'),
(1669,	'bf1fd9f8-9817-11e9-898c-005056b24375',	'7a3215dc-8868-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 45'),
(1670,	'8cadb174-6817-11e9-898c-005056b24375',	'4049915e-65c0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 924'),
(1671,	'6192d13c-0d4a-11e6-971e-005056887b8d',	'6192d123-0d4a-11e6-971e-005056887b8d',	'Отделение №1: проу. Советский, 6'),
(1672,	'90eeccef-127f-11ea-9295-005056b24375',	'3f6dd256-0ce5-11ea-8c15-0025b502a06e',	'Отделение №1: ул. Кошут Лаеша 80/а'),
(1674,	'51d0b7b5-f86e-11e8-ad0d-005056b24375',	'b8515aee-f6dd-11e8-ad0d-005056b24375',	'Отделение №1: ул. Шуменськая, 9'),
(1675,	'96efb632-b35c-11e9-8c22-005056b24375',	'3d1e73d9-ad26-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 49'),
(1676,	'0798dce5-889c-11ea-91e8-b8830365bd14',	'7c15a1c0-9e50-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Франко, 40'),
(1677,	'9c45847e-a3a2-11e9-b790-005056b24375',	'e14c92ab-9e5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 166'),
(1678,	'1d56706a-e2ba-11e9-b48a-005056b24375',	'6a7e5bda-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 92а'),
(1679,	'afa40a06-b365-11e9-8c22-005056b24375',	'1d088bc4-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Очаковская, 39'),
(1680,	'd32797cd-a3a7-11e9-b790-005056b24375',	'ad1dd008-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1А'),
(1681,	'cbf7a2fd-3b71-11e9-acea-005056b24375',	'ea0537ab-399d-11e9-acea-005056b24375',	'Отделение №1: ул. Шевченко, 2Б'),
(1682,	'd20a047e-d40f-11e9-b0c5-005056b24375',	'8d0db240-cf3c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35б'),
(1683,	'62117952-f87b-11e4-8a92-005056887b8d',	'6380ff35-f877-11e4-8a92-005056887b8d',	'Отделение № 1: ул. Независимости, 100'),
(1684,	'621ed68f-e8bc-11e4-8a92-005056887b8d',	'621ed67c-e8bc-11e4-8a92-005056887b8d',	'Отделение № 1: ул. Свято-Покровськая, 18'),
(1685,	'e9dec404-5c87-11ea-91e8-b8830365bd14',	'eaabea09-5a19-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 55'),
(1686,	'6224238c-7e0d-11e5-b6f7-005056887b8d',	'62242379-7e0d-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Европейская, 177'),
(1687,	'dcc7cd43-df6a-11e9-b48a-005056b24375',	'f5b618d1-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7а'),
(1688,	'23c1a3d3-23fb-11ea-8ac1-0025b502a04e',	'eb1b6979-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Сечевых Стрельцов, 24'),
(1689,	'16922895-e1c2-11e3-8c4a-0050568002cf',	'db5c88d1-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Маяковского, 59а'),
(1690,	'587146e4-c582-11e9-b0c5-005056b24375',	'ee63f4f8-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Федика, 257я'),
(1691,	'74c66434-fb26-11e9-9c59-005056b24375',	'0b4cf538-f428-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 11'),
(1692,	'c22c4ece-9661-11e9-898c-005056b24375',	'8e0371a3-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 6'),
(1693,	'947283d0-c990-11e9-b0c5-005056b24375',	'47357db7-c33a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 8'),
(1694,	'4d28b42b-d460-11e9-b0c5-005056b24375',	'204ebbba-cf4c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 52а'),
(1695,	'f2f4ce47-5874-11ea-bfa0-0025b502a04e',	'8434dceb-cf27-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 106'),
(1696,	'02112f19-8217-11e9-898c-005056b24375',	'7302f026-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 23'),
(1697,	'b040199b-e09a-11e9-b48a-005056b24375',	'ccd23e7a-c339-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Шевченко, 57а'),
(1698,	'afd768f6-2620-11e9-ad0d-005056b24375',	'cf59d89d-1b02-11e9-ad0d-005056b24375',	'Отделение №1: ул. Свободы, 71'),
(1699,	'2a83b717-e2b2-11e9-b48a-005056b24375',	'00ce7c7a-dae4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 17'),
(1700,	'b8ad1752-cab4-11e9-b0c5-005056b24375',	'905d8ec1-c345-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная (Магазин №8)'),
(1701,	'b47cb4b4-ebd5-11e9-b850-005056b24375',	'08d062c0-e5e2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Каштановая, 9'),
(1702,	'980c5569-6743-11e9-898c-005056b24375',	'849eb41d-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1703,	'3d1e7402-ad26-11e9-8c22-005056b24375',	'196f4f2f-8868-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 17'),
(1704,	'1ec09d68-e1c2-11e3-8c4a-0050568002cf',	'06f879a0-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 65а (помещение дома &quot;Быта&quot;)'),
(1705,	'1ec09d69-e1c2-11e3-8c4a-0050568002cf',	'cfbeac96-4063-11de-b509-001d92f78698',	'Отделение №1: пер. Почтовый, 27 в (напротив Центра занятости)'),
(1706,	'60287308-2306-11ea-8ac1-0025b502a04e',	'0fae1fbf-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Вишневая, 14'),
(1707,	'62e39d44-65ce-11e5-8d8d-005056887b8d',	'62e39d31-65ce-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Гоголя, 45д'),
(1708,	'feee7131-caef-11e9-b0c5-005056b24375',	'd14f8bd8-b79f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 77'),
(1709,	'62e83195-175d-11e6-971e-005056887b8d',	'd9a34ff6-1749-11e6-971e-005056887b8d',	'Отделение №1: Восточная, 17'),
(1710,	'3a23a0f2-e20a-11e9-b48a-005056b24375',	'b08d8344-cf20-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Морской, 1'),
(1711,	'a75649b7-fb4d-11e9-9c59-005056b24375',	'30175d6f-f429-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5а'),
(1712,	'd4ed1a3a-ac99-11e9-8c22-005056b24375',	'05b90a50-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 91А'),
(1713,	'0d545ed6-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №1: Николаевское шоссе, 5-й км'),
(1714,	'6331b829-845f-11e5-b6f7-005056887b8d',	'6331b816-845f-11e5-b6f7-005056887b8d',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 79'),
(1715,	'1ec09d6e-e1c2-11e3-8c4a-0050568002cf',	'615019a2-6c11-11e1-a983-0026b97ed48a',	'Отделение №1: ул. Петрушевича, 4'),
(1716,	'1ec09d6f-e1c2-11e3-8c4a-0050568002cf',	'17b483f8-03f3-11de-9570-001d92f78697',	'Отделение№1: ул. Независимости, 107 а'),
(1717,	'73386259-56a1-11e9-acea-005056b24375',	'dba533db-521d-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(1718,	'19b2ca78-93fc-11e9-898c-005056b24375',	'e879c5d2-885a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Самосенко, 151'),
(1719,	'bfe43a6c-812c-11e9-898c-005056b24375',	'291aee5b-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 63'),
(1720,	'2a5b8479-eb4e-11e9-b850-005056b24375',	'28ccf59a-e680-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 59'),
(1721,	'7cf0de34-9647-11e9-898c-005056b24375',	'6e7da36a-9286-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ворошилова, 86'),
(1722,	'3bd891f8-23e6-11ea-ba4d-005056b24375',	'bdf6d326-1aae-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Тимошенко, 55'),
(1723,	'8d89378c-81eb-11e9-898c-005056b24375',	'de8fd4ad-7d67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(1724,	'84117efd-2306-11ea-8ac1-0025b502a04e',	'4eb22ffe-20b7-11ea-b89e-0025b501a04b',	'Пункт приймання-видачі (до 30 кг), вул. Тараса Шевченко, 62а'),
(1725,	'b7ea382a-a3a3-11e9-b790-005056b24375',	'6439d82b-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 26'),
(1726,	'e0d3a1a5-2e05-11e9-acea-005056b24375',	'bcca0269-2aa5-11e9-acea-005056b24375',	'Отделение №1: ул. комплекс зданий и сооружений 1, д. 11а'),
(1727,	'a4f4af16-8054-11e9-898c-005056b24375',	'6fcd78b2-7d60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 54'),
(1728,	'4b255f13-f8cf-11e9-9c59-005056b24375',	'faaade91-e670-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(1729,	'4f332d00-d47a-11e9-b0c5-005056b24375',	'813d020f-884f-11e9-898c-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Независимости, 36а'),
(1730,	'40498349-e1c2-11e3-8c4a-0050568002cf',	'a2762a75-a0ef-11e1-b2df-0026b97ed48a',	'Отделение №1: ул. Ватутина, 44'),
(1731,	'4049834a-e1c2-11e3-8c4a-0050568002cf',	'69da4166-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 47'),
(1732,	'4049834b-e1c2-11e3-8c4a-0050568002cf',	'b7ef1235-a34f-11e1-b00b-0026b97ed48a',	'Отделение №1: ул. Победы, 120'),
(1733,	'4049834c-e1c2-11e3-8c4a-0050568002cf',	'06f8796e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 19'),
(1734,	'fe035191-91a8-11e9-898c-005056b24375',	'b1c9db3b-8837-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 12'),
(1735,	'3c81ec18-2306-11ea-8ac1-0025b502a04e',	'd82f3972-20b6-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25'),
(1736,	'95f46816-e395-11e9-b48a-005056b24375',	'f65f218a-dab1-11e9-b48a-005056b24375',	'Отделение №1: ул. Победы, 20'),
(1737,	'15673b86-910e-11e9-898c-005056b24375',	'b1c9db26-8837-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 31'),
(1738,	'1f6dd10b-c40f-11e9-b0c5-005056b24375',	'e3eaf0c5-b774-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(1739,	'ba75ce3d-e29d-11e9-b48a-005056b24375',	'1ffc73cc-cf41-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Муравей, 108-Б'),
(1740,	'2b6be5d5-ba74-11e9-8c22-005056b24375',	'11a1b4b6-b782-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(1741,	'7b422f97-e1b8-11e3-8c4a-0050568002cf',	'64293b47-c3db-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Берестецкая, 128'),
(1742,	'f4713d38-7192-11e9-898c-005056b24375',	'6591260d-64cf-11e9-898c-005056b24375',	'Отделение №1: ул. Партизанской славы, 28А'),
(1743,	'7fd34812-fb48-11e9-9c59-005056b24375',	'65b65b1f-f428-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Гомивська, 167'),
(1744,	'396c0546-f8c7-11e9-9c59-005056b24375',	'f1c9029a-e66f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 75'),
(1745,	'47402e62-e1c2-11e3-8c4a-0050568002cf',	'06f87970-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Черкасская, 18'),
(1746,	'47402e63-e1c2-11e3-8c4a-0050568002cf',	'db5c88e1-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Колокольцова, 17'),
(1747,	'431832df-c981-11e9-b0c5-005056b24375',	'f8145675-c338-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Смирнова, 28'),
(1748,	'72a4ab70-ae27-11e9-8c22-005056b24375',	'0991e6ae-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(1749,	'f7fd0f97-6ce1-11e9-898c-005056b24375',	'3277e8a8-64ca-11e9-898c-005056b24375',	'Отделение №1: ул. Кутаисская, 20'),
(1750,	'648e5b08-40f5-11e5-8d8d-005056887b8d',	'648e5af5-40f5-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Центральная, 1'),
(1751,	'28e88281-645f-11ea-a970-b8830365ade4',	'1de3d98b-b7b9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 60'),
(1752,	'f7c10c9c-ae08-11e9-8c22-005056b24375',	'a6f77f9b-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(1753,	'9c0c1aa8-8132-11e9-898c-005056b24375',	'b4792b96-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ламброва, 42'),
(1754,	'3b72fb1c-e207-11e9-b48a-005056b24375',	'723119fe-9e58-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рынок, 24'),
(1755,	'64c9dfd9-797d-11e6-a9f2-005056887b8d',	'64c9dfbf-797d-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Ленина, 1а'),
(1756,	'5c145663-7d52-11e9-898c-005056b24375',	'670d6bdd-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Данилюка, 2'),
(1757,	'64e1975e-175e-11e6-971e-005056887b8d',	'64e19745-175e-11e6-971e-005056887b8d',	'Отделение №1: ул. Центральная, 125'),
(1758,	'c5c55c71-0dd6-11ea-9295-005056b24375',	'4be25485-9e6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 25'),
(1759,	'9c5f1ada-5c88-11ea-91e8-b8830365bd14',	'ccfd3da6-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25'),
(1760,	'aa12abbd-e08c-11e9-b48a-005056b24375',	'b7c4db39-daa6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 117'),
(1761,	'22755154-adf4-11e9-8c22-005056b24375',	'ee39109d-a954-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 42'),
(1762,	'511fcf9d-e1c2-11e3-8c4a-0050568002cf',	'07650f6b-6210-11e1-ae72-0026b97ed48a',	'Отделение: ул. Казакова, 43'),
(1763,	'2d2b49ee-11bf-11ea-9295-005056b24375',	'add3e23b-0c97-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 18'),
(1764,	'5bd87e8c-adfe-11e9-8c22-005056b24375',	'58cd303f-76f2-11e9-898c-005056b24375',	'Отделение №1: ул. Патриарха Владимира, 49'),
(1765,	'7322a151-e02f-11e9-b48a-005056b24375',	'5bba5e5a-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 53'),
(1766,	'0177ecfd-5c74-11ea-b3f9-b8830365bd14',	'aa903320-5a17-11ea-a970-b8830365ade4',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 89'),
(1767,	'5af27bc2-11eb-11ea-9295-005056b24375',	'6b81e9be-0c99-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(1768,	'd5565785-0b8c-11ea-9295-005056b24375',	'2e8bdc67-76f4-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): просп. Мира, 1а'),
(1769,	'6557dc29-4d89-11e6-a9f2-005056887b8d',	'6557dc10-4d89-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Мира, б/н (Перекресток ул. Мира и ул. Шаянской)'),
(1770,	'ab9b3b86-6739-11e9-898c-005056b24375',	'907f47db-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Седова, 38'),
(1771,	'06f7af89-a7df-11e9-b73a-005056b24375',	'02f3d411-9e44-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 65А'),
(1772,	'9c398224-8560-11e9-898c-005056b24375',	'69ca4edd-7d69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 20а'),
(1773,	'65710119-8f15-11e8-8acc-005056b2fc3d',	'657100fc-8f15-11e8-8acc-005056b2fc3d',	'Отделение №1: ул. Центральная, 30-А'),
(1774,	'1af64f6d-0b6e-11ea-9295-005056b24375',	'311fcd76-fedf-11e9-91ff-0025b501a04b',	'Заливне'),
(1775,	'959ebe40-8b96-11e9-898c-005056b24375',	'd299845e-882b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 2'),
(1776,	'412579f0-820a-11e9-898c-005056b24375',	'ac455418-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Ленина, 64'),
(1777,	'138ff1ba-2307-11ea-8ac1-0025b502a04e',	'461ffdd8-20b8-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Степана Бандеры, 1'),
(1778,	'a39c3d07-9823-11e9-898c-005056b24375',	'9d9a541b-76f1-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 141а'),
(1779,	'65a6254d-ffe7-11e5-899e-005056887b8d',	'65a62535-ffe7-11e5-899e-005056887b8d',	'Отделение №1: ул. Победы, 36'),
(1780,	'62e510bc-821d-11e9-898c-005056b24375',	'aba40419-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1а'),
(1781,	'2216bc00-85e1-11e9-898c-005056b24375',	'c3f7c57b-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Воздвиженская, 16'),
(1782,	'71b64e42-bb37-11e9-8c22-005056b24375',	'46d1dda5-b7bb-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 44'),
(1783,	'6624e44f-d3cf-11e5-8478-005056887b8d',	'cc4ca497-d3ce-11e5-8478-005056887b8d',	'Отделение №1: ул. Центральная, 64'),
(1784,	'662a134a-eb47-11e5-899e-005056887b8d',	'65ab55f5-ea7e-11e5-899e-005056887b8d',	'Отделение №1: ул. Гагарина, 202'),
(1785,	'5f0d86d6-0b84-11ea-9295-005056b24375',	'643bd34c-e5ef-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 56'),
(1786,	'0e8d471c-0b87-11ea-9295-005056b24375',	'83070135-feea-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Логвиненко, 8'),
(1787,	'9c5daca3-5c88-11ea-91e8-b8830365bd14',	'b04026bc-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Ломоносова, 18'),
(1788,	'895e4473-678f-11e9-898c-005056b24375',	'40499173-65c0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55'),
(1789,	'40498303-e1c2-11e3-8c4a-0050568002cf',	'f70622ea-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Могилевская, 24/2'),
(1790,	'a2e2f871-b371-11e9-8c22-005056b24375',	'04f8756b-a957-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Белинского, 20'),
(1791,	'053590cc-517b-11ea-9b37-0025b502a04e',	'f2dcd8f7-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 34'),
(1792,	'141b50f3-b36a-11e9-8c22-005056b24375',	'5cd47c3d-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 47'),
(1793,	'aeaaf233-cb46-11e9-b0c5-005056b24375',	'ac8e2dae-c34f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 18'),
(1794,	'8b9f02dc-b820-11e9-8c22-005056b24375',	'fecfdf8b-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 128'),
(1795,	'2eb7ade3-cd88-11e9-b0c5-005056b24375',	'35b67b9b-b7a3-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 56'),
(1796,	'57fd2fdd-b1ea-11e9-8c22-005056b24375',	'5ae59b6b-9e42-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 1В'),
(1797,	'99a3d04e-257c-11ea-8ac1-0025b502a04e',	'01a03bc9-0c9b-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Резниченко, 113'),
(1798,	'92c79077-be93-11e9-8c22-005056b24375',	'9f7223a6-b795-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Клубная, 1'),
(1799,	'9f21e8e6-b29a-11e8-ad0d-005056b24375',	'c5e7ace7-a9ed-11e8-ad0d-005056b24375',	'Отделение №1: ул. Школьная, 1б'),
(1800,	'511fcfa9-e1c2-11e3-8c4a-0050568002cf',	'66e45fac-34cc-11e3-b441-0050568002cf',	'Отделение №1: ул. Хировская, 133'),
(1801,	'c2a19ff9-f80c-11e9-9c59-005056b24375',	'8fde6925-f40c-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 11б'),
(1802,	'9dfb5c30-6ab8-11ea-91e8-b8830365bd14',	'5265f8dd-8834-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 15'),
(1803,	'51f18bc3-122c-11ea-9295-005056b24375',	'5219432d-0ce4-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 72'),
(1804,	'4e0af1b5-11b1-11ea-9295-005056b24375',	'0a153619-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 54'),
(1805,	'eeaecd2a-2316-11ea-ba4d-005056b24375',	'4ae07962-8858-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 25а'),
(1806,	'6717ade6-2471-11e4-acce-0050568002cf',	'6717add6-2471-11e4-acce-0050568002cf',	'Отделение №1: ул. Сухомлинского, 10'),
(1807,	'c01735db-e2e6-11e9-b48a-005056b24375',	'abc1abc0-cf29-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 208'),
(1808,	'01f3ed8d-74ca-11ea-91e8-b8830365bd14',	'f3c2a2c5-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Лещенко, 2а'),
(1809,	'465e0977-ac97-11e9-8c22-005056b24375',	'4a1ce425-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 37'),
(1810,	'08105dfb-b381-11e9-8c22-005056b24375',	'2d6adb44-b2d6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 27'),
(1811,	'ffd79641-9bd1-11e9-898c-005056b24375',	'a3e2f6c4-9743-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12'),
(1812,	'453f3645-d9e3-11e9-b48a-005056b24375',	'24cd080d-cf18-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 591'),
(1813,	'e6c21a7e-93e7-11e9-898c-005056b24375',	'96649cb9-5637-11e5-8d8d-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Комсомольская, 14'),
(1814,	'7b32345b-db10-11e9-b48a-005056b24375',	'6d34e59a-cf1f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 1а'),
(1815,	'6785d6f8-2f04-11e6-9e93-005056887b8d',	'6785d6dc-2f04-11e6-9e93-005056887b8d',	'Отделение №1: ул. Млыновская, 55 г'),
(1816,	'7b0ada6f-cd7b-11e9-b0c5-005056b24375',	'8eaeee56-b777-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 514'),
(1817,	'67954b25-abc7-11e6-b5da-005056887b8d',	'67954b0b-abc7-11e6-b5da-005056887b8d',	'Отделение №1: ул. Соборная, 220'),
(1818,	'fbfdd9ec-ca82-11e9-b0c5-005056b24375',	'a8ec1f3e-b794-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44а'),
(1819,	'0b6ee69f-4fda-11e9-acea-005056b24375',	'461097c6-4c83-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 15'),
(1820,	'eaf94999-e2ca-11e9-b48a-005056b24375',	'f3857ea1-dae1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(1821,	'0b75727e-df69-11e9-b48a-005056b24375',	'40535303-928f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1822,	'af2b202a-97f2-11e9-898c-005056b24375',	'2047a12f-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 207'),
(1823,	'67f00c34-0092-11e6-899e-005056887b8d',	'67f00c1c-0092-11e6-899e-005056887b8d',	'Отделение №1: ул. Шевченко, 133'),
(1824,	'5c8954a6-8148-11e9-898c-005056b24375',	'1b97d6e6-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 56'),
(1825,	'51c5e08d-9135-11e9-898c-005056b24375',	'06418829-8856-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1826,	'75aa3fba-9376-11e9-898c-005056b24375',	'6f04e41d-8859-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 2'),
(1827,	'47402ea0-e1c2-11e3-8c4a-0050568002cf',	'0db17b10-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Красная Площадь, 64'),
(1828,	'8b655e1c-f0b4-11e9-9c59-005056b24375',	'e5b12551-e5de-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кобецкой, 51'),
(1829,	'90eeccbd-127f-11ea-9295-005056b24375',	'5ef8b499-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Селянская, 112-Б'),
(1830,	'e0b73598-e1f4-11e9-b48a-005056b24375',	'932d9fd5-cf1d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 1'),
(1831,	'ce4ada33-7c7e-11e9-898c-005056b24375',	'c68e3145-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 18А'),
(1832,	'fd83d68c-74ca-11ea-91e8-b8830365bd14',	'210ac2bc-7360-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 3'),
(1833,	'1429b3a1-121c-11ea-9295-005056b24375',	'ea4d3570-fee0-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 96'),
(1834,	'c6066f23-d3f6-11e9-b0c5-005056b24375',	'c459b5cb-cf16-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 8/2'),
(1835,	'dbe70f2f-2408-11ea-8ac1-0025b502a04e',	'09144cb4-e5ef-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Кирова, 14'),
(1836,	'8960f209-ae2e-11e9-8c22-005056b24375',	'7fc6227f-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 105А'),
(1837,	'758e9235-91d8-11e9-898c-005056b24375',	'231c4d33-883f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 221'),
(1838,	'cbad6e52-e098-11e9-b48a-005056b24375',	'd6f032de-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 74'),
(1839,	'25531ef7-ba9c-11e9-8c22-005056b24375',	'07dbb6a9-9eee-11e9-b790-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(1840,	'2bb8cef3-e1c2-11e3-8c4a-0050568002cf',	'441f7f96-a440-11dd-bcd8-001d92f78697',	'Отделение №1: ул. Пушкина, 99'),
(1841,	'2bb8cef4-e1c2-11e3-8c4a-0050568002cf',	'17b483f5-03f3-11de-9570-001d92f78697',	'Отделение №1: ул. Украинская, 87'),
(1842,	'f4b90c96-9ef8-11e9-b790-005056b24375',	'0c9d8790-9292-11e9-898c-005056b24375',	'Валява'),
(1843,	'e497801e-ba75-11e9-8c22-005056b24375',	'97306511-9e4c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(1844,	'5af1edf3-1fea-11ea-ba4d-005056b24375',	'6667d212-0c9a-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Степная, 25'),
(1845,	'511fcfd8-e1c2-11e3-8c4a-0050568002cf',	'000655e4-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Суворова, 61'),
(1846,	'84132162-2306-11ea-8ac1-0025b502a04e',	'6220fc5f-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 28а'),
(1847,	'2a421b24-052b-11ea-9c59-005056b24375',	'4034f0ea-feec-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Задворья, 6а'),
(1848,	'18ede150-91cd-11e9-898c-005056b24375',	'2a319422-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(1849,	'799fadda-bb33-11e9-8c22-005056b24375',	'1de3d9b5-b7b9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 125А'),
(1850,	'08fdb0c5-ac56-11e9-8c22-005056b24375',	'4e5552cb-9e61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 131'),
(1851,	'729b3b6d-ca4f-11e9-b0c5-005056b24375',	'066d7f0d-c356-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Малая, 1А'),
(1852,	'7b323432-db10-11e9-b48a-005056b24375',	'f44f75bd-cf1d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 55а'),
(1853,	'19de2a8e-93f3-11e9-898c-005056b24375',	'1b7d7822-8859-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 1а'),
(1854,	'6a178d2d-65d3-11e5-8d8d-005056887b8d',	'54a7199c-65d2-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Львовская, 76'),
(1855,	'dc9ec56e-f8c3-11e9-9c59-005056b24375',	'58ac4fef-e66f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Раковци Ференца, 41'),
(1856,	'07fdb315-6794-11e9-898c-005056b24375',	'40499188-65c0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новоселка, 35'),
(1857,	'b079fe5c-b357-11e9-8c22-005056b24375',	'dc13401e-9e3f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 40 лет Победы, 26а'),
(1858,	'1b953d1a-1e7d-11ea-ac3b-0025b502a04e',	'8d830969-1aad-11ea-8c15-0025b502a06e',	'Пунтк приема-выдачи (до 30 кг), ул. Центральная, 33'),
(1859,	'f4e32fa5-3796-11ea-8461-0025b502a04e',	'0b52f75e-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Лесная, 28'),
(1860,	'682494a8-9824-11e9-898c-005056b24375',	'1162da0e-964d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 89'),
(1861,	'39203e01-a3de-11e9-b790-005056b24375',	'1d088bd9-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 4-го ГККК, 20'),
(1862,	'6a87d567-dd35-11e4-8a92-005056887b8d',	'8363dfbb-dd1d-11e4-8a92-005056887b8d',	'Отделение №1: ул. Гагарина, 1'),
(1863,	'7811a321-ca4c-11e9-b0c5-005056b24375',	'a4ad36a3-b784-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зорянская, 1'),
(1864,	'02112f34-8217-11e9-898c-005056b24375',	'7302f03b-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 43'),
(1865,	'682494c7-9824-11e9-898c-005056b24375',	'322c3500-9403-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(1866,	'65089778-bb2b-11e9-8c22-005056b24375',	'bd38ff14-b7bf-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Диденко, 16а'),
(1867,	'4fccd4ce-5d5b-11ea-91e8-b8830365bd14',	'3202fef7-fed9-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 117'),
(1868,	'6555dd2c-9259-11e9-898c-005056b24375',	'199ba72c-885c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 46'),
(1869,	'043e1f96-911e-11e9-898c-005056b24375',	'31762d98-8877-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1870,	'6d26b7e4-6682-11e9-898c-005056b24375',	'a14b4f8b-64cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 69'),
(1871,	'c9f61142-1177-11ea-9295-005056b24375',	'575c2af8-0c94-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 84'),
(1872,	'ecd2fb07-1e7e-11ea-ac3b-0025b502a04e',	'e8e3a089-1b1f-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Славы, 1а'),
(1873,	'c01735b9-e2e6-11e9-b48a-005056b24375',	'968da350-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 25'),
(1874,	'ca7f709a-c999-11e9-b0c5-005056b24375',	'47357dcc-c33a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 13'),
(1875,	'05f633cf-804b-11e9-898c-005056b24375',	'591febc0-7d5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 92б'),
(1876,	'56ec42a0-ca68-11e9-b0c5-005056b24375',	'ef0279ff-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(1877,	'88a4b86a-ba94-11e9-8c22-005056b24375',	'2236c14b-b81f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1а'),
(1878,	'ab063764-680c-11e9-898c-005056b24375',	'3aaa7b03-64cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черкасская, 99б'),
(1879,	'607008a5-98cf-11e9-898c-005056b24375',	'ff84052c-9742-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 86'),
(1880,	'52d6593e-4756-11ea-9b37-0025b502a04e',	'ef702577-4696-11ea-b89e-0025b501a04b',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 63'),
(1881,	'7af3d32b-9276-11e9-898c-005056b24375',	'4c81d0aa-885d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 63'),
(1882,	'5a228c08-cabb-11e9-b0c5-005056b24375',	'55929bf7-b7a8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ворошилова, 20а'),
(1883,	'8684f5e4-7fea-11e9-898c-005056b24375',	'88faf8e6-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(1884,	'1673b912-1e7e-11ea-ac3b-0025b502a04e',	'929e72ca-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Коськовецька, 54а'),
(1885,	'45d5f9b3-ca5d-11e9-b0c5-005056b24375',	'7ae5583e-c33d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 86б'),
(1886,	'976f4360-e217-11e9-b48a-005056b24375',	'a70c8088-dae8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 283'),
(1887,	'ba75ce1b-e29d-11e9-b48a-005056b24375',	'7996260d-cf41-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Цигикал, 115'),
(1888,	'5a39e537-e1c2-11e3-8c4a-0050568002cf',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Дмитрия Донцова, 15/7'),
(1889,	'5282a646-0e16-11ea-9295-005056b24375',	'190c1495-fee8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 57'),
(1890,	'af59e0cb-8946-11e9-898c-005056b24375',	'bf444677-882c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Даценко, 27'),
(1891,	'2ecf847d-7fdf-11e9-898c-005056b24375',	'a9d0eca1-76f5-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Центральная, 2'),
(1892,	'511fcfcc-e1c2-11e3-8c4a-0050568002cf',	'69da41ea-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Горького, 49/5'),
(1893,	'511fcfcd-e1c2-11e3-8c4a-0050568002cf',	'f7062334-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Криворожская, 12'),
(1894,	'1ec09d88-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Пироговский путь, 135'),
(1895,	'a3f0ed05-8cee-11e9-898c-005056b24375',	'b503bf53-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 46'),
(1896,	'1c4aa30e-eb3b-11e9-b850-005056b24375',	'71f89d83-e67b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Святого Михаила, 1а'),
(1897,	'1ec09d83-e1c2-11e3-8c4a-0050568002cf',	'f7062358-4078-11de-b509-001d92f78698',	'Отделение №1: ул. 20-го июля, 8 а'),
(1898,	'e18c96aa-517a-11ea-9b37-0025b502a04e',	'ce505a5b-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 75А'),
(1899,	'532f0685-de8b-11e9-b48a-005056b24375',	'87603d30-b7be-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кравченко, 104'),
(1900,	'1d589c5d-b71d-11e8-ad0d-005056b24375',	'd1389571-a9e7-11e8-ad0d-005056b24375',	'отделение №1: ул. Гагарина, 1Г'),
(1901,	'336de17d-e1c2-11e3-8c4a-0050568002cf',	'5be59f06-1f2e-11e1-a84e-0026b97ed48a',	'Отделение №1: ул. Шахтерская, 3'),
(1902,	'336de18a-e1c2-11e3-8c4a-0050568002cf',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Софиевская, 119'),
(1903,	'decd176e-aa1b-11e9-b73a-005056b24375',	'5ae59b80-9e42-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 47'),
(1904,	'6cb98ffe-fd59-11e5-899e-005056887b8d',	'6cb98fe5-fd59-11e5-899e-005056887b8d',	'Отделение №1: ул. Терешковой, 6а'),
(1905,	'ddd40464-74c0-11e9-898c-005056b24375',	'd65e89b6-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полтавская, 15'),
(1906,	'6d228cdf-a72a-11e6-b5da-005056887b8d',	'6d228cc6-a72a-11e6-b5da-005056887b8d',	'Отделение №1: ул. Вечевой Майдан, 8'),
(1907,	'8a38f43a-b1fe-11e9-8c22-005056b24375',	'e1330b4b-a7a1-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 72б'),
(1908,	'e5502151-815d-11e9-898c-005056b24375',	'796d7a73-76f4-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(1909,	'39931b62-e1c2-11e3-8c4a-0050568002cf',	'b61307c8-3f59-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 22'),
(1910,	'6d5229ab-abca-11e6-b5da-005056887b8d',	'6d522992-abca-11e6-b5da-005056887b8d',	'Отделение №1: ул. Школьная, 35'),
(1911,	'bc72e671-240e-11ea-8ac1-0025b502a04e',	'd2983e6a-e5f0-11e9-b48a-005056b24375',	'Отделение №1, ул. Победы, 58'),
(1912,	'df0ffd55-73e6-11e9-898c-005056b24375',	'af4a63a9-7301-11e9-898c-005056b24375',	'Автолавка: АН 2938 КН, ул. Свободы, 155 (возле маг. Оскольський)'),
(1913,	'3cb94ba0-d450-11e9-b0c5-005056b24375',	'de02f40f-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 110а'),
(1914,	'c9f6115b-1177-11ea-9295-005056b24375',	'ec87fcbf-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1'),
(1915,	'ad49aca1-3796-11ea-8461-0025b502a04e',	'8cb62df1-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 35'),
(1916,	'5e2d1bcc-92a3-11e9-898c-005056b24375',	'53c5b2b5-76f1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 38'),
(1917,	'1ec09db4-e1c2-11e3-8c4a-0050568002cf',	'4427697a-08f9-11de-b6f5-001d92f78697',	'Отделение №1: ул. Гребёнковская, 20а'),
(1918,	'1ec09db5-e1c2-11e3-8c4a-0050568002cf',	'7833e610-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Лохвицкая, 30в'),
(1919,	'7276b493-74c9-11ea-91e8-b8830365bd14',	'f949d207-735c-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Сидорская, 8'),
(1920,	'6df483a4-a53f-11e4-a77a-005056887b8d',	'6df48384-a53f-11e4-a77a-005056887b8d',	'Отделение №1: ул. Центральная, 113'),
(1921,	'cf74628a-91e0-11e9-898c-005056b24375',	'1dd83ee0-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4'),
(1922,	'e4fdd3dc-81e9-11e9-898c-005056b24375',	'fab79262-7d65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 3'),
(1923,	'b724bd3e-a47f-11e9-b790-005056b24375',	'e18f7070-9e62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Славянская, 49а'),
(1924,	'6e0a40e9-1620-11e4-acce-0050568002cf',	'6e0a40da-1620-11e4-acce-0050568002cf',	'Отделение №1: ул. Школьная, 1'),
(1925,	'06174f05-73e5-11e9-898c-005056b24375',	'8925eb45-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(1926,	'e47fd53a-8923-11e9-898c-005056b24375',	'4250c6c2-76fb-11e9-898c-005056b24375',	'Отделение №1: ул. Гагарина, 6'),
(1927,	'f89a329a-e1f0-11e9-b48a-005056b24375',	'a64825db-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лозовецкая, 1'),
(1928,	'78482b86-9bd3-11e9-898c-005056b24375',	'b209ba52-9742-11e9-898c-005056b24375',	'Пункт приема-видичи (до 30 кг): ул. Поршнянская, 3а'),
(1929,	'a5bf286d-b9ef-11e9-8c22-005056b24375',	'dfc6c74c-b78a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): проул. Торговый, 1'),
(1930,	'ab64f528-69c9-11ea-91e8-b8830365bd14',	'9b57b36e-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 31'),
(1931,	'a98006a3-8939-11e9-898c-005056b24375',	'b49d4506-8829-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 4б'),
(1932,	'7f1957c5-8116-11e9-898c-005056b24375',	'b89b491a-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 42'),
(1933,	'138ebc84-1230-11ea-9295-005056b24375',	'10c2f77b-cf42-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 84'),
(1934,	'8632fda5-f8c4-11e9-9c59-005056b24375',	'3c97d507-e670-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 66'),
(1935,	'fe11d812-5061-11e9-acea-005056b24375',	'1fcecfc7-4c84-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ясеня, 17'),
(1936,	'0b3a9892-aa39-11e9-b73a-005056b24375',	'1d985e2f-9e5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(1937,	'1f4c4e9e-b357-11e9-8c22-005056b24375',	'd4e6c414-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, первый'),
(1938,	'1b8b282d-caf8-11e9-b0c5-005056b24375',	'e0a7b381-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(1939,	'c0de94a1-f57f-11e9-9c59-005056b24375',	'bb3b3ee2-e679-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кременецкая, 14'),
(1940,	'00326d4e-1287-11ea-9295-005056b24375',	'f65965fa-cf49-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Яблоневая, 32а'),
(1941,	'6edc917b-bb62-11e5-8478-005056887b8d',	'b1e56d53-bb61-11e5-8478-005056887b8d',	'Отделение №1: пл. Победы, 20'),
(1942,	'6edd6e28-175d-11e6-971e-005056887b8d',	'6edd6e0b-175d-11e6-971e-005056887b8d',	'Отделение №1: ул. Юности, 1'),
(1943,	'39931b5e-e1c2-11e3-8c4a-0050568002cf',	'6eea52a4-0e14-11e2-a1de-d4ae527baec9',	'Отделение №1: ул. Проектная, 1'),
(1944,	'41119841-e2a8-11e9-b48a-005056b24375',	'4d5b3fb0-cf40-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 43'),
(1945,	'6e1a8606-c57c-11e9-b0c5-005056b24375',	'a735bfbd-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 35'),
(1946,	'effe83d9-0200-11e9-ad0d-005056b24375',	'e4f28d5c-ff77-11e8-ad0d-005056b24375',	'Отделение №1 (до 30 кг): ул. Илляшевской Варвары, 27'),
(1947,	'08ea6d59-9722-11e9-898c-005056b24375',	'8a49ea4f-7d6f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 22'),
(1948,	'6f61dc28-2165-11e5-add9-005056887b8d',	'6f61dc15-2165-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Г.Парна, 2'),
(1949,	'aec1b2c2-1166-11ea-9295-005056b24375',	'89a35338-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1а'),
(1950,	'24ffe76d-d453-11e9-b0c5-005056b24375',	'82293210-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 2'),
(1951,	'80613653-579e-11e9-acea-005056b24375',	'494cd204-5229-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Каменская, 8'),
(1952,	'7322c1db-96b0-11e9-898c-005056b24375',	'c70914f7-9283-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 84б'),
(1953,	'8f628ef2-8ce7-11e9-898c-005056b24375',	'a70f5d3f-882e-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 84'),
(1954,	'a995126e-942c-11e9-898c-005056b24375',	'ff459f96-885d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31а'),
(1955,	'6fd11930-5adc-11e5-8d8d-005056887b8d',	'6fd1191d-5adc-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Тараса Шевченко, 1а'),
(1956,	'1b8b27fc-caf8-11e9-b0c5-005056b24375',	'b5d48502-b7a9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35В'),
(1957,	'39931ae3-e1c2-11e3-8c4a-0050568002cf',	'6fe6087e-bee9-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Больничная, 1а'),
(1958,	'80460d99-e363-11e9-b48a-005056b24375',	'be34bba2-9e52-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Небесной Сотни, 4'),
(1959,	'ca2746ac-ca90-11e9-b0c5-005056b24375',	'6283e2a0-c353-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Иштвана Сечени, 117'),
(1960,	'4fd4513e-3371-11e4-acce-0050568002cf',	'aefd0561-32a0-11e4-acce-0050568002cf',	'Отделение №1: ул. Павла Каплуна, 71'),
(1961,	'700f9999-4036-11e5-8d8d-005056887b8d',	'700f9986-4036-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Химиков, 5б'),
(1962,	'9aec9784-4103-11ea-9b37-0025b502a04e',	'8fbdc01b-76ef-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг), ул. Почтовая, 23-А'),
(1963,	'54c3d383-ba6b-11e9-8c22-005056b24375',	'ffbfb17f-b77b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Водолазко, 11'),
(1964,	'e87b12e3-85d4-11e9-898c-005056b24375',	'a88bc67e-76f2-11e9-898c-005056b24375',	'Отделение №1: ул. Леси Украинки, 30-а'),
(1965,	'08a84b5b-81dc-11e9-898c-005056b24375',	'5c58153b-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 39з'),
(1966,	'0060e810-4758-11ea-9b37-0025b502a04e',	'69cc4912-4698-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Киевская, 5'),
(1967,	'a92403fd-a3e2-11e9-b790-005056b24375',	'22666ff9-5b77-11e5-8d8d-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Лебединская, 65'),
(1968,	'583954ac-f7ea-11e9-9c59-005056b24375',	'6f7c1237-cfb4-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 122'),
(1969,	'798c5be9-f8a1-11e9-9c59-005056b24375',	'43e21727-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 23'),
(1970,	'725e236a-23ea-11ea-ba4d-005056b24375',	'eb544771-e5e4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 18'),
(1971,	'06543957-912a-11e9-898c-005056b24375',	'231c4d1e-883f-11e9-898c-005056b24375',	'Отделение №1: ул. Матросова, 26'),
(1972,	'39931b7d-e1c2-11e3-8c4a-0050568002cf',	'7110b9c1-92f3-11e2-a57a-d4ae527baec3',	'Отделение №1: ул. Мира, 48'),
(1973,	'39931b7e-e1c2-11e3-8c4a-0050568002cf',	'7110b9ce-92f3-11e2-a57a-d4ae527baec3',	'Отделение №1: ул. Фабричная, 1/Б'),
(1974,	'715926b0-89df-11e4-acce-0050568002cf',	'dc48c2c7-89be-11e4-acce-0050568002cf',	'Отделение № 1: ул. Калинина, 4а'),
(1975,	'e4240cb8-a31a-11e9-b790-005056b24375',	'3c2d0605-9e4c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 55'),
(1976,	'235ec8cc-fb4b-11e9-9c59-005056b24375',	'16f6eac0-f429-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Дрогобычская, 23'),
(1977,	'6d5a4ac5-f804-11e9-9c59-005056b24375',	'eb544741-e5e4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(1978,	'91df253b-5071-11e9-acea-005056b24375',	'7e72b1c3-4c84-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 62'),
(1979,	'336de1ba-e1c2-11e3-8c4a-0050568002cf',	'71cdda83-adab-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Миргородськая, 25'),
(1980,	'26dcd8fb-ca29-11e9-b0c5-005056b24375',	'8480a762-c33c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 12'),
(1981,	'2e35a23c-9688-11e9-898c-005056b24375',	'a58b892a-9295-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(1982,	'82788a21-df06-11e9-b48a-005056b24375',	'2e1b7e5d-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Строительная, 1а'),
(1983,	'71ea9a58-1987-11e5-add9-005056887b8d',	'c7146c17-1986-11e5-add9-005056887b8d',	'Отделение №1: ул. Богдана Хмельницкого, 54'),
(1984,	'08fc4ce3-ad49-11e9-8c22-005056b24375',	'ee966113-9e35-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 174-а'),
(1985,	'2481d13a-5c73-11ea-b3f9-b8830365bd14',	'280308ad-5a17-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 77'),
(1986,	'eb2ee7a8-0eb3-11ea-9295-005056b24375',	'b45d0a0e-feea-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 63'),
(1987,	'29a3a804-a3e9-11e9-b790-005056b24375',	'ce575102-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2'),
(1988,	'72357afb-1ceb-11e6-971e-005056887b8d',	'cb9638bf-1cc0-11e6-971e-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. 50 лет Победы, 47а'),
(1989,	'2bb8cef7-e1c2-11e3-8c4a-0050568002cf',	'f7062362-4078-11de-b509-001d92f78698',	'Отделение №1: ул. С. Шковороды, 29'),
(1990,	'0bf309f3-ca37-11e9-b0c5-005056b24375',	'65b0d01f-b782-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 23'),
(1991,	'1a65d678-a305-11e9-b790-005056b24375',	'e4bde1d3-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 52'),
(1992,	'724dfe21-39f5-11e5-add9-005056887b8d',	'724dfe01-39f5-11e5-add9-005056887b8d',	'Отделение №1: ул. Соборнаяї, 12'),
(1993,	'1f4aa213-c3de-11e9-b0c5-005056b24375',	'fcc3035a-b76e-11e9-8c22-005056b24375',	'Полтавка, Санжаривськая, 55'),
(1994,	'47813c4f-1150-11ea-9295-005056b24375',	'eaae4ae2-0c92-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Патриотическая, 12а'),
(1995,	'd16ad5f5-9806-11e9-898c-005056b24375',	'b73463bd-8851-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 50а'),
(1996,	'11b94edf-9118-11e9-898c-005056b24375',	'8937b510-8838-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Довбуша, 151'),
(1997,	'061eca53-01dc-11e9-ad0d-005056b24375',	'41e53a72-fea6-11e8-ad0d-005056b24375',	'Отделение №1: ул. Ивана Франко, 32'),
(1998,	'758e9251-91d8-11e9-898c-005056b24375',	'9a2e3e54-8cb5-11e3-b441-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативный, 12'),
(1999,	'7b422f93-e1b8-11e3-8c4a-0050568002cf',	'730cd06c-c17e-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Свободы, 5Б'),
(2000,	'd439a45f-85de-11e9-898c-005056b24375',	'498735f0-82cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Стахановская, 1а'),
(2001,	'818d3628-e90d-11e9-b850-005056b24375',	'8434dd00-cf27-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кириченко, 1Б'),
(2002,	'64d52d10-6832-11ea-91e8-b8830365bd14',	'7f185d79-675d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 22'),
(2003,	'732ade77-ee3f-11e4-8a92-005056887b8d',	'732ade64-ee3f-11e4-8a92-005056887b8d',	'Відділення №1: ул. Танкистов, 11Б'),
(2004,	'30ca6b28-9b3e-11e9-898c-005056b24375',	'a3e2f6ad-9743-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Базарская, 2'),
(2005,	'c337f818-f0cf-11e9-9c59-005056b24375',	'92946536-cf2b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дорожная, 56'),
(2006,	'18ede12b-91cd-11e9-898c-005056b24375',	'70473810-8856-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральный, 2'),
(2007,	'736b2f92-0050-11e5-8a92-005056887b8d',	'736b2f80-0050-11e5-8a92-005056887b8d',	'Отделение №1: ул. Мазепы, 26'),
(2008,	'b1dfc2b2-c5ac-11e9-b0c5-005056b24375',	'7c84d3c9-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 1'),
(2009,	'0d545eed-e1c2-11e3-8c4a-0050568002cf',	'738184fd-1626-11e3-874c-d4ae527baec3',	'Отделение №1: Ковельская, 4а'),
(2010,	'382d259f-e7e3-11e3-8c4a-0050568002cf',	'738d366f-e4a4-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Мира, 37а'),
(2011,	'0d545f66-e1c2-11e3-8c4a-0050568002cf',	'44a5f428-1e9c-11e2-8db4-d4ae52ab9fab',	'Отделение №1: ул. Шевченка, 158'),
(2012,	'44b78c46-1227-11ea-9295-005056b24375',	'24858462-feed-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 2/7'),
(2013,	'73ada2db-1986-11e5-add9-005056887b8d',	'73ada2c8-1986-11e5-add9-005056887b8d',	'Отделение №1: ул. Центральная, 50б'),
(2014,	'9ec97dc9-5179-11ea-9b37-0025b502a04e',	'63f8dc43-4f16-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Строителей, 8а'),
(2015,	'c32718ec-ae25-11e9-8c22-005056b24375',	'90a1d467-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(2016,	'c06eb098-2406-11ea-8ac1-0025b502a04e',	'ef30ed67-fee8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 14'),
(2017,	'e733d7a5-cb48-11e9-b0c5-005056b24375',	'9c209aff-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Бриновка, 38'),
(2018,	'd4f33406-0ead-11ea-9295-005056b24375',	'9c3f038b-dab4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(2019,	'47402e5f-e1c2-11e3-8c4a-0050568002cf',	'f706235a-4078-11de-b509-001d92f78698',	'Отделение №1: ул. 8 Марта, 10'),
(2020,	'47402e60-e1c2-11e3-8c4a-0050568002cf',	'e221d64d-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Донецкая, 123'),
(2021,	'57975195-e2c3-11e9-b48a-005056b24375',	'3eee79b5-dae3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13'),
(2022,	'765376e2-fbda-11e9-9c59-005056b24375',	'1970109e-b7bf-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 11'),
(2023,	'3f0e736a-0ec0-11ea-9295-005056b24375',	'23e3a63e-feee-11e9-91ff-0025b501a04b',	'Автолавка (до 30 кг): ул. Полевая, 2'),
(2024,	'aae2da0b-1e7d-11ea-ac3b-0025b502a04e',	'55d9fa73-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Октябрьская, 55-А'),
(2025,	'7e5fb772-a30e-11e9-b790-005056b24375',	'aa355833-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Петропавловская, 48'),
(2026,	'1779f12a-1157-11ea-9295-005056b24375',	'acf0f69f-fed7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 133'),
(2027,	'5fd44907-c712-11e8-ad0d-005056b24375',	'6d127511-c595-11e8-ad0d-005056b24375',	'Отделение №1, ул. Магистральная, 19'),
(2028,	'8e132d6a-ca84-11e9-b0c5-005056b24375',	'369862cd-b795-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 5'),
(2029,	'8bf2e0a2-8215-11e9-898c-005056b24375',	'84ae4e82-7d65-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 57б'),
(2030,	'fc1cd619-bdc0-11e9-8c22-005056b24375',	'b5d484ed-b7a9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Назаренко, 161'),
(2031,	'6a0933f3-e035-11e9-b48a-005056b24375',	'05c808a5-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 1'),
(2032,	'7c909dc0-6ce4-11e9-898c-005056b24375',	'5c11fa16-65c1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 25'),
(2033,	'0798063f-7f21-11e9-898c-005056b24375',	'88faf8fb-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Михайловская, 145'),
(2034,	'7327c7b6-85bf-11e9-898c-005056b24375',	'801bb79a-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Глазуна, 46б'),
(2035,	'2d3963c8-814b-11e9-898c-005056b24375',	'3ffe4338-7d6f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Симона Петлюры, 1'),
(2036,	'3112308c-fbac-11e9-9c59-005056b24375',	'712fcf9e-e68b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 12'),
(2037,	'75ad4a08-85d7-11e9-898c-005056b24375',	'c19296e7-82cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 36'),
(2038,	'eef81ee4-e20f-11e9-b48a-005056b24375',	'3e8748b4-dab2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 90'),
(2039,	'7501f771-1bee-11e5-add9-005056887b8d',	'7501f75e-1bee-11e5-add9-005056887b8d',	'Отделение №1: ул. Покровская, 6г'),
(2040,	'a7e37d07-91ab-11e9-898c-005056b24375',	'3e74bad5-887b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 56'),
(2041,	'ef171f67-5c86-11ea-91e8-b8830365bd14',	'56ef354f-5a18-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Гагарина, 8'),
(2042,	'00f6751e-83b4-11e5-b6f7-005056887b8d',	'87d042be-2276-11e2-83ab-d4ae52ab9fab',	'Отделение №1: ул. Победы, 7'),
(2043,	'1241ad0f-def9-11e9-b48a-005056b24375',	'15befce4-9e52-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 39'),
(2044,	'807608a4-0eba-11ea-9295-005056b24375',	'7cd4c0f9-feeb-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 1'),
(2045,	'ea9f7b56-b355-11e9-8c22-005056b24375',	'0b1a2068-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 76'),
(2046,	'8c90a715-baac-11e9-8c22-005056b24375',	'dc8867b2-b7a0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гидности, 1'),
(2047,	'756bbe3a-4484-11e4-acce-0050568002cf',	'756bbe2c-4484-11e4-acce-0050568002cf',	'Отделение № 1: ул. Черниговская, 9/1'),
(2048,	'0cd0a8a9-8121-11e9-898c-005056b24375',	'6bef18c6-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Воробкевича, 48'),
(2049,	'decd174e-aa1b-11e9-b73a-005056b24375',	'18e62a0a-3c2f-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 79'),
(2050,	'11f5756e-d3fa-11e9-b0c5-005056b24375',	'544feda7-cf23-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6'),
(2051,	'019f28ca-82eb-11e9-898c-005056b24375',	'36fe1e8d-7d64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(2052,	'169227f4-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Полевая, 67'),
(2053,	'b7157490-eb73-11e9-b850-005056b24375',	'4431491b-e67f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(2054,	'75d93968-1cbd-11e6-971e-005056887b8d',	'75d9394f-1cbd-11e6-971e-005056887b8d',	'Отделение №1: ул. Мира, 82'),
(2055,	'511fcfa0-e1c2-11e3-8c4a-0050568002cf',	'b6e8345f-a929-11e0-91c2-e85e90109097',	'Отделение №1: ул. Музыкальная, 15'),
(2056,	'39931b07-e1c2-11e3-8c4a-0050568002cf',	'06f87952-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Заводская, 4а'),
(2057,	'92258c0a-caa7-11e9-b0c5-005056b24375',	'0d096b5c-b7b5-11e9-8c22-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Ленина, 71'),
(2058,	'1ec3cfac-23fc-11ea-8ac1-0025b502a04e',	'db9c3883-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 12-А'),
(2059,	'a49a97c5-eb47-11e9-b850-005056b24375',	'99a9329a-e5e8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Золочевская, 50'),
(2060,	'e160825a-f987-11e9-9c59-005056b24375',	'c8a00f91-e5e0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 8'),
(2061,	'336de1ae-e1c2-11e3-8c4a-0050568002cf',	'762301d8-a3a4-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Красина, 2'),
(2062,	'336de15c-e1c2-11e3-8c4a-0050568002cf',	'762c5152-cacb-11e3-95eb-0050568046cd',	'Отделение №1: микрорайон Военный городок'),
(2063,	'82fb489d-fd56-11e8-ad0d-005056b24375',	'08a21b2b-ebfd-11e8-ad0d-005056b24375',	'Отделение №1: ул. Шевченка, 46А'),
(2064,	'71666541-e2b0-11e9-b48a-005056b24375',	'898abd73-dae4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Андрея Василишина, 23'),
(2065,	'ad079553-8b92-11e9-898c-005056b24375',	'd2998473-882b-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 20'),
(2066,	'21c4c971-bde2-11e9-8c22-005056b24375',	'b398e476-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(2067,	'1999c551-b9eb-11e9-8c22-005056b24375',	'08315478-b774-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14'),
(2068,	'26b670dc-caa9-11e9-b0c5-005056b24375',	'7938034a-b7b3-11e9-8c22-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Степаненко, 34-А'),
(2069,	'5e9e0483-c5aa-11e9-b0c5-005056b24375',	'c8383fa8-b7a4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Красная, 68а'),
(2070,	'138be5ce-e05a-11e9-b48a-005056b24375',	'1a133995-daad-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 49'),
(2071,	'b6fd8db5-f0b3-11e9-9c59-005056b24375',	'e5b1253c-e5de-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 178'),
(2072,	'9096a0e5-69cb-11ea-91e8-b8830365bd14',	'8e60f375-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Франка, 8Б'),
(2073,	'4305802b-ca4e-11e9-b0c5-005056b24375',	'17e578be-b784-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Куриловка, 1'),
(2074,	'2960c73a-e907-11e9-b850-005056b24375',	'92d3f579-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 10'),
(2075,	'37be88f2-ade4-11e9-8c22-005056b24375',	'596ca111-8879-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2а'),
(2076,	'05ba0573-fb1b-11e9-9c59-005056b24375',	'bccc32a7-e67b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 20/а'),
(2077,	'120d6f66-0e0c-11ea-9295-005056b24375',	'6530c96a-fee1-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 101'),
(2078,	'a0a379cb-7fe3-11e9-898c-005056b24375',	'1c7bc460-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ровенская, 21'),
(2079,	'127d0be3-66b7-11e9-898c-005056b24375',	'b5ee7579-64ca-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Цветочная, 41'),
(2080,	'461d415b-e05f-11e9-b48a-005056b24375',	'8480a74d-c33c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 12'),
(2081,	'f1d80ed7-e22b-11e9-b48a-005056b24375',	'cdda2dd3-b7bc-11e9-8c22-005056b24375',	'ункт приема-выдачи (до 30 кг): ул. Гагарина, 9'),
(2082,	'7754939c-40f4-11e5-8d8d-005056887b8d',	'77549389-40f4-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Белгородская, 8'),
(2083,	'd2a24b8d-8120-11e9-898c-005056b24375',	'3c2b4c2e-ff8a-11e8-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 38а'),
(2084,	'0c0fb078-1284-11ea-9295-005056b24375',	'c579aa48-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Фермерская, 1'),
(2085,	'92668d57-967a-11e9-898c-005056b24375',	'd58f1d39-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): пров. Центральный, 45'),
(2086,	'2fd503d5-85e1-11e9-898c-005056b24375',	'd7bb2cd0-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 146Б'),
(2087,	'860c674c-f0ba-11e9-9c59-005056b24375',	'cb003d50-e5ec-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4'),
(2088,	'0aff88e0-fb4a-11e9-9c59-005056b24375',	'c4302938-f428-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 52/3'),
(2089,	'1f8a97d2-800c-11e9-898c-005056b24375',	'fe39238d-7d5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 4'),
(2090,	'b1dfc2dd-c5ac-11e9-b0c5-005056b24375',	'2250416b-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Успенская, 119'),
(2091,	'77c9d084-9a52-11e4-acce-0050568002cf',	'77c9d073-9a52-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 64а'),
(2092,	'58ed315e-ba8a-11e9-8c22-005056b24375',	'6d6cb4b1-b791-11e9-8c22-005056b24375',	'Вашківці'),
(2093,	'0b1b6030-9726-11e9-898c-005056b24375',	'b20cfbb8-9291-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 28'),
(2094,	'2ef53663-c574-11e9-b0c5-005056b24375',	'e048792f-b8ef-11e4-a77a-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 79а'),
(2095,	'c40dccd3-9384-11e9-898c-005056b24375',	'2d3c37ac-76f4-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 49А'),
(2096,	'780fa5b1-4a88-11e6-a9f2-005056887b8d',	'780fa595-4a88-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Соборная, 51'),
(2097,	'07de03df-820a-11e9-898c-005056b24375',	'706affb3-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Независимости, 36'),
(2098,	'43ca1076-b20a-11e9-8c22-005056b24375',	'f8c9de07-a7a2-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 234'),
(2099,	'ad4eeff2-3796-11ea-8461-0025b502a04e',	'9c7205e9-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 74'),
(2100,	'6215aea9-fb59-11e9-9c59-005056b24375',	'3e1f31c3-b7be-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 31А'),
(2101,	'b5ab2076-806b-11e9-898c-005056b24375',	'de64db71-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Площадь Героев, 2'),
(2102,	'7876a383-2ad1-11e5-add9-005056887b8d',	'7876a370-2ad1-11e5-add9-005056887b8d',	'Отделение № 1: ул. Главная, 42В'),
(2103,	'00fad985-5c6b-11ea-b3f9-b8830365bd14',	'f3282ce8-5a15-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2104,	'dc2f4c6d-943b-11e9-898c-005056b24375',	'148e224f-5634-11e5-8d8d-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Переправська, 17'),
(2105,	'e733d7be-cb48-11e9-b0c5-005056b24375',	'272e2a49-883a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 31-Б'),
(2106,	'4ce400c6-b382-11e9-8c22-005056b24375',	'9cff6533-b2d8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 72б'),
(2107,	'5282a624-0e16-11ea-9295-005056b24375',	'b692351b-fee4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 39'),
(2108,	'f0fa3cb1-69cb-11ea-91e8-b8830365bd14',	'd1e4b506-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Чкалова, 36'),
(2109,	'1ec09d7b-e1c2-11e3-8c4a-0050568002cf',	'59eaa8ac-e017-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Харьковская, 18'),
(2110,	'88140072-f0d2-11e9-9c59-005056b24375',	'9294654b-cf2b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Грека, 3'),
(2111,	'0c11bb8a-bb38-11e9-8c22-005056b24375',	'c71cb018-b7bb-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 39'),
(2112,	'fc3cbf12-7d35-11e9-898c-005056b24375',	'dab6f8a7-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 2'),
(2113,	'7b422f94-e1b8-11e3-8c4a-0050568002cf',	'78ebfe5f-c39f-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Центральная, 114'),
(2114,	'be3be2f1-85c8-11e9-898c-005056b24375',	'a88bc669-76f2-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 23а'),
(2115,	'06c0880a-7fee-11e9-898c-005056b24375',	'f7a264a4-7d5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 167а'),
(2116,	'790b2a40-898e-11e8-8acc-005056b2fc3d',	'790b2a24-898e-11e8-8acc-005056b2fc3d',	'Отделение №1: ул. Дубнивська, 2В/1'),
(2117,	'72794114-74c9-11ea-91e8-b8830365bd14',	'0b598345-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Заводская, 1а'),
(2118,	'7addd1a9-d459-11e9-b0c5-005056b24375',	'989141a0-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 27'),
(2119,	'17c68b9d-fbbc-11e9-9c59-005056b24375',	'774e10a6-e687-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Народная, 90'),
(2120,	'89be97d2-3796-11ea-8461-0025b502a04e',	'dc621531-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3а'),
(2121,	'1692280b-e1c2-11e3-8c4a-0050568002cf',	'717b7acf-8ceb-11e0-8f21-e1d3134d1b45',	'Отделение: Житомирское шоссе, 21 (склад Mary Kay)'),
(2122,	'53776fed-f594-11e9-9c59-005056b24375',	'8d1dfcd4-e688-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 47А'),
(2123,	'92b7fe1a-f8e3-11e9-9c59-005056b24375',	'87b76543-b79c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 84а'),
(2124,	'16922891-e1c2-11e3-8c4a-0050568002cf',	'f706236c-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Луцкая, 19'),
(2125,	'a2072dc6-9bde-11e9-898c-005056b24375',	'ce67ed70-9741-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 48'),
(2126,	'e99f56f6-85dd-11e9-898c-005056b24375',	'4b20f800-82cc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 24'),
(2127,	'579031dc-048f-11ea-9c59-005056b24375',	'3bad2103-f407-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 55'),
(2128,	'89af2a87-3796-11ea-8461-0025b502a04e',	'bc59f2d5-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 57'),
(2129,	'461d4188-e05f-11e9-b48a-005056b24375',	'51eefb92-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(2130,	'fb6baa2a-59e5-11e9-a703-005056b24375',	'edb924ab-4c84-11e9-acea-005056b24375',	'Отделение №1: ул. Боярськая, 20а'),
(2131,	'155e56ca-8936-11e9-898c-005056b24375',	'1f427204-882a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 6'),
(2132,	'7a70ed49-3d6e-11e4-acce-0050568002cf',	'ddbdccfd-3d6c-11e4-acce-0050568002cf',	'Отделение №1: ул. Киевская, 101б'),
(2133,	'e04b95d4-9697-11e9-898c-005056b24375',	'89c78f8f-9288-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 84'),
(2134,	'c649044c-d9ff-11e9-b48a-005056b24375',	'ec04f4a9-8868-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111'),
(2135,	'7fc2a895-ade5-11e9-8c22-005056b24375',	'c57b5cdf-9e51-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Свято-Покровская, 49а'),
(2136,	'b66a934e-9746-11e9-898c-005056b24375',	'fa75a5a3-8861-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ореховая, 2483'),
(2137,	'08a84b40-81dc-11e9-898c-005056b24375',	'c23f5b2b-7d6f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Красноармейская, 19Б'),
(2138,	'7aac8f7c-556a-11e5-8d8d-005056887b8d',	'72e18d5d-5568-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Трудовая, 1в'),
(2139,	'5a39e562-e1c2-11e3-8c4a-0050568002cf',	'db5c892a-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Шоссейная (ран. Артема), 169 (АЗС УкрТАТ Нафта)'),
(2140,	'5a39e567-e1c2-11e3-8c4a-0050568002cf',	'f7062340-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Победы, 6б'),
(2141,	'a8b4e8af-9b45-11e9-898c-005056b24375',	'fc3dddef-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(2142,	'147a6787-d311-11e9-b0c5-005056b24375',	'a4779b37-b7ab-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 10'),
(2143,	'1bd0005e-429b-11ea-9b37-0025b502a04e',	'd4639172-fed3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 2А'),
(2144,	'39931b08-e1c2-11e3-8c4a-0050568002cf',	'06f87950-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Василия Стуса, 3е'),
(2145,	'39931b09-e1c2-11e3-8c4a-0050568002cf',	'06f87940-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Заславская, 6'),
(2146,	'bdfdfe2c-6737-11e9-898c-005056b24375',	'1c3f1e99-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 10-А'),
(2147,	'2cc529be-049f-11ea-9c59-005056b24375',	'b779094c-b781-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4/1'),
(2148,	'7b1f978f-4da9-11e6-a9f2-005056887b8d',	'44799b36-4da8-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Гагарина, 2'),
(2149,	'3ffbb03c-ca24-11e9-b0c5-005056b24375',	'f35bfcf7-b77e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(2150,	'7b475709-3a91-11e5-add9-005056887b8d',	'7b4756f6-3a91-11e5-add9-005056887b8d',	'Отделение №1, ул. Зубенко, 110д'),
(2151,	'7b4abc3b-a850-11e4-a77a-005056887b8d',	'7b4abc28-a850-11e4-a77a-005056887b8d',	'Отделение №1: ул. Кременчугская, 8'),
(2152,	'f93441b8-972a-11e9-898c-005056b24375',	'5cc44bda-9278-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27а'),
(2153,	'5a39e54e-e1c2-11e3-8c4a-0050568002cf',	'b6c1c6b7-0aaf-11e1-a180-0026b97ed48a',	'Отделение №1: 19-тый квартал, д. 2'),
(2154,	'5a39e54f-e1c2-11e3-8c4a-0050568002cf',	'06f879a2-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Гершуны, 14'),
(2155,	'44ae5d7f-b42a-11e9-8c22-005056b24375',	'8240e1fd-883f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Квитневая, 16А'),
(2156,	'bf01666c-5d5a-11ea-91e8-b8830365bd14',	'b1eae66b-dae3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 17а'),
(2157,	'7b75fb6c-2d1b-11e4-acce-0050568002cf',	'7b75fb5a-2d1b-11e4-acce-0050568002cf',	'Отделение №1: ул. Грушевського, 57'),
(2158,	'e52fb69c-f0e6-11e9-9c59-005056b24375',	'5124c0c1-e67e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожников, 5-а'),
(2159,	'e419b9f7-6200-11e9-898c-005056b24375',	'cf1035d4-5f6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2а'),
(2160,	'e6627e75-de7e-11e9-b48a-005056b24375',	'fc5f1e3c-928e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Белоусская, 17'),
(2161,	'06293cf1-11df-11ea-9295-005056b24375',	'782f0982-f425-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 24'),
(2162,	'3b91fad4-820f-11e9-898c-005056b24375',	'26c5e6dc-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 110 Б'),
(2163,	'd20a04a6-d40f-11e9-b0c5-005056b24375',	'c0fdebf4-b7b5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(2164,	'8cf2caa7-0b69-11ea-9295-005056b24375',	'c62758c7-fed3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(2165,	'54f1005e-e054-11e9-b48a-005056b24375',	'bcc951b1-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 162'),
(2166,	'77d6bd10-247f-11ea-8ac1-0025b502a04e',	'31a778e5-e67c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1а'),
(2167,	'3fbf6050-1154-11ea-9295-005056b24375',	'b07122c0-f407-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Степная, 9'),
(2168,	'7bcd73e0-06e6-11e6-971e-005056887b8d',	'f7b76339-fb26-11e5-899e-005056887b8d',	'Отделение №1: просп. Мира, 24'),
(2169,	'7a735e83-5179-11ea-9b37-0025b502a04e',	'310353eb-4f16-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Фильтровая, 14'),
(2170,	'e9985565-be81-11e9-8c22-005056b24375',	'83187db8-b771-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Михайловская, 40'),
(2171,	'b6432fbe-81ec-11e9-898c-005056b24375',	'9b2a13a9-7d70-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 11'),
(2172,	'19de2a78-93f3-11e9-898c-005056b24375',	'a361a865-0eb6-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21а'),
(2173,	'b7437b15-85ea-11e9-898c-005056b24375',	'fa51177c-76fa-11e9-898c-005056b24375',	'Отделение №1: ул. Маяковского, 45'),
(2174,	'93a3d4d9-e3b2-11e9-b48a-005056b24375',	'f3fd05d9-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Свободы, 1А'),
(2175,	'c7f23392-93dd-11e9-898c-005056b24375',	'533eb9de-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Титкова, 1'),
(2176,	'f8b20184-b361-11e9-8c22-005056b24375',	'068ea18b-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Надточиивская, 11'),
(2177,	'39931af8-e1c2-11e3-8c4a-0050568002cf',	'69da41b4-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Юбилейная, 4'),
(2178,	'39931af9-e1c2-11e3-8c4a-0050568002cf',	'db5c8909-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Соборная, 46'),
(2179,	'39931afa-e1c2-11e3-8c4a-0050568002cf',	'ae7a32bc-0d45-11de-b6f5-001d92f78697',	'Отделение №1: ул. Сватовская (ран. Дзержинского), 56'),
(2180,	'39931afd-e1c2-11e3-8c4a-0050568002cf',	'f7062372-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Волковенко, 1а'),
(2181,	'39931afe-e1c2-11e3-8c4a-0050568002cf',	'00065614-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Ровенская, 107'),
(2182,	'39931aff-e1c2-11e3-8c4a-0050568002cf',	'b1a78da1-cfab-11e0-baa0-c8912765d3f7',	'Отделение №1: ул. Маяковского, 48'),
(2183,	'39931af4-e1c2-11e3-8c4a-0050568002cf',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Федоренко, 10, корп. 2'),
(2184,	'39931af5-e1c2-11e3-8c4a-0050568002cf',	'00065612-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Степана Бандеры, 38'),
(2185,	'dde0611d-9b46-11e9-898c-005056b24375',	'fc3dde04-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 27'),
(2186,	'f46bcd89-5abd-11e9-a703-005056b24375',	'9cf5021d-5a02-11e9-a703-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6'),
(2187,	'3fbd6df0-a3b2-11e9-b790-005056b24375',	'47dda8f1-885e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2188,	'e2952601-85e5-11e9-898c-005056b24375',	'fddc04cb-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тельмана, 102'),
(2189,	'38e047d1-3b80-11e9-acea-005056b24375',	'42c66baf-35c6-11e9-acea-005056b24375',	'Отделение №1: ул. Николаевская, 37'),
(2190,	'c4e051b0-cb3d-11e9-b0c5-005056b24375',	'ecec0fa2-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Житомирская, 64'),
(2191,	'f16455f6-a2fc-11e9-b790-005056b24375',	'cdf45ea7-9e36-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 108'),
(2192,	'7d2903de-8982-11e5-b6f7-005056887b8d',	'3d19eb6d-8980-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Ивана Франка, 10'),
(2193,	'40498310-e1c2-11e3-8c4a-0050568002cf',	'f70622f0-4078-11de-b509-001d92f78698',	'Отделение №1: пров. Железнодорожный, 1'),
(2194,	'3a5b8009-ea57-11e3-8c4a-0050568002cf',	'7d350679-e49e-11e3-8c4a-0050568002cf',	'Отделение №1 (до 30 кг на одно место): ул. Сенюка, 2а'),
(2195,	'7ac761a4-c3df-11e9-b0c5-005056b24375',	'fcc3036f-b76e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Космическая, 37/2'),
(2196,	'114a1eac-3c06-11e9-acea-005056b24375',	'0e45263f-3912-11e9-acea-005056b24375',	'Отделение №1: ул. Докучаева, 2Ж'),
(2197,	'cf57a5c4-11e9-11ea-9295-005056b24375',	'14b8eb20-0c99-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 16'),
(2198,	'b7437ae3-85ea-11e9-898c-005056b24375',	'4250c6ad-76fb-11e9-898c-005056b24375',	'Отделение №1: ул. Свободы, 1а'),
(2199,	'966def53-674b-11e9-898c-005056b24375',	'c45a2fdd-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1а'),
(2200,	'1d2b7c96-80ae-11ea-91e8-b8830365bd14',	'8db8ee61-7fef-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Тараса Шевченко, 62'),
(2201,	'd61724ab-e094-11e9-b48a-005056b24375',	'262f31a2-daab-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. урочище «Подвесок» магазин «Пейзаж»'),
(2202,	'511fcfd4-e1c2-11e3-8c4a-0050568002cf',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Кооперативная, 5'),
(2203,	'd684fb9f-b37a-11e9-8c22-005056b24375',	'8fbdc045-76ef-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Иванова, 5а'),
(2204,	'ca90fbfd-cab4-11e9-b0c5-005056b24375',	'2fb41dae-c34f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 27'),
(2205,	'3f23ad25-1e7d-11ea-ac3b-0025b502a04e',	'7d5ee742-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Александра Билаша, 33'),
(2206,	'f0e6f602-f7e8-11e9-9c59-005056b24375',	'9fa97ad8-cf18-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2207,	'e56d589c-8b98-11e9-898c-005056b24375',	'bf44468c-882c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4'),
(2208,	'92064802-f71c-11e9-9c59-005056b24375',	'ee0f7365-e5dd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шляховая, 2'),
(2209,	'7dbedf92-0b93-11e5-8a92-005056887b8d',	'7dbedf7f-0b93-11e5-8a92-005056887b8d',	'Отделение №1: ул. Грушевского, 48 (Возле АЗС WOG)'),
(2210,	'01ae25e7-e1c2-11e3-8c4a-0050568002cf',	'00065616-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Варшавская, 2е'),
(2211,	'01ae25f0-e1c2-11e3-8c4a-0050568002cf',	'06f87992-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченко, 5'),
(2212,	'01ae25f1-e1c2-11e3-8c4a-0050568002cf',	'69da4172-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Гаврилюка, 1'),
(2213,	'01ae25f7-e1c2-11e3-8c4a-0050568002cf',	'10975677-8a89-11e0-8140-969cd9edcd68',	'Отделение №1: микрорайон Светлий, &quot;Рынок Лидер&quot; 3/1'),
(2214,	'6cd1cba7-98c7-11e9-898c-005056b24375',	'f2f0f229-9403-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 27'),
(2215,	'ed0ab7b7-b354-11e9-8c22-005056b24375',	'bb790d02-a95a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Выгонская, 14А'),
(2216,	'62703e16-a153-11e9-b790-005056b24375',	'cd61a008-9287-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(2217,	'b14bde32-820a-11e9-898c-005056b24375',	'a9d0ecb6-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 269'),
(2218,	'7e3dc7d6-a859-11e4-a77a-005056887b8d',	'7e3dc7c4-a859-11e4-a77a-005056887b8d',	'Отделение №1: ул. Центральная, 119а'),
(2219,	'92258bea-caa7-11e9-b0c5-005056b24375',	'6e0a1631-b7b5-11e9-8c22-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Заозерная, 57'),
(2220,	'7e4cae70-845f-11e5-b6f7-005056887b8d',	'7e4cae5d-845f-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Соборная, 2-Б'),
(2221,	'c7eb1d21-fbd2-11e9-9c59-005056b24375',	'71398dee-e683-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 2а'),
(2222,	'88f65edf-f665-11e9-9c59-005056b24375',	'cda7e0ec-e66d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 39'),
(2223,	'862c93d6-fa40-11e9-9c59-005056b24375',	'3f7aa04b-8865-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сутиская, 8'),
(2224,	'f23e89c3-e411-11e9-b48a-005056b24375',	'1ffc73b7-cf41-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(2225,	'cc5530e8-ba83-11e9-8c22-005056b24375',	'69663f38-9e51-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 3'),
(2226,	'128c2c38-91de-11e9-898c-005056b24375',	'70982fe7-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 149'),
(2227,	'12f78794-a3ab-11e9-b790-005056b24375',	'e8a06230-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1Б'),
(2228,	'62ed847f-8122-11e9-898c-005056b24375',	'bcb12644-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 37а'),
(2229,	'6051ec20-69cb-11ea-91e8-b8830365bd14',	'6e0883a8-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Народная, 74'),
(2230,	'0b660092-69ca-11ea-91e8-b8830365bd14',	'd891986b-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 5'),
(2231,	'4a9c3516-fa48-11e9-9c59-005056b24375',	'5eb2491c-f425-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 4'),
(2232,	'ea9f7b81-b355-11e9-8c22-005056b24375',	'0b1a207d-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Парижской Коммуны, 19'),
(2233,	'5af27b90-11eb-11ea-9295-005056b24375',	'8ed4fd24-0c99-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 24'),
(2234,	'f916691b-ca66-11e9-b0c5-005056b24375',	'0f9d01c5-c341-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 49'),
(2235,	'a577076c-95e7-11e9-898c-005056b24375',	'6e7da340-9286-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чубаря, 28'),
(2236,	'40a69243-d456-11e9-b0c5-005056b24375',	'e6524d5d-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(2237,	'0c0f01d1-9778-11e9-898c-005056b24375',	'600c1f97-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63'),
(2238,	'fd99976f-ba9c-11e9-8c22-005056b24375',	'369862e2-b795-11e9-8c22-005056b24375',	'Оконск, Шевченка,18'),
(2239,	'a4e99ad8-a3f6-11e9-b790-005056b24375',	'33ab7ebd-9e33-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Диканский путь, 21а'),
(2240,	'17c68b7b-fbbc-11e9-9c59-005056b24375',	'774e107c-e687-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 151'),
(2241,	'137cfa01-c5a0-11e9-b0c5-005056b24375',	'b5d484d8-b7a9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Комарова, 36'),
(2242,	'52e0c0cf-f895-11e9-9c59-005056b24375',	'527f00fd-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 49'),
(2243,	'4b67031e-e2a1-11e9-b48a-005056b24375',	'152a0a35-c350-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 8'),
(2244,	'c1bcd563-8d01-11e9-898c-005056b24375',	'bc1dc061-8832-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 2'),
(2245,	'20e4dc8d-7fd5-11e9-898c-005056b24375',	'3d9231f1-76ee-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Транспортная, 117'),
(2246,	'8026b4a7-cc84-11e4-a77a-005056887b8d',	'8026b494-cc84-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Заводская, 2'),
(2247,	'19665f2d-ad4f-11e9-8c22-005056b24375',	'720a18e3-9e36-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Конева, 9а'),
(2248,	'0b47f671-faf0-11e9-9c59-005056b24375',	'623d2609-e5e2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 48'),
(2249,	'8ae98a50-e387-11e9-b48a-005056b24375',	'e4bde1be-9e3d-11e9-898c-005056b24375',	'Отделение №1: ул. Я. Лизогуба, 20'),
(2250,	'619632e1-69c5-11ea-91e8-b8830365bd14',	'dc0eed36-6544-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Парковая, 4'),
(2251,	'd8189397-7fdb-11e9-898c-005056b24375',	'968da37a-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 22'),
(2252,	'9f7a6892-fa2e-11e9-9c59-005056b24375',	'87adccbf-e5ec-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50'),
(2253,	'd42e1817-baae-11e9-8c22-005056b24375',	'3c370d39-b7a1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 13а'),
(2254,	'd7319714-7baa-11e9-898c-005056b24375',	'56d25c3b-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 8/А'),
(2255,	'6a87dcb0-680b-11e9-898c-005056b24375',	'3aaa7b2d-64cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 228/3'),
(2256,	'40498328-e1c2-11e3-8c4a-0050568002cf',	'7833e61a-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Набережная, 1'),
(2257,	'40498329-e1c2-11e3-8c4a-0050568002cf',	'7833e612-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Бурмистренка, 2а'),
(2258,	'5a39e536-e1c2-11e3-8c4a-0050568002cf',	'f706237e-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Львовская, 38л'),
(2259,	'5416409a-95ec-11e9-898c-005056b24375',	'a58b8900-9295-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2Б'),
(2260,	'ba513003-74c9-11ea-91e8-b8830365bd14',	'76405d92-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Кооператора, 1'),
(2261,	'01ae2645-e1c2-11e3-8c4a-0050568002cf',	'80fce617-d989-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Владимирская, 25'),
(2262,	'1b988c24-1e7d-11ea-ac3b-0025b502a04e',	'a6118956-1aad-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Южная, 29'),
(2263,	'72c3d0cc-4f28-11ea-9b37-0025b502a04e',	'c33f5c8f-fee6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 119а'),
(2264,	'1f999989-b1ec-11e9-8c22-005056b24375',	'160d6e5d-9e4e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 37'),
(2265,	'81450a4b-ef4e-11e5-899e-005056887b8d',	'81450a32-ef4e-11e5-899e-005056887b8d',	'Отделение №1: площадь Вечевой Майдан, 2'),
(2266,	'00f674ea-83b4-11e5-b6f7-005056887b8d',	'814cb7cd-e569-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Заводская, 9Б'),
(2267,	'ef9035b1-8009-11e9-898c-005056b24375',	'a945830e-7d5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Смелянская, 8'),
(2268,	'de647189-b375-11e9-8c22-005056b24375',	'681956f9-a958-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Карла Маркса, 40'),
(2269,	'f611d366-6388-11ea-a970-b8830365ade4',	'55c78c3f-8863-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Богдана Хмельницкого, 21'),
(2270,	'7a4b2890-38fc-11ea-8461-0025b502a04e',	'658f59ff-9e59-11e9-898c-005056b24375',	'Пнкт приема-выдачи (до 30 кг), ул. Шевченко, 50а'),
(2271,	'f87dac1c-f808-11e9-9c59-005056b24375',	'317da756-f40a-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 79'),
(2272,	'9d97e0fd-ad5a-11e9-8c22-005056b24375',	'4f9cceb0-a956-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 51А'),
(2273,	'9db27e50-936f-11e9-898c-005056b24375',	'2926b2ee-8833-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Горького, 6'),
(2274,	'b04019bf-e09a-11e9-b48a-005056b24375',	'f2d3c708-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная (террит. Садового товар. «Мотор 63»)'),
(2275,	'08fdb09e-ac56-11e9-8c22-005056b24375',	'e68423b2-9e60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 76'),
(2276,	'12397fc5-b36d-11e9-8c22-005056b24375',	'c6be6e9a-9e64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Титова, 212'),
(2277,	'f10a17e3-9651-11e9-898c-005056b24375',	'9368c67f-928f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 9'),
(2278,	'afb81717-1e7c-11ea-ac3b-0025b502a04e',	'a3f0134d-1b1c-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 495'),
(2279,	'ec8d5eda-7f0b-11e9-898c-005056b24375',	'1058be0f-76eb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Якобчука, 11'),
(2280,	'03f3c45d-caba-11e9-b0c5-005056b24375',	'11d9468c-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Измаильская, 38'),
(2281,	'bff14aad-7dfc-11e9-898c-005056b24375',	'8986ecbf-76f9-11e9-898c-005056b24375',	'Отделение №1: ул. Макаренко, 13'),
(2282,	'5a39e53b-e1c2-11e3-8c4a-0050568002cf',	'06f878f4-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Б. Хмельницкого, 58'),
(2283,	'5a39e53c-e1c2-11e3-8c4a-0050568002cf',	'06f8795a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 32'),
(2284,	'99ff1cef-d3f7-11e9-b0c5-005056b24375',	'f2d3c6f3-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 153'),
(2285,	'5a39e571-e1c2-11e3-8c4a-0050568002cf',	'0db17b12-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченко, 23'),
(2286,	'5a39e572-e1c2-11e3-8c4a-0050568002cf',	'db5c88ca-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Богдана Хмельницкого, 43'),
(2287,	'5a39e573-e1c2-11e3-8c4a-0050568002cf',	'06f8794a-4079-11de-b509-001d92f78698',	'Отделение № 1: ул. Мира, 9'),
(2288,	'0dbf263d-5c88-11ea-91e8-b8830365bd14',	'35167215-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 7'),
(2289,	'f729ee36-5a96-11e9-a703-005056b24375',	'b79a3922-4c82-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Каменецкая, 80'),
(2290,	'93c6eee0-ca6d-11e9-b0c5-005056b24375',	'84f71043-c354-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 62'),
(2291,	'fafc090e-23f2-11ea-8ac1-0025b502a04e',	'ef817dc9-f407-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 45'),
(2292,	'1392632c-2307-11ea-8ac1-0025b502a04e',	'5906db33-20b8-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Дорошенко, 108'),
(2293,	'16b1394c-87a0-11e9-898c-005056b24375',	'fe3923a2-7d5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 3а'),
(2294,	'ea1df1be-a480-11e9-b790-005056b24375',	'4a1ce43a-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 15а'),
(2295,	'8536e3c7-e290-11e9-b48a-005056b24375',	'c5d1476e-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 200/1'),
(2296,	'1edce433-e41c-11e9-b48a-005056b24375',	'50f12f35-cf2e-11e9-b0c5-005056b24375',	'Отделение №1 (до 30 кг): ул. Шевченко, 25а'),
(2297,	'11203d0b-6846-11ea-91e8-b8830365bd14',	'768560b9-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2298,	'838c73e3-cc82-11e4-a77a-005056887b8d',	'dfdc9dad-ace7-11dd-8b61-001d92f78697',	'Отделение № 1: ул. Молодежная, 33-Б'),
(2299,	'2f0514fc-9832-11e9-898c-005056b24375',	'054d8542-884b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Малая, 7'),
(2300,	'f3cb1a02-2307-11ea-ba4d-005056b24375',	'193d1e57-f40b-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Пиньковского, 47'),
(2301,	'511fcfce-e1c2-11e3-8c4a-0050568002cf',	'a4502bea-577e-11de-b9fc-0021918b679a',	'Отделение №1: ул. Грушевского, 11'),
(2302,	'511fcfcf-e1c2-11e3-8c4a-0050568002cf',	'00065638-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Вокзальная, 26'),
(2303,	'511fcfd0-e1c2-11e3-8c4a-0050568002cf',	'00065640-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Демьяна Бедного, 4'),
(2304,	'536af0eb-8eaa-11e9-898c-005056b24375',	'4b73abf0-882d-11e9-898c-005056b24375',	'Отделение №1: ул. Сечевых Стрельцов, 10'),
(2305,	'13c16d21-aa29-11e9-b73a-005056b24375',	'8ea019f5-9e4e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(2306,	'a4243589-e2b8-11e9-b48a-005056b24375',	'3eee79df-dae3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Матросова, 160'),
(2307,	'b7b9cd79-aa02-11e9-b73a-005056b24375',	'c9c54b3f-9e3a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 22А'),
(2308,	'2b7d25cf-85e9-11e9-898c-005056b24375',	'c1079228-76f9-11e9-898c-005056b24375',	'Отделение №1: ул. Мира, 57'),
(2309,	'169227e9-e1c2-11e3-8c4a-0050568002cf',	'f706232e-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченка, 54а'),
(2310,	'169227ea-e1c2-11e3-8c4a-0050568002cf',	'441f7f94-a440-11dd-bcd8-001d92f78697',	'Отделение №1: ул. Михаила Грушевского, 10а'),
(2311,	'336de193-e1c2-11e3-8c4a-0050568002cf',	'f7062368-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Ковельская, 58'),
(2312,	'336de194-e1c2-11e3-8c4a-0050568002cf',	'69da41d5-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Украины, 51'),
(2313,	'336de195-e1c2-11e3-8c4a-0050568002cf',	'69da41db-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Киевская, 58'),
(2314,	'3d8493ce-69c5-11ea-91e8-b8830365bd14',	'c0455d19-6544-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2315,	'857f62f5-fa46-11e9-9c59-005056b24375',	'79962622-cf41-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 20'),
(2316,	'840d60d0-ea81-11e5-899e-005056887b8d',	'867bd3ec-ea80-11e5-899e-005056887b8d',	'Отделение №1: ул. Матросова, 30'),
(2317,	'840d6136-ea81-11e5-899e-005056887b8d',	'840d611d-ea81-11e5-899e-005056887b8d',	'Отделение №1: ул. Крупской, 1'),
(2318,	'2e1d4f92-ae03-11e9-8c22-005056b24375',	'95b3a9fc-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): площадь Мира, 8'),
(2319,	'404982f2-e1c2-11e3-8c4a-0050568002cf',	'8b86cac4-f1df-11e1-a58d-d4ae527baec9',	'Отделение №1: ул. Центральная, 7'),
(2320,	'404982f3-e1c2-11e3-8c4a-0050568002cf',	'06f87924-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Ленина, 4'),
(2321,	'404982f5-e1c2-11e3-8c4a-0050568002cf',	'06f8796c-4079-11de-b509-001d92f78698',	'Отделеение №1: ул. Первомайская, 11'),
(2322,	'404982f6-e1c2-11e3-8c4a-0050568002cf',	'f706234c-4078-11de-b509-001d92f78698',	'Отделение №1: проул. Южный, 11-л'),
(2323,	'404982f7-e1c2-11e3-8c4a-0050568002cf',	'06f8790a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 4'),
(2324,	'cee71071-6750-11e9-898c-005056b24375',	'fe84e091-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Марамурешская, 122'),
(2325,	'ffb249a6-6828-11ea-91e8-b8830365bd14',	'd72cb595-6543-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 47'),
(2326,	'844a3de3-4d64-11e4-acce-0050568002cf',	'844a3dd3-4d64-11e4-acce-0050568002cf',	'Отделение №1: ул. Львовская, 47'),
(2327,	'1228db5f-e026-11e9-b48a-005056b24375',	'd1d230e5-cf17-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61'),
(2328,	'845890f2-1987-11e5-add9-005056887b8d',	'845890de-1987-11e5-add9-005056887b8d',	'Отделение № 1: ул. Центральная, 412'),
(2329,	'19665f56-ad4f-11e9-8c22-005056b24375',	'cdf45e92-9e36-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сигнальная, 14'),
(2330,	'f36e4f99-a3b5-11e9-b790-005056b24375',	'1d985e1a-9e5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 134'),
(2331,	'e2f13216-d460-11e9-b0c5-005056b24375',	'387f8851-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Скородинского, 138'),
(2332,	'b98c162e-b64f-11e8-ad0d-005056b24375',	'c5e7acfc-a9ed-11e8-ad0d-005056b24375',	'Отделение №1: ул. 147'),
(2333,	'd38cb56b-2808-11ea-8461-0025b502a04e',	'c142403f-cf3e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 64'),
(2334,	'282031ee-0f54-11ea-9295-005056b24375',	'74a521bb-f138-11e3-8c4a-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2'),
(2335,	'fd78376c-9274-11e9-898c-005056b24375',	'cd79d1f3-9123-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2336,	'84d9d813-0c20-11e4-acce-0050568002cf',	'84d9d806-0c20-11e4-acce-0050568002cf',	'Отделение № 1: ул. Дружбы, 52'),
(2337,	'6863d741-ca94-11e9-b0c5-005056b24375',	'6e74aee1-c352-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 101-А'),
(2338,	'0bf309ca-ca37-11e9-b0c5-005056b24375',	'65b0d00a-b782-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(2339,	'3522d237-a326-11e9-b790-005056b24375',	'792b7540-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 40-летия Победы, 52'),
(2340,	'f9e0d992-6680-11e9-898c-005056b24375',	'fd7a977b-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Федьковича, 9'),
(2341,	'919d92b8-7d56-11e9-898c-005056b24375',	'65552ae3-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17'),
(2342,	'cc4edb42-eb2a-11e9-b850-005056b24375',	'4fe41c60-b785-11e9-8c22-005056b24375',	'Могилёвка, Первомайская, 124'),
(2343,	'6b7f27f3-0498-11ea-9c59-005056b24375',	'48fa56fa-cf16-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(2344,	'99d264c3-9bcb-11e9-898c-005056b24375',	'92e654fa-76ea-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Николая Короля, 23'),
(2345,	'9ba94912-be83-11e9-8c22-005056b24375',	'83187d8a-b771-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Коминтерна, 74'),
(2346,	'7ead584f-5c87-11ea-91e8-b8830365bd14',	'109f7abb-5a19-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 15б'),
(2347,	'3b72faf0-e207-11e9-b48a-005056b24375',	'f9399a10-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пасечная, 11'),
(2348,	'563d79e3-805e-11e9-898c-005056b24375',	'1cd43ac5-7d62-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Набережная, 5'),
(2349,	'22f67604-cabc-11e9-b0c5-005056b24375',	'04eda5ff-b79f-11e9-8c22-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Рябоконя, 84'),
(2350,	'5a39e55c-e1c2-11e3-8c4a-0050568002cf',	'f70622d2-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Коновальца, 4а (напротив Укрпочты)'),
(2351,	'5a39e55d-e1c2-11e3-8c4a-0050568002cf',	'06f8793c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Ходякова, 27е'),
(2352,	'5a39e55e-e1c2-11e3-8c4a-0050568002cf',	'cfbeaca0-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 17'),
(2353,	'5a39e55f-e1c2-11e3-8c4a-0050568002cf',	'06f87900-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Ноября, 53'),
(2354,	'87805d97-a327-11e9-b790-005056b24375',	'e5f62912-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2'),
(2355,	'6bdbf054-7feb-11e9-898c-005056b24375',	'53f6125b-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Акметческая, 54'),
(2356,	'ad3f8db7-bdca-11e9-8c22-005056b24375',	'e21dfda4-b7b2-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 54'),
(2357,	'133a47c7-eb43-11e9-b850-005056b24375',	'1dd26629-e5e8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1'),
(2358,	'721609c5-d461-11e9-b0c5-005056b24375',	'822931fb-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Петлюры, 4'),
(2359,	'4b962e4b-b375-11e9-8c22-005056b24375',	'06286896-a958-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 50'),
(2360,	'4f8d3c76-0aba-11e9-ad0d-005056b24375',	'06931e99-095e-11e9-ad0d-005056b24375',	'Отделение №1: ул. Бериславская, 6а'),
(2361,	'78c382fd-1168-11ea-9295-005056b24375',	'c6ec8713-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 119'),
(2362,	'257f1726-bab6-11e9-8c22-005056b24375',	'8dd83807-b7a3-11e9-8c22-005056b24375',	'ункт приема-выдачи (до 30 кг): ул. Степная, 33'),
(2363,	'08c59800-1223-11ea-9295-005056b24375',	'1a0e8c91-0c97-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 93а'),
(2364,	'541640bd-95ec-11e9-898c-005056b24375',	'a58b8915-9295-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 9'),
(2365,	'5085f31c-83bb-11ea-91e8-b8830365bd14',	'e55fa915-7feb-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Куклича, 99/1'),
(2366,	'2f3045a4-d405-11e9-b0c5-005056b24375',	'2946061b-cf28-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кобеляцкая, 1'),
(2367,	'0233772a-fa79-11e9-9c59-005056b24375',	'a29916b0-e67d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2368,	'4bb0295b-0904-11e9-ad0d-005056b24375',	'9e3668eb-ebfc-11e8-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 45А'),
(2369,	'c73db4f8-ca51-11e9-b0c5-005056b24375',	'c8066aa7-c355-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 12'),
(2370,	'169227de-e1c2-11e3-8c4a-0050568002cf',	'b61307bf-3f59-11de-b509-001d92f78698',	'Отделение №1: ул. Ивана Богуна, 9'),
(2371,	'169227df-e1c2-11e3-8c4a-0050568002cf',	'441f7f9a-a440-11dd-bcd8-001d92f78697',	'Отделение №1: ул. Гагарина, 23а'),
(2372,	'169227e0-e1c2-11e3-8c4a-0050568002cf',	'000655de-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Чапаева, 1б'),
(2373,	'169227e1-e1c2-11e3-8c4a-0050568002cf',	'35d676dd-7560-11de-a214-002219c743f6',	'Отделение №1: ул. Высоцкого, 3'),
(2374,	'169227e2-e1c2-11e3-8c4a-0050568002cf',	'f7062316-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Освобождения, 21'),
(2375,	'169227e3-e1c2-11e3-8c4a-0050568002cf',	'06f87976-4079-11de-b509-001d92f78698',	'Отделение №1: ул. князя Дмитрия Вишневецкого, 17'),
(2376,	'169227e4-e1c2-11e3-8c4a-0050568002cf',	'f70622d6-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Облески, 36'),
(2377,	'169227e5-e1c2-11e3-8c4a-0050568002cf',	'06f87980-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 47'),
(2378,	'169227e6-e1c2-11e3-8c4a-0050568002cf',	'06f8797c-4079-11de-b509-001d92f78698',	'Отделение №1: пл. Мира, 33'),
(2379,	'c40dccf9-9384-11e9-898c-005056b24375',	'25cac8b1-76f0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Цветочная, 37'),
(2380,	'eb35a272-ca65-11e9-b0c5-005056b24375',	'0f9d019b-c341-11e9-b0c5-005056b24375',	'Отделение №1 (до 30 кг): ул. Сумской путь, 146а'),
(2381,	'2bb8ce4a-e1c2-11e3-8c4a-0050568002cf',	'69da41c6-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Карла Маркса, 1'),
(2382,	'336de1c3-e1c2-11e3-8c4a-0050568002cf',	'8724d6d9-b329-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Площадь Гагарина, 8а'),
(2383,	'81da21a1-1e7e-11ea-ac3b-0025b502a04e',	'89147272-1b1c-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 29а'),
(2384,	'874ccbf1-dd35-11e4-8a92-005056887b8d',	'874ccbdc-dd35-11e4-8a92-005056887b8d',	'Отделение №1: ул. Каштановая, 4/3'),
(2385,	'25b683e0-1285-11ea-9295-005056b24375',	'e85b5c38-dae6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 22'),
(2386,	'87701ed6-1e5e-11e6-971e-005056887b8d',	'87701ebd-1e5e-11e6-971e-005056887b8d',	'Отделение №1: ул. Таврийская, 10 (Центральная Основа)'),
(2387,	'08c597e7-1223-11ea-9295-005056b24375',	'34e962f2-fef6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Счастливая, 31'),
(2388,	'556a2615-91c7-11e9-898c-005056b24375',	'08b4b974-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 26а'),
(2389,	'87886613-d9ec-11e4-8a92-005056887b8d',	'87886600-d9ec-11e4-8a92-005056887b8d',	'Отделение №1: ул. Волошина, 61б'),
(2390,	'e54f2c6d-fa5b-11e9-9c59-005056b24375',	'6a4318c9-f426-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 137'),
(2391,	'c3ef720c-9148-11e9-898c-005056b24375',	'7f1f3459-8836-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. 9-го Января, 1-Г'),
(2392,	'db591e32-c403-11e9-b0c5-005056b24375',	'dfc6c722-b78a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21а'),
(2393,	'77bceb79-cd86-11e9-b0c5-005056b24375',	'7a377376-b7a2-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 5'),
(2394,	'60e90a85-8065-11e9-898c-005056b24375',	'b13f8a6b-76f3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Возрождения, 7а'),
(2395,	'2bb8ce91-e1c2-11e3-8c4a-0050568002cf',	'881563bb-6d3c-11e3-b441-0050568002cf',	'Отделение №1: ул. Николая Терещенко, 5'),
(2396,	'2c82382c-91d7-11e9-898c-005056b24375',	'9c8aafff-883e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 105'),
(2397,	'8844b768-95fd-11e6-a4c1-005056887b8d',	'6187f6c2-95fd-11e6-a4c1-005056887b8d',	'Отделение №1: ул. Банковская, 18'),
(2398,	'7f00e359-9372-11e9-898c-005056b24375',	'eeee7d5a-8833-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(2399,	'39931b04-e1c2-11e3-8c4a-0050568002cf',	'69da41de-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Михаила Грушевского, 11а'),
(2400,	'39931b05-e1c2-11e3-8c4a-0050568002cf',	'69da41f6-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Парковая, 80'),
(2401,	'39931b06-e1c2-11e3-8c4a-0050568002cf',	'cfbeaca2-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Козацкая, 2'),
(2402,	'027e00c2-eb61-11e9-b850-005056b24375',	'23e97277-e68e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 43а'),
(2403,	'07dbb689-9eee-11e9-b790-005056b24375',	'8e037179-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 18в'),
(2404,	'1af64f8f-0b6e-11ea-9295-005056b24375',	'43391c18-fedf-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2Б'),
(2405,	'f46bcd6c-5abd-11e9-a703-005056b24375',	'9cf50207-5a02-11e9-a703-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 8а'),
(2406,	'054df82d-673e-11e9-898c-005056b24375',	'd8264383-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 4-в'),
(2407,	'8a7d19ed-9811-11e9-898c-005056b24375',	'c8ddb6ff-76ec-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 1'),
(2408,	'39931b64-e1c2-11e3-8c4a-0050568002cf',	'c5f70e4a-4bd0-11dd-9198-001d60451983',	'Отделение №1: ул. Шевченко, 30'),
(2409,	'8684f607-7fea-11e9-898c-005056b24375',	'dab6f892-76f7-11e9-898c-005056b24375',	'Отделение №1: ул. Парковая, 1б'),
(2410,	'536bed77-bb2a-11e9-8c22-005056b24375',	'86793e08-882a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 86'),
(2411,	'e3a87e92-2322-11ea-ba4d-005056b24375',	'84c9655a-fee2-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 10а'),
(2412,	'ba14bde3-f0df-11e9-9c59-005056b24375',	'd1eed811-e688-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Осередок, 70'),
(2413,	'cdd16241-bacd-11e9-8c22-005056b24375',	'22504180-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1б'),
(2414,	'2f5740b9-4756-11ea-9b37-0025b502a04e',	'70d0397e-4699-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Млинова, 4'),
(2415,	'a5a659dc-faf6-11e9-9c59-005056b24375',	'b03c5747-e5e2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 44'),
(2416,	'ff65ed57-0dd7-11ea-9295-005056b24375',	'2f51324d-fede-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 11'),
(2417,	'42220514-d40d-11e9-b0c5-005056b24375',	'87c63a4e-9e60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1а'),
(2418,	'89517c60-05e1-11e4-acce-0050568002cf',	'89517c52-05e1-11e4-acce-0050568002cf',	'Отделение №1: ул. Почтовая, 1, кв.1'),
(2419,	'99ccd538-2884-11ea-8461-0025b502a04e',	'03fde9c7-76f0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Эдмунда, 28'),
(2420,	'59605415-ca3e-11e9-b0c5-005056b24375',	'9335873b-c33f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 56'),
(2421,	'8f45acd2-e3b0-11e9-b48a-005056b24375',	'5e30c229-9e54-11e9-898c-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Пушкіна, 12'),
(2422,	'897af02d-9421-11e5-a023-005056887b8d',	'8bdb0abd-92b5-11e5-a023-005056887b8d',	'Отделение №1: ул. Центральная, 1К'),
(2423,	'd0c204c5-ca50-11e9-b0c5-005056b24375',	'4fe41c36-b785-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 5'),
(2424,	'89aff5b5-603f-11e5-8d8d-005056887b8d',	'89aff5a2-603f-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Гагарина, 20г'),
(2425,	'89b33913-e13d-11e5-899e-005056887b8d',	'0a83d21d-e133-11e5-899e-005056887b8d',	'Отделение №1:вул. Командарма Шумилова, 87'),
(2426,	'11610a65-247e-11ea-8ac1-0025b502a04e',	'bccc32bc-e67b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 3'),
(2427,	'aa845369-bb20-11e9-8c22-005056b24375',	'd8c6be8a-b7b6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(2428,	'89d3ddaf-0124-11e4-acce-0050568002cf',	'89d3dd9e-0124-11e4-acce-0050568002cf',	'Отделение №1: ул. Независимости, 25'),
(2429,	'84d1c12a-de88-11e9-b48a-005056b24375',	'a8969040-cf45-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 114А'),
(2430,	'c8bf811b-fca2-11e9-9c59-005056b24375',	'964731b6-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Украины, 61а'),
(2431,	'89ed8d9e-8c5d-11e5-b6f7-005056887b8d',	'89ed8d8a-8c5d-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Центральная, 11/18'),
(2432,	'98f6cee6-bb25-11e9-8c22-005056b24375',	'5a1cd952-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Великая, 3'),
(2433,	'1b6d5a0b-3cf2-11ea-8461-0025b502a04e',	'eb741dbb-3c2d-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Победы, 21'),
(2434,	'2b7d25b6-85e9-11e9-898c-005056b24375',	'456ccb99-82cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 50'),
(2435,	'cb4336f7-05d1-11e9-ad0d-005056b24375',	'93c505d0-0535-11e9-ad0d-005056b24375',	'Отделение №1: ул. Донецкая, 19'),
(2436,	'01a023ad-c98e-11e9-b0c5-005056b24375',	'21420177-b777-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 36'),
(2437,	'e2cf6f27-5d5a-11ea-91e8-b8830365bd14',	'c71cb02d-b7bb-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Данила Галицкого, 67'),
(2438,	'ddfa5ebf-afb3-11e9-8c22-005056b24375',	'0991e699-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новоселовская, 1а'),
(2439,	'84ac6ca5-f7e2-11e9-9c59-005056b24375',	'8724da8b-e5df-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Клименко, 28'),
(2440,	'e9e01701-fb46-11e9-9c59-005056b24375',	'970b6fe0-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16а'),
(2441,	'badc060d-56ad-11e9-acea-005056b24375',	'9702066e-5228-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 121'),
(2442,	'7f00e333-9372-11e9-898c-005056b24375',	'2926b318-8833-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 154'),
(2443,	'97d26d0d-8050-11e9-898c-005056b24375',	'bd023338-7d60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 25'),
(2444,	'28bd1ffe-df05-11e9-b48a-005056b24375',	'ef5dae7b-cf29-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 200в'),
(2445,	'b5759e13-11ee-11ea-9295-005056b24375',	'c69f094f-feee-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 56'),
(2446,	'9399b71d-0dcf-11ea-9295-005056b24375',	'e4cd94ee-fed6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2447,	'4db4d95c-fbb9-11e9-9c59-005056b24375',	'493d212f-f429-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 96'),
(2448,	'6cd1cbc3-98c7-11e9-898c-005056b24375',	'f2f0f23e-9403-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(2449,	'd44c2569-eb2f-11e9-b850-005056b24375',	'4a2706c3-cf25-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Яремчука, 1а'),
(2450,	'3eb020c0-74d1-11e9-898c-005056b24375',	'c57957d5-73d8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(2451,	'f2ccc80f-11f5-11ea-9295-005056b24375',	'183831d7-fef4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Комсомольский, 16'),
(2452,	'040bbb9e-73ec-11e9-898c-005056b24375',	'af4a63c0-7301-11e9-898c-005056b24375',	'Автолавка, АН 2938 КН, ул. Кузнецова, 1 (возле маг. Изобилие)'),
(2453,	'c0de94c3-f57f-11e9-9c59-005056b24375',	'83666e5e-e678-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 31'),
(2454,	'7322a12d-e02f-11e9-b48a-005056b24375',	'5bba5e45-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Небесной Сотни, 27'),
(2455,	'93c88fee-116f-11ea-9295-005056b24375',	'a9c68bdc-fee3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8д'),
(2456,	'c4880ea4-ca5a-11e9-b0c5-005056b24375',	'9798f19a-883c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 11'),
(2457,	'39931b5d-e1c2-11e3-8c4a-0050568002cf',	'd48436af-e99c-11e0-be54-f5cb9f9fdf36',	'Отделение №1: ул. Слобожанская, 32/2-19'),
(2458,	'40498343-e1c2-11e3-8c4a-0050568002cf',	'000655f8-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 72'),
(2459,	'8bbf40dc-a034-11e6-b5da-005056887b8d',	'67b26074-a034-11e6-b5da-005056887b8d',	'Отделение №1: ул. Надворнянская, 2В'),
(2460,	'01ae25c7-e1c2-11e3-8c4a-0050568002cf',	'06f879a6-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Советская, 66'),
(2461,	'fdf351ba-8d57-11e9-898c-005056b24375',	'1ece1c45-8864-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Майданская, 2А'),
(2462,	'99fe7d25-517a-11ea-9b37-0025b502a04e',	'7b91d903-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2463,	'90045857-969a-11e9-898c-005056b24375',	'19d9f9bc-9289-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Яблоневая, 8а'),
(2464,	'8c1b8f25-646d-11e6-a9f2-005056887b8d',	'390611ba-646b-11e6-a9f2-005056887b8d',	'Отделение №1: ул Киевская, 234'),
(2465,	'bfb15c8f-e222-11e9-b48a-005056b24375',	'301e95f2-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 1'),
(2466,	'4fdd404d-5d5b-11ea-91e8-b8830365bd14',	'538181aa-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 111'),
(2467,	'0d545f7e-e1c2-11e3-8c4a-0050568002cf',	'8c30dec7-3a09-11e2-8c54-d4ae52ab9fab',	'Отделение №1: ул. Соборная, 14'),
(2468,	'f117e8d9-fbf3-11e9-9c59-005056b24375',	'ccc49412-883b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Савишена, 1а'),
(2469,	'e91aaafe-bb31-11e9-8c22-005056b24375',	'03db42e0-884f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Красовского, 68А'),
(2470,	'73a77997-67fb-11e9-898c-005056b24375',	'ba993b42-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вокзальная, 33'),
(2471,	'408dfcc2-9822-11e9-898c-005056b24375',	'322c3515-9403-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Степная, 48а'),
(2472,	'6034885e-bbe7-11e8-ad0d-005056b24375',	'08dcfb49-96cd-11e6-a4c1-005056887b8d',	'Отделение №1: ул. Ирчана, 4'),
(2473,	'0d545ee9-e1c2-11e3-8c4a-0050568002cf',	'8c839dc2-117b-11e3-874c-d4ae527baec3',	'Отделение №1: ул. Киевская, 3'),
(2474,	'ebd12a78-981d-11e9-898c-005056b24375',	'4c8dd113-9402-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Транспортная, 10'),
(2475,	'9d778fe1-98bd-11e9-898c-005056b24375',	'f7a13b29-76eb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 37'),
(2476,	'31cd81fc-fca0-11e9-9c59-005056b24375',	'd4c6c984-e683-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3'),
(2477,	'cf055825-fa2b-11e9-9c59-005056b24375',	'139e458f-e5e0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 3'),
(2478,	'2445ede6-9b48-11e9-898c-005056b24375',	'aa35581e-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Щепкина, 142'),
(2479,	'8cbcff50-4037-11e5-8d8d-005056887b8d',	'8cbcff3d-4037-11e5-8d8d-005056887b8d',	'Отделение № 1: ул. Почтовая, 1б'),
(2480,	'e6a24b5c-f48b-11e8-ad0d-005056b24375',	'c805badc-f417-11e8-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 4'),
(2481,	'bfe43a51-812c-11e9-898c-005056b24375',	'291aee46-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45А'),
(2482,	'7327c79d-85bf-11e9-898c-005056b24375',	'1b97d710-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 41а'),
(2483,	'ce45d68e-ba9a-11e9-8c22-005056b24375',	'0c2acc42-b794-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 17'),
(2484,	'8d0d6419-5814-11e8-9d95-005056b2fc3d',	'8d0d63fc-5814-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Ватутина, 61а'),
(2485,	'ad8cd730-f88c-11e9-9c59-005056b24375',	'a70f5d54-882e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(2486,	'6d969cce-f0e2-11e9-9c59-005056b24375',	'938d2421-e689-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 50'),
(2487,	'a489925e-92a0-11e9-898c-005056b24375',	'71f9aa0c-8861-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10а'),
(2488,	'3de7ac1a-bad2-11e9-8c22-005056b24375',	'9c8ab029-883e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Стаханова, 2а'),
(2489,	'4bd8faaa-c598-11e9-b0c5-005056b24375',	'c14c09a4-c343-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесовая, 31А'),
(2490,	'54a44cc2-df5d-11e9-b48a-005056b24375',	'669dea81-8840-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 50'),
(2491,	'8d7f3b8f-a2d7-11e4-a77a-005056887b8d',	'8d7f3b7e-a2d7-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Довженка, 3'),
(2492,	'cf7462ae-91e0-11e9-898c-005056b24375',	'1dd83ef5-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 88А'),
(2493,	'66ac56aa-f580-11e9-9c59-005056b24375',	'bb3b3f0c-e679-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2494,	'39f1ba47-2306-11ea-ba4d-005056b24375',	'0acf23f3-20b6-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(2495,	'2e8252bb-7c5e-11e9-898c-005056b24375',	'8925eb73-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 44'),
(2496,	'1d56703f-e2ba-11e9-b48a-005056b24375',	'6a7e5bc5-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 164'),
(2497,	'b5cde078-cb45-11e9-b0c5-005056b24375',	'9ff5564a-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 92'),
(2498,	'1ec09dd9-e1c2-11e3-8c4a-0050568002cf',	'06f8798e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Горького, 12'),
(2499,	'2bb8ce3e-e1c2-11e3-8c4a-0050568002cf',	'06f8794e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 69'),
(2500,	'2bb8ce3f-e1c2-11e3-8c4a-0050568002cf',	'06f87912-4079-11de-b509-001d92f78698',	'Отделение №1: ул. 35-й Гвардийской дивизии, 20'),
(2501,	'2bb8ce40-e1c2-11e3-8c4a-0050568002cf',	'00065606-4079-11de-b509-001d92f78698',	'Отделение №1: пер. Спортивный, 6'),
(2502,	'2bb8ce41-e1c2-11e3-8c4a-0050568002cf',	'f70622ce-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 9'),
(2503,	'47402e5a-e1c2-11e3-8c4a-0050568002cf',	'69da41e4-3f5d-11de-b509-001d92f78698',	'Отделение: ул. 1-го Мая, 11'),
(2504,	'1b82b686-e039-11e9-b48a-005056b24375',	'5bba5e30-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2505,	'6f3c03bc-f80e-11e9-9c59-005056b24375',	'f44f75a8-cf1d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 7'),
(2506,	'8e28a11d-584d-11e5-8d8d-005056887b8d',	'8e28a10a-584d-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Шевченко, 5'),
(2507,	'c3e26b84-ae36-11e9-8c22-005056b24375',	'5a1cd928-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(2508,	'65559a08-61a4-11e9-898c-005056b24375',	'74b79bbc-5f6d-11e9-898c-005056b24375',	'Отделение №1: ул. Ракоци Ференца, 165'),
(2509,	'69d5503c-911b-11e9-898c-005056b24375',	'8937b53a-8838-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 33'),
(2510,	'b40f52a7-69cb-11ea-91e8-b8830365bd14',	'ad8a66ed-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 13'),
(2511,	'8e6f3b6b-96cd-11e6-a4c1-005056887b8d',	'8e6f3b51-96cd-11e6-a4c1-005056887b8d',	'Отделение №1: ул. Центральная, 345'),
(2512,	'26073768-11d5-11ea-9295-005056b24375',	'697605b4-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2513,	'565eeb3a-e28e-11e9-b48a-005056b24375',	'c5d14798-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 5'),
(2514,	'8e8a08ad-b06d-11e4-a77a-005056887b8d',	'8e8a0899-b06d-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Ивана Франко, 29'),
(2515,	'58e502be-aa21-11e9-b73a-005056b24375',	'1f74e9af-9e43-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 101'),
(2516,	'39931b14-e1c2-11e3-8c4a-0050568002cf',	'f7062380-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Витовского, 39'),
(2517,	'db03c053-2310-11ea-ba4d-005056b24375',	'819bb14b-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Крещатик, 5'),
(2518,	'13a74407-be90-11e9-8c22-005056b24375',	'9ff55635-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сойне, 2'),
(2519,	'19699664-85e9-11e9-898c-005056b24375',	'198b361d-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 11А'),
(2520,	'a1aded15-e38b-11e9-b48a-005056b24375',	'3c6b97c8-9e39-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Деснянская, 50а'),
(2521,	'5abb84d5-d401-11e9-b0c5-005056b24375',	'4a2706d8-cf25-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 29'),
(2522,	'b7ea384c-a3a3-11e9-b790-005056b24375',	'6439d840-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2523,	'26ef7017-8090-11e9-898c-005056b24375',	'2e79f775-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 34'),
(2524,	'1d87fefd-b1db-11e9-8c22-005056b24375',	'99f44a18-a7a1-11e9-b73a-005056b24375',	'Отделение №1 (до 30 кг): ул. Варшавская, 35'),
(2525,	'3b935222-deeb-11e9-b48a-005056b24375',	'0bccb1c5-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 110а'),
(2526,	'bbc372f6-0b89-11ea-9295-005056b24375',	'9a15b68a-f413-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Полесская, 31'),
(2527,	'e419b9d6-6200-11e9-898c-005056b24375',	'67209448-cb8c-11e3-95eb-0050568046cd',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 137'),
(2528,	'78ccd5a0-eb32-11e9-b850-005056b24375',	'15befcf9-9e52-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 46'),
(2529,	'dc9d86e1-eb3c-11e9-b850-005056b24375',	'f44f7593-cf1d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(2530,	'336de1c2-e1c2-11e3-8c4a-0050568002cf',	'8f105bd6-b105-11e3-9fa0-0050568002cf',	'Отделение №1, ул. Чехова, 3'),
(2531,	'1b020fc2-82ea-11e9-898c-005056b24375',	'8de804a3-7d64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 96'),
(2532,	'1ec09d76-e1c2-11e3-8c4a-0050568002cf',	'c514c05f-df32-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Закарпатская, 75'),
(2533,	'043068d2-96ad-11e9-898c-005056b24375',	'324ce5b7-928e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2534,	'111ffee2-9655-11e9-898c-005056b24375',	'864c4f2f-928b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Возкальна, 18'),
(2535,	'd5af9c48-8563-11e9-898c-005056b24375',	'30f273df-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 53'),
(2536,	'39931b7b-e1c2-11e3-8c4a-0050568002cf',	'cfbeaca8-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Патриотов, 10'),
(2537,	'8f6be86a-7644-11e4-acce-0050568002cf',	'8f6be858-7644-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 92а'),
(2538,	'70e76437-7fd1-11e9-898c-005056b24375',	'e295e77c-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 28 июня, 34'),
(2539,	'd674d2dd-caf9-11e9-b0c5-005056b24375',	'aa6ca8e5-9e5b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 2а'),
(2540,	'3aa2f9dd-9823-11e9-898c-005056b24375',	'07d40af8-9402-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Илариона Сухомлина, 33-в'),
(2541,	'6bdddfbf-dee7-11e9-b48a-005056b24375',	'ee9660e9-9e35-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 22б'),
(2542,	'511fcfe3-e1c2-11e3-8c4a-0050568002cf',	'db5c88c5-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Железнодорожная, 16а, (Интенданский р-н, за маг. &quot;Эталон&quot;'),
(2543,	'0465db7e-83bc-11ea-91e8-b8830365bd14',	'da286ab0-7fec-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 31'),
(2544,	'90231190-6d70-11e8-9d95-005056b2fc3d',	'90231172-6d70-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Центральная, 22 Б'),
(2545,	'3f1ff2ca-1e7d-11ea-ac3b-0025b502a04e',	'0aa3d4fc-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 2'),
(2546,	'9042c79b-f895-11e4-8a92-005056887b8d',	'9042c788-f895-11e4-8a92-005056887b8d',	'Отделение № 1: ул. Вернигоры, 25'),
(2547,	'fcf81bdc-ba69-11e9-8c22-005056b24375',	'595a2f0e-b77a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 2'),
(2548,	'4b7db062-8143-11e9-898c-005056b24375',	'bcb12659-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6'),
(2549,	'905c11e2-13d6-11e4-acce-0050568002cf',	'905c11d2-13d6-11e4-acce-0050568002cf',	'Отделение № 1: ул. Золотоворотская, 93'),
(2550,	'e76d9958-81d8-11e9-898c-005056b24375',	'a5b35592-7d69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 20'),
(2551,	'580de417-800f-11e9-898c-005056b24375',	'8ae45100-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тельмановская, 7А'),
(2552,	'018227ed-ae1f-11e9-8c22-005056b24375',	'61deceaf-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Генерала Плиева, 45'),
(2553,	'a1a103a7-fbd8-11e9-9c59-005056b24375',	'7812e45a-e68c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(2554,	'd2019a5e-85ea-11e9-898c-005056b24375',	'3cf33723-7d71-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Долгого, 24'),
(2555,	'7fc2a8bf-ade5-11e9-8c22-005056b24375',	'906b17f4-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 29'),
(2556,	'579751b7-e2c3-11e9-b48a-005056b24375',	'e0a7b3ab-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32'),
(2557,	'd25fb903-e3a6-11e9-b48a-005056b24375',	'56cccad6-b792-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Харьковская, 8'),
(2558,	'3d298ae2-ca44-11e9-b0c5-005056b24375',	'e4720877-b799-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 168/1'),
(2559,	'a6d3f192-1280-11ea-9295-005056b24375',	'9fc56520-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(2560,	'1d56fc14-0524-11ea-9c59-005056b24375',	'faaade67-e670-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 108'),
(2561,	'119e4e3e-668f-11e9-898c-005056b24375',	'568f744d-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 68'),
(2562,	'54aa8d79-85df-11e9-898c-005056b24375',	'77bf5eb2-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чумацький шлях, 15'),
(2563,	'47402e98-e1c2-11e3-8c4a-0050568002cf',	'69da41c9-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Райрады, 3'),
(2564,	'e63fddf8-7fff-11e9-898c-005056b24375',	'd50b9fe5-7300-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Северская, 53'),
(2565,	'91755127-1bcf-11e4-acce-0050568002cf',	'9175510e-1bcf-11e4-acce-0050568002cf',	'Отделение №1: ул. Жовтнева, 78'),
(2566,	'831dfd59-d303-11e9-b0c5-005056b24375',	'fcb274dd-cf2a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Репкина, 5'),
(2567,	'0fa3c6b3-c583-11e9-b0c5-005056b24375',	'1037a558-b7bc-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 5'),
(2568,	'91b43bf2-9a51-11e4-acce-0050568002cf',	'91b43be1-9a51-11e4-acce-0050568002cf',	'Отделение №1: ул. Паникахи, 4'),
(2569,	'31cd81da-fca0-11e9-9c59-005056b24375',	'06e5ff59-e685-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 11'),
(2570,	'c22c4eab-9661-11e9-898c-005056b24375',	'8e03718e-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 261а'),
(2571,	'920ee7ac-8b31-11e8-8acc-005056b2fc3d',	'920ee788-8b31-11e8-8acc-005056b2fc3d',	'Отделение №1: ул. Главная, 30'),
(2572,	'4eb4b822-b354-11e9-8c22-005056b24375',	'40a6d869-9e3f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(2573,	'c5380c0f-6829-11e9-898c-005056b24375',	'd4f405a2-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Котовского, 100'),
(2574,	'26073799-11d5-11ea-9295-005056b24375',	'2fa93ad7-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 12'),
(2575,	'22f6683e-67fa-11e9-898c-005056b24375',	'40b17160-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 80'),
(2576,	'9261c08a-1bee-11e5-add9-005056887b8d',	'9261c077-1bee-11e5-add9-005056887b8d',	'Отеделение №1: ул. Коммунаровская, 46'),
(2577,	'0784422c-0ebe-11ea-9295-005056b24375',	'ade782b7-feed-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(2578,	'34d3e117-0f56-11ea-9295-005056b24375',	'e0fe6883-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Смеричанська, 73а'),
(2579,	'07980618-7f21-11e9-898c-005056b24375',	'd7bf9cf6-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 15Б'),
(2580,	'666e7ce8-d632-11e8-ad0d-005056b24375',	'2679f4ca-ce22-11e8-ad0d-005056b24375',	'Отделение №1: ул. Хмельницкое шоссе, 40б'),
(2581,	'1ea38f83-d45c-11e9-b0c5-005056b24375',	'd6f032f3-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черемухи, 2'),
(2582,	'b4a56e7b-f71e-11e9-9c59-005056b24375',	'ac569711-f40b-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. К.Карого, 95'),
(2583,	'121a8647-e393-11e9-b48a-005056b24375',	'c3758a70-9e4e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. ЦНабережная, 32'),
(2584,	'9bb5b36b-8023-11e9-898c-005056b24375',	'0bc77c72-7d5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6а'),
(2585,	'd5f5b4d9-adeb-11e9-8c22-005056b24375',	'e87e41b3-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(2586,	'019f28af-82eb-11e9-898c-005056b24375',	'36fe1e78-7d64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 83'),
(2587,	'2086c8f6-668d-11e9-898c-005056b24375',	'65912622-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1'),
(2588,	'c976af65-9668-11e9-898c-005056b24375',	'3fa22a91-9295-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 108'),
(2589,	'9930a082-b352-11e9-8c22-005056b24375',	'4a384aef-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Солнечный, 1'),
(2590,	'103d8429-7415-11e9-898c-005056b24375',	'd65e89e4-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чкалова, 27'),
(2591,	'18adf866-7fd8-11e9-898c-005056b24375',	'2e80ed01-76f1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 54'),
(2592,	'aa0a73da-d402-11e9-b0c5-005056b24375',	'91ba5b0e-b797-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19'),
(2593,	'a3c114bc-e71a-11e8-ad0d-005056b24375',	'c80340f9-dcfa-11e8-ad0d-005056b24375',	'Отделение №1: ул. Сагайдачного, 62а'),
(2594,	'ce7044a7-b373-11e9-8c22-005056b24375',	'06286881-a958-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 62'),
(2595,	'14a93900-ac99-11e9-8c22-005056b24375',	'8c469ce8-9e6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 144'),
(2596,	'13b9f193-def0-11e9-b48a-005056b24375',	'e9e6e0e2-cf1b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Мельничный, 3е'),
(2597,	'0c5e5c4e-db07-11e9-b48a-005056b24375',	'af4a5e24-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15а'),
(2598,	'93e8d65c-10c9-11e4-acce-0050568002cf',	'93e8d64a-10c9-11e4-acce-0050568002cf',	'Отделение №1 (до 30 кг), ул. Военный городок 10 д.175'),
(2599,	'2dbec62e-6813-11e9-898c-005056b24375',	'e97c3bf8-65bf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центр, 53/2'),
(2600,	'fd359f72-23d0-11ea-ba4d-005056b24375',	'cbb031eb-1aac-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Героев Украины, 52Б'),
(2601,	'16922831-e1c2-11e3-8c4a-0050568002cf',	'69da4151-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Максима Кривоноса, 82'),
(2602,	'628b2202-11e8-11ea-9295-005056b24375',	'e39b5c91-8841-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грабовского, 17'),
(2603,	'7d9d2aa3-f98c-11e9-9c59-005056b24375',	'344408a9-9e3b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 44'),
(2604,	'4039b72b-2578-11ea-8ac1-0025b502a04e',	'48b7f3fd-0c9b-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(2605,	'3095a6ca-6904-11ea-a970-b8830365ade4',	'cda7e0d7-e66d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Полтавская, 45а'),
(2606,	'd04ae729-11f2-11ea-9295-005056b24375',	'5124c0ac-e67e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3-Ж'),
(2607,	'cbe1cf4c-bae2-11e9-8c22-005056b24375',	'6473ebdb-a7a6-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 97'),
(2608,	'f1df91d8-eb24-11e9-b850-005056b24375',	'c8955ad6-b780-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 59/1'),
(2609,	'c9f61174-1177-11ea-9295-005056b24375',	'9c3f0361-dab4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 49'),
(2610,	'94d7dc89-6c01-11e5-8d8d-005056887b8d',	'94d7dc76-6c01-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Ивана Франко, 46'),
(2611,	'1e4ae5c9-e3b9-11e9-b48a-005056b24375',	'50f12f0b-cf2e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2612,	'82a728dd-fb59-11e9-9c59-005056b24375',	'39ba1a85-e68c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 17'),
(2613,	'9a4ff47e-c98b-11e9-b0c5-005056b24375',	'58a9443a-b775-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 13б'),
(2614,	'f86588a3-bb27-11e9-8c22-005056b24375',	'ce5750ed-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Левченко, 4'),
(2615,	'95269931-d3e3-11e5-8478-005056887b8d',	'cc4ca485-d3ce-11e5-8478-005056887b8d',	'Отделение №1: ул. Гагарина, 25'),
(2616,	'45a261bd-e2c4-11e9-b48a-005056b24375',	'809623ba-8841-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Красноармейская, 15'),
(2617,	'3782b9ce-11fb-11ea-9295-005056b24375',	'38ae9823-9e62-11e9-898c-005056b24375',	'Отделение №1: ул. Шабская, 39'),
(2618,	'47402e95-e1c2-11e3-8c4a-0050568002cf',	'958bc6af-21c5-11e3-b000-0050568002cf',	'Отделение № 1: Микрорайон, 10/1'),
(2619,	'47402e97-e1c2-11e3-8c4a-0050568002cf',	'f70622e4-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Владимира Великого, 21'),
(2620,	'3801514c-ca64-11e9-b0c5-005056b24375',	'ef027a14-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 3а'),
(2621,	'74660335-d638-11e8-ad0d-005056b24375',	'0fd87451-ba4b-11e8-ad0d-005056b24375',	'Отделение №1: ул. Чалдаева, 22'),
(2622,	'5f153166-ef4e-11e9-9c59-005056b24375',	'4ae0798c-8858-11e9-898c-005056b24375',	'Отделение №1: ул. Дорошенко, 1'),
(2623,	'af989395-e291-11e9-b48a-005056b24375',	'92ca9fb1-dae6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинская, 132'),
(2624,	'201b8903-f657-11e9-9c59-005056b24375',	'e560c9ed-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Конищука, 4'),
(2625,	'54aa8d60-85df-11e9-898c-005056b24375',	'77bf5e9d-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Владимирская, 10'),
(2626,	'7b422f99-e1b8-11e3-8c4a-0050568002cf',	'9647d69a-c493-11e3-95eb-0050568046cd',	'Отделение №1: ул. Жолковская, 4а'),
(2627,	'9657cd91-a002-11e5-a023-005056887b8d',	'65cca7d3-9fdd-11e5-a023-005056887b8d',	'Отделение №1: ул. Калмыцкая, 15а'),
(2628,	'd1649e15-df0b-11e9-b48a-005056b24375',	'6f5e7490-b79f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Варшавская, 4'),
(2629,	'6d969cf0-f0e2-11e9-9c59-005056b24375',	'd1eed7e7-e688-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франко, 92А'),
(2630,	'11d1e63d-8049-11e9-898c-005056b24375',	'591feb94-7d5f-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Механизаторов, 1'),
(2631,	'39931adf-e1c2-11e3-8c4a-0050568002cf',	'96b8d798-be42-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Набережная, 20'),
(2632,	'39931ae0-e1c2-11e3-8c4a-0050568002cf',	'96b8d7a4-be42-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Шоссейная, 14а'),
(2633,	'838d5a25-0498-11ea-9c59-005056b24375',	'9db8b698-8855-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 21'),
(2634,	'b2fc179d-d317-11e9-b0c5-005056b24375',	'b4117c25-cf43-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Парнянська, 9'),
(2635,	'6a12bc50-1279-11ea-9295-005056b24375',	'21bb9228-0ce4-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Симоненка, 1'),
(2636,	'40a6921c-d456-11e9-b0c5-005056b24375',	'36d25086-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франко, 134'),
(2637,	'56652ef0-646d-11ea-a970-b8830365ade4',	'3213bbd1-e675-11e9-b48a-005056b24375',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 34'),
(2638,	'1ca46c04-ba77-11e9-8c22-005056b24375',	'4b4f2771-9e4d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 2а'),
(2639,	'cb919d74-e228-11e9-b48a-005056b24375',	'5031a565-dae7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 165'),
(2640,	'daf509fc-fc75-11e9-9c59-005056b24375',	'e85b5c62-dae6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 67'),
(2641,	'f71958da-ba87-11e9-8c22-005056b24375',	'9f311a1b-b790-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 37'),
(2642,	'43a0f56c-c416-11e9-b0c5-005056b24375',	'aa6ca8d0-9e5b-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Центральная, 2'),
(2643,	'ee86b847-3cf3-11ea-8461-0025b502a04e',	'0d3c6aa0-3c2c-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Чайковского, 59'),
(2644,	'009498ca-f0d5-11e9-9c59-005056b24375',	'54c5c3c7-cf2b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сергея Шепетько, 23'),
(2645,	'f4c2aeb2-9822-11e9-898c-005056b24375',	'1c6cbf6f-964c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Путивльская, 2'),
(2646,	'75082e63-db08-11e9-b48a-005056b24375',	'af4a5e4e-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л.Украинки, 66Б'),
(2647,	'dde06142-9b46-11e9-898c-005056b24375',	'fc3dde19-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 25'),
(2648,	'07a4c91e-85e1-11e9-898c-005056b24375',	'c3f7c590-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1а'),
(2649,	'dd5e1a5b-9664-11e9-898c-005056b24375',	'fd1a48ae-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24а'),
(2650,	'5dba899e-bab3-11e9-8c22-005056b24375',	'35b67bb0-b7a3-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 16а'),
(2651,	'd3c6e896-1e7c-11ea-ac3b-0025b502a04e',	'870f2820-1b1e-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 15'),
(2652,	'b478fde3-9140-11e9-898c-005056b24375',	'a0cf93fe-8862-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Биологическая, 15'),
(2653,	'8dc62573-80ad-11ea-91e8-b8830365bd14',	'9d7439b4-7fee-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Победная, 52'),
(2654,	'983ef4a0-4a8e-11e6-a9f2-005056887b8d',	'3257a9a2-48f4-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Центральная, 35А'),
(2655,	'ad522a7b-3796-11ea-8461-0025b502a04e',	'50f05b18-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Октябрьская, 27'),
(2656,	'1932bfce-3797-11ea-8461-0025b502a04e',	'85e982ff-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Тенистая, 75'),
(2657,	'0f1cb367-b36b-11e9-8c22-005056b24375',	'690b2001-9e64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 7а'),
(2658,	'b3a25c71-e9aa-11e9-b850-005056b24375',	'3f023c30-b78f-11e9-8c22-005056b24375',	'Отделение №1: ул. Центральная, 101а'),
(2659,	'c7f383d9-ac87-11e9-8c22-005056b24375',	'5cd47c67-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Василенко, 15'),
(2660,	'988c73a1-bb61-11e5-8478-005056887b8d',	'2f9b0431-bb59-11e5-8478-005056887b8d',	'Отделение №1: ул. Духновича, 66а'),
(2661,	'3648a2c6-8229-11e9-898c-005056b24375',	'e215a1df-7d70-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Крымская, 1'),
(2662,	'5a39e548-e1c2-11e3-8c4a-0050568002cf',	'06f87964-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 116'),
(2663,	'5a39e549-e1c2-11e3-8c4a-0050568002cf',	'948a49c9-0416-11de-9570-001d92f78697',	'Отделение №1: просп. Победы, 71'),
(2664,	'11e109e3-a306-11e9-b790-005056b24375',	'04dccccb-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 39А'),
(2665,	'61312db6-0b8a-11ea-9295-005056b24375',	'59ca74c4-dadf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 28а'),
(2666,	'9a3c5896-defb-11e9-b48a-005056b24375',	'bcbb6993-b791-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 15'),
(2667,	'336de1c0-e1c2-11e3-8c4a-0050568002cf',	'990f6b9b-aea1-11e3-9fa0-0050568002cf',	'Отделение № 1:вул. Центральная, 2а'),
(2668,	'dedf1a62-eb33-11e9-b850-005056b24375',	'77bf4d23-e66e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 89Б'),
(2669,	'991a7ffe-ea7d-11e5-899e-005056887b8d',	'991a7fe5-ea7d-11e5-899e-005056887b8d',	'Отделение №1: ул. Микулинецька, 30'),
(2670,	'daf45fa1-5c72-11ea-b3f9-b8830365bd14',	'045b1b73-5a17-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 54'),
(2671,	'993f78cd-556a-11e5-8d8d-005056887b8d',	'993f78ba-556a-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Соборная, 3'),
(2672,	'0a5598c8-97d6-11e9-898c-005056b24375',	'7e0a2c6a-8865-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): площадь Победы, 3'),
(2673,	'ca1bc9a0-d412-11e9-b0c5-005056b24375',	'a2058c6f-cf4c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61'),
(2674,	'9db6aeac-e292-11e9-b48a-005056b24375',	'6a7e5bb0-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 55а'),
(2675,	'336de1ac-e1c2-11e3-8c4a-0050568002cf',	'99a1976b-a2a6-11e3-9fa0-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 101'),
(2676,	'39931aee-e1c2-11e3-8c4a-0050568002cf',	'99a4b252-d7ed-11e1-a00a-d4ae527baec9',	'Отделение №1: ул. Гулия, 23'),
(2677,	'247f62b8-5c73-11ea-b3f9-b8830365bd14',	'8fbb7694-5a1b-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Франко, 52'),
(2678,	'a5781334-caa9-11e9-b0c5-005056b24375',	'1e0ee7f8-c345-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сквирский, 5а'),
(2679,	'cf46b713-d9fd-11e9-b48a-005056b24375',	'1afd1f8e-cf3c-11e9-b0c5-005056b24375',	'Отделение №1 (до 30 кг): ул. Школьная, 2а'),
(2680,	'b8b47273-98b8-11e9-898c-005056b24375',	'3e74baab-887b-11e9-898c-005056b24375',	'Отделение №1: ул. Духновича, 36'),
(2681,	'73386282-56a1-11e9-acea-005056b24375',	'dba533f6-521d-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Майская, 34'),
(2682,	'6be02ad3-11d6-11ea-9295-005056b24375',	'4a40411c-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 8а'),
(2683,	'ffac5db2-9317-11e9-898c-005056b24375',	'b5557251-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 41а'),
(2684,	'38fe3dee-db5c-11e9-b48a-005056b24375',	'03fde9dc-76f0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 68'),
(2685,	'2bb8ceb0-e1c2-11e3-8c4a-0050568002cf',	'9a2e3e5f-8cb5-11e3-b441-0050568002cf',	'Отделение №1: ул. Леси Украинки, 5'),
(2686,	'2bb8ceb1-e1c2-11e3-8c4a-0050568002cf',	'9a2e3e6a-8cb5-11e3-b441-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 6-Ж'),
(2687,	'94a852e2-c5a5-11e9-b0c5-005056b24375',	'7c84d408-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Т.Шевченко, 52'),
(2688,	'a1a10385-fbd8-11e9-9c59-005056b24375',	'e7cee979-f429-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50А'),
(2689,	'01ae25cd-e1c2-11e3-8c4a-0050568002cf',	'06f8793e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 104'),
(2690,	'bddfefb9-517a-11ea-9b37-0025b502a04e',	'a35b176f-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 107'),
(2691,	'efe3e2c6-1218-11ea-9295-005056b24375',	'300ec5fe-fed3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 13'),
(2692,	'2c1c815c-98c5-11e9-898c-005056b24375',	'5f73212b-8837-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 1'),
(2693,	'2bc08d5e-e3f0-11e8-ad0d-005056b24375',	'e454bd81-dcf9-11e8-ad0d-005056b24375',	'Отделение №1: ул. Лусти, 5а'),
(2694,	'9ad647a8-2154-11e5-add9-005056887b8d',	'2527b928-2154-11e5-add9-005056887b8d',	'Отдление № 1: ул. Центральная, 100а'),
(2695,	'a6d16049-2563-11ea-8ac1-0025b502a04e',	'fb47b143-0c96-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Кузницова, 1'),
(2696,	'fa945aca-0e14-11ea-9295-005056b24375',	'a96a1cc5-fee4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 27а'),
(2697,	'25eae9c4-56ab-11e9-acea-005056b24375',	'6837611b-5224-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 54Б'),
(2698,	'336de1a2-e1c2-11e3-8c4a-0050568002cf',	'9b060ae5-9ee5-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Харьковская, 6а'),
(2699,	'336de1a3-e1c2-11e3-8c4a-0050568002cf',	'9b060af0-9ee5-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Порт, 24'),
(2700,	'a9837c96-9378-11e9-898c-005056b24375',	'4ae07977-8858-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 24'),
(2701,	'6434b1c3-1fef-11ea-ba4d-005056b24375',	'54ceecce-0c9a-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Таврическая, 58а'),
(2702,	'2e1d4fbd-ae03-11e9-8c22-005056b24375',	'dfae7636-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Островского, 41'),
(2703,	'4a90a1e8-ba95-11e9-8c22-005056b24375',	'9f72237c-b795-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 26А'),
(2704,	'9c39823f-8560-11e9-898c-005056b24375',	'69ca4ef2-7d69-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Калинина, 3'),
(2705,	'81247749-9373-11e9-898c-005056b24375',	'ab8956a4-399a-11e9-acea-005056b24375',	'Отделение №1: Свободы, 3а'),
(2706,	'd3221eb6-caa5-11e9-b0c5-005056b24375',	'87b76519-b79c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дачная, 5 (СК Калиновый Гай)'),
(2707,	'938b5c6a-6760-11e9-898c-005056b24375',	'a554dc1e-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 5'),
(2708,	'e79b1f79-91a6-11e9-898c-005056b24375',	'c4065bff-8853-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Поворознюка, 38а'),
(2709,	'137d1149-e2d9-11e9-b48a-005056b24375',	'07b9c806-cf2e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ровенская, 3А'),
(2710,	'3a129bb5-e22e-11e9-b48a-005056b24375',	'8715313e-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Строителей, 3а'),
(2711,	'f257fc52-1e7d-11ea-ac3b-0025b502a04e',	'93a5e6e8-1aae-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2712,	'6555dd49-9259-11e9-898c-005056b24375',	'6f8ab8e7-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франка, 1'),
(2713,	'28375fca-b38a-11e9-8c22-005056b24375',	'cf2d4721-9e5e-11e9-898c-005056b24375',	'Отделение №1: ул. Богачева, 99'),
(2714,	'a7c8592b-7bfb-11e9-898c-005056b24375',	'8925eb5c-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 89'),
(2715,	'ad356f65-8255-11e9-898c-005056b24375',	'53c5b28b-76f1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(2716,	'a48fbe55-caa0-11e9-b0c5-005056b24375',	'8c81a426-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ривцы, 67а'),
(2717,	'3a45a8ed-fa7a-11e9-9c59-005056b24375',	'44314906-e67f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 8б'),
(2718,	'eba854ca-85de-11e9-898c-005056b24375',	'44d3ccc1-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Макаренка, 86'),
(2719,	'dd5078d7-fbea-11e9-9c59-005056b24375',	'9aa0e771-e691-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 7'),
(2720,	'9caf98d7-3c2f-11e5-add9-005056887b8d',	'9caf98c4-3c2f-11e5-add9-005056887b8d',	'Отделение №1: ул. Таврическая, 3а'),
(2721,	'e1ca942c-c57f-11e9-b0c5-005056b24375',	'1037a544-b7bc-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 30'),
(2722,	'30afdad8-0b70-11ea-9295-005056b24375',	'6c3270d8-fedf-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(2723,	'8fad583d-f8a6-11e9-9c59-005056b24375',	'e4ad0889-f40e-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 64'),
(2724,	'f2550706-1e7d-11ea-ac3b-0025b502a04e',	'79190911-1aae-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 49'),
(2725,	'706e5a36-f0d7-11e9-9c59-005056b24375',	'a3157f30-e675-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(2726,	'7b422f8d-e1b8-11e3-8c4a-0050568002cf',	'00065648-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Грушевского, 2'),
(2727,	'7b422f8e-e1b8-11e3-8c4a-0050568002cf',	'a4502be6-577e-11de-b9fc-0021918b679a',	'Отделение №1: ул. Гагарина, 7а'),
(2728,	'9d00c4d9-2ad2-11e5-add9-005056887b8d',	'582a8ae5-2ad2-11e5-add9-005056887b8d',	'Отделение №1:ул. Великая, 89б'),
(2729,	'1692283b-e1c2-11e3-8c4a-0050568002cf',	'06f879a4-4079-11de-b509-001d92f78698',	'Отделение№1: ул. Попудренко, 1'),
(2730,	'1692283c-e1c2-11e3-8c4a-0050568002cf',	'06f8799a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Рабочая, 17'),
(2731,	'ee9eebf5-6748-11e9-898c-005056b24375',	'c45a2fb4-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Острыковцы, 3'),
(2732,	'1ec09d20-e1c2-11e3-8c4a-0050568002cf',	'db5c88dc-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Кургузова, 14'),
(2733,	'b67ac6bf-e2a5-11e9-b48a-005056b24375',	'eb23c19c-dae4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Приморская, 34'),
(2734,	'e172914a-c4e5-11e9-b0c5-005056b24375',	'639754c0-b7ab-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 203'),
(2735,	'16922830-e1c2-11e3-8c4a-0050568002cf',	'06f8791c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Привокзальная, 2А'),
(2736,	'cab62fee-f8e6-11e9-9c59-005056b24375',	'08d945d3-f414-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 48'),
(2737,	'ffd7961f-9bd1-11e9-898c-005056b24375',	'b209ba3d-9742-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15'),
(2738,	'3eb020e4-74d1-11e9-898c-005056b24375',	'6c523b58-73dd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Андреевская, 37'),
(2739,	'98aeb039-683e-11ea-91e8-b8830365bd14',	'3e9086d9-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(2740,	'2da2b64f-1a5b-11e9-ad0d-005056b24375',	'c61b7850-14fc-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 4'),
(2741,	'141b50c7-b36a-11e9-8c22-005056b24375',	'c6be6eaf-9e64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 15'),
(2742,	'97b94f71-ae00-11e9-8c22-005056b24375',	'4ab317e0-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 27'),
(2743,	'e8c90725-fa3e-11e9-9c59-005056b24375',	'344f8fe8-e676-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Донецкая, 6а'),
(2744,	'1af4bc20-9685-11e9-898c-005056b24375',	'a7214941-9290-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 12'),
(2745,	'167a011c-1e7e-11ea-ac3b-0025b502a04e',	'a9527bd4-1ab0-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1'),
(2746,	'b036ae3e-3b78-11e9-acea-005056b24375',	'b5e8469a-39a0-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 138-А'),
(2747,	'9df349b6-e784-11e5-899e-005056887b8d',	'9df349a1-e784-11e5-899e-005056887b8d',	'Отделение №1: ул. Победы, 44'),
(2748,	'e1608238-f987-11e9-9c59-005056b24375',	'8ebcf9b2-cfd8-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 44'),
(2749,	'1edce3f9-e41c-11e9-b48a-005056b24375',	'f65f2160-dab1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Петровского, 24а'),
(2750,	'25ae7318-74ca-11ea-91e8-b8830365bd14',	'5c6b402a-735e-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 26'),
(2751,	'47402e73-e1c2-11e3-8c4a-0050568002cf',	'db5c892e-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Березина, 34'),
(2752,	'47402e7d-e1c2-11e3-8c4a-0050568002cf',	'db5c88db-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Мелиоративна, 2'),
(2753,	'1ec09d64-e1c2-11e3-8c4a-0050568002cf',	'69da4169-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Полтавская, 24'),
(2754,	'2bc08d7f-e3f0-11e8-ad0d-005056b24375',	'e454bd66-dcf9-11e8-ad0d-005056b24375',	'Отделение №1: ул. Горишного, 138/2'),
(2755,	'39931b8e-e1c2-11e3-8c4a-0050568002cf',	'f7062342-4078-11de-b509-001d92f78698',	'Отделение №1: майдан Согласия, 7'),
(2756,	'39931b8f-e1c2-11e3-8c4a-0050568002cf',	'9e8561b6-f1a0-11e1-a58d-d4ae527baec9',	'Отделение №1: ул. Львовская, 8, пом. Б'),
(2757,	'e1a22469-8564-11e9-898c-005056b24375',	'65027dfa-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Хальзова, 20'),
(2758,	'4a2a5187-ca93-11e9-b0c5-005056b24375',	'6283e28b-c353-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 79А'),
(2759,	'2bb8ce6c-e1c2-11e3-8c4a-0050568002cf',	'9ebd345f-55b0-11e3-b441-0050568002cf',	'Отделение №1: ул. Ленина, 42'),
(2760,	'39931adb-e1c2-11e3-8c4a-0050568002cf',	'9ec5f824-be3b-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Молодежная, 63'),
(2761,	'39931adc-e1c2-11e3-8c4a-0050568002cf',	'9ec5f830-be3b-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Шевченко, 12/2'),
(2762,	'39931add-e1c2-11e3-8c4a-0050568002cf',	'9ec5f83c-be3b-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Соборная, 32а'),
(2763,	'874a3377-f955-11e9-9c59-005056b24375',	'bc2447d3-884a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Мира, 38'),
(2764,	'85863eda-24a6-11e9-ad0d-005056b24375',	'e34990db-23a7-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Артиллеристов, 12'),
(2765,	'f4713d5b-7192-11e9-898c-005056b24375',	'a6e309af-64d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Куйбышева, 69'),
(2766,	'85ded181-8b8d-11e9-898c-005056b24375',	'4a3e8974-882c-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Андрея Шептицкого, 2'),
(2767,	'1ec09d21-e1c2-11e3-8c4a-0050568002cf',	'ed248926-086e-11e2-891f-d4ae527baec9',	'Отделение №1: ул. Пограничников, 4 (возле таможни «Ягодын»)'),
(2768,	'6d7b3717-b1d4-11e8-ad0d-005056b24375',	'9b21a9aa-b1ae-11e8-ad0d-005056b24375',	'Отделение №1: ул. Больничная, 2а'),
(2769,	'166ea32c-ba99-11e9-8c22-005056b24375',	'0c2acc2d-b794-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 24А'),
(2770,	'29d4bac2-85be-11e9-898c-005056b24375',	'65027dd0-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Веснина, 1а'),
(2771,	'7fb7488a-fbbd-11e9-9c59-005056b24375',	'56646bff-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 133'),
(2772,	'78c38316-1168-11ea-9295-005056b24375',	'fc9077e9-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 57'),
(2773,	'bd6d690f-8940-11e9-898c-005056b24375',	'326cd281-76f3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 26'),
(2774,	'7b422f95-e1b8-11e3-8c4a-0050568002cf',	'9f90e87f-c3a1-11e3-9fa0-0050568002cf',	'Отделение №1: ул.  Центральная, б/н'),
(2775,	'28601eaa-0aa8-11e9-ad0d-005056b24375',	'7a0b61c4-093c-11e9-ad0d-005056b24375',	'Отделение №1 (до 30 кг): ул. Центральная, 110'),
(2776,	'1969967d-85e9-11e9-898c-005056b24375',	'198b3632-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Марозенка, 4'),
(2777,	'7c909de3-6ce4-11e9-898c-005056b24375',	'a04410c3-65c1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 136'),
(2778,	'1ec09d7e-e1c2-11e3-8c4a-0050568002cf',	'06f87982-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Небесной Сотни, 3'),
(2779,	'1ec09d7f-e1c2-11e3-8c4a-0050568002cf',	'00065602-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченко, 29'),
(2780,	'1ec09d80-e1c2-11e3-8c4a-0050568002cf',	'06f87996-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 10/3'),
(2781,	'1ec09d81-e1c2-11e3-8c4a-0050568002cf',	'0db17b0e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Армейская, 1'),
(2782,	'4bce7b3a-f88a-11e9-9c59-005056b24375',	'c0b5faf2-dab0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Героев Украины, 25В'),
(2783,	'845d3a6e-98c9-11e9-898c-005056b24375',	'974ff332-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дрогобычская, 44'),
(2784,	'59ca2d9f-f80d-11e9-9c59-005056b24375',	'41d8a635-f40c-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 33'),
(2785,	'13acdfa4-aa0b-11e9-b73a-005056b24375',	'67cc45d5-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 52'),
(2786,	'fae8bbdc-fb2a-11e9-9c59-005056b24375',	'a464b927-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 178'),
(2787,	'39931ae6-e1c2-11e3-8c4a-0050568002cf',	'a0122372-bfae-11e3-9fa0-0050568002cf',	'Отделение №1: площадь Ивана Франка, 14а'),
(2788,	'7bf03887-aa35-11e9-b73a-005056b24375',	'08bd76d1-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19В'),
(2789,	'd36685ed-ba7b-11e9-8c22-005056b24375',	'1d7d85b0-b787-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 205'),
(2790,	'c4173a97-ad2c-11e9-8c22-005056b24375',	'8f1cb3f5-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1А'),
(2791,	'c0836943-c5a2-11e9-b0c5-005056b24375',	'7c84d3f3-b7a5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 9б'),
(2792,	'00f7b50b-5c6b-11ea-b3f9-b8830365bd14',	'c6e035a3-5a15-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Михайловская, 36'),
(2793,	'58b9e176-981d-11e9-898c-005056b24375',	'3869276f-9404-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинская, 89'),
(2794,	'cd79d1df-9123-11e9-898c-005056b24375',	'7f6f5b69-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 1'),
(2795,	'55631640-0e0b-11ea-9295-005056b24375',	'561ab385-fee1-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(2796,	'e425cfe4-b36e-11e9-8c22-005056b24375',	'690b1fec-9e64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Саблина, 32-А'),
(2797,	'5c89548b-8148-11e9-898c-005056b24375',	'11500da6-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Очаковская, 39'),
(2798,	'a0df3930-14cf-11e5-add9-005056887b8d',	'10a45721-14cf-11e5-add9-005056887b8d',	'Отделение №1: ул. Херсонская, 32б'),
(2799,	'df291e52-fa55-11e9-9c59-005056b24375',	'79b27fde-b76f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Школьный, 1А'),
(2800,	'ad4571d5-9822-11e9-898c-005056b24375',	'c1b54095-964b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(2801,	'b2d72787-f890-11e9-9c59-005056b24375',	'1647c710-9e4f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 14'),
(2802,	'6d011ff6-0ebd-11ea-9295-005056b24375',	'7a39946d-feed-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Дружня, 28'),
(2803,	'a2bf91c5-fb10-11e9-9c59-005056b24375',	'5124c0d6-e67e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 2'),
(2804,	'07bdd861-6689-11e9-898c-005056b24375',	'fd7a9751-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Березена 2'),
(2805,	'a175c222-1195-11e4-acce-0050568002cf',	'a175c209-1195-11e4-acce-0050568002cf',	'Отделение №1: ул. А. Коломойца, 146а'),
(2806,	'eed531a6-ae30-11e9-8c22-005056b24375',	'c47fba6a-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 2А'),
(2807,	'39931b13-e1c2-11e3-8c4a-0050568002cf',	'000655ce-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Свободы, 83а'),
(2808,	'71b64e6a-bb37-11e9-8c22-005056b24375',	'46d1ddba-b7bb-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 43А'),
(2809,	'a1e5b391-41ad-11e5-8d8d-005056887b8d',	'a1e5b37e-41ad-11e5-8d8d-005056887b8d',	'Отделение № 1: ул. Независимости, 22'),
(2810,	'33987151-a480-11e9-b790-005056b24375',	'099e5f2f-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 35'),
(2811,	'336de1c6-e1c2-11e3-8c4a-0050568002cf',	'a20cd079-b4b6-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Вокзальная, 22'),
(2812,	'fd7e0b15-a301-11e9-b790-005056b24375',	'c9c54b54-9e3a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новый План, 22'),
(2813,	'a2153f53-0eac-11e5-add9-005056887b8d',	'a2153f40-0eac-11e5-add9-005056887b8d',	'Отделение № 1: ул. Шевченко, 57'),
(2814,	'a237f919-7079-11e8-9d95-005056b2fc3d',	'14e697cb-706c-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Майская, 2-А'),
(2815,	'11988213-ae17-11e9-8c22-005056b24375',	'04f87541-a957-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 24'),
(2816,	'51b20ab9-d521-11e9-b0c5-005056b24375',	'fee7853b-cf3c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Березовая, 11-А'),
(2817,	'972eb5ef-40f5-11ea-9b37-0025b502a04e',	'65b0cff5-b782-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 53-А'),
(2818,	'ad356f3f-8255-11e9-898c-005056b24375',	'f3ccff74-7d5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 56а'),
(2819,	'5212fd6a-8d06-11e9-898c-005056b24375',	'48934d84-884d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21'),
(2820,	'83cf73ea-0b75-11ea-9295-005056b24375',	'ab5f1803-fedf-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 24'),
(2821,	'a2bbe8d4-8f4d-11e4-acce-0050568002cf',	'a2bbe8c0-8f4d-11e4-acce-0050568002cf',	'Отделение № 1: ул. 1-го Мая, 10'),
(2822,	'5a39e54b-e1c2-11e3-8c4a-0050568002cf',	'06f87984-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 67'),
(2823,	'5a39e54c-e1c2-11e3-8c4a-0050568002cf',	'00065622-4079-11de-b509-001d92f78698',	'Отделение №1: проу. Старомонастирський, 5а'),
(2824,	'a9c4c3d3-e02a-11e9-b48a-005056b24375',	'27ed9853-cf17-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 400'),
(2825,	'e0834d1e-f01b-11e9-9c59-005056b24375',	'79f7bf62-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леонтовича, 1'),
(2826,	'701809e5-e041-11e9-b48a-005056b24375',	'125bf9fd-dadf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чертковская, 5'),
(2827,	'96465837-cb02-11e9-b0c5-005056b24375',	'a9cb64c7-c347-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Братьев Левчуков, 31'),
(2828,	'57613ed6-d40c-11e9-b0c5-005056b24375',	'4dca82a5-b7a7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 54'),
(2829,	'b28f83af-7bc9-11e9-898c-005056b24375',	'2a9051a3-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 27'),
(2830,	'924e1472-8250-11e9-898c-005056b24375',	'f7a264b9-7d5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2а'),
(2831,	'474d9ccf-6829-11ea-91e8-b8830365bd14',	'f973dba2-6543-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 25'),
(2832,	'e1976682-517a-11ea-9b37-0025b502a04e',	'db20c3ea-4f17-11ea-b89e-0025b501a04b',	'\nПункт приема-выдачи (до 30 кг), ул. Белеивка, 26'),
(2833,	'24a53354-f8af-11e9-9c59-005056b24375',	'e560ca02-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 38'),
(2834,	'8e208f4e-04a0-11ea-9c59-005056b24375',	'7567f24c-fee2-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 18'),
(2835,	'654f5384-bb24-11e9-8c22-005056b24375',	'dcddd201-8865-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(2836,	'33e331ae-f7e3-11e9-9c59-005056b24375',	'139e45a4-e5e0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Хрусталькова, 56'),
(2837,	'ad409a64-3796-11ea-8461-0025b502a04e',	'a108f0c7-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 110а'),
(2838,	'f0c619b8-ad4d-11e9-8c22-005056b24375',	'720a18cf-9e36-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 93а'),
(2839,	'c65b4eed-ac69-11e9-8c22-005056b24375',	'fb497519-8877-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Святотроицкая, 104'),
(2840,	'1cb8eb7f-bb36-11e9-8c22-005056b24375',	'529c93ac-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(2841,	'a59077e7-13df-11e9-ad0d-005056b24375',	'e454bd9c-dcf9-11e8-ad0d-005056b24375',	'Отделение №1: ул. Украинская, 10к'),
(2842,	'547b8a17-ca6d-11e9-b0c5-005056b24375',	'f278e857-883c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Матиюка, 58'),
(2843,	'336de1a5-e1c2-11e3-8c4a-0050568002cf',	'a464f84a-9fb3-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Шевченко, 3'),
(2844,	'f774aa83-053d-11ea-9c59-005056b24375',	'3e1b7ecc-885a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ив. Франко, 16'),
(2845,	'a4b3a4fe-f5bd-11e5-899e-005056887b8d',	'84f61e03-f5bc-11e5-899e-005056887b8d',	'Отделение №1: ул. Львовская, 20'),
(2846,	'c801cca3-fbdf-11e9-9c59-005056b24375',	'feafc35d-9e57-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(2847,	'fd51a748-f986-11e9-9c59-005056b24375',	'b470ca09-76f8-11e9-898c-005056b24375',	'Отделение №1: ул. Октябрьская, 2'),
(2848,	'bda44bab-97ed-11e9-898c-005056b24375',	'd122cd6e-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 60'),
(2849,	'336de1c5-e1c2-11e3-8c4a-0050568002cf',	'a5206c01-b435-11e3-9fa0-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Защитников Отечества, 1'),
(2850,	'52aca5cb-e22b-11e9-b48a-005056b24375',	'5e30c214-9e54-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 48'),
(2851,	'e4977ff4-ba75-11e9-8c22-005056b24375',	'3c2d061a-9e4c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19'),
(2852,	'0c0f01ac-9778-11e9-898c-005056b24375',	'c709150c-9283-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. В.Терешковой, 12'),
(2853,	'689b0a5d-a31d-11e9-b790-005056b24375',	'4b4f275c-9e4d-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ВХ 2457 ВО, Почтовая 1 (возле &quot;школы&quot; СОШ №1)'),
(2854,	'b3b838f4-82e9-11e9-898c-005056b24375',	'b89b4944-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 42'),
(2855,	'08ef1575-97e8-11e9-898c-005056b24375',	'504abb49-ee07-11e6-95d1-005056887b8d',	'Отделение №1: ул. Пограничная, 2'),
(2856,	'9176fa7c-74ca-11ea-91e8-b8830365bd14',	'c5e9414b-735e-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Козацкая, 23'),
(2857,	'f51594de-e2cf-11e9-b48a-005056b24375',	'85ea4785-cf3b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1'),
(2858,	'8db50932-049c-11ea-9c59-005056b24375',	'4e71db12-e5e9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Хмельницкая, 16/6'),
(2859,	'0e286e0a-cc27-11e9-b0c5-005056b24375',	'e7ea18c8-8864-11e9-898c-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Пионерская, 1'),
(2860,	'b8b73d0a-11b4-11ea-9295-005056b24375',	'b6ab7178-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64/2'),
(2861,	'0ba3e73c-4756-11ea-9b37-0025b502a04e',	'9341716d-4691-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Молодежная, 41'),
(2862,	'e7a16b0d-ca9a-11e9-b0c5-005056b24375',	'c14c09b9-c343-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(2863,	'eeb0777c-caa6-11e9-b0c5-005056b24375',	'c6264d01-c344-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сквирская, 88а'),
(2864,	'01ae2619-e1c2-11e3-8c4a-0050568002cf',	'a6dc90d6-c2be-11e2-874c-d4ae527baec3',	'Отделение №1: ул. 1-го Мая, 30'),
(2865,	'7afef9fa-6fd2-11e9-898c-005056b24375',	'd9cb23b0-64cc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 101'),
(2866,	'cb964b62-2306-11ea-8ac1-0025b502a04e',	'aebea810-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 47'),
(2867,	'30afdab6-0b70-11ea-9295-005056b24375',	'5400fbb2-fedf-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 8'),
(2868,	'c60afdc8-5c87-11ea-91e8-b8830365bd14',	'6cbd8c02-5a19-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Яновская, 2'),
(2869,	'f0aa39ae-9119-11e9-898c-005056b24375',	'8937b525-8838-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 25'),
(2870,	'5134b318-df0d-11e9-b48a-005056b24375',	'c8383fbd-b7a4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 18'),
(2871,	'a749aa37-93c8-11e8-ad0d-005056b24375',	'a749aa14-93c8-11e8-ad0d-005056b24375',	'Отделение №1: ул. Григория Балжи, 27'),
(2872,	'b4a56e59-f71e-11e9-9c59-005056b24375',	'af5a022d-c33b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. К.Карого, 33'),
(2873,	'a78070da-5635-11e5-8d8d-005056887b8d',	'21171354-5635-11e5-8d8d-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 21а'),
(2874,	'51746c51-f597-11e9-9c59-005056b24375',	'8d1dfcfe-e688-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1Б'),
(2875,	'fe171b0a-127b-11ea-9295-005056b24375',	'67f339d3-0ce4-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. И.Франко, 8'),
(2876,	'a76b1222-11b8-11ea-9295-005056b24375',	'20a1a527-f412-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21'),
(2877,	'1ec09d8d-e1c2-11e3-8c4a-0050568002cf',	'69da41a2-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 8-2/а'),
(2878,	'093fd55d-b207-11e9-8c22-005056b24375',	'160d6e48-9e4e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 8А'),
(2879,	'898ddb54-2305-11ea-8ac1-0025b502a04e',	'0c134e58-1ab1-11ea-8c15-0025b502a06e',	'Отделение №1, ул. Гвардейская, 10'),
(2880,	'99761fa6-c4e4-11e9-b0c5-005056b24375',	'fbb7863f-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 83б'),
(2881,	'8dddef1d-1692-11ea-a63c-0025b502a04e',	'43e216fd-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Поддубного, 51а'),
(2882,	'6ba9335d-f598-11e9-9c59-005056b24375',	'0b2e1fa0-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 99А'),
(2883,	'c64bfec0-9688-11e9-898c-005056b24375',	'9cb52969-8864-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 69'),
(2884,	'88e94a95-0497-11ea-9c59-005056b24375',	'662c9018-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лысова, 53б'),
(2885,	'c55a6b3d-116c-11ea-9295-005056b24375',	'eb899190-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 60'),
(2886,	'df4a41f5-b371-11e9-8c22-005056b24375',	'adbe5c52-9e57-11e9-898c-005056b24375',	'Отделение №1: ул. Шевченко, 171а/1'),
(2887,	'05987546-ae1b-11e9-8c22-005056b24375',	'61decec4-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинский, 94'),
(2889,	'a8f9dfc4-07ce-11e6-971e-005056887b8d',	'f34321e4-07b4-11e6-971e-005056887b8d',	'Отделение №1: ул. Центральная, 5'),
(2890,	'573a612f-e097-11e9-b48a-005056b24375',	'b7c4db24-daa6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 28'),
(2891,	'2bb8cee1-e1c2-11e3-8c4a-0050568002cf',	'a8fd54fe-9a2c-11e3-b441-0050568002cf',	'Отделение №1: ул. Юбилейная, 9а'),
(2892,	'511fcfc2-e1c2-11e3-8c4a-0050568002cf',	'a8fd5509-9a2c-11e3-b441-0050568002cf',	'Отделение №1: ул. Кооперативная, 3'),
(2893,	'511fcfc3-e1c2-11e3-8c4a-0050568002cf',	'a8fd5514-9a2c-11e3-b441-0050568002cf',	'Отделение №1: ул. Центральная, 2'),
(2894,	'76963d24-0f5c-11ea-9295-005056b24375',	'3e1c0e3a-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 54'),
(2895,	'336de19f-e1c2-11e3-8c4a-0050568002cf',	'a92def6d-9e16-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Независимости, 95'),
(2896,	'336de1a0-e1c2-11e3-8c4a-0050568002cf',	'a92def78-9e16-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Филиппова, 21б'),
(2897,	'336de1a1-e1c2-11e3-8c4a-0050568002cf',	'a92def83-9e16-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Липки, 25'),
(2898,	'e1b4a742-2415-11ea-8ac1-0025b502a04e',	'125bfa12-dadf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Орловщина, 2'),
(2899,	'5b3fd9d3-6ce3-11e9-898c-005056b24375',	'b5ee754f-64ca-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Привокзальная, 9а'),
(2900,	'19a7cca3-475a-11ea-9b37-0025b502a04e',	'9710f65a-4696-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 21'),
(2901,	'a9522a9d-eaf5-11e7-ba66-005056b2fc3d',	'a9522a7e-eaf5-11e7-ba66-005056b2fc3d',	'Отделение №1:  ул. Индустриальный проезд, 4а'),
(2902,	'c8ae786c-eb5d-11e9-b850-005056b24375',	'908c1c46-e68d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 61'),
(2903,	'b5344a4c-e22e-11e9-b48a-005056b24375',	'9f33ab22-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 15а'),
(2904,	'4a129500-f57b-11e9-9c59-005056b24375',	'f658d9ae-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 12'),
(2905,	'3aa2fa00-9823-11e9-898c-005056b24375',	'a657f69f-964a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 34'),
(2906,	'57613eae-d40c-11e9-b0c5-005056b24375',	'55929bcd-b7a8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 20'),
(2907,	'a9b31b25-9a50-11e4-acce-0050568002cf',	'a9b31b12-9a50-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 12'),
(2908,	'a61afd72-ac4a-11e9-8c22-005056b24375',	'05c96064-9e5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Санаторная, 1а'),
(2909,	'b5ab2095-806b-11e9-898c-005056b24375',	'31ad9f3e-76ee-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 10'),
(2910,	'e9dfff48-5c87-11ea-91e8-b8830365bd14',	'fbafb4a5-5a19-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 5'),
(2911,	'74e387fa-e2a4-11e9-b48a-005056b24375',	'4d5b3fc5-cf40-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(2912,	'db2b1865-fb4f-11e9-9c59-005056b24375',	'cd74c3fa-cf42-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 71'),
(2913,	'df675100-69cc-11ea-91e8-b8830365bd14',	'ddde1ab2-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 3/2'),
(2914,	'88ae1c5e-ad40-11e9-8c22-005056b24375',	'6994d504-a7a2-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 56'),
(2915,	'cc03cbef-7f05-11e9-898c-005056b24375',	'aba4042e-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заречная, 20'),
(2916,	'396c0568-f8c7-11e9-9c59-005056b24375',	'bf22d5bc-e674-11e9-b48a-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Зелена, 52'),
(2917,	'26dcd8d3-ca29-11e9-b0c5-005056b24375',	'8480a777-c33c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1а'),
(2918,	'f87a24de-ca59-11e9-b0c5-005056b24375',	'4a384ada-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гвардейской стрелковой дивизии, 66'),
(2919,	'8415a377-9830-11e9-898c-005056b24375',	'054d852d-884b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 59'),
(2920,	'9be0021d-fbac-11e9-9c59-005056b24375',	'fbb4cb4c-f428-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Д. Галицкого, 15в'),
(2921,	'2c591982-1290-11ea-9295-005056b24375',	'ab77b406-e68f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Курицив Уголок, 489'),
(2922,	'3e0939d0-ac7e-11e9-8c22-005056b24375',	'48fb3a7a-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ореста Левицкого, 29'),
(2923,	'0f8ca0e3-15ce-11ea-a63c-0025b502a04e',	'27b5af3a-fee5-11e9-91ff-0025b501a04b',	'Отделение №1, ул. Независимости, 763'),
(2924,	'2432a260-0ebf-11ea-9295-005056b24375',	'16e572d5-feee-11e9-91ff-0025b501a04b',	'Автолавка (до 30 кг): ул. Школьная, 12'),
(2925,	'3801512c-ca64-11e9-b0c5-005056b24375',	'f78c2e54-8836-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 23'),
(2926,	'84951d31-7e47-11ea-91e8-b8830365bd14',	'6f04e408-8859-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 34'),
(2927,	'eb98b41d-fb9a-11e9-9c59-005056b24375',	'831427a8-f429-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Ломаная, 50'),
(2928,	'c417dd9b-5aa7-11e9-a703-005056b24375',	'3cf3178b-51ac-11e9-acea-005056b24375',	'Отделение №1: ул. Зеленая, 9'),
(2929,	'9842e087-b1d5-11e9-8c22-005056b24375',	'0bf13ba7-9e34-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 75Д'),
(2930,	'a2929273-7fcd-11e9-898c-005056b24375',	'ad578cef-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.Сторожинецкая, 62а'),
(2931,	'511fd004-e1c2-11e3-8c4a-0050568002cf',	'7833e61c-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Виноградная, 3а'),
(2932,	'511fd005-e1c2-11e3-8c4a-0050568002cf',	'7833e618-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Полтавский шлях, 30'),
(2933,	'511fd006-e1c2-11e3-8c4a-0050568002cf',	'db5c892b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Защитников Украины (ран. Щучки), 73'),
(2934,	'799c303f-ca39-11e9-b0c5-005056b24375',	'a07bf62b-b783-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 22а'),
(2935,	'2da2b622-1a5b-11e9-ad0d-005056b24375',	'23741bb9-14e4-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Афинская, 2Г, маг.&quot;Натали&quot;'),
(2936,	'9c5c8fac-5c88-11ea-91e8-b8830365bd14',	'a38a92ba-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 61а'),
(2937,	'22c0241e-6ceb-11e9-898c-005056b24375',	'a692a4f1-65bf-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Солнечная, 1 (возле сельсовета)'),
(2938,	'abc93509-3c29-11e5-add9-005056887b8d',	'abc934f7-3c29-11e5-add9-005056887b8d',	'Отделение №1: Мариупольское шоссе, 24'),
(2939,	'abda0427-a32b-11e5-a023-005056887b8d',	'abda0413-a32b-11e5-a023-005056887b8d',	'Отделение №1: ул. Ханина, 13'),
(2940,	'0c82d1e8-f567-11e9-9c59-005056b24375',	'1447f68b-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 49'),
(2941,	'47402ea6-e1c2-11e3-8c4a-0050568002cf',	'06f8790e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченка, 58'),
(2942,	'519a6c95-0537-11ea-9c59-005056b24375',	'a91a93ff-f425-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 8'),
(2943,	'f78c7450-1e7c-11ea-ac3b-0025b502a04e',	'95a362df-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 14а'),
(2944,	'f15b69c8-ac7e-11e9-8c22-005056b24375',	'e226065d-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дорошенко, 124'),
(2945,	'ce152435-e09b-11e9-b48a-005056b24375',	'c459b5f5-cf16-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 17'),
(2946,	'166ea357-ba99-11e9-8c22-005056b24375',	'594a1a04-b794-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Запольской, 27'),
(2947,	'f40d283d-1162-11ea-9295-005056b24375',	'262f318d-daab-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 45'),
(2948,	'c3593487-ae2c-11e9-8c22-005056b24375',	'c47fba3e-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 43а'),
(2949,	'e0bb6be7-42a6-11ea-9b37-0025b502a04e',	'443c8f1b-fed9-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 133'),
(2950,	'4ffcb81f-c9a2-11e9-b0c5-005056b24375',	'ffbfb16a-b77b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 25Б'),
(2951,	'aca7b14b-4727-11e5-8d8d-005056887b8d',	'fafb2062-4715-11e5-8d8d-005056887b8d',	'Отделение №1 (до 30 кг): ул. Грушевского, 3а'),
(2952,	'f94396e1-fbf0-11e9-9c59-005056b24375',	'9021ed80-f412-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 24'),
(2953,	'2031a4e1-7f0e-11e9-898c-005056b24375',	'aba40443-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 62'),
(2954,	'b39d93ad-bdbd-11e9-8c22-005056b24375',	'83187d9f-b771-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 61'),
(2955,	'5fa1f208-0eb7-11ea-9295-005056b24375',	'15619961-feeb-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Зрини, 25'),
(2956,	'9678a751-74c9-11ea-91e8-b8830365bd14',	'4aae6ee2-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Милашенкова, 32'),
(2957,	'4ab0c907-b2d5-11e9-8c22-005056b24375',	'67cc45ff-9e3d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(2958,	'9db27e2a-936f-11e9-898c-005056b24375',	'b49d451b-8829-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Озерная, 33'),
(2959,	'573cdbc7-c9b1-11e9-b0c5-005056b24375',	'9a2f2cfd-c33e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 91А'),
(2960,	'ad2649c8-26dd-11e4-acce-0050568002cf',	'3d3ed73e-ef6b-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Рождественская, 9'),
(2961,	'ad36317f-73e6-11e5-8d8d-005056887b8d',	'ad36316c-73e6-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Центральная, 75и'),
(2962,	'511fcf93-e1c2-11e3-8c4a-0050568002cf',	'f706231e-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Дружбы, 1а'),
(2963,	'6b7f2815-0498-11ea-9c59-005056b24375',	'2a31940d-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 24а'),
(2964,	'5e365b64-eb27-11e9-b850-005056b24375',	'a85f297f-e5e9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 43'),
(2965,	'6bd097a2-4758-11ea-9b37-0025b502a04e',	'bb69de87-4690-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Лесная, 18'),
(2966,	'19b2ca5d-93fc-11e9-898c-005056b24375',	'ec04f47f-8868-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 13'),
(2967,	'fe171b23-127b-11ea-9295-005056b24375',	'71c9d52b-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 916'),
(2968,	'f0062d37-cfed-11e9-b0c5-005056b24375',	'74f00b52-b7b6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 9'),
(2969,	'ada508b6-2d43-11e6-9e93-005056887b8d',	'6863a00d-2bed-11e6-9e93-005056887b8d',	'Отделение №1: ул. Некрасова, 6'),
(2970,	'4f9b1a45-ca3a-11e9-b0c5-005056b24375',	'2b5022e8-b783-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Поповича, 1'),
(2971,	'6dc9ae9a-e2e7-11e9-b48a-005056b24375',	'fdddee4a-b7a1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 144'),
(2972,	'7af3d346-9276-11e9-898c-005056b24375',	'ff459f6c-885d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 13'),
(2973,	'6bd411ea-4758-11ea-9b37-0025b502a04e',	'4d332aeb-4698-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 101А'),
(2974,	'6bdbf07b-7feb-11e9-898c-005056b24375',	'0a2aa3a5-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(2975,	'9d3c1755-d3fd-11e9-b0c5-005056b24375',	'ee30b41e-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(2976,	'd3e608e9-ad45-11e9-8c22-005056b24375',	'5265f8f2-8834-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 2А'),
(2977,	'a43f7ce2-e3aa-11e9-b48a-005056b24375',	'92d3f564-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мемориальная, 4'),
(2978,	'd86d5040-69cb-11ea-91e8-b8830365bd14',	'0ad4d559-6547-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 1а'),
(2979,	'7f32ffcb-23f4-11ea-ba4d-005056b24375',	'5031a550-dae7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Ватутина, 9'),
(2980,	'30be0dad-5f46-11e9-898c-005056b24375',	'30be0d88-5f46-11e9-898c-005056b24375',	'Отделение №1: ул. Ивана Франко, 125'),
(2981,	'3c61e7b9-6ce7-11e9-898c-005056b24375',	'11500dbb-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 21А'),
(2982,	'ebc9f82b-0485-11ea-9c59-005056b24375',	'6f4a7802-9e5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пульного, 24'),
(2983,	'ef65f740-0a9e-11e9-ad0d-005056b24375',	'5905bca1-ff8c-11e8-ad0d-005056b24375',	'Отделение №1 (до 30 кг): ул. Свободы, 1Б'),
(2984,	'a149fa13-3cf4-11ea-8461-0025b502a04e',	'65ac6dd8-3c2d-11ea-b89e-0025b501a04b',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 45'),
(2985,	'0d8b5be3-0b9a-11ea-9295-005056b24375',	'fe727822-fef7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 31'),
(2986,	'2031a506-7f0e-11e9-898c-005056b24375',	'79f7bf77-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): вул. Молодежная, 8'),
(2987,	'4c2dd282-e8da-11e9-b850-005056b24375',	'618f131b-c32d-11e9-b0c5-005056b24375',	'Микільське'),
(2988,	'4723a577-f56f-11e9-9c59-005056b24375',	'c57b5cca-9e51-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кельменецкая, 9а'),
(2989,	'1fc8e760-9674-11e9-898c-005056b24375',	'67808216-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(2990,	'2bb8cee0-e1c2-11e3-8c4a-0050568002cf',	'af415363-995e-11e3-b441-0050568002cf',	'Отделение №1: ул. Калинова, 2а (напротив базара)'),
(2991,	'aade48eb-9905-11e9-898c-005056b24375',	'ce67ed9a-9741-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33б'),
(2992,	'6f5fe5c8-9198-11e9-898c-005056b24375',	'064187ff-8856-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 78а'),
(2993,	'af544272-1988-11e5-add9-005056887b8d',	'4aa2b998-1988-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 90'),
(2994,	'cf57a5b4-11e9-11ea-9295-005056b24375',	'3017fca5-0c99-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. 8 Марта, 25'),
(2995,	'edde55bf-1290-11ea-9295-005056b24375',	'b88ffd5d-9e58-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4а'),
(2996,	'd7c1f30c-9670-11e9-898c-005056b24375',	'6396af06-9282-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 2'),
(2997,	'76adfbdc-4756-11ea-9b37-0025b502a04e',	'c999c0c1-4694-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 41'),
(2998,	'da52fde0-91d9-11e9-898c-005056b24375',	'5e07c1b0-76f7-11e9-898c-005056b24375',	'Отделение №1: ул. Ленина, 82-а'),
(2999,	'bddb9535-517a-11ea-9b37-0025b502a04e',	'88f39458-4f17-11ea-b89e-0025b501a04b',	'Пунк приема-выдачи (до 30 кг), ул. Пушкинская, 62/1'),
(3000,	'afa409e4-b365-11e9-8c22-005056b24375',	'b7b9cd41-aa02-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Путь, 20'),
(3001,	'699b4f2d-6208-11e9-898c-005056b24375',	'74b79bd2-5f6d-11e9-898c-005056b24375',	'Отделение №1: ул. Школьная, 5а'),
(3002,	'97f801ce-34e9-11e9-acea-005056b24375',	'3c2b4bf8-ff8a-11e8-ad0d-005056b24375',	'Отделение №1: провул. Алмазный, 1-А'),
(3003,	'bbfeeda0-9b43-11e9-898c-005056b24375',	'6f0ac1df-9745-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 10'),
(3004,	'9ae84c96-6738-11e9-898c-005056b24375',	'cf1035b2-5f6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Элеваторная, 16'),
(3005,	'aff000ab-4d8b-11e6-a9f2-005056887b8d',	'1b15cd2a-4d8b-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Шевченка, 49а'),
(3006,	'e6e3e701-ff9a-11e8-ad0d-005056b24375',	'e4f28d26-ff77-11e8-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Самарка, 155'),
(3007,	'c52ac45a-11b7-11ea-9295-005056b24375',	'7a77529a-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Калинина, 27Б'),
(3008,	'b0048e04-07fd-11e4-acce-0050568002cf',	'b0048e00-07fd-11e4-acce-0050568002cf',	'Отделение №1: ул. Шевченко, 2'),
(3009,	'281f8ee6-a3f8-11e9-b790-005056b24375',	'f3badb05-9e66-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 28'),
(3010,	'549af877-85c1-11e9-898c-005056b24375',	'a376b6dd-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 89в'),
(3011,	'1999c526-b9eb-11e9-8c22-005056b24375',	'3d100626-b76e-11e9-8c22-005056b24375',	'Автолавка (до 30 кг): ул. Мира, 23'),
(3012,	'b8e08705-98bc-11e9-898c-005056b24375',	'2a364e37-8841-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1а'),
(3013,	'f0c6198d-ad4d-11e9-8c22-005056b24375',	'48934d5a-884d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 327'),
(3014,	'3e983573-23e9-11ea-ba4d-005056b24375',	'f27dc032-e691-11e9-b48a-005056b24375',	'Отделение №1 (до 30 кг), ул. Киевская, 54'),
(3015,	'42afa173-8056-11e9-898c-005056b24375',	'bd02334d-7d60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 2а'),
(3016,	'c9be82e7-a3b6-11e9-b790-005056b24375',	'e68423c7-9e60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 56'),
(3017,	'b06d97b4-7534-11e8-9d95-005056b2fc3d',	'b06d9799-7534-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Садовая, 2'),
(3018,	'0429e507-e226-11e9-b48a-005056b24375',	'8b1597e3-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 26'),
(3019,	'7b35f9e0-d315-11e9-b0c5-005056b24375',	'82c10b13-b7b7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивановская, 43'),
(3021,	'46312901-a3c9-11e9-b790-005056b24375',	'e18f70ae-9e62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 52а'),
(3022,	'7cdbce45-a3ba-11e9-b790-005056b24375',	'44ffa6f7-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черниговская, 32'),
(3023,	'76791aaa-2010-11ea-ba4d-005056b24375',	'3296d90f-1b20-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Б. Хмельницкого, 2'),
(3024,	'6a12bc69-1279-11ea-9295-005056b24375',	'3dee1b20-0ce4-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. И.Франко, 94'),
(3025,	'86ee7080-1e7d-11ea-ac3b-0025b502a04e',	'fb5416de-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 7'),
(3026,	'c55a6b56-116c-11ea-9295-005056b24375',	'dc3f450b-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Бачинского, 117'),
(3027,	'e8f62516-b37f-11e9-8c22-005056b24375',	'a55860ab-b2da-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9а'),
(3028,	'4139bbb5-b377-11e9-8c22-005056b24375',	'062868ab-a958-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 86'),
(3029,	'bc48b669-5870-11ea-bfa0-0025b502a04e',	'f44f757e-cf1d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 31'),
(3030,	'b120ad1b-c025-11e5-8478-005056887b8d',	'b120ad07-c025-11e5-8478-005056887b8d',	'Отделение №1: ул. Шевченко, 6'),
(3031,	'511fd011-e1c2-11e3-8c4a-0050568002cf',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Днепровская, 49 (район СШБ)'),
(3032,	'b12334d6-9005-11e8-8710-005056b24375',	'b12334b9-9005-11e8-8710-005056b24375',	'Отделение №1: ул. Мира, 10'),
(3033,	'872500b6-eb42-11e9-b850-005056b24375',	'b519cd09-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 57'),
(3034,	'18ec530e-ca43-11e9-b0c5-005056b24375',	'dfae7662-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 17'),
(3035,	'0d545f5a-e1c2-11e3-8c4a-0050568002cf',	'00065620-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Андреевская, 66'),
(3036,	'39931ae8-e1c2-11e3-8c4a-0050568002cf',	'db5c8901-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Грушевського, 129'),
(3037,	'8f45aca7-e3b0-11e9-b48a-005056b24375',	'8b1597b9-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 61Ф'),
(3038,	'938b5c9c-6760-11e9-898c-005056b24375',	'26b6857b-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. В. Чорновола, 30'),
(3039,	'600709ab-f646-11e9-9c59-005056b24375',	'e8f46089-f40c-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 106а'),
(3040,	'08c597ce-1223-11ea-9295-005056b24375',	'c01bf919-cf40-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лиманская, 3'),
(3041,	'2dbec607-6813-11e9-898c-005056b24375',	'e97c3be3-65bf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(3042,	'e84d8ffa-cab6-11e9-b0c5-005056b24375',	'1b416382-b79e-11e9-8c22-005056b24375',	'Пункт приема-передачи (до 30 кг): ул. Полевая, 35'),
(3043,	'39931b63-e1c2-11e3-8c4a-0050568002cf',	'cfbeaca6-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 50'),
(3044,	'3aa70913-9727-11e9-898c-005056b24375',	'b20cfbcd-9291-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 45'),
(3045,	'275ce61b-e2a7-11e9-b48a-005056b24375',	'452193e9-dae5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3046,	'c95afe06-91c2-11e9-898c-005056b24375',	'eb08988b-8852-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ирпенская, 65'),
(3047,	'16922815-e1c2-11e3-8c4a-0050568002cf',	'69da415a-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Святониколаевская, 95'),
(3048,	'51746c2f-f597-11e9-9c59-005056b24375',	'8d1dfce9-e688-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 67А'),
(3049,	'a5a659fe-faf6-11e9-9c59-005056b24375',	'5690f893-f427-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 95В'),
(3050,	'e7288894-9833-11e9-898c-005056b24375',	'272e2a88-883a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирова, 102'),
(3051,	'e5985b88-de87-11e8-ad0d-005056b24375',	'68bdd0ab-6e77-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Садовая, 12'),
(3052,	'f0e6f5e0-f7e8-11e9-9c59-005056b24375',	'bcc9519c-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3053,	'b2b50b71-9fda-11e5-a023-005056887b8d',	'b2b50b5d-9fda-11e5-a023-005056887b8d',	'Отделение №1: ул. Сухинова, 7а'),
(3054,	'6b02abcb-eb4d-11e9-b850-005056b24375',	'a856de46-e67f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Степная, 1'),
(3055,	'ff0b978a-ba67-11e9-8c22-005056b24375',	'def48e18-b779-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3056,	'9e51404a-81ed-11e9-898c-005056b24375',	'ed015da5-7d68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 3а'),
(3057,	'2bb8cef8-e1c2-11e3-8c4a-0050568002cf',	'0006563a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Борцов Революции, 23'),
(3058,	'ee9eec10-6748-11e9-898c-005056b24375',	'849eb432-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ярослава Мудрого, 60'),
(3059,	'b316569c-2471-11e4-acce-0050568002cf',	'b316568b-2471-11e4-acce-0050568002cf',	'Отделение №1: ул. Рынок, 1'),
(3060,	'a6a30cab-b376-11e9-8c22-005056b24375',	'e6fa51a5-8862-11e9-898c-005056b24375',	'Отделение №1: ул. Львовская, 150'),
(3061,	'b74427f7-8129-11e9-898c-005056b24375',	'767d5452-7d71-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 25б'),
(3062,	'2bcdbc8e-5d5b-11ea-91e8-b8830365bd14',	'90e4a85d-cf39-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Преображенская, 64'),
(3063,	'a0c0b368-04a1-11ea-9c59-005056b24375',	'bce8e30a-884d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64'),
(3064,	'a4899283-92a0-11e9-898c-005056b24375',	'fa511752-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10А'),
(3065,	'655599dd-61a4-11e9-898c-005056b24375',	'46d3da3a-5f6e-11e9-898c-005056b24375',	'Отделение №1: ул. Калинина, 2'),
(3066,	'07fdb349-6794-11e9-898c-005056b24375',	'98fee441-65c0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3067,	'b389781c-e295-11e4-8a92-005056887b8d',	'b389780a-e295-11e4-8a92-005056887b8d',	'Отделение № 1: ул. Василия Стуса, 2а'),
(3068,	'01ae25e0-e1c2-11e3-8c4a-0050568002cf',	'810ca9d5-e51f-11e1-b22f-d4ae527baec9',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 87'),
(3069,	'a292924e-7fcd-11e9-898c-005056b24375',	'ad578cda-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Слободская, 16'),
(3070,	'6bd4c69a-e35f-11e9-b48a-005056b24375',	'b226082f-cee3-11e9-b0c5-005056b24375',	'Юровка, Набережная, 12'),
(3071,	'2bb8ceaa-e1c2-11e3-8c4a-0050568002cf',	'b3debcea-89b4-11e3-b441-0050568002cf',	'Отделение №1: ул. Металургов, 10'),
(3072,	'2bb8ceac-e1c2-11e3-8c4a-0050568002cf',	'b3debd00-89b4-11e3-b441-0050568002cf',	'Отделение №1: просп. Центральная, 46'),
(3073,	'2bb8cead-e1c2-11e3-8c4a-0050568002cf',	'b3debd0b-89b4-11e3-b441-0050568002cf',	'Отделение №1: ул. Шевченко, 97'),
(3074,	'511fcfcb-e1c2-11e3-8c4a-0050568002cf',	'b3f90cf2-9df3-11e3-b441-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Василе Александри, 13'),
(3075,	'3bd8921a-23e6-11ea-ba4d-005056b24375',	'92010935-fed3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 1'),
(3076,	'e76d993d-81d8-11e9-898c-005056b24375',	'2e8bdc52-76f4-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3077,	'faa2c4ef-a3e0-11e9-b790-005056b24375',	'c364eea4-8859-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Курортная, 96'),
(3078,	'd4ed1a14-ac99-11e9-8c22-005056b24375',	'05b90a3b-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Железнодорожная, 16А'),
(3079,	'924e144b-8250-11e9-898c-005056b24375',	'0e452624-3912-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 1'),
(3080,	'31cc8998-fbe4-11e9-9c59-005056b24375',	'159ae4cc-8867-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Каласентиивка, 4а'),
(3081,	'ed8e6a68-11c5-11ea-9295-005056b24375',	'698efcd8-0c97-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 23'),
(3082,	'e1934e2a-fbbf-11e9-9c59-005056b24375',	'be791788-e685-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 20'),
(3083,	'b493e01d-e985-11e4-8a92-005056887b8d',	'b493e00a-e985-11e4-8a92-005056887b8d',	'Отделение № 1: ул. Ивана Франко, 30'),
(3084,	'2c1ce34b-5d5b-11ea-91e8-b8830365bd14',	'b7522a65-cf2a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинки, 63а'),
(3085,	'b4984ce7-f7aa-11e3-8c4a-0050568002cf',	'1f30a44e-f7aa-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Восточная, 1'),
(3086,	'faa2c4ca-a3e0-11e9-b790-005056b24375',	'9929c22e-9e66-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 7'),
(3087,	'0438803f-ab81-11e8-ad0d-005056b24375',	'340a603c-ab75-11e8-ad0d-005056b24375',	'Отделение №1: ул. Пушкина, 64'),
(3088,	'72751189-f897-11e9-9c59-005056b24375',	'372a18d9-9e50-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 28в'),
(3089,	'b4be3588-6509-11e6-a9f2-005056887b8d',	'88471a9e-650b-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Мира, 2а'),
(3090,	'a563ffc9-1228-11ea-9295-005056b24375',	'b055670d-fef6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3091,	'b4ef6653-b8d8-11e4-a77a-005056887b8d',	'b4ef6640-b8d8-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Мира, 144'),
(3092,	'235ec8ee-fb4b-11e9-9c59-005056b24375',	'7f1f346e-8836-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 36'),
(3093,	'953118e0-c5a9-11e9-b0c5-005056b24375',	'c8383f93-b7a4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3094,	'511fcfef-e1c2-11e3-8c4a-0050568002cf',	'db5c88d3-391c-11dd-90d9-001a92567626',	'Отделение №1: просп. Соборный, 85'),
(3095,	'511fcff0-e1c2-11e3-8c4a-0050568002cf',	'00065644-4079-11de-b509-001d92f78698',	'Отделение №1: бульв. Юбилейный, 7'),
(3096,	'511fcff1-e1c2-11e3-8c4a-0050568002cf',	'06f87968-4079-11de-b509-001d92f78698',	'Отделение: ул. Ломоносова, 24а'),
(3097,	'b7025efc-ce63-11e9-b0c5-005056b24375',	'f5067717-9e55-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3'),
(3098,	'35078378-9713-11e9-898c-005056b24375',	'6bedba3c-928a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3099,	'27e7bb67-e2d4-11e9-b48a-005056b24375',	'0849fdce-c346-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Байбузовська, 2Б'),
(3100,	'336de168-e1c2-11e3-8c4a-0050568002cf',	'db5c8951-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Промышленная, 5'),
(3101,	'bb8d55fd-74d6-11e9-898c-005056b24375',	'23db4bb7-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 15'),
(3102,	'e9f3ac99-0537-11ea-9c59-005056b24375',	'a41d4dcc-fefe-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Осипова, 47'),
(3103,	'5a39e56a-e1c2-11e3-8c4a-0050568002cf',	'f7062356-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Луцкая, 1/2'),
(3104,	'5a39e56b-e1c2-11e3-8c4a-0050568002cf',	'06f8795e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 73'),
(3105,	'5a39e56c-e1c2-11e3-8c4a-0050568002cf',	'69da4163-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Черняховского, 4а'),
(3106,	'5a39e56d-e1c2-11e3-8c4a-0050568002cf',	'4b9e7132-b937-11e1-b40c-0026b97ed48a',	'Отделение №1: ул. Красная, 2г'),
(3107,	'5a39e56e-e1c2-11e3-8c4a-0050568002cf',	'a269ff01-b93e-11e1-b40c-0026b97ed48a',	'Отделение №1: ул. микрорайон Орельский, 14'),
(3108,	'c685793c-bad7-11e9-8c22-005056b24375',	'a82c0c99-a959-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галагана, 76'),
(3109,	'356b2e47-caae-11e9-b0c5-005056b24375',	'e21dfd65-b7b2-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14'),
(3110,	'db48f04e-12a5-11ea-9295-005056b24375',	'623d25f4-e5e2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 78'),
(3111,	'0320b32e-23eb-11ea-ba4d-005056b24375',	'6f4c75a0-1b20-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Федоренко, 10'),
(3112,	'4f332d23-d47a-11e9-b0c5-005056b24375',	'78ed4a65-b78a-11e9-8c22-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Петруши, 31'),
(3113,	'b61fecf8-4d7c-11e6-a9f2-005056887b8d',	'b61fecce-4d7c-11e6-a9f2-005056887b8d',	'отделение №1: ул. Багатая, 45'),
(3114,	'e6d1f16e-913c-11e9-898c-005056b24375',	'05bf1ec1-8879-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 44'),
(3115,	'b64bd4c7-0fd9-11e8-ba66-005056b2fc3d',	'b64bd4a9-0fd9-11e8-ba66-005056b2fc3d',	'Отделение №1: ул. Азовской флотилии, 2 (пос. Моряков)'),
(3116,	'4b8f00a3-6828-11ea-91e8-b8830365bd14',	'46fdf92a-6543-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул.  Добровольцев, 1а'),
(3117,	'9e4b856b-e9ad-11e9-b850-005056b24375',	'a8969055-cf45-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 47'),
(3118,	'f54389e9-fa26-11e9-9c59-005056b24375',	'a236f34b-f408-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3119,	'7f1957e2-8116-11e9-898c-005056b24375',	'b89b492f-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 23'),
(3120,	'8e3b1973-f64c-11e9-9c59-005056b24375',	'52a0cf2c-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32а'),
(3121,	'f424514b-42a9-11ea-9b37-0025b502a04e',	'7f201f6b-fedf-11e9-91ff-0025b501a04b',	'Пункт приймання-видачі(до 30 кг), вул. Богдана Хмельницького, 23'),
(3122,	'fb9aa0f9-ca9e-11e9-b0c5-005056b24375',	'8c81a3fc-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3123,	'76051c0c-ca59-11e9-b0c5-005056b24375',	'd59d251e-b785-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 143'),
(3124,	'cddd7e97-caff-11e9-b0c5-005056b24375',	'f8d12eeb-b777-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 44а'),
(3125,	'8f291a03-0b9f-11ea-9295-005056b24375',	'22e68143-fef8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3126,	'b3850836-ca57-11e9-b0c5-005056b24375',	'c8066a92-c355-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 67а'),
(3127,	'01ae25e1-e1c2-11e3-8c4a-0050568002cf',	'441f7f9c-a440-11dd-bcd8-001d92f78697',	'Отделение №1: ул. Семидубская, 16'),
(3128,	'c2a1a01b-f80c-11e9-9c59-005056b24375',	'76bc4088-f40c-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 40а'),
(3129,	'd0044cd4-b2e1-11e9-8c22-005056b24375',	'6f4a77ed-9e5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(3130,	'fa24bfb6-eb64-11e9-b850-005056b24375',	'23e9728c-e68e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Николая Мельника, 115'),
(3131,	'd7ac4de5-4758-11ea-9b37-0025b502a04e',	'f91d442d-4694-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 18'),
(3132,	'336de1c1-e1c2-11e3-8c4a-0050568002cf',	'b76f8916-aeb1-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Дунайская,1'),
(3133,	'0fe34eb5-ae32-11e9-8c22-005056b24375',	'71f9aa21-8861-11e9-898c-005056b24375',	'Отделение №1: ул. Шевченко Тараса, 55-а'),
(3134,	'12e4c8bc-5c87-11ea-91e8-b8830365bd14',	'a852178e-5a18-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30), ул. Героев Небесной сотни, 6'),
(3135,	'ad0bef26-eb46-11e9-b850-005056b24375',	'5f5e2c20-e5e8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Коновальца, 112а'),
(3136,	'62dd941b-e09e-11e9-b48a-005056b24375',	'f35bfd0c-b77e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3137,	'966def2d-674b-11e9-898c-005056b24375',	'98fee456-65c0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 43'),
(3138,	'01ae2602-e1c2-11e3-8c4a-0050568002cf',	'4bed575e-9024-11df-9565-000c290fbeaa',	'Отделение №1: ул. Юбилейная, 25'),
(3139,	'9fb1d605-1fd7-11ea-ba4d-005056b24375',	'ea139a43-0c96-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 4'),
(3140,	'caa19023-c3e2-11e9-b0c5-005056b24375',	'fcc30384-b76e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(3141,	'f5bd100d-b377-11e9-8c22-005056b24375',	'c02a446b-a958-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Основская, 9а'),
(3142,	'a5b34ecd-f8d1-11e9-9c59-005056b24375',	'bf22d5d1-e674-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 16'),
(3143,	'40498352-e1c2-11e3-8c4a-0050568002cf',	'db5c8924-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Сергея Кемского (ран. Октябрьская), 72а'),
(3144,	'01ae2622-e1c2-11e3-8c4a-0050568002cf',	'b893311e-c477-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Театральная, 9'),
(3145,	'f664b455-122a-11ea-9295-005056b24375',	'e90b3d88-0ce3-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(3146,	'1dbf326c-4706-11e9-acea-005056b24375',	'5c98d8e9-456a-11e9-acea-005056b24375',	'Отделение №1: ул. Тополевая, 40'),
(3147,	'02c4db7c-aa32-11e9-b73a-005056b24375',	'9c6351d3-9e56-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Горького, 32'),
(3148,	'97d26cea-8050-11e9-898c-005056b24375',	'6fcd789d-7d60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 40а'),
(3149,	'1b786161-ca4b-11e9-b0c5-005056b24375',	'd122cd98-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 21'),
(3150,	'e27c823c-6723-11e9-898c-005056b24375',	'1c3f1e84-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Почтовая, 3'),
(3151,	'84d1c153-de88-11e9-b48a-005056b24375',	'a896906a-cf45-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 95'),
(3152,	'62e5109f-821d-11e9-898c-005056b24375',	'e37ce445-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(3153,	'fe11d833-5061-11e9-acea-005056b24375',	'1fcecfe2-4c84-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3154,	'1cd039f1-e412-11e9-b48a-005056b24375',	'a21a140d-cf4a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 70'),
(3155,	'644de309-e1c2-11e3-8c4a-0050568002cf',	'e221d621-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Харьковская, 3'),
(3156,	'644de30a-e1c2-11e3-8c4a-0050568002cf',	'06f87948-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Дружбы, 36'),
(3157,	'e2246845-3b65-11ea-8461-0025b502a04e',	'3458156e-e692-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Освободителей, 4-А'),
(3158,	'59f9e000-800a-11e9-898c-005056b24375',	'a9458338-7d5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ружина, 42'),
(3159,	'606fec44-ad44-11e9-8c22-005056b24375',	'f8c9dddd-a7a2-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 27'),
(3160,	'0fb6f400-e41a-11e9-b48a-005056b24375',	'a07bf655-b783-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 10'),
(3161,	'49b2dab8-1576-11e9-ad0d-005056b24375',	'67a54bb6-095d-11e9-ad0d-005056b24375',	'Отделение №1: ул. 40 лет Победы, 1а'),
(3162,	'afccbf45-1e7c-11ea-ac3b-0025b502a04e',	'51b97e9d-1b1e-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Ивана Франко, 52'),
(3163,	'82b5cf5f-ca9d-11e9-b0c5-005056b24375',	'c6264cec-c344-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 52а'),
(3164,	'392f52ce-ad55-11e9-8c22-005056b24375',	'fecfdfb5-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Космическая, 15'),
(3165,	'7c293eaf-811d-11e9-898c-005056b24375',	'95f15bbc-7d62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 12а'),
(3166,	'b9dd5fb3-7079-11e8-9d95-005056b2fc3d',	'b9dd5f96-7079-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Ленина, 40'),
(3167,	'cb8d5f0b-5c86-11ea-91e8-b8830365bd14',	'0b07ca1a-5a18-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Прикарпатская, 1'),
(3168,	'1e5c4bc1-baa3-11e9-8c22-005056b24375',	'da86c217-b797-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(3169,	'e6c21a9c-93e7-11e9-898c-005056b24375',	'a70f5d69-882e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3170,	'038fc6b9-b2d1-11e9-8c22-005056b24375',	'8d4658cc-9e38-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3171,	'009498ec-f0d5-11e9-9c59-005056b24375',	'f88729ee-76ee-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чехова, 7'),
(3172,	'169227fc-e1c2-11e3-8c4a-0050568002cf',	'06f87966-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 89'),
(3173,	'410a1bc3-eb55-11e9-b850-005056b24375',	'56646c14-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ватутина, 12'),
(3174,	'f18c503d-a31b-11e9-b790-005056b24375',	'4b4f2786-9e4d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 7а'),
(3175,	'807608c6-0eba-11ea-9295-005056b24375',	'ed6f894f-f413-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3176,	'39931b65-e1c2-11e3-8c4a-0050568002cf',	'f5554065-5712-11e1-a283-0026b97ed48a',	'Отделение: ул. И. Мазепы, 12'),
(3177,	'72b28289-ae21-11e9-8c22-005056b24375',	'c87ae03a-a7a4-11e9-b73a-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Чорноморців, 64'),
(3178,	'6311f7e5-0dbf-11ea-9295-005056b24375',	'fba69948-fed3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 18а'),
(3179,	'44b71960-f58c-11e9-9c59-005056b24375',	'aa6ca8bb-9e5b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 32'),
(3180,	'837dab30-6824-11ea-91e8-b8830365bd14',	'625236f3-6541-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 23'),
(3181,	'ba885c9e-027a-11e4-acce-0050568002cf',	'ba885c8e-027a-11e4-acce-0050568002cf',	'Отделение №1: ул. Кошута, 16'),
(3182,	'eb4d289e-11bd-11ea-9295-005056b24375',	'f6ca5dfc-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41'),
(3183,	'62374d69-964f-11e9-898c-005056b24375',	'aed07f8b-9289-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2'),
(3184,	'eeccd297-40b9-11e9-acea-005056b24375',	'ab8956bf-399a-11e9-acea-005056b24375',	'Отделение №1: ул. Франко Ивана, 2в'),
(3185,	'1ec09d7d-e1c2-11e3-8c4a-0050568002cf',	'b7cdf14c-c6fb-11e3-95eb-0050568046cd',	'Отделение №1: ул. Культуры, 57'),
(3186,	'99761f7d-c4e4-11e9-b0c5-005056b24375',	'fbb78625-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 54'),
(3187,	'511fcfe5-e1c2-11e3-8c4a-0050568002cf',	'f70622dc-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Освобождения, 5 (сзади типографии)'),
(3188,	'a5b34eef-f8d1-11e9-9c59-005056b24375',	'8588b2c2-e671-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 21'),
(3189,	'6d26b7fd-6682-11e9-898c-005056b24375',	'8c8e9fbd-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шлях, 24Б'),
(3190,	'bb7308b2-6b37-11e4-acce-0050568002cf',	'bb73089d-6b37-11e4-acce-0050568002cf',	'Отделение №1: пл. Независимости, 6'),
(3191,	'443e0204-8945-11e9-898c-005056b24375',	'1f42722e-882a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15'),
(3192,	'4ff76946-2479-11ea-8ac1-0025b502a04e',	'8ce45de0-e677-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 71'),
(3193,	'c7eb1d43-fbd2-11e9-9c59-005056b24375',	'970b6ff5-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 65'),
(3194,	'cae35a1e-fa51-11e9-9c59-005056b24375',	'f7b9b4ed-e67c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10а'),
(3195,	'bbb7e0af-bb7e-11e5-8478-005056887b8d',	'b1e56d42-bb61-11e5-8478-005056887b8d',	'Отделение №1: ул. Обьезная, 21'),
(3196,	'0d545f6d-e1c2-11e3-8c4a-0050568002cf',	'acecfca8-1488-11df-8caf-000c2965ae0e',	'Отделение №1: ул. Грушевского, 3а'),
(3197,	'ad4571f0-9822-11e9-898c-005056b24375',	'1c6cbf5a-964c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33а'),
(3198,	'5f338567-bdc6-11e9-8c22-005056b24375',	'538181d4-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 4'),
(3199,	'f1d80eae-e22b-11e9-b48a-005056b24375',	'9c1acd46-e224-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3200,	'bc1da4e9-2ad2-11e5-add9-005056887b8d',	'bc1da4d6-2ad2-11e5-add9-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 53'),
(3201,	'a63b21d1-4947-11e4-acce-0050568002cf',	'921dbf9a-e246-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Гагарина, 43'),
(3202,	'4a9c3538-fa48-11e9-9c59-005056b24375',	'c960817b-cf41-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  40 лет Победы, 38'),
(3203,	'bc373fa2-7885-11e8-9d95-005056b2fc3d',	'bc373f88-7885-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Шевченка б.н.'),
(3204,	'75e9c0ba-fa79-11e9-9c59-005056b24375',	'3421da55-f427-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 14'),
(3205,	'ad8cd70e-f88c-11e9-9c59-005056b24375',	'c447143c-e5eb-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Цимбалюка, 1'),
(3207,	'5a39e541-e1c2-11e3-8c4a-0050568002cf',	'06f8792e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Михайловская, 77-а'),
(3208,	'572657e4-a31f-11e9-b790-005056b24375',	'906a4c6d-9e4d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевського, 70'),
(3209,	'b6aecdbd-6755-11e9-898c-005056b24375',	'56b283c7-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 111 б/2'),
(3210,	'bca4030f-abcc-11e6-b5da-005056887b8d',	'12058c59-02c2-11de-9570-001d92f78697',	'Отделение №1: ул. 28 Июня, 28'),
(3211,	'ae76ac35-fb0b-11e9-9c59-005056b24375',	'3f0f7ca2-9e60-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 113'),
(3212,	'd115d240-85e3-11e9-898c-005056b24375',	'6bef18b1-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 89'),
(3213,	'c4413b3c-6742-11e9-898c-005056b24375',	'0fde1de5-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55'),
(3214,	'd06bdec1-2403-11ea-8ac1-0025b502a04e',	'57d2e2d9-884e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. участок Москаливка, 10'),
(3215,	'ae1f04dc-cb07-11e9-b0c5-005056b24375',	'0849fda4-c346-11e9-b0c5-005056b24375',	'Пункт приема-видачи(до 30 кг): пр. Независимости, 1а'),
(3216,	'39931b8d-e1c2-11e3-8c4a-0050568002cf',	'0006563e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Сумская, 24'),
(3217,	'604e92b2-69cb-11ea-91e8-b8830365bd14',	'5d2250d7-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 196'),
(3218,	'008ea25d-f58e-11e9-9c59-005056b24375',	'66c0a2c0-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Яремчука, 6'),
(3219,	'1692280e-e1c2-11e3-8c4a-0050568002cf',	'bd344b7b-7c09-11e2-8f83-d4ae527baec3',	'Отделение №1: ул. Спортивная, 3'),
(3220,	'1692280f-e1c2-11e3-8c4a-0050568002cf',	'bd344b86-7c09-11e2-8f83-d4ae527baec3',	'Отделение №1: ул. Горького, 25а'),
(3221,	'16922810-e1c2-11e3-8c4a-0050568002cf',	'bd344b91-7c09-11e2-8f83-d4ae527baec3',	'Отделение №1: Ковшаровка, 35 В'),
(3222,	'2a0444d5-ca9a-11e9-b0c5-005056b24375',	'2e1b7e72-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Спортивная, 90а'),
(3223,	'4049830f-e1c2-11e3-8c4a-0050568002cf',	'f70622f8-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Кооперативная, 64'),
(3224,	'd7bda205-8060-11e9-898c-005056b24375',	'54f4847f-7d62-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Кооперативная, 10'),
(3225,	'3507833c-9713-11e9-898c-005056b24375',	'aed07fa0-9289-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3226,	'f18c5018-a31b-11e9-b790-005056b24375',	'973064fc-9e4c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 7'),
(3227,	'7b422f96-e1b8-11e3-8c4a-0050568002cf',	'b2dded6a-c3ac-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Печерская, 6'),
(3228,	'af989373-e291-11e9-b48a-005056b24375',	'cd74c424-cf42-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 14'),
(3229,	'8707b6ee-e09f-11e9-b48a-005056b24375',	'86e74c8c-dfac-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 78'),
(3230,	'5212fd46-8d06-11e9-898c-005056b24375',	'8776522d-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 9'),
(3231,	'1394144e-2307-11ea-8ac1-0025b502a04e',	'6fcabed5-20b8-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 5'),
(3232,	'eed531d1-ae30-11e9-8c22-005056b24375',	'6473ebc6-a7a6-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кольчак, 38а'),
(3233,	'2d760e8f-95f3-11e9-898c-005056b24375',	'1cc53858-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 125'),
(3234,	'83d71f28-cb24-11e9-b0c5-005056b24375',	'17e57892-b784-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34'),
(3235,	'08807c48-e2dd-11e9-b48a-005056b24375',	'2902a3dd-cf39-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 35'),
(3236,	'7cf0de59-9647-11e9-898c-005056b24375',	'6e7da37f-9286-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 21'),
(3237,	'0ead7078-daf6-11e9-b48a-005056b24375',	'23a816de-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юрченко, 15'),
(3238,	'02a173c1-a7a7-11e9-b73a-005056b24375',	'739dee2f-9e43-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 11'),
(3239,	'061eca37-01dc-11e9-ad0d-005056b24375',	'b4bccd23-ff8b-11e8-ad0d-005056b24375',	'Отделение №1: ул. Артема, 8А'),
(3240,	'c6335423-a3a8-11e9-b790-005056b24375',	'e8a06206-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Славы, 80'),
(3241,	'69456d95-2f95-11e9-acea-005056b24375',	'06513a61-ff8b-11e8-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 76а'),
(3242,	'8cde382a-2336-11ea-ba4d-005056b24375',	'f25177f4-b7b7-11e9-8c22-005056b24375',	'Отделение №1: ул. Яровая, 14'),
(3243,	'6d6a7849-74ca-11ea-91e8-b8830365bd14',	'b725c16f-735e-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Покровского, 17Г'),
(3244,	'39931aed-e1c2-11e3-8c4a-0050568002cf',	'be66bcc8-d7b3-11e1-a00a-d4ae527baec9',	'Отделение №1: ул. 8-го Марта, 14'),
(3245,	'e9f3acbb-0537-11ea-9c59-005056b24375',	'12702099-b7b6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ясеновская, 1'),
(3246,	'46c387a0-667d-11e9-898c-005056b24375',	'd9420b2b-64c9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3247,	'66195b9b-98d3-11e9-898c-005056b24375',	'4022d674-884a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ублянська, 2'),
(3248,	'a6d3f1ab-1280-11ea-9295-005056b24375',	'8750d555-0ce5-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. ул. Черниговская, 25'),
(3249,	'fa706345-e2d0-11e9-b48a-005056b24375',	'87e8c0c4-dae1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 72'),
(3250,	'51004e4d-f56a-11e9-9c59-005056b24375',	'cd27ebdc-e5e6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. С. Бандеры, 196'),
(3251,	'ad05200f-1220-11ea-9295-005056b24375',	'1ecd2603-fef6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 4-А'),
(3252,	'38fe3dbf-db5c-11e9-b48a-005056b24375',	'33f1ffe2-cf29-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 42'),
(3253,	'9c0c1a8d-8132-11e9-898c-005056b24375',	'b4792bc0-7d6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Софиевская, 23А'),
(3254,	'a187b3a0-93f6-11e9-898c-005056b24375',	'a0e3a46b-883a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франишина, 1'),
(3255,	'59a73f91-b37e-11e9-8c22-005056b24375',	'a55860c1-b2da-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев, 52'),
(3256,	'bd5f6371-b1ff-11e9-8c22-005056b24375',	'6994d4da-a7a2-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1'),
(3257,	'bf4e822b-2cf0-11e4-acce-0050568002cf',	'bf4e8215-2cf0-11e4-acce-0050568002cf',	'Отделение №1: ул. Почтовая, 4'),
(3258,	'c5c55c4f-0dd6-11ea-9295-005056b24375',	'bb377b26-fedc-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 34'),
(3259,	'a7ebeade-0566-11ea-9c59-005056b24375',	'fef83c96-fef6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 10'),
(3260,	'c8bdf020-1d61-11e9-ad0d-005056b24375',	'cf59d8bb-1b02-11e9-ad0d-005056b24375',	'Отделение №1: пер. Песчаный, 1'),
(3261,	'90b2dea3-0b98-11ea-9295-005056b24375',	'dd5f6b36-fef7-11e9-91ff-0025b501a04b',	'Лукьяновка (Барешевський р-н), ул Кирпонова, 2 А'),
(3262,	'02337708-fa79-11e9-9c59-005056b24375',	'17a41a64-f427-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Казацкая, 42а'),
(3263,	'4621b767-c975-11e9-b0c5-005056b24375',	'ee9660fe-9e35-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Богдана Хмельницкого, 2б'),
(3264,	'3fbd6e16-a3b2-11e9-b790-005056b24375',	'b1143f1c-885e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 112'),
(3265,	'bff51fba-4bf0-11e5-8d8d-005056887b8d',	'bff51fa5-4bf0-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Свободы, 44'),
(3266,	'c008f7b3-e690-11e5-899e-005056887b8d',	'c008f79e-e690-11e5-899e-005056887b8d',	'Отделение №1: ул. Приморская, 23'),
(3267,	'ddd40441-74c0-11e9-898c-005056b24375',	'd65e89cd-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 71'),
(3268,	'61312dd8-0b8a-11ea-9295-005056b24375',	'8ce45dcb-e677-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 30 лет Победы, 3'),
(3269,	'1d48e14a-f56e-11e9-9c59-005056b24375',	'1447f676-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 101а'),
(3270,	'961aad94-96a4-11e9-898c-005056b24375',	'19d9f9e6-9289-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Самохвалова, 28'),
(3271,	'56ec42c0-ca68-11e9-b0c5-005056b24375',	'cdccfd06-c354-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3272,	'c0302011-376e-11e5-add9-005056887b8d',	'c0301ffe-376e-11e5-add9-005056887b8d',	'Отделение № 1: ул. Ленина, 4/1'),
(3273,	'213bcef9-74cb-11ea-91e8-b8830365bd14',	'5d31ed24-7360-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Голейко, 7К'),
(3274,	'47a3033d-e230-11e9-b48a-005056b24375',	'023da61f-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Спортивная, 23'),
(3275,	'0aff8902-fb4a-11e9-9c59-005056b24375',	'd96095f9-f428-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3276,	'51cf81d7-38fd-11ea-8461-0025b502a04e',	'5d766363-b79d-11e9-8c22-005056b24375',	'Отделение №1, ул. Заводская, 11'),
(3277,	'f3cb19e1-2307-11ea-ba4d-005056b24375',	'f11c7dbb-20b5-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(3278,	'fd7f9766-74ca-11ea-91e8-b8830365bd14',	'f1d4e906-735f-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 6'),
(3279,	'1be04071-d460-11e9-b0c5-005056b24375',	'204ebb90-cf4c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 69/1'),
(3280,	'969b4517-e03b-11e9-b48a-005056b24375',	'71f40da6-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Святой Покровы, 50'),
(3281,	'5538d607-c4e0-11e9-b0c5-005056b24375',	'05bf1ed6-8879-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Буковинская, 31'),
(3282,	'2bb8ced6-e1c2-11e3-8c4a-0050568002cf',	'c129b289-9942-11e3-b441-0050568002cf',	'Отделение №1: ул. Пебеды, 1'),
(3283,	'2bb8ced7-e1c2-11e3-8c4a-0050568002cf',	'c129b294-9942-11e3-b441-0050568002cf',	'Отделение №1: ул. Шевченко, 56'),
(3284,	'2bb8ced8-e1c2-11e3-8c4a-0050568002cf',	'c129b29f-9942-11e3-b441-0050568002cf',	'Отделение №1: проул. Аптечный, 1а'),
(3285,	'2bb8ced9-e1c2-11e3-8c4a-0050568002cf',	'c129b2aa-9942-11e3-b441-0050568002cf',	'Отделение №1: ул. Центральная, 17'),
(3286,	'2bb8cedb-e1c2-11e3-8c4a-0050568002cf',	'c129b2c0-9942-11e3-b441-0050568002cf',	'Отделение №1: ул. Солнечная, 1'),
(3287,	'aedc9fe1-971b-11e9-898c-005056b24375',	'864c4f44-928b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гуменюка, 33'),
(3288,	'444b1147-0528-11ea-9c59-005056b24375',	'3c97d51c-e670-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 310'),
(3289,	'47b4eb05-a300-11e9-b790-005056b24375',	'3c6b97dd-9e39-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 15'),
(3290,	'169227f8-e1c2-11e3-8c4a-0050568002cf',	'db5c8956-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Ковалёва, 29А'),
(3291,	'bc2b9436-aee9-11e9-8c22-005056b24375',	'e7ea189e-8864-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Бойко, 61а'),
(3292,	'c73db517-ca51-11e9-b0c5-005056b24375',	'c8066abc-c355-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 31а'),
(3293,	'47ae6c30-1a6e-11e9-ad0d-005056b24375',	'23741bd4-14e4-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 20'),
(3294,	'c59f4416-7f10-11e9-898c-005056b24375',	'e37ce45a-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 60'),
(3295,	'c63aab4a-ca61-11e9-b0c5-005056b24375',	'11f8828f-b793-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Корневая, 1'),
(3296,	'c22421dc-5632-11e5-8d8d-005056887b8d',	'c22421c9-5632-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Украинская, 138а'),
(3297,	'4dda26e9-e9b3-11e9-b850-005056b24375',	'72311a13-9e58-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3298,	'8632fd83-f8c4-11e9-9c59-005056b24375',	'dcc2bd02-f410-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 45'),
(3299,	'1fd0068f-91aa-11e9-898c-005056b24375',	'faddd346-8854-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(3300,	'c265a9a5-95f8-11e6-a4c1-005056887b8d',	'c265a98b-95f8-11e6-a4c1-005056887b8d',	'Отделение №1: ул. Победы, 13'),
(3301,	'19071fa3-2306-11ea-8ac1-0025b502a04e',	'85412f26-20b6-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Новая, 10'),
(3302,	'aec1b2db-1166-11ea-9295-005056b24375',	'a6d7483c-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 17а'),
(3303,	'0248bcfb-cb48-11e9-b0c5-005056b24375',	'ac8e2d99-c34f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 22'),
(3304,	'2504a266-bac8-11e9-8c22-005056b24375',	'300c7a00-b7a4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 95'),
(3306,	'c1ef22cb-fb09-11e9-9c59-005056b24375',	'a3a04795-b7a7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шабовты, 28'),
(3307,	'3e422fad-85fb-11e9-898c-005056b24375',	'09e961ec-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 10'),
(3308,	'336de1be-e1c2-11e3-8c4a-0050568002cf',	'8ec800a9-add9-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Мира, 2а'),
(3309,	'5555ed9f-8060-11e9-898c-005056b24375',	'1cd43ada-7d62-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Центральная, 15'),
(3310,	'cc03cbc6-7f05-11e9-898c-005056b24375',	'70982ffc-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 181б'),
(3311,	'6c92df11-11f9-11ea-9295-005056b24375',	'28ccf5af-e680-11e9-b48a-005056b24375',	'Отделение №1: ул. Центральная, 81'),
(3312,	'39931b72-e1c2-11e3-8c4a-0050568002cf',	'956452a2-4748-11dd-9198-001d60451983',	'Отделение №1: ул. Героев Крут, 15'),
(3313,	'39931b73-e1c2-11e3-8c4a-0050568002cf',	'db5c8933-391c-11dd-90d9-001a92567626',	'Отделение №1: площадь Интернациональная, 20'),
(3314,	'7fbcfcb1-de86-11e9-b48a-005056b24375',	'5dc4fc75-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(3315,	'2445edc2-9b48-11e9-898c-005056b24375',	'b4f1e350-9648-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Парламентариев, 26б'),
(3316,	'47402ec7-e1c2-11e3-8c4a-0050568002cf',	'00065642-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Васильевская, 3'),
(3317,	'd5af9c28-8563-11e9-898c-005056b24375',	'a5b35568-7d69-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Центральная, 22'),
(3318,	'7e9ea314-e299-11e9-b48a-005056b24375',	'9d7ed319-dae5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кошевого, 27а'),
(3319,	'b9b5a97b-a2fe-11e9-b790-005056b24375',	'8d4658e1-9e38-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 31'),
(3320,	'1ec09d7a-e1c2-11e3-8c4a-0050568002cf',	'c3861a2c-e014-11e3-8c4a-0050568002cf',	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 1а'),
(3321,	'37ab41eb-610d-11e9-898c-005056b24375',	'0adbd449-5fc4-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 24'),
(3322,	'd14c5736-2305-11ea-8ac1-0025b502a04e',	'2ffef7be-20b6-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 1в'),
(3323,	'398af75c-5ac1-11e9-a703-005056b24375',	'e3f238f7-5a94-11e9-a703-005056b24375',	'Отделение №1: ул. Северская, 19'),
(3324,	'07cd68f2-5d5b-11ea-91e8-b8830365bd14',	'0268c2a2-e66f-11e9-b48a-005056b24375',	'\nПункт приема-выдачи (до 30 кг), ул. Садовая, 118'),
(3325,	'aa12ab82-e08c-11e9-b48a-005056b24375',	'51eefb7d-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 43'),
(3326,	'c3d4d945-176c-11e6-971e-005056887b8d',	'1d7d3af1-12b1-11e6-971e-005056887b8d',	'Отделение №1: ул. Матросская, 66А пом.4'),
(3327,	'c3d881c5-d3cf-11e5-8478-005056887b8d',	'c3d881b0-d3cf-11e5-8478-005056887b8d',	'Отделение №1: ул. Заводская, 12'),
(3328,	'c3f12886-1677-11e6-971e-005056887b8d',	'c3f1286d-1677-11e6-971e-005056887b8d',	'Отделение №1: ул. Кишеневская, 159а'),
(3329,	'2bb8cef6-e1c2-11e3-8c4a-0050568002cf',	'f706232c-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Вишневая, 25'),
(3330,	'b7025ed2-ce63-11e9-b0c5-005056b24375',	'3d923206-76ee-11e9-898c-005056b24375',	'Пункт приема-видачи (до 30 кг): ул. Соборная, 12'),
(3331,	'c8dfbabf-4d9d-11e6-a9f2-005056887b8d',	'c8dfbaa6-4d9d-11e6-a9f2-005056887b8d',	'Отделение №1: Шевченка, 69б'),
(3332,	'c4418561-4da6-11e6-a9f2-005056887b8d',	'c4418548-4da6-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Главная, 163'),
(3333,	'01ae262a-e1c2-11e3-8c4a-0050568002cf',	'69da4193-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Учительская, 5/2'),
(3334,	'01ae262b-e1c2-11e3-8c4a-0050568002cf',	'10975679-8a89-11e0-8140-969cd9edcd68',	'Отделение № 1: ул. Маяковского, 15'),
(3335,	'01ae262c-e1c2-11e3-8c4a-0050568002cf',	'f4890a83-8344-11df-884b-000c290fbeaa',	'Отделение №1: ул. Труда, 4'),
(3336,	'01ae262d-e1c2-11e3-8c4a-0050568002cf',	'f70622da-4078-11de-b509-001d92f78698',	'Відділення №1: ул. Шевченко, 97'),
(3337,	'01ae262e-e1c2-11e3-8c4a-0050568002cf',	'f70622e8-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Галицкая, 62/2'),
(3338,	'52391650-dee2-11e9-b48a-005056b24375',	'27825326-cf14-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 39-А'),
(3339,	'2b7d25e8-85e9-11e9-898c-005056b24375',	'c107923d-76f9-11e9-898c-005056b24375',	'Отделение №1: ул. Ленина, 105- Е'),
(3340,	'41770946-daf7-11e9-b48a-005056b24375',	'8cf8b0c2-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 233'),
(3341,	'336de1cc-e1c2-11e3-8c4a-0050568002cf',	'c4c69055-b682-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Петровського, 27'),
(3342,	'1ed04817-4fd6-11e9-acea-005056b24375',	'85c5b8e7-4c73-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 16'),
(3343,	'b219beb6-bdcd-11e9-8c22-005056b24375',	'9003fb4b-b7bd-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 125-а'),
(3344,	'ee060004-d403-11e9-b0c5-005056b24375',	'c62928e9-cf27-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Комарова, 1а'),
(3345,	'3587c1f9-1288-11ea-9295-005056b24375',	'03332230-0ce6-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(3346,	'f2ea54f0-98c7-11e9-898c-005056b24375',	'1058bdfa-76eb-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Центральная, 80'),
(3347,	'18b4b110-80af-11ea-91e8-b8830365bd14',	'59e1fc64-7ff0-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Ровенская, 2'),
(3348,	'c58de045-0730-11e4-acce-0050568002cf',	'c58de034-0730-11e4-acce-0050568002cf',	'Отделение №1 (до 30 кг): ул. Львовская, 42'),
(3349,	'fc1cd645-bdc0-11e9-8c22-005056b24375',	'08b4b95f-8835-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Димитрова, 1'),
(3350,	'ab2ee50b-69c9-11ea-91e8-b8830365bd14',	'47b78957-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 3'),
(3351,	'1a46b02c-a30d-11e9-b790-005056b24375',	'0bf13bd1-9e34-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3352,	'88f65ef8-f665-11e9-9c59-005056b24375',	'ca8aa71e-f40a-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Украинская, 82а'),
(3353,	'96fc20cb-adef-11e9-8c22-005056b24375',	'82446ca6-a954-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 48'),
(3354,	'336de160-e1c2-11e3-8c4a-0050568002cf',	'c5e40694-cf97-11e3-95eb-0050568046cd',	'Отделение № 1: ул. Заводская, 1'),
(3355,	'c5eee122-f26f-11e5-899e-005056887b8d',	'c5eee10a-f26f-11e5-899e-005056887b8d',	'Отделение №1: ул. Юности, 6б'),
(3356,	'01ae25ca-e1c2-11e3-8c4a-0050568002cf',	'441f7f92-a440-11dd-bcd8-001d92f78697',	'Отделение №1: вул. Тернопільська, 7а'),
(3357,	'7322c1b8-96b0-11e9-898c-005056b24375',	'cd822fb6-9282-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 44'),
(3358,	'699a82cf-e909-11e9-b850-005056b24375',	'f50676ed-9e55-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 113'),
(3359,	'148e2b1e-69cc-11ea-91e8-b8830365bd14',	'5a30f3db-6547-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шумская, 49'),
(3360,	'660dbcdb-3796-11ea-8461-0025b502a04e',	'2b760b53-3607-11ea-b89e-0025b501a04b',	'Строкова, Центральная, 4'),
(3361,	'8f55a0e7-df08-11e9-b48a-005056b24375',	'809623cf-8841-11e9-898c-005056b24375',	'Андреевка (Донецька обл.), пер. Парковый, 2'),
(3362,	'616d766f-91cf-11e9-898c-005056b24375',	'4b73abc6-882d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. С.Тулуба, 4а'),
(3363,	'bda44be2-97ed-11e9-898c-005056b24375',	'6febdcdf-8876-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 36'),
(3364,	'c63fffe1-352f-11e5-add9-005056887b8d',	'c63fffcc-352f-11e5-add9-005056887b8d',	'Отделение №1: ул. Шевченка, 1а'),
(3365,	'c640285e-c975-11e4-a77a-005056887b8d',	'c640284a-c975-11e4-a77a-005056887b8d',	'Отделение №1: ул. Ивана Франко, 1'),
(3366,	'93b9e37b-ad3e-11e9-8c22-005056b24375',	'6994d4ef-a7a2-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(3367,	'c677561d-7387-11e8-9d95-005056b2fc3d',	'c6775602-7387-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Новая, 10'),
(3368,	'1c08f2b6-f8a4-11e9-9c59-005056b24375',	'b7caed6f-f40e-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 61'),
(3369,	'038fc692-b2d1-11e9-8c22-005056b24375',	'44ffa6e2-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 90'),
(3370,	'4b0d343e-b379-11e9-8c22-005056b24375',	'1c7bc475-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новеселица, 1а'),
(3371,	'05ba0595-fb1b-11e9-9c59-005056b24375',	'11d946a1-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 1'),
(3372,	'0c53462b-6805-11e9-898c-005056b24375',	'bc38b7f6-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 30-летия Победы, 30а'),
(3373,	'47813c7f-1150-11ea-9295-005056b24375',	'd2624241-0c92-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 29'),
(3374,	'0ff37f13-6828-11ea-91e8-b8830365bd14',	'0c1c2c89-6543-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 19'),
(3375,	'1b925bad-e28a-11e9-b48a-005056b24375',	'6f893ffd-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новоставцы, 86В'),
(3376,	'ba9ddb21-82eb-11e9-898c-005056b24375',	'36fe1ea2-7d64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 1а'),
(3377,	'9fb1d627-1fd7-11ea-ba4d-005056b24375',	'1598434e-0c96-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 182А'),
(3378,	'02894b64-f576-11e9-9c59-005056b24375',	'643bd362-e5ef-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 96'),
(3379,	'40498332-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Карбышева, 1'),
(3380,	'138be5a8-e05a-11e9-b48a-005056b24375',	'cc87c956-7d5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3381,	'3fbf6038-1154-11ea-9295-005056b24375',	'1fceb43c-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 12'),
(3382,	'fe6b069a-052d-11ea-9c59-005056b24375',	'8e26b224-feeb-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 51'),
(3383,	'48bbf051-0dd0-11ea-9295-005056b24375',	'57577477-fed9-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 40'),
(3384,	'4049832d-e1c2-11e3-8c4a-0050568002cf',	'7833e616-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Независимости, 109'),
(3385,	'bdf3c08b-971f-11e9-898c-005056b24375',	'a217190e-928c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16 / а'),
(3386,	'0edbc6bf-232b-11ea-ba4d-005056b24375',	'70969fe5-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 37А'),
(3387,	'c7cf0fb8-78d8-11e6-a9f2-005056887b8d',	'c7cf0f9e-78d8-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Вишневецкая, 1а'),
(3388,	'2480c95f-5c73-11ea-b3f9-b8830365bd14',	'9a91fe48-5a1b-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 1'),
(3389,	'0d545f42-e1c2-11e3-8c4a-0050568002cf',	'a4502be8-577e-11de-b9fc-0021918b679a',	'Отделение №1: ул. Петропавловская, 61а'),
(3390,	'2a2707f7-b381-11e9-8c22-005056b24375',	'a5586095-b2da-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ровесников, 1'),
(3391,	'0d545ef1-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Олега Паршутина (ран. Аэрофлотская), 28'),
(3392,	'ac4a8f29-fbe8-11e9-9c59-005056b24375',	'ab77b41b-e68f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 6'),
(3393,	'39931b92-e1c2-11e3-8c4a-0050568002cf',	'f7062346-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Историческая, 81'),
(3394,	'39931b94-e1c2-11e3-8c4a-0050568002cf',	'06f87916-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Советская, 57'),
(3395,	'39931b95-e1c2-11e3-8c4a-0050568002cf',	'06f87908-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Привокзальная, 2а'),
(3396,	'404982ee-e1c2-11e3-8c4a-0050568002cf',	'9e8561e4-f1a0-11e1-a58d-d4ae527baec9',	'Отделение № 1: ул. Цветочная, 21а'),
(3397,	'404982ef-e1c2-11e3-8c4a-0050568002cf',	'9e8561e7-f1a0-11e1-a58d-d4ae527baec9',	'Отделение №1: ул. Вокзальная, 11'),
(3398,	'404982f0-e1c2-11e3-8c4a-0050568002cf',	'222085df-f1c8-11e1-a58d-d4ae527baec9',	'Отделение №1: ул. Бударина, 6, прим. 2'),
(3399,	'404982f1-e1c2-11e3-8c4a-0050568002cf',	'222085e2-f1c8-11e1-a58d-d4ae527baec9',	'Отделение №1: ул. Калинина, 12'),
(3400,	'cf46b740-d9fd-11e9-b48a-005056b24375',	'ee714d02-cf4a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Станционная, 14'),
(3401,	'c869f8d9-602b-11e4-acce-0050568002cf',	'c869f8c7-602b-11e4-acce-0050568002cf',	'Отделение №1: ул. Сечевых Стрельцов, 12'),
(3402,	'c93dd4c7-db59-11e9-b48a-005056b24375',	'33f1ffcd-cf29-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 192'),
(3403,	'c873837c-b02c-11e4-a77a-005056887b8d',	'c873836a-b02c-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Победы, 32'),
(3404,	'20e4dc68-7fd5-11e9-898c-005056b24375',	'4250c6d7-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 13'),
(3405,	'f1cd609e-968a-11e9-898c-005056b24375',	'137e331a-9291-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): вул. Вересневая, 8'),
(3406,	'a3af0ee0-e21c-11e9-b48a-005056b24375',	'd63931dc-dae7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 40'),
(3407,	'0a9788a0-23f2-11ea-8ac1-0025b502a04e',	'7e96b275-f408-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Херсонская, 10'),
(3408,	'4b16f3d0-ad31-11e9-8c22-005056b24375',	'a376b6c8-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивана Франко, 86'),
(3409,	'39030060-052f-11ea-9c59-005056b24375',	'27cf5ac4-feec-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральна, 26'),
(3410,	'c4e05197-cb3d-11e9-b0c5-005056b24375',	'735776c5-c340-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 1'),
(3411,	'4b6d38ca-eb3c-11e9-b850-005056b24375',	'878aeeac-b7a1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3412,	'6bea043a-8884-11ea-a970-b8830365ade4',	'eaa5b3a0-feee-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Покровская, 1Д'),
(3413,	'4bc7b0c3-cbc2-11e8-ad0d-005056b24375',	'd138958f-a9e7-11e8-ad0d-005056b24375',	'Отделение №1: ул. Волошина, б/н'),
(3414,	'4ab0c932-b2d5-11e9-8c22-005056b24375',	'f194e713-9e37-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 8 Марта, 6'),
(3415,	'7de45b5c-a3b9-11e9-b790-005056b24375',	'8240e212-883f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Чечелевка, 30'),
(3416,	'c3e26bad-ae36-11e9-8c22-005056b24375',	'5a1cd93d-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 7/1'),
(3417,	'8c9c8408-a323-11e9-b790-005056b24375',	'e5f628fd-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 16'),
(3418,	'4b6a95aa-8563-11e9-898c-005056b24375',	'69ca4ec8-7d69-11e9-898c-005056b24375',	'Пункт приема-передачи (до 30 кг): ул. Дзержинского, 16'),
(3419,	'c91250f8-bf3e-11e5-8478-005056887b8d',	'a6ae40f9-8f07-11e3-b441-0050568002cf',	'Отделение №1: ул. Шевченко, 186'),
(3420,	'40498304-e1c2-11e3-8c4a-0050568002cf',	'06f8799c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Воскресенская, 240'),
(3421,	'40498305-e1c2-11e3-8c4a-0050568002cf',	'4d121e31-eb2b-11e0-be54-f5cb9f9fdf36',	'Отделение №1: ул. Горького, 4В'),
(3422,	'40498306-e1c2-11e3-8c4a-0050568002cf',	'f70622fa-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Переяславская, 14'),
(3423,	'40498307-e1c2-11e3-8c4a-0050568002cf',	'f70622f6-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 69 (маг. &quot;Павлуша&quot; (ПашаМото)'),
(3424,	'40498308-e1c2-11e3-8c4a-0050568002cf',	'f706230c-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Захарченко, 56А'),
(3425,	'40498309-e1c2-11e3-8c4a-0050568002cf',	'956452b3-4748-11dd-9198-001d60451983',	'Отделение №1: ул. Соборная, 64а'),
(3426,	'c95c7ed7-6c25-11e5-8d8d-005056887b8d',	'827f9e38-6c20-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Мира, 40'),
(3427,	'49b2dae5-1576-11e9-ad0d-005056b24375',	'354a1d4a-14fd-11e9-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 31'),
(3428,	'5abb84fd-d401-11e9-b0c5-005056b24375',	'96c0284a-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пушкина, 2а'),
(3429,	'c9825b54-11ac-11e4-acce-0050568002cf',	'c9825b43-11ac-11e4-acce-0050568002cf',	'Отделение №1: ул. Еминеску, 78б'),
(3430,	'39931b69-e1c2-11e3-8c4a-0050568002cf',	'69da417b-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Юрия Коваленко, 13а'),
(3431,	'4e58ff54-9386-11e9-898c-005056b24375',	'1752a094-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(3432,	'3377ba87-15ce-11ea-a63c-0025b502a04e',	'97b6f963-9e4f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. участокк Длинная, 6'),
(3433,	'2216bc32-85e1-11e9-898c-005056b24375',	'c3f7c5a5-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 30-летия Победы, 371'),
(3434,	'c9bc341c-0481-11e5-8a92-005056887b8d',	'4030bb13-005e-11e5-8a92-005056887b8d',	'Отделение № 1: ул. Славы,  19'),
(3435,	'4049835a-e1c2-11e3-8c4a-0050568002cf',	'db5c8953-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Шахтарская, 39б'),
(3436,	'4049835d-e1c2-11e3-8c4a-0050568002cf',	'f7062376-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Транзитная, 19'),
(3437,	'4049835e-e1c2-11e3-8c4a-0050568002cf',	'f7062374-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Небесной сотни, 24'),
(3438,	'40498360-e1c2-11e3-8c4a-0050568002cf',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Антонова (ран. Ленинградская), 4б'),
(3439,	'47402e4c-e1c2-11e3-8c4a-0050568002cf',	'00065618-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Новая, 15'),
(3440,	'7b422fa0-e1b8-11e3-8c4a-0050568002cf',	'e221d648-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Героев Чорнобыльцев, 50а'),
(3441,	'01ae263a-e1c2-11e3-8c4a-0050568002cf',	'8dc013b0-d273-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Васильковская, 2а'),
(3442,	'acc8524b-66bc-11e9-898c-005056b24375',	'40337c10-64cb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 13'),
(3443,	'6d65d70f-b365-11e9-8c22-005056b24375',	'7f457a6d-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пушкинская, 109Б'),
(3444,	'1c1857bf-8cf8-11e9-898c-005056b24375',	'eeee7d45-8833-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 9'),
(3445,	'87fb0d66-de85-11e9-b48a-005056b24375',	'5dc4fc8a-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ивасюка, 35'),
(3446,	'1884d85e-e29b-11e9-b48a-005056b24375',	'9d7ed304-dae5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 32а'),
(3447,	'9dbc70db-bad3-11e9-8c22-005056b24375',	'df11dd19-76ed-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 1'),
(3448,	'4757140a-9819-11e9-898c-005056b24375',	'07d40ae3-9402-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 3а'),
(3449,	'63544523-fb07-11e9-9c59-005056b24375',	'd15cf3e3-e67e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пролетарская, 7а'),
(3450,	'581f9271-4d39-11e9-acea-005056b24375',	'85c5b8cc-4c73-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Парковая, 16'),
(3451,	'c976af88-9668-11e9-898c-005056b24375',	'6396aef1-9282-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 63'),
(3452,	'3e0939a8-ac7e-11e9-8c22-005056b24375',	'31762dc2-8877-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Федоренко, 100'),
(3453,	'4f772683-db17-11e9-b48a-005056b24375',	'e63f0d31-b787-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 74'),
(3454,	'2469a26f-baa4-11e9-8c22-005056b24375',	'876cf4a5-b79e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): проул. Школьный, 3'),
(3455,	'cb94317d-2306-11ea-8ac1-0025b502a04e',	'9fa49e58-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Широкая, 39в'),
(3456,	'7fd34834-fb48-11e9-9c59-005056b24375',	'b0e51fb4-f428-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(3457,	'2c01cc92-2483-11e9-ad0d-005056b24375',	'e34990c0-23a7-11e9-ad0d-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Осенняя, 1а'),
(3458,	'0d545ed9-e1c2-11e3-8c4a-0050568002cf',	'a4f77d1b-45fa-11df-a786-000c294065a1',	'Отделение №1: ул. Главная, 29а'),
(3459,	'00bc4b25-3b3d-11e9-acea-005056b24375',	'ea0537e1-399d-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Старый путь, 53'),
(3460,	'cb3f9fd3-897e-11e5-b6f7-005056887b8d',	'cb3f9fc0-897e-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Стуса, 77б'),
(3461,	'573cdba5-c9b1-11e9-b0c5-005056b24375',	'93358726-c33f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 81'),
(3462,	'93dea4c7-257d-11ea-8ac1-0025b502a04e',	'95552f22-0c9a-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Корбута, 31'),
(3463,	'17693585-c9a5-11e9-b0c5-005056b24375',	'20aabef1-b77b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 24'),
(3464,	'661346c1-3796-11ea-8461-0025b502a04e',	'3d7807ae-3607-11ea-b89e-0025b501a04b',	'Соснова, Центральная, 4'),
(3465,	'6cb61bb1-b1fc-11e9-8c22-005056b24375',	'9c6351a9-9e56-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Эсе Томаша, 81'),
(3466,	'f4d6987e-3796-11ea-8461-0025b502a04e',	'f328f920-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 27-А'),
(3467,	'8dc655d0-f58a-11e9-9c59-005056b24375',	'7e66c6c3-e67a-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 104А'),
(3468,	'0d545f6f-e1c2-11e3-8c4a-0050568002cf',	'f706236e-4078-11de-b509-001d92f78698',	'Отделение №1 (до 30 кг): ул. Привокзальная, 20'),
(3469,	'511fcfea-e1c2-11e3-8c4a-0050568002cf',	'69da4154-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Горького, 95'),
(3470,	'7444881a-0566-11ea-9c59-005056b24375',	'5350057d-fef4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Дигтяренко, 1'),
(3471,	'e4e58e85-a3ee-11e9-b790-005056b24375',	'8c469cfd-9e6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 17'),
(3472,	'd63faf02-9388-11e9-898c-005056b24375',	'a0e3a441-883a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 19а'),
(3473,	'cc58f27b-ea7f-11e5-899e-005056887b8d',	'cc58f263-ea7f-11e5-899e-005056887b8d',	'Отделение №1: ул. Монастирского, 3'),
(3474,	'c1671e7b-aa2d-11e9-b73a-005056b24375',	'bce8e31f-884d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3475,	'cc91ebe7-12ae-11e6-971e-005056887b8d',	'10ebdab7-129d-11e6-971e-005056887b8d',	'Отделение №1: ул. Киевская, 47а'),
(3476,	'2fd503a3-85e1-11e9-898c-005056b24375',	'5e07c19b-76f7-11e9-898c-005056b24375',	'Отделение №1: ул. Софиевская, 49Б'),
(3477,	'745ef725-f8b6-11e9-9c59-005056b24375',	'4b8f3cde-f40f-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 42'),
(3478,	'2bb8ce42-e1c2-11e3-8c4a-0050568002cf',	'f70622f2-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Київська, 23а'),
(3479,	'2bb8ce44-e1c2-11e3-8c4a-0050568002cf',	'00065608-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Волошина, 37'),
(3480,	'2bb8ce46-e1c2-11e3-8c4a-0050568002cf',	'101afca9-db19-11e1-aa18-d4ae527baec9',	'Отделение №1: ул. Богдана Хмельницкого, 26'),
(3481,	'2bb8ce47-e1c2-11e3-8c4a-0050568002cf',	'000655fa-4079-11de-b509-001d92f78698',	'Отделение №1: просп. 40-летия Освобождения, 2б'),
(3482,	'2bb8ce48-e1c2-11e3-8c4a-0050568002cf',	'f706236a-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Бондаренко, 92а'),
(3484,	'd60098eb-80ad-11ea-91e8-b8830365bd14',	'20cbca48-7fef-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3485,	'96d00aa0-f8b5-11e9-9c59-005056b24375',	'28460285-f40f-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 109а'),
(3486,	'1f4aa1e1-c3de-11e9-b0c5-005056b24375',	'3d100665-b76e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3487,	'fb8fb5da-91c7-11e9-898c-005056b24375',	'4a3e8989-882c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Уткина, 48'),
(3488,	'eae27d79-9417-11e9-898c-005056b24375',	'e2260672-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 42'),
(3489,	'e5a152b3-bd0e-11e9-8c22-005056b24375',	'0d096b32-b7b5-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная 1'),
(3490,	'1ec09dbb-e1c2-11e3-8c4a-0050568002cf',	'06f8793a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Грушевсково, 62'),
(3491,	'1ec09dbc-e1c2-11e3-8c4a-0050568002cf',	'69da41c0-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Богдана Хмельницкого, 37 Б'),
(3492,	'1ec09dbd-e1c2-11e3-8c4a-0050568002cf',	'69da417e-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Агрономическая, 2'),
(3493,	'1ec09dbf-e1c2-11e3-8c4a-0050568002cf',	'69da418d-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Свободы, 2'),
(3494,	'1ec09dc0-e1c2-11e3-8c4a-0050568002cf',	'f70622de-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Ивана Франка, 107а'),
(3495,	'3294c49f-23ea-11ea-8ac1-0025b502a04e',	'eb54475c-e5e4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Ленина, 54'),
(3496,	'329effac-ba72-11e9-8c22-005056b24375',	'c8955ac1-b780-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дмитрия Филимонова, 9'),
(3497,	'cda266d6-7e10-11e5-b6f7-005056887b8d',	'cda266c3-7e10-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Центральная, 150б'),
(3498,	'1ec09d78-e1c2-11e3-8c4a-0050568002cf',	'cdafe6ad-dff6-11e3-8c4a-0050568002cf',	'Отделение №1: Центральная, 100/2'),
(3499,	'47402e96-e1c2-11e3-8c4a-0050568002cf',	'cdcf5623-21ec-11e3-b000-0050568002cf',	'Отделение №1: ул. Богословская, 17А'),
(3500,	'79f5b72b-23ff-11ea-8ac1-0025b502a04e',	'272e2a73-883a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Леси Украинский, 3'),
(3501,	'cddf657e-6042-11e5-8d8d-005056887b8d',	'cddf656b-6042-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Гагарина, 10 д'),
(3502,	'cde0b055-9bc8-11e4-acce-0050568002cf',	'cde0b043-9bc8-11e4-acce-0050568002cf',	'Отделение №1: ул. Архангельского, 7'),
(3503,	'2b4fa6ba-ca54-11e9-b0c5-005056b24375',	'4cd2027e-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Потайная, 63а'),
(3504,	'6d7e38f7-e21b-11e9-b48a-005056b24375',	'8f5a0018-dab2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Г.Нандриша, 46'),
(3505,	'432d7fe5-6211-11e9-898c-005056b24375',	'46d3da50-5f6e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 101-Б'),
(3506,	'06458178-dfcb-11e9-b48a-005056b24375',	'be3260a0-cfd9-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кучмы, 20'),
(3507,	'cbf7a2d5-3b71-11e9-acea-005056b24375',	'29a811f4-399c-11e9-acea-005056b24375',	'Отделение №1 (до 30 кг): ул. Гагарина, б/н'),
(3508,	'a2bf91a3-fb10-11e9-9c59-005056b24375',	'a3a04780-b7a7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дубинина, 15'),
(3509,	'2c5c2b9f-fbe6-11e9-9c59-005056b24375',	'9aa0e786-e691-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кирпичная, 1'),
(3510,	'74c6645f-fb26-11e9-9c59-005056b24375',	'71398dc4-e683-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10'),
(3511,	'336de1b4-e1c2-11e3-8c4a-0050568002cf',	'4024132d-aa89-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Ленина, 9, кв.3'),
(3512,	'336de1b5-e1c2-11e3-8c4a-0050568002cf',	'b8a340b4-aab7-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Железнодорожная, 6'),
(3513,	'336de1b6-e1c2-11e3-8c4a-0050568002cf',	'ce5f3852-ada5-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Спасо-Преображенская, 147а'),
(3514,	'336de1b9-e1c2-11e3-8c4a-0050568002cf',	'ce5f3877-ada5-11e3-9fa0-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Белозерское шоссе, 17'),
(3515,	'169227f9-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Куприна, 123б'),
(3516,	'4f7726af-db17-11e9-b48a-005056b24375',	'813d01e5-884f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шашкевича, 261А'),
(3517,	'0792f552-82ea-11e9-898c-005056b24375',	'357e7bba-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1'),
(3518,	'06293d0a-11df-11ea-9295-005056b24375',	'92a3ecdc-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Кайдаша, 5'),
(3519,	'511fd00d-e1c2-11e3-8c4a-0050568002cf',	'955e9578-d525-11e0-a0c3-b20c8c0df681',	'Отделение №1: ул. Карпинского, 10а'),
(3520,	'5a6fd997-b37c-11e9-8c22-005056b24375',	'22f322a4-b2d4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 28'),
(3521,	'a8173297-e2df-11e9-b48a-005056b24375',	'5b802204-dae0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 70'),
(3522,	'43058056-ca4e-11e9-b0c5-005056b24375',	'a4ad36cd-b784-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 147а'),
(3523,	'53aafc4e-8ced-11e9-898c-005056b24375',	'5855faf8-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 2'),
(3524,	'b3a25c46-e9aa-11e9-b850-005056b24375',	'e879c5a9-885a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 9'),
(3525,	'cf083821-4d8b-11e6-a9f2-005056887b8d',	'cf083808-4d8b-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Харьковская, 45В'),
(3526,	'89fa077a-d314-11e9-b0c5-005056b24375',	'c142402a-cf3e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 28'),
(3527,	'cad7fc5d-3f34-11e9-acea-005056b24375',	'5f81eedd-ff87-11e8-ad0d-005056b24375',	'Отделение №1: ул. Челюскина, 5'),
(3528,	'c013ae00-0529-11ea-9c59-005056b24375',	'e0fe6898-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 8'),
(3529,	'857f6317-fa46-11e9-9c59-005056b24375',	'9fb4556c-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 1'),
(3530,	'd32797f3-a3a7-11e9-b790-005056b24375',	'ad1dd01d-9e5c-11e9-898c-005056b24375',	'Пункт приймання-видачі (до 30 кг): вул. Центральна, 87'),
(3531,	'ef09fa2a-95e4-11e9-898c-005056b24375',	'51b2160b-9284-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 60'),
(3532,	'b01486eb-d40e-11e9-b0c5-005056b24375',	'8d0db255-cf3c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31'),
(3533,	'0e29b533-0520-11ea-9c59-005056b24375',	'85885ece-fef7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Степана Бандеры, 2А'),
(3534,	'38f4df19-ac8b-11e9-8c22-005056b24375',	'3f7aa036-8865-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3535,	'1c3f70e3-df62-11e9-b48a-005056b24375',	'8bd68475-9e62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 36'),
(3536,	'd5f5b502-adeb-11e9-8c22-005056b24375',	'6331d0a6-a953-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): просп. Соборности, 15'),
(3537,	'82a728ff-fb59-11e9-9c59-005056b24375',	'e9eafc66-e68b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 5'),
(3538,	'ac4a8f4b-fbe8-11e9-9c59-005056b24375',	'3dca85b2-e691-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 14'),
(3539,	'e77e5794-e9ac-11e8-ad0d-005056b24375',	'50410b9d-e8a7-11e8-ad0d-005056b24375',	'Отделение №1: ул. Клименко, 5'),
(3540,	'5cb09341-fa20-11e9-9c59-005056b24375',	'5439a08c-f407-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Торговая, 16'),
(3541,	'02856e9c-8944-11e9-898c-005056b24375',	'08bd76a7-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Театральная, 2'),
(3542,	'f87a24bb-ca59-11e9-b0c5-005056b24375',	'c2ba8a0b-b7be-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 205'),
(3543,	'23d7f3ee-6829-11ea-91e8-b8830365bd14',	'e23f098d-6543-11ea-a970-b8830365ade4',	'\nПункт приема-выдачи (до 30 кг), ул. Школьная, 11'),
(3544,	'cfeed077-9c9a-11e4-acce-0050568002cf',	'dc14618c-64c5-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 41а'),
(3545,	'ffeb4984-5c72-11ea-b3f9-b8830365bd14',	'66519eec-5a1b-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Франко, 71А'),
(3546,	'd0057ebe-f7aa-11e3-8c4a-0050568002cf',	'd0057eac-f7aa-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Ленина, 53'),
(3547,	'85b0b004-475a-11ea-9b37-0025b502a04e',	'0765c106-4699-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 41'),
(3548,	'ca7e5825-d451-11e9-b0c5-005056b24375',	'de02f3e5-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 2'),
(3549,	'52d7858f-4756-11ea-9b37-0025b502a04e',	'fb581fb4-4697-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3550,	'699b4f57-6208-11e9-898c-005056b24375',	'e3e66f5c-5f6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Старосанжарська, 42а'),
(3551,	'd79d7d03-f0bc-11e9-9c59-005056b24375',	'd2983e7f-e5f0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 9'),
(3552,	'1ec09d71-e1c2-11e3-8c4a-0050568002cf',	'f7062324-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Киевская, 9а'),
(3553,	'1ec09d72-e1c2-11e3-8c4a-0050568002cf',	'06f8798c-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Небесной Сотни, 101'),
(3554,	'efe3e294-1218-11ea-9295-005056b24375',	'11c0d3a3-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 2'),
(3555,	'd078eea4-d303-11e9-b0c5-005056b24375',	'f194e728-9e37-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3556,	'39d192a8-ca93-11e9-b0c5-005056b24375',	'e721a7ba-b79a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Раковцы, 174'),
(3557,	'679748c7-892b-11e9-898c-005056b24375',	'241fbbf1-8829-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 8'),
(3558,	'06f7afad-a7df-11e9-b73a-005056b24375',	'6e3078bc-9e5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Користиянская, 60Б'),
(3559,	'6f96edf8-f0e0-11e9-9c59-005056b24375',	'938d240c-e689-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 21А'),
(3560,	'f4f081a2-2305-11ea-8ac1-0025b502a04e',	'5330c779-20b6-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Садовая, 1'),
(3561,	'763222ae-4757-11ea-9b37-0025b502a04e',	'827ebec6-4693-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 6'),
(3562,	'd1099521-5945-11e6-a9f2-005056887b8d',	'00b6e98d-58b3-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Центральная, 30-б'),
(3563,	'92c790a2-be93-11e9-8c22-005056b24375',	'197010c8-b7bf-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 3а'),
(3564,	'85ded1a3-8b8d-11e9-898c-005056b24375',	'ae3a5248-82d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 89'),
(3565,	'd125f5e4-c982-11e5-8478-005056887b8d',	'd125f5d1-c982-11e5-8478-005056887b8d',	'Отделение №1: ул. Червоная, 10'),
(3566,	'0d545f01-e1c2-11e3-8c4a-0050568002cf',	'69da414e-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Майдана, 86'),
(3567,	'86aa0795-ae10-11e9-8c22-005056b24375',	'9d9a5430-76f1-11e9-898c-005056b24375',	'Отделение №1: ул. Днестровская, 10'),
(3568,	'530fabdd-85c6-11e9-898c-005056b24375',	'e008d964-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(3569,	'986a06a4-498d-11e9-acea-005056b24375',	'02376adf-ff89-11e8-ad0d-005056b24375',	'Отделение №1: ул. Грушевского, 2'),
(3570,	'336de166-e1c2-11e3-8c4a-0050568002cf',	'd15a2b5c-d5ac-11e3-95eb-0050568046cd',	'Отделение №1: ул. Киевская, 63А'),
(3571,	'2dca0576-96a7-11e9-898c-005056b24375',	'6bedba12-928a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33а'),
(3572,	'956d4d6e-556c-11e5-8d8d-005056887b8d',	'956d4d5b-556c-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Железнодорожная, 13б'),
(3573,	'e978a0bc-b9ee-11e9-8c22-005056b24375',	'dfc6c737-b78a-11e9-8c22-005056b24375',	'Бехтери, Леніна, 23'),
(3574,	'16922866-e1c2-11e3-8c4a-0050568002cf',	'db5c895d-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Сумская (ран. Фрунзе), 8'),
(3575,	'831dfd38-d303-11e9-b0c5-005056b24375',	'54c5c3b2-cf2b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 2'),
(3576,	'ac954e63-f8cd-11e9-9c59-005056b24375',	'607a974f-f411-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 26'),
(3577,	'01ae2631-e1c2-11e3-8c4a-0050568002cf',	'd1e11fc5-c68b-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Шевченко, 2'),
(3578,	'953f0678-b740-11e8-ad0d-005056b24375',	'e297f70a-a9ee-11e8-ad0d-005056b24375',	'Отделение №1: ул. Ленина, 64 пом. 2'),
(3579,	'bf8ced25-6ce5-11e9-898c-005056b24375',	'a04410d8-65c1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 1а'),
(3580,	'a5b695de-1e7e-11ea-ac3b-0025b502a04e',	'e627bebd-1b1e-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Речная, 10а'),
(3581,	'2bb8ce77-e1c2-11e3-8c4a-0050568002cf',	'd223f258-6621-11e3-b441-0050568002cf',	'Отделение №1: ул. Львовская, 4'),
(3582,	'2bb8ce78-e1c2-11e3-8c4a-0050568002cf',	'2959a2ba-6183-11e3-b441-0050568002cf',	'Отделение №1: ул. Набережная, 19'),
(3583,	'4516e0c5-8928-11ea-91e8-b8830365bd14',	'd15cf3b9-e67e-11e9-b48a-005056b24375',	'Отделение №1, ул. Пушкина, 2'),
(3584,	'06293cd8-11df-11ea-9295-005056b24375',	'a3ed5c3d-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12а'),
(3585,	'ae04dd50-11b2-11ea-9295-005056b24375',	'69741a2a-feea-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(3586,	'faf3b6bc-a320-11e9-b790-005056b24375',	'906a4c97-9e4d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 131'),
(3587,	'abcb624e-2319-11ea-ba4d-005056b24375',	'd0da1f97-1aaf-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Академика Возняка, 5'),
(3588,	'dc98ae50-a3e4-11e9-b790-005056b24375',	'4682677b-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Административная, 3'),
(3589,	'336de1d4-e1c2-11e3-8c4a-0050568002cf',	'd25c4d36-b9ad-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Главная, 110'),
(3590,	'e2f13237-d460-11e9-b0c5-005056b24375',	'e6524d72-cf48-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 32'),
(3591,	'f697d547-f8e4-11e9-9c59-005056b24375',	'3213bbfb-e675-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 13'),
(3592,	'74e86595-a3f3-11e9-b790-005056b24375',	'd4e6c3ea-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15'),
(3593,	'0429e4dc-e226-11e9-b48a-005056b24375',	'ec87fce9-dab3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 91'),
(3594,	'2e82ce5f-d457-11e9-b0c5-005056b24375',	'822931e6-cf47-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 15А'),
(3595,	'6863d760-ca94-11e9-b0c5-005056b24375',	'4d7ffc56-b7b8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 157'),
(3596,	'ab3d5078-0ec3-11ea-9295-005056b24375',	'67a60892-feee-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3597,	'4611d7ca-f88b-11e9-9c59-005056b24375',	'2855f8f9-f667-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 20'),
(3598,	'27014513-823d-11e9-898c-005056b24375',	'e215a1f4-7d70-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 17'),
(3599,	'1fa79c16-11f0-11ea-9295-005056b24375',	'0f6b1b2c-feef-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Русанова, 49'),
(3600,	'4b6a9586-8563-11e9-898c-005056b24375',	'ed015dcf-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Леси Украинки, 22'),
(3601,	'd30a9688-7404-11e5-8d8d-005056887b8d',	'd30a9675-7404-11e5-8d8d-005056887b8d',	'Отделение №1:ул. Аэродром, д.10,пом.91'),
(3602,	'c55a6b6f-116c-11ea-9295-005056b24375',	'6269add9-fee3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3603,	'46092ac9-a3ea-11e9-b790-005056b24375',	'099e5f05-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ференца Ракоци, 175'),
(3604,	'74c5f8cc-9bdd-11e9-898c-005056b24375',	'a0378152-8877-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 66'),
(3605,	'0b47f64f-faf0-11e9-9c59-005056b24375',	'53980a77-e5e3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7'),
(3606,	'45a26190-e2c4-11e9-b48a-005056b24375',	'a64cf7cc-8849-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 72а'),
(3607,	'f4f492e8-80ae-11ea-91e8-b8830365bd14',	'027dfe2f-7ff0-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 21'),
(3608,	'4b255ef1-f8cf-11e9-9c59-005056b24375',	'c5d14783-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 16'),
(3609,	'6974786a-475f-11e9-acea-005056b24375',	'39e7cfe6-390a-11e9-acea-005056b24375',	'Отделение №1: ул. Лесная, 1в'),
(3610,	'549af85e-85c1-11e9-898c-005056b24375',	'801bb785-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ситника, 9'),
(3611,	'336de1c9-e1c2-11e3-8c4a-0050568002cf',	'd3f3b91f-b59c-11e3-9fa0-0050568002cf',	'Отделение №1: площадь Освобождения, 6'),
(3612,	'2bb8ce96-e1c2-11e3-8c4a-0050568002cf',	'd3fc0057-7e9b-11e3-b441-0050568002cf',	'Отделение №1: площадь Рынок, 22'),
(3613,	'a563ffb0-1228-11ea-9295-005056b24375',	'253ed1fa-0ce3-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Гвардейская, 35'),
(3614,	'39931af0-e1c2-11e3-8c4a-0050568002cf',	'd40d5ff5-fcca-11e1-a04c-d4ae527baec9',	'Отделение №1: площадь Стадионная, 19 Г'),
(3615,	'39931b5f-e1c2-11e3-8c4a-0050568002cf',	'd428afdd-0eb4-11e2-a1de-d4ae527baec9',	'Отделение №1: ул. Соцтруда, 22'),
(3616,	'ef1b264a-2306-11ea-8ac1-0025b502a04e',	'2ae27e45-20b8-11ea-b89e-0025b501a04b',	'Пункт приема выдачи (до 30 кг), ул. Садовая, 13'),
(3617,	'570bdad9-baa9-11e9-8c22-005056b24375',	'dc88679d-b7a0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3618,	'7afefa20-6fd2-11e9-898c-005056b24375',	'a14b4f61-64cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 146'),
(3619,	'b52d26dc-8208-11e9-898c-005056b24375',	'20796a6f-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Центральная, 35'),
(3620,	'b8b73cfa-11b4-11ea-9295-005056b24375',	'630032d5-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 13'),
(3621,	'5336e66a-69d3-11ea-91e8-b8830365bd14',	'f2cb4326-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 58'),
(3622,	'9c5a6784-5c88-11ea-91e8-b8830365bd14',	'980f26aa-5a1a-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Загребельная, 1'),
(3623,	'0320b30c-23eb-11ea-ba4d-005056b24375',	'7e3c2636-20b8-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Марии Заньковецкой, 39'),
(3624,	'd4b75289-0c78-11e6-971e-005056887b8d',	'8632d344-0c78-11e6-971e-005056887b8d',	'Отделение №1: ул. Центральная, 38а'),
(3625,	'3651396e-df01-11e9-b48a-005056b24375',	'ef5dae90-cf29-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Степана Бандеры, 77'),
(3626,	'bd1128f1-8259-11e9-898c-005056b24375',	'db4d0052-7d62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Леси Украинки, 2а'),
(3627,	'8e208f35-04a0-11ea-9c59-005056b24375',	'932d9fff-cf1d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55'),
(3628,	'c65b4ec6-ac69-11e9-8c22-005056b24375',	'71f40dbb-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Аллея Мира, 2а'),
(3629,	'fb8fb5ad-91c7-11e9-898c-005056b24375',	'596ca0fc-8879-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Н. Яремчука, 46а'),
(3630,	'd5026dca-5fc5-11e6-a9f2-005056887b8d',	'ec2c06dc-5fc4-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Ивана Франка, 19'),
(3631,	'd51a2202-f876-11e4-8a92-005056887b8d',	'd51a21ef-f876-11e4-8a92-005056887b8d',	'Отделение № 1(до 30 кг): ул. Шептицкого, 12'),
(3632,	'a7fbe07b-2306-11ea-8ac1-0025b502a04e',	'8c9a436e-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Кодымская, 64'),
(3633,	'c53020fd-0b94-11ea-9295-005056b24375',	'd8c6be75-b7b6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 8'),
(3634,	'b3850855-ca57-11e9-b0c5-005056b24375',	'c2ba8a20-b7be-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 31А'),
(3635,	'e200c769-be67-11e9-8c22-005056b24375',	'0365ff01-b771-11e9-8c22-005056b24375',	'Пункт приймання-відачі (до 30 кг): вул. Центральна, 13'),
(3636,	'eb4d28b7-11bd-11ea-9295-005056b24375',	'e7ae21de-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 1'),
(3637,	'db384932-67f5-11e9-898c-005056b24375',	'72947628-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 4'),
(3638,	'd56c3aaf-9006-11e8-8710-005056b24375',	'95ef7501-9006-11e8-8710-005056b24375',	'Отделение №1: ул. им. Виктора Ющенко, 52'),
(3639,	'c6e20a77-e0a3-11e9-b48a-005056b24375',	'b298ce85-daaf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шептицкого, 31а'),
(3640,	'b3b8390f-82e9-11e9-898c-005056b24375',	'fe34d1ed-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 54'),
(3641,	'9732fa3c-db0c-11e9-b48a-005056b24375',	'948341e2-b77f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рабочая, 1'),
(3642,	'6cb61bde-b1fc-11e9-8c22-005056b24375',	'a0378128-8877-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зинчука, 43'),
(3643,	'0689265a-daf3-11e9-b48a-005056b24375',	'27825337-cf14-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ватутина, 34'),
(3644,	'ae76ac57-fb0b-11e9-9c59-005056b24375',	'ba8e4932-ac59-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кужельова, 2а'),
(3645,	'c4b829eb-247e-11ea-8ac1-0025b502a04e',	'31a778bb-e67c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Кооперативная, 1а'),
(3646,	'ce45d6b9-ba9a-11e9-8c22-005056b24375',	'594a19ef-b794-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 7'),
(3647,	'd5db6097-3790-11e5-add9-005056887b8d',	'055a3319-3787-11e5-add9-005056887b8d',	'Отделение № 1: ул. Истомина, 1'),
(3648,	'd5f15231-8c59-11e5-b6f7-005056887b8d',	'd5f1521e-8c59-11e5-b6f7-005056887b8d',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 53-А'),
(3649,	'd6171f89-bc28-11e4-a77a-005056887b8d',	'd6171f76-bc28-11e4-a77a-005056887b8d',	'Отделение № 1: ул. Чапаева, 41в'),
(3650,	'c2e05399-d45e-11e9-b0c5-005056b24375',	'6f7c1208-cfb4-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Европейская, 44'),
(3651,	'd63af4b0-ffe5-11e5-899e-005056887b8d',	'd63af498-ffe5-11e5-899e-005056887b8d',	'Отделение №1: ул. Шевченко, 62-а'),
(3652,	'6716fdc6-c42f-11e9-b0c5-005056b24375',	'a0e3a456-883a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 30'),
(3653,	'd6494272-4b33-11e5-8d8d-005056887b8d',	'd649425b-4b33-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Центральная, 18а'),
(3654,	'89fa07a2-d314-11e9-b0c5-005056b24375',	'a4779b23-b7ab-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Григоряка, 21'),
(3655,	'82021565-8cf0-11e9-898c-005056b24375',	'b503bf29-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 33'),
(3656,	'd67013cc-74f0-11e6-a9f2-005056887b8d',	'd67013b3-74f0-11e6-a9f2-005056887b8d',	'Отделение №1 (до 30 кг): ул. Соборная, 14а'),
(3657,	'7a2dbd71-f7e5-11e9-9c59-005056b24375',	'8e92e500-daa8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 241'),
(3658,	'ab5cf794-8d55-11e9-898c-005056b24375',	'7f1f3444-8836-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. участок Губки, 1'),
(3659,	'1ed0483d-4fd6-11e9-acea-005056b24375',	'b79a3907-4c82-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1а'),
(3660,	'f5159500-e2cf-11e9-b48a-005056b24375',	'87e8c0d9-dae1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пионерская, 1'),
(3661,	'4dd369ea-aab2-11e8-ad0d-005056b24375',	'8f5a4c82-a087-11e8-ad0d-005056b24375',	'Отделение №1: ул. Дмитрия Ульянова, 1-К'),
(3662,	'36b16df9-6827-11e9-898c-005056b24375',	'a6e309c4-64d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 157'),
(3663,	'798c5bc7-f8a1-11e9-9c59-005056b24375',	'82ceb181-e5f0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Холодного, 38A'),
(3664,	'd6172481-e094-11e9-b48a-005056b24375',	'262f31b9-daab-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. участков «Центр», магазин «Экспресс»'),
(3665,	'd3cc84b3-1e7c-11ea-ac3b-0025b502a04e',	'415dc2df-1b20-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. И.Франко, 94'),
(3666,	'644de308-e1c2-11e3-8c4a-0050568002cf',	'7833e620-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Остроградского, 44.'),
(3667,	'd77aa085-6f98-11e8-9d95-005056b2fc3d',	'd77aa060-6f98-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Центральная, 170'),
(3668,	'929bac58-cab2-11e9-b0c5-005056b24375',	'bb195724-b79d-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Виноградная, 3'),
(3669,	'e1a2248d-8564-11e9-898c-005056b24375',	'65027de5-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 29'),
(3670,	'98aeeef1-f577-11e9-9c59-005056b24375',	'82ceb157-e5f0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 9'),
(3671,	'01ae25cb-e1c2-11e3-8c4a-0050568002cf',	'06f87928-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Загорулька, 3'),
(3672,	'01ae25cc-e1c2-11e3-8c4a-0050568002cf',	'06f87910-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Железнодорожная,126'),
(3673,	'bf110885-5d5a-11ea-91e8-b8830365bd14',	'59ca74d9-dadf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Каширина, 47'),
(3674,	'170e1f2b-ca5b-11e9-b0c5-005056b24375',	'33717ddc-c355-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 20'),
(3676,	'ad460f23-3796-11ea-8461-0025b502a04e',	'816c5c46-3608-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 90'),
(3677,	'550a155c-db05-11e9-b48a-005056b24375',	'a4cebe6d-cf1a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Садовая, 34а'),
(3678,	'68ed29b9-a3cd-11e9-b790-005056b24375',	'370e12cd-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Миколайчука, 3'),
(3679,	'23a935e1-bacf-11e9-8c22-005056b24375',	'40461a47-9e5f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Тараса Шевченко, 22'),
(3680,	'58e502e5-aa21-11e9-b73a-005056b24375',	'02f3d3e7-9e44-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2А'),
(3681,	'f1e3045f-85e6-11e9-898c-005056b24375',	'44d3cceb-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1а'),
(3682,	'41119864-e2a8-11e9-b48a-005056b24375',	'bc38b80b-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Химич, 1в'),
(3683,	'4a9c3613-ba96-11e9-8c22-005056b24375',	'594a1a19-b794-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(3684,	'a5c3562c-98af-11e9-898c-005056b24375',	'd7f49864-8850-11e9-898c-005056b24375',	'Отделение №1: ул. Соборная, 100а'),
(3685,	'76963d3d-0f5c-11ea-9295-005056b24375',	'2330b4f6-f2cf-11e2-874c-d4ae527baec3',	'Пункт приема-выдачи (до 30 кг): ул. Мересьева, 3'),
(3686,	'ed5aa376-83b8-11ea-91e8-b8830365bd14',	'57e8dc69-7fea-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3687,	'd928a4f9-c069-11e6-8b12-005056887b8d',	'd928a4da-c069-11e6-8b12-005056887b8d',	'Отделение №1: ул. Сечевых Стрельцов, 64'),
(3688,	'00bc4b46-3b3d-11e9-acea-005056b24375',	'ea0537c6-399d-11e9-acea-005056b24375',	'Отделение №1: ул. Шевченко, 1-Б'),
(3689,	'6f4a7892-addf-11e9-8c22-005056b24375',	'8a49ea3a-7d6f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 2-А'),
(3690,	'f715b9a8-6843-11ea-91e8-b8830365bd14',	'616a6781-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3691,	'd97a7038-b8d8-11e4-a77a-005056887b8d',	'd97a7025-b8d8-11e4-a77a-005056887b8d',	'Отделение №1: ул. Ивана Франко, 24а'),
(3692,	'eccf111d-1e7e-11ea-ac3b-0025b502a04e',	'db2351f7-1b1f-11ea-8c15-0025b502a06e',	'Пункт приймання-видачі (до 30 кг), вул. Олексієнка, 1а'),
(3693,	'0b7572b4-df69-11e9-b48a-005056b24375',	'e879c5be-885a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ив. Франко, 75'),
(3694,	'0d545f6a-e1c2-11e3-8c4a-0050568002cf',	'd9b3e19d-60c1-11e2-89c8-d4ae52ab9fab',	'Отделение №1: ул. Кооперативная, 32Г'),
(3695,	'fbb962c7-e39f-11e9-b48a-005056b24375',	'5264386c-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Механизаторов, 6'),
(3696,	'49987ceb-74ca-11ea-91e8-b8830365bd14',	'98e11c80-735e-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Мира, 50а'),
(3697,	'd9c24235-89fd-11e5-b6f7-005056887b8d',	'd9c2421e-89fd-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Киевская, 46а'),
(3698,	'd9c95acf-005c-11e5-8a92-005056887b8d',	'd9c95abc-005c-11e5-8a92-005056887b8d',	'Отделение № 1: ул. Черкасская, 104/3'),
(3699,	'86e74ca2-dfac-11e9-b48a-005056b24375',	'cc7d1d43-8860-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3'),
(3700,	'0edbc6e1-232b-11ea-ba4d-005056b24375',	'21d3b3d1-20b6-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 18а'),
(3701,	'59ca2d7d-f80d-11e9-9c59-005056b24375',	'5993db14-f40c-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул.  Школьная, 33'),
(3702,	'919d9291-7d56-11e9-898c-005056b24375',	'65552ace-76fc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 12'),
(3703,	'19e6def9-ca94-11e9-b0c5-005056b24375',	'e721a7cf-b79a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кошута, 189'),
(3704,	'c1bcd587-8d01-11e9-898c-005056b24375',	'09e961d7-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 36'),
(3705,	'3d8862bb-69c5-11ea-91e8-b8830365bd14',	'cf18a910-6544-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(3706,	'ed19686b-ce66-11e9-b0c5-005056b24375',	'82c10b28-b7b7-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рабочая, 38'),
(3707,	'da5edea3-2625-11e5-add9-005056887b8d',	'da5ede90-2625-11e5-add9-005056887b8d',	'Отделение № 1: ул. Главная, 25'),
(3708,	'1ec09dd1-e1c2-11e3-8c4a-0050568002cf',	'69da41ed-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Митрополита Илариона, 19'),
(3709,	'1ec09dd2-e1c2-11e3-8c4a-0050568002cf',	'cfbeac9e-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 92а'),
(3710,	'1ec09dd3-e1c2-11e3-8c4a-0050568002cf',	'000655f2-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Ленина, 105'),
(3711,	'1ec09dd4-e1c2-11e3-8c4a-0050568002cf',	'f706231c-4078-11de-b509-001d92f78698',	'Отделение № 1: ул. Братская, 17'),
(3712,	'1ec09dd5-e1c2-11e3-8c4a-0050568002cf',	'000655da-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Мозолевского, 9'),
(3713,	'1ec09dd6-e1c2-11e3-8c4a-0050568002cf',	'f706231a-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Освободителей, 55'),
(3714,	'1ec09dd7-e1c2-11e3-8c4a-0050568002cf',	'06f87954-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Лагонды, 39'),
(3715,	'1ec09dd8-e1c2-11e3-8c4a-0050568002cf',	'e1cef972-db0a-11e1-aa18-d4ae527baec9',	'Отделение №1: ул. Богдана Хмельницкого, 10а'),
(3716,	'f697be84-fbde-11e9-9c59-005056b24375',	'8d3f95cb-f40e-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 15А'),
(3717,	'7b422fa3-e1b8-11e3-8c4a-0050568002cf',	'f706234e-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Дружбы народов, 103'),
(3718,	'1db64321-977a-11e9-898c-005056b24375',	'2047a11a-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3719,	'dac5e491-9fe5-11e4-a77a-005056887b8d',	'dac5e47e-9fe5-11e4-a77a-005056887b8d',	'Отделение №1: ул. Чорноморская, 1а'),
(3720,	'dad1409a-94e3-11e5-a023-005056887b8d',	'eea275cd-89fe-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Шевченка, 93'),
(3721,	'efcdf6aa-f4a1-11e8-ad0d-005056b24375',	'01ff34b9-f170-11e8-ad0d-005056b24375',	'Отделение №1: ул. Сайгака Академика, 29'),
(3722,	'511fd00a-e1c2-11e3-8c4a-0050568002cf',	'f706234a-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Георгия Лангемака (ран. Розы Люксембург), 76'),
(3723,	'511fd00b-e1c2-11e3-8c4a-0050568002cf',	'f7062366-4078-11de-b509-001d92f78698',	'Отделение №1: площадь Мира, 3/5'),
(3724,	'efcdf6cb-f4a1-11e8-ad0d-005056b24375',	'5df20360-dcfa-11e8-ad0d-005056b24375',	'Отделение №1: ул. Садовая, 10а'),
(3725,	'9091d92f-69cb-11ea-91e8-b8830365bd14',	'7e1b02d5-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 29А'),
(3726,	'3aa70938-9727-11e9-898c-005056b24375',	'b20cfbe2-9291-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Трубачивка, 1'),
(3727,	'1e7c14da-e209-11e9-b48a-005056b24375',	'a0a0c09f-cf22-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заводская, 18А'),
(3728,	'1a823372-aa25-11e9-b73a-005056b24375',	'739dee44-9e43-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 25'),
(3729,	'e79b1faf-91a6-11e9-898c-005056b24375',	'9db8b6ad-8855-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12'),
(3730,	'b3484b8b-f954-11e9-9c59-005056b24375',	'5e30c1ff-9e54-11e9-898c-005056b24375',	'Отделение №1: ул. Гороховская, 10б'),
(3731,	'e32a1f7f-d408-11e9-b0c5-005056b24375',	'4c97e468-cf2d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 3А'),
(3732,	'336de199-e1c2-11e3-8c4a-0050568002cf',	'06f87962-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Софиевская, 162'),
(3733,	'c3587be3-a3b0-11e9-b790-005056b24375',	'6e3078e6-9e5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Косенко, 4'),
(3734,	'82d97a6e-8251-11e9-898c-005056b24375',	'f7a264ce-7d5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Продольная, 10'),
(3735,	'd7319739-7baa-11e9-898c-005056b24375',	'2a90518c-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51'),
(3736,	'3c0693ad-5eff-11ea-91e8-b8830365bd14',	'f3b29b58-9e69-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Тернопольская, 36а'),
(3737,	'1b786181-ca4b-11e9-b0c5-005056b24375',	'a64825b1-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Городок, 31'),
(3738,	'0c82d1c6-f567-11e9-9c59-005056b24375',	'ee0f737a-e5dd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 33'),
(3739,	'eae71846-ade9-11e9-8c22-005056b24375',	'e87e419e-9e3e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 67'),
(3740,	'40a719ed-c40f-11e9-b0c5-005056b24375',	'53e8eb4e-b798-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7а'),
(3741,	'8f52cb52-4758-11ea-9b37-0025b502a04e',	'8a3cea06-4699-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Липовая Осада, 147'),
(3742,	'5f9a9e11-0dd3-11ea-9295-005056b24375',	'6796b3d2-f409-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3743,	'4e3ead74-39b2-11e9-acea-005056b24375',	'3c2b4c13-ff8a-11e8-ad0d-005056b24375',	'Отделение №1: ул. Садовая, 5а'),
(3744,	'004a864e-e214-11e9-b48a-005056b24375',	'ee30b433-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зиненко, 3'),
(3745,	'63595dbc-d411-11e9-b0c5-005056b24375',	'c5e2521f-9e67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Остапа Вишни, 34'),
(3746,	'7120e75a-7d63-11e9-898c-005056b24375',	'1e13e8b3-76fc-11e9-898c-005056b24375',	'Отделение №1: ул. Кондрата Суюнова, 134'),
(3747,	'dcc10722-96f2-11e8-ad0d-005056b24375',	'dcc10705-96f2-11e8-ad0d-005056b24375',	'Отделение №1: ул. Шевченка, 31'),
(3748,	'7b422f9a-e1b8-11e3-8c4a-0050568002cf',	'dcc4bef7-c537-11e3-95eb-0050568046cd',	'Отделение №1: квартал Солнечный, 2'),
(3749,	'2bd776f5-5d5b-11ea-91e8-b8830365bd14',	'2846ea33-fed4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Быкова, 1/2'),
(3750,	'2433ac94-c992-11e9-b0c5-005056b24375',	'a4f7d386-9e40-11e9-898c-005056b24375',	'Отделение №1: ул. Главная, 49'),
(3751,	'5bcf2f73-b37f-11e9-8c22-005056b24375',	'2d6adb2e-b2d6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 29'),
(3752,	'77bceba4-cd86-11e9-b0c5-005056b24375',	'853fa636-c349-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3753,	'df291e74-fa55-11e9-9c59-005056b24375',	'df4d7b24-b76f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Магистральная, 8'),
(3754,	'6dff0680-941e-11e9-898c-005056b24375',	'7f457a97-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 7'),
(3755,	'b6fd8d93-f0b3-11e9-9c59-005056b24375',	'e5b12527-e5de-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 35'),
(3756,	'511fcfa5-e1c2-11e3-8c4a-0050568002cf',	'dd7ccd80-2bf7-11e3-b441-0050568002cf',	'Отделение №1: ул. Молодежная, 29'),
(3757,	'3a124071-ba69-11e9-8c22-005056b24375',	'def48e2d-b779-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 6а'),
(3758,	'3ffbb065-ca24-11e9-b0c5-005056b24375',	'67094bc8-9e45-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Черновола, 1'),
(3759,	'3a31bbb3-74d3-11e9-898c-005056b24375',	'd50b9ffc-7300-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(3760,	'2bb8ce63-e1c2-11e3-8c4a-0050568002cf',	'f7062344-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Парковая (Советская), 22'),
(3761,	'2bb8ce64-e1c2-11e3-8c4a-0050568002cf',	'f7062382-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Данила Галицкого, 2'),
(3762,	'2bb8ce66-e1c2-11e3-8c4a-0050568002cf',	'f7062330-4078-11de-b509-001d92f78698',	'Отделение № 1: ул. Грушевского, 6а'),
(3763,	'2bb8ce67-e1c2-11e3-8c4a-0050568002cf',	'000655f4-4079-11de-b509-001d92f78698',	'Отделение №1: ул. 1-го Мая, 37'),
(3764,	'40498323-e1c2-11e3-8c4a-0050568002cf',	'69da41d2-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченка, 108'),
(3765,	'40498324-e1c2-11e3-8c4a-0050568002cf',	'69da4175-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Героев Майдана, 45'),
(3766,	'e87b12ca-85d4-11e9-898c-005056b24375',	'fe34d217-7d63-11e9-898c-005056b24375',	'Отделение №1: ул. Набережная, 75'),
(3767,	'275ce63d-e2a7-11e9-b48a-005056b24375',	'452193fe-dae5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 3'),
(3768,	'b56e62ae-af49-11e8-ad0d-005056b24375',	'b56e626f-af49-11e8-ad0d-005056b24375',	'Отделение №1: ул. Победы, 2г'),
(3769,	'1896d38e-cab1-11e9-b0c5-005056b24375',	'6592c281-a95a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 1'),
(3770,	'87b7616e-95e9-11e9-898c-005056b24375',	'3fa22aa6-9295-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 33'),
(3771,	'a2f21320-0e0d-11ea-9295-005056b24375',	'4e68239e-fee2-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3772,	'1753a3d6-cb4a-11e9-b0c5-005056b24375',	'79f7bf8c-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Верхняя, 50а'),
(3773,	'8bc69741-e284-11e9-b48a-005056b24375',	'96c02874-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 21а'),
(3774,	'3e0de30c-e2be-11e9-b48a-005056b24375',	'5fdad240-dade-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 132а'),
(3775,	'd4ef0f9f-d2fe-11e9-b0c5-005056b24375',	'fcb274c8-cf2a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гришко, 46а'),
(3776,	'4cca950a-9bd4-11e9-898c-005056b24375',	'ff840556-9742-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 7'),
(3777,	'ae04dd37-11b2-11ea-9295-005056b24375',	'5893199a-feea-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 20'),
(3778,	'08fc4cb9-ad49-11e9-8c22-005056b24375',	'6095cfc8-a955-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мичурина, 12'),
(3779,	'87298139-85ea-11e9-898c-005056b24375',	'a7ea4a7c-7d5c-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 26'),
(3780,	'1b8f7cf1-1e7d-11ea-ac3b-0025b502a04e',	'f255182e-1aac-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Гагарина, 75'),
(3781,	'2bb8ce92-e1c2-11e3-8c4a-0050568002cf',	'df48bd59-7c23-11e3-b441-0050568002cf',	'Отделение №1: ул. Аллеи, 35/1'),
(3782,	'2bb8ce93-e1c2-11e3-8c4a-0050568002cf',	'df48bd64-7c23-11e3-b441-0050568002cf',	'Отделение №1: ул. Перспективная, 50б'),
(3783,	'840ee8eb-2306-11ea-8ac1-0025b502a04e',	'3f0fc87a-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 8'),
(3784,	'336de197-e1c2-11e3-8c4a-0050568002cf',	'f7062308-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Владимира Великого, 36'),
(3785,	'336de198-e1c2-11e3-8c4a-0050568002cf',	'000655e8-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная, 25'),
(3786,	'e4fdd3c1-81e9-11e9-898c-005056b24375',	'84ae4e97-7d65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 104'),
(3787,	'2ecf84a4-7fdf-11e9-898c-005056b24375',	'9ee69ebc-76f4-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Центральная, 85'),
(3788,	'fa706367-e2d0-11e9-b48a-005056b24375',	'd9fac536-dae0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новая, 1Б'),
(3789,	'df9608f0-e72b-11e3-8c4a-0050568002cf',	'df9608e1-e72b-11e3-8c4a-0050568002cf',	'Отделение №1 (до 30 кг): ул. Слюсарская, 1'),
(3790,	'4ef935aa-74c9-11ea-91e8-b8830365bd14',	'44f293ad-735c-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 171'),
(3791,	'08522690-5d5b-11ea-91e8-b8830365bd14',	'd92d753d-fee0-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. 70 лет Победы, 14'),
(3792,	'02856ebf-8944-11e9-898c-005056b24375',	'08bd76bc-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 31'),
(3793,	'8e3b1951-f64c-11e9-9c59-005056b24375',	'1043aa9e-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1'),
(3794,	'dec33140-c57e-11e9-b0c5-005056b24375',	'c71cb042-b7bb-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(3795,	'3409d2cf-f56c-11e9-9c59-005056b24375',	'58cd302a-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Городенка, 136а'),
(3796,	'dfd52204-96cd-11e6-a4c1-005056887b8d',	'c2ac48ea-96cd-11e6-a4c1-005056887b8d',	'Отделение №1: ул. Б. Хмельницкого, 43'),
(3797,	'eaf9497f-e2ca-11e9-b48a-005056b24375',	'f3857e77-dae1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(3798,	'af3e2f52-fa50-11e9-9c59-005056b24375',	'39a72fd8-e67d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мельника, 1'),
(3799,	'8b4bc1ab-ae34-11e9-8c22-005056b24375',	'abbc5062-a7a6-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 16'),
(3800,	'd6ad39f1-85e8-11e9-898c-005056b24375',	'a42b04ec-82cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 83А'),
(3801,	'c0bacf06-eb23-11e9-b850-005056b24375',	'11a1b4e0-b782-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 32а'),
(3802,	'35b18edd-806a-11e9-898c-005056b24375',	'95f15b92-7d62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Францишека Карпинская, 1'),
(3803,	'336de1a7-e1c2-11e3-8c4a-0050568002cf',	'e03f3a9e-a05d-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Залесская, 1'),
(3804,	'336de1a8-e1c2-11e3-8c4a-0050568002cf',	'e03f3aa9-a05d-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Центральная, 140'),
(3805,	'ac954e41-f8cd-11e9-9c59-005056b24375',	'fb38de3a-e673-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 7'),
(3806,	'5a228bef-cabb-11e9-b0c5-005056b24375',	'55929be2-b7a8-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 124-А'),
(3807,	'511fcfde-e1c2-11e3-8c4a-0050568002cf',	'00065604-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Первомайская, 118'),
(3808,	'511fcfdf-e1c2-11e3-8c4a-0050568002cf',	'db5c896e-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Первого Мая, 1а'),
(3809,	'51f18b91-122c-11ea-9295-005056b24375',	'3720027a-9e67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Техникумовская, 23'),
(3810,	'21e5e184-c59b-11e9-b0c5-005056b24375',	'49faf0ff-b797-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 59'),
(3811,	'01ae260a-e1c2-11e3-8c4a-0050568002cf',	'76678793-8289-11dd-96a9-001d92f78698',	'Отделение №1: ул. Ивана Франко, 18'),
(3812,	'80613636-579e-11e9-acea-005056b24375',	'494cd1cc-5229-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Горького, 8'),
(3813,	'8d8937a7-81eb-11e9-898c-005056b24375',	'de8fd4c2-7d67-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 51в'),
(3814,	'6c92dedf-11f9-11ea-9295-005056b24375',	'c1b54080-964b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8а'),
(3815,	'e0c7cdae-3a91-11e5-add9-005056887b8d',	'e0c7cd98-3a91-11e5-add9-005056887b8d',	'Отделение №1: ул. Пролетарская, 80'),
(3816,	'01ae262f-e1c2-11e3-8c4a-0050568002cf',	'f70622f4-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Воздвиженская, 61'),
(3817,	'01ae2630-e1c2-11e3-8c4a-0050568002cf',	'000655ca-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Грушевского, 11а'),
(3818,	'c6b7e50a-9106-11e9-898c-005056b24375',	'71f9aa36-8861-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пионерская, 2а'),
(3819,	'f36e4fbd-a3b5-11e9-b790-005056b24375',	'6fdbc801-9e5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 10'),
(3820,	'e1091206-40f3-11e5-8d8d-005056887b8d',	'35c4e0f1-40de-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Свердлова, 2/1а'),
(3821,	'93b9e350-ad3e-11e9-8c22-005056b24375',	'6331d07c-a953-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 43'),
(3822,	'0cd0a8c4-8121-11e9-898c-005056b24375',	'bcb1262f-7d6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 73'),
(3823,	'1692280c-e1c2-11e3-8c4a-0050568002cf',	'12058c5b-02c2-11de-9570-001d92f78697',	'Отделение №1: ул. Дудниченка, 39г'),
(3824,	'1692280d-e1c2-11e3-8c4a-0050568002cf',	'f70622e2-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Кобринских, 2б'),
(3825,	'4b962e6e-b375-11e9-8c22-005056b24375',	'681956cf-a958-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 27'),
(3826,	'e1314627-4a8b-11e6-a9f2-005056887b8d',	'cabc206c-49c7-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Центральная, 88'),
(3827,	'4f941ba0-0a9c-11ea-9295-005056b24375',	'4911a3cb-fef8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 68'),
(3828,	'5f34d098-893f-11e9-898c-005056b24375',	'fddc04e0-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вокзальная, 2'),
(3829,	'05861c58-8138-11e9-898c-005056b24375',	'31ad9f53-76ee-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 9'),
(3830,	'c7f383b2-ac87-11e9-8c22-005056b24375',	'5cd47c52-9e65-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Довженко, 1'),
(3831,	'799fadb2-bb33-11e9-8c22-005056b24375',	'1de3d9a0-b7b9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 79'),
(3832,	'd6ad39d8-85e8-11e9-898c-005056b24375',	'58cd3054-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Турянская, 59А'),
(3833,	'1fa79c2f-11f0-11ea-9295-005056b24375',	'20c724c5-feef-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Терешковой, 9'),
(3834,	'628b21e9-11e8-11ea-9295-005056b24375',	'f59b1874-0c98-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Петровского, 11а'),
(3835,	'98f6cf0f-bb25-11e9-8c22-005056b24375',	'46826790-9e68-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 6'),
(3836,	'1ec09dc5-e1c2-11e3-8c4a-0050568002cf',	'c335d9ee-bf5e-11e1-bdef-0026b97ed48a',	'Отделение №1: ул. 1-го Мая, 43'),
(3837,	'e1e334ed-386c-11e6-a9f2-005056887b8d',	'e1e334d4-386c-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Калиновая, 24'),
(3838,	'b57f1476-0e11-11ea-9295-005056b24375',	'372a18af-9e50-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 48'),
(3839,	'3f422a45-8794-11e9-898c-005056b24375',	'b4bccd3e-ff8b-11e8-ad0d-005056b24375',	'Отделение №1: ул. Соборная, 105'),
(3840,	'06b9399e-e292-11e9-b48a-005056b24375',	'19b0c6dd-dab7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 244а'),
(3841,	'2403bd62-4b27-11e9-acea-005056b24375',	'02376ac4-ff89-11e8-ad0d-005056b24375',	'Отделение №1: ул. Киевская, 1Б'),
(3842,	'47402e93-e1c2-11e3-8c4a-0050568002cf',	'e255bae9-1ed4-11e3-b000-0050568002cf',	'Отделение №1: участок Центр (напротив Церкви)'),
(3843,	'00004f90-e21c-11e9-b48a-005056b24375',	'8f5a0003-dab2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 10'),
(3844,	'4a93ef1d-f70c-11e8-ad0d-005056b24375',	'b8515ad2-f6dd-11e8-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 53'),
(3845,	'e295f001-59e9-11e4-acce-0050568002cf',	'e295efe0-59e9-11e4-acce-0050568002cf',	'Отделение №1: ул. Дворянская, 9б'),
(3846,	'dff4ac95-d406-11e9-b0c5-005056b24375',	'4c97e43e-cf2d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3847,	'0d545ef4-e1c2-11e3-8c4a-0050568002cf',	'000655d4-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Лоцманская, 21/2'),
(3848,	'0d545ef5-e1c2-11e3-8c4a-0050568002cf',	'697a860d-3f4f-11de-b509-001d92f78698',	'Отделение №1: ул. Винниченка, 13/2а'),
(3849,	'0d545ef6-e1c2-11e3-8c4a-0050568002cf',	'7833e61e-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Шевченко, 47'),
(3850,	'0d545ef7-e1c2-11e3-8c4a-0050568002cf',	'e5dd3d23-3b29-11de-913b-001d92f78698',	'Отделение №1: ул. Мира, 46'),
(3851,	'0d545ef8-e1c2-11e3-8c4a-0050568002cf',	'e221d63b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Независимости, 86/1 (територия автошколы)'),
(3852,	'1bcddf0b-9bfb-11e9-898c-005056b24375',	'2a364e4c-8841-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 12'),
(3853,	'e458d540-9b49-11e9-898c-005056b24375',	'525e40af-8862-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Локшина, 25'),
(3854,	'8f628ecc-8ce7-11e9-898c-005056b24375',	'5c66e016-882e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 58'),
(3855,	'1ec09db2-e1c2-11e3-8c4a-0050568002cf',	'b3ecdf66-a84b-11de-a2ca-000c294065a1',	'Отделение №1: ул. Промышленная, 2'),
(3856,	'e2e41b71-4729-11e5-8d8d-005056887b8d',	'aca7b11b-4727-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Парковая, 16'),
(3857,	'01f06a0c-74ca-11ea-91e8-b8830365bd14',	'c46379f4-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Пушкина, 16а'),
(3858,	'514b1141-d2fe-11e9-b0c5-005056b24375',	'b7522a8f-cf2a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 134'),
(3859,	'ed8e6a49-11c5-11ea-9295-005056b24375',	'8050cd01-0c97-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 4/4'),
(3860,	'e33f7834-585f-11e5-8d8d-005056887b8d',	'e33f7821-585f-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Пархоменко, 1'),
(3861,	'7eac0537-5c87-11ea-91e8-b8830365bd14',	'fedabea2-5a18-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 36А'),
(3862,	'd0d3ec55-80ae-11ea-91e8-b8830365bd14',	'e51f5c0b-7fef-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. С.Бандеры, 2'),
(3863,	'b21340cc-ca21-11e9-b0c5-005056b24375',	'8b47cfa1-b77e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 38'),
(3864,	'eb2fb323-11bb-11ea-9295-005056b24375',	'251fe9f0-0c96-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 174а'),
(3865,	'b3484b72-f954-11e9-9c59-005056b24375',	'6c8c41da-8866-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Яровая, 10'),
(3866,	'06892632-daf3-11e9-b48a-005056b24375',	'2782534e-cf14-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(3867,	'522e07cb-a3aa-11e9-b790-005056b24375',	'e8a0621b-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 71'),
(3868,	'f4c2aecd-9822-11e9-898c-005056b24375',	'38692784-9404-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сумская, 20'),
(3869,	'e3ab1517-0c78-11e6-971e-005056887b8d',	'e3ab14fe-0c78-11e6-971e-005056887b8d',	'Отделение №1: ул. Победы, 24а'),
(3870,	'0d545efa-e1c2-11e3-8c4a-0050568002cf',	'f7062302-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Цветкова, 26А'),
(3871,	'768b2478-67fd-11e9-898c-005056b24375',	'ba993b57-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Максима Горького, 12'),
(3872,	'2bb8cefd-e1c2-11e3-8c4a-0050568002cf',	'e3d01136-c491-11e3-95eb-0050568046cd',	'Отделение №1: ул. Кузнецова, 87'),
(3873,	'01ae25cf-e1c2-11e3-8c4a-0050568002cf',	'da1d5f6b-e549-11e1-b22f-d4ae527baec9',	'Отделение №1: ул. Коммунальная, 1'),
(3874,	'9b41941b-c57d-11e9-b0c5-005056b24375',	'46d1ddcf-b7bb-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Довбуша, 1А'),
(3875,	'4a4d1ed5-b368-11e9-8c22-005056b24375',	'0f5375af-9e57-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Поповича, 16'),
(3876,	'553fd8a6-ba79-11e9-8c22-005056b24375',	'b7790961-b781-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2/1'),
(3877,	'079346f9-a333-11e9-b790-005056b24375',	'e14c9296-9e5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Советская, 12'),
(3878,	'e5b4c46f-8d52-11e9-898c-005056b24375',	'370491a7-8831-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 13в'),
(3879,	'805b42e9-7fe1-11e9-898c-005056b24375',	'1c7bc48a-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Клеванская, 1'),
(3880,	'c75f17ad-9420-11e9-898c-005056b24375',	'ffac5dca-9317-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Маякская дорога, 25а'),
(3881,	'a2bfa0a6-aa2c-11e9-b73a-005056b24375',	'6f8ab911-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 51'),
(3882,	'e47acc6f-5561-11e5-8d8d-005056887b8d',	'e47acc5b-5561-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Шеремета Руслана, б/н'),
(3883,	'cc5530bd-ba83-11e9-8c22-005056b24375',	'3b687acb-b78c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полевая, 17а'),
(3884,	'bc35c6b1-f013-11e9-9c59-005056b24375',	'7e66c6d8-e67a-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 96а'),
(3885,	'120d6f88-0e0c-11ea-9295-005056b24375',	'9ea3a48e-fee1-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 64'),
(3886,	'bfd1dc23-9835-11e9-898c-005056b24375',	'e6fa51ba-8862-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 4'),
(3887,	'4049834d-e1c2-11e3-8c4a-0050568002cf',	'f70622d0-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Цветочная, 59в'),
(3888,	'4049834f-e1c2-11e3-8c4a-0050568002cf',	'a4502bed-577e-11de-b9fc-0021918b679a',	'Отделение №1: пер. Почтовый, 1'),
(3889,	'1ec09d7c-e1c2-11e3-8c4a-0050568002cf',	'e4c29040-e017-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Мира, 10а'),
(3890,	'482dfcf5-3614-11ea-8461-0025b502a04e',	'a88bc693-76f2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 104Б'),
(3891,	'ae43c0c7-980d-11e9-898c-005056b24375',	'7f457a82-8869-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Белгородская, 2а'),
(3892,	'23e85bc3-de7d-11e9-b48a-005056b24375',	'e13d18e7-cf3a-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 68'),
(3893,	'76a19a8b-9839-11e9-898c-005056b24375',	'56eb1974-390d-11e9-acea-005056b24375',	'Отделение №1: ул. Октябрьская, 75'),
(3894,	'39931b90-e1c2-11e3-8c4a-0050568002cf',	'06f878fa-4079-11de-b509-001d92f78698',	'Отделение: ул. Бережанская, 1'),
(3895,	'39931b91-e1c2-11e3-8c4a-0050568002cf',	'e221d620-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. 22 января, 1а'),
(3896,	'294a6e9d-517b-11ea-9b37-0025b502a04e',	'0b801487-4f18-11ea-b89e-0025b501a04b',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 70'),
(3897,	'f9950368-80ad-11ea-91e8-b8830365bd14',	'7fda7433-7fef-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Наконечного, 45А'),
(3898,	'3e0de32e-e2be-11e9-b48a-005056b24375',	'5fdad216-dade-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 77а'),
(3899,	'baf36e85-67f3-11e9-898c-005056b24375',	'72947613-64d3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 64-А'),
(3900,	'39931af1-e1c2-11e3-8c4a-0050568002cf',	'f706237c-4078-11de-b509-001d92f78698',	'Отделение: ул. Галицкая, 56'),
(3901,	'ef18cd44-2306-11ea-8ac1-0025b502a04e',	'fbd4476b-20b7-11ea-b89e-0025b501a04b',	'Пункт приймання видачі (до 30 кг), вул. Духновича, 13'),
(3902,	'e5598819-1cf5-11e6-971e-005056887b8d',	'e5598800-1cf5-11e6-971e-005056887b8d',	'Отделение №1: ул. Надднепрянская, 147'),
(3903,	'c5380bf2-6829-11e9-898c-005056b24375',	'd4f405b6-64d0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 87'),
(3904,	'e5769506-14cb-11e5-add9-005056887b8d',	'e57694f2-14cb-11e5-add9-005056887b8d',	'Отделение № 1: ул. Семенова, 55'),
(3905,	'e57d9927-a7f7-11e6-b5da-005056887b8d',	'e57d990d-a7f7-11e6-b5da-005056887b8d',	'Отделение №1: ул. Школьная, 25'),
(3906,	'e592a589-6c25-11e5-8d8d-005056887b8d',	'e592a575-6c25-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Красный Луч, 2а'),
(3907,	'329eff83-ba72-11e9-8c22-005056b24375',	'36218c55-b780-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(3908,	'3ea13568-a310-11e9-b790-005056b24375',	'b43e7190-8854-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая Брама, 46'),
(3909,	'c869729e-620c-11e9-898c-005056b24375',	'e3e66f72-5f6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Широкая, 92'),
(3910,	'4ae14672-db18-11e9-b48a-005056b24375',	'b808699d-cf25-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 6'),
(3911,	'9ab57ffc-a3f1-11e9-b790-005056b24375',	'd4e6c3ff-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Агрогород, 1-а'),
(3912,	'66ac5688-f580-11e9-9c59-005056b24375',	'bb3b3ef7-e679-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Каминского, 91б'),
(3913,	'e6011dd3-a087-11e8-ad0d-005056b24375',	'b18b01ec-a087-11e8-ad0d-005056b24375',	'Отделение №1: ул. Мира, 1'),
(3914,	'c93664fa-23f7-11ea-8ac1-0025b502a04e',	'6980acc8-0c93-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 37'),
(3915,	'25b77bbc-96a8-11e9-898c-005056b24375',	'324ce58d-928e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30'),
(3916,	'75ad4a21-85d7-11e9-898c-005056b24375',	'09e961c2-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(3917,	'e632d516-4dad-11e6-a9f2-005056887b8d',	'1097567d-8a89-11e0-8140-969cd9edcd68',	'Отделение №1: ул. Водопьянова, 30'),
(3918,	'e0834d3f-f01b-11e9-9c59-005056b24375',	'a69e9adb-b77d-11e9-8c22-005056b24375',	'Отделение №1: ул. Небесной Сотни, 29а'),
(3919,	'766056ba-91c1-11e9-898c-005056b24375',	'd7f4983a-8850-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 78'),
(3920,	'8b9f02b3-b820-11e9-8c22-005056b24375',	'a4f7d371-9e40-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Верховинская, 2-А'),
(3921,	'a087acfd-1687-11ea-a63c-0025b502a04e',	'6006c593-0ce6-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 1'),
(3922,	'872efa48-918d-11e9-898c-005056b24375',	'eb089861-8852-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 22'),
(3923,	'7b422f9c-e1b8-11e3-8c4a-0050568002cf',	'e69c202a-c5f7-11e3-95eb-0050568046cd',	'Отделение №1: ул. Горьева, 17'),
(3924,	'7bdb6321-d460-11e9-b0c5-005056b24375',	'3480dab9-cf49-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Единица, 94'),
(3925,	'e6c1349f-1771-11e6-971e-005056887b8d',	'fc0f495b-176e-11e6-971e-005056887b8d',	'Отделение №1: ул. Центральная, 94'),
(3926,	'6a9f71fa-ae2b-11e9-8c22-005056b24375',	'90a1d47c-a7a5-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Львовская, 2'),
(3927,	'47b4eb2a-a300-11e9-b790-005056b24375',	'e1ec5c20-9e39-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 77'),
(3928,	'336de15f-e1c2-11e3-8c4a-0050568002cf',	'e6e45300-cf93-11e3-95eb-0050568046cd',	'Грузовое отделение №1: ул. Соборная, 35Б'),
(3929,	'ce4ada58-7c7e-11e9-898c-005056b24375',	'e0aa6744-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 1/А'),
(3930,	'e7069928-783f-11e8-9d95-005056b2fc3d',	'e706990e-783f-11e8-9d95-005056b2fc3d',	'Отделение №1: ул. Центральная, 30/2'),
(3931,	'4c2f323d-cafe-11e9-b0c5-005056b24375',	'cf2d470c-9e5e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 10'),
(3932,	'3e269bcd-df77-11e9-b48a-005056b24375',	'4d5b3f9b-cf40-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 11'),
(3933,	'eba854b1-85de-11e9-898c-005056b24375',	'95f15ba7-7d62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 5'),
(3934,	'792c7bf3-ac94-11e9-8c22-005056b24375',	'd046ae5e-884f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Смеричка, 1'),
(3935,	'63355423-b36b-11e9-8c22-005056b24375',	'0f5375c4-9e57-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 16'),
(3936,	'0d545f4e-e1c2-11e3-8c4a-0050568002cf',	'7833e614-3b51-11de-913b-001d92f78698',	'Отделение №1: ул. Дерия, 58 (район Больницы)'),
(3937,	'0d545f4f-e1c2-11e3-8c4a-0050568002cf',	'e5dd3d27-3b29-11de-913b-001d92f78698',	'Отделение №1: ул. Шевченка, 75'),
(3938,	'e2c8143a-5d5a-11ea-91e8-b8830365bd14',	'0ef4a561-e5ee-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 10'),
(3939,	'6b7b6ddf-fbbd-11e9-9c59-005056b24375',	'a464b912-e682-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Майская, 51'),
(3940,	'57c637b2-f0e4-11e9-9c59-005056b24375',	'db72721c-e689-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Длинная, 108А'),
(3941,	'e12a0691-7fd2-11e9-898c-005056b24375',	'adbd778e-76f5-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Жовкивская, 13'),
(3942,	'cd6ead6b-ab59-11e8-ad0d-005056b24375',	'c5e7acd2-a9ed-11e8-ad0d-005056b24375',	'Отделение №1: ул. Центральная, 57'),
(3943,	'508b6ca5-910c-11e9-898c-005056b24375',	'525e409a-8862-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 35'),
(3945,	'109f81bd-9678-11e9-898c-005056b24375',	'6780822b-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Невдашенкив, 10'),
(3946,	'eaf1e4ae-c409-11e9-b0c5-005056b24375',	'ae36e94e-b793-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 59'),
(3947,	'128c2c12-91de-11e9-898c-005056b24375',	'596ca0e7-8879-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(3948,	'e85ae8b5-2f7d-11e4-acce-0050568002cf',	'e85ae8a5-2f7d-11e4-acce-0050568002cf',	'Отделение №1: ул. Купчинского, 14а'),
(3949,	'c580a338-fbbe-11e9-9c59-005056b24375',	'e86be043-e686-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32'),
(3950,	'c44d4758-cb00-11e9-b0c5-005056b24375',	'37cc05cc-b7a2-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1а'),
(3951,	'4c2f325d-cafe-11e9-b0c5-005056b24375',	'ba1dd216-c34c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Калашникова, 29'),
(3952,	'e8a5e4b0-6cdc-11e5-8d8d-005056887b8d',	'841477c8-6c2f-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Ленина, 73'),
(3953,	'2bb8cea1-e1c2-11e3-8c4a-0050568002cf',	'e8da2364-826e-11e3-b441-0050568002cf',	'Отделение №1: ул. Ткача, 19а'),
(3954,	'2bb8cea2-e1c2-11e3-8c4a-0050568002cf',	'e8da236f-826e-11e3-b441-0050568002cf',	'Отделение №1: ул. Шраменко, 49/1'),
(3955,	'2bb8cea3-e1c2-11e3-8c4a-0050568002cf',	'e8da237a-826e-11e3-b441-0050568002cf',	'Отделение №1 (до 30 кг на одно место): ул. Озерная, 1'),
(3956,	'2bb8cea4-e1c2-11e3-8c4a-0050568002cf',	'e8da2385-826e-11e3-b441-0050568002cf',	'Отделение №1: ул. Золотая Баня, 23'),
(3957,	'2bb8cea5-e1c2-11e3-8c4a-0050568002cf',	'e8da2390-826e-11e3-b441-0050568002cf',	'Отделение №1: ул. Мельника Андрея, 2'),
(3958,	'2bb8cea6-e1c2-11e3-8c4a-0050568002cf',	'e8da239b-826e-11e3-b441-0050568002cf',	'Отделение №1: ул. Валовая, 12'),
(3959,	'4040d4d4-e043-11e9-b48a-005056b24375',	'e7cb97aa-76f9-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(3960,	'd6b040a3-85e6-11e9-898c-005056b24375',	'9c209ad5-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 15'),
(3961,	'f757a5d1-11ba-11ea-9295-005056b24375',	'0e65891f-f413-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 63'),
(3962,	'5a39e57f-e1c2-11e3-8c4a-0050568002cf',	'f70622d8-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Сечевых Стрельцов, 22'),
(3963,	'5a39e580-e1c2-11e3-8c4a-0050568002cf',	'e5dd3d29-3b29-11de-913b-001d92f78698',	'Отделение №1: ул. Независимости, 58/1'),
(3964,	'860c672a-f0ba-11e9-9c59-005056b24375',	'cba49635-e5ed-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кармелюка, 56'),
(3965,	'b136d4b2-bdcf-11e9-8c22-005056b24375',	'4cd202a8-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Задвир Верхняя, 3'),
(3966,	'1779f0ee-1157-11ea-9295-005056b24375',	'6064aa4c-fed7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Больничная, 15'),
(3967,	'40498345-e1c2-11e3-8c4a-0050568002cf',	'69da4184-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Грушевського, 39а'),
(3968,	'40498346-e1c2-11e3-8c4a-0050568002cf',	'69da4199-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Комунальный, 12 б'),
(3969,	'40498347-e1c2-11e3-8c4a-0050568002cf',	'6e11e6e5-8e9b-11e1-bcb0-0026b97ed48a',	'Отделение №1: ул. Спортивная, 4'),
(3970,	'40498348-e1c2-11e3-8c4a-0050568002cf',	'06f87932-4079-11de-b509-001d92f78698',	'Отделение: ул. Билошкуры, 10'),
(3971,	'2a7e3218-115d-11ea-9295-005056b24375',	'9dae05a6-fed7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 74'),
(3972,	'0792f56d-82ea-11e9-898c-005056b24375',	'7f6f5b3f-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи  (до 30 кг): ул. Шевченка, 2'),
(3973,	'bbc372d4-0b89-11ea-9295-005056b24375',	'b472b70b-f413-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 4'),
(3974,	'5a39e5af-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Гранитная, 16'),
(3975,	'404982ff-e1c2-11e3-8c4a-0050568002cf',	'000655f6-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Грушевского, 139'),
(3976,	'e8511e08-ca44-11e9-b0c5-005056b24375',	'9a2f2cd3-c33e-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Полтавский Шлях, 21'),
(3977,	'f71958b1-ba87-11e9-8c22-005056b24375',	'3f023c45-b78f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14А'),
(3978,	'4632b6ce-69c6-11ea-91e8-b8830365bd14',	'2ccad20d-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Полевая, 1'),
(3979,	'5008c2f0-967c-11e9-898c-005056b24375',	'd58f1d4e-9293-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 76'),
(3980,	'71376b88-9423-11e9-898c-005056b24375',	'7e0a2c55-8865-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Трофимова, 4'),
(3981,	'dd680be7-5c73-11ea-b3f9-b8830365bd14',	'871d3173-5a17-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Сечевых Стрельцов, 11а'),
(3982,	'6d76764c-666c-11e9-898c-005056b24375',	'0879ac9f-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Щорса, 6'),
(3983,	'4c9ebd27-892f-11e9-898c-005056b24375',	'c67805d0-8828-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Богдана Хмельницкого, 52'),
(3984,	'2063121d-def4-11e9-b48a-005056b24375',	'69e4b983-cf20-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 176а'),
(3985,	'0d545f80-e1c2-11e3-8c4a-0050568002cf',	'ea398304-3d40-11e2-8c54-d4ae52ab9fab',	'Отделение №1: ул. Промышленная, 5'),
(3986,	'66943958-e39c-11e9-b48a-005056b24375',	'2117a5ca-887a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 2'),
(3987,	'117a0767-e20b-11e9-b48a-005056b24375',	'c4070a37-8867-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 9'),
(3988,	'ef16996f-2306-11ea-8ac1-0025b502a04e',	'c0bb0334-20b7-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 89'),
(3989,	'57fd3008-b1ea-11e9-8c22-005056b24375',	'6331d091-a953-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 64'),
(3990,	'a2f212fe-0e0d-11ea-9295-005056b24375',	'0d87ca11-fee2-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 21'),
(3991,	'a721a943-56a2-11e9-acea-005056b24375',	'68376100-5224-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3'),
(3992,	'f06dc067-9656-11e9-898c-005056b24375',	'6396aedc-9282-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Данила Нечая, 29/3'),
(3993,	'78a2fe6f-fafa-11e9-9c59-005056b24375',	'e0a7b396-b7a5-11e9-8c22-005056b24375',	'Отделение №1 (до 30 кг): ул. Эдуарда Савинова, 36а'),
(3994,	'923b409b-7ffc-11e9-898c-005056b24375',	'288fe492-7d5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 105'),
(3995,	'b267279b-deec-11e9-b48a-005056b24375',	'e9e6e10c-cf1b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 128а'),
(3996,	'c5d91c10-f8a9-11e9-9c59-005056b24375',	'0a15362e-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 30а'),
(3997,	'ead28a36-602b-11e4-acce-0050568002cf',	'ead28a23-602b-11e4-acce-0050568002cf',	'Отделение №1: ул. Дружбы, 168'),
(3998,	'a3c114e4-e71a-11e8-ad0d-005056b24375',	'4f7fef06-dd4c-11e8-ad0d-005056b24375',	'Отделение №1 (до 30 кг на одно место): ул. Главная, 150-В'),
(3999,	'39931ad8-e1c2-11e3-8c4a-0050568002cf',	'eb0a19b1-bbf6-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Независимости, 1'),
(4000,	'39931ad9-e1c2-11e3-8c4a-0050568002cf',	'eb0a19bd-bbf6-11e3-9fa0-0050568002cf',	'Отделение №1: ул. Соборная, 24/2'),
(4001,	'6785d659-97e3-11e9-898c-005056b24375',	'4ead8b46-76f0-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, б \\ н'),
(4002,	'eb25223b-a17a-11e4-a77a-005056887b8d',	'eb252228-a17a-11e4-a77a-005056887b8d',	'Отделение №1: ул. Данила Галицкого, 48'),
(4003,	'0d545f5d-e1c2-11e3-8c4a-0050568002cf',	'69da41e1-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. И. Богуна, 8-а'),
(4004,	'89c2a86d-3796-11ea-8461-0025b502a04e',	'937f6565-3607-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Зеленая, 44'),
(4005,	'2432a23e-0ebf-11ea-9295-005056b24375',	'0244730e-feee-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Землянова, 120б'),
(4006,	'fb6d4a24-4758-11ea-9b37-0025b502a04e',	'5fa8150d-4694-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Школьная, 2'),
(4007,	'47402ec6-e1c2-11e3-8c4a-0050568002cf',	'e5dd3d25-3b29-11de-913b-001d92f78698',	'Отделение №1: ул. Мичурина, 1'),
(4009,	'c6066f4b-d3f6-11e9-b0c5-005056b24375',	'48fa56e5-cf16-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 12'),
(4010,	'4fdb8407-5d5b-11ea-91e8-b8830365bd14',	'b1eae641-dae3-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Болградская, 167'),
(4011,	'eb870465-11ac-11e4-acce-0050568002cf',	'eb870456-11ac-11e4-acce-0050568002cf',	'Отделение №1: ул. Центральная, 87'),
(4012,	'36214d69-d3f9-11e9-b0c5-005056b24375',	'f2d3c6de-cf15-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 27'),
(4013,	'f774aaa5-053d-11ea-9c59-005056b24375',	'56c3caae-e685-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ив. Франко, 18'),
(4014,	'd9f576a5-56e4-11e9-acea-005056b24375',	'ebe5e754-5228-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1а'),
(4015,	'470b609c-f655-11e9-9c59-005056b24375',	'52a0cf41-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 73'),
(4016,	'5563161e-0e0b-11ea-9295-005056b24375',	'55c78c54-8863-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 216'),
(4017,	'a7e4e245-e2e0-11e9-b48a-005056b24375',	'90e4a872-cf39-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 1'),
(4018,	'53e0dbbb-b208-11e9-8c22-005056b24375',	'1dfda735-a7a4-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 29А'),
(4019,	'b6be4138-69c5-11ea-91e8-b8830365bd14',	'f4e97a3e-6544-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(4020,	'01ae2603-e1c2-11e3-8c4a-0050568002cf',	'f7062326-4078-11de-b509-001d92f78698',	'Отделение № 1: ул. Центральная, 68'),
(4021,	'3fdeaa90-e2e1-11e9-b48a-005056b24375',	'90e4a887-cf39-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 123'),
(4022,	'fcca627b-c40f-11e9-b0c5-005056b24375',	'2b326d7b-8849-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 67'),
(4023,	'ecd353d1-9fdf-11e5-a023-005056887b8d',	'ecd353bd-9fdf-11e5-a023-005056887b8d',	'Отделение №1: ул. Шептицкого, 19а'),
(4024,	'e200c740-be67-11e9-8c22-005056b24375',	'77d51f99-b773-11e9-8c22-005056b24375',	'Пункт приймання-відачі (до 30 кг): вул. Б. Хмельницького, 34А'),
(4025,	'80fc7afd-020f-11e9-ad0d-005056b24375',	'eefc95c6-ff82-11e8-ad0d-005056b24375',	'Отделение №1: ул. Киевская, 26'),
(4026,	'74e865ba-a3f3-11e9-b790-005056b24375',	'8f1cb40a-9e6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 48а'),
(4027,	'7cc91339-c591-11e9-b0c5-005056b24375',	'd7892f88-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Фицика, 22'),
(4028,	'87654114-1173-11ea-9295-005056b24375',	'c4471428-e5eb-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Аграрная 40'),
(4029,	'd2ac52cb-cb05-11e9-b0c5-005056b24375',	'fdddee35-b7a1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 63'),
(4030,	'1f0a4802-6762-11e9-898c-005056b24375',	'd8264398-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 17'),
(4031,	'39cbc150-ac57-11e9-8c22-005056b24375',	'4e5552e0-9e61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 8'),
(4032,	'ed5af267-0cbb-11e4-acce-0050568002cf',	'ed5af256-0cbb-11e4-acce-0050568002cf',	'Отделение №1: ул. Суворова, 3'),
(4033,	'336de1c4-e1c2-11e3-8c4a-0050568002cf',	'ed5ca607-b33f-11e3-9fa0-0050568002cf',	'Отделение №1: пров. Белозерский, 37'),
(4034,	'51004e2b-f56a-11e9-9c59-005056b24375',	'cd27ebb2-e5e6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 114а'),
(4035,	'ed654e2e-2e8e-11e4-acce-0050568002cf',	'ed654e1f-2e8e-11e4-acce-0050568002cf',	'Отделение №1: ул. Б.Хмельницкого, 71'),
(4036,	'78c0c325-daf8-11e9-b48a-005056b24375',	'b9b59e84-cf14-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 72'),
(4037,	'668d7a6d-bb34-11e9-8c22-005056b24375',	'e5f2d8d6-b7b9-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 10'),
(4038,	'29d4badc-85be-11e9-898c-005056b24375',	'b0e532b3-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. П. Лунева, 12а'),
(4039,	'b2d18e72-bdd2-11e9-8c22-005056b24375',	'5dfe5843-b7c1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Фольварочного, 59В'),
(4040,	'b718c949-128e-11ea-9295-005056b24375',	'64c2f4de-fef8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Солнечная, 14а'),
(4041,	'1411171f-6860-11ea-91e8-b8830365bd14',	'5e790c6f-675d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(4042,	'd03d0186-ca87-11e9-b0c5-005056b24375',	'b067704a-c341-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сокола, 96'),
(4043,	'63f5f81d-de82-11e9-b48a-005056b24375',	'023da647-cf44-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 133'),
(4044,	'5892e292-7bce-11e9-898c-005056b24375',	'7499330d-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Л. Украинки, 9'),
(4045,	'fb197f48-97d9-11e9-898c-005056b24375',	'405352ee-928f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 6а'),
(4046,	'9bbb186d-91ce-11e9-898c-005056b24375',	'2a319437-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сосновая, 1а'),
(4047,	'c7251cb5-ca60-11e9-b0c5-005056b24375',	'87603d45-b7be-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 13а'),
(4048,	'2a0444ad-ca9a-11e9-b0c5-005056b24375',	'1694ad88-b79c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 43'),
(4049,	'a81732c2-e2df-11e9-b48a-005056b24375',	'2902a41c-cf39-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 183'),
(4050,	'47813c67-1150-11ea-9295-005056b24375',	'be16f5c6-0c92-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 211'),
(4051,	'0a67f420-e8ef-11e9-b850-005056b24375',	'6d34e570-cf1f-11e9-b0c5-005056b24375',	'Отделение №1: ул. Первомайская, 65'),
(4052,	'aa93b5ec-a3a6-11e9-b790-005056b24375',	'6439d855-9e5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Белоцерковская, 1'),
(4053,	'13df139d-9693-11e9-898c-005056b24375',	'89c78f7a-9288-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 22'),
(4054,	'9581dc07-97e5-11e9-898c-005056b24375',	'e3cbe0b5-928a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Д.Р. Овчаренка, 4'),
(4055,	'ee97b293-85e8-11e9-898c-005056b24375',	'cf33fb32-82ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченка, 54А'),
(4056,	'686c84a0-5132-11e9-acea-005056b24375',	'85c5b902-4c73-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31а'),
(4057,	'ad051fde-1220-11ea-9295-005056b24375',	'08292c8f-0ce3-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 55в'),
(4058,	'21395b87-42af-11ea-9b37-0025b502a04e',	'511ce83d-fef6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Командовського, 116'),
(4059,	'eea275e3-89fe-11e5-b6f7-005056887b8d',	'3d19eb56-8980-11e5-b6f7-005056887b8d',	'Отделение №1: ул. Белинского, 5'),
(4060,	'c8df2b3e-0eb1-11ea-9295-005056b24375',	'1043aa74-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 55а'),
(4061,	'81d15b98-1e7e-11ea-ac3b-0025b502a04e',	'bf2ffc02-1b1b-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг), ул. Тараса Шевченко, 7А'),
(4062,	'39931aef-e1c2-11e3-8c4a-0050568002cf',	'06f878f6-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Привитна, 16'),
(4063,	'c1ef22a9-fb09-11e9-9c59-005056b24375',	'd15cf3ce-e67e-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 53'),
(4064,	'bb389051-fb25-11e9-9c59-005056b24375',	'04a84c55-9e64-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2а'),
(4065,	'5827a30f-df63-11e9-b48a-005056b24375',	'fa004c57-cf3d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Баниловськая, 30'),
(4066,	'93c6ef07-ca6d-11e9-b0c5-005056b24375',	'87153129-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мостовая, 2г'),
(4067,	'29f52843-be8b-11e9-8c22-005056b24375',	'98ebbf62-b786-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1'),
(4068,	'818d3650-e90d-11e9-b850-005056b24375',	'5c66dfec-882e-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Возрождения Украины, 51а'),
(4069,	'1692288a-e1c2-11e3-8c4a-0050568002cf',	'06f87988-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Независимости, 91'),
(4070,	'057eb993-4757-11ea-9b37-0025b502a04e',	'69693fff-4691-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Галицкая, 92а'),
(4071,	'e1e10386-6a92-11ea-91e8-b8830365bd14',	'c4070a22-8867-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Галицкая, 1'),
(4072,	'06264b2f-929f-11e9-898c-005056b24375',	'c8ddb6ea-76ec-11e9-898c-005056b24375',	'Пункт приема-выдачи: ул. Мыза, 35'),
(4073,	'fbfdd9c1-ca82-11e9-b0c5-005056b24375',	'a8ec1f68-b794-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лисоградськая, 6'),
(4074,	'84c21aa6-daf0-11e9-b48a-005056b24375',	'b9b59e99-cf14-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Маяковского, 45а'),
(4075,	'689b0a37-a31d-11e9-b790-005056b24375',	'3c2d05f0-9e4c-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ВХ 2457 ВО, Центральная, 10 (возле сельсовета)'),
(4076,	'ab3e8e4d-73dd-11e9-898c-005056b24375',	'6d37467b-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Данилевского, 70А'),
(4077,	'd4f333e4-0ead-11ea-9295-005056b24375',	'54278608-dab4-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Путиловская, 13'),
(4078,	'336de16c-e1c2-11e3-8c4a-0050568002cf',	'f706233e-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Николенко, 32'),
(4079,	'c64bfee5-9688-11e9-898c-005056b24375',	'137e3305-9291-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(4080,	'e307a1de-8161-11e9-898c-005056b24375',	'8a49ea64-7d6f-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Шевченко, 7-А'),
(4081,	'd7ea47af-e9a4-11e9-b850-005056b24375',	'02f61f68-c34d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 1/1'),
(4082,	'884dd154-cb03-11e9-b0c5-005056b24375',	'fdddee5f-b7a1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 1'),
(4083,	'805b430e-7fe1-11e9-898c-005056b24375',	'6239020f-76f8-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(4084,	'7243fd2c-ca9a-11e9-b0c5-005056b24375',	'8b75e5bc-c350-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франко, 21'),
(4085,	'587146bb-c582-11e9-b0c5-005056b24375',	'ee63f4e3-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Франко, 1'),
(4086,	'16922871-e1c2-11e3-8c4a-0050568002cf',	'06f8797e-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Благовестная, 92а'),
(4087,	'16922872-e1c2-11e3-8c4a-0050568002cf',	'06f87978-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Победы, 15а'),
(4088,	'16922873-e1c2-11e3-8c4a-0050568002cf',	'06f87974-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Дорошенко, 5а'),
(4089,	'16922874-e1c2-11e3-8c4a-0050568002cf',	'c5f70e4e-4bd0-11dd-9198-001d60451983',	'Отделение №1: ул. Леси Украинки, 2д'),
(4090,	'16922876-e1c2-11e3-8c4a-0050568002cf',	'69da419c-3f5d-11de-b509-001d92f78698',	'Отделение № 1: ул. Каштановая, 19'),
(4091,	'16922877-e1c2-11e3-8c4a-0050568002cf',	'69da4190-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Мира, 40-Б'),
(4092,	'1ec09d5a-e1c2-11e3-8c4a-0050568002cf',	'06f8796a-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Соборная (ран. 50 лет Октября), 194а'),
(4093,	'630aa255-9658-11e9-898c-005056b24375',	'cd822f8c-9282-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Козыря, 3'),
(4094,	'511fcfc8-e1c2-11e3-8c4a-0050568002cf',	'f0a46911-9ae8-11e3-b441-0050568002cf',	'Отделение №1: ул. Ленина, 15'),
(4095,	'f0aa45d6-f131-11e3-8c4a-0050568002cf',	'f0aa45c7-f131-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Шевченко, 120'),
(4096,	'f0b2ae3f-b174-11e6-8b12-005056887b8d',	'a4bdcbf5-b164-11e6-8b12-005056887b8d',	'Отделение №1: ул. Сумская, 43'),
(4097,	'53820bc9-4f3c-11ea-9b37-0025b502a04e',	'52b957e2-cfd9-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Коцюбинского, 8'),
(4098,	'd78c1fdd-93d7-11e9-898c-005056b24375',	'9c2c81f2-76f6-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 34а'),
(4099,	'd3cbfb97-3615-11ea-8461-0025b502a04e',	'9f722391-b795-11e9-8c22-005056b24375',	'Отделение №1, ул. Владимирская, 91Д'),
(4100,	'84436493-98c3-11e9-898c-005056b24375',	'b470c9f4-76f8-11e9-898c-005056b24375',	'Отделение №1: ул. Ленина, 4'),
(4101,	'51f18baa-122c-11ea-9295-005056b24375',	'd91dce13-0ce3-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 11'),
(4102,	'2511dca3-97dc-11e9-898c-005056b24375',	'40535318-928f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 2'),
(4103,	'0e29b511-0520-11ea-9c59-005056b24375',	'0b2e1fca-cf46-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 58'),
(4104,	'02bb4adb-6851-11e9-898c-005056b24375',	'a04410ed-65c1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вишневая, 2А'),
(4105,	'f13871cc-96ca-11e6-a4c1-005056887b8d',	'f706230a-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченка, 32-а'),
(4106,	'9527f9a9-4757-11ea-9b37-0025b502a04e',	'30b3cf79-4694-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Львовская, 10'),
(4107,	'2bb8cebb-e1c2-11e3-8c4a-0050568002cf',	'f16ef2ef-8e76-11e3-b441-0050568002cf',	'Отделение №1: ул. Богдана Хмельницкого, 47'),
(4108,	'8c93e9a1-893c-11e9-898c-005056b24375',	'bde0298a-76f3-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Привокзальная, 21'),
(4109,	'f19a083d-5633-11e5-8d8d-005056887b8d',	'363c049c-5633-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Школьная, 8'),
(4110,	'f1acd226-2cf1-11e4-acce-0050568002cf',	'f1acd214-2cf1-11e4-acce-0050568002cf',	'Отделение №1: ул. Геническая, 3а'),
(4111,	'fe454eef-674f-11e9-898c-005056b24375',	'd9cb239b-64cc-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 2'),
(4112,	'84276507-240b-11ea-8ac1-0025b502a04e',	'9f33ab37-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Советская, 75'),
(4113,	'b5cde092-cb45-11e9-b0c5-005056b24375',	'905d8ed6-c345-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кооперативная, 15б'),
(4114,	'a43b49f3-db1e-11e9-b48a-005056b24375',	'845a34ee-cf28-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дмитриевская, 47а'),
(4115,	'08b8e8d2-11f4-11ea-9295-005056b24375',	'a626d255-feef-11e9-91ff-0025b501a04b',	'Отделение №1 (до 30 кг): ул. Крупской, 2 / 8б, помещ. 106'),
(4116,	'9a9b4287-9be7-11e9-898c-005056b24375',	'9368c655-928f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Освободителей, 5'),
(4117,	'511fd010-e1c2-11e3-8c4a-0050568002cf',	'3c67c750-a440-11dd-bcd8-001d92f78697',	'Отделение №1: ул. Леси Украинки, 55'),
(4118,	'f2112691-53f5-11e6-a9f2-005056887b8d',	'60924a7d-53f5-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Центральная, 33'),
(4119,	'82021541-8cf0-11e9-898c-005056b24375',	'b503bf3e-8830-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная 7'),
(4120,	'26c76b8a-defa-11e9-b48a-005056b24375',	'bcbb6969-b791-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 41'),
(4121,	'3b202cf7-b352-11e9-8c22-005056b24375',	'54b69464-9e40-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 5а'),
(4122,	'e29525e8-85e5-11e9-898c-005056b24375',	'bcb917a2-82d1-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 37'),
(4123,	'9d3c172d-d3fd-11e9-b0c5-005056b24375',	'970b6fcb-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 2б'),
(4124,	'16922884-e1c2-11e3-8c4a-0050568002cf',	'db5c8972-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Клиновка, 2а/1'),
(4125,	'2bb8cee2-e1c2-11e3-8c4a-0050568002cf',	'17e0c2cb-b5b9-11dd-81ea-001d92f78697',	'Отделение №1: проезд Киевский, 6а'),
(4126,	'2bb8cee3-e1c2-11e3-8c4a-0050568002cf',	'e221d64b-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Вали Котика, 33'),
(4127,	'2bb8cee5-e1c2-11e3-8c4a-0050568002cf',	'f70622fc-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Богдана Хмельницкого, 180в'),
(4128,	'd42e17ed-baae-11e9-8c22-005056b24375',	'3c370d0f-b7a1-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Вашеняка, 14а'),
(4129,	'1d2e119a-6748-11e9-898c-005056b24375',	'98fee46b-65c0-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6а'),
(4130,	'7d02af41-f867-11e8-ad0d-005056b24375',	'08a21b46-ebfd-11e8-ad0d-005056b24375',	'Отделение №1: ул. Покровская, 3а'),
(4131,	'1ea38fb8-d45c-11e9-b0c5-005056b24375',	'd0cd66cb-d07f-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 58'),
(4132,	'803a3015-e7c9-11e3-8c4a-0050568002cf',	'05b9152c-e632-11e3-8c4a-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1б'),
(4133,	'c7ea362a-e062-11e9-b48a-005056b24375',	'2799c192-c33c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(4134,	'a81eba96-a3ef-11e9-b790-005056b24375',	'cc3d6705-9e6a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 5'),
(4135,	'a22a9389-e231-11e9-b48a-005056b24375',	'2c1644b1-cf43-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Слобожанская, 1'),
(4136,	'2fee971f-9325-11e9-898c-005056b24375',	'7a321606-8868-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Отакара Яроша, 111'),
(4137,	'c530211f-0b94-11ea-9295-005056b24375',	'39ba1a70-e68c-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 14 В'),
(4138,	'f38f1ee2-a53e-11e4-a77a-005056887b8d',	'f38f1ed0-a53e-11e4-a77a-005056887b8d',	'Отделение №1: ул. Победы, 1г'),
(4139,	'8c14c0e4-c3f7-11e9-b0c5-005056b24375',	'54a521aa-9e4f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 40'),
(4140,	'fd783788-9274-11e9-898c-005056b24375',	'199ba741-885c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Высоцкого, 81'),
(4141,	'1f8a97f3-800c-11e9-898c-005056b24375',	'fe3923b7-7d5d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 2д'),
(4142,	'1ec09d6c-e1c2-11e3-8c4a-0050568002cf',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №1: ул. Киевская, 4'),
(4143,	'6bc9b57b-db09-11e9-b48a-005056b24375',	'f0b6fb17-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 108'),
(4144,	'f419e23a-1c77-11e4-acce-0050568002cf',	'db5c8903-391c-11dd-90d9-001a92567626',	'Отделение №1:  ул. Грибоедова, 2а'),
(4145,	'd19790a0-892d-11e9-898c-005056b24375',	'88faf910-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 9'),
(4146,	'52d8c3c9-0b71-11ea-9295-005056b24375',	'76e6eb79-fee0-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Т. Шевченко, 252'),
(4147,	'8db50910-049c-11ea-9c59-005056b24375',	'6dece370-f40d-11e9-91ff-0025b501a04b',	'Пункт приймання-видачі (до 30 кг): вул. Петрова, 11'),
(4148,	'25b77b97-96a8-11e9-898c-005056b24375',	'a2171938-928c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кленовая, 17'),
(4149,	'0270d423-fbb2-11e9-9c59-005056b24375',	'5124c097-e67e-11e9-b48a-005056b24375',	'Отделение №1: ул. Гвардейская, 40/52'),
(4150,	'87d76ead-3616-11ea-8461-0025b502a04e',	'd30282f8-feee-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 95А'),
(4151,	'a7e37d22-91ab-11e9-898c-005056b24375',	'fd249301-887a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Октябрьская, 22'),
(4152,	'2924bb36-ae14-11e9-8c22-005056b24375',	'71f40d91-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 31'),
(4153,	'2bb8ce87-e1c2-11e3-8c4a-0050568002cf',	'f462447e-6887-11e3-b441-0050568002cf',	'Отделение №1: ул. 22 Января, 22а, пом. 49'),
(4154,	'01ae260b-e1c2-11e3-8c4a-0050568002cf',	'f484b808-bec7-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Гагарина, 8'),
(4155,	'336de1d6-e1c2-11e3-8c4a-0050568002cf',	'f48833e0-ba62-11e3-9fa0-0050568002cf',	'Отделение № 1: ул. Кооперативная, 4'),
(4156,	'c52ac473-11b7-11ea-9295-005056b24375',	'4e4af1ca-0c95-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Ворошилова, 50А'),
(4157,	'ae8dbd32-fbd7-11e9-9c59-005056b24375',	'd29df29e-f429-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 14'),
(4158,	'1ec09d1d-e1c2-11e3-8c4a-0050568002cf',	'db5c8962-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Вознесенская, 52'),
(4159,	'8f55a0b2-df08-11e9-b48a-005056b24375',	'cb6e066c-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. 9 Мая, 51'),
(4160,	'9b5bc2cb-e1f7-11e9-b48a-005056b24375',	'c0b5fac8-dab0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Златопольская, 72'),
(4161,	'f4d0fe00-4dae-11e6-a9f2-005056887b8d',	'6f68b6d0-4dae-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Староместская, 11'),
(4162,	'c8452137-a315-11e9-b790-005056b24375',	'67094bdd-9e45-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинский, 85А'),
(4163,	'1c1857e7-8cf8-11e9-898c-005056b24375',	'bc1dc04c-8832-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 39'),
(4164,	'0e8d46fa-0b87-11ea-9295-005056b24375',	'58ac4fda-e66f-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 27'),
(4165,	'1e223f78-6688-11e9-898c-005056b24375',	'a14b4f76-64cd-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 85а'),
(4166,	'c2b797f9-eb38-11e9-b850-005056b24375',	'71f89d6e-e67b-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 79'),
(4167,	'cf05583e-fa2b-11e9-9c59-005056b24375',	'544fed92-cf23-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героев Майдана, 1'),
(4168,	'1692288c-e1c2-11e3-8c4a-0050568002cf',	'db5c8907-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Некрасова, 3а'),
(4169,	'3773685d-970f-11e9-898c-005056b24375',	'735e1004-9296-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 36 / а'),
(4170,	'4a2a51a6-ca93-11e9-b0c5-005056b24375',	'6e74aef6-c352-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 47-А'),
(4171,	'b21340a3-ca21-11e9-b0c5-005056b24375',	'a69e9af0-b77d-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Победы, 16'),
(4172,	'1ec09d60-e1c2-11e3-8c4a-0050568002cf',	'a4502be4-577e-11de-b9fc-0021918b679a',	'Отделение №1: ул. Проскуровская, 3'),
(4173,	'99d264fb-9bcb-11e9-898c-005056b24375',	'b209ba28-9742-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Юбилейная, 18а'),
(4174,	'2bb8ceef-e1c2-11e3-8c4a-0050568002cf',	'db5c8942-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Парковая, 8'),
(4175,	'ce854a38-0eb2-11ea-9295-005056b24375',	'2a72a391-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 115'),
(4176,	'dd5e1a34-9664-11e9-898c-005056b24375',	'317f877c-9290-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 13'),
(4177,	'40498311-e1c2-11e3-8c4a-0050568002cf',	'f70622e0-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Горбового, 8'),
(4178,	'40498312-e1c2-11e3-8c4a-0050568002cf',	'f70622ca-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Московская, 21'),
(4179,	'40498313-e1c2-11e3-8c4a-0050568002cf',	'eef079f8-2535-11e0-ac94-0024e83b596e',	'Отделение №1: ул. Самарськая, 1'),
(4180,	'40498314-e1c2-11e3-8c4a-0050568002cf',	'000655d8-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Центральна, 175'),
(4181,	'40498315-e1c2-11e3-8c4a-0050568002cf',	'69da41cf-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Звягельская, 28'),
(4182,	'40498316-e1c2-11e3-8c4a-0050568002cf',	'06f87946-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Романа Шухевича, 44'),
(4183,	'920b2195-5c53-11e9-a703-005056b24375',	'5f81eec2-ff87-11e8-ad0d-005056b24375',	'Отделение №1 (до 15 кг) Мини-отделение: ул. Светлая, 3'),
(4184,	'63e7dc43-61db-11e9-898c-005056b24375',	'081feb4e-5f5a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 47/3'),
(4185,	'b9242aba-daf4-11e9-b48a-005056b24375',	'b9b59eae-cf14-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 42'),
(4186,	'b61a3678-ca6e-11e9-b0c5-005056b24375',	'84f7102e-c354-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Саксаганского, 1'),
(4187,	'41f011ae-b355-11e9-8c22-005056b24375',	'40a6d83a-9e3f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Каховськая, 4а'),
(4188,	'9baea499-85ce-11e9-898c-005056b24375',	'fe34d202-7d63-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 28'),
(4189,	'08457a1a-b2dc-11e9-8c22-005056b24375',	'4ab3180a-a7a3-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Набережная, 2А'),
(4190,	'a721a918-56a2-11e9-acea-005056b24375',	'683760e5-5224-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 10'),
(4191,	'08ef1550-97e8-11e9-898c-005056b24375',	'895d45da-4d9d-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Корятовича, 26'),
(4192,	'61669c71-475a-11ea-9b37-0025b502a04e',	'ee776b0b-4698-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Ивана Франко, 145'),
(4193,	'ad0bef48-eb46-11e9-b850-005056b24375',	'99a93285-e5e8-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Святого Николая, 15'),
(4194,	'e4ee3285-7d8d-11e9-898c-005056b24375',	'f84a2801-76fa-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 167А'),
(4195,	'eb2ee7ca-0eb3-11ea-9295-005056b24375',	'fc3c2889-feea-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Фогодо, 81'),
(4196,	'2bb8ceb4-e1c2-11e3-8c4a-0050568002cf',	'f78813ec-8e46-11e3-b441-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 32'),
(4197,	'2bb8ceb5-e1c2-11e3-8c4a-0050568002cf',	'f78813f7-8e46-11e3-b441-0050568002cf',	'Отделение №1: ул. Садовая, 31'),
(4198,	'2bb8ceb7-e1c2-11e3-8c4a-0050568002cf',	'f788140d-8e46-11e3-b441-0050568002cf',	'Пункт приема-выдачи (до 30 кг): ул. Заречнянская, 59а'),
(4199,	'b6aecd98-6755-11e9-898c-005056b24375',	'fe84e07c-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 52'),
(4200,	'a742036a-cafd-11e9-b0c5-005056b24375',	'a9cb64b2-c347-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 5'),
(4201,	'1eef1b4d-ca38-11e9-b0c5-005056b24375',	'2b502312-b783-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Радгоспная, 2а'),
(4202,	'f7b76362-fb26-11e5-899e-005056887b8d',	'f7b7634a-fb26-11e5-899e-005056887b8d',	'Отделение №1: ул. Независимости, 57'),
(4203,	'52e693ab-d530-11e9-b0c5-005056b24375',	'd670ad7b-cf2b-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(4204,	'f81cc533-6b27-11e5-8d8d-005056887b8d',	'f81cc520-6b27-11e5-8d8d-005056887b8d',	'Отделение №1: ул. Центральная, 76В'),
(4205,	'439715c2-1a4f-11ea-8c15-0025b502a06e',	'9f311a30-b790-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. дорога НО3'),
(4206,	'a7ebeabc-0566-11ea-9c59-005056b24375',	'c9d83d83-fef6-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 3в'),
(4207,	'2f3045cc-d405-11e9-b0c5-005056b24375',	'a0218e98-cf2d-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б. Хмельницкого, 22'),
(4208,	'f5fd73fc-e2cc-11e9-b48a-005056b24375',	'515ffd0c-76f7-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 15'),
(4209,	'179c163f-2302-11ea-ba4d-005056b24375',	'dfc130d7-fed9-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Сечевых Стрельцов, 43'),
(4210,	'3c61e796-6ce7-11e9-898c-005056b24375',	'9b526d4d-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 14'),
(4211,	'80e12693-114f-11ea-9295-005056b24375',	'1676c406-0c92-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Лесная, 1а'),
(4212,	'45b871be-7bd3-11e9-898c-005056b24375',	'2a9051ba-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 13'),
(4213,	'3fbf3613-fa5a-11e9-9c59-005056b24375',	'79b27ff3-b76f-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 8'),
(4214,	'1b965806-ad1e-11e9-8c22-005056b24375',	'4a1ce410-9e6b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 78А'),
(4215,	'e34fb502-73d2-11e9-898c-005056b24375',	'd82643ad-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Леси Украинки, 59'),
(4216,	'3126f1f4-83ba-11ea-91e8-b8830365bd14',	'34ca8584-7fe8-11ea-a970-b8830365ade4',	'\nПункт приема-выдачи (до 30 кг), ул. Шевченко, 33'),
(4217,	'336de163-e1c2-11e3-8c4a-0050568002cf',	'a869ebff-d500-11e3-95eb-0050568046cd',	'Отделение №1: ул. Дачная, 5'),
(4218,	'26448fc4-ebd7-11e9-b850-005056b24375',	'9b1e6b7f-daa7-11e9-b48a-005056b24375',	'Отделение №1: ул. Ларионова, 17а'),
(4219,	'39f1ba25-2306-11ea-ba4d-005056b24375',	'067de477-884c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 50'),
(4220,	'8f52c72e-95e1-11e9-898c-005056b24375',	'e94c017a-9286-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 65'),
(4221,	'895054e8-b42a-11e9-8c22-005056b24375',	'a2eeb98c-8852-11e9-898c-005056b24375',	'Отделение №1: ул. Центральная, 1а'),
(4222,	'2e9a0725-ba97-11e9-8c22-005056b24375',	'4d84c050-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 41а'),
(4223,	'01ae263b-e1c2-11e3-8c4a-0050568002cf',	'f9687167-d4f7-11e2-874c-d4ae527baec3',	'Отделение №1: ул. Ковалива, 4'),
(4224,	'faf3b696-a320-11e9-b790-005056b24375',	'906a4c82-9e4d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Рыбалка, 55а'),
(4225,	'4c9ebd4b-892f-11e9-898c-005056b24375',	'b49d44f1-8829-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 1'),
(4226,	'01ae25e4-e1c2-11e3-8c4a-0050568002cf',	'0db17b0a-4079-11de-b509-001d92f78698',	'Отделение №1: переул. Вокзальный, 6'),
(4227,	'a8dda551-11fc-11ea-9295-005056b24375',	'34440894-9e3b-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 6'),
(4228,	'b189fb5b-b20b-11e9-8c22-005056b24375',	'bc2447a9-884a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 199а'),
(4229,	'674404c4-b35e-11e9-8c22-005056b24375',	'1647c725-9e4f-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 2'),
(4230,	'4723a555-f56f-11e9-9c59-005056b24375',	'527f0112-cf24-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 34'),
(4231,	'ad4571ba-9822-11e9-898c-005056b24375',	'1162d9f9-964d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Бобошкивська, 2а'),
(4232,	'fc3722a8-ac72-11e9-8c22-005056b24375',	'a0378113-8877-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Евгения Слабченко, 2'),
(4233,	'c1d92ea4-69c9-11ea-91e8-b8830365bd14',	'a7474639-6545-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Леонида Ступницкого, 64'),
(4234,	'1c60cf3c-e28c-11e9-b48a-005056b24375',	'00ed5017-dadd-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Зеленая, 14'),
(4235,	'56c2fd61-3b37-11e9-acea-005056b24375',	'ab8956da-399a-11e9-acea-005056b24375',	'Отделение №1: ул. Новая, 2Е'),
(4236,	'fa3066f0-1cd7-11e6-971e-005056887b8d',	'ce36b5ac-1ccb-11e6-971e-005056887b8d',	'Отделение №1: ул. Набережная, 23 (ПежоСервис)'),
(4237,	'511fd009-e1c2-11e3-8c4a-0050568002cf',	'69da4178-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Школьная, 6'),
(4238,	'953118b5-c5a9-11e9-b0c5-005056b24375',	'300c7a2a-b7a4-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гриневича, 4'),
(4239,	'5dba89ca-bab3-11e9-8c22-005056b24375',	'35b67bc5-b7a3-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 19'),
(4240,	'e8c90703-fa3e-11e9-9c59-005056b24375',	'2376ae90-e677-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Родниковая, 84'),
(4241,	'e63fddd4-7fff-11e9-898c-005056b24375',	'288fe4a7-7d5c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 10'),
(4242,	'e16cd0d0-e097-11e9-b48a-005056b24375',	'529c93c1-b7ba-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Софии Галечко, 15а'),
(4243,	'01ee7096-74ca-11ea-91e8-b8830365bd14',	'b03f2c07-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Грушевского, 38'),
(4244,	'cb919d95-e228-11e9-b48a-005056b24375',	'e85b5c4d-dae6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 89'),
(4245,	'054df801-673e-11e9-898c-005056b24375',	'b5ee7564-64ca-11e9-898c-005056b24375',	'Отделение №1 (до 30 кг): ул. Мельничная, 66/1'),
(4246,	'fab01445-5799-11e5-8d8d-005056887b8d',	'3a678a0a-5788-11e5-8d8d-005056887b8d',	'Отделение №1: бульв. Свободы, 1а'),
(4247,	'04a40deb-6674-11e9-898c-005056b24375',	'a6e309ee-64d1-11e9-898c-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Шевченко, 50'),
(4248,	'c7dca965-a7db-11e9-b73a-005056b24375',	'43913aa5-9e44-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 59'),
(4249,	'fa582cc3-9662-11e9-898c-005056b24375',	'fd1a4899-9294-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 9'),
(4250,	'b57f1454-0e11-11ea-9295-005056b24375',	'dd42b6af-fee7-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17б'),
(4251,	'114a1e8f-3c06-11e9-acea-005056b24375',	'a9198c10-3b46-11e9-acea-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Мира, 14'),
(4252,	'fb0b4de2-dc77-11e5-899e-005056887b8d',	'61b72f97-dc61-11e5-899e-005056887b8d',	'Отделение №1: ул. Сумская, 15'),
(4253,	'2bb8ce4d-e1c2-11e3-8c4a-0050568002cf',	'b6e8345e-a929-11e0-91c2-e85e90109097',	'Отделение №1: ул. Независимости, 46а'),
(4254,	'2bb8ce4e-e1c2-11e3-8c4a-0050568002cf',	'f7062318-4078-11de-b509-001d92f78698',	'Отделение: ул. Суворова, 2а'),
(4255,	'2bb8ce4f-e1c2-11e3-8c4a-0050568002cf',	'cfbeaca4-4063-11de-b509-001d92f78698',	'Отделение №1: ул. Украинская, 23'),
(4256,	'2bb8ce50-e1c2-11e3-8c4a-0050568002cf',	'f7062348-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Украинская, 10'),
(4257,	'2bb8ce51-e1c2-11e3-8c4a-0050568002cf',	'101afcbe-db19-11e1-aa18-d4ae527baec9',	'г. Олыка, Отделение №1: ул. Шевченка, 50'),
(4258,	'2bb8ce52-e1c2-11e3-8c4a-0050568002cf',	'f7062310-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Центральная, 22'),
(4259,	'2bb8ce53-e1c2-11e3-8c4a-0050568002cf',	'6908046f-84aa-11e1-8aad-0026b97ed48a',	'Отделение №1: ул. Независимости, 21'),
(4260,	'b98d2d36-e3b1-11e9-b48a-005056b24375',	'e560ca17-dab5-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Луцкая, 29А'),
(4261,	'04f07fd6-7c62-11e9-898c-005056b24375',	'e0aa672d-7301-11e9-898c-005056b24375',	'Пункт приема-выдачи  (до 30 кг): ул. В. Сильмана, 16'),
(4262,	'72ece2fd-6850-11ea-91e8-b8830365bd14',	'abdb3038-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. И. Франко, 51в'),
(4263,	'fb5f51cb-0d49-11e6-971e-005056887b8d',	'fb5f51b2-0d49-11e6-971e-005056887b8d',	'Отделение №1: ул. Харьковская, 28'),
(4264,	'2bb8ce97-e1c2-11e3-8c4a-0050568002cf',	'fb7a09d9-7ec0-11e3-b441-0050568002cf',	'Отделение №1: ул. 1-го Мая, 14'),
(4265,	'fb7a2438-6983-11e4-acce-0050568002cf',	'fb7a2425-6983-11e4-acce-0050568002cf',	'Отделение №1: ул. Генерала Подзыгуна, 248'),
(4266,	'4b7db090-8143-11e9-898c-005056b24375',	'9b526d38-64cf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 17/3'),
(4267,	'55fdc545-bdc2-11e9-8c22-005056b24375',	'a6f77fb0-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Кутузова, 45а'),
(4268,	'42c66bd1-35c6-11e9-acea-005056b24375',	'e4c7da15-336d-11e9-acea-005056b24375',	'Отделение №1 (до 30 кг): ул. Киевская, б/н'),
(4269,	'9b95d3b8-c9b3-11e9-b0c5-005056b24375',	'5dfe2fe0-b78e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 38А'),
(4270,	'b4e38384-e032-11e9-b48a-005056b24375',	'bcc95187-daa9-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Ясковецький, 2'),
(4271,	'838d5a03-0498-11ea-9c59-005056b24375',	'1447f6a0-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Филатова, 1А'),
(4272,	'62ce2cc0-91bf-11e9-898c-005056b24375',	'57d2e2ee-884e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Независимости, 1'),
(4273,	'0b35aa29-971e-11e9-898c-005056b24375',	'fc5f1e27-928e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шляховая, 43'),
(4274,	'2bb8cea8-e1c2-11e3-8c4a-0050568002cf',	'fc1511bd-8297-11e3-b441-0050568002cf',	'Отделение №1: ул. Тычины, 2а'),
(4275,	'80e126ab-114f-11ea-9295-005056b24375',	'0273e3fb-0c92-11ea-8c15-0025b502a06e',	'Пункт приема-выдачи (до 30 кг): ул. Заводской, 1а'),
(4276,	'fc24636e-fbed-11e5-899e-005056887b8d',	'fc246356-fbed-11e5-899e-005056887b8d',	'Отделение №1: пров. 1-й Калиновий, 7б'),
(4277,	'8bc6971f-e284-11e9-b48a-005056b24375',	'294605f1-cf28-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дикопольцева, 34'),
(4278,	'198a1dbb-1171-11ea-9295-005056b24375',	'71767a55-fee3-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 6А'),
(4279,	'75082e8e-db08-11e9-b48a-005056b24375',	'51eefba7-cf1c-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 41/2'),
(4280,	'155e56ed-8936-11e9-898c-005056b24375',	'1f427219-882a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Довженко, 69'),
(4281,	'4a954fff-2567-11ea-8ac1-0025b502a04e',	'a3ca5429-f411-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Перестройки, 16'),
(4282,	'47402ec4-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №1: ул. Русская, 248о'),
(4283,	'20ae81ed-e286-11e9-b48a-005056b24375',	'2a72a3a6-dab6-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 63А'),
(4284,	'd04ae700-11f2-11ea-9295-005056b24375',	'2f229328-feef-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Ленина, 1'),
(4285,	'2aacfd13-db22-11e9-b48a-005056b24375',	'd03cca1a-cf28-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 79а'),
(4286,	'8fb311bf-ca97-11e9-b0c5-005056b24375',	'cb6e0681-b79b-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Клубная, 2'),
(4287,	'f11d8503-f8a2-11e9-9c59-005056b24375',	'068ea1a0-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Селекционная, 22В'),
(4288,	'26b670b4-caa9-11e9-b0c5-005056b24375',	'0d096b47-b7b5-11e9-8c22-005056b24375',	'Пункт приема выдачи (до 30 кг): ул. Центральная, 20'),
(4289,	'137fb2d3-ca5e-11e9-b0c5-005056b24375',	'33717dc7-c355-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Дружбы, 155-А'),
(4290,	'e6220ecf-db1c-11e9-b48a-005056b24375',	'4d6e9219-cf26-11e9-b0c5-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Сахно, 25'),
(4291,	'484921a5-4758-11ea-9b37-0025b502a04e',	'5b85af79-4699-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 55'),
(4292,	'c73db536-ca51-11e9-b0c5-005056b24375',	'bd38ff3e-b7bf-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 78'),
(4293,	'326230f6-73f1-11e9-898c-005056b24375',	'9523ea19-7302-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул.  Авдиевского, 14'),
(4294,	'137cf9d6-c5a0-11e9-b0c5-005056b24375',	'11d94677-b7aa-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 3'),
(4295,	'fda313df-9fde-11e5-a023-005056887b8d',	'65cca7e4-9fdd-11e5-a023-005056887b8d',	'Отделение №1 (до 30 кг): ул. Васюты, 67'),
(4296,	'd3221e8e-caa5-11e9-b0c5-005056b24375',	'87b7652e-b79c-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Киевская, 9а'),
(4297,	'69348794-981b-11e9-898c-005056b24375',	'a657f68a-964a-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Партизанская, 5'),
(4298,	'1ec09dc1-e1c2-11e3-8c4a-0050568002cf',	'f70622e6-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Винниченка, 72'),
(4299,	'1ec09dc2-e1c2-11e3-8c4a-0050568002cf',	'69da4187-3f5d-11de-b509-001d92f78698',	'Отделение №1: ул. Гагарина, 26а'),
(4300,	'1ec09dc3-e1c2-11e3-8c4a-0050568002cf',	'f7062312-4078-11de-b509-001d92f78698',	'Отделение №1: ул. Октябрьская, 59/1'),
(4301,	'9a3e0b83-4756-11ea-9b37-0025b502a04e',	'282ee4cd-469a-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Колхозная, 50'),
(4302,	'a8a8fee7-f8c5-11e9-9c59-005056b24375',	'00f39f33-f411-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Ракоци, 154'),
(4303,	'e4240cdf-a31a-11e9-b790-005056b24375',	'973064e7-9e4c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Заморока, 34'),
(4304,	'39931ae4-e1c2-11e3-8c4a-0050568002cf',	'fdedf3cf-beff-11e3-9fa0-0050568002cf',	'Отделение № 1:ул. Ватутина, 2'),
(4305,	'6528ee47-b382-11e9-8c22-005056b24375',	'a0de4d45-b2d6-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 10а'),
(4306,	'88a4b88b-ba94-11e9-8c22-005056b24375',	'4d84c012-b81e-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Берестецкая, 11'),
(4307,	'fe0e45c6-c980-11e4-a77a-005056887b8d',	'80f5b4b1-c980-11e4-a77a-005056887b8d',	'Отделение №1: ул. Шевченка, 2'),
(4308,	'0e4c879c-ffad-11e8-ad0d-005056b24375',	'9e366906-ebfc-11e8-ad0d-005056b24375',	'Отделение №1: ул. Школьная, 2'),
(4309,	'5a736f7a-ac91-11e9-8c22-005056b24375',	'974ff31d-8857-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Фабричная, 2'),
(4310,	'95f0e0c1-ca40-11e9-b0c5-005056b24375',	'53e8eb78-b798-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Героя, 2'),
(4311,	'03f3c484-caba-11e9-b0c5-005056b24375',	'a0cabf67-9e61-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Суворова, 4а'),
(4312,	'1e5c4bec-baa3-11e9-8c22-005056b24375',	'91ba5af9-b797-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 16Б'),
(4313,	'3fa3effa-aa14-11e9-b73a-005056b24375',	'4a60ca35-9e41-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Верховинская, 10г'),
(4314,	'd5c91a9b-ca8e-11e9-b0c5-005056b24375',	'4492f0be-b79a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Миру, 89б'),
(4315,	'fe62f4e2-1b3d-11e5-add9-005056887b8d',	'fe62f4cf-1b3d-11e5-add9-005056887b8d',	'Отделение №1: ул. Шевченко, 3а'),
(4316,	'98e78f0b-3fe9-11e9-acea-005056b24375',	'56eb198f-390d-11e9-acea-005056b24375',	'Отделение №1: ул. Главная, 68'),
(4317,	'553fd8cf-ba79-11e9-8c22-005056b24375',	'11a1b4cb-b782-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Комсомольская, 13а'),
(4318,	'fe7ab2b8-abc7-11e6-b5da-005056887b8d',	'b23da969-abc7-11e6-b5da-005056887b8d',	'Отделение №1: ул. Салдобошская, 16'),
(4319,	'b52d26f7-8208-11e9-898c-005056b24375',	'20796a84-7d68-11e9-898c-005056b24375',	'Автолавка (до 30 кг): ул. Школьная, 5'),
(4320,	'02bb4afb-6851-11e9-898c-005056b24375',	'6d374666-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Пришкольная, 2'),
(4321,	'f7c10c74-ae08-11e9-8c22-005056b24375',	'5a1cd967-a96a-11e9-b73a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Гагарина, 1'),
(4322,	'534ca2da-e205-11e9-b48a-005056b24375',	'b298ceaf-daaf-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Покровская, 25'),
(4323,	'1b422b5d-673e-11e9-898c-005056b24375',	'd912ef39-4db7-11e6-a9f2-005056887b8d',	'Отделение №1: ул. Гагарина, 15'),
(4324,	'3a9b40fc-429c-11ea-9b37-0025b502a04e',	'3a1352dd-fed4-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Красный путь, 142'),
(4325,	'b1f8547b-80ad-11ea-91e8-b8830365bd14',	'e0e44ca5-7fee-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Юбилейная, 1'),
(4326,	'23b95465-cab0-11e9-b0c5-005056b24375',	'964731cb-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 8а'),
(4327,	'519a6cb7-0537-11ea-9c59-005056b24375',	'd75e02c3-f425-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Шевченко, 16'),
(4328,	'5c1a434d-0b9d-11ea-9295-005056b24375',	'908c1c31-e68d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Соборная, 45'),
(4329,	'51e4f03b-f4a6-11e8-ad0d-005056b24375',	'32001c2f-f173-11e8-ad0d-005056b24375',	'Отделение №1: ул. Киевский путь, 54'),
(4330,	'9b5bc2a0-e1f7-11e9-b48a-005056b24375',	'c0b5fadd-dab0-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): пер. Вишневый, 58'),
(4331,	'bec1a034-bb2c-11e9-8c22-005056b24375',	'0218db6f-b7c0-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Коцюбинского, 5а'),
(4332,	'b4130197-69cb-11ea-91e8-b8830365bd14',	'bbd0f51f-6546-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Шевченко, 11'),
(4333,	'08a84b27-81dc-11e9-898c-005056b24375',	'e2260687-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Школьная, 33'),
(4334,	'432d7fc0-6211-11e9-898c-005056b24375',	'e3e66f88-5f6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Курдяева, 7'),
(4335,	'39931b01-e1c2-11e3-8c4a-0050568002cf',	'441f7f9e-a440-11dd-bcd8-001d92f78697',	'Отделение №1: ул. Заводская 1/14'),
(4336,	'505faf93-3612-11ea-8461-0025b502a04e',	'06f879a6-4079-11de-b509-001d92f78698',	'Отделение №2 (до 5 кг) Мини-отделение, ул. Троицкая, 3'),
(4337,	'830c313c-80b6-11ea-91e8-b8830365bd14',	'f706232c-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): Пункт приема-выдачи, ул. Шевченко, 62а'),
(4338,	'0224955e-d6e1-11e5-8478-005056887b8d',	'e221d647-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Владимира Великого, 1б'),
(4339,	'1692284d-e1c2-11e3-8c4a-0050568002cf',	'db5c88dc-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 2'),
(4340,	'eab00af0-4332-11ea-9b37-0025b502a04e',	'c8dfbaa6-4d9d-11e6-a9f2-005056887b8d',	'Отделение №2 (до 30 кг на одно место), ул. Сечевых Стрельцов, 2В'),
(4341,	'25226860-a46d-11e9-b790-005056b24375',	'69da4181-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 5 кг), Мини-отделение: ул. 1-го Мая, 70а'),
(4342,	'0649cdc9-b36f-11e4-a77a-005056887b8d',	'e221d650-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг на одно место): ул. Дружбы Народов, 5/5'),
(4343,	'cb9ae1ff-0065-11ea-9c59-005056b24375',	'f706232a-4078-11de-b509-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Соборная, 69'),
(4344,	'd48f115c-dc38-11e8-ad0d-005056b24375',	'7dbedf7f-0b93-11e5-8a92-005056887b8d',	'Отделение №2: ул. Немировское шоссе, 8 (Возле АВТОМИР)'),
(4345,	'bb690122-c021-11e8-ad0d-005056b24375',	'db5c896e-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Я. Мудрого, 1'),
(4346,	'5d73453e-6774-11ea-91e8-b8830365bd14',	'2959a2af-6183-11e3-b441-0050568002cf',	'Пункт приема-выдачи (до 30 кг), ул. Культуры, 122'),
(4347,	'336de175-e1c2-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): просп. Победы, 50'),
(4348,	'01ae2611-e1c2-11e3-8c4a-0050568002cf',	'db5c8903-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Шевченко, 66'),
(4349,	'01ae2617-e1c2-11e3-8c4a-0050568002cf',	'ae7a32be-0d45-11de-b6f5-001d92f78697',	'Отделение №2 (до 30 кг): ул. Братьев Коваленко, 54'),
(4350,	'1aea67f2-678b-11e9-898c-005056b24375',	'9e8561c7-f1a0-11e1-a58d-d4ae527baec9',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Юности, 3'),
(4351,	'b7e6a095-c31b-11e8-ad0d-005056b24375',	'06f87950-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Зимолина, 3/1Б'),
(4352,	'ef65f720-0a9e-11e9-ad0d-005056b24375',	'8dc013b0-d273-11e2-874c-d4ae527baec3',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Садовая, 6А'),
(4353,	'47402eab-e1c2-11e3-8c4a-0050568002cf',	'e221d63e-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Софиевская (ран. Олексы Гирныка), 40'),
(4354,	'f90b14f3-f4a8-11e8-ad0d-005056b24375',	'06f8797e-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Михаила Грушевского, 131'),
(4355,	'511fcff3-e1c2-11e3-8c4a-0050568002cf',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Соборная (ран. Ленина), 58'),
(4356,	'511fcffb-e1c2-11e3-8c4a-0050568002cf',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Киевский Шлях, 69в (городской парк)'),
(4357,	'31a4573d-08f8-11e9-ad0d-005056b24375',	'00065602-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. 28 июня, 60/1'),
(4358,	'0d545ec4-e1c2-11e3-8c4a-0050568002cf',	'69da419c-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Садовая, 124'),
(4359,	'71986716-0aa1-11e9-ad0d-005056b24375',	'eef079f6-2535-11e0-ac94-0024e83b596e',	'Отделение №2 (до 30 кг): ул. Ивана Мазепы, 3'),
(4360,	'073f5a08-65c2-11e9-898c-005056b24375',	'e221d620-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Короткая, 2'),
(4361,	'2c5972b1-80b9-11ea-91e8-b8830365bd14',	'908c1c31-e68d-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Кооперативная, 4'),
(4362,	'12c477a0-92b1-11e5-a023-005056887b8d',	'441f7f98-a440-11dd-bcd8-001d92f78697',	'Отделение №2 (до 30 кг): ул. Гагарина, 11'),
(4363,	'132025f5-6995-11e8-9d95-005056b2fc3d',	'e43db799-7d8b-11e1-beca-0026b97ed48a',	'Отделение №2 (до 30 кг): ул. Строителей, 1'),
(4364,	'47402eb3-e1c2-11e3-8c4a-0050568002cf',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 302'),
(4365,	'47402eb4-e1c2-11e3-8c4a-0050568002cf',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Вокзальная, 22'),
(4366,	'47402eb5-e1c2-11e3-8c4a-0050568002cf',	'db5c892a-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): мкрн. Шахтёрский, ТЦ «Шахтёрский»'),
(4367,	'01ae2628-e1c2-11e3-8c4a-0050568002cf',	'1097567d-8a89-11e0-8140-969cd9edcd68',	'Отделение №2 (до 30 кг на одно место): ул. Центральная, 19'),
(4368,	'13cafb11-0c03-11e8-ba66-005056b2fc3d',	'06f8799c-4079-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Коваля, 1'),
(4369,	'144ba570-5568-11e5-8d8d-005056887b8d',	'69da41ea-3f5d-11de-b509-001d92f78698',	'Відділення №2 (до 30 кг): ул. Героев Небесной Сотни, 56'),
(4370,	'16593a82-abc8-11e6-b5da-005056887b8d',	'c5f70e4c-4bd0-11dd-9198-001d60451983',	'Отделение №2: (до 30 кг на одно место) ул. Магистральная, 504'),
(4371,	'184ea819-1db4-11e7-95d1-005056887b8d',	'3c67c750-a440-11dd-bcd8-001d92f78697',	'Отделение №2 (до 2 кг) Мини-отделение: ул. Василия Стуса, 5'),
(4372,	'45cf1fbb-1d7f-11ea-9295-005056b24375',	'0006560e-4079-11de-b509-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение, ул. Восточная, 2'),
(4373,	'abb8d315-1bf5-11ea-a034-0025b502a04e',	'd1e11fc5-c68b-11e2-874c-d4ae527baec3',	'Отделение №2 (до 30 кг), ул. Свято-Покровская, 2Б'),
(4374,	'00f243ff-11d8-11ea-9295-005056b24375',	'f7062372-4078-11de-b509-001d92f78698',	'Отделение №2 Мини-отделение (до 15 кг): ул. Кременецкая, 26'),
(4375,	'1b8b281c-caf8-11e9-b0c5-005056b24375',	'aefd0561-32a0-11e4-acce-0050568002cf',	'Отделение №2 (до 5 кг): Мини-отделение, ул. Мира, 19'),
(4376,	'19daf688-1cbf-11e6-971e-005056887b8d',	'69da41a5-3f5d-11de-b509-001d92f78698',	'Отделение №2: (до 30кг), Центральная, 50'),
(4377,	'1ae7d725-103e-11e5-add9-005056887b8d',	'2959a2a4-6183-11e3-b441-0050568002cf',	'Отделение № 2 (до 30 кг): вьезд Набережный, 7'),
(4378,	'cb86d163-f894-11e8-ad0d-005056b24375',	'db5c897b-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Независимости, 121'),
(4379,	'7b422f8b-e1b8-11e3-8c4a-0050568002cf',	'e221d64b-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Железнодорожная, 52'),
(4380,	'49c2c7aa-11c9-11ea-9295-005056b24375',	'06f87976-4079-11de-b509-001d92f78698',	'Отделение №2 Мини-отделение (до 5 кг): ул. Грушевского, 16'),
(4381,	'a74d7394-cad9-11e8-ad0d-005056b24375',	'e221d64d-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Дружбы, 24'),
(4382,	'ca94760e-fd2d-11e8-ad0d-005056b24375',	'f7062370-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Петрушевича, 26'),
(4383,	'438ff3fc-b366-11e9-8c22-005056b24375',	'bd344b86-7c09-11e2-8f83-d4ae527baec3',	'Отделение №2 (до 30 кг): ул. Сумьский путь, 243'),
(4384,	'20d04a6a-343a-11e4-acce-0050568002cf',	'69da4160-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Николая Леонтовича, 55 Б'),
(4385,	'511fcfd5-e1c2-11e3-8c4a-0050568002cf',	'db5c8980-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. 40 лет Победы, 6'),
(4386,	'ea5ea559-f4a2-11e8-ad0d-005056b24375',	'f70622f6-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Киевский путь, 38'),
(4387,	'22ce05f6-7ee7-11e5-b6f7-005056887b8d',	'101afca9-db19-11e1-aa18-d4ae527baec9',	'Отделение №2: ул. Железнодорожная, 3а'),
(4388,	'47402ec2-e1c2-11e3-8c4a-0050568002cf',	'db5c8958-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Киевская, 119а'),
(4389,	'16922864-e1c2-11e3-8c4a-0050568002cf',	'f706234a-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Центральная (ран. Комунаров), 23'),
(4390,	'27eef5dc-65e7-11e5-8d8d-005056887b8d',	'06f8793e-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место) Мини-отделение: ул. Кузовкова, 3'),
(4391,	'1ec09d29-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Тараса Бульбы-Боровца (ран. Маршала Рыбалко), 28'),
(4392,	'1ec09d2a-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Леонида Бородича, 17'),
(4393,	'1ec09d33-e1c2-11e3-8c4a-0050568002cf',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Богдана Лещины, 21'),
(4394,	'1ec09d36-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Соборная (ран. Кирова), 12'),
(4395,	'1ec09d37-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Евгения Маланюка, 21а'),
(4396,	'1ec09d41-e1c2-11e3-8c4a-0050568002cf',	'db5c8920-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Строна, 3'),
(4397,	'7b422fb3-e1b8-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Чигиринская, 11/1'),
(4398,	'7b422fb8-e1b8-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Карпенко-Карого, 58'),
(4399,	'7b422fb9-e1b8-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Ковпака, 26'),
(4400,	'7b422fba-e1b8-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): просп. Московский, 54а'),
(4401,	'7b422fbd-e1b8-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Академика Янгеля, 40'),
(4402,	'7b422fbe-e1b8-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Бережанская, 9 (Оболонь Луговая)'),
(4403,	'7b422fc1-e1b8-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Мореходная, 1в/6 (Лит. Б2)'),
(4404,	'7b422fc4-e1b8-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Базовая, 16 (Промрынок, 7 км)'),
(4405,	'1ec09d4f-e1c2-11e3-8c4a-0050568002cf',	'db5c88d6-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг): ул. Богдана Хмельницкого, 98'),
(4406,	'1ec09d56-e1c2-11e3-8c4a-0050568002cf',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг): ул. Электрометаллургов, 4а'),
(4407,	'2b9559c0-052f-11e6-899e-005056887b8d',	'db5c88e1-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Соборная, 96'),
(4408,	'bb690109-c021-11e8-ad0d-005056b24375',	'06f87984-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Национальная, 11'),
(4409,	'603d6a98-1214-11ea-9295-005056b24375',	'f70622e6-4078-11de-b509-001d92f78698',	'Отделение №2 Мини-отделение (до 15 кг): ул. Кобылянской О., 2'),
(4410,	'2ccc64d4-f96a-11e4-8a92-005056887b8d',	'f706237c-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Сагайдачного, 9є'),
(4411,	'16922817-e1c2-11e3-8c4a-0050568002cf',	'db5c891f-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Гетьманская, 12'),
(4412,	'2d9b48c7-06c4-11e6-971e-005056887b8d',	'203f1d66-1eb5-11e3-b000-0050568002cf',	'Отделение №2 (до 30 кг на одно место): ул. Мостовая, 1'),
(4413,	'a9a6a25d-e728-11e8-ad0d-005056b24375',	'06f87968-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Уварова, 41/1'),
(4414,	'2dc33432-4038-11e5-8d8d-005056887b8d',	'0db17b16-4079-11de-b509-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Черниговская, 1/17'),
(4415,	'4049832b-e1c2-11e3-8c4a-0050568002cf',	'ae7a32c0-0d45-11de-b6f5-001d92f78697',	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 124в (напротив мед.училища)'),
(4416,	'47402eaa-e1c2-11e3-8c4a-0050568002cf',	'441f7f9e-a440-11dd-bcd8-001d92f78697',	'Отделение №2 (до 30 кг на одно место): бульв. Свободы (ран. ул. Петровского), 50а'),
(4417,	'32c1a1ef-0bf2-11e4-acce-0050568002cf',	'ae7a32bc-0d45-11de-b6f5-001d92f78697',	'Отделение №2 (до 30 кг на одно место): ул. Садовая, 1'),
(4418,	'2bb8cee8-e1c2-11e3-8c4a-0050568002cf',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №2: пгт. Гостомель, ул. Центральная (ран. Трудовая), 1-О (ООО &quot;Дебют-Центр&quot;)'),
(4419,	'2bb8ceee-e1c2-11e3-8c4a-0050568002cf',	'e221d648-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Леонова, 4'),
(4420,	'35895676-0b64-11e5-8a92-005056887b8d',	'f5554065-5712-11e1-a283-0026b97ed48a',	'Отделение №2 (до 30 кг на одно место): ул. 50-летие УПА, 1'),
(4421,	'1ec09d94-e1c2-11e3-8c4a-0050568002cf',	'f706230a-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Николаевская, 30-а'),
(4422,	'47402e64-e1c2-11e3-8c4a-0050568002cf',	'db5c8962-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Первомайская, 37а'),
(4423,	'47402e65-e1c2-11e3-8c4a-0050568002cf',	'db5c8951-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): просп. Победы, 18'),
(4424,	'47402e9a-e1c2-11e3-8c4a-0050568002cf',	'db5c8917-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 5 кг), Мини-отделение: ул. Пушкина, 93'),
(4425,	'c80e75f8-05e3-11e9-ad0d-005056b24375',	'b6c1c6b7-0aaf-11e1-a180-0026b97ed48a',	'Отделение №2 (до 30 кг): ул. 5-тый квартал, д. 3'),
(4426,	'3b80419c-3807-11e8-a3de-005056b2fc3d',	'69da41db-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Промышленная, 1'),
(4427,	'01ae261a-e1c2-11e3-8c4a-0050568002cf',	'f70622ea-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул.Шевченко, 107а'),
(4428,	'90935452-c019-11e8-ad0d-005056b24375',	'06f8794a-4079-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Соборная, 49'),
(4429,	'3ff37518-a09b-11e8-ad0d-005056b24375',	'7833e622-3b51-11de-913b-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Шевченка, 11'),
(4430,	'40e0b9ec-98c5-11e5-a023-005056887b8d',	'2f74cb93-c870-11dd-88ed-001d92f78697',	'Отделение №2 (до 30 кг): ул. Соборная, 15'),
(4431,	'8191bbfa-f3b6-11e8-ad0d-005056b24375',	'000655fc-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Тимирязева, 1'),
(4432,	'b2fef83c-968d-11e9-898c-005056b24375',	'69da41f0-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): майдан Соборный, 8'),
(4433,	'5a39e589-e1c2-11e3-8c4a-0050568002cf',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Ярослава Мудрого (ран. Урицкого), 12'),
(4434,	'5a39e595-e1c2-11e3-8c4a-0050568002cf',	'db5c894c-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Сорочинская, 53, пом. 2'),
(4435,	'46b9fe54-df14-11e7-ba66-005056b2fc3d',	'e221d63b-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Независимости, 72'),
(4436,	'169227fb-e1c2-11e3-8c4a-0050568002cf',	'db5c8956-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Большая Ковалёвка, 1А'),
(4437,	'4933e628-a10c-11e6-b5da-005056887b8d',	'db5c890b-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Лазурная, 1а'),
(4438,	'511fcfe1-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): просп. Металлургов, 53 (ТЦ &quot;Браво&quot; Цокольный этаж)'),
(4439,	'd48f1183-dc38-11e8-ad0d-005056b24375',	'441f7f92-a440-11dd-bcd8-001d92f78697',	'Отделение №2 (до 2 кг) Мини-отделение: ул. Кривоноса М., 2а'),
(4440,	'42809da7-480b-11ea-9b37-0025b502a04e',	'dfdc9dad-ace7-11dd-8b61-001d92f78697',	'Отделение №2 (до 30 кг на одно место), ул. Шептицкого, 15'),
(4441,	'4a44f6d6-ef4e-11e5-899e-005056887b8d',	'c5f70e4a-4bd0-11dd-9198-001d60451983',	'Отделение №2: (до 30 кг) ул. Соборная, 77Б'),
(4442,	'16922870-e1c2-11e3-8c4a-0050568002cf',	'00065616-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Широкая, 13'),
(4443,	'c6ca4da3-c712-11e8-ad0d-005056b24375',	'000655d8-4079-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг на одно место) Мини-отделение: ул. Центральная, 33'),
(4444,	'4bbebeaa-310b-11e5-add9-005056887b8d',	'db5c88d9-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): бульв. Богдана Хмельницкого, 4'),
(4445,	'4bd9486b-6100-11e4-acce-0050568002cf',	'e221d63c-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Петенька Воеводы (раньше Терека), 1а'),
(4446,	'511fcfed-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Русская, 15'),
(4447,	'6d5731b3-94db-11e5-a023-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №2 (на 30 кг на одно место): ул. Липовецкая, 6а (ТЦ «Виват»)'),
(4448,	'fd51a727-f986-11e9-9c59-005056b24375',	'db5c8933-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Сумская, 108'),
(4449,	'4dd3e4dd-1c7e-11e4-acce-0050568002cf',	'e221d626-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг): ул. Суховоля, 54а (ТЦ&quot;ТКС&quot;)'),
(4450,	'4f7fca7f-24d8-11e7-95d1-005056887b8d',	'd48436b0-e99c-11e0-be54-f5cb9f9fdf36',	'Отделение №2 (до 30 кг на одно место): пл. Шевченко, 1а'),
(4451,	'1692286c-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Геологов, 2 (територрия рынка &quot;Пан Каблук&quot;)'),
(4452,	'5a39e551-e1c2-11e3-8c4a-0050568002cf',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Центральная (ран. Карла Маркса), 20/13'),
(4453,	'5a39e55a-e1c2-11e3-8c4a-0050568002cf',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Триумфальная, 2'),
(4454,	'ef50c275-e10a-11e8-ad0d-005056b24375',	'000655ea-4079-11de-b509-001d92f78698',	'Отделение №2 (до 20 кг) Мини-отделение: пер. Больничный, 4'),
(4455,	'1ec09d6d-e1c2-11e3-8c4a-0050568002cf',	'e221d64c-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Короленко, 33а'),
(4456,	'24a53333-f8af-11e9-9c59-005056b24375',	'f7062352-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Шевченко, 1'),
(4457,	'54e0160e-c026-11e5-8478-005056887b8d',	'10975675-8a89-11e0-8140-969cd9edcd68',	'Отделение №2 (до 30 кг на одно место): ул. Лесная, 1'),
(4458,	'5a39e57c-e1c2-11e3-8c4a-0050568002cf',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): просп. Богдана Хмельницкого, 58/1'),
(4459,	'56e1ce00-944e-11e6-a4c1-005056887b8d',	'db5c88c5-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Одесская, 49 (Красная гора)'),
(4460,	'598da902-0bf2-11e4-acce-0050568002cf',	'db5c8909-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): пров, Восточный, 2'),
(4461,	'7b422fad-e1b8-11e3-8c4a-0050568002cf',	'db5c88d1-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Николаевская (ран. Дзержинского), 54'),
(4462,	'01ae25e5-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Чорновола, 14/16'),
(4463,	'f729ee15-5a96-11e9-a703-005056b24375',	'06f87990-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. А. Пономаря, 24в'),
(4464,	'60062905-b36a-11e4-a77a-005056887b8d',	'f7062340-4078-11de-b509-001d92f78698',	'Отделение №2: (до 30 кг) площадь Кооперативная, 50'),
(4465,	'600c0fcc-0b88-11e6-971e-005056887b8d',	'06f87906-4079-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Главная, 80'),
(4466,	'4049833a-e1c2-11e3-8c4a-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Станционная, 16/1'),
(4467,	'adb429d2-b022-11e8-ad0d-005056b24375',	'000655dc-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Театральная, 1'),
(4468,	'ea5ea589-f4a2-11e8-ad0d-005056b24375',	'b2dded6a-c3ac-11e3-9fa0-0050568002cf',	'Отделение №2 (до 30 кг): ул. Лобановского, 26 корп. 1'),
(4469,	'7b422f91-e1b8-11e3-8c4a-0050568002cf',	'69da41a8-3f5d-11de-b509-001d92f78698',	'Отделение №2: ул. Свободы, 33'),
(4470,	'f90b14da-f4a8-11e8-ad0d-005056b24375',	'06f87946-4079-11de-b509-001d92f78698',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Шевченко, 9'),
(4471,	'64d71219-9c8f-11e4-acce-0050568002cf',	'b3ecdf66-a84b-11de-a2ca-000c294065a1',	'Отделение №2 (до 30 кг на одно место): ул. Центральная, 4'),
(4472,	'66b1ee62-7404-11e5-8d8d-005056887b8d',	'12058c59-02c2-11de-9570-001d92f78697',	'Отделение №2 (до 30 кг): ул. Центральная, 25'),
(4473,	'67381462-92b5-11e5-a023-005056887b8d',	'f7062316-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): пл. Привоказальная, 21'),
(4474,	'31a45723-08f8-11e9-ad0d-005056b24375',	'06f87944-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Октябрьская, 7А'),
(4475,	'6a07e44c-c025-11e5-8478-005056887b8d',	'06f878fe-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Галицкая, 145в'),
(4476,	'6a0efa5d-8639-11e6-856b-005056887b8d',	'000655de-4079-11de-b509-001d92f78698',	'Отделение №2: (до 30 кг): Гагарина, 7'),
(4477,	'5a39e543-e1c2-11e3-8c4a-0050568002cf',	'db5c8924-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Сосновского, 46'),
(4478,	'5a39e544-e1c2-11e3-8c4a-0050568002cf',	'441f7f9c-a440-11dd-bcd8-001d92f78697',	'Відділення №2 (до 30 кг): ул. Свободы, 7'),
(4479,	'08b8e8c2-11f4-11ea-9295-005056b24375',	'8e1718f5-1972-11e5-add9-005056887b8d',	'Отделение №2: ул. Степной, 1а'),
(4480,	'40498340-e1c2-11e3-8c4a-0050568002cf',	'db5c8974-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): переул. Нагорный, 3'),
(4481,	'6c98fa0c-108c-11e8-ba66-005056b2fc3d',	'948a49c9-0416-11de-9570-001d92f78697',	'Отделение №2 (до 30 кг на одно место): просп. Шевченко, 1а'),
(4482,	'336de18c-e1c2-11e3-8c4a-0050568002cf',	'db5c8907-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Покровская (ран. Комсомольская), 57'),
(4483,	'f90b150c-f4a8-11e8-ad0d-005056b24375',	'06f87948-4079-11de-b509-001d92f78698',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Соборная, 83/26'),
(4484,	'edc1ff3b-5ebd-11ea-91e8-b8830365bd14',	'f583e224-3a89-11e5-add9-005056887b8d',	'Отделение №2 (до 15 кг) Пункт приема-выдачи, просп. Азовский, 1'),
(4485,	'f2ccc7fe-11f5-11ea-9295-005056b24375',	'5a182bb8-bfe7-11e3-9fa0-0050568002cf',	'Отделение №2 (до 30 кг): ул. Солидарности, 535/8'),
(4486,	'6f1a1684-d783-11e4-8a92-005056887b8d',	'f70622fa-4078-11de-b509-001d92f78698',	'Отделение № 2 (до 30 кг на одно место): ул. Шевченко, 12'),
(4487,	'6fc68e50-6c26-11e5-8d8d-005056887b8d',	'7833e61c-3b51-11de-913b-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Владимирская, 174'),
(4488,	'c80e75dd-05e3-11e9-ad0d-005056b24375',	'905c11b6-13d6-11e4-acce-0050568002cf',	'Отделение №2 (до 15 кг) Мини-отделение: Комарова, 38'),
(4489,	'719329fb-4dac-11e6-a9f2-005056887b8d',	'7833e610-3b51-11de-913b-001d92f78698',	'Отделение №2 (до 30 кг): ул. Будька, 3 (вход с ул. Полтавской)'),
(4490,	'71a5fec2-65df-11e5-8d8d-005056887b8d',	'f7062368-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одне место): ул. Шевченко, 3'),
(4491,	'f6a43cb7-f3f5-11e9-9c59-005056b24375',	'd48436af-e99c-11e0-be54-f5cb9f9fdf36',	'Отделение №2 (до 30 кг): ул. Шевченко, 98'),
(4492,	'47402eac-e1c2-11e3-8c4a-0050568002cf',	'f70622fc-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул Богдана Хмельницкого, 32'),
(4493,	'72f046e6-ea82-11e5-899e-005056887b8d',	'69da41ae-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Центральная, 56'),
(4494,	'94411f19-2401-11ea-8ac1-0025b502a04e',	'0db17b0a-4079-11de-b509-001d92f78698',	'Отделение №2 Мини-отделение (до 5 кг), ул. Вокзальная, 14'),
(4495,	'363c0344-c556-11e8-ad0d-005056b24375',	'06f87982-4079-11de-b509-001d92f78698',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Гагарина, 46'),
(4496,	'bc74c27b-d607-11e8-ad0d-005056b24375',	'4777faaf-7405-11e5-8d8d-005056887b8d',	'Отделение №2 (до 30 кг на одно место): ул. 40-лет Победы, 32'),
(4497,	'01ae2644-e1c2-11e3-8c4a-0050568002cf',	'e221d63f-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): просп. Шевченко, 5'),
(4498,	'74f95f67-a3f1-11e5-a023-005056887b8d',	'1097567b-8a89-11e0-8140-969cd9edcd68',	'Отделение №2 (до 30 кг на одно место): бульв. Шахтерской Славы, 7'),
(4499,	'1ea2007b-d2fa-11e9-b0c5-005056b24375',	'f7062382-4078-11de-b509-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Рынок, 13/2'),
(4500,	'225eed45-5c7c-11ea-b3f9-b8830365bd14',	'a269ff01-b93e-11e1-b40c-0026b97ed48a',	'Отделение №2 (до 30 кг), ул. Шевченко, 58г'),
(4501,	'b61ac370-fa1e-11e9-9c59-005056b24375',	'f70622ee-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Кочубея, 1'),
(4502,	'd1e1cf98-a197-11e9-b790-005056b24375',	'b1a78da1-cfab-11e0-baa0-c8912765d3f7',	'Отделение №2 (до 30 кг): ул. Шевченков Путь, 157'),
(4503,	'7a38d8d0-632b-11e4-acce-0050568002cf',	'db5c897d-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Невський квартал, 3-А'),
(4504,	'5a39e561-e1c2-11e3-8c4a-0050568002cf',	'db5c8938-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Садовая, 3'),
(4505,	'de19de15-3c50-11ea-8461-0025b502a04e',	'32001c2f-f173-11e8-ad0d-005056b24375',	'Отделение №2, ул. Киевский Путь, 121'),
(4506,	'7ba00152-3150-11e6-9e93-005056887b8d',	'10975677-8a89-11e0-8140-969cd9edcd68',	'Отделение №2 (до 30 кг на одно место): микрорайон Западный, 46 (помещение 68)'),
(4507,	'39931afb-e1c2-11e3-8c4a-0050568002cf',	'db5c88c9-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Маргитича Ивана (ран. Московская), 25, пом. 27'),
(4508,	'39931afc-e1c2-11e3-8c4a-0050568002cf',	'db5c891e-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Театральная, 18 (кинотеатр им. Л. Украинки)'),
(4509,	'39931b6c-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Пластова, 7'),
(4510,	'01ae25ef-e1c2-11e3-8c4a-0050568002cf',	'db5c895d-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Независимости (ран. Октябрьская), 18'),
(4511,	'0d545eef-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Вовчинецкая, 26'),
(4512,	'a95d7932-0d10-11ea-9295-005056b24375',	'69da41cf-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Первомайская, 2'),
(4513,	'f84b6bd4-1e4f-11e9-ad0d-005056b24375',	'f7062354-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): пл. Привокзальная, 2'),
(4514,	'a6d3f181-1280-11ea-9295-005056b24375',	'06f87902-4079-11de-b509-001d92f78698',	'Отделение №2 Мини-отделение (до 15 кг): ул. Ивана Франко, 1а'),
(4515,	'16922898-e1c2-11e3-8c4a-0050568002cf',	'e221d62a-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Большая Фонтанная (ран. Парижской Коммуны), 36'),
(4516,	'7fbf19f0-ca26-11e9-b0c5-005056b24375',	'd223f258-6621-11e3-b441-0050568002cf',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Садовая, 6'),
(4517,	'666e7ccf-d632-11e8-ad0d-005056b24375',	'69da415d-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Героев Майдана, 272-Ю'),
(4518,	'45cf1f9a-1d7f-11ea-9295-005056b24375',	'db5c88e7-391c-11dd-90d9-001a92567626',	'Оделение №2 (до 15 кг) Мини-отделение, ул. Ларионова, 128А'),
(4519,	'1ec09d70-e1c2-11e3-8c4a-0050568002cf',	'db5c8923-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг): ул. Братьев Лузанов (ран. Братьев Радченко), 51а'),
(4520,	'1ec09d91-e1c2-11e3-8c4a-0050568002cf',	'a491944c-6f85-11e2-9b72-d4ae52ab9fab',	'Отделение №2 (до 30 кг): ул. Доковская, 5б'),
(4521,	'08b8e8eb-11f4-11ea-9295-005056b24375',	'441f7f9a-a440-11dd-bcd8-001d92f78697',	'Отделение №2 (до 30 кг): ул. Сергея Яцковского, 30'),
(4522,	'51e4f022-f4a6-11e8-ad0d-005056b24375',	'8d7f3b7e-a2d7-11e4-a77a-005056887b8d',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Довженко, 46-А / 11'),
(4523,	'2bb8ce49-e1c2-11e3-8c4a-0050568002cf',	'db5c8934-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): квартал Восточный (ран. Октябрьской Революции), 5'),
(4524,	'01ae2637-e1c2-11e3-8c4a-0050568002cf',	'db5c892e-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Дубенская, 137'),
(4525,	'19ff90a8-ac46-11e8-ad0d-005056b24375',	'69da41c6-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Кирова, 1'),
(4526,	'89064d8e-a3e2-11e5-a023-005056887b8d',	'06f87900-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Независимости, 6а'),
(4527,	'890e0814-2ad3-11e5-add9-005056887b8d',	'c5f70e4e-4bd0-11dd-9198-001d60451983',	'Отделение № 2 (до 5 кг) Мини-отделение: ул. Покровськая, 57'),
(4528,	'898ddbb4-8789-11e4-acce-0050568002cf',	'69da41e1-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Шевченка, 53'),
(4529,	'ea5ea571-f4a2-11e8-ad0d-005056b24375',	'e57694f2-14cb-11e5-add9-005056887b8d',	'Отделение №2 (до 30 кг):  с./совет Фонтанская, Комплекс зданий и сооружений №1'),
(4530,	'533fda29-6771-11ea-91e8-b8830365bd14',	'c129b2c0-9942-11e3-b441-0050568002cf',	'Отделение №2 (до 30 кг) Пункт приема-выдачи, ул. Центральная, 1'),
(4531,	'47402ec8-e1c2-11e3-8c4a-0050568002cf',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Первомайская, 7а'),
(4532,	'd04ae719-11f2-11ea-9295-005056b24375',	'06af889f-3531-11e5-add9-005056887b8d',	'Отделение №2 Мини-отделение (до 5 кг): ул. Центральная, 15'),
(4533,	'8dcf782d-9cc2-11e5-a023-005056887b8d',	'000655d4-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Первомайская, 9А'),
(4534,	'8de82baf-b35f-11e4-a77a-005056887b8d',	'5be59f06-1f2e-11e1-a84e-0026b97ed48a',	'Отделение №2 (до 30 кг): ул. Трифонова, 28, оф. 30'),
(4535,	'4049830c-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Петропавловская, 62'),
(4536,	'8f24e49e-0551-11e6-899e-005056887b8d',	'17e0c2cb-b5b9-11dd-81ea-001d92f78697',	'Отделение №2 (до 30 кг): вул. Тимирязева, 21'),
(4537,	'911c811c-a62c-11e4-a77a-005056887b8d',	'db5c8970-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Освободителей, 102, 2'),
(4538,	'913baf95-8c29-11e4-acce-0050568002cf',	'69da41f3-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Гагарина, 17 А'),
(4539,	'917916ec-12b3-11e6-971e-005056887b8d',	'06f87910-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Покровская, 21а'),
(4540,	'926da6bf-2165-11e5-add9-005056887b8d',	'b61307c2-3f59-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Независимоти, 54'),
(4541,	'f6741386-6204-11e9-898c-005056b24375',	'db5c88d3-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Инзовская 1/3'),
(4542,	'931556d6-3807-11e8-a3de-005056b2fc3d',	'f706233e-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): Герцена, 2Д'),
(4543,	'93a2461e-c024-11e5-8478-005056887b8d',	'db5c88e6-391c-11dd-90d9-001a92567626',	'Отделение №2(до 30 кг): ул. Ковпака, 2а'),
(4544,	'9461e01d-6801-11e5-8d8d-005056887b8d',	'e03f3aa9-a05d-11e3-9fa0-0050568002cf',	'Отделение №2 (до 30 кг на одно место): ул. Богдана Хмельницкого, 5 пом. 81'),
(4545,	'9678fe37-abc8-11e6-b5da-005056887b8d',	'3425bc36-adb8-11e3-9fa0-0050568002cf',	'Отделение №2 (до 30 кг): ул. Героев Майдана, 11, пом. 64'),
(4546,	'96796755-352f-11e5-add9-005056887b8d',	'c2647f08-5261-11e1-8fd9-0026b97ed48a',	'Отделение №2 (до 30 кг): ул. Строителей, 15'),
(4547,	'1ec09d86-e1c2-11e3-8c4a-0050568002cf',	'2f74cb90-c870-11dd-88ed-001d92f78697',	'Отделение №2 (до 30 кг): ул. Шевченка, 33'),
(4548,	'97a75063-166b-11e5-add9-005056887b8d',	'f7062348-4078-11de-b509-001d92f78698',	'Отделение № 2 (до 30 кг): ул. Украинская, 126д (територия рынка)'),
(4549,	'7b422fc7-e1b8-11e3-8c4a-0050568002cf',	'f706230e-4078-11de-b509-001d92f78698',	'Отделение №2: (до 30 кг): ул. Независимости, 22'),
(4550,	'1692286d-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Игоря Сердюка (ран. Октябрьская),31/16(Центр)'),
(4551,	'1692283a-e1c2-11e3-8c4a-0050568002cf',	'28c71388-4ca6-11e1-9bbf-0026b97ed48a',	'Отделение №2 (до 30 кг): микрорайон Ювилейный №1, рынок Южный, киоск № 102'),
(4552,	'47402e67-e1c2-11e3-8c4a-0050568002cf',	'db5c895b-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Дибровы, 16'),
(4553,	'47402e6a-e1c2-11e3-8c4a-0050568002cf',	'db5c8955-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг на одно место): ул. Воли, 9'),
(4554,	'47402e6c-e1c2-11e3-8c4a-0050568002cf',	'db5c8953-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): просп. Победы, 19 (напротив Водоканала)'),
(4555,	'9fbed36b-1bc8-11e4-acce-0050568002cf',	'db5c8942-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг): ул. Единства (ран. Советская), 80'),
(4556,	'a05242c7-9cbb-11e5-a023-005056887b8d',	'f7062350-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Центральная, 101'),
(4557,	'cbd4f651-e0d7-11e8-ad0d-005056b24375',	'69da419f-3f5d-11de-b509-001d92f78698',	'Отделение №2: ул. Кутузова, 3'),
(4558,	'511fcfad-e1c2-11e3-8c4a-0050568002cf',	'db5c88e3-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Одеская (ран. Кирова), 16/6'),
(4559,	'9755180a-1bf9-11ea-a034-0025b502a04e',	'956452b3-4748-11dd-9198-001d60451983',	'Отделение №2 (до 30 кг), ул. Старопутивльская, 47'),
(4560,	'2bb8cebc-e1c2-11e3-8c4a-0050568002cf',	'a6ae40f9-8f07-11e3-b441-0050568002cf',	'Отделение №2 (до 30кг на одно место): ул. Шевченко, 3а'),
(4561,	'a7728d59-a6e8-11e4-a77a-005056887b8d',	'69da41b4-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Центральная (ран. Ленина), 145'),
(4562,	'a90f3d81-ef33-11e5-899e-005056887b8d',	'441f7f96-a440-11dd-bcd8-001d92f78697',	'Отделение №2 (до 30 кг): ул. Александрийская, 157в'),
(4563,	'47402e84-e1c2-11e3-8c4a-0050568002cf',	'e221d62b-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Л.Толстого, 6'),
(4564,	'04d02c7d-ca96-11e9-b0c5-005056b24375',	'f9687167-d4f7-11e2-874c-d4ae527baec3',	'Отделение №2 (до 15 кг): Мини-отделение, ул. Шевченко, 33а / 1'),
(4565,	'aa774c76-96cc-11e6-a4c1-005056887b8d',	'586d9b83-c5dc-11e1-86b4-0026b97ed48a',	'Отделение №2 (до 30 кг): ул. Победы, д.12'),
(4566,	'47402ea9-e1c2-11e3-8c4a-0050568002cf',	'db5c8913-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): бульв. Независимости, 6'),
(4567,	'f0e07afa-ebdb-11e8-ad0d-005056b24375',	'f7062386-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Ивана Франка, 6а'),
(4568,	'af50b4f8-9fd7-11e4-a77a-005056887b8d',	'06f87974-4079-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Героев Днепра, 35'),
(4569,	'29c96675-bca1-11e8-ad0d-005056b24375',	'e5dd3d23-3b29-11de-913b-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение: пер. Пионерский, 6'),
(4570,	'47402ec1-e1c2-11e3-8c4a-0050568002cf',	'f7062358-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Ковельская, 132/1'),
(4571,	'b12cd995-520e-11e5-8d8d-005056887b8d',	'f70622d6-4078-11de-b509-001d92f78698',	'Отделение № 2 (до 30 кг): ул. Мицкевича, 67'),
(4572,	'5417c0f5-0459-11e9-ad0d-005056b24375',	'f706237e-4078-11de-b509-001d92f78698',	'Отделение №2 (до 5 кг на одно место) Мини-отделение: ул. Перемышльская, 27'),
(4573,	'90935439-c019-11e8-ad0d-005056b24375',	'06f8797a-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Ярослава Мудрого, 373'),
(4574,	'b2eab4c3-6983-11e8-9d95-005056b2fc3d',	'f70622dc-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Марка Черемшины, 2Б'),
(4575,	'b7f372cb-da3a-11e5-8478-005056887b8d',	'f7062342-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): пл. Привокзальная'),
(4576,	'ba7cd35c-812f-11e8-8acc-005056b2fc3d',	'f70622fe-4078-11de-b509-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Липовецкая, 16'),
(4577,	'79825ae2-d123-11e8-ad0d-005056b24375',	'06f878ec-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Уральских танкистов, 1а'),
(4578,	'bae4d037-8982-11e5-b6f7-005056887b8d',	'06f87904-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Белецкая 12/2'),
(4579,	'bb354156-897d-11e5-b6f7-005056887b8d',	'ae7a32ba-0d45-11de-b6f5-001d92f78697',	'Отделение №2 (до 30 кг на одно место): ул. Октябрьская, 1'),
(4580,	'7df64a92-1bf7-11ea-a034-0025b502a04e',	'69da41f6-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг), ул. Морская, 58'),
(4581,	'bbec4891-e37f-11e4-8a92-005056887b8d',	'91214bc9-5d2c-11dd-b180-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Гоголя, 65'),
(4582,	'bf2a890d-1670-11e5-add9-005056887b8d',	'00065620-4079-11de-b509-001d92f78698',	'Отделение № 2 (до 30 кг на одно место): ул. Ивана Франко, 2а (ТЦ Гранд)'),
(4583,	'4c46c923-3854-11ea-8461-0025b502a04e',	'e7b04312-c15d-11e8-ad0d-005056b24375',	'Отделение №2 (до 5 кг) Мини-отделение, шоссе Днепровское-1, 16'),
(4584,	'886ee2df-0d01-11e9-ad0d-005056b24375',	'a4502bea-577e-11de-b9fc-0021918b679a',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Шевченко, 39А/10'),
(4585,	'a90daf4e-0211-11e9-ad0d-005056b24375',	'69da41c0-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Богдана Хмельницкого, 3'),
(4586,	'c0a9d224-329b-11e8-a3de-005056b2fc3d',	'f7062388-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): просп. Шевченка, 32'),
(4587,	'6f1ccaa6-1ee1-11e9-ad0d-005056b24375',	'06f87962-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Мирная, 92д'),
(4588,	'0d545ed4-e1c2-11e3-8c4a-0050568002cf',	'db5c896f-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Монастырская (ран. Щучки), 4ж'),
(4589,	'c4b0b85a-60f8-11e4-acce-0050568002cf',	'b61307bf-3f59-11de-b509-001d92f78698',	'Отделение №2 ( до 30 кг): ул. Соборности, 6'),
(4590,	'c5bbe79c-bf7c-11e5-8478-005056887b8d',	'f70622e2-4078-11de-b509-001d92f78698',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Шевченко, 99Б'),
(4591,	'c73e46af-89b2-11e4-acce-0050568002cf',	'0006561e-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Пролетарская, 44'),
(4592,	'c75cdb19-f60b-11e7-ba66-005056b2fc3d',	'955e957a-d525-11e0-a0c3-b20c8c0df681',	'Отделение №2 (до 30 кг): ул. Днепровская, 30'),
(4593,	'c7d5fac9-8428-11e4-acce-0050568002cf',	'db5c88f7-391c-11dd-90d9-001a92567626',	'Отделение №2: ул. Базарная, 4 (маг. &quot;Монолит&quot;)'),
(4594,	'4049835b-e1c2-11e3-8c4a-0050568002cf',	'db5c8985-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Коссака, 6/58'),
(4595,	'4049835c-e1c2-11e3-8c4a-0050568002cf',	'db5c88f6-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Бориславская, 2'),
(4596,	'0d545f62-e1c2-11e3-8c4a-0050568002cf',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №2 (до 30 кг): ул. Леси Украинки, 19'),
(4597,	'1ec09dbe-e1c2-11e3-8c4a-0050568002cf',	'db5c8936-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. 1-й микрорайон, 17/4'),
(4598,	'cd72a3a4-24d7-11e7-95d1-005056887b8d',	'7833e612-3b51-11de-913b-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Победы, 6'),
(4599,	'b25dcf2a-af6c-11e8-ad0d-005056b24375',	'df48bd59-7c23-11e3-b441-0050568002cf',	'Отделение №2 (до 30 кг): ул. Киевская, 17'),
(4600,	'adb429eb-b022-11e8-ad0d-005056b24375',	'73ada2c8-1986-11e5-add9-005056887b8d',	'Отделение №2 (до 30 кг на одно место): ул. Зеленая, 9'),
(4601,	'00f24410-11d8-11ea-9295-005056b24375',	'69da4154-3f5d-11de-b509-001d92f78698',	'Отделение №2 Мини-отделение (до 15 кг): ул. Горького, 6-А'),
(4602,	'd2e94df6-7e34-11e5-b6f7-005056887b8d',	'db5c88ca-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 10 кг) Мини-отделение: ул. Мукачевская, 1 90'),
(4603,	'd69344a7-480a-11ea-9b37-0025b502a04e',	'4d2bd895-cbe3-11e5-8478-005056887b8d',	'Отделение №2 (до 10 кг) Мини-отделение, ул. Киевская, 4а'),
(4604,	'd45eb9bc-6737-11e5-8d8d-005056887b8d',	'0006560c-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг) Мини-отделение: ул. Школьная, 42'),
(4605,	'a90daf36-0211-11e9-ad0d-005056b24375',	'a9522a7e-eaf5-11e7-ba66-005056b2fc3d',	'Отделение №2 (до 2 кг) Мини-отделение: ул. Комунальная, 3'),
(4606,	'd67326ab-b36a-11e4-a77a-005056887b8d',	'db5c8972-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30кг): пл. Рынок, 30/10'),
(4607,	'd6f547de-473a-11e5-8d8d-005056887b8d',	'f7062360-4078-11de-b509-001d92f78698',	'Отделение №2: ул. 1-го мая,  127а'),
(4608,	'd7f53a12-877b-11e5-b6f7-005056887b8d',	'f706230c-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Литвиненко, 23'),
(4609,	'0d545f4a-e1c2-11e3-8c4a-0050568002cf',	'db5c88c0-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Чайковского, 41'),
(4610,	'd3b067c4-fc6e-11e8-ad0d-005056b24375',	'383f0532-4a9b-11e2-889f-001631fa0467',	'Отделение №2 (до 30 кг на одно место): ул. Киевская, 94'),
(4611,	'ddf7f350-5dd2-11e5-8d8d-005056887b8d',	'f70622f0-4078-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Центральная, 248/1'),
(4612,	'2bb8ce65-e1c2-11e3-8c4a-0050568002cf',	'c335d9f1-bf5e-11e1-bdef-0026b97ed48a',	'Отделение №2 (до 30 кг): просп. Днепровский, 5'),
(4613,	'def294c5-aefc-11e5-8478-005056887b8d',	'db5c88db-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Ивана Франко, 35'),
(4614,	'e109e20f-67ee-11e8-9d95-005056b2fc3d',	'06f8796a-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одне місце): ул. Соборная, 121'),
(4615,	'f60ec59f-3f56-11e9-acea-005056b24375',	'06f8790a-4079-11de-b509-001d92f78698',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Ольбрахта, 24'),
(4616,	'eb2fb313-11bb-11ea-9295-005056b24375',	'f706237a-4078-11de-b509-001d92f78698',	'Отделение №2 Мини-отделение (до 5 кг): ул. Маковея, 66'),
(4617,	'3afccf6d-1bf6-11ea-a034-0025b502a04e',	'69da4199-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг), ул. Соборная, 27в'),
(4618,	'e30b48dc-7e33-11e5-b6f7-005056887b8d',	'5b0cc18d-a8ee-11e3-9fa0-0050568002cf',	'Отделение №2 (до 30 кг): ул. Единства, 2'),
(4619,	'0d545efb-e1c2-11e3-8c4a-0050568002cf',	'db5c88da-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг): ул. Грушевского, 10'),
(4620,	'336de1b0-e1c2-11e3-8c4a-0050568002cf',	'00065614-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Грушевского, 20'),
(4621,	'0d545f5c-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Шевченко, 88'),
(4622,	'073f59ef-65c2-11e9-898c-005056b24375',	'b316568b-2471-11e4-acce-0050568002cf',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Ивасюка, 42В'),
(4623,	'9671189c-0d06-11e9-ad0d-005056b24375',	'dac09f79-7708-11e1-8934-0026b97ed48a',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Энтузиастов, 3'),
(4624,	'edf231af-7f1a-11e5-b6f7-005056887b8d',	'441f7f94-a440-11dd-bcd8-001d92f78697',	'Отделение №2 (до 30 кг): ул. Виктора Голого, 77, кв.6'),
(4625,	'edfcbec5-f86d-11e4-8a92-005056887b8d',	'66e45fac-34cc-11e3-b441-0050568002cf',	'Отдление № 2 (до 30 кг): ул. Богдана Хмельницкого, 24а'),
(4626,	'ef64e5a8-7df7-11e8-9d95-005056b2fc3d',	'9e8561d5-f1a0-11e1-a58d-d4ae527baec9',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Соборная, 47'),
(4627,	'e77e57b5-e9ac-11e8-ad0d-005056b24375',	'69da41a2-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Комсомольская, 103 ж'),
(4628,	'b862634e-56a7-11e9-acea-005056b24375',	'dfdc9db1-ace7-11dd-8b61-001d92f78697',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Булаенка, 8а'),
(4629,	'f00d620f-c024-11e5-8478-005056887b8d',	'e221d621-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг): ул. Днепровская, 13'),
(4630,	'f053a3d5-7d4e-11e5-b6f7-005056887b8d',	'06f87928-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): пл. Независимости, 7'),
(4631,	'f05d4c7a-d95e-11e5-8478-005056887b8d',	'17b483f5-03f3-11de-9570-001d92f78697',	'Отделение №2 (до 30 кг): ул. Буковинская, 18'),
(4632,	'16922875-e1c2-11e3-8c4a-0050568002cf',	'f7062332-4078-11de-b509-001d92f78698',	'Отделение №2: (до 30 кг на одно место) ул. Ольгерда Бочковского, 9а'),
(4633,	'71986748-0aa1-11e9-ad0d-005056b24375',	'69da4187-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Советская, 185а'),
(4634,	'edde55d7-1290-11ea-9295-005056b24375',	'ea398304-3d40-11e2-8c54-d4ae52ab9fab',	'Отделение №2 Мини-отделение (до 15 кг): ул. Лосятинская, 10'),
(4635,	'f2291e23-9947-11e8-ad0d-005056b24375',	'69da4184-3f5d-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Центральная, 26а'),
(4636,	'f451bea8-9448-11e5-a023-005056887b8d',	'06f87956-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Шевченко, 6'),
(4637,	'b8626334-56a7-11e9-acea-005056b24375',	'b6e8345e-a929-11e0-91c2-e85e90109097',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Независимости, 15'),
(4638,	'47402e57-e1c2-11e3-8c4a-0050568002cf',	'76678793-8289-11dd-96a9-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул.  Широкомагерская, 1'),
(4639,	'47402e94-e1c2-11e3-8c4a-0050568002cf',	'db5c8925-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): пл. Победы, 16'),
(4640,	'2bb8ceb8-e1c2-11e3-8c4a-0050568002cf',	'00065618-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. Шевченка, 47а'),
(4641,	'8765412d-1173-11ea-9295-005056b24375',	'762301d8-a3a4-11e3-9fa0-0050568002cf',	'Отделение №2 (до 30 кг): ул. Рабочая, 19в'),
(4642,	'78a2fe4e-fafa-11e9-9c59-005056b24375',	'2d0743b0-9acf-11e3-b441-0050568002cf',	'Отделение №2 (до 30 кг): ул. Мариинская, 5, офис 7'),
(4643,	'f97c36b4-269d-11e8-a14c-005056b2fc3d',	'f70622e0-4078-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг на одно место): ул. Леси Украинки, 12'),
(4644,	'fb56c167-0fa5-11e7-95d1-005056887b8d',	'35d676dd-7560-11de-a214-002219c743f6',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Лесная, 1Б'),
(4645,	'fb8b5d0a-8ea4-11e5-a023-005056887b8d',	'17b483f8-03f3-11de-9570-001d92f78697',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Независимости, 36'),
(4646,	'fc00fc3f-62a8-11e5-8d8d-005056887b8d',	'12058c5b-02c2-11de-9570-001d92f78697',	'Отделение №2 (до 30 кг): ул. Олимпийская, 80 (БЦ &quot;Капитал&quot;)'),
(4647,	'fc87ec1d-4d57-11e5-8d8d-005056887b8d',	'697a860d-3f4f-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг): ул. 8-ма Гвардейская, 62'),
(4648,	'7f7819d3-1334-11e9-ad0d-005056b24375',	'e5dd3d29-3b29-11de-913b-001d92f78698',	'Отделение №2 (до 30 кг): ул. Медицинская, 42а'),
(4649,	'00f3b06d-febd-11e4-8a92-005056887b8d',	'db5c8982-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг): ул. Мира, 5 (возле рес-на &quot;Икар&quot;)'),
(4650,	'db38490f-67f5-11e9-898c-005056b24375',	'69da419c-3f5d-11de-b509-001d92f78698',	'Отделение №3 (до 15 кг) Мини-отделение: ул. Центральная, 86А'),
(4651,	'16922852-e1c2-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): просп. Победы, 139'),
(4652,	'511fcfa6-e1c2-11e3-8c4a-0050568002cf',	'db5c895b-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 111'),
(4653,	'031cce33-cbbd-11e4-a77a-005056887b8d',	'db5c8907-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30кг): ул. Клушина, 7'),
(4654,	'88a0d161-10e2-11ea-9295-005056b24375',	'1097567b-8a89-11e0-8140-969cd9edcd68',	'Отделение №3 (до 30 кг на одно место): ул. Соленая, 114'),
(4655,	'39931b03-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): просп. Соборности, 1-А'),
(4656,	'01ae260f-e1c2-11e3-8c4a-0050568002cf',	'ae7a32c0-0d45-11de-b6f5-001d92f78697',	'Отделение №3 (до 30 кг): ул. Киевская, 186 (возле банка &quot;Аваль&quot;)'),
(4657,	'09a5df4d-3dff-11e6-a9f2-005056887b8d',	'db5c88e3-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Киевская, 247/2'),
(4658,	'5a39e582-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): просп. Свободы (ран. 60-летия Октября), 77'),
(4659,	'169227dc-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Дальницкая, 23/4'),
(4660,	'10b17465-0b7c-11e5-8a92-005056887b8d',	'e221d650-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): просп. Соборности (ран. Коммунистический), 8'),
(4661,	'1369116a-7d4f-11e5-b6f7-005056887b8d',	'2959a2a4-6183-11e3-b441-0050568002cf',	'Отделение №3 (до 30 кг): ул. Надежды, 21'),
(4662,	'31e69a88-7197-11e9-898c-005056b24375',	'db5c88f7-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Соборна (Ленина), 15'),
(4663,	'16922811-e1c2-11e3-8c4a-0050568002cf',	'db5c88c0-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 5 кг), Мини-отделение: ул. Гагарина, 2/2'),
(4664,	'1c779f25-96cb-11e6-a4c1-005056887b8d',	'06f878fe-4079-11de-b509-001d92f78698',	'Отделение №3 (до 15 кг) Мини-отделение: Галицкая, 19а/1'),
(4665,	'511fcfc1-e1c2-11e3-8c4a-0050568002cf',	'db5c8970-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. 30 лет Победы, 12а'),
(4666,	'24dfeddc-1e28-11e4-acce-0050568002cf',	'db5c890b-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Спортивная (ран. Гайдара), 5'),
(4667,	'40498335-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №3: просп. Адмирала Сенявина, 27'),
(4668,	'16922833-e1c2-11e3-8c4a-0050568002cf',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №3: с. Мартусовка, ул. Моисеева, 70'),
(4669,	'1ec09d2c-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №3: с. Петриков, ул. Западная, 2'),
(4670,	'1ec09d34-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Сицинского (ран. Ватутина), 11'),
(4671,	'7b422faf-e1b8-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Героев Крут, д. 60/3'),
(4672,	'7b422fbb-e1b8-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Тюринская (ран. Якира), 124'),
(4673,	'7b422fc2-e1b8-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Тверская, 1'),
(4674,	'7b422fc3-e1b8-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Калачевская, 13 (Старая Дарница)'),
(4675,	'1692288f-e1c2-11e3-8c4a-0050568002cf',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Васильева, 1'),
(4676,	'16922890-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): просп. Металлургов, 6 б'),
(4677,	'2df78919-3e93-11e6-a9f2-005056887b8d',	'db5c8909-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Гоголя, 12'),
(4678,	'31c64438-e7f0-11e4-8a92-005056887b8d',	'e221d63f-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг): ул. Королева, 12'),
(4679,	'ef13786f-74ad-11ea-91e8-b8830365bd14',	'35d676dd-7560-11de-a214-002219c743f6',	'Отделение №3 Мини-отделение (до 15 кг), ул. Курчатова, 3-А'),
(4680,	'35452194-33de-11e8-a3de-005056b2fc3d',	'db5c88d9-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Новое Шоссе, 8а'),
(4681,	'39931b10-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Угорская, 22 (заезд с ул. Луганской)'),
(4682,	'62e7d36c-2571-11ea-8ac1-0025b502a04e',	'203f1d66-1eb5-11e3-b000-0050568002cf',	'Отделение №3 Мини-отделение (до 15 кг), ул. Шоссейная, 1-Т'),
(4683,	'e7288871-9833-11e9-898c-005056b24375',	'06f87906-4079-11de-b509-001d92f78698',	'Отделение №3 (до 15 кг) Мини-отделение: ул. Киевская, 8'),
(4684,	'3bfd5a63-cbd2-11e4-a77a-005056887b8d',	'db5c895d-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Армейская (ран. Красноармейская), 89б'),
(4685,	'ed8e6a80-11c5-11ea-9295-005056b24375',	'06f87974-4079-11de-b509-001d92f78698',	'Отделение №3 Мини отделения (до 5 кг): ул. Воровского, 34'),
(4686,	'1ec09d23-e1c2-11e3-8c4a-0050568002cf',	'db5c88f6-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. М. Грушевского, 42'),
(4687,	'5a39e59a-e1c2-11e3-8c4a-0050568002cf',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Героев УПА (ран. Генерала Кирпоноса), 3'),
(4688,	'39931b8a-e1c2-11e3-8c4a-0050568002cf',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Науки, 22'),
(4689,	'6938d89e-1bfb-11ea-a034-0025b502a04e',	'dfdc9db1-ace7-11dd-8b61-001d92f78697',	'Мини-отделение, ул. Грушевского, 33Б'),
(4690,	'4bc683f7-2f5e-11e4-acce-0050568002cf',	'28c71388-4ca6-11e1-9bbf-0026b97ed48a',	'Отделение №3 (до 30 кг на одно место): ул. Рыночная, 1'),
(4691,	'1692286b-e1c2-11e3-8c4a-0050568002cf',	'db5c8924-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Ольгинская, 4'),
(4692,	'a5773363-29f0-11e9-acea-005056b24375',	'69da4160-3f5d-11de-b509-001d92f78698',	'Отделение №3 (до 5 кг) Мини-отделение: ул. Леонтовича, 80/1'),
(4693,	'1ec09d66-e1c2-11e3-8c4a-0050568002cf',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг): ул. 50-летия Победы, 29'),
(4694,	'87adffaa-65c9-11e9-898c-005056b24375',	'db5c892e-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 10 кг) Мини-отделение: проул. Шевченко, 1а'),
(4695,	'5a39e578-e1c2-11e3-8c4a-0050568002cf',	'db5c8953-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Митрополита Шептицкого, 23'),
(4696,	'58fea3e2-4ecb-11e8-a3de-005056b2fc3d',	'e221d648-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Кожедуба, 1'),
(4697,	'169227fe-e1c2-11e3-8c4a-0050568002cf',	'db5c8962-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Николая Винграновского (ран. Советская), 39'),
(4698,	'62a6f91b-1c7b-11e4-acce-0050568002cf',	'db5c88dc-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): просп. Тараса Шевченка, 2д'),
(4699,	'1ec09d8a-e1c2-11e3-8c4a-0050568002cf',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №3: просп. Восточный, 146 в'),
(4700,	'64e69782-557c-11e6-a9f2-005056887b8d',	'69da41b4-3f5d-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг на одно место): ул. Донецкая, 58'),
(4701,	'6531459a-3ebe-11e6-a9f2-005056887b8d',	'f5554065-5712-11e1-a283-0026b97ed48a',	'Отделение №3 (до 30 кг на одно место): ул. И. Франко, 1'),
(4702,	'654e24fe-9cc1-11e5-a023-005056887b8d',	'db5c88da-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): микрорайон Военный городок, 11, дом 5а'),
(4703,	'bab720a4-11da-11ea-9295-005056b24375',	'7dbedf7f-0b93-11e5-8a92-005056887b8d',	'Отделение №3 Мини-отделение (до 15 кг): ул. Независимости, 65'),
(4704,	'01ae261e-e1c2-11e3-8c4a-0050568002cf',	'e221d64b-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Героев Небесной Сотни, 74'),
(4705,	'01ae263e-e1c2-11e3-8c4a-0050568002cf',	'db5c8980-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Независимости (ран. Ленина), 73'),
(4706,	'696fd5fe-9bf7-11e4-acce-0050568002cf',	'db5c892a-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Почтовая (ран. Социалистическая), 12'),
(4707,	'5283d869-af4c-11e8-ad0d-005056b24375',	'ae7a32be-0d45-11de-b6f5-001d92f78697',	'Отделение №3 (до 30 кг): ул. Курортная, 35'),
(4708,	'5a39e542-e1c2-11e3-8c4a-0050568002cf',	'db5c88c5-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Европейская, 56'),
(4709,	'2bb8ce94-e1c2-11e3-8c4a-0050568002cf',	'db5c8936-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг): ул. Соборная (ран. Володарского), 23'),
(4710,	'6bc67e19-3f62-11e6-a9f2-005056887b8d',	'e221d62b-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Галафеева, 43а'),
(4711,	'5a39e538-e1c2-11e3-8c4a-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Островная, 9А'),
(4712,	'336de189-e1c2-11e3-8c4a-0050568002cf',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг на одно место): просп. Трубников, 32, кв. 1-2'),
(4713,	'6d17b5fc-d978-11e6-95d1-005056887b8d',	'b3ecdf66-a84b-11de-a2ca-000c294065a1',	'Отделение №3 (до 30 кг на одно место): ул. Казацкая, 19'),
(4714,	'74660370-d638-11e8-ad0d-005056b24375',	'f7062338-4078-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг) Мини-отделение: ул. Центральная, 2'),
(4715,	'710aab74-3c1c-11e5-add9-005056887b8d',	'db5c8972-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Шевченко, 25/5'),
(4716,	'74241981-9055-11e6-856b-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): просп. Победы,10'),
(4717,	'169227f0-e1c2-11e3-8c4a-0050568002cf',	'f7062358-4078-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг): ул. Князя Василько, 8б'),
(4718,	'644de30b-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Кропивницкого, 29в'),
(4719,	'0d545ee6-e1c2-11e3-8c4a-0050568002cf',	'76678793-8289-11dd-96a9-001d92f78698',	'Отделение №3 (до 30 кг):  ул. Шевченко, 109'),
(4720,	'47402ebd-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Айвазовского, 9 (правый берег)'),
(4721,	'01ae25ed-e1c2-11e3-8c4a-0050568002cf',	'db5c88c9-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Осипенка, 35в'),
(4722,	'cbd83787-d2cb-11e8-ad0d-005056b24375',	'948a49c9-0416-11de-9570-001d92f78697',	'Отделение №3 (до 5 кг), Мини-отделение: ул. Банковая, 45'),
(4723,	'1ec09dac-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Большая Перспективная, 40'),
(4724,	'8974caf1-a62d-11e4-a77a-005056887b8d',	'f706234a-4078-11de-b509-001d92f78698',	'Отделение № 3 (до 30 кг на одно место): ул. Ватутина, 66'),
(4725,	'8997eeca-9bbf-11e4-acce-0050568002cf',	'db5c88d6-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг): ул. Седова, 13'),
(4726,	'dbfda15f-4809-11ea-9b37-0025b502a04e',	'a9522a7e-eaf5-11e7-ba66-005056b2fc3d',	'Отделение №3 (до 15 кг), ул. Гагарина, 12-а'),
(4727,	'4049830d-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): бульв. Шевченко, 150'),
(4728,	'91142a21-0b6d-11e5-8a92-005056887b8d',	'db5c8913-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): пл. Героев, 14'),
(4729,	'47402eb0-e1c2-11e3-8c4a-0050568002cf',	'db5c8938-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Монастырская, 71'),
(4730,	'ca9475f4-fd2d-11e8-ad0d-005056b24375',	'69da41f3-3f5d-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг): ул. Православная, 23 (возле железнодорожного вокзала)'),
(4731,	'1ec09d62-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Электронная, 81/7'),
(4732,	'01ae25c9-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Коломыйская, 9г (территория ООО &quot;Холод Сервис&quot;)'),
(4733,	'9b59ef32-5ebf-11ea-91e8-b8830365bd14',	'69da41f6-3f5d-11de-b509-001d92f78698',	'Отделение №3 (до 10 кг) Пункт приема-выдачи, ул. Соборная, 112'),
(4734,	'1ec09db3-e1c2-11e3-8c4a-0050568002cf',	'e221d64c-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): пер. Шевченко, 2'),
(4735,	'a4f45bd0-3dff-11e6-a9f2-005056887b8d',	'10975677-8a89-11e0-8140-969cd9edcd68',	'Отделение №3: ул. Центральная, 18'),
(4736,	'0270d403-fbb2-11e9-9c59-005056b24375',	'db5c896e-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Водопроводная, 21б'),
(4737,	'47402e85-e1c2-11e3-8c4a-0050568002cf',	'db5c8958-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Киевская, 60а'),
(4738,	'a94702bc-6e8b-11e5-8d8d-005056887b8d',	'06f8793e-4079-11de-b509-001d92f78698',	'Отделение №3 (до 15 кг): ул. Ярослава Мудрого, 62А'),
(4739,	'ae3f7301-e113-11e5-899e-005056887b8d',	'e221d63c-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Львовская, 79'),
(4740,	'b047e022-9c9d-11e4-acce-0050568002cf',	'db5c88d1-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 15 кг), Мини-отделение: ул. Тимчишина, 8 (маг.&quot;ТАВРИЯ В&quot;)'),
(4741,	'336de19c-e1c2-11e3-8c4a-0050568002cf',	'db5c8903-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Обухова, 20'),
(4742,	'b3fa47f8-cbda-11e4-a77a-005056887b8d',	'db5c8985-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг): ул. Почтовая, 5'),
(4743,	'b435b495-5df6-11e5-8d8d-005056887b8d',	'b61307bf-3f59-11de-b509-001d92f78698',	'Отделение №3 (до 5 кг) Мини-отделение: ул. 1мая, 54'),
(4744,	'b43c36d2-f859-11e3-8c4a-0050568002cf',	'db5c8951-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг на одно место): ул. Рыбачья (ран. Куйбышева), 5'),
(4745,	'336de1a4-e1c2-11e3-8c4a-0050568002cf',	'db5c8934-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Макаренко, 208'),
(4746,	'b631baf2-7065-11e8-9d95-005056b2fc3d',	'db5c88db-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Станционная, 56/1'),
(4747,	'40498353-e1c2-11e3-8c4a-0050568002cf',	'db5c8955-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Пушкина 8, пом. 10-А (возле маг. «Фора»)'),
(4748,	'cbca91c2-8144-11e9-898c-005056b24375',	'06f8796a-4079-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг): ул. Армейская (ран. Самборского), 27'),
(4749,	'1da71b4f-6772-11ea-91e8-b8830365bd14',	'f583e224-3a89-11e5-add9-005056887b8d',	'Отделение №3 (до 15 кг) Пункт приема-выдачи, ул. Центральна, 1'),
(4750,	'bf117744-6e79-11e5-8d8d-005056887b8d',	'db5c8925-391c-11dd-90d9-001a92567626',	'Отделение №3: ул. Громова, 6'),
(4751,	'a9459326-ba7d-11e8-ad0d-005056b24375',	'db5c88ca-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Мужайская, 54 &quot;А&quot;'),
(4752,	'0d545f6b-e1c2-11e3-8c4a-0050568002cf',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг), пгт. Гостомель, ул. Свято-Покровская (ран. Ленина), 84б'),
(4753,	'c6451631-0b63-11e5-8a92-005056887b8d',	'00065616-4079-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг): ул. Привокзальная, 25'),
(4754,	'4049832f-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Железнодорожная, 4'),
(4755,	'40498331-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одне место): ул. Покровская (ран. Щорса), 20'),
(4756,	'0d545ef2-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отдление №3: ул. Дубенская БОС, 1 (возле кафе &quot;Звёздочка&quot;)'),
(4757,	'1df602fd-c574-11e8-ad0d-005056b24375',	'c5f70e4c-4bd0-11dd-9198-001d60451983',	'Отделение №3 (до 10 кг) Мини-отделение: ул. Единства, 15'),
(4758,	'cfaf5306-3f5b-11e6-a9f2-005056887b8d',	'db5c896f-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Маяковского, 86, пом. 64'),
(4759,	'4049833f-e1c2-11e3-8c4a-0050568002cf',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Ярослава Мудрого (ран. 19-го Партсъезда), 39'),
(4760,	'd1930878-f77f-11e3-8c4a-0050568002cf',	'441f7f9e-a440-11dd-bcd8-001d92f78697',	'Отделение №3 (до 30 кг на одно место): ул. Михаила Грушевского (ран. Буденного), 76'),
(4761,	'd194b4d0-b36c-11e4-a77a-005056887b8d',	'db5c891f-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Пекарська, 7'),
(4762,	'01ae2620-e1c2-11e3-8c4a-0050568002cf',	'db5c8923-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Клубная, 8'),
(4763,	'2bb8cebf-e1c2-11e3-8c4a-0050568002cf',	'441f7f9c-a440-11dd-bcd8-001d92f78697',	'Отделение №3 (до 30 на одно место): ул. Грушевского, 119'),
(4764,	'0d545f49-e1c2-11e3-8c4a-0050568002cf',	'db5c8920-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): просп. Героев Днепра (ран. ул. Ленина), 42'),
(4765,	'df003d13-1cc1-11e6-971e-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Соборная, 89'),
(4766,	'2bb8ce7f-e1c2-11e3-8c4a-0050568002cf',	'db5c894c-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Гоголя, 154'),
(4767,	'2bb8ce81-e1c2-11e3-8c4a-0050568002cf',	'db5c8974-391c-11dd-90d9-001a92567626',	'Отделение № 3 (до 30 кг на одне місце): ул. Юбилейная, 2'),
(4768,	'1ec09dc6-e1c2-11e3-8c4a-0050568002cf',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Днепровская, 563а'),
(4769,	'1e4ae59f-e3b9-11e9-b48a-005056b24375',	'69da41a8-3f5d-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг): ул. Пушкина, 25'),
(4770,	'f5047b76-e3b7-11e9-b48a-005056b24375',	'3c67c750-a440-11dd-bcd8-001d92f78697',	'Отделение №3 (до 15 кг) Мини-отделение: ул. Ивана Богуна, 58'),
(4771,	'4f59f4d0-82f0-11e9-898c-005056b24375',	'586d9b83-c5dc-11e1-86b4-0026b97ed48a',	'Отделение №3 (до 5 кг) Мини-отделение: ул. Мечникова, 1'),
(4772,	'1ec09da0-e1c2-11e3-8c4a-0050568002cf',	'db5c891e-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Левицкого, 2а (район рынка &quot;Брестский&quot;)'),
(4773,	'7d9d2a81-f98c-11e9-9c59-005056b24375',	'db5c897d-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 5 кг) Мини-отделение: квартал Киевский, 14'),
(4774,	'16922823-e1c2-11e3-8c4a-0050568002cf',	'e221d62a-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул.Независимости (ран. Октябрьской революции), 27'),
(4775,	'0d545f5e-e1c2-11e3-8c4a-0050568002cf',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Леваневского, 47/1'),
(4776,	'ee9d4337-b36e-11e4-a77a-005056887b8d',	'db5c8917-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Панкеевская (ран. Карла Либкнехта), 108б'),
(4777,	'0d545f81-e1c2-11e3-8c4a-0050568002cf',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №3 (до 30 кг на одно место): ул. Соборная (ран. Ленина), 21а (Соф. Борщаговка)'),
(4778,	'1ec09d90-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг на одно место): ул. Лидова, 13'),
(4779,	'f55fadb9-abcb-11e6-b5da-005056887b8d',	'00065614-4079-11de-b509-001d92f78698',	'Отделение №3 (до 30 кг): ул. Степанска, 22'),
(4780,	'f7a0dafe-61bd-11e5-8d8d-005056887b8d',	'e221d64e-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 15 кг) Мини-отделение: ул. Новобилярская, 24/4, оф.4'),
(4781,	'01ae25dc-e1c2-11e3-8c4a-0050568002cf',	'db5c8956-391c-11dd-90d9-001a92567626',	'Отделение №3 (до 30 кг): ул. Гетманская (ран. Советская), 48 б'),
(4782,	'b55cc9b6-1bfa-11ea-a034-0025b502a04e',	'e221d621-391c-11dd-90d9-001a92567626',	'Отделение №3 Мини-отделение (до 15 кг), ул. Харьковская, 5'),
(4783,	'028867b9-b365-11e4-a77a-005056887b8d',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение № 4 (до 30 кг на одно место): ул. Курчатова, 15, кв. 139'),
(4784,	'1692284e-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Волкова, 9'),
(4785,	'06ebfa35-cbda-11e4-a77a-005056887b8d',	'db5c8962-391c-11dd-90d9-001a92567626',	'Отделение № 4 (до 30 кг): ул. Вокзальная (ран. Революции), 5а'),
(4786,	'01ae25d2-e1c2-11e3-8c4a-0050568002cf',	'db5c891e-391c-11dd-90d9-001a92567626',	'Отделение № 4 (до 30 кг): ул. Вербицкого, 2'),
(4787,	'01ae25d8-e1c2-11e3-8c4a-0050568002cf',	'db5c8955-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Соборности, 3'),
(4788,	'01ae25db-e1c2-11e3-8c4a-0050568002cf',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Полтавская, 107/1'),
(4789,	'16922812-e1c2-11e3-8c4a-0050568002cf',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №4 (до 30 кг): с. Софиевская Борщаговка, ул. Волошковая, 42/2'),
(4790,	'1590de1e-a215-11e8-ad0d-005056b24375',	'db5c8913-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Богдана Хмельницкого, 31'),
(4791,	'7b422f9d-e1b8-11e3-8c4a-0050568002cf',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Волонтёров (ран. Пионерская), 51'),
(4792,	'1cb5e56a-18f1-11e6-971e-005056887b8d',	'f706234a-4078-11de-b509-001d92f78698',	'Отделение №4 (до 30 кг на одно место): площадь Товарная, 3'),
(4793,	'211cabd0-5623-11e5-8d8d-005056887b8d',	'db5c8953-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): 15-й Микрорайон, 19'),
(4794,	'336de16e-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 330'),
(4795,	'22460c0f-3ea3-11e6-a9f2-005056887b8d',	'db5c8925-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Бахмутская, 277'),
(4796,	'1ec09d35-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Львовская, 152б'),
(4797,	'1ec09d40-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Юрия Клена (ран. Фурманова), 28'),
(4798,	'7b422fb2-e1b8-11e3-8c4a-0050568002cf',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Интеркультурная 77/4'),
(4799,	'7b422fb6-e1b8-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Главная, 200'),
(4800,	'7b422fb7-e1b8-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Достоевского, 5'),
(4801,	'7b422fc5-e1b8-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Верховинная, 69'),
(4802,	'1ec09d57-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): просп. Злуки, 8'),
(4803,	'1ec09db1-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Гагарина, 13'),
(4804,	'2fce43ee-9cb5-11e5-a023-005056887b8d',	'db5c891f-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Сечевых Стрельцов, 39'),
(4805,	'39931af3-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Панянка, 75а'),
(4806,	'2bb8ceec-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Патона, 2а'),
(4807,	'16922808-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): просп. Нахимова, 108'),
(4808,	'3af91a85-3f5c-11e6-a9f2-005056887b8d',	'db5c8970-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Заводская, 5-1 (кафе &quot;Украинка&quot;)'),
(4809,	'3b5a6f7e-1c7b-11e4-acce-0050568002cf',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Зарифы Алиевой, 85'),
(4810,	'3bf62901-41f4-11e6-a9f2-005056887b8d',	'db5c8934-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Красная, 11'),
(4811,	'7b422fa8-e1b8-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Вадима Гурова (ран. Постишева), 2a'),
(4812,	'44c469de-3c1d-11e5-add9-005056887b8d',	'db5c8923-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Владимира Шухова, 2'),
(4813,	'46c01082-e818-11e4-8a92-005056887b8d',	'e221d62a-391c-11dd-90d9-001a92567626',	'Отделение № 4 (до 30 кг на одно место): ул. Независимости (ран. Октябрьской революції), 74'),
(4814,	'40b0655f-2bcb-11e9-acea-005056b24375',	'db5c8982-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Острожского, 48'),
(4815,	'5108551c-0ada-11e5-8a92-005056887b8d',	'db5c895d-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг) ул. Шевченко, 3, (ТЦ &quot;Портал&quot;)'),
(4816,	'5a39e554-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Победы, 99'),
(4817,	'5ce0511c-6888-11e8-9d95-005056b2fc3d',	'69da41b4-3f5d-11de-b509-001d92f78698',	'Отделение №4: ул. Украинская, 36'),
(4818,	'0d545ec7-e1c2-11e3-8c4a-0050568002cf',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Хабаровская, 34'),
(4819,	'61bfae00-e34e-11e4-8a92-005056887b8d',	'db5c8958-391c-11dd-90d9-001a92567626',	'Отделение № 4 (до 5 кг) Мини-отделение: ул. Киевская, 107 (маг.&quot;Фуршет&quot;)'),
(4820,	'f9bb703d-f92f-11e8-ad0d-005056b24375',	'db5c8951-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 5 кг), Мини-отделение: ул. Первомайская, 15-а'),
(4821,	'6e466f31-b358-11e4-a77a-005056887b8d',	'ae7a32c0-0d45-11de-b6f5-001d92f78697',	'Отделение №4 (до 30 кг): ул. Киевская, 230 ж/6 (район 6-й школы)'),
(4822,	'511fcfdd-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): просп. Соборный, 141'),
(4823,	'49ef6b02-60f2-11e9-898c-005056b24375',	'db5c8974-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Защитников Украины, 1'),
(4824,	'5a39e560-e1c2-11e3-8c4a-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Капушанская, 168'),
(4825,	'7d8d4330-0bf2-11e4-acce-0050568002cf',	'db5c8924-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Грушевского, 52г'),
(4826,	'16922894-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Князя Ярослава Мудрого (ран. Ленинградская), 19'),
(4827,	'1ec09dae-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): проспект Мира 72/5 (ТЦ &quot;Проспект&quot;)'),
(4828,	'1ec09daf-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №4:  Трускавецкая, 15 (с. Сокольники, ул. Львовская боковая, 11)'),
(4829,	'89372024-1748-11e6-971e-005056887b8d',	'00065616-4079-11de-b509-001d92f78698',	'Отделение №4 (до 30 кг на одно место): ул. Грушевского, 4'),
(4830,	'8fcb8bd1-0b66-11e5-8a92-005056887b8d',	'db5c88f6-391c-11dd-90d9-001a92567626',	'Отделение № 4 (до 30 кг): ул. Самборская, 86'),
(4831,	'9106a003-3f62-11e6-a9f2-005056887b8d',	'e221d62b-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул.  Соборная, 52'),
(4832,	'9b2d0a46-3f6e-11e6-a9f2-005056887b8d',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Академика Крымского, 2'),
(4833,	'47402e6f-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): просп. Конституции, 30'),
(4834,	'1ec09d63-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Академика Вильямса, 86'),
(4835,	'40498320-e1c2-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Рокоссовского, 68'),
(4836,	'4049830a-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Леваневского, 10'),
(4837,	'cbd8379b-d2cb-11e8-ad0d-005056b24375',	'db5c8917-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Фаины Гаенко (ран. Луначарского), д. 1/&quot;В&quot; /5'),
(4838,	'a9c4bd57-0b64-11e5-8a92-005056887b8d',	'db5c88d1-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Измаильская, 111в'),
(4839,	'ab18e03a-3de6-11e6-a9f2-005056887b8d',	'db5c895b-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Братская (ран. Калинина), 24'),
(4840,	'acdd39ed-6188-11e6-a9f2-005056887b8d',	'db5c892a-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Тюленина, 4-а'),
(4841,	'0d545ed5-e1c2-11e3-8c4a-0050568002cf',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): пер. Парковый, 5 (район «Артема»)'),
(4842,	'b8e5c115-cbc5-11e4-a77a-005056887b8d',	'db5c88dc-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Шолуденко, 6г'),
(4843,	'c17fbd4a-fec3-11e4-8a92-005056887b8d',	'db5c890b-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Данченко, 3б'),
(4844,	'c2cf66c4-3f6b-11e6-a9f2-005056887b8d',	'e221d650-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): бульв. Шевченко, 14'),
(4845,	'40498330-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Видинская, 5в'),
(4846,	'cd5da41e-cbbe-11e4-a77a-005056887b8d',	'db5c8907-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): просп. Суворова, 59а'),
(4847,	'336de19d-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Гагарина, 77'),
(4848,	'd912a5b2-3dfa-11e6-a9f2-005056887b8d',	'f7062358-4078-11de-b509-001d92f78698',	'Отделение №4 (до 30 кг): ул. Луцкая, 158'),
(4849,	'2bb8ce7d-e1c2-11e3-8c4a-0050568002cf',	'db5c8920-391c-11dd-90d9-001a92567626',	'Отделение № 4 (до 30 кг): ул. Горняков, 25'),
(4850,	'2bb8ce82-e1c2-11e3-8c4a-0050568002cf',	'db5c8980-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одне місце): ул. Соборная (ран. Свердлова), 71а'),
(4851,	'4049834e-e1c2-11e3-8c4a-0050568002cf',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Шевченко, 15'),
(4852,	'1ec09d97-e1c2-11e3-8c4a-0050568002cf',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Головатого, 20'),
(4853,	'5a39e5b2-e1c2-11e3-8c4a-0050568002cf',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Грушевского, 9/1'),
(4854,	'16922825-e1c2-11e3-8c4a-0050568002cf',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 15 кг), Мини-отделение: ул. Виктора Усова, 18'),
(4855,	'ece49471-d978-11e6-95d1-005056887b8d',	'b3ecdf66-a84b-11de-a2ca-000c294065a1',	'Отделение №4 (до 30 кг на одно место): просп. Строителей, 25б'),
(4856,	'01ae25e6-e1c2-11e3-8c4a-0050568002cf',	'db5c88c5-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Соборная, 20'),
(4857,	'df4a41ca-b371-11e9-8c22-005056b24375',	'db5c88da-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг на одно место): ул. Сагайдачного, 50'),
(4858,	'01ae25dd-e1c2-11e3-8c4a-0050568002cf',	'db5c8956-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. 195 Стрелковой Дивизии, 3'),
(4859,	'fa1e2c31-0b6b-11e5-8a92-005056887b8d',	'db5c8985-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 10 кг), Мини-отделение: ул. Подзамче, 16'),
(4860,	'fcbd936b-1c79-11e4-acce-0050568002cf',	'e221d64c-391c-11dd-90d9-001a92567626',	'Отделение №4 (до 30 кг): ул. Бульварная (ран. Орджоникидзе), 1'),
(4861,	'5a39e574-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №4: ул. Юности, 62б'),
(4862,	'1692284f-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Космическая, 1 (Раковка)'),
(4863,	'16922850-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Каменецкая, 52/2'),
(4864,	'01ae2613-e1c2-11e3-8c4a-0050568002cf',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 5 кг), Мини-отделение: ул. Леси Украинки, 39/2'),
(4865,	'f9bb702d-f92f-11e8-ad0d-005056b24375',	'db5c88c0-391c-11dd-90d9-001a92567626',	'Отделение №5: ул. Горбатова, 69'),
(4866,	'511fcffd-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): просп. Мира, 12'),
(4867,	'511fd003-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Вячеслава Галвы (ран. Руднева), 45'),
(4868,	'1b76e461-93f2-11e8-ad0d-005056b24375',	'db5c892a-391c-11dd-90d9-001a92567626',	'Отделение №5: ул. Добропольская, 1'),
(4869,	'1ec09da5-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Сретенская (ран. Розы Люксембург, 11а'),
(4870,	'40498333-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Академика Филатова, 24'),
(4871,	'7b422fc6-e1b8-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №5: ул. Федорова, 32 (м. Олимпийская)'),
(4872,	'c4eec92f-4ae6-11e9-acea-005056b24375',	'b3ecdf66-a84b-11de-a2ca-000c294065a1',	'Отделение №5 (до 30 кг): ул. Украинская, 16, пом. 77'),
(4873,	'3131ad61-33f5-11e8-a3de-005056b2fc3d',	'db5c8907-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Нахимова, 403'),
(4874,	'2bb8ceed-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Ясская (ран. Ковальчука), 13'),
(4875,	'354ce2bc-0bf3-11e4-acce-0050568002cf',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Электрометаллургов, 42-Б'),
(4876,	'16922806-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Данилишина, 6'),
(4877,	'3aad718c-3f5d-11e6-a9f2-005056887b8d',	'db5c8980-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Ротондовская (ран. Косиора),44'),
(4878,	'4349ce45-f780-11e3-8c4a-0050568002cf',	'db5c8938-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Тютюнника Григора, 2'),
(4879,	'c0aaae12-8c24-11e9-898c-005056b24375',	'e221d62b-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Шевченко, 31, пом. 84'),
(4880,	'39931b84-e1c2-11e3-8c4a-0050568002cf',	'db5c88c5-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Котляревского, 2г'),
(4881,	'51080f69-3f6b-11e6-a9f2-005056887b8d',	'e221d64c-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Маяковского, 1'),
(4882,	'5a39e553-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Келецкая, 83'),
(4883,	'5a39e555-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Б. Тена, 9'),
(4884,	'5a39e556-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Вячеслава Чорновола, 3'),
(4885,	'5a39e559-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Куинджи (ран. Артема), 33 (Центр)'),
(4886,	'5a39e576-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Шевченко, 16б'),
(4887,	'5a39e569-e1c2-11e3-8c4a-0050568002cf',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): бульв. Александрийский (ран. 50-летия Победы), 86'),
(4888,	'40498336-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): просп. Героев Украины (ран. Героев Сталинграда), 77/1'),
(4889,	'336de18e-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Звенигородская (ран. Бойко), 25'),
(4890,	'6ea56b84-f859-11e3-8c4a-0050568002cf',	'e221d62a-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 15 кг) Мини-отделение: ул. Европейская, 9/2'),
(4891,	'5a39e5b5-e1c2-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): просп. Мира, 180а'),
(4892,	'771968cb-1cc8-11e6-971e-005056887b8d',	'db5c8951-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): просп. Победы, 3'),
(4893,	'16922899-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Гоголя, 163'),
(4894,	'8b04ae6a-3ec2-11e6-a9f2-005056887b8d',	'db5c8962-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Одесская, 99'),
(4895,	'8b06dbb3-0ac5-11e5-8a92-005056887b8d',	'db5c88dc-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Набережная, 2В'),
(4896,	'a5555bad-5071-11e9-acea-005056b24375',	'db5c891f-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): бульв. Леси Украинки, 2/3'),
(4897,	'aaada586-b04f-11e8-ad0d-005056b24375',	'db5c891e-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Тараса Шевченко, 1А'),
(4898,	'b9d61c51-6101-11e9-898c-005056b24375',	'db5c8924-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг одно место): ул. Киевская, 9'),
(4899,	'941f7758-3ebe-11e6-a9f2-005056887b8d',	'db5c8958-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Каштанова, 9-б'),
(4900,	'1ec09d93-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №5: пл. Ю. Кононенко, 1а (Авторынок &quot;Лоск&quot;, здание &quot;Приват Банка&quot;)'),
(4901,	'aaada575-b04f-11e8-ad0d-005056b24375',	'db5c895b-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Перспективная, 16'),
(4902,	'169227ff-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): просп. Победы, дом 16, пом. 2 (ст. Ингулец)'),
(4903,	'9dc4318a-0bf2-11e4-acce-0050568002cf',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Итальянская (ран. Дюмина), 31 А'),
(4904,	'39931b6e-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Анатолия Живова, 37'),
(4905,	'9df494b3-3ea3-11e6-a9f2-005056887b8d',	'db5c8925-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Торецкая, 47Б'),
(4906,	'9f4685d4-9bfa-11e4-acce-0050568002cf',	'db5c88c9-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Береговская, 66, пом. 57'),
(4907,	'a445fa4e-3f5d-11e6-a9f2-005056887b8d',	'db5c8985-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Багряного Ивана, 9 А/100'),
(4908,	'47402e86-e1c2-11e3-8c4a-0050568002cf',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №5 (до 30 кг): ул. Первомайская, 10'),
(4909,	'47402ea5-e1c2-11e3-8c4a-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Грушевского, 74а'),
(4910,	'0406f49e-b7f5-11e8-ad0d-005056b24375',	'db5c8953-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Винниченко, 19'),
(4911,	'b54f67f5-b917-11e4-a77a-005056887b8d',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Ново-Оскольская, 6-а, пом. №1001'),
(4912,	'be44b7fe-b35f-11e4-a77a-005056887b8d',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №5: ул. Комяхова, 50'),
(4913,	'2bb8ce9d-e1c2-11e3-8c4a-0050568002cf',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Киевский Шлях, 2/6 (ТРЦ &quot;Аэромолл&quot;)'),
(4914,	'2bb8ce9e-e1c2-11e3-8c4a-0050568002cf',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Шевченко, 4а'),
(4915,	'0d545f70-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №5: ул. Юрия Ветрова (ран. Воровского), 20'),
(4916,	'c8485f10-0ac7-11e5-8a92-005056887b8d',	'db5c8955-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Толубко, 2 (р-н Болгарбуд)'),
(4917,	'ca8a0ba9-8432-11e4-acce-0050568002cf',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Героев Украины, 7, оф. 18'),
(4918,	'ce694653-4fcd-11e5-8d8d-005056887b8d',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одне место): ул. Егорова, 33,кв.2'),
(4919,	'16922880-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг на одно место): ул. Соборности, 71'),
(4920,	'16922886-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 30 кг): ул. Ровенская, 55'),
(4921,	'47402ebc-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №5: ул. Бориса Кротова,38 (с. Дорогое, пер. Тютина, 15а)'),
(4922,	'16922858-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Сиховская, 8'),
(4923,	'01ae2614-e1c2-11e3-8c4a-0050568002cf',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Заярская, 1'),
(4924,	'511fcff8-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Соборная (ран. Советская), 13/4'),
(4925,	'13d5e70b-c9b9-11e5-8478-005056887b8d',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Науки, 1'),
(4926,	'151d232d-d3e7-11e5-8478-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Зодчих, 16'),
(4927,	'1545da58-9be8-11e4-acce-0050568002cf',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение № 6 (до 30 кг): ул. Школьная, 19 (Петропав. Борщаговка)'),
(4928,	'1d7760e2-a794-11e4-a77a-005056887b8d',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): вул. Горького, 166 (ТЦ &quot;Олимпия&quot;)'),
(4929,	'1e4ef949-1749-11e6-971e-005056887b8d',	'e221d62a-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Комарова, 27'),
(4930,	'1ec09d55-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Школьная, 1б'),
(4931,	'644de30c-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №6: ул. Ударников, 27'),
(4932,	'1ec09dcb-e1c2-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Шевченко, 46'),
(4933,	'3600c934-3df6-11e6-a9f2-005056887b8d',	'db5c88dc-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Симоненко Василия, 3-Б'),
(4934,	'16922804-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Эдуарда Фукса (ран. Тухачевского), 41 (пом.65)'),
(4935,	'4049831d-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Короленко, 32а'),
(4936,	'5a39e5a2-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Надречная, 2а'),
(4937,	'45dc584b-0ad6-11e5-8a92-005056887b8d',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Ярмарочная, 35 (ул. Шелковичная)'),
(4938,	'4f238944-3ec4-11e6-a9f2-005056887b8d',	'db5c8962-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): с. Мигия, ул. Первомайская, 127 (м-р &quot;Фрегат&quot;)'),
(4939,	'47402e54-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): просп. Свободы (ран. Ленина), 74'),
(4940,	'5a39e558-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Киевская, 44 (возле кафе Мономах)'),
(4941,	'588cc719-fd2d-11e4-8a92-005056887b8d',	'76678793-8289-11dd-96a9-001d92f78698',	'Отделение № 6 (до 5 кг) Мини-отделение: ул. Шевченко, 21б (маг.&quot;Альянс&quot;)'),
(4942,	'47402e52-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): просп. Степана Бандеры, 80'),
(4943,	'01ae261f-e1c2-11e3-8c4a-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Ивана Франка, 1д (офис 2)'),
(4944,	'663de907-1a4d-11e9-ad0d-005056b24375',	'db5c892a-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Торговая (ран. Коминтерна), район Пригородной автостанции'),
(4945,	'1ec09d1a-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): просп. Юбилейный, 12'),
(4946,	'47402e7b-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Театральная (ран. Горького), 9'),
(4947,	'bac16218-5447-11e4-acce-0050568002cf',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Киевская, 150'),
(4948,	'39931b6a-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Воскресенская, 13а'),
(4949,	'c32f2602-cbbf-11e4-a77a-005056887b8d',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №6 (до15 кг), Мини-отделение: ул. Свободы, 27б'),
(4950,	'0d545ef0-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №6: ул. Академика Павлова, 120'),
(4951,	'1ec09d4b-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг одно место): ул. Ивана Мазепы, 12/8'),
(4952,	'cdb30db7-1c7b-11e4-acce-0050568002cf',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение № 6 : ул. Лесная, 1'),
(4953,	'0d545f5f-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Подольская, 73/1'),
(4954,	'511fcf95-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Волкова, 30'),
(4955,	'd4aa7b0d-0bf2-11e4-acce-0050568002cf',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Героев Украины (ран. Кирова), 42/1'),
(4956,	'1ec09d8b-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №6: ул. Николая Василенко, 2 (метро Берестейская)'),
(4957,	'2bb8ce83-e1c2-11e3-8c4a-0050568002cf',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): просп. Грушевского, 22/1-4'),
(4958,	'e7e0c306-0ac8-11e5-8a92-005056887b8d',	'db5c88c5-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Европейская, 132 (ЖД вокзал - Привокз. рынок)'),
(4959,	'1ec09d9e-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): просп. Леси Украинки, 96 (Торговый центр Простор)'),
(4960,	'1ec09da2-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №6: ул. Георгиевская, 10 (Центр)'),
(4961,	'5a39e5ad-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Небесной Сотни, 41'),
(4962,	'52900ad0-8113-11e9-898c-005056b24375',	'db5c8980-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Героев Холодноярцев, 30'),
(4963,	'f46a1efc-3ea3-11e6-a9f2-005056887b8d',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Н. Курченко, 23'),
(4964,	'0a7af580-3ea4-11e6-a9f2-005056887b8d',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Марата, 1'),
(4965,	'511fcff9-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Космонавтов, 62'),
(4966,	'5a39e584-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Королева, 6 (авторынок &quot;Динамо&quot;)'),
(4967,	'19a52547-842f-11e4-acce-0050568002cf',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 5 кг) Мини-отделение: бульв. М. Грушевского (ран. 1-го Мая), 13 (маг. &quot;Фуршет&quot;)'),
(4968,	'50ff5d0a-60fa-11e9-898c-005056b24375',	'db5c892a-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): мкр-н Лазурный, дом - (ТЦ «Лазурный»)'),
(4969,	'16922803-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №7: ул. Космическая, 119'),
(4970,	'16922805-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Свято-Николаевская (ран. Ленина), 55'),
(4971,	'4049831e-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Пацаева, 11 Б'),
(4972,	'5a39e58d-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): просп. 200 лет Херсона, 30'),
(4973,	'5a39e598-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №7: ул. 1-й Песчаный Тупик,1'),
(4974,	'5a39e59c-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Келецкая, 51а, пом. 144'),
(4975,	'5a39e557-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Генерала Шухевича, 4'),
(4976,	'542ab50a-0bf3-11e4-acce-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Юлии Жемайте, 1а'),
(4977,	'5a39e577-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Лычаковская, 8'),
(4978,	'636c46db-8145-11e9-898c-005056b24375',	'db5c8955-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Шевченко, 54'),
(4979,	'47402e51-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Б.  Лепкого, 6а, пом. 1,2'),
(4980,	'4049833b-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Жуковского, 10'),
(4982,	'336de176-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): просп. Александра Поля (ран. Кирова), 8а'),
(4983,	'6e9d4200-9bfa-11e4-acce-0050568002cf',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): Хмельницкое шоссе, 15'),
(4984,	'72075f2d-bd8d-11e4-a77a-005056887b8d',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Сергея Москаленко (ран. Маршала Кросовского), 16г'),
(4985,	'77f42d08-3f5c-11e6-a9f2-005056887b8d',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Автомобильная, 23'),
(4986,	'79485e61-1cc2-11e6-971e-005056887b8d',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №7(до 30 кг на одно место): просп. Василия Стуса, 2а'),
(4987,	'01ae25ee-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Леся Курбаса, 5'),
(4988,	'815570f0-2177-11e6-a78e-005056887b8d',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Центральная, 58'),
(4989,	'8cbd3646-3e93-11e6-a9f2-005056887b8d',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Тургеневская, 81 пом. 28'),
(4990,	'74e799f8-761c-11e9-898c-005056b24375',	'db5c88c5-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 5 кг), Мини-отделение: ул. 30-летия Победы, 2/12(Соната вход слева)'),
(4991,	'7da22487-d2e4-11e8-ad0d-005056b24375',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): пл. Мира, 3 (маг. &quot;Мясной мясокомбинат&quot;)'),
(4992,	'47402e71-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №7(до 30 кг): ул. Кордубы, 12 (район Садовой)'),
(4993,	'47402e74-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Маршала Бирюзова, 43 а'),
(4994,	'9f097733-3f61-11e6-a9f2-005056887b8d',	'e221d62a-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Тыщика, 13'),
(4995,	'aada257e-3ebb-11e6-a9f2-005056887b8d',	'db5c88c9-391c-11dd-90d9-001a92567626',	'Мукачево, Отделение №7: с. Клячаново, ул. Автомобилистов, 3д'),
(4996,	'39931b8b-e1c2-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): просп. Мира, 50'),
(4997,	'39931b6b-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Белопольский путь, 30/3'),
(4998,	'40498362-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): бульв. Богдана Хмельницкого, 19а'),
(4999,	'0d545f60-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №7: ул. Курчатова, 20'),
(5000,	'511fcf96-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг на одно место): ул. Сумгаитская, 33'),
(5001,	'cd50b2cd-f4b9-11e4-8a92-005056887b8d',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №7 (до 30 кг): с. Софиевская Борщаговка, ул. Ивана Франка, 6'),
(5002,	'5a39e5ae-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг), ул. Киевская, 112'),
(5003,	'ec98d7cf-0ad3-11e5-8a92-005056887b8d',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): просп. Трубников, 91'),
(5004,	'1ec09d6b-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 5 кг), Мини-отделение: ул. Гната Хоткевича, 8 (м.Черниговская)'),
(5005,	'fba81b1c-f94e-11e4-8a92-005056887b8d',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 30 кг): ул. Киевский путь, 127-б/7'),
(5006,	'fd83a131-f973-11e4-8a92-005056887b8d',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №7 (до 15 кг), Мини-отделение: ул. Химиков, 3А'),
(5007,	'020a0798-1cc1-11e6-971e-005056887b8d',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Запорожская, 2а, пом. 59'),
(5008,	'0d545f46-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): просп. Победы, 109 (Левый берег)'),
(5009,	'01ae2612-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Медовая, 6 (Центр, возле водоканала)'),
(5010,	'1c2c2255-a136-11e8-ad0d-005056b24375',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): бульв. Краматорский, 15б'),
(5011,	'1f5189f2-0ac7-11e5-8a92-005056887b8d',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №8 (до 30 кг): с. Петропавловская Борщаговка, ул. Львовская, 1а, корп. 6, пом. 9'),
(5012,	'29a417b3-5610-11e5-8d8d-005056887b8d',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Соцгородок, 157а'),
(5013,	'47402eb1-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул. Вокзальная (ран. Октябрьской Революции), 66а'),
(5014,	'fae149de-ec9b-11e8-ad0d-005056b24375',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Торская (ран. Коммунаров), 69'),
(5015,	'5a39e596-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Благовестная, 379'),
(5016,	'5a39e599-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): 101 Квартал, 3'),
(5017,	'5a39e59d-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул.  Киевская, 21'),
(5018,	'5a39e5a0-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Героев Майдана, 186 В'),
(5019,	'45f87b9d-594e-11e6-a9f2-005056887b8d',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул. Дружбы Народов, 51'),
(5020,	'47402e7f-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул. Перекопская ,173'),
(5021,	'50f839fb-1cc5-11e6-971e-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №8 : ул. Металистов, 2  (заезд с ул. Сергея Параджанова 66)'),
(5022,	'5566771e-c9d4-11e7-ba66-005056b2fc3d',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Центральная, 6а'),
(5023,	'336de19e-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №8: пгт. Слобожанское, ул. Василия Сухомлинского, 61'),
(5024,	'7b422fab-e1b8-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул. Пухова, 142'),
(5025,	'6164ce50-3150-11e6-9e93-005056887b8d',	'db5c894f-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Шевченко, 195'),
(5026,	'68a89919-1cc8-11e6-971e-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): просп. Центральный, 25б'),
(5027,	'78f79b9e-0ac6-11e5-8a92-005056887b8d',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Вячеслава Черновола, 2'),
(5028,	'7daccc8a-cbd9-11e4-a77a-005056887b8d',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одне місце): ул. Ломоносова, 234'),
(5029,	'16922862-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одне місце): просп. Соборный (ран. Ленина), 43'),
(5030,	'1974f8a9-b10e-11e8-ad0d-005056b24375',	'db5c88c9-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Масарика (ран. Матросова), 19 (маг. &quot;Silverland&quot;)'),
(5031,	'47402e6d-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Кравчука, 42а'),
(5032,	'47402e72-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Гринченко, 2а'),
(5033,	'47402e75-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №8: (до 30 кг на одно место): ул. Чураивны 2 в'),
(5034,	'47402ec0-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): просп. Михаила Лушпы, 13'),
(5035,	'b368fa82-c9b8-11e5-8478-005056887b8d',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул. Морская, 45 б'),
(5036,	'511fcfab-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): просп. Свободы, 32'),
(5037,	'c8ae88c4-1c7d-11e4-acce-0050568002cf',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Собранецкая, 146б'),
(5038,	'5a39e545-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул. Пушкина, 10'),
(5039,	'1ec09dc7-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Миколайчука, 30'),
(5040,	'1ec09d9f-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Толстого, 7'),
(5041,	'eb720def-0b63-11e5-8a92-005056887b8d',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг): ул. Князей Кориатовичей, 50'),
(5042,	'16922885-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №8: просп. 200-летия Кривого Рога, 24'),
(5043,	'1ec09d6a-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №8 (до 30 кг на одно место): ул. Набережно-Крещатицкая, 33'),
(5044,	'47402ec5-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №8: ул. М. Гончаровская, 28/30'),
(5045,	'05d2fc08-1cc8-11e6-971e-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №9: просп. Победы, 41а'),
(5046,	'01ae260e-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Михайловская (ран. Кирова), 85'),
(5047,	'511fcff7-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): просп. Металлургов, 19'),
(5048,	'5a39e59e-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Евгения Коновальца, 14 (р-н Северный)'),
(5049,	'0d545f6e-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Остафия Дашкевича, 34'),
(5050,	'5a39e5a6-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Гоголя, 20'),
(5051,	'40498322-e1c2-11e3-8c4a-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): бульв. Южный, 23'),
(5052,	'4b8a1537-3ded-11e6-a9f2-005056887b8d',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №9: ул. Юннатов, 10'),
(5053,	'336de16f-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30кг): ул. Роганская, 101а'),
(5054,	'51b9f790-3e96-11e6-a9f2-005056887b8d',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Огиенко, 39\\5'),
(5055,	'6ea56bbd-f859-11e3-8c4a-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Красносельского, 59а'),
(5056,	'758dfde7-3f81-11e6-a9f2-005056887b8d',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Леваневского, 70, пом. 85'),
(5057,	'0d545ee0-e1c2-11e3-8c4a-0050568002cf',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Генерала М. Тарнавского, 32, пом. 146'),
(5058,	'7d542d5c-e9bd-11e4-8a92-005056887b8d',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Льва Толстого, 31'),
(5059,	'8b017cf6-f975-11e4-8a92-005056887b8d',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение №9: ул. Героев Украины, 210/1'),
(5060,	'511fcfd1-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №9: пер. Вячеслава Чорновола, 54а (р-н Жулянского моста)'),
(5061,	'0d545f69-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): просп. Металлургов, 175 (ориентир магазин &quot;Каспий&quot;)'),
(5062,	'39931b6d-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Кульпарковская, 142'),
(5063,	'47402e70-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Хотовицкого, 5'),
(5064,	'ecbc4a65-d2e1-11e8-ad0d-005056b24375',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Конрада Гампера, 18'),
(5065,	'50ff5d31-60fa-11e9-898c-005056b24375',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Донская, 7'),
(5066,	'511fcfb2-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Екатерины Зеленко, 4'),
(5067,	'511fcfb0-e1c2-11e3-8c4a-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): просп. Леси Украинки, 10'),
(5068,	'16922801-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Сегедская, 18'),
(5069,	'511fcfac-e1c2-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №9: ул. Медицинская, 2а'),
(5070,	'511fcfd3-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Шмидта, 10'),
(5071,	'fde90dd4-b842-11e8-ad0d-005056b24375',	'db5c8977-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Гагарина, 109/204'),
(5072,	'4049836d-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): просп. Святых Кирилла и Мефодия (ран. Димитрова), 19'),
(5073,	'5a39e546-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): просп. Коцюбинского, 32'),
(5074,	'cf565840-9fd9-11e5-a023-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Задворецкая, 1а'),
(5075,	'1ec09d96-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг на одно место): ул. Генерала Карпенка, 2/2 а'),
(5076,	'5a39e5b0-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №9 (до 30 кг): ул. Витрука, 9а'),
(5077,	'0120511e-e385-11e4-8a92-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Полковника Кедровского (ран. Буденного), 12а'),
(5078,	'0195469d-3e97-11e6-a9f2-005056887b8d',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): просп. Грушевского (ран.Ленина, Хмельницкое шоссе), 31,секц. 1,пом. 3к'),
(5079,	'0d545f50-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): просп. Воли, 21'),
(5080,	'2bb8cec4-e1c2-11e3-8c4a-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Роменская, 81'),
(5081,	'168a5583-3df8-11e6-a9f2-005056887b8d',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №10 (до 30 кг на одно место): ул. Машиностроителей, 17-А'),
(5082,	'1972050e-1cc7-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №10: ул. Василия Жуковского, 22А'),
(5083,	'1d5689aa-3ea4-11e6-a9f2-005056887b8d',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Ивана Приходько, 42а'),
(5084,	'45a5cfdf-b36c-11e4-a77a-005056887b8d',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): ул. Максима Кривоноса, 3'),
(5085,	'336de170-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Пушкинская, 96 (напротив парка &quot;Молодежный&quot;'),
(5086,	'5a39e579-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Водограйная, 7'),
(5087,	'0d545ec5-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Одесская, 8'),
(5088,	'a27848e7-4b03-11e9-acea-005056b24375',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 5 кг), Мини-отделение: ул. В. Стуса, 49'),
(5089,	'6b2ec314-3ded-11e6-a9f2-005056887b8d',	'db5c88c7-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): Мелитопольское шоссе, 99'),
(5090,	'336de185-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одне місце): ул. Соборная, 65'),
(5091,	'336de187-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Котляревского, 7'),
(5092,	'85da90aa-0ac7-11e5-8a92-005056887b8d',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): бульв. Александрийский (ран. 50-летия Победы), 27'),
(5093,	'1ec09daa-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): просп. Слобожанский (ран. Газеты &quot;Правда&quot;), 91'),
(5094,	'8a09d145-1c7a-11e4-acce-0050568002cf',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): ул. Ивана Мазепы, 48'),
(5095,	'8ca59d16-a202-11e8-ad0d-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): ул. Соборная, 1-В'),
(5096,	'47402e7a-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): вул. Заречанская, 4'),
(5097,	'47402e7c-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): просп. Центральный (ран. Ленина), 86/3'),
(5098,	'a9f834ab-e9be-11e4-8a92-005056887b8d',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): ул. Занковецкой, 48а'),
(5099,	'16922802-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 5 кг): ул. Давида Ойстраха (ран. Затонского), 4'),
(5100,	'01ae2605-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): просп. Мира, 37'),
(5101,	'5a39e547-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): Хмельницкое шоссе, 82'),
(5102,	'd17e5d64-3df5-11e6-a9f2-005056887b8d',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 10 кг), Мини-отделение: ул. Киевская, 316 (2 этаж, маг. &quot;BergHOFF&quot;)'),
(5103,	'd193083f-f77f-11e3-8c4a-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №10 ( до 30 кг на одно место): просп. Аношкина, 94'),
(5104,	'644de306-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Европейская, 63'),
(5105,	'28664999-8c44-11e9-898c-005056b24375',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 5 кг), Мини-отделение: ул. Батюка, 42а'),
(5106,	'2bb8cebe-e1c2-11e3-8c4a-0050568002cf',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): ул. Соборна (ран. 50 лет Октября), 26'),
(5107,	'5a39e5b1-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг): ул. Левицкого, 7'),
(5108,	'e9f11ab7-7195-11e5-8d8d-005056887b8d',	'db5c8947-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг но одно место): просп. 50-ти летия Победы, 15'),
(5109,	'1ec09da4-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №10 (до 30 кг на одно место): ул. Магистральная (ран. Кириленка), 25'),
(5110,	'0d545f51-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Кривой Вал, 24'),
(5111,	'286649ab-8c44-11e9-898c-005056b24375',	'db5c897e-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Торская, 47'),
(5112,	'334c2cec-b1d0-11e4-a77a-005056887b8d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Вокзальная (ран. Октябрьской Революции),16 (корпус 1)'),
(5113,	'3ba9a87d-524e-11ea-9b37-0025b502a04e',	'db5c8927-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Парковая, 41'),
(5114,	'5a39e59f-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Проскуровского подполья, 71/1'),
(5115,	'5a39e57a-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 208'),
(5116,	'511fcfc0-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): просп. Бойко (ран. Ильича), 69 (напр.&quot;Никоп.-Провиданс&quot;)'),
(5117,	'7b422faa-e1b8-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Небесной Сотни (ран. Ленина), 6'),
(5118,	'5bc40d0d-0be7-11e4-acce-0050568002cf',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): просп. Аношкина, 115'),
(5119,	'0d545eca-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Университетская (ран. 40-летия Октября), 110'),
(5120,	'9b40e65e-7197-11e9-898c-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Украинская, 82'),
(5121,	'01ae263d-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Героев АТО, 79'),
(5122,	'336de186-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №11: ул. Фабричная, 1'),
(5123,	'336de188-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Александри Василе, 2в (Садгора)'),
(5124,	'336de18b-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): просп.Мира, 13'),
(5125,	'7541ba05-3df8-11e6-a9f2-005056887b8d',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №11 (до 30 кг): ул. Леси Украинки, 74а'),
(5126,	'7bab9adb-0bf3-11e4-acce-0050568002cf',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Грушевского, 14'),
(5127,	'1ec09dab-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): просп. Слобожанский (ран. Газеты Правды), 6'),
(5128,	'8dc8cffb-8432-11e4-acce-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Соборная (ран. Ленина), 6/7'),
(5129,	'47402e68-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Героев АТО (ран. Димитрова), 61'),
(5130,	'336de19a-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): просп. Лобановского (ран.Краснозвездный), 119 (м.Демеев.)'),
(5131,	'01ae2606-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Вильский Путь, 14'),
(5132,	'2bb8cef5-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Городоцкая, 120'),
(5133,	'47402e55-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Академика Янгеля (ран. Фрунзе), 58'),
(5134,	'c8ba8c6c-b36c-11e4-a77a-005056887b8d',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): ул. Полковника Данила Нечая, 25а'),
(5135,	'd9b2ceab-e9be-11e4-8a92-005056887b8d',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Гагарина, 38а'),
(5136,	'e32a1e1b-7316-11e5-8d8d-005056887b8d',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): ул. Турчанинова, 11'),
(5137,	'da7843e0-0148-11ea-9c59-005056b24375',	'db5c8914-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): пл. Польский рынок, 3/8'),
(5138,	'f085618b-0be4-11e4-acce-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг на одно место): просп. Курский, 103'),
(5139,	'1692287e-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №11 (до 30 кг): просп. Гагарина, 41/2'),
(5140,	'2bb8cee4-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №11: ул. Николаевская дорога, 235'),
(5141,	'1692284a-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): жилой массив Покровский (ран. Комунар), 3а'),
(5142,	'0d545f52-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Шота Руставели, 9'),
(5143,	'09277d8f-1749-11e6-971e-005056887b8d',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Чайковского, 40'),
(5144,	'192b2bb0-d6a8-11e4-8a92-005056887b8d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 15 кг) Мини-отделение: ул. Волчинецкая, 225м (маг.&quot;&quot;МЕТРО&quot;)'),
(5145,	'1ec09d43-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одно место): ул. Чорноморская, 16'),
(5146,	'493c0027-a794-11e4-a77a-005056887b8d',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 15 кг), Мини-отделение: бульв. Строителей, 27а (маг.VARUS, ТЦ&quot;Терра&quot;)'),
(5147,	'01ae2607-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №12 : пл. Смолянская, 3'),
(5148,	'61ff74ac-3dee-11e6-a9f2-005056887b8d',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Шевченко, 6'),
(5149,	'16922835-e1c2-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одно место): ул. Богоявленская (ран. Черняка), 4'),
(5150,	'336de16a-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Софиевская, 34'),
(5151,	'7070e2d9-1c78-11e4-acce-0050568002cf',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №12  (до 5 кг) Мини-отделение: ул. Харьковская, 9 (маг.&quot;Сам маркет&quot;)'),
(5152,	'731a002c-3ed2-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №12: ул. Якутская, 8'),
(5153,	'0d545ee5-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одно место): ул. Сенная, 2/49'),
(5154,	'01ae25ea-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделения №12 (до 30 кг на одне місце): пр. Парковый, 2'),
(5155,	'4f0184d3-8c45-11e9-898c-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 5 кг), Мини-отделение: ул. Алиевой З., 66/1, пом. 9 (БЦ &quot;Mr. CorneR&quot;)'),
(5156,	'85ed6744-0d0f-11e6-971e-005056887b8d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 15 кг), Мини-отделение: ул. Виктора Чмиленко, 24а'),
(5157,	'9326ea05-3df8-11e6-a9f2-005056887b8d',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №12 (до 30 кг): с. Софиевская Борщаговка, ул. Академика Шалимова, 67В, пом. 152'),
(5158,	'ec32f7d7-4b08-11e9-acea-005056b24375',	'e221d627-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): пл. Корятовича, 27, пом. 4'),
(5159,	'47402e69-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одно место): просп. Южный, 17, кв. 83'),
(5160,	'a07f28aa-5df6-11e5-8d8d-005056887b8d',	'db5c895e-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одне місце): ул. Гагарина, 11'),
(5161,	'2bb8ce9a-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одно место): ул. Молоткова, 20'),
(5162,	'47402e7e-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Заречанская, 57/1'),
(5163,	'b729af7a-02d4-11e6-899e-005056887b8d',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одно место): ул. С. Наливайка, 20А'),
(5164,	'2bb8ce68-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): просп. Мира (ран. Ленина), 121 (ориентир магазин &quot;Надія&quot;)'),
(5165,	'39931aec-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Сяйво, 13, (р-н Левандовка)'),
(5166,	'6d5731b5-94db-11e5-a023-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Пирогова, 31'),
(5167,	'4049836a-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Пушкинская, 33'),
(5168,	'1ec09d9c-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг на одно место): ул. Звенигородская, 1'),
(5169,	'1692287f-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №12: ул. Лукъяновская, 2'),
(5170,	'f7241ee4-9bef-11e4-acce-0050568002cf',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №12 (до 30 кг): ул. Халаменюка, 10б'),
(5171,	'1692284b-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): просп. Гагарина, 43'),
(5172,	'0d545f53-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): просп. Воли, 60'),
(5173,	'2bb8cedc-e1c2-11e3-8c4a-0050568002cf',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): просп. Строителей, 98'),
(5174,	'06355420-93f2-11e8-ad0d-005056b24375',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): ул. Москаленко Сергея, 39'),
(5175,	'01ae25d0-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): ул. Гонты, 19, пом. 3'),
(5176,	'11643e0f-1cc8-11e6-971e-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Лазурная, 17'),
(5177,	'511fcff4-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): ул. Семена Палия (ран. Днепропетровская дорога), 82'),
(5178,	'511fd002-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №13: г. Дергачи, ул. Привокзальная, 4'),
(5179,	'39931b8c-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №13: ул. Оранжерейная, 3 (метро Дорогожичи)'),
(5180,	'2321fc8f-3e97-11e6-a9f2-005056887b8d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Е. Тельнова (ран. просп. Правды), дом 8, корпус 1'),
(5181,	'3e1e2f90-3ea5-11e6-a9f2-005056887b8d',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Доктора А.Богаевского, 15/50'),
(5182,	'5a39e597-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Владимира Великого (ран. Мелешкина), 9, пом. 3'),
(5183,	'511fcfbd-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Великотырновская, 35/2'),
(5184,	'491945c1-b76a-11e4-a77a-005056887b8d',	'db5c88ed-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 5 кг), Мини-отделение: просп. Свободы (ран. Ленина), 57а (маг.&quot;Фуршет&quot;, Радуга)'),
(5185,	'01ae2608-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Небесной Сотни, 26'),
(5186,	'47402e8f-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): вул. Залаегерсег, 18 (ТРЦ Фабрика)'),
(5187,	'60062941-b36a-11e4-a77a-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): ул. Ярослава Мудрого (ран. Пролетарская), 50'),
(5188,	'709892d0-0ac8-11e5-8a92-005056887b8d',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): просп. Мира, 49 (ЦУМ Чернигов)'),
(5189,	'761d11b1-f781-11e3-8c4a-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Пирогова, 8 (за железнодор. переездом)'),
(5190,	'01ae25eb-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно месте): ул. Буковинская, 25'),
(5191,	'85079f60-3df0-11e6-a9f2-005056887b8d',	'db5c88d4-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одне місце): ул. Киевський путь, 47'),
(5192,	'2bb8ce9b-e1c2-11e3-8c4a-0050568002cf',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 15 кг), Мини-отделение: ул. Припортовая (ран. Гер.Сталин), 34 (ТРЦ&quot;Dnipro Plaza&quot;)'),
(5193,	'bbf8cfec-e384-11e4-8a92-005056887b8d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг): ул. Сорохтея, 41'),
(5194,	'0d545f43-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): просп. Черновола Вячеслава, 16Д, пом. 98'),
(5195,	'1ec09d9d-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Днепровское шоссе, 30'),
(5196,	'74e799d5-761c-11e9-898c-005056b24375',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №13 (до 30 кг): с. Софиевская Борщаговка, ул. Соборная 140 А (ТРЦ &quot;EURO парк&quot;)'),
(5197,	'511fd008-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №13 (до 30 кг на одно место): ул. Черновола, 110'),
(5198,	'1692284c-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): просп. Героев, 33'),
(5199,	'0d545f54-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): просп. Возрождения, 10'),
(5200,	'01ae25d1-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): Сабаровское шоссе, 1б/2д'),
(5201,	'2bb8cec3-e1c2-11e3-8c4a-0050568002cf',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): шоссе Вячеслава Черновола (ран. Киндийское), 17а'),
(5202,	'511fcff5-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): ул. Маршала Малиновского, 71'),
(5203,	'd20356cf-f217-11e8-ad0d-005056b24375',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): бульв. Независимости, 16'),
(5204,	'511fcfbe-e1c2-11e3-8c4a-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): ул. О. Гончара, 19а'),
(5205,	'01ae2609-e1c2-11e3-8c4a-0050568002cf',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): Привокзальная площадь, 6/126'),
(5206,	'58597894-3ea5-11e6-a9f2-005056887b8d',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): ул. Воинов-Интернационалистов, 4б'),
(5207,	'01ae25fb-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): просп. Центральный (ран. Ленина), 159'),
(5208,	'01ae25ec-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): ул. Небесной Сотни, 20'),
(5209,	'0d545f78-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): ул. Словацкого, 5'),
(5210,	'8f7981be-34fb-11e5-add9-005056887b8d',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): ул. Старобелоуская, 16А'),
(5211,	'39931b75-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №14: ул. Николая Кибальчича, 23/25'),
(5212,	'7b422f8c-e1b8-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): ул. Институтская, 15/1'),
(5213,	'9dbbc055-0ad5-11e5-8a92-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): просп. Металлургов, 94'),
(5214,	'47402e79-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): просп. Соборный, 24'),
(5215,	'be350c5b-0b6b-11e5-8a92-005056887b8d',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): ул. Русская, 3, пом. 33'),
(5216,	'c3f1f0ca-cbd1-11e4-a77a-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): ул. Герасима Кондратьева, 152д'),
(5217,	'0d545f61-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №14: просп. Московский, 199б (ТЦ СанСити, 2)'),
(5218,	'd3ba3052-33f4-11e8-a3de-005056b2fc3d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): ул. Набережная им. В. Стефаника, 42'),
(5219,	'd3528e00-a245-11e9-b790-005056b24375',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №14 (до 30 кг): ул. Железнодорожная, 68'),
(5220,	'5a39e5b3-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг на одно место): ул. Лисового, 9 а'),
(5221,	'ec136560-76ef-11e8-9d95-005056b2fc3d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг): ул. Тараса Карпы (ран. Тимирязева), 53/44'),
(5222,	'0d545f55-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг): ул. Чорновола, 2в'),
(5223,	'511fcff6-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №15: Тираспольское шоссе, 2'),
(5224,	'192cdbf5-b358-11e4-a77a-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №15 ( до 30 кг): ул. Киевская, 59'),
(5225,	'20999bc4-8433-11e4-acce-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): Староконстантиновское шоссе, 2/1б (ТЦ &quot;Агора&quot;)'),
(5226,	'1ec09d4a-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг): ул. Петра Свинаренка, 20'),
(5227,	'3074904f-3e9f-11e6-a9f2-005056887b8d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг): ул. Юрия Коваленко, 6А'),
(5228,	'5a39e58b-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): ул. Курузова, 5'),
(5229,	'39931b85-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг): ул. Героев УПА, 6'),
(5230,	'4e2a7da9-cbd4-11e4-a77a-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): ул. Комарова, 9а'),
(5231,	'5622dbb2-57b4-11e5-8d8d-005056887b8d',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг): ул. Мстиславская, 25'),
(5232,	'01ae25fc-e1c2-11e3-8c4a-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №15 ( до 30 кг): ул. Космонавтов, 53/1'),
(5233,	'5cd8f3b0-9bfa-11e4-acce-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): ул. Дубенская, 46'),
(5234,	'd39de4fa-ba49-11e8-ad0d-005056b24375',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): просп. Свободы, 61/17'),
(5235,	'695ca180-a78a-11e4-a77a-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг): ул. 49 Гвардейской Херсонской дивизии, 26-А'),
(5236,	'336de184-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): просп. Мира, 31'),
(5237,	'88bd34e3-635c-11e5-8d8d-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): ул. Троицкая (ран. 50-летие СРСР), 44 (17 мк-рн)'),
(5238,	'8b76606c-00a5-11e6-899e-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 5 кг), Мини-отделение: ул. М. Лушпы, 41'),
(5239,	'39931b76-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №15: ул. Малинская, 18 (Новобеличи)'),
(5240,	'c76cb3db-0b69-11e5-8a92-005056887b8d',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг): бульв. С. Петлюры, 4а (помещение 13)'),
(5241,	'ecc26677-3151-11e6-9e93-005056887b8d',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): ул. О. Дашкевича, 20'),
(5242,	'1692287c-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №15: просп. Труда, 9'),
(5243,	'01ae2638-e1c2-11e3-8c4a-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): ул. Данила Нечая, 77а'),
(5244,	'e6e66b9c-9bec-11e4-acce-0050568002cf',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №15 (до 30 кг на одно место): ул. Европейская, 94'),
(5245,	'02151e6c-3f60-11e6-a9f2-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг на одно место): просп. М. Лушпы, 5, корп. 10'),
(5246,	'aaada553-b04f-11e8-ad0d-005056b24375',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг) : ул. Невского А., д. 15'),
(5247,	'136fb244-524f-11ea-9b37-0025b502a04e',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Отделение №16 (до 30 кг): ул. Первомайская, 24 г, пом. 6, 7'),
(5248,	'290b0b4b-3dee-11e6-a9f2-005056887b8d',	'db5c88ce-391c-11dd-90d9-001a92567626',	'Отделение №16: ул. Матросова, 48А'),
(5249,	'1ec09d51-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №16: пл. Ю.Кононенко, 1 а (Атобазар &quot;Лоск&quot;, восточная строна)'),
(5250,	'3ad6eef1-636d-11e5-8d8d-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №16: ул. Таганрогская, 60 (ориентир АО &quot;Пивзавод&quot;)'),
(5251,	'5a39e58c-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 84'),
(5252,	'456728e3-0bf3-11e4-acce-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг), просп. Богоявленский (ран. Октябрьский), 234в'),
(5253,	'466b9733-0b7c-11e5-8a92-005056887b8d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): ул. Большая Перспективная, 3/5'),
(5254,	'64675206-42ab-11e6-a9f2-005056887b8d',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): просп. Мира, 194, корп. 4'),
(5255,	'695ca1bc-a78a-11e4-a77a-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 5 кг), Мини-отделение: ул. И. Кулика, 114-Ж'),
(5256,	'6ed0dbad-0bf2-11e4-acce-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг на одно место): просп. Коцюбинского, 70 (ТЦ &quot;ПетроЦентр&quot;)'),
(5257,	'5a39e54d-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг на одно место): ул. Малиновского, 27а (маг. &quot;Копейка&quot;)'),
(5258,	'01ae25e9-e1c2-11e3-8c4a-0050568002cf',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №16: ул. Геологов, 5/2 (перед рынком &quot;МИВС&quot;)'),
(5259,	'8b1ee8c0-41f4-11e6-a9f2-005056887b8d',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): ул. Первомайская, 39'),
(5260,	'9674eebd-1744-11e6-971e-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): ул. Набережная, 2'),
(5261,	'39931b77-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): просп. Степана Бандеры, 16'),
(5262,	'b2991e20-e383-11e4-8a92-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): ул. Южно-Кольцевая, 25б'),
(5263,	'01ae2642-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): просп. Красной Калины, 76'),
(5264,	'cb72c89f-0b6b-11e5-8a92-005056887b8d',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг на одно место): ул. Оболоня, 49'),
(5265,	'cf1c51dd-b918-11e4-a77a-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 15 кг), Мини-отделение: ул. Атаманов Соколовских (ран. Потапова), 1 (Экомар.)'),
(5266,	'd8666f77-b35e-11e4-a77a-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №16 ( до 30 кг): просп. Мира, 30а(ТЦ &quot;Мир&quot;)'),
(5267,	'1692287d-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 30 кг): пл. Героев Майдана, 1'),
(5268,	'f8597a84-e381-11e4-8a92-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №16 (до 5 кг),  Міні-відділення: ул. Гагарина, 26 (маг.&quot;NOVUS&quot;)'),
(5269,	'39931aeb-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. Владимира Терещенко (ран. Федоренко), 5а'),
(5270,	'094e00c9-3153-11e6-9e93-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. Героев Майдана, 63'),
(5271,	'19456aeb-3eb6-11e6-a9f2-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг): ул. Конякина, 17а'),
(5272,	'1bec3650-9d56-11e4-acce-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 15 кг), Мини-отделение: просп. Героев Украины (ран. Г. Сталинграда), 9д (МЕТРО)'),
(5273,	'1ec09d47-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг): ул. Разумовская, 29'),
(5274,	'1ec09d52-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. 23 августа, 67а'),
(5275,	'36ed49c4-3f60-11e6-a9f2-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. Нижнесыроватская, 60'),
(5276,	'39518578-b35f-11e4-a77a-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. Зиньковская, 14'),
(5277,	'7da2249c-d2e4-11e8-ad0d-005056b24375',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №17: ул. Монастырского Антона, 50/1'),
(5278,	'496905d0-636d-11e5-8d8d-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг): ул. Латышева, 35а'),
(5279,	'0d545ed3-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. Шевченка, 323'),
(5280,	'5d7c8aac-1c7a-11e4-acce-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг): ул. Василия Порика, 5а'),
(5281,	'336de181-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение № 17 (до 30 кг на одно место): ул. Авраменка, 13'),
(5282,	'39931b78-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №17: ул. Новоконстантиновская, 22/15'),
(5283,	'39931b00-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг): Донецкое шоссе, 9а'),
(5284,	'a946c1d7-cbd2-11e4-a77a-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг): ул. Старогородская, 35'),
(5285,	'aa7ab0e9-a78a-11e4-a77a-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. Вишневая, 52'),
(5286,	'd39de4d6-ba49-11e8-ad0d-005056b24375',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №17: ул. Днепровская, 34'),
(5287,	'd00bd868-585f-11e5-8d8d-005056887b8d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место): ул. Большая (Верхняя) Пермская, 8ж'),
(5288,	'f051aff1-e382-11e4-8a92-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 5 кг), Мини-отделение: ул. Гагарина, 16 (ТЦ &quot;Чайка&quot;)'),
(5289,	'f6a6ea50-3f68-11e6-a9f2-005056887b8d',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №17 (до 30 кг на одно место) ул. Благовестная, 269/4'),
(5290,	'1692283d-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №18: ул. Молодогвардейская, 22 (Чоколовка)'),
(5291,	'1ec09d48-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг): ул. Фонтанская дорога, 16/8'),
(5292,	'1ec09d53-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг): просп. Гагарина, 181 (ТЦ &quot;Sun Mall&quot;)'),
(5293,	'32902192-3f5a-11e6-a9f2-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №18: ул. Курчатова, 18а'),
(5294,	'a898544e-ecaa-11e8-ad0d-005056b24375',	'db5c8900-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Мира, 7'),
(5295,	'3d942684-3f6a-11e6-a9f2-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг): ул. Богдана Хмельницкого, 56'),
(5296,	'4964e316-3f60-11e6-a9f2-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Ильинская, 56'),
(5297,	'5a39e55b-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Рабочая, 148'),
(5298,	'565d930f-3eb7-11e6-a9f2-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг): просп. Молодежи, 9'),
(5299,	'59c40af6-9d74-11e4-acce-0050568002cf',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение № 18 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 342/2'),
(5300,	'0d545edf-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг) : ул. Научная, 12а'),
(5301,	'8cc275a7-e35f-11e4-8a92-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Лермонтова, 10а'),
(5302,	'91da0d37-0099-11e6-899e-005056887b8d',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Набережная, 9'),
(5303,	'4f0184ad-8c45-11e9-898c-005056b24375',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг): ул. Соборная, 23 (заезд с ул. И. Сердюка)'),
(5304,	'acca4a66-b36e-11e4-a77a-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Перекопская, 39а'),
(5305,	'c3b199f7-cbd2-11e4-a77a-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг): ул. Свободы, 73 (маг. &quot;JYSK&quot;)'),
(5306,	'47402e4b-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Павлокичкасская (ран. Орджоникидзе),11'),
(5307,	'd8cfe4b6-cbcf-11e4-a77a-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Гоголя, 38 (ТЦ &quot;Метрополитан&quot;)'),
(5308,	'e54122b8-4292-11e6-a9f2-005056887b8d',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Пятницкая, 49'),
(5309,	'effa6110-9bf9-11e4-acce-0050568002cf',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Князей Кориатовичей (ран. Свердлова), 181а'),
(5310,	'f27b6d25-b918-11e4-a77a-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №18 (до 30 кг на одно место): ул. Шевченко, 18а'),
(5311,	'01ae260d-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг на одно место): ул. Мусоргского, 16'),
(5312,	'0c4eb23a-e383-11e4-8a92-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Львовское шоссе, 55/2'),
(5313,	'1692283e-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №19: ул. Радужная, 25А'),
(5314,	'196e0a59-bd8f-11e4-a77a-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Чудновская (ран. Черняховского), 92 (ТЦ&quot;Океан&quot;)'),
(5315,	'1ec09d58-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг на одно место): ул. Паникахи, 91'),
(5316,	'383f1c2c-3f5b-11e6-a9f2-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Киевская, 67 (ТРЦ &quot;Арена&quot;)'),
(5317,	'433e7e87-cbd0-11e4-a77a-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Европейская, 185'),
(5318,	'5138629c-cbbf-11e4-a77a-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. 1-а Слободская, 62'),
(5319,	'5643728c-3f60-11e6-a9f2-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): просп. Курский, 111'),
(5320,	'6e8f8a11-3eb7-11e6-a9f2-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Леси Украинки, 24'),
(5321,	'9236d842-3f6a-11e6-a9f2-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг на одно место): ул. Текстильщиков, 17А'),
(5322,	'47402e77-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №19: ул. Морозова, 18'),
(5323,	'eab850c8-2ba0-11e9-acea-005056b24375',	'db5c897c-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Всехсвятская, 5'),
(5324,	'169227ec-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг на одно место): ул. Чумаченко, 25'),
(5325,	'47402e92-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Бойковская, 1'),
(5326,	'1ec09d98-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг): ул. Радостная, 23'),
(5327,	'fd83488b-e403-11e4-8a92-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 30 кг на одно место): ул. Глеба Успенского, 91б'),
(5328,	'1692283f-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №20: пер. Новопечерский, 5 ( м. Дворец Украина)'),
(5329,	'1ec09d59-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг): просп. Б. Хмельницкого (ран. ул. Героев Сталинграда), 3'),
(5330,	'5a39e587-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №20: ул. Клочковская, 197д'),
(5331,	'5c4f4298-f970-11e4-8a92-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг): ул. Франко, 61, пом. 16, 17'),
(5332,	'5ce6e496-3f5b-11e6-a9f2-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг на одно место): ул. Вячеслава Черновола, 53'),
(5333,	'0d545ecc-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг на одно место): мкрн. Солнечный, 22а, пом. 5/3'),
(5334,	'71af6e90-3f60-11e6-a9f2-005056887b8d',	'db5c88e5-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 5 кг), Мини-отделение: ул. Кооперативная, 1'),
(5335,	'0d545ee7-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг): ул. Лермонтова, 15 (ул. Патриотическая, 48)'),
(5336,	'9d7c4bfc-1749-11e6-971e-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №20: ул. Черновола, 155/1'),
(5337,	'a3604d79-0094-11e6-899e-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг): ул. Чехова, 8а'),
(5338,	'a6678966-bd8f-11e4-a77a-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг на одно место): ул. Бориса Тена, 83/38'),
(5339,	'b145d123-cbd9-11e4-a77a-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 26/2'),
(5340,	'2bb8ce9f-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг на одно место): ул. Медовой Пещеры, 7'),
(5341,	'c356aab4-3f6a-11e6-a9f2-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг на одно место): ул. Русская, 88'),
(5342,	'e8a46558-cc92-11e4-a77a-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг на одно место): просп. Ушакова, 62'),
(5343,	'1ec09d99-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг): ул. Малая Арнаутская 119'),
(5344,	'3543f82a-a245-11e9-b790-005056b24375',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Отделение №20 (до 30 кг): ул. Троицкая, 70'),
(5345,	'022cf11e-0ac8-11e5-8a92-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): ул. Героев Пожарных, 70а'),
(5346,	'1692282b-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №21: ул. Василия Чапленко (ран. Фрунзе), 8'),
(5347,	'1fb3b50a-3f6b-11e6-a9f2-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 5 кг), Мини-отделение: ул. Воробкевича Сидора, 31-А'),
(5348,	'511fcfa4-e1c2-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №21: ул. Адмирала Головко, 14'),
(5349,	'5a39e588-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): ул. Академика Проскуры, 1'),
(5350,	'5a39e58e-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): просп. Александровский, 21'),
(5351,	'5380dc8e-c9a9-11e5-8478-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): ул. Киевская, 49'),
(5352,	'7b422fae-e1b8-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг на одно место): ул. Товарищеская, 56 (ул. Ладожская, 25)'),
(5353,	'83e9dc53-3f66-11e6-a9f2-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг на одно место): ул. Соборная, 14/16'),
(5354,	'90f257ea-3f5b-11e6-a9f2-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 5 кг), Мини-отделение: ул. Соборная, 197'),
(5355,	'9a552bf4-3ed2-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): ул. Луценко, 6'),
(5356,	'9acdfc0d-3ebc-11e6-a9f2-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг на одно место): ул. Космонавтов, 108/1'),
(5357,	'2bb8cea0-e1c2-11e3-8c4a-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): ул. Пасечная, 94в'),
(5358,	'cfa959ba-3f67-11e6-a9f2-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): просп. Мира, 80'),
(5359,	'f8da650d-3ec6-11e6-a9f2-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг на одно место): ул. Великотырновская, 7'),
(5360,	'fd2abca9-44df-11e9-acea-005056b24375',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг на одно место): ул. Героев Украины (ран. Героев Сталинграда), 28г'),
(5361,	'fac8eac9-0b6d-11e5-8a92-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №21 (до 30 кг): ул. Конякина, 7'),
(5362,	'1692282c-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг): ул. Тепличная, 21'),
(5363,	'16922841-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Ревуцкого, 26 (Харьковский масив)'),
(5364,	'2e259023-7403-11e5-8d8d-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30): ул. Кравчука, 15ж/3'),
(5365,	'32940ba4-3f6b-11e6-a9f2-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Ровенская, 5а'),
(5366,	'5a39e58f-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Еврейская, 1'),
(5367,	'2497a0fa-b9af-11e9-8c22-005056b24375',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Павленковская, 3б, пом. 4, пом. 5'),
(5368,	'505d1b91-f969-11e4-8a92-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг): ул. Шевченко, 11'),
(5369,	'596727f9-3eba-11e6-a9f2-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): 7-й проезд, 8а'),
(5370,	'47402e8e-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Чаривная, 121'),
(5371,	'5dc9eec5-5613-11e5-8d8d-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Покровская, 54а (мкрн. Житомир мебель)'),
(5372,	'612ecca1-0bf3-11e4-acce-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Городоцкая, 174'),
(5373,	'b1c0f7eb-3ebc-11e6-a9f2-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг): просп. Центральный, 135'),
(5374,	'b26e6376-3f5b-11e6-a9f2-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Дачная, 1а'),
(5375,	'e8a30724-b8dc-11e9-8c22-005056b24375',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг): ул. Крымская, 62/41'),
(5376,	'c146d31d-5618-11e5-8d8d-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг на одно место): ул. Алмазная (ран. Погребняка), 1а'),
(5377,	'40498367-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг): ул. Чернишевская, 1'),
(5378,	'dba5fe1b-3f66-11e6-a9f2-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №22 (до 30 кг): просп. Святых Кирилла и Мефодия (ран. Димитрова), 10'),
(5379,	'e8a30736-b8dc-11e9-8c22-005056b24375',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг на одно место): ул. Холодноярская, 198'),
(5380,	'1692282d-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Александра Поля (ран. Кирова), 76'),
(5381,	'0d33588f-0b63-11e5-8a92-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Трудовая, 6-А, пом. 133 (ТЦ &quot;Woodmoll&quot;)'),
(5382,	'16922897-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): просп. Н. Бажана, 24/1 (м. Позняки)'),
(5383,	'37ab41c2-610d-11e9-898c-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг на одно место): ул. Василия Порика, 46, пом. 49'),
(5384,	'3c930b3c-3f6b-11e6-a9f2-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Братьев Руснаков, 12'),
(5385,	'5a39e590-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Высоцкого, 23'),
(5386,	'2bb8ce6e-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг на одно место): ул. Гагарина, 4'),
(5387,	'612eccd8-0bf3-11e4-acce-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Симона Петлюры, 2'),
(5388,	'7d38b2c7-3eba-11e6-a9f2-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): бульв. Шевченко, 313'),
(5389,	'c42523bd-2ada-11e5-add9-005056887b8d',	'db5c8902-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг на одно место): ул. Смилянская, 163'),
(5390,	'40498368-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Академика Павлова, 134/16'),
(5391,	'd9d43e81-3ebb-11e6-a9f2-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Космонавтов, 83а'),
(5392,	'023b5543-1c7e-11e4-acce-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг): ул. Зеленая, 186'),
(5393,	'a5555bbe-5071-11e9-acea-005056b24375',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг на одно место): просп. Мира, 17/3'),
(5394,	'2d6a26fb-e9aa-11e4-8a92-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг на одно место): ул. Зарожанская, 12а (маг. &quot;Норма&quot;)'),
(5395,	'310ee867-1cc4-11e6-971e-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг): ул. Богдана Хмельницкого, 25б'),
(5396,	'33109e67-0b80-11e5-8a92-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 15 кг), Мини-отделение: ул. Тернопольская, 7а (маг.&quot;Фуршет&quot;)'),
(5397,	'5a39e591-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг на одно место): ул. Фонтанская дорога, 4а'),
(5398,	'2bb8ce6f-e1c2-11e3-8c4a-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг на одно место): ул. Энтузиастов, 3, пом.37'),
(5399,	'94cfeea3-3eba-11e6-a9f2-005056887b8d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг): ул. Греческая, 34а (букв А-5, пом. 3-4)'),
(5400,	'9cf11e38-3e8c-11e6-a9f2-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг на одно место): ул. Победы, 12'),
(5401,	'40498369-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №24: площадь Защитников Украины, 2 (ТЦ &quot;Эпос&quot;)'),
(5402,	'e6e66b60-9bec-11e4-acce-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг на одно место): просп. Мира, 7'),
(5403,	'169227e8-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №24 (до 30 кг): ул. Белорусская, 28а'),
(5404,	'011fb6fc-5620-11e5-8d8d-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг): ул. Курчатова, 5/1'),
(5405,	'40fcfb1e-1c7e-11e4-acce-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 5 кг) Мини-отделение: ул. Патона, 37 (маг.&quot;Арсен&quot;)'),
(5406,	'5a39e592-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 15 кг), Мини-отделение: ул. Малая Арнаутская, 45'),
(5407,	'0d545f56-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место): просп. Пушкина, 3'),
(5408,	'd3528e36-a245-11e9-b790-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 5 кг), Мини-отделение: ул. Николаевская, 2 (ТЦ &quot;Barbara&quot;)'),
(5409,	'5c20ab87-3e94-11e6-a9f2-005056887b8d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место): ул. Донцова, 13'),
(5410,	'5e78584a-3e8f-11e6-a9f2-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место): майдан Короленко, 6'),
(5411,	'5f97a577-0ad4-11e5-8a92-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место): просп. Первомайский, 19'),
(5412,	'16922836-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место): просп. Тракторостроителей, 57а'),
(5413,	'16922859-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг): ул. М. Тимошенко, 9'),
(5414,	'8d7ce8ac-e9aa-11e4-8a92-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место) : ул. Хотинская, 45г'),
(5415,	'd0215f61-3150-11e6-9e93-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место): ул. Красная, 3'),
(5416,	'b9d61c63-6101-11e9-898c-005056b24375',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 30 кг на одно место): просп. Богоявленский (ран. Октябрьский), 310'),
(5417,	'0abf3677-3f68-11e6-a9f2-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 5 кг), Мини-отделение: ул. Каменецкая, 19А (ТГРЦ «Лыбедь Плаза»)'),
(5418,	'511fd00c-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг на одно место): ТЦ «Барабашова», Афганская площадка, место 21-П1-55, 56'),
(5419,	'24dfeda5-1e28-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг на одно место): ул. Северокольцевая, 3'),
(5420,	'0d545f57-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг): просп. Ивана Мазепы (ран. Петровского), 34'),
(5421,	'31e69a72-7197-11e9-898c-005056b24375',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг): ул. Малая Морская, 108/7'),
(5422,	'71840ba4-8c14-11e4-acce-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 5 кг) Мини-отделение: ул. Богдана Хмельницкого, 176 (маг.&quot;Фуршет&quot;)'),
(5423,	'1692285a-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг): ул. Бойчука (ран. Киквидзе), 25А'),
(5424,	'886b2f5e-1ccb-11e6-971e-005056887b8d',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг на одно место): ул. Гагарина Юрия, 70'),
(5425,	'ae677bcb-7178-11e5-8d8d-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг): ул. Европейская, 66'),
(5426,	'b60ad701-a7a6-11e4-a77a-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг на одно место): бульв. Василевского Маршала, 22Б'),
(5427,	'47402e4a-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг на одно место): ул. Семена Палия (ран. Днепропетровская дорога), 126'),
(5428,	'cca49e38-108c-11e8-ba66-005056b2fc3d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг на одно место): просп. Никопольский (ран. Бойко), 141 (рядом ДК &quot;Искра&quot;)'),
(5429,	'eda917da-3e8f-11e6-a9f2-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №26 (до 30 кг на одно место): ул. Витрука, 32'),
(5430,	'0d545f45-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг): ул. Шевченко, 317'),
(5431,	'2c9320c3-33f0-11e8-a3de-005056b2fc3d',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг на одно место): ул. Волгоградская, 8'),
(5432,	'3604cd25-3f68-11e6-a9f2-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг): ул. Довженко, 4'),
(5433,	'380f0fea-7b42-11e6-a9f2-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг): ул. Новосельского, 64'),
(5434,	'0d545f58-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг): ул. Космонавтов, 15'),
(5435,	'969d954a-b838-11e9-8c22-005056b24375',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг на одно место): ул. Никольская, 17/1'),
(5436,	'5bcc0e58-a793-11e4-a77a-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг): ул. Владимира Великого (ран. Мелешкина), 43Д'),
(5437,	'1692285f-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг на одно место): просп. Василия Порика, 13в (Виноградар)'),
(5438,	'a0fe71be-8431-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг на одно место): просп. Соборный (ран. Ленина), 186'),
(5439,	'cd3b304f-9bfa-11e4-acce-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №27 (до 30 кг): ул. Низинная, 2'),
(5440,	'eb13e50d-3ec4-11e6-a9f2-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №27: ул. Заводская, 12'),
(5441,	'0e4365dd-a794-11e4-a77a-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг на одно место): ул. Сичеславская, 3, пом. 50'),
(5442,	'644f696d-8c44-11e9-898c-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг): ул. Почтовая, 3'),
(5443,	'16922832-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №28: ул. Березинская, 58'),
(5444,	'639eb38c-b046-11e8-ad0d-005056b24375',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг): ул. Михаила Грушевского, 20'),
(5445,	'3e016361-9bfb-11e4-acce-0050568002cf',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 5 кг), Мини-отделение: ул. Княгини Ольги, 120 (маг.&quot;Арсен&quot;)'),
(5446,	'522421af-3f68-11e6-a9f2-005056887b8d',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг): ул. Панаса Мирного, 37/3'),
(5447,	'01ae25ff-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг на одно место): ул. Академика Королева, 94'),
(5448,	'969d9520-b838-11e9-8c22-005056b24375',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг на одно место): ул. Клосовского Александра, 10-а'),
(5449,	'5f10e016-8432-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №28 ( до 30 кг на одно место): ул. Запорожская, 2'),
(5450,	'b371133d-b855-11e9-8c22-005056b24375',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг на одно место): ул. Озёрная (ран. Красных Майовщиков), 1-В'),
(5451,	'16922860-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг на одно место): ул. Семьи Сосниных, 7а'),
(5452,	'cfbb78e9-3ec5-11e6-a9f2-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг на одно место): ул. Небесной Сотни, 74'),
(5453,	'0d545f48-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №28 (до 30 кг на одно место): просп. Тракторосторителей, 89б'),
(5454,	'1362b829-9d0f-11e6-a4c1-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №29 ( до 30 кг): ул. Говорова, 7А'),
(5455,	'39931b56-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Бучмы (ран. Уборевича), 1б'),
(5456,	'559fc0c9-3ec6-11e6-a9f2-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №29: ул. Сакко, 18а'),
(5457,	'336de183-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Титова, 21'),
(5458,	'7b0157af-0b6c-11e5-8a92-005056887b8d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Мазепы, 42'),
(5459,	'83bbdeb3-8c13-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Школьная (ран. Героев Сталинграда), 10, пом. 1'),
(5460,	'16922861-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Васильковская, 34(корпус В)'),
(5461,	'644f697d-8c44-11e9-898c-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Энтузиастов, 11, пом. 141-1-141-4'),
(5462,	'94e07397-b36a-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Авраама Линкольна, 57'),
(5463,	'de3b8022-b856-11e9-8c22-005056b24375',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Прибужская, 12/1'),
(5464,	'78d8faac-7198-11e9-898c-005056b24375',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №29 (до 30 кг): ул. Блажевича, 67, пом. 19'),
(5465,	'74e799e7-761c-11e9-898c-005056b24375',	'db5c8944-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг): пер. Ярослава Мудрого, 19а'),
(5466,	'1ec09dc9-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг): ул. Успенская, 7'),
(5467,	'4049833d-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг): ул. Привокзальная, 12'),
(5468,	'511fcfe0-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг на одно место): просп. Московский, 259'),
(5469,	'5ff19920-3ea8-11e6-a9f2-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг на одно место): ул. Независимости Украины, 16Б'),
(5470,	'6b65f85f-8c14-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг): ул. Василия Сергиенка (ран. Заднепровская), 46'),
(5471,	'336de182-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг): просп. Героев, 3 (ТЦ &quot;Кодак&quot;)'),
(5472,	'6e7396a3-3ec6-11e6-a9f2-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг на одно место): ул. Станиславского, 14/2'),
(5473,	'72ba6f97-0b6d-11e5-8a92-005056887b8d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 5 кг), Мини-отделение: бульв. Северный, 10'),
(5474,	'b9e28375-b36a-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №30 (до 30 кг): ул. Литвиненко, 8'),
(5475,	'1ec09dca-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №31(до 30 кг на одно место): ул. Героев обороны Одессы (ран. Героев Сталинграда), 52'),
(5476,	'0d545f63-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №31 (до 30 кг): ул. Московская, 5/2а, (м. &quot;Арсенальная&quot;)'),
(5477,	'511fd007-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №31 (до 30 кг на одно место): ул. Рабочая, 89'),
(5478,	'169227f5-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №31 (до 30 кг на одно место): ул. Светлая, 19'),
(5479,	'80c969a4-3ea8-11e6-a9f2-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №31 (до 5 кг), Мини-отделение: ул. Лермонтова, 37'),
(5480,	'85b2bec1-3ec6-11e6-a9f2-005056887b8d',	'db5c8892-391c-11dd-90d9-001a92567626',	'Отделение №31 (до 30 кг на одно место): ул. Сковороды, 2в'),
(5481,	'c464f73b-9bfe-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №31 (до 30 кг на одно место): ул. Крепостная (ран. Грязнова), 90а'),
(5482,	'c8025d1c-b36a-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №31 (до 30 кг): ул. Тершаковцев, 1'),
(5483,	'01ae25d9-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг на одно место): ул. Фонтанская дорога, 58'),
(5484,	'20d67c2d-b36b-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг на одно место): ул. Драгана, 34'),
(5485,	'5a39e563-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг на одно место): ул. Владимира Вернадского (ран. Дзержинского), 10'),
(5486,	'9303ca2e-1cc7-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг): бульв. Дарницкий, 23'),
(5487,	'0d545f68-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг на одно место): ул. Гимназическая набережна (ран. Красношкольная Набер), 26'),
(5488,	'aeb2a0b3-3f48-11e5-8d8d-005056887b8d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг): ул. Шевченко, 8'),
(5489,	'c036f041-f965-11e4-8a92-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг на одно место): ул. Романа Шухевича, 10'),
(5490,	'db414622-9c01-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №32 (до 30 кг на одно место): ул. Лизы Чайкиной, 74'),
(5491,	'01ae25da-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №33 (до 30 кг): ул. Романа Кармена, 15 (просп. Шевченка)'),
(5492,	'0d545f65-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №33: ул. Закревского, 18 (Троещина)'),
(5493,	'4dfbe28e-57bb-11e5-8d8d-005056887b8d',	'db5c8904-391c-11dd-90d9-001a92567626',	'Отделение №33 (до 30 кг на одно место): ул. Селянская, 28'),
(5494,	'55c366c8-9c02-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №33 (до 30 кг на одно место): ул. Сталеваров, 21'),
(5495,	'5970d4f8-0b62-11e5-8a92-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №33 (до 30 кг на одно место): ул. Н. Карнаухова (ран. Мирющенко), 31'),
(5496,	'47402ea7-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №33 (до 30 кг): ул. Сумская, 124'),
(5497,	'b5d6492f-b36b-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №33 (до 30 кг на одно место): ул. Антоновича, 90'),
(5498,	'b7a7a979-1cc4-11e6-971e-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №33 (до 30 кг): просп. Александра Поля (ран. Кирова), 43'),
(5499,	'14991cf6-b36c-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №34 (до 30 кг на одно место): ул. Б. Хмельницкого, 176'),
(5500,	'300f52d9-103e-11e5-add9-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №34 (до 30 кг на одно место): ул. Мицкевича, 2'),
(5501,	'16922816-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №34 (до 30 кг на одно место): ул. Рождественская (ран. Энгельса), 14'),
(5502,	'55c36702-9c02-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №34 (до 30 кг): ул. Чайкиной Лизы, 49, пом. 20'),
(5503,	'79c06547-c8a7-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №34 (до 30 кг): просп. Воздухофлотский, 34'),
(5504,	'5a39e565-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №34 (до 30 кг на одно место): просп. Сергея Нигояна, 3'),
(5505,	'01ae25de-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №34: ул. 7 км Овидиопольской дороги, 1 (Эпицентр)'),
(5506,	'511fcfda-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №35 (до 30 кг): ул. Фучика, 3 (ЦСКА)'),
(5507,	'6e2fd5e0-9c02-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №35 (до 30 кг): ул. Новокузнецкая, 5'),
(5508,	'5a39e566-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №35 (до 30 кг): ул. Семафорная, 32Б'),
(5509,	'1692281a-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №35 (до 30 кг на одно место): ул. Героев труда, 14 (ТЦ Джокер 2 этаж)'),
(5510,	'f6264af5-2b83-11e5-add9-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №35 (до 30 кг): ул. Соборна, 47 (ТЦ &quot;Злата Плаза&quot;)'),
(5511,	'01ae25df-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №35 (до 30 кг на одно место): ул. Канатная, 83'),
(5512,	'01ae25d3-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №36 (до 30 кг): ул. Жуковского, 2е'),
(5513,	'16922826-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №36 (до 30 кг): ул. Москалёвская (ран. Октябрьской революции), 92'),
(5514,	'0d545ee8-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №36 (до 30 кг): ул. Ивана и Юрия Лип (ран. Гайдара), 5'),
(5515,	'775f572a-9c02-11e4-acce-0050568002cf',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №36 (до 30 кг): ул. 40-лет Победы, 9а'),
(5516,	'0d545f76-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №36 (до 30 кг): ул. Елены Телиги, 31/1'),
(5517,	'b2c70fb7-f965-11e4-8a92-005056887b8d',	'db5c88de-391c-11dd-90d9-001a92567626',	'Отделение №36 (до 30 кг на одно место): ул. Евгения Пикуса (ран. Папанина), 1а (ТЦ &quot;Квартал&quot;)'),
(5518,	'dd0651c6-cbbe-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №36 (до 5 кг) Мини-отделение: просп. Красной Калины, 62а (ТЦ &quot;ИНТЕР СИТИ&quot;)'),
(5519,	'011fb6b9-5620-11e5-8d8d-005056887b8d',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №37 (до 30 кг на одно место): ул. Соборная, 275'),
(5520,	'07831f88-b36d-11e4-a77a-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №37 (до 30 кг): ул. Калнышевского, 6'),
(5521,	'01ae25d4-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №37 (до 30 кг на одно место): ул. Даниила Галицкого (ран. Буденного), 29 (жм Западный)'),
(5522,	'133c1b12-bd90-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №37 (до 15 кг) Мини-отделение: ул. Щирецкая, 36 (рынок &quot;Южный&quot;)'),
(5523,	'7b422fac-e1b8-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №37 (до 30 кг): ул. Александра Невского, 57'),
(5524,	'1ec09d44-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №37 (до 30 кг на одне місце): ул. Пражская, 24'),
(5525,	'01ae2640-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №37 (до 30 кг на одно место): ул. Клочковская, 244'),
(5526,	'0d545ec8-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №38 (до 30 кг на одно место): просп. Александровский (ран. Косиора), 184'),
(5527,	'99f12f4f-b36e-11e4-a77a-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №38 (до 30 кг на одно место): ул. Рекордная, 2'),
(5528,	'1ec09d45-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №38: ул. Днепровская набережная, 17Ж'),
(5529,	'cc5c2e78-cbd2-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №38 (до 30 кг): ул. Зеленая, 89'),
(5530,	'2bb8ce84-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №38 (до 30 кг): ул. Днепропетровская дорога, 127/3 (ТЦ &quot;Волна&quot;)'),
(5531,	'f773cea1-1cc4-11e6-971e-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №38 (до 30 кг): ул. Михаила Грушевского (ран. Карла Либкнехта), 4а'),
(5532,	'01ae25d7-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №39 (до 30 кг): Запорожское шоссе, 40'),
(5533,	'25fa64d7-cbd4-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №39 (до 30 кг): ул. Владимира Великого, 1'),
(5534,	'1ec09d4e-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №39 (до 30 кг): ул. Маршала Малиновского, 34а'),
(5535,	'0d545edd-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №39 (до 30 кг): просп. Гагарина, 48'),
(5536,	'2bb8ce8d-e1c2-11e3-8c4a-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №39 (до 30 кг): ул. Приморская, 49/1'),
(5537,	'2713d599-cbd9-11e4-a77a-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №40 (до 30 кг): ул. Михаила Гончаренко (ран. Панфиловцев), 5'),
(5538,	'2e696b50-cbd4-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №40 (до 30 кг): ул. Личаковская, 139'),
(5539,	'47402e88-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №40 (до 30 кг на одно место): ул. Тарасовская, 3'),
(5540,	'169227f2-e1c2-11e3-8c4a-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №40 (до 30кг): ул. Марии Лисиченко (ран. Героев Гражданской войны), 17'),
(5541,	'1ec09d65-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №40 (до 30 кг на одно место): ул. Героев Севастополя, 23а (Отрадный)'),
(5542,	'2aecce4b-e380-11e4-8a92-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №41(до 15 кг), Мини-отделение: Херсонское шоссе, 38а'),
(5543,	'3296cf34-cbd9-11e4-a77a-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №41 (до 30 кг на одно место): ул. Бочарова, 3'),
(5544,	'400aa8e3-cbd4-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №41 (до 5 кг) Мини-отделение: ул. Газовая, 34а'),
(5545,	'511fcfe9-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №41 (до 30 кг на одно место): бул. Русановский, 4'),
(5546,	'9221f87a-1c7b-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №41 (до 5 кг) Мини-отделение: ул. С. Палия (ран. Днепропет. дорога), 93а (ТРЦ &quot;Семья&quot;)'),
(5547,	'dffcbe96-e47f-11e6-95d1-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №41 (до 30 кг): ул. Зоопарковая, 79д'),
(5548,	'2bb8ce79-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №41 (до 30 кг на одно место): ул. Матюшенко, 7б'),
(5549,	'466e0224-cbd4-11e4-a77a-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №42 (до 5 кг) Мини-отделение: просп. Вячеслава Чорновола, 67г(ТЦ&quot;Интерсити&quot;)'),
(5550,	'4df5be0d-8f17-11e8-8acc-005056b2fc3d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №42 (до 30 кг): ул. Байкальская, 82'),
(5551,	'2bb8ce7a-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №42 (до 30 кг на одно место): ул. Свободы (ран. Иванова), 11/13'),
(5552,	'ef70fe52-f975-11e4-8a92-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №42 (до 30 кг): ул. Чкалова, 215б'),
(5553,	'511fcf97-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №42 (до 30 кг): ул. Даниила Щербаковского (ран. Щербакова), 32/38, м. Нивки (Дегтяри)'),
(5554,	'00f839ae-8c15-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №43 (до 5 кг), Мини-отделение: просп. Добровольского, 137а (ТЦ &quot;Мой Дом&quot;)'),
(5555,	'116755df-0b79-11e5-8a92-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №43 (до 5 кг) Мини-отделение: ул. 6-я Слободская (ран. Комсомольская), 11 (маг&quot;Гиппо&quot;)'),
(5556,	'3c1d7848-6304-11e8-9d95-005056b2fc3d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №43 (до 30 кг на одно место): ул. Гладкова, 5'),
(5557,	'4cb97493-cc97-11e4-a77a-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №43 (до 30 кг на одно место): ул. Бородинская, 11'),
(5558,	'a0728b93-1cca-11e6-971e-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №43 (до 30 кг): просп. Юбилейный, 1а'),
(5559,	'c5aa59ae-1746-11e6-971e-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №43 (до 30 кг на одно место): ул. Кульпарковская, 131'),
(5560,	'511fcf98-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №43 (до 30 кг на одно место): ул. Голосеевская, 2'),
(5561,	'655f779d-8c16-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №44 (до 5 кг) Мини-отделение: проул. Симафорный, 4 (маг. &quot;Фуршет&quot;)'),
(5562,	'6e7401b8-3eb9-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №44 (до 30 кг на одно место): ул. Полуботка, 31'),
(5563,	'9430839d-1c75-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №44 (до 30 кг на одно место): просп. Дмитрия Яворницкого (ран. Карла Маркса), 99'),
(5564,	'a9537aec-e37f-11e4-8a92-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №44 (до 30 кг на одно место): ул. Победы, 115'),
(5565,	'e9010e6e-1cca-11e6-971e-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №44 (до 30 кг): просп. Льва Ландау, 46'),
(5566,	'f1ede0bb-c9bb-11e5-8478-005056887b8d',	'db5c888c-391c-11dd-90d9-001a92567626',	'Отделение №44 (до 30 кг на одно место): ул. Московская, 13/4'),
(5567,	'511fcf99-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №44 (до 30 кг на одно место): ул. Милютенка ,11а (Волгоградская пл.)'),
(5568,	'49f2ef77-f974-11e4-8a92-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №45: ул. Василия Сергиенка (ран. Заднепровская), 13'),
(5569,	'5ed27527-41f4-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №45 (до 30 кг на одно место): просп. Червоной Калины, 59'),
(5570,	'6f7a950c-8c16-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №45 (до 30 кг): просп. Адмиральский, 1В'),
(5571,	'96aa913f-8b9b-11e6-856b-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №45 (до 30 кг): ул. Энвера Ахсарова, 16'),
(5572,	'f75e2c18-1c76-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №45 (до 30 кг на одно место): просп. Мануйловский (ран. Воронцова), 7'),
(5573,	'0508de77-1c77-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №46 (до 30 кг): просп. Слобожанский (ран. Газеты &quot;Правда&quot;), 31д (ТЦ &quot;Наша Правда&quot;)'),
(5574,	'5d4afa7f-f975-11e4-8a92-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №46 (до 30 кг на одно место): ул. Талалихина, 46г'),
(5575,	'2bb8ce90-e1c2-11e3-8c4a-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №46 (до 30 кг): бульв. Жасминовый (ран. Слинько), 9'),
(5576,	'511fcf9b-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №46 (до 30 кг): бульв. Дружбы Народов, 14 (м.Дружбы Народов, возле NOVUS)'),
(5577,	'0c5feec4-8c10-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №47 (до 30 кг): ул. Владимира Мономаха, 7'),
(5578,	'895ca4e0-8c16-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №47 (до 5 кг), Мини-отделение: ул. Екатериненская, 27/1'),
(5579,	'96b6f06f-844d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №47 (до 30 кг на одно место): просп. Московский, 35'),
(5580,	'f2246758-a218-11e8-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №47 (до 30 кг): ул. Чукарина В., 14, оф. 3'),
(5581,	'511fcf9c-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №47 (до 30 кг на одно место): ул. Вышгородская, 46'),
(5582,	'3b2d7e3a-8c17-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №48 (до 30 кг на одно место): просп. Славы, 5'),
(5583,	'54482bd1-0eac-11e5-add9-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №48 (до 15 кг), Мини-отделение: ул. Иванова, 81а'),
(5584,	'a3387b46-a219-11e8-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №48 (до 30 кг на одно место): ул. Менцинского, 10'),
(5585,	'5a39e5a7-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №48 (до 30 кг): ул. Михаила Бойчука (ран. Киквидзе), 7/11 (м. Дружбы Народов)'),
(5586,	'bdf76e5d-8c12-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №48 (до 30 кг): просп. Александра Поля (ран. Кирова), 104а (маг.VARUS, ТЦ &quot;Славутич&quot;)'),
(5587,	'5ffd22a0-0eac-11e5-add9-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №49 (до 15 кг), Мини-отделение: ул. Кузнецова, 17'),
(5588,	'9670123c-8c17-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №49 (до 30 кг): просп. Московский, 256'),
(5589,	'5a39e5a8-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №49 (до 30 кг): ул. Иорданская (ран. Л. Гавро), 1, озеро&quot;Вербное&quot; (Оболонь)'),
(5590,	'b87f5df1-9bfd-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №49 (до 5 кг) Мини-отделение: просп. Добровольского, 71/1 (маг.&quot;Копейка&quot;)'),
(5591,	'dd5f3dbd-8c12-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №49 (до 5 кг) Мини-отделение: ул. 20-летия Победы, 43д (маг.VARUS, ТЦ &quot;Терра&quot;)'),
(5592,	'd20356e1-f217-11e8-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №50 (до 30 кг): ул. Торфяная, 23'),
(5593,	'6ecac884-0eac-11e5-add9-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №50 (до 30 кг на одно место): ул. Крепостная (ран. Грязнова), 5'),
(5594,	'5a39e5a9-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №50 (до 30 кг): просп. Победы, 7в (Цирк)'),
(5595,	'c5374c0b-9bfd-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №50 (до 5 кг), Мини-отделение: просп. Добровольского, 70б (маг.&quot;Копейка&quot;)'),
(5596,	'd1770305-8c17-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №50 (до 30 кг): ул. Клочковская, 99а'),
(5597,	'e6344a49-8c12-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №50 (до 30 кг): ул. Метростроевская, 15'),
(5598,	'5a39e539-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №51 (до 30 кг на одне место): ул. Евгения Коновальца, 15/4'),
(5599,	'82f38f68-0eac-11e5-add9-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №51 (до 30 кг на одно место): ул. Космическая, 100а'),
(5600,	'd20356f3-f217-11e8-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №51 (до 30 кг): ул. Т. Шевченко, 150'),
(5601,	'cddf2369-9bfd-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №51 (до 5 кг), Мини-отделение: просп. Небесной Сотни (ран. Марш. Жукова), 65а (Копейка)'),
(5602,	'd177033f-8c17-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №51 (до 30 кг): ул. Бакулина, 14'),
(5603,	'e6344a83-8c12-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №51 (до 30 кг): ул. Чернышевского, 21'),
(5604,	'14d90110-8c13-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №52 (до 30 кг на одно место): просп. Б. Хмельницкого (ран. Героев Сталинг.), 8, пом. 3'),
(5605,	'91d90334-0eac-11e5-add9-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №52 (до 30 кг): ул. Победы, д. 25, пом. 2'),
(5606,	'5a39e5ac-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №52 (до 30 кг на одно место): просп. М. Бажана, 3'),
(5607,	'ed25ae13-9bfd-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №52 (до 30 кг), : ул. Раскидайловская, 18'),
(5608,	'ff8f4d83-8c17-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №52 (до 5 кг): просп. Тракторостроителей, 128в (ТЦ &quot;КЛАСС&quot;)'),
(5609,	'0b94b90c-8c18-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №53 (до 30 кг): просп. Победы, 65 г'),
(5610,	'2226db47-8c13-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №53 (до 30 кг): ул. Титова, 2'),
(5611,	'2ccc6526-f96a-11e4-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №53 (до 30 кг на одне місце): ул. Богдана Хмельницкого, 29'),
(5612,	'47402e9b-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №53 (до 30 кг на одно место): бульв.  Ромена Ролана, 7 (Никольская Борщаговка)'),
(5613,	'823c6abd-9bfe-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №53 (до 5 кг) Мини-отделение: просп. Добровольского, 130/5 (маг.&quot;Копейка&quot;)'),
(5614,	'17aac962-8c18-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №54 (до 5 кг), Мини-отделение: ул. Леся Сердюка, 36'),
(5615,	'1a3437c0-f970-11e4-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №54 (до 30 кг): ул. Русовых, 2'),
(5616,	'39bf6ccf-8c13-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №54 (до 30 кг на одно место): ул. Юрия Кондратюка, 2'),
(5617,	'8edc8bdf-9bfe-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №54 (до 5 кг) Мини-отделение: просп. Академика Глушко, 11/1 (маг.&quot;Копейка&quot;)'),
(5618,	'4049835f-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №54 (до 30 кг): просп.  Академика Палладина, 25а (м. Академгородок)'),
(5619,	'27471afc-f970-11e4-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №55 (до 30 кг на одно место): просп. Шевченко, 13 (заезд с ул. А. Нижанковского)'),
(5620,	'461821d9-8c13-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №55 (до 15 кг), Мини-отделение: ул. Дмитрия Донцова, 2а'),
(5621,	'01ae25f2-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №55 (до 30 кг): ул. Патриарха Мстислава Скрипника (ран. Островского), 60 (Соломенка)'),
(5622,	'999be709-9bfe-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №55 (до 5 кг) Мини-отделение: просп. Шевченко, 4е (маг.&quot;Копейка&quot;)'),
(5623,	'c3bf888c-971e-11e8-ad0d-005056b24375',	'db5c88d7-391c-11dd-90d9-001a92567626',	'Склад Комфи Трейд: (с. Великая Дымерка, ул. Броварская, 150) отделение №55 ЗАКРЫТОГО ТИПА'),
(5624,	'cfeed0b3-9c9a-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №55 (до 30 кг): просп. Гагарина, 20а'),
(5625,	'3436495b-f970-11e4-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №56 (до 30 кг на одно место): ул. Шевченко, 388'),
(5626,	'73981a9d-8c13-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №56 (до 15 кг), Мини-отделение: просп. Д. Яворницкого (ран. К. Маркса), 60 (&quot;ProStor&quot;)'),
(5627,	'7a855e0c-3e92-11e6-a9f2-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №56 (до 30 кг), ул. Яценко, 2 (маг. &quot;VARUS&quot;)'),
(5628,	'01ae25f3-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №56 (до 30 кг): ул. Лятошинского, 24'),
(5629,	'a815aa3f-9bfe-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №56 (до 15 кг) Мини-отделение: ул. Генерала Бочарова, 50'),
(5630,	'298e4592-9be9-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №57 (до 30 кг): ул. Титова, 36'),
(5631,	'41842c09-9c9d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №57 (до 5 кг) Мини-отделение: просп. Науки (ран. Ленина), 54 (отд.&quot;Приват Банк&quot;)'),
(5632,	'4273473c-f970-11e4-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №57 (до 30 кг): ул. Стрыйская, 79'),
(5633,	'01ae25f4-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №57 (до 30 кг): ул. Константиновская, 24 (м. Контрактовая пл.)'),
(5634,	'91bb0092-3e92-11e6-a9f2-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №57 (до 30 кг): просп. Соборный (ран. Ленина), 106'),
(5635,	'bb1da9ad-9bfe-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №57 (до 5 кг), Мини-отделение: ул. Бугаевская, 21В'),
(5636,	'298e45cc-9be9-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №58 (до 30 кг): просп. Богдана Хмельницкого (ран. ул. Героев Сталинграда), 127'),
(5637,	'4a94b10a-9c9d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №58 (до 5 кг) Мини-отделение: ул. Героев Труда, 7 (ТРЦ &quot;Караван&quot;)'),
(5638,	'50bb9f3f-f970-11e4-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №58 (до 5 кг) Мини-отделение: ул. Владимира Великого, 58 (маг.&quot;Ашан&quot;)'),
(5639,	'7a81ac0a-a62c-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №58 (до 30 кг на одно место): ул. Академика Филатова, 62'),
(5640,	'01ae25f5-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №58 (до 30 кг): ул. Выборгская, 49'),
(5641,	'a7253532-3e92-11e6-a9f2-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №58 (до 30 кг на одно место): ул. Космическая, 124, пом. 285-4 (ул. Чумаченко, 1)'),
(5642,	'03016c7f-0b66-11e5-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №59 (до 30 кг): ул. Дунайская, 32'),
(5643,	'7a81ac44-a62c-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №59 ( до 30 кг на одно место): ул. Французский бульвар, 9'),
(5644,	'01ae25f6-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №59 (до 30 кг): ул. Бульварно-Кудрявская (ран. Воровского), 39/11'),
(5645,	'8ccb38e0-9c9d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №59 (до 5 кг) Мини-отделение: ул. Сергея Грицевца, 29 (маг.&quot;КЛАСС&quot;)'),
(5646,	'b8f62ca0-3e92-11e6-a9f2-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №59 (до 30 кг на одно место): просп. Соборный, 187'),
(5647,	'bb623752-9beb-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №59 (до 30 кг на одно место): бульв. Славы, 28'),
(5648,	'2834a836-b35d-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №60 (до 30 кг на одно место): ул. Старопортофранковская, 103а'),
(5649,	'2acced0c-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №60 (до 30 кг): ул. Глинки, 1'),
(5650,	'37600483-0b66-11e5-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №60 (до 30 кг): ул. Б. Хмельницкого, 72'),
(5651,	'57ba0b3a-9c9d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №60 (до 5 кг) Мини-отделение: пров. Рогатинский, 3 (маг.&quot;Рост&quot;)'),
(5652,	'0d545f4c-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №60 (до 30 кг на одно место): ул. Днепровская набережная, 26и (м. Осокорки)'),
(5653,	'd0d9953c-3e92-11e6-a9f2-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №60 (до 30 кг на одно место): бульв. Центральный, 3'),
(5654,	'39931af2-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №61 (до 30 кг): просп. Лобановского, 3'),
(5655,	'2834a870-b35d-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №61 (до 30 кг на одо место): ул. Ицхака Рабина, 23'),
(5656,	'44cfbdfb-0b66-11e5-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №61 (до 30 кг): ул. Шевченко, 80Б'),
(5657,	'6e21e36e-9c9d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №61 (до 30 кг): ул. Донец-Захаржевского, 1/3'),
(5658,	'18e56820-3e93-11e6-a9f2-005056887b8d',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Отделение №62: ул. Теплостроевская, 28'),
(5659,	'169227ed-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №62 (до 30 кг): просп. Григоренко, 22/20'),
(5660,	'54ce159f-0b66-11e5-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №62 (до 30 кг): ул. Шевченко, 42а'),
(5661,	'8f5db0f9-1cca-11e6-971e-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №62: ул. Амосова, 11А'),
(5662,	'e8a1bf3d-b35c-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №62 (до 5 кг), Мини-отделение: ул. Люстдорфская дорога, 170'),
(5663,	'42208316-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №63 (до 30 кг): просп. Маршала Малиновского, 2'),
(5664,	'46175154-b35d-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №63 (до 30 кг на одно место): Фонтанская дорога, 14а'),
(5665,	'169227ee-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №63 (до 30 кг): ул. Набережно-Хрещатицкая, 15-17/18'),
(5666,	'84c9ffa5-9c9d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №63 (до 30 кг): пгт. Малая Даниловка, Окружная дорога, 8 (маг.&quot;МЕТРО&quot;)'),
(5667,	'169227ef-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №64 (до 30 кг): ул. Васильковская, 55 (м. Выставочный Центр)'),
(5668,	'511035a2-b35d-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №64 (до 30 кг на одо место): ул. Генерала Бочарова, 37'),
(5669,	'58d70354-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №64 (до 30 кг на одно место): просп. Ивана Мазепы, 3'),
(5670,	'6f44cb5f-0b66-11e5-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №64 (до 30 кг): ул. Свенцицкого, 5'),
(5671,	'a7f0f892-9c9d-11e4-acce-0050568002cf',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №64 (до 15 кг), Мини-отделение: просп. Гагарина, 187/1 (маг.&quot;МЕТРО&quot;)'),
(5672,	'5ffcee67-b35d-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №65 (до 5 кг) Мини-отделение: ул. Степовая, 28 (маг.&quot;Обжора&quot;)'),
(5673,	'6d48c722-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №65 (до 15 кг), Мини-отделение: просп. Слобожанский (ран. Газеты &quot;Правда&quot;), 13'),
(5674,	'7edcc777-0b66-11e5-8a92-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №65 (до 30 кг на одно место): ул. Научная, 96б'),
(5675,	'b7fab5aa-a62c-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №65 (до 30 кг): просп. Героев Сталинграда, 169/24'),
(5676,	'bd59fe7e-3ed2-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №65 (до 30 кг): ул. Анри Барбюса, 53, пом. 1140'),
(5677,	'023cac6c-b35e-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №66 (до 5 кг), Мини-отделение: ул. Академика Королева, 19'),
(5678,	'77be5a58-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №66 (до 2 кг), Мини-отделение: просп. Штурманский, 7с (маг.&quot;Ева&quot;)'),
(5679,	'd6db6193-5620-11e5-8d8d-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №66 (до 30 кг): ул. Городоцкая, 131'),
(5680,	'7b422fa4-e1b8-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №66: ул. Сирецкая, 9 (Куреневка)'),
(5681,	'eaa0e479-a62c-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №66 (до 30 кг): ул. Туркестанская, 44'),
(5682,	'0ab078ed-b35e-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №67 (до 30 кг): ул. Марсельская, 35 б'),
(5683,	'7b422fa5-e1b8-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №67 (до 30 кг): ул. К. Данькевича, 16 (Троещина)'),
(5684,	'91a9f9c2-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №67 (до 30 кг): ул. Большая Диёвская (ран.Трофимовых), 111р (ТЦ Комун.)'),
(5685,	'a339b946-b360-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №67 (до 5 кг), Мини-отделение: ул. Гвардейцев-Широнинцев, 30, пом. 40'),
(5686,	'fa329007-5622-11e5-8d8d-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №67 (до 30 кг): ул. Стрыйская, 45а'),
(5687,	'09538694-5623-11e5-8d8d-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №68 (до 30 кг на одне место): ул. Николайчука, 8'),
(5688,	'4ac4606c-b367-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №68 (до 30 кг): просп. Науки (ран. Ленина), 39'),
(5689,	'0d545f77-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №68 (до 30 кг): ул. Бориса Гмыри, 1 (м. Позняки)'),
(5690,	'a0e6e750-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №68: ул. Набережная Победы, 62а'),
(5691,	'2cb15d82-b368-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №69 (до 30 кг): ул. Дмитриевская, 5'),
(5692,	'30f3e33a-b35e-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №69 (до 5 кг) Мини-отделение: ул. Черняховского, 4 (ТЦ &quot;5 элемент&quot;)'),
(5693,	'5abce8bb-3eb8-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №69 (до 30 кг): ул. Юрия Липы,18'),
(5694,	'b15e004e-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №69 (до 30 кг): ул. Николая Михновского (ран. Щербины), 8 (маг.Фуршет)'),
(5695,	'0d545f7a-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №69 (до 30 кг): ул. Лаврухина, 3'),
(5696,	'bc887594-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №70 (до 30 кг): ул. Рабочая, 83'),
(5697,	'0d545f7b-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №70 (до 30 кг): просп. Победы, 20, м. Политехнический институт (Шулявка)'),
(5698,	'c73762ee-3eb8-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №70 (до 5 кг), Мини-отделение: ул. Шевченко, 108'),
(5699,	'672248fd-b368-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №71 (до 5 кг), Мини-отделение: просп. Тракторостроителей, 86/137'),
(5700,	'47402ea1-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №71 (до 30 кг на одно место): бульв. Труда, 5'),
(5701,	'd0690a46-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №71 (до 30 кг): пл. Вокзальная, 2'),
(5702,	'ec5631c4-3eb8-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №71 (до 30 кг на одно место): ул. Горбачевского, 8'),
(5703,	'f5ffed92-cc7a-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №71(до 30 кг на одо место): ул. Варненская, 15'),
(5704,	'05789584-3eb9-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №72 (до 30 кг): ул. Княгини Ольги, 100 д'),
(5705,	'753aff3b-b368-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №72 (до 30 кг): ул. Дудинской, 1а (за универмагом &quot;Киевский&quot;)'),
(5706,	'47402ea2-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №72 (до 30 кг): ул. Сечевых Стрельцов, 14а (Львовская пл.)'),
(5707,	'db7bb2d4-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №72 (до 30 кг): ул. Калиновая, 82Д (рынок «Образцовый»)'),
(5708,	'f14a4266-cc81-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №72 (до 30 кг на одно место): ул. Балковская, 30'),
(5709,	'00217a11-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №73 (до 30 кг): ул. Ильфа и Петрова, 63/1'),
(5710,	'1f75fa2c-3eb9-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №73 (до 30 кг): ул. Выговского И., 51'),
(5711,	'753aff75-b368-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №73 (до 15 кг) Мини-отделение: ул. Академика Павлова, 44б'),
(5712,	'47402ea3-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №73 (до 30 кг): ул. Прорезная, 9 (м. Крещатик)'),
(5713,	'fe14b97b-a62c-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №73 (до 30 кг): бульв. Кобзаря, 4'),
(5714,	'0b10e6a4-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №74 (до 30 кг): ул. Ильфа и Петрова, 35а'),
(5715,	'34b7b6c6-3eb9-11e6-a9f2-005056887b8d',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №74 (до 30 кг на одно место): ул. Зубровская, 7а'),
(5716,	'3ddc00f6-a62d-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №74 (до 30 кг): просп. Петра Калнышевского (ран. ул. Косиора), 18'),
(5717,	'a64231db-b369-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №74 (до 30 кг): ул. Маршала Бажанова, 10'),
(5718,	'47402ea4-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №74 (до 30 кг): ул. Межигорская, 56'),
(5719,	'1d58e3fc-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №75 (до 30 кг на одно место): просп. Небесной Сотни (ран. Маршала Жукова), 23'),
(5720,	'663de8ec-1a4d-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №75 (до 30 кг): ул. Газовая, 5а'),
(5721,	'91baf6bc-b358-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №75 (до 30 кг): ул. Комбрига Петрова, 2'),
(5722,	'9a292c0e-7b1a-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №75 (до 30 кг на одно место): ул. Большая Васильковская, 120 (м. Дворец &quot;Украина&quot;)'),
(5724,	'1692281f-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №76 (до 30 кг): просп. Победы, 89а'),
(5725,	'37ab41da-610d-11e9-898c-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №76 (до 5 кг), Мини-отделение: ул. Кульпарковская, 226-А (БЕЗ НАЛИЧНЫХ)'),
(5726,	'e36b1037-1cc8-11e6-971e-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №76 (до 30 кг на одно место): просп. Жуковского, 1'),
(5727,	'ee3b718c-b358-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №76 (до 30 кг на одно место): ул. Воскресенская (ран. Ленина), 1а'),
(5728,	'1496924b-b359-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №77 (до 30 кг): просп. Богдана Хмельницкого, 108'),
(5729,	'16922820-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №77 (до 30 кг): просп. Героев Сталинграда, 55'),
(5730,	'4b8644a6-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №77 (до 30 кг): Новониколаевская дорога, 1 (маг.&quot; Таврия В&quot;)'),
(5731,	'fad77f9b-7639-11e9-898c-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Отделение №77 (до 5 кг), Мини-отделение: просп. Свободы, 5'),
(5732,	'cfffe284-b369-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №77 (до 15 кг) Мини-отделение: ул. Гвардейцев- Широнинцев, 101/99'),
(5733,	'16922821-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №78 (до 30 кг): ул. Магнитогорская, 1а (Дарынок)'),
(5734,	'569bc799-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №78 (до 30 кг): ул. Мельницкая, 20'),
(5735,	'd62a1a63-b369-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №78: ул. Шевченко, 24а'),
(5736,	'f3615bcd-b359-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №78 (до 30 кг на одно место): просп. Поля Александра, 129р'),
(5737,	'16922822-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №79 (до 30 кг): ул. Светлицкого, 30/20 Б'),
(5738,	'60ccc44c-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №79  (до 5 кг) Мини-отделение: ул. Пушкинская, 72 (маг.&quot;ЦУМ&quot;)'),
(5739,	'e2f0caf7-b369-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №79 (до 15 кг) Мини-отделение: бульв. Сергея Грицевца, 2а (ТЦ &quot;Экватор&quot;, маг.&quot;Велмарт&quot;)'),
(5740,	'0b6620b6-b35a-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №80 (до 30 кг): просп. Ивана Мазепы, 49'),
(5741,	'682ed77d-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №80 (до 15 кг) Мини-отделение: просп. Небесной Сотни (ран. М. Жукова), 101м (маг.&quot;МЕТРО&quot;)'),
(5742,	'eb9b579d-b369-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №80 (до 5 кг) Мини-отделение: просп. Московский, 256б (ТЦ &quot;Экватор&quot;, маг.&quot;Велмарт&quot;)'),
(5743,	'fd3e2b84-1cc6-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №80 (до 30 кг): ул. Здолбуновская, 17 (ТЦ &quot;Ашан&quot; паркинг)'),
(5744,	'01ae2615-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №81 (до 30 кг): ул. Саксаганского, 76'),
(5745,	'15485bb5-b35a-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №81 (до 30 кг): ул. М. Кюри, 5'),
(5746,	'1ace5653-b36a-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №81 (до 30 кг на одно место): ул. Клочковская, 346 а'),
(5747,	'79225e5c-cc82-11e4-a77a-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №81 (до 5 кг) Мини-отделение: ул. Аэропортовская, 29 (маг.&quot;МЕТРО&quot;)'),
(5748,	'01ae2633-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №82 (до 30 кг): ул. Антоновича, 157 (м. &quot;Лыбидская&quot;)'),
(5749,	'268a696f-b35a-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №82 (до 30 кг): ул. Большая Диевская (ран. ул. Братьев Трофимовых), 459'),
(5750,	'2cafe136-b36a-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №82 (до 5 кг) Мини-отделение: Полтавский Шлях, 148/2(БЦ &quot;АРГО&quot;)'),
(5751,	'61600672-70a4-11e8-9d95-005056b2fc3d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №82 (до 30 кг на одно место): пл. Старосенная, 15'),
(5752,	'01ae2634-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №83 (до 30 кг): ул. Драгоманова, 6/1'),
(5753,	'4cd71dbe-cbd0-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №83 (до 30 кг): просп. Московский, 10/12'),
(5754,	'cf732056-76e4-11e8-9d95-005056b2fc3d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №83 (до 15 кг), Мини-отделение: ул. Филатова Академика, 2'),
(5755,	'01ae2635-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №84 (до 30 кг): ул. Курнатовского, 15'),
(5756,	'508d229d-b35a-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №84 (до 30 кг): ул. Саранская, 2, пом. 9'),
(5757,	'8a469a4b-cbd1-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №84 (до 30 кг): просп. Ново-Баварский, 118а'),
(5758,	'a33f13db-76ed-11e8-9d95-005056b2fc3d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №84 (до 5 кг), Мини-отделение: ул. Люстдорфская дорога, 55 (ТЦ &quot;Альтаировский&quot;)'),
(5759,	'01ae2636-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №85 (до 30 кг на одно место): ул. Маршала Гречко, 24'),
(5760,	'856aece2-8671-11e8-8acc-005056b2fc3d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №85 (до 30 кг на одно место): просп. Адмиральский, 37'),
(5761,	'972c3baf-cbd1-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №85 (до 30 кг на одно место): просп. Московский, 232А'),
(5762,	'afba570c-b35b-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №85 (до 30 кг): просп. Пушкина, 77'),
(5763,	'316c64ba-b35c-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №86 (до 30 кг на одно место): просп. Гагарина, 82'),
(5764,	'0d545ece-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №86 (до 30 кг): ул. Зодчих, 34а'),
(5765,	'9f328a2f-cbd1-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №86 (до 30 кг): ул. Гвардейцев-Широнинцев, 62'),
(5766,	'd0137748-a219-11e8-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №86 (до 15 кг), Мини-отделение: ул. Генуэзская, 24Б (ТОЦ &quot;KADORR City Mall)'),
(5767,	'0970dd96-a21b-11e8-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделения №87 (до 30 кг): ул. Академика Королёва, 79'),
(5768,	'3402ea18-1cc7-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №87 (до 30 кг): просп. Петра Григоренко, 33/44'),
(5769,	'aab31bd1-cbd1-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №87: ул. Мохначанская, 83 (рядом с бильярд. клубом &quot;Абриколь&quot;)'),
(5770,	'1e63e04c-a21b-11e8-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №88 (до 30 кг): просп. Добровольского, 83'),
(5771,	'4048b6a9-cbc6-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №88: ул. Савкина, 2'),
(5772,	'0d545ed0-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №88 (до 30 кг): ул. Якуба Коласа, 15б'),
(5773,	'b63d34bf-cbd1-11e4-a77a-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №88 (до 30 кг): просп. Науки (ран. Ленина), 70'),
(5774,	'4b20d2b5-cbcd-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №89 (до 30 кг): ул. Михаила Грушевского (ран. Карла Либнехта), 10'),
(5775,	'0d545ed1-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №89 (до 30 кг на одно место): ул. Глубочицкая, 28'),
(5776,	'ecbc4a77-d2e1-11e8-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №89 (до 30 кг): ул. Семена Палия (ран. Днепропетровская дорога), 68'),
(5777,	'7da224ae-d2e4-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №89 (до 30 кг на одно место): ул. Загородный въезд, 22'),
(5778,	'5bee4aa3-cbcd-11e4-a77a-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №90 (до 30 кг на одно место): ул. Терещенковская (ран. Красного Козачества), 25б'),
(5779,	'0d545ee1-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №90 (до 30 кг): просп. Победы, 80/57'),
(5780,	'a898541d-ecaa-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №90 (до 30 кг на одно место): просп. Гагарина, 199'),
(5781,	'bb97a681-c61c-11e8-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №90 (до 30 кг на одно место): ул. Люстдорфская дорога, 90г'),
(5782,	'ecbc4a89-d2e1-11e8-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №91 (до 5 кг), Мини-отделение: просп. Академика Глушко, 22'),
(5783,	'f50358f0-8143-11e9-898c-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №91 (до 30 кг): просп. Свободы, 209'),
(5784,	'f9bb7050-f92f-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №91 (до 30 кг): ул. Пушкинская, 68'),
(5785,	'0d545ee2-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №91 (до 30 кг на одно место): ул. Академика Заболотного, 48а'),
(5786,	'3543f84d-a245-11e9-b790-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №92 (до 30 кг): ул. Запорожское шоссе, 28П'),
(5787,	'93aac43e-e385-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №92 (до 15 кг) Мини-отделение: ул. Николаевская дорога, 307/1 (маг.&quot;МЕТРО&quot;)'),
(5788,	'a898542d-ecaa-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №92 (до 5 кг): ул. Натальи Ужвий, 58'),
(5789,	'e3a4d5aa-bd89-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №92 (до 30 кг): ул. Богатырская, 6А'),
(5790,	'80f5790f-b90e-11e9-8c22-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №93 (до 30 кг на одно место): ул. Литейная, 17'),
(5791,	'16a2a10c-f93d-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №93: ул. Семинарская (ран. Володарского), 80'),
(5792,	'0d545ee4-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №93 (до 30 кг): ул. Шота Руставели, 31а (м. &quot;Дворец спорта&quot;)'),
(5793,	'47402e89-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №94 (до 30 кг на одно место): бульв. Т. Шевченко, 46а'),
(5794,	'6529d3ad-e389-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №94 (до 30 кг на одно место): ул. Екатериненская, д. 84/86, пом. 501'),
(5795,	'74ec8e22-44c9-11e9-acea-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №95 (до 5 кг), Мини-отделение: просп. Победы, 62 (маг. Чудо-Маркет)'),
(5796,	'47402e8a-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №95 (до 30 кг): просп. Голосеевский, 68 (возле отеля &quot;Мир&quot;)'),
(5797,	'731ecf8a-e389-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №95 (до 5 кг) Мини-отделение: площадь Греческая, 3/4'),
(5798,	'dab4d4a2-d5fb-11e9-b0c5-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №95 (до 30 кг): ул. Малиновского, 14-А'),
(5799,	'a27848ff-4b03-11e9-acea-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №96 (до 30 кг на одно место): ул. Роллана Ромен, 9, пом. А-5'),
(5800,	'9b64b71f-e389-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №96 (до 5 кг) Мини-отделение: ул. Ильфа и Петрова, 39 (маг.&quot;Копейка&quot;)'),
(5801,	'32fcccc2-6189-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №97 (до 30 кг): ул. Кудряшова, 16а'),
(5802,	'fd2abc72-44df-11e9-acea-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №97 (до 30 кг): ул. Академика Павлова, 144б (ТЦ Космос, 2 этаж)'),
(5803,	'a9e3c2f0-e389-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №97 (до 30 кг): Люстдорфская дорога, 142-А, пом. 101'),
(5804,	'fd2abc83-44df-11e9-acea-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №98 (до 30 кг): проул. Отакара Яроша, 4'),
(5805,	'47402e8d-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №98 (до 30 кг): вул. Николая Краснова, 17'),
(5806,	'bdb9287d-e389-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №98 (до 30 кг на одно место): ул. Старопортофранковская, 135'),
(5807,	'fd2abc94-44df-11e9-acea-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №99 (до 30 кг): просп. Гагарина, 176, корп. 2'),
(5808,	'7b422fa9-e1b8-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №99: ул. Салютная, 5б'),
(5809,	'cc16e0f2-e389-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №99 (до 15 кг) Мини-отделение: площадь Греческая, 1'),
(5810,	'49ee2561-7ba7-11e9-898c-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №100 (до 30 кг на одно место): просп. Архитектора Алёшина, 5'),
(5811,	'1ec09d26-e1c2-11e3-8c4a-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №100 (до 30 кг на одно место), Мини-отделение: ул. Инженерная, 1, (маг. &quot;Фуршет&quot;)'),
(5812,	'd32d0ee6-f970-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение № 100 (до 15 кг), Мини-отделение: ул. Маршала Малиновского, 33 (маг. &quot;Сильпо&quot;)'),
(5813,	'89fc60e1-f973-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №101 (до 30 кг): с. Лиманка, &quot;Радужный&quot; массив ж/массива &quot;Ульяновка&quot;, 23, пом. 7'),
(5814,	'2213a040-7585-11e9-898c-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №101 (до 30 кг): ул. Полтавский Шлях, 177-Б'),
(5815,	'98793f4e-f973-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №102 (до 30 кг): пгт. Авангард, ул. Европейская, 9, секция 1, пом. 1В'),
(5816,	'59899855-60df-11e9-898c-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №103 (до 5 кг), Мини-отделение: ул. Дудинской, 1А (маг. &quot;Класс&quot;)'),
(5817,	'a85fca09-f973-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №103 (до 5 кг), Мини-отделение: ул. Массив Радужный, 16/4'),
(5818,	'5310274c-1c75-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №104 (до 30 кг): ул. Братиславская, 14б'),
(5819,	'baef6e1e-f973-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №104 (до 5 кг) Мини-отделение: пл. Независимости, 1 (ТЦ &quot;Панорама&quot;)'),
(5820,	'c8ffceea-e349-11e4-8a92-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №104 (до 5 кг), Мини-отделение: просп. Героев Сталинграда, 136/8 (маг. &quot;КЛАСС&quot;)'),
(5821,	'70784d07-1c75-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №105 (до 30 кг на одно место): ул. Дегтярёвская, 58'),
(5822,	'ee1bfdbe-e349-11e4-8a92-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №105 (до 5 кг), Мини-отделение: просп. Московский, 295 (маг.&quot;КЛАСС&quot;)'),
(5823,	'8c1a8196-55ea-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №106 (до 5 кг), Мини-отделение: просп. Победы, 94/1 (маг. &quot;Фуршет&quot;)'),
(5824,	'e1868761-f973-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №107 (до 15 кг) Мини-отделение: Польский спуск, 11'),
(5825,	'88a63dcc-e374-11e4-8a92-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №108 (до 30 кг): просп. Юбилейный (ран. Пятидесятилетия ВЛКСМ), 89'),
(5826,	'efdf8920-f973-11e4-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №108 (до 5 кг), Мини-отделение: бульв. Десантный, 16 (маг.&quot;Точка&quot;)'),
(5827,	'4d5f96d8-55ee-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №109 (до 30 кг): ул. Кирилловская, 121-А'),
(5828,	'96706085-e374-11e4-8a92-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №109 (до 30 кг): Полтавский Шлях, 17'),
(5829,	'c3ff16e7-0b6e-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №109 (до 30 кг): бульв. Французский, 41, пом. 101'),
(5830,	'75c9bc17-55ee-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №110 (до 30 кг): Харьковское шоссе, 19 (ЖК &quot;Мега Сити&quot; 2 этаж)'),
(5831,	'9cad0197-0b73-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №110 (до 15 кг), Мини-отделение: ул. Инглези (ран. 25-й Чапаевской див), 10 (Обжора)'),
(5832,	'a445e336-618a-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №111 (до 30 кг): ул. Драгомирова, 17'),
(5833,	'ade77971-e34e-11e4-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №111 (до 30 кг на одно место): ул. Набережная  Победы, 86а (ТЦ &quot;Новый Континент&quot;)'),
(5834,	'169e7eb1-55ef-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №112 (до 5 кг), Мини-отделение: ул. Академика Курчатова, 19а (маг. &quot;Фора&quot;)'),
(5835,	'72e8f166-e35f-11e4-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №112 (до 30 кг): ул. Шевченко, 29 б, пом. 102-106'),
(5836,	'c5e0b37b-0b73-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №112 (до 5 кг), Мини-отделение: ул. Старопортофранковская, 22/1'),
(5837,	'8c194d32-3ed0-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №113 (до 30 кг): просп. Броварской, 3в (ТЦ &quot;Leroy Merlin&quot; паркинг)'),
(5838,	'8cc27561-e35f-11e4-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №113 (до 30 кг): ул. Шолохова, 7'),
(5839,	'd2221c57-0b73-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №113 (до 5 кг), Мини-отделение: ул. Академика Вильямса, 46/1 (АЗС &quot;SunOil&quot;)'),
(5840,	'90fa41d8-5830-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №114 (до 15 кг), Мини-отделение: просп. Григоренко, 5а'),
(5841,	'e5bc4b0a-1d9d-11e6-971e-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №114 (до 30 кг): просп. Глушко Академика, 14/6'),
(5842,	'9e755ff5-5830-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №115 (до 30 кг): ул. Кристеров Семьи, 20-Б, пом. 228'),
(5843,	'ed338c3b-0b73-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №115 (до 30 кг): Николаевская дорога, 301/1, пом. 101'),
(5844,	'fa062a2b-0b73-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №116 (до 30 кг): с. Лиманка, ж/м Дружный, массив 10, участок 31'),
(5845,	'02cfac53-0b74-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №117 (до 15кг), Мини-отделение: ул. Ивана и Юрия Лип (ран. Гайдара), 34'),
(5846,	'4b9a1222-1cc7-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №117 (до 30 кг): ул. Урловская, 4а'),
(5847,	'112d709b-0b74-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №118 (до 30 кг): просп. Шевченко, 27'),
(5848,	'1f37e477-0b74-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №119 (до 30 кг): ул. Дюковская, 14'),
(5849,	'7bd8fef9-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №119 (до 5 кг), Мини-отделение: ул. Саперно-Слободская, 10 (маг. &quot;Велика Кишеня&quot;)'),
(5850,	'2f0dc4b7-0b74-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №120 (до 15 кг), Мини-отделение: ул. Инглези (ран. 25-й Чапаев.див), 13А (АЗС Sun Oil)'),
(5851,	'3c3ad77f-0b74-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №121 (до 5 кг), Мини-отделение: ул. Академика Заболотного, 24'),
(5852,	'96dd6c8b-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №121 (до 15 кг), Мини-отделение: просп. Героев Сталинграда, 8К5'),
(5853,	'4aa94583-0b74-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №122 (до 30 кг на одно место): ул. Столбовая, 28'),
(5854,	'ab1145e4-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №122 (до 30 кг): бульв. Вацлава Гавела, 50'),
(5855,	'57be8a23-0b74-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №123 (до 30 кг на одно место): ул. Николаевская дорога, 128'),
(5856,	'87a69e1b-3ed1-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №123 (до 30 кг): ул. Градинская, 7'),
(5857,	'be0bd5a0-0f56-11e5-add9-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №124 (до 15 кг), Мини-отделение: ул. Проездная, 12'),
(5858,	'c0b3a715-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №124 (до 30 кг): ул. Вильямса Академика, 5, пом. 200'),
(5859,	'92503ac5-5625-11e5-8d8d-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №125 (до 30 кг на одо место): ул. Генерала Петрова, 1'),
(5860,	'df5aadba-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №125 (до 5 кг), Мини-отделение: ул. Здолбуновская, 7 (маг. &quot;Ева&quot;)'),
(5861,	'e498ff93-14d3-11e5-add9-005056887b8d',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Отделение №125 (до 5 кг), Мини-отделение: просп. Гагарина, 178'),
(5862,	'3be4bd5c-5629-11e5-8d8d-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №126: ул. Грушевского, 41'),
(5863,	'f06a124d-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №126 (до 15 кг), Мини-отделение: ул. Дарвина, 8, пом. 73, буква &quot;А&quot;'),
(5864,	'fbf3b6da-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №127 (до 30 кг): пер. Евгения Гуцала, 4'),
(5865,	'5a6e2101-5629-11e5-8d8d-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №128  (до 30 кг на одно место): просп. Ак. Глушко, 29'),
(5866,	'6f567f34-6fe6-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №128 (до 5 кг), Мини-отделение: пл. Спортивная, 1 (ТРЦ &quot;Gulliver&quot;)'),
(5867,	'68894483-5629-11e5-8d8d-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №129 (до 30 кг): переул. Маланова, 6'),
(5868,	'ee756d56-7a00-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №129 (до 5 кг), Мини-отделение: просп. Академика Королёва, 10'),
(5869,	'1f128a48-7a06-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №130 (до 30 кг): бульв. Гашека Ярослава, 8-А, пом. 85'),
(5870,	'7dc635a0-5629-11e5-8d8d-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №130 (до 30 кг на одно место): ул. Центральный аэропорт, 25'),
(5871,	'4146cd76-7a06-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №131 (до 5 кг), Мини-отделение: просп. Академика Палладина, 16 (ТЦ &quot;ACADEM City&quot;)'),
(5872,	'96ba8336-3ebf-11e6-a9f2-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №131: ул. Генерала Бочарова 50/1 (Рынок Початок)'),
(5873,	'51b6c251-7a06-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №132 (до 30 кг): просп. Леся Курбаса, 16-А'),
(5874,	'ebd94688-3ebf-11e6-a9f2-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №132 (до 5 кг), Мини-отделение: ул. Генуэзская, 5 (ТРЦ&quot;Gagarinn Plaza&quot;)'),
(5875,	'f5035906-8143-11e9-898c-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №133 (до 30 кг): Фонтанская дорога, 118'),
(5876,	'9e7fb92f-7a06-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №133 (до 30 кг): ул. Зодчих, 62'),
(5877,	'ab48505d-7a06-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №134 (до 30 кг): ул. Набережно-Корчеватская, 68'),
(5878,	'644f6949-8c44-11e9-898c-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №135 (до 30 кг): ул. Палия Семёна, 93'),
(5879,	'abe2d23e-44ec-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №135 (до 15 кг), Мини-отделение: ул. Выборгская, 80/17'),
(5880,	'68679d99-7a07-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №136 (до 30 кг): ул. Котельникова Михаила, 35'),
(5881,	'644f6959-8c44-11e9-898c-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №136 (до 30 кг): ул. Хмельницкого Богдана, 74'),
(5882,	'7985515f-7a07-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №137 (до 5 кг), Мини-отделение: ул. П. Калнышевского, 2 (ТЦ &quot;Полярный&quot;)'),
(5883,	'c814ef7c-a244-11e9-b790-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №138'),
(5884,	'987d5137-7a07-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №139 (до 30 кг): просп. В. Маяковского, 75 (маг. Watsons)'),
(5885,	'516195ff-8433-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №140 (до 30 кг): ул. Софиевская, 17/15'),
(5886,	'2c6a001d-d531-11e9-b0c5-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №140 (до 30 кг): ул. Дальницкая, 16'),
(5887,	'c0e418b1-8433-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №141: ул. Колекторная, 3а'),
(5888,	'd7108df0-8433-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №142 (до 30 кг): ул. Амвросия Бучмы, 5'),
(5889,	'd01ea4f3-8433-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №143 (до 30 кг): ул. Полярная, 17А (ТЦ &quot;Leroy Merlin&quot;)'),
(5890,	'f0e6c261-8433-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №144 (до 30 кг): просп. Науки, 35'),
(5891,	'd52f44ae-1cc6-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №145 (до 30 кг): ул. Героев Днепра, 53'),
(5892,	'7676602f-844f-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №146 (до 30 кг на одно место): ул. Кириловская (ран. Фрунзе), 126/2'),
(5893,	'61602ee9-8460-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №147 (до 30 кг): просп. Маяковского, 97/15'),
(5894,	'76b8d94f-8460-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №148: просп. Победы, 67 (корпус L)'),
(5895,	'76b8d989-8460-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №149 (до 30 кг на одно место): просп. Маяковского, 63/12'),
(5896,	'916c7c93-8460-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №150 (до 30 кг): ул. Антоновича, 43 (м.&quot;Олимпийская&quot;)'),
(5897,	'a3013fb7-8460-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №151 (до 30 кг): просп. Героев Сталинграда, 24'),
(5898,	'1858dc87-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №153 (до 30 кг): ул. Западынская, 9а'),
(5899,	'2a1ce58c-f94f-11e4-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №153 (до 30 кг): просп. Слобожанский (ран. Газеты Правды), 115'),
(5900,	'263f03a7-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №154 (до 30 кг): бульв. Кольцова, 14е'),
(5901,	'940efb23-f953-11e4-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №154 (до 30 кг на одно место): ул. Строителей, 12'),
(5902,	'36f18ec9-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №155 (до 5 кг), Мини-отделение: ул. Ломоносова, 50/2 (маг. &quot;BRILLE&quot;)'),
(5903,	'9f58d35e-f953-11e4-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №155 (до 30 кг): просп. Александра Поля (ран. Кирова), 59'),
(5904,	'417a2345-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №156 (до 5 кг), Мини-отделение: просп. Порика, 7а'),
(5905,	'541e1fe3-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №157 (до 30 кг): ул. Дорогожицкая, 17'),
(5906,	'e5a1f7ea-3ed0-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №158 (до 5 кг), Мини-отделение: ул. Бориспольская, 9 (маг. &quot;Фуршет&quot;)'),
(5907,	'6f7f6b23-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №159 (до 30 кг): просп. П. Тычины, 3'),
(5908,	'856a282b-0ad0-11e5-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №159 (до 15 кг), Мини-отделение: ул. Калиновая, 53'),
(5909,	'bd0ded9f-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №161 (до 5 кг), Мини-отделение: ул. Сулеймана Стальского, 20'),
(5910,	'bd0dedd9-84ff-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №162 (до 30 кг на одно место): ул. Михаила Котельникова, 3'),
(5911,	'cff3b3b7-0ad0-11e5-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №162 (до 30 кг на одно место): просп. Дмитрия Яворницкого, 71'),
(5912,	'029ba5f3-0ad3-11e5-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №163 (до 30 кг на одно место): ул. Вокзальная, 6'),
(5913,	'19d23a0c-8500-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №163 (до 30 кг): ул. Патриарха Мстислава Скрыпника, 5'),
(5914,	'15c356a7-0ad3-11e5-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №164 (до 30 кг на одно место): ул. Гладкова, 36'),
(5915,	'0a0927fc-3ed0-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №165 (до 15 кг), Мини-отделение: просп. Степана Бандеры, 6 (маг. «Розетка»)'),
(5916,	'2969310f-0ad3-11e5-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №165 (до 30 кг на одно место): ул. Героев Крут, 8а'),
(5917,	'407fcdff-0ad3-11e5-8a92-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №166 (до 30 кг): бульв. Славы, 5к'),
(5918,	'6b06bb5d-3ece-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №166 (до 30 кг на одно место): ул. Академика Ефремова, 23'),
(5919,	'6e80948c-3ed0-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №167 (до 30 кг): ул. Ивана Кудри, 31'),
(5920,	'b32b9ef8-3ed0-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №168 (до 30 кг): ул. Саперно-Слободская, 26 (ТЦ &quot;Leroy Merlin&quot;)'),
(5921,	'86376a2d-8500-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №169 (до 5 кг), Мини-отделение: ул. Митр. А. Шептицкого, 22 (ТЦ &quot;Олимпийский&quot; 2 эт.)'),
(5922,	'28e3a220-3ed1-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №170 (до 5 кг), Мини-отделение: просп. Оболонский, 26'),
(5923,	'4fde67a6-3ed1-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №171 (до 30 кг): ул. Полярная, 20д (вход С)'),
(5924,	'635707a4-3ed1-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №172 (до 30 кг): ул. Олевская, 9, пом. 304'),
(5925,	'b5983b84-8500-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №173 (до 30 кг): ул. Борщаговская, 133'),
(5926,	'c273e279-8500-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №174 (до 5 кг), Мини-отделение: ул. Ивана Пулюя, 5'),
(5927,	'ccfee589-8500-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №175 (до 30 кг): ул. Донецкая, 8А (маг. &quot;ЛотОК&quot;)'),
(5928,	'd8a52364-8500-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №176 (до 15 кг), Мини-отделение: просп. Николая Бажана, 10а (маг.&quot;VARUS&quot;)'),
(5929,	'7d4656e0-1cc7-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №178 (до 30 кг): просп. Оболонский, 35'),
(5930,	'0abf5632-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №180 (до 5 кг), Мини-отделение: просп. С. Бандеры (ран. Московский), 21 (маг.Фокстрот)'),
(5931,	'16d300ea-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №181 (до 30 кг на одно место): ул. Кириловская, 64'),
(5932,	'a70df686-5618-11e5-8d8d-005056887b8d',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №181 (до 30 кг): просп. Мира, 18'),
(5933,	'2692c850-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №182 (до 5 кг), Мини-отделение: ул. Березняковская, 31'),
(5934,	'3dd5a1c0-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №184 (до 30 кг): бульв. Верховного Совета, 14б'),
(5935,	'540b894c-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №185 (до 30 кг): ул. Минское шоссе, 10а (просп. Минский)'),
(5936,	'5f48ffc0-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №186 (до 30 кг): ул. Декабристов, 3'),
(5937,	'6dc51816-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №187 (до 5 кг), Мини-отделение: ул. Сабурова, 2а (маг.&quot;МЕТРО&quot;)'),
(5938,	'7b2f7c2e-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №188 (до 30 кг): ул. Оноре де Бальзака, 42/20'),
(5939,	'8822dfd2-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №189 (до 30 кг): ул. Ялтинская, 24/23'),
(5940,	'940e1460-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №190 (до 30 кг): ул. Григоровича-Барского, 1'),
(5941,	'9f870b0e-8501-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №191 (до 30 кг): ул. Клиническая, 21/19'),
(5942,	'7cf9c610-8502-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №193 (до 5 кг), Мини-отделение: ул. Строителей, 40 (ТЦ &quot;DOMA Center&quot;)'),
(5943,	'9e6adf20-8502-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №195 (до 5 кг), Мини-отделение: ул. Вершигоры, 1 (маг.&quot;Фуршет&quot;)'),
(5944,	'ac133036-8502-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №196 (до 5 кг), Мини-отделение: ул. Тростянецкая, 1а (маг.&quot;BILLA&quot;)'),
(5945,	'b9c043e4-8502-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №197 (до 5 кг), Мини-отделение: бульв. Дружбы Народов, 25 (Венская кофейня)'),
(5946,	'cdd796a4-8502-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №199 (до 5 кг), Мини-отделение: ул. Берковецкая, 6 (маг.&quot;Ашан&quot;)'),
(5947,	'037c9156-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №200 (до 30 кг на одно место): просп. Броварской, 29'),
(5948,	'0faf36d0-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №201 (до 30 кг): просп.В. Маяковского, 15'),
(5949,	'5f2f469c-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №202 (до 30 кг): просп. Георгия Гонгадзе, 5'),
(5950,	'7c466a98-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №203 (до 30 кг): просп. Отрадный, 6/1'),
(5951,	'8dadd7b2-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №204 (до 30 кг на одно место): Харковское шоссе, 58'),
(5952,	'8dadd7ec-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №205 (до 30 кг на одно место): ул. Симиренко, 2/19'),
(5953,	'7e28b8aa-8620-11e6-856b-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №206 (до 30 кг): площадь Святошинская, 1'),
(5954,	'c9d4ac50-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №209 (до 5 кг), Мини-отделение: ул. Вышгородская, 20/1 (буква &quot;А&quot;)'),
(5955,	'dfd3d636-8503-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №210 (до 30 кг): ул. Елизаветы Чавдар, 13'),
(5956,	'9f721a0b-b378-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №214 (до 30 кг), просп. Комарова Космонавта, 46Б'),
(5957,	'af32871f-b378-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №215 (до 30 кг): ул. Новомостицкая, 2'),
(5958,	'b7f9a469-b378-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №216 (до 30 кг): бульв. Вацлава Гавела, 75'),
(5959,	'cbeba2a6-b378-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №217 (до 30 кг): ул. Большая Окружная, 110-А'),
(5960,	'08eb2b7a-b379-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №219 (до 5 кг), Мини-отделение: ул. Сентябрьская, 24 (Авторынок, место №29)'),
(5961,	'08eb2bb4-b379-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №220 (до 30 кг): ул. Борщаговская, 206'),
(5962,	'1c3dad48-b379-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №221 (до 30 кг): ул. Лисковская, 12/1 (буква А)'),
(5963,	'466b3f6a-b379-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №222 (до 5 кг), Мини-отделение: ул. Дмитровская, 56 (маг.&quot;Brain&quot;)'),
(5964,	'5acabdb1-b379-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №223 (до 5 кг), Мини-отделение: просп. Отрадный, 40'),
(5965,	'ccca0f38-b37d-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №225 (до 30 кг): просп. С. Бандеры (ран. Московский), 15а (маг.&quot;Ашан&quot;)'),
(5966,	'ff24043b-b37d-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №228 (до 30 кг): просп. Голосеевский, 108, корп. 2'),
(5967,	'2c1954fe-b37e-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №229 (до 15 кг), Мини-отделение: ул. Космонавта Волкова, 16а'),
(5968,	'2c195538-b37e-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №230 (до 5 кг), Мини-отделение: просп. Воздухофлотский, 25'),
(5969,	'6e14c65a-b37e-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №231 (до 30 кг): ул. Метрологическая, 2а (маг. &quot;Бадьорий&quot;)'),
(5970,	'afac3b3e-b37e-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №232 (до 30 кг): ул. Академика Курчатова, 8б'),
(5971,	'cff9cca8-b37e-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №234 (до 30 кг), ул. Семёна Скляренко, 17'),
(5972,	'df72d022-b37e-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №235 (до 30 кг): ул. Московская, 46/2'),
(5973,	'f48737cd-b37e-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №236 (до 5 кг), Мини-отделение: ул. Замковецкая,106б'),
(5974,	'074ae62d-b37f-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №237 (до 30 кг): ул. Семьи Хохловых, 1'),
(5975,	'15e4274d-b37f-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №238 (до 15 кг), Мини-отделение: ул. Евгения Харченко, 29 (Бортничи)'),
(5976,	'27c3508d-b37f-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №239 (до 30 кг),: ул. Тростянецкая, 12'),
(5977,	'3b842ee8-c7e4-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №240 (до 30 кг): ул. Преображенская, 8б'),
(5978,	'3235c60b-427b-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №242 (до 30 кг на одно место): ул. Автозаводская, 29А'),
(5979,	'955a649a-427e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №244 (до 30 кг): просп. Голосеевский, 89'),
(5980,	'c11f282f-427e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №245 (до 30 кг): просп. Комарова Космонавта/ул. Героев Севаст., 30/28'),
(5981,	'dc7a6eeb-427e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №246 (до 30 кг на одно место): ул. Сергея Данченко, 6, пом. 28'),
(5982,	'0deda715-427f-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №248 (до 5 кг), Мини-отделение: бульв. Чоколовский, 42а (маг. &quot;BRILLE&quot;)'),
(5983,	'd1c69e16-cc76-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №249 (до 30 кг): ул. Михаила Максимовича, 28Б, пом. 205'),
(5984,	'4a94726e-cbc5-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №250 (до 30 кг на одно место): ул. Пушкинская, 45/2 (м. &quot;Площадь Льва Толстого&quot;)'),
(5985,	'4a9472b1-cbc5-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №251 (до 30 кг): просп. Соборности (ран. Воссоединения), 5'),
(5986,	'6115191a-cbc5-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №252 (до 30 кг на одно место): ул. Вышгородская, 21'),
(5987,	'74e36294-cbc5-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №253 (до 30 кг): ул. Даниила Щербаковского (ран. Щербакова), 59'),
(5988,	'8f470219-cbc5-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №254 (до 30 кг на одно место): просп. Науки, 94/5'),
(5989,	'a30964e3-cbc5-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №255 (до 30 кг): ул. Анны Ахматовой, 31'),
(5990,	'6d6be30a-cbc4-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №257 (до 5 кг), Мини-отделение: просп. Мира, 9 (маг. &quot;BRILLE&quot;)'),
(5991,	'7df91551-cbc4-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №258 (до 30 кг): ул. Срибнокильская, 3а'),
(5992,	'8e035ae5-cbc4-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №259 (до 30 кг): ул. Центральная, 12а'),
(5993,	'a40d03f2-cbc4-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №260 (до 30 кг), просп. Академика Глушкова, 9д'),
(5994,	'ea46277b-cbc4-11e4-a77a-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №263 (до 30 кг): бульв. Перова, 10'),
(5995,	'0c362e9c-db52-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Склад (ЗАКРЫТОГО ТИПА) отделение №266'),
(5996,	'8e7be98c-d428-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Склад 27 ООО: отделение №267 ЗАКРЫТОГО ТИПА'),
(5997,	'792247f6-bd15-11e6-8b12-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Склад ЭКТА СЕРВИС: отделение №268 ЗАКРЫТОГО ТИПА - для Клиентов Экта Сервис'),
(5998,	'639eb39e-b046-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №269 (до 30 кг): ул. Алматинская, 37-Б'),
(5999,	'be64c197-a217-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №270 (до 30 кг): ул. Дегтярёвская, 3, пом. 10'),
(6000,	'0f7c1b11-a218-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №271 (до 30 кг): ул. Светлицкого, 31/7 (заезд с ул. Межевая)'),
(6001,	'2e5d5e73-a218-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №272 (до 30 кг): ул. Кольцевая, 12 (ТЦ &quot;Leroy Merlin&quot;)'),
(6002,	'79e2ddf6-a218-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №273 (до 30 кг): ул. Академика Лебедева, 1, корп. 1, пом. №144'),
(6003,	'ae119874-a218-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №275 (до 30 кг): ул. Генерала Родимцева, 11, пом. 1'),
(6004,	'30db95ae-b7f3-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №276 (до 30 кг): ул. Малиновского, 11'),
(6005,	'30db95bf-b7f3-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №277 (до 30 кг): просп. Победы, 15А, пом. 140'),
(6006,	'30db95d0-b7f3-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №278 (до 30 кг), ул. Константиновская, 71 (буква С)'),
(6007,	'324fb8c9-b7f4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №279 (до 30 кг): ул. Мишуги Александра, 2'),
(6008,	'cbd837ad-d2cb-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №280 (до 30 кг): ул. Русовой Софии, 3-А, пом. 5'),
(6009,	'bb97a66e-c61c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №281 (до 30 кг): ул. Юнацкая, 19 (ЖК &quot;PARKLAND&quot;)'),
(6010,	'ecbc4a54-d2e1-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №283: ул. Российская, 84'),
(6011,	'9368ef88-d2e0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №284 (до 30 кг): ул. Конева Маршала, 9, пом. 83'),
(6012,	'9368ef99-d2e0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №285 (до 30 кг на одно место): просп. Победы, 64 А'),
(6013,	'9368efaa-d2e0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №286 (до 5 кг), Мини-отделение: ул. Васильковская, 32'),
(6014,	'e3d9ca31-d2e0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №287 (до 30 кг): ул. Гната Юры, 7 (буква А)'),
(6015,	'e3d9ca44-d2e0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №288 (до 30 кг): ул. Саксаганского, 48/15'),
(6016,	'e3d9ca55-d2e0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №289 (до 30 кг): ул. Тираспольская, 58, пом. 89б'),
(6017,	'fae149c6-ec9b-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №290 (до 30 кг): ул. Закревского Николая, 21'),
(6018,	'4cac53d3-e296-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №292 (до 30 кг): ул. Полтавская, 10 (со стороны ул.Чорновола)'),
(6019,	'ebd1c48a-e298-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №293 (до 30 кг): ул. Академіка Булаховского, 5б'),
(6020,	'fdf15278-e298-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №294 (до 15 кг) Мини-отделение: ул. Бульварно-Кудрявская, 5а'),
(6021,	'22ae49f9-e299-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №295 (до 30 кг на одно место): ул. Бальзака Оноре, 4 (ТЦ «Глобал»)'),
(6022,	'324fb8da-b7f4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №296 (до 30 кг): просп. Победы, 71А'),
(6023,	'324fb8eb-b7f4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №297 (до 30 кг): просп. Победы, 131-А, пом. 130'),
(6024,	'324fb8fc-b7f4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №298 (до 30 кг): ул. Панельная, 4'),
(6025,	'6d4f45f6-b7f4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №299 (до 30 кг): просп. Воздухофлотский, 74'),
(6026,	'6d4f4607-b7f4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №300 (до 5 кг), Мини-отделение: ул. Болсуновская, 13-15 (БЦ &quot;IQ&quot;, 1 эт.)'),
(6027,	'd95718d1-c21e-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №301 (до 30 кг): просп. Маяковского Владимира, 26 А'),
(6028,	'cbca91b0-8144-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №308 (до 30 кг): ул. Нижний Вал, 7-9'),
(6029,	'c0aaadf0-8c24-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №309 (до 30 кг): ул. Якуба Коласа, 25'),
(6030,	'9cf42460-93ef-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №316 (до 15 кг), Мини-отделение: ул. Ревуцкого, 9'),
(6031,	'6c0db373-93f2-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №317 (до 30 кг): ул. Трускавецкая, 2-А, пом. 3'),
(6032,	'ceba5c70-93f2-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №318 (до 30 кг на одно место): просп. Юрия Гагарина, 15'),
(6033,	'6d4f4618-b7f4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №319 (до 30 кг): ул. Елизаветы Чавдар, 8'),
(6034,	'663de91c-1a4d-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №320 (до 30 кг): ул. Анны Ахматовой, д. 9/18 буква А, пом. №133 блок №3'),
(6035,	'8d3cf635-1a53-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №321 (до 30 кг): бульв. Чоколовский, 20, пом. 101'),
(6036,	'4418b8bc-ed7d-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №325 (до 30 кг на одно место): вул. Харченка (ран. Леніна), 45, літера &quot;А&quot; (Бортничі)'),
(6037,	'65b37e3e-ed7d-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №326 (до 30 кг на одно место): ул. Тростянецкая, 4/2'),
(6038,	'9d74afbe-ed7d-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №327 (до 30 кг): бульв. Вацлава Гавела (ран. Лепсе Ивана), 47/15'),
(6039,	'200b8135-ed7e-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №329 (до 30 кг на одно место): ул. Мишуги, 9а'),
(6040,	'a90d901f-ed7e-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №330 (до 30 кг): просп. Леся Курбаса, 9г'),
(6041,	'c36a27fc-ed7e-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №331 (до 30 кг на одно место): ул. Закревского, 87'),
(6042,	'275b041c-ed7f-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №332 (до 30 кг): ул. Соломенская, 20-В, пом. 1004'),
(6043,	'723f3a81-ed7f-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №333 (до 30 кг): ул. Академика Туполева, 28'),
(6044,	'912c71c3-ed7f-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №334 (до 30 кг): ул. Северная, 1а'),
(6045,	'c44e6ef0-ed7f-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №335 (до 30 кг): ул. Ирпенская, 76'),
(6046,	'f6ce89d5-ed7f-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №336 (до 30 кг): бульв. Дружбы Народов, 7'),
(6047,	'3fd42337-ed80-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №337 (до 30 кг): ул. Татарская, 27/4'),
(6048,	'648c5877-ed80-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение№338 (до 30 кг): ул. Щусева, 36'),
(6049,	'8504dbd6-ed80-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №339 (до 30 кг): ул. Радунская, 13а'),
(6050,	'c3cda2c4-ed80-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №341 (до 30 кг): ул. Кловский Спуск, 14/24'),
(6051,	'0cefccfe-ed81-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №342 (до 30 кг на одно место): ул. Энтузиастов, 47'),
(6052,	'787e35b0-ed81-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №345 (до 30 кг): пл. Майдан Независимости, 1 (ТЦ &quot;Глобус&quot; 2-линия)'),
(6053,	'a3cc0b9a-ed81-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №346 (до 30 кг): ул. Академика Вильямса, 6а'),
(6054,	'c1993b8a-ed81-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №347 (до 15 кг), Мини-отделение: ул. Кириловская, 160 (маг.&quot;МОЙ АШАН&quot;)'),
(6055,	'31baf425-ed82-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №350 (до 5 кг), Мини-отделение: Харьковское шоссе, 201/203 (&quot;Kasta&quot; секция А)'),
(6056,	'68bdb78b-ed82-11e4-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №352 (до 30 кг), Мини-отделение: ул. Здолбуновская, 7г (маг.&quot;NOVUS&quot;)'),
(6057,	'0e16ddd4-0ac1-11e5-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №354 (до 30 кг): ул. Семьи Сосниных, 17о'),
(6058,	'34dd44c0-0ac1-11e5-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №355 (до 30 кг): ул. Ломоносова, 59'),
(6059,	'a4218508-0ac1-11e5-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №359 (до 5 кг), Мини-отделение: ул. Ушинского, 19'),
(6060,	'5ff78ff2-0ac3-11e5-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №360 (до 5 кг), Мини-отделение: бульв. Леси Украинки, 5(маг.&quot;Фуршет&quot;)'),
(6061,	'7a19252a-0ac4-11e5-8a92-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №365 (до 30 кг): просп. Соборности, 7а'),
(6062,	'e1580458-560e-11e5-8d8d-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №375 (до 30 кг): ул. Евгения Сверстюка, 11Б'),
(6063,	'29071f12-1381-11e6-971e-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3002: Столичное шоссе, 103 (ТРЦ Атмосфера)'),
(6064,	'3e15a06a-4cde-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3003: ул. Плещеева, 10, Офисный центр &quot;Столичный&quot;'),
(6065,	'fadd9117-4cdf-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3004: ул. Академика Заболотного, 37 (ТРЦ &quot;Арт Молл&quot;)'),
(6066,	'8e4e09c5-4ce1-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3005: ул. Ярославская, 58 (БЦ Астарта)'),
(6067,	'd202131f-4ce1-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3006: ул. Братиславская, 11 (Эпицентр)'),
(6068,	'ec0db57a-4ce1-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3007: ул. Жилянская, 128/28 (Дом быта)'),
(6069,	'455de7b8-4ce2-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Поштомат &quot;Нова Пошта&quot; №3008: ул. Западинская, 5 (Бизнес-центр)'),
(6070,	'c4be6058-5a33-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3009: ул. Героев Днепра, 34 (ТЦ Solaris)'),
(6071,	'279e7acb-5a4e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3010: ул. Полярная, 20-Д   (Епицентр)'),
(6072,	'3f81d91d-5a4e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3011: ул. Бульварно-Кудрявская, 15 (Продукты Пепсико)'),
(6073,	'53d0beca-5a4e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3012: ул. Прорезная, 9 (Продукты Пепсико)'),
(6074,	'64d9b997-5a4e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3013: пересечение Оболонского проспекта и ул. Героев Днепра (ТЦ Оазис)'),
(6075,	'7cb5f3fa-5a4e-11e6-a9f2-005056887b8d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3014: ул. Малиновского Маршала, 12А (ТЦ &quot;Метрополис&quot;)'),
(6076,	'10b9000b-707c-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3016; просп. Шухевича, 2т (ТЦ Скай Молл)'),
(6077,	'62b22c84-707d-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3017; ул. Качалова, 5А (Бизнес-центр)'),
(6078,	'9f2a11e4-777b-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3018; ул. Литвиненко-Вольгемут, 3 (Минимаркет &quot;Святковий&quot;)'),
(6079,	'165bb4e7-7780-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3019; ул. Семьи Праховых, 6 (Бизнес-Центр)'),
(6080,	'7c869806-778b-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3020; ул. Бережанская, 4 (БЦ Сокол)'),
(6081,	'46e24748-778c-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3021: бульвар Тараса Шевченка, 48 (Продукты Пепсико)'),
(6082,	'f0a92716-778d-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3023: ул. Маршала Тимошенко, 21, К1 (ТЦ Smart Plaza Obolon)'),
(6083,	'75ee72be-7796-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3024; ул. Машиностроительная, 37 (БЦ Iland)'),
(6084,	'6315574e-7799-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3025: ул. Шолом-Алейхема, 4 (Аптека Аптекарь)'),
(6085,	'8ca544ec-779f-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3027: ул. Липская, 12/5 (Продукты Пепсико)'),
(6086,	'1c8e09fd-77a0-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3028; Бортничі, ул. Е. Харченка, 65 (Магазин Dini)'),
(6087,	'd1995d37-77a0-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3029; ул. Алма-Атинская, 39а (Магазин Dini)'),
(6088,	'da74b55d-77a1-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'очтомат &quot;Новая Почта&quot; №3030; ул. О. Гончара, 30 (Продмаркет)'),
(6089,	'a3560347-fd2c-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Нова Пошта&quot; №3031, ул. Михаила Грушевского, 9Б (БЦ Саммит)');
INSERT INTO `ok_okaycms__np_warehouses` (`id`, `ref`, `city_ref`, `name`) VALUES
(6090,	'e4a449f5-ff45-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Нова Пошта&quot; №3032, с. ПП Борщаговка, ул. Соборна, 2-В (БЦ Golden River)'),
(6091,	'cccfc8ff-ff4b-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3033: ул. Чернобыльская, 16/80 (Велмарт)'),
(6092,	'9f9c9fff-ff4d-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3034: просп. Академика Глушкова, 9Є (Продуктовый мини-маркет Spar)'),
(6093,	'65d74e48-ff51-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3035, пл. Оболонская, 6 (Велика Кишеня)'),
(6094,	'de1c18a2-ff52-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3036: с. Софиевская Борщаговка, ул. Шалимова, 63 (ТЦ Софіївський квартал)'),
(6095,	'c4216ad0-ff55-11e7-ba66-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3038, с. Соф. Борщаговка, ул. Боголюбова, 6 (Мини-маркет София Фуд)'),
(6096,	'f66ea60b-3cbd-11e8-a3de-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3039: ул. Шелковичная, 13/2 (Продукты &quot;Пепсико&quot;)'),
(6097,	'50c7e196-3d66-11e8-a3de-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3041: ул. Машиностроительная, 41 (ЖК SmartHouse, 1 секция)'),
(6098,	'8abc78e2-3d68-11e8-a3de-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3042: ул. Михаила Драгоманова, 31Б (Аптека Виталюкс)'),
(6099,	'3d27690a-3d6a-11e8-a3de-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot;  №3043: ул. Антоновича, 97 (Продукты Пепсико)'),
(6100,	'c231b729-5f2b-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3044: ул. Николая Пимоненка, 13 (БЦ Форум Деловой городок)'),
(6101,	'b8aa9760-63da-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3045: ул. Институтская, 25 (Продукты Пепсико)'),
(6102,	'0645ae53-63db-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3046: ул. Архитектора Вербицкого, 18 (Велика Кишеня)'),
(6103,	'439fc536-63db-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3047: ул. Саксаганського, 102 (Продукты Пепсико)'),
(6104,	'9739e594-6897-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3048: ул. Владимирская, 11/6 (Продукты Пепсико)'),
(6105,	'035a636b-7066-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3049: проулок Охтырский, 7 (БЦ Форум Виктория Парк)'),
(6106,	'62b5b6ea-7069-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3050: просп. Степана Бандери, 9 (БЦ Форум Park Plaza)'),
(6107,	'9c01d7eb-7069-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3051: ул. Елены Телиги, 6 (БЦ Форум West Side)'),
(6108,	'c4ca5da2-7069-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Нова Пошта&quot; №3052: просп. Петра Григоренко, 26 (Велика Кишеня, 2-ой этаж)'),
(6109,	'47719778-706a-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3053: ул. Ивана Франка, 38 (Продукты Пепсико)'),
(6110,	'872cf7d7-706a-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3054: Крестовий переулок, 2 (БЦ Сапфир)'),
(6111,	'c7d662a2-706a-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3055: бульв. Перова,52 а (Лоток)'),
(6112,	'f8ac55bd-706a-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3056: ул. Закревского, 9 (Лоток)'),
(6113,	'55b6d08c-706b-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot;, №3057: ул. Закревского, 75/2 ((Лоток)'),
(6114,	'5bc20e77-706b-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3058: ул. Комбинатная, 25 (Лоток)'),
(6115,	'8402e1a3-706b-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3059: ул. Вильямса, 9 (Лоток)'),
(6116,	'fc0e103c-706b-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3060: просп. Лобановского, 57 (Лоток)'),
(6117,	'05322d13-707f-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3061: ул. Молодогвардейская, 12 (Лоток)'),
(6118,	'9b480b34-7086-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3062: ул. А. Мицкевича, 8 (Лоток)'),
(6119,	'c6df6ff1-7086-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3063: ул. Шамрила, 1А (Лоток)'),
(6120,	'ff2819cd-7086-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3064: ул. Баумана, 26 (Лоток)'),
(6121,	'599a6ab7-7087-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3065: просп. Победы, 142А (Лоток)'),
(6122,	'8c5859d7-7087-11e8-9d95-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3066: просп. Л. Курбаса, 9В (Лоток)'),
(6123,	'80e9b587-b1a0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3067: ул. Старосельськая, 52 а (Лоток)'),
(6124,	'80e9b59c-b1a0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3068: просп. Героев Сталинграда, 7а (Лоток)'),
(6125,	'f28a8e63-b4f3-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта &quot; №3069: просп. Броварской, 3а (WOG)'),
(6126,	'67d6d238-c639-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3070: просп. Победы, 136в (маг. Продукты)'),
(6127,	'4834f814-c587-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3072: ул. М. Кривоноса, 17 (Продмаркет)'),
(6128,	'4834f805-c587-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3073: ул. Ереванская, 30 (Продмаркет)'),
(6129,	'abb21fa7-c6d8-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot;  №3075: ул. Костельная, 3 (Продмаркет)'),
(6130,	'da08d1de-c6f9-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3076, пр-кт. Степана Бандери, 28А (БЦ SP Hall)'),
(6131,	'da08d1f6-c6f9-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Поштомат &quot;Нова Пошта&quot; № 3077: ул. Лютеранская, 30 (Продмаркет)'),
(6132,	'e5d378b0-c79f-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3079, подземный переход возле ст. метро Площадь Льва Толстого, Продмаркет'),
(6133,	'8e12dc8f-d5ca-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3085: просп. Московский, 257 (Супермаркет РОСТ)'),
(6134,	'463e426b-d836-11e8-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3086: Люстдорфская дорога, 140/1 (Таврия В)'),
(6135,	'adfb2b44-d6cd-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3087: ул. Саперно-Слободская, 10 (маг. Велмарт)'),
(6136,	'adfb2b5d-d6cd-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3088: ул. Софиевская, 25 (Продукты Пепсико)'),
(6137,	'adfb2b75-d6cd-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3089: ул. Василия Липковского, 14/18 (Продукты Пепсико)'),
(6138,	'03f7f5c2-d6cf-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3090, ул. Тампере, 12 (Магазин Dini)'),
(6139,	'03f7f5db-d6cf-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3091, просп. Степана Бандеры, 20Б (БЦ М-Мост)'),
(6140,	'03f7f5f4-d6cf-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3092: ул. Верхний Вал, 10 (Бизнес центр)'),
(6141,	'23cfac24-d6d0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot;№3093: бульвар Леси Украинки, 26Б (Офисный центр)'),
(6142,	'877c1a94-d82d-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3094: ул. Ярославская, 56А (БЦ Каньон)'),
(6143,	'2f47ecae-d6d1-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3096: ул. Ю. Пасхалина, 4/6 (Магазин Dini)'),
(6144,	'abdc1588-db8c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3097: ул. Зодчих, 70 (Продуктовый мини-маркет Продукты)'),
(6145,	'abdc15ac-db8c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3098: ул. Луценко, 13 (Продуктовый мини-маркет Фуд-маркет)'),
(6146,	'abdc15c4-db8c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3099:  просп. Академика Глушкова, 139 (WOG)'),
(6147,	'a068a595-db8d-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3101: ул. Викентия Хвойки, 15/15/6 (Бизнес центр)'),
(6148,	'a068a5ad-db8d-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3102: ул. Кириловская, 69в (Бизнес центр)'),
(6149,	'b9235a04-db8e-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3103, ул. Александра Попова, 12 (Щедрий Кошик)'),
(6150,	'b9235a1c-db8e-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3104: ул. Берковецкая, 6А (Офисний центр)'),
(6151,	'b9235a34-db8e-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3105: ул. Радужная, 6 (Аптека Виталюкс)'),
(6152,	'70384bd6-db90-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Нова Пошта&quot; №3106: ул. Энтузиастов, 37 (Магазин Dini)'),
(6153,	'70384bef-db90-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3107: ул. Кириловская, 126/2 (Щедрий Кошик)'),
(6154,	'a13237b8-dc4a-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3108: ул. Маршала Тимошенко, 18 (Аптека Виталюкс)'),
(6155,	'a13237ce-dc4a-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3109: ул. Оноре де Бальзака, 2 (Аптека Виталюкс)'),
(6156,	'757c006c-dc4c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3110, ул. О. Мишуги, 4 (Пирамида)'),
(6157,	'757c0084-dc4c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3111: ул. Протасов Яр, 3 (Лоток)'),
(6158,	'757c009b-dc4c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3112: проул. Коломиевский, 17/31 а (Лоток)'),
(6159,	'9e421da2-dc4e-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3113: ул. Светлая, 3д  (Пчелка)'),
(6160,	'9e421db9-dc4e-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3114: ул. Сикорского, 1а (Пчелка)'),
(6161,	'8a35dbc8-e975-11e8-ad0d-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3115: ул. Тургеневськая, 50 б (Пчелка)'),
(6162,	'120751ff-e29b-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3116: ул. Глыбочицкая, 17Д (БЦ Торус)'),
(6163,	'12075218-e29b-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3117: ул. Василия Верховинца, 12 (Бизнес центр)'),
(6164,	'12075230-e29b-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3118: Вацлава Гавела, 8 (БЦ INOX)'),
(6165,	'dd5cc796-e29c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3119: ул. Вадима Гетьмана, 6 (ТРЦ Космополит)'),
(6166,	'dd5cc7b0-e29c-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3120: просп. Петра Григоренка, 5А (ТЦ Севен)'),
(6167,	'4a53932c-e29e-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3121: просп. Р. Шухевича, 2а (Магазин Dini)'),
(6168,	'8732d586-ebc9-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат&quot; Новая Пошта&quot; № 3122: ул. Александра Кошица, 9А (Качественные Продукты Яблочко)'),
(6169,	'8732d59e-ebc9-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3123: ул. Александра Мишуги, 6 (ТЦ Параллель)'),
(6170,	'8732d5b5-ebc9-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3124: ул. Юрия Шумского, 1А (ОкейМаркет)'),
(6171,	'a527532e-ebca-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3125:  ул. Урловская, 30 (ОкейМаркет)'),
(6172,	'a5275347-ebca-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3126: ул. Декабристов, 3 (Бизнес центр)'),
(6173,	'a5275361-ebca-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3127: просп. Владимира Маяковского, 43/2 (ТЦ Фестивальный)'),
(6174,	'6da1b831-ebd4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3128: ул. Курнатовского, 15Б (Маркет Плюс)'),
(6175,	'6da1b848-ebd4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3129: ул. Евгения Сверстюка, 2А (БЦ Левобережный)'),
(6176,	'6da1b85f-ebd4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3130:  ул. Кудряшова, 1 (Велика Кишеня)'),
(6177,	'ea9a9288-ebd4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3131: просп. Науки, 60А (Минимаркет Наш Край)'),
(6178,	'ea9a929f-ebd4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3132: ул. Днепровская Набережная, 12 (ТРЦ River Mall (вход 1))'),
(6179,	'ea9a92b6-ebd4-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3133: ул. Днепровская Набережная, 12 (ТРЦ River Mall (вход 2))'),
(6180,	'd87ee7de-ebd5-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3134: ул. Тампере, 5 (Офисное здание)'),
(6181,	'd87ee7f5-ebd5-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3135, ул. Богатирська, 11 (Офисы Транс-Оболонь)'),
(6182,	'd87ee80c-ebd5-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3136, просп: Академика Глушкова, 13Б (ТЦ Магеллан)'),
(6183,	'83ee5ecd-ebd6-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3137: ул. Николая Закревского, 61/2 (ТРЦ ZakrevSky)'),
(6184,	'83ee5ee4-ebd6-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3138,  ул. Героев Днепра, 49 (Dini, рыбний ринок)'),
(6185,	'83ee5efb-ebd6-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3139: ул. Краснопольская, 23/17 (Магазин Dini)'),
(6186,	'4bbc70b2-ebd7-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3140: ул. Полтавская, 3 (Продукты Пепсико)'),
(6187,	'4bbc70c9-ebd7-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3141: бульвар Леси Украинки, 28А (Продукты Пепсико)'),
(6188,	'9ebf9c32-ebdc-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3142: ул. Бастионная, 5/13 (Продукты Пепсико)'),
(6189,	'9ebf9c49-ebdc-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3143: ул. Лютеранская, 6 (Продукты Пепсико)'),
(6190,	'9ebf9c60-ebdc-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3144: ул. Никольско-Ботаническая, 7/9 (Продукты Пепсико)'),
(6191,	'b0d6b561-ebdd-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3145: ул. Саксаганского, 33/35 (Продукты Пепсико)'),
(6192,	'b0d6b579-ebdd-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3146, просп. Отрадный, 16/50 (Магазин Dini)'),
(6193,	'b0d6b590-ebdd-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3147, ул. Стратегическое шоссе, 17 (Магазин Dini)'),
(6194,	'23db1d41-ebdf-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3148: ул. Саксаганского, 55 (Продукты Пепсико)'),
(6195,	'23db1d58-ebdf-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3149: ул. Ярославов Вал, 28 (Продукты Пепсико)'),
(6196,	'a39cab33-ebe0-11e8-ad0d-005056b24375',	'db5c8892-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3150: ул. Зиньковская, 6/1 (ТРЦ Киев)'),
(6197,	'3d106f99-ebe1-11e8-ad0d-005056b24375',	'db5c8892-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3151: ул. Героев АТО, 71А (МаркетОпт)'),
(6198,	'3d106fb1-ebe1-11e8-ad0d-005056b24375',	'db5c8892-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3152: ул. Дмитрия Коряка, 3 (МаркетОпт)'),
(6199,	'23db1d6f-ebdf-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3153: ул. Сечевых Стрельцов, 10 (Продукты Пепсико)'),
(6200,	'03724023-ebe0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3154: Вознесенский спуск, 23В (Продукты Пепсико)'),
(6201,	'0372403c-ebe0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3155: проул. Магнитогорский, 1 (БЦ ITI Service)'),
(6202,	'a39cab05-ebe0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3156: просп. Глушкова 1, пав. 5 (ВДНХ)'),
(6203,	'a39cab1c-ebe0-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3157: ул. Антоновича, 8 (Продукты Пепсико)'),
(6204,	'40abfb08-ee36-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot;  №3158: проезд Рогатинский, 3 (Супермаркет РОСТ)'),
(6205,	'f4f164e5-ee36-11e8-ad0d-005056b24375',	'db5c88e0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3161: ул. Плехановская, 135/139 (Супермаркет РОСТ)'),
(6206,	'bc81d7c1-ee37-11e8-ad0d-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3164, просп. Гагарина, 27 (ТЦ Делмар)'),
(6207,	'bc81d7d8-ee37-11e8-ad0d-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3165: ул. Европейская, 9 (Делмар Миронова)'),
(6208,	'bc81d7ef-ee37-11e8-ad0d-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3166: ул. Рабочая, 77 (ТЦ Калина)'),
(6209,	'2325eeda-ee39-11e8-ad0d-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3167: ул. Александра Поля, 11 (ТЦ Мириада)'),
(6210,	'f43e0644-ee39-11e8-ad0d-005056b24375',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3171: вул. Калинова, 8Д (ТЦ Наутілус)'),
(6211,	'c69d9b8f-f26f-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3172: ул. Пушкинская, 27/6 (Продукты Пепсико)'),
(6212,	'73bf858c-f271-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3173: переул. Александра Попова, 2В (Щедрий Кошик)'),
(6213,	'53619d23-f27b-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3174: вул. Большая Житомирская, 16 (Продмаркет)'),
(6214,	'b1c51fcc-f27d-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot;№3176: ул. Семьи Сосниных, 9 (Электротехнический завод)'),
(6215,	'b1c51fe2-f27d-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3177: ул. Гоголевская, 27 (Продмаркет)'),
(6217,	'c69d9b57-f26f-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot;  №3181: ул. Семьи Хохлових, 15 (БЦ Кронас)'),
(6218,	'46c84717-f27f-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Поштомат &quot;Нова Пошта&quot; №3182: ул. Волгоградская, 12 Магазин Brille)'),
(6219,	'c69d9b65-f26f-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3183: ул. Саперное поле, 14/55 (Магазин Brille)'),
(6220,	'c69d9b73-f26f-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3184: ул. Василия Липковского, 1А (Ультрамарин)'),
(6221,	'c69d9b81-f26f-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot;, №3185, ул. Челябинская, 15а (Пчелка)'),
(6222,	'e84ab0b3-f280-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3186: ул. Цитадельная, 6/8 (Продмаркет)'),
(6223,	'7bf65dc7-ee3a-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3187: просп. Любомира Гузара, 14 (Минимаркет)'),
(6224,	'7bf65dde-ee3a-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3188, просп. Героев Сталинграда, 16Б (Лоток)'),
(6225,	'f4b4ce9e-0144-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3189: ул. Викентия Хвойки, 21 (БЦ Веста, проходная 2)'),
(6226,	'73bf859b-f271-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3190: ул. Викентия Хвойки, 21 (БЦ Веста, проходная 3)'),
(6227,	'73bf85aa-f271-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3195: ул. Попудренко, 52 (БЦ &quot;Беарс Центр&quot;)'),
(6228,	'69ee78c3-f9f8-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3196, Харьковское шосе, 19 (ТЦ Мега Сити)'),
(6229,	'69ee78db-f9f8-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3197, ул. Бориспольская, 9, корп. 90 (Офисы Brille)'),
(6230,	'046e0fda-f9fa-11e8-ad0d-005056b24375',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Почтомат &quot;Новая Пошта&quot; №3203: ул. Святошинская, 40 (Продуктовый мини-маркет Продуктоша)'),
(6231,	'046e0ff2-f9fa-11e8-ad0d-005056b24375',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Почтомат &quot;Новая Пошта&quot; №3204: ул. Машиностроителей, 11А (Минимаркет Квартал)'),
(6232,	'f85e5ab8-014a-11e9-ad0d-005056b24375',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Почтомат &quot;Новая Пошта&quot; №3205: ул. Святошинская, 40А (Минимаркет Погребок)'),
(6233,	'b190e286-0530-11e9-ad0d-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3221: ул. Главная, 200 (Нива)'),
(6234,	'b190e2a1-0530-11e9-ad0d-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3222: ул. Героев Майдану, 69 (Нива)'),
(6235,	'f6a2c469-0145-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3223: ул. Ревуцького, 9 (Аптека Виталюкс)'),
(6236,	'f6a2c489-0145-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3225: ул. Жилянская, 107 (Завод Кузня)'),
(6237,	'bb8d4b70-0146-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3226: ул. Магнитогорская, 1, Офисы (Дом Культуры)'),
(6238,	'bb8d4b90-0146-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3227: просп. Победы, 53а (Компания OLYMP)'),
(6239,	'f16d0143-0146-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3229: переулок Магнитогорский, 1 (Офисное здание, КПП завода Химволокно)'),
(6240,	'26c0496e-0147-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3230: просп. Академика Королева, 11 (БЦ Якутская)'),
(6241,	'61505d7c-0147-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3232: с. Соф. Борщаговка, ул. Шалимова, 62/2 (Мини-маркет Продуктовый)'),
(6242,	'18f631e9-0f6b-11e9-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3262: вул. Гастелло, 50 (Таврія В)'),
(6243,	'18f63201-0f6b-11e9-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3263: ул. Маршала Говорова, 10/5 (Таврия В)'),
(6244,	'1e58a09c-0f6e-11e9-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3266: ул. Семена Палия (Днепропетровская дорога), 96 (Таврия В)'),
(6245,	'416e33bd-0435-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3270: ул. Якуба Коласа, 25 (ТЦ Мини)'),
(6246,	'95d67d52-20be-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3284: ул. ул. Коломыйская, 2 (Свій Маркет)'),
(6247,	'2a262359-20bf-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3285: ул. Ярослава Гашека, 17 (Свій Маркет)'),
(6248,	'714dae27-20bb-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3287: ул. Городоцкая, 359 (Гуртовня Євротек)'),
(6249,	'ece1924a-20be-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3289: ул. Княгини Ольги, 120 (Арсен, Евротек)'),
(6250,	'95d67d43-20be-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3294: просп. Красной Калины, 60 (Арсен, Евротек)'),
(6251,	'd86ca786-20be-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3296: просп. Вячеслава Черновола, 93 (Арсен, Евротек)'),
(6252,	'0bf28b6b-20bf-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3297: площадь Мицкевича, 5 (Арсен, Евротек)'),
(6253,	'0bf28b4d-20bf-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3298: ул. Патона, 37 (Арсен, Евротек)'),
(6254,	'81f574eb-224b-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3309: ул. Николая Хвылевого 3 (ЖК Вудстория, Лоток)'),
(6255,	'11247834-20c0-11e9-ad0d-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3310: ул. Виговського, 1 (Пчелка)'),
(6256,	'45d0c5e4-20c1-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3311: ул. Зои Гайдай, 4 (Продукты)'),
(6257,	'7a2f4933-20c1-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3312: Харковское Шоссе, 17а (Продукты)'),
(6258,	'7a2f4942-20c1-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3313: ул. Богатирская, 12а (Продукты)'),
(6259,	'7a2f4951-20c1-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3314: ул. Метростроевская, 11 (Продукты)'),
(6260,	'7a2f4960-20c1-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3315: ул. Рокосовского, 10 (Продукты)'),
(6261,	'a0c13fcb-20c1-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3316: просп. Алишера Навои, 69 (Магазин Brille)'),
(6262,	'a0c13fda-20c1-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3317: ул. Марины Цветаевой, 9 (Магазин Brille)'),
(6263,	'dcfbb0a3-7a5e-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3333: просп. Героев Сталинграда, 4, корпус 4, арка 4.2'),
(6264,	'a3f2081c-5c27-11e9-a703-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3355: ул. Соборна, 25 (Варшава)'),
(6265,	'3d3ef063-254c-11e9-ad0d-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3356: Хмельницкое шоссе, 15 (Варшава)'),
(6266,	'3d3ef085-254c-11e9-ad0d-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3357: ул. Замостянская, 1 (Варшава)'),
(6267,	'0d53c0b3-262a-11e9-ad0d-005056b24375',	'e221d627-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3367: ул. Гагарина, 38а (Русиния)'),
(6268,	'f729c2d5-4adf-11e9-acea-005056b24375',	'db5c88ac-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3374: ул. Ранкова, 4/1 (Автосалон)'),
(6269,	'25da39e0-2ba4-11e9-acea-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3383: ул. Южно-кольцевая, 31 (Нива)'),
(6270,	'ae65f2fc-2aa7-11e9-acea-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3384: ул. Алма-атинская, 6 (Магазин Царь Хлеб)'),
(6271,	'25da39ee-2ba4-11e9-acea-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3385: ул. Русская (тролейбусная остановка Фастовская, Магазин Царь Хлеб)'),
(6272,	'0bc4a08a-2b73-11e9-acea-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3386: угол Южно-кольцевой и Героев Майдана (Царь Хлеб)'),
(6273,	'ee67afcf-2485-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3392: ул. Николая Кибальчича, 11А (Фуршет)'),
(6274,	'5a13bad1-248e-11e9-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3393: ул. Бориспольская, 26-Б (АВТОШКОЛА)'),
(6275,	'f28eafd1-658d-11e9-898c-005056b24375',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3394: ул. Романа Шухевича, 9 (Полесье-продукт)'),
(6276,	'0aff8aba-367e-11e9-acea-005056b24375',	'db5c8892-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3401: бульв. Николая Вавилова, 9/26 (МаркетОпт)'),
(6277,	'0ad99d39-61a1-11e9-898c-005056b24375',	'db5c897c-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3412: ул. Дмитрия Самоквасова, 12а (Квартал, Евротек)'),
(6278,	'a17c8488-61a4-11e9-898c-005056b24375',	'db5c897c-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3413: ул. Доценко, 19 (Союз, Евротек)'),
(6279,	'af0335e0-7a41-11ea-91e8-b8830365bd14',	'db5c8944-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3418: ул. Архитектора Нильсена, 28 (ТРЦ КИТ)'),
(6280,	'e465a018-7a45-11ea-91e8-b8830365bd14',	'db5c8944-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3419: просп. Строителей, 125'),
(6281,	'4a77f67d-7a47-11ea-91e8-b8830365bd14',	'db5c8944-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3420: ул. 130-ой Таганрогской Дивизии, 5а (Рынок Солнечный)'),
(6282,	'da18f4e7-7a47-11ea-91e8-b8830365bd14',	'db5c8944-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3421: просп. Металлургов, 156'),
(6283,	'42bd5283-4f02-11e9-acea-005056b24375',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3427: просп. Соборный, 109-Б (ТРЦ Панорама)'),
(6284,	'51ebb388-3b38-11e9-acea-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3434: ул. Автозаводская, 24 (магазин Brille)'),
(6285,	'51ebb39a-3b38-11e9-acea-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3435: просп. Героев Сталинграда, 20а (Магазин Brille)'),
(6286,	'51ebb3aa-3b38-11e9-acea-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3436: ул. Приречная, 21 а (Продукты)'),
(6287,	'0cbd4d97-3b54-11e9-acea-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3437: ул. Зрошувальная, 5 (Продукты)'),
(6288,	'df2df55d-586a-11e9-a703-005056b24375',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3449; Площадь Победы, 3 (Молодежная мода)'),
(6289,	'df2df585-586a-11e9-a703-005056b24375',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3450: ул. Победы, 50 (Полесье-продукт)'),
(6290,	'87f25733-5877-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3467: ул. Михаила Драгоманова, 29 (ТЦ Елтикс)'),
(6291,	'2159f46f-5878-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3468: ул. Металлистов, 20 (БЦ VEDA)'),
(6292,	'2e36d372-5879-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3469: ул. Патриса Лумумби, 4/6 (БЦ Основа, Вход А)'),
(6293,	'bc438ee3-5879-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3470: ул. Патриса Лумумби, 4/6 (БЦ Основа, вход В)'),
(6294,	'9e9c238c-5878-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3471: ул. Еспланадная, 20 (Бизнес-центр)'),
(6295,	'87f25751-5877-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3472: ул. Владимира Сосюри, 6 (БЦ Прага)'),
(6296,	'9e9c23b6-5878-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3474: ул. Василия Липковского, 37В (BUFET)'),
(6297,	'2c99b9f7-587a-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3475: ул. Большая Васильковская, 100 (БЦ Торонто, Башта А)'),
(6298,	'bc438ec3-5879-11e9-a703-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3476; пер. Приборный, 4б (Продукты)'),
(6299,	'1e25edf1-587b-11e9-a703-005056b24375',	'a491944c-6f85-11e2-9b72-d4ae52ab9fab',	'Почтомат &quot;Новая Почта&quot; №3477: ул. Мебельная, 10 (Продукты)'),
(6300,	'0670bc0b-5c56-11e9-a703-005056b24375',	'38263fa1-b23e-11de-8bdf-000c2965ae0e',	'Почтомат &quot;Новая Пошта&quot; №3478: ул. Ватутина, 25 (Лоток)'),
(6301,	'902c0f62-5c32-11e9-a703-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3479: смт. Гостомель, ул. Остромирская, 35-Д, пом. 2н (Лоток)'),
(6302,	'4f06b63c-5c55-11e9-a703-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3480: ул. Соборная, 146 (Лоток)'),
(6303,	'a0494e93-5c55-11e9-a703-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3481: ул. Украинская, 83-Б, корп. 3 (Лоток)'),
(6304,	'a0494ebe-5c55-11e9-a703-005056b24375',	'e03f3aa9-a05d-11e3-9fa0-0050568002cf',	'Почтомат &quot;Новая Пошта&quot; №3482: бул. Л.Украинки, 8 (Лоток)'),
(6305,	'd961295a-6fed-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3484: ул. Декабристов, 2 (ТЦ Южный)'),
(6306,	'be8ea100-837c-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3485: ул. Большая Васильковская, 100 (БЦ Торонто, Башта С)'),
(6307,	'be8ea11c-837c-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3486: просп. Юрия Гагарина, 9 (Щедрий Кошик)'),
(6308,	'511e042d-837e-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3487: ул. Сумская, 1 (БЦ CityZenPark)'),
(6309,	'511e0448-837e-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3488: с. Соф. Борщаговка, ул. Небесной Сотни, 34 (Мини-маркет Наш край)'),
(6310,	'4cf1cd41-837a-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3491: ул. Елизаветы Чавдар, 2, (BUFET)'),
(6311,	'4cf1cd53-837a-11e9-898c-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3492: просп. Владимира Маяковского, 27/1 (BUFET)'),
(6312,	'796ffbbd-cfaa-11e9-b0c5-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3511: ул. Ивана Виговского, 3 (Бизнес центр)'),
(6313,	'796ffbda-cfaa-11e9-b0c5-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3513: ул. Волошская, 55/57 (Продукты Пепсико)'),
(6314,	'4109cfe0-cfb4-11e9-b0c5-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3514: ул. Сечевых Стрельцов, 77 (Бизнес центр)'),
(6315,	'4109cfee-cfb4-11e9-b0c5-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3516:, с. ПП Борщаговка, ул. Волошкова, 1 (Маг. Непоседа)'),
(6316,	'c52f85df-700a-11ea-91e8-b8830365bd14',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3517: ул. Энтузиастов, 7 (Нива)'),
(6317,	'30baaa35-700b-11ea-91e8-b8830365bd14',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3517: ул. Русская, 219е (Нива)'),
(6318,	'c0848349-7347-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3519: ул. Юрия Ильенка, 51Б (BUFET)'),
(6319,	'e4e3261a-7347-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3520: ул. Федора Эрнста, 16Б (BUFET)'),
(6320,	'2d41d54e-7348-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3521: ул. Крещатик, 15/4 (Пассаж, продукты Пепсико)'),
(6321,	'50c9c702-7348-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3522: ул. Бульварно-Кудрявская, 39/11А (Продукты Пепсико)'),
(6322,	'74be54ae-7348-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3523: ул. Соломенская, 8 (Продукты Пепсико)'),
(6323,	'74c0df00-7348-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3524: ул. Дмитровская, 58А (Продукты Пепсико)'),
(6324,	'bc101599-7348-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3525: ул. Почайнинская, 57/59А (Продукты Пепсико)'),
(6325,	'e0e3205a-7348-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3526: ул. Игоревская, 16 (Продукты Пепсико)'),
(6326,	'03744951-7349-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3527:  с. С. Борщаговка, ул. Оксамытова, 1/1 (Минимаркет)'),
(6327,	'278ece37-7349-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3528: с. ПП Борщаговка, ул. Школьная, 10 (Минимаркет)'),
(6328,	'4bf9d7f5-7349-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3529: с.С.Борщаговка, ул. П. Чубинского, 4 (Україночка, ЖК Софія Київська)'),
(6329,	'6fcdebdc-7349-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3530: с. С. Борщаговка, ул. Бышевская, 5 (Минимаркет (ЖК Киевский маеток))'),
(6330,	'6fd03acf-7349-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3531: с. С. Борщаговка, ул. Боголюбова, 18 (Магазин Світанок (ЖК София))'),
(6331,	'b7f0acfe-7349-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3532: с. С. Борщаговка, ул. Радужная, 147 (Світанок, ЖК Львовский Маеток)'),
(6332,	'dc05616d-7349-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3533: с. С. Борщаговка, ул. Шалимова, 86 (Маркет (ЖК Київський квартал))'),
(6333,	'233bc5a2-734a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3534: ул. Усурийская, 11 (Світанок)'),
(6334,	'233e215f-734a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3535: ул. Нагорная, 8/32 (Минимаркет)'),
(6335,	'6b084de5-734a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Борщаговская, 152 (Минимаркет)'),
(6336,	'6b0b04d9-734a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3537: с. С. Борщаговка, ул. Кошова, 110 (Маркет Семейная лавка)'),
(6337,	'3825278b-734d-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3538: с. ПП Борщагавка, ул. Черкасская, 34 (Семейная лавка)'),
(6338,	'5c010df9-734d-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Лютеранська, 7/10 (Продмаркет)'),
(6339,	'7f50ad67-734d-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Симона Петлюри, 6 (Продукты Пепсико)'),
(6340,	'a3426455-734d-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3541: просп. Победы, 17 (Продукты Пепсико, остановка ул. Шолуденко)'),
(6341,	'c7212d81-734d-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3542: ул. Жилянская, 69/71 (Продукты Пепсико)'),
(6342,	'0f0fd182-734e-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3543: ул. Ильинская, 10 (Продукты Пепсико)'),
(6343,	'c2b832c9-734e-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3544: ул. Анны Ахматовой, 16А (Аптека Подорожник)'),
(6344,	'b9b87bf3-7350-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3545: ул. Ревуцкого, 12А (Аптека Подорожник)'),
(6345,	'ddaa84d7-7350-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3546: просп. Романа Шухевича, 2 (WOG)'),
(6346,	'494cb3a5-7351-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3547: ул. Крайняя, 1 (WOG)'),
(6347,	'6d066fa1-7351-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3548: Днепровская набережная, 17е (WOG)'),
(6348,	'793664f3-7347-11ea-91e8-b8830365bd14',	'db5c896a-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3551: ул. Богоявленская, 40 (Фреш, Евротек)'),
(6349,	'9cc32c92-7347-11ea-91e8-b8830365bd14',	'db5c896a-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3002: ул. Евгения Коновальца, 20 (Арсен, Евротек)'),
(6350,	'202a7586-74b3-11ea-91e8-b8830365bd14',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3553: ул. Иллюши Кулика, 114-ж (Фреш, Евротек)'),
(6351,	'aae649c3-74b4-11ea-91e8-b8830365bd14',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3554: просп. Текстильщиков, 9 (Фреш, Евротек)'),
(6352,	'3a170b18-74b5-11ea-91e8-b8830365bd14',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3555: ул. Патона, 12 (Фреш, Евротек)'),
(6353,	'12867661-74b6-11ea-91e8-b8830365bd14',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3556: ул. Черноморская, 25 (Фреш, Евротек)'),
(6354,	'f87df47f-74b3-11ea-91e8-b8830365bd14',	'e221d627-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3557: ул. Волошина, 26 (Эдельвейс)'),
(6355,	'75ae0b67-7a5d-11ea-91e8-b8830365bd14',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3558: ул. Святослава Рихтера, 40 (Полесье-продукт)'),
(6356,	'29de5159-7a5e-11ea-91e8-b8830365bd14',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3559: ул. Гагарина, 5 (Полесье-продукт)'),
(6357,	'36710316-7a6a-11ea-91e8-b8830365bd14',	'db5c8900-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3516: просп. Степана Бандеры, 96 (Хмельничанка)'),
(6358,	'e5981d10-7a6b-11ea-91e8-b8830365bd14',	'db5c8900-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Анатолия Живова, 15а (ТЦ Орнава)'),
(6359,	'76118cb0-7a6c-11ea-91e8-b8830365bd14',	'db5c8900-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3516: ул. Новый Мир, 1а (Рукавичка)'),
(6360,	'1aabe1f4-807a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3575: просп. Броварской, 11Б (WOG)'),
(6361,	'861f327a-807a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3576: ул. Братиславская, 26 (Аптека Подорожник)'),
(6362,	'cd8b3590-807a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3577: ул. Амвросия Бучмы, 6 (Аптека Подорожник)'),
(6363,	'38e76825-807b-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3578: ул. Калнышевского, 7, секция 4 (Аптека Рин-Гин-Дин)'),
(6364,	'a4554e93-807b-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3579: ул. Богатирская, 15 (WOG)'),
(6365,	'c870df96-807b-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3580: ул. Стеценко, 21 (WOG)'),
(6366,	'ec61363d-807b-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3581: ул. Берковецкая, 6 (WOG)'),
(6367,	'34a01927-807c-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3582: Надднепрянское шоссе, 8 (WOG)'),
(6368,	'5806f30f-807c-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3583: просп. Правди, 94 (Аптека Подорожник)'),
(6369,	'e3e998e1-807d-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3584: ул. Семьи Сосниных, 17А (WOG)'),
(6370,	'2c08b7c9-807e-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3585: просп. Любомира Гузара, 28 (Аптека Подорожник)'),
(6371,	'e05d0e3e-807e-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3586: просп. Победы, 98 (Аптека Подорожник)'),
(6372,	'9484cbad-807f-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3588: ул. Николая Шепелева, 6 (Бадьорий)'),
(6373,	'ffb7a45b-807f-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3589: ул. Героев Севастополя, 33 (Бадьорий)'),
(6374,	'a6c7777b-8083-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3591: ул. Елены Телеги, 31/1 (Бадьорий)'),
(6375,	'126f1455-8084-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3592: ул. Полярная, 8а (Торговий Центр)'),
(6376,	'425b5306-885b-11ea-91e8-b8830365bd14',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3600: ул. Белокур, 7А (Продуктоша)'),
(6377,	'8a0f85cf-885b-11ea-91e8-b8830365bd14',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3604: ул. Олега Кошевого, 13Б (Village маркет)'),
(6378,	'b552b087-74ca-11ea-91e8-b8830365bd14',	'05a20b23-735f-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 236'),
(6379,	'ce78ac2e-bd90-11e4-a77a-005056887b8d',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 15 кг), Мини-отделение: просп. Ушакова, 49 (ТЦ &quot;Цум&quot;)'),
(6380,	'11879c84-f780-11e3-8c4a-0050568002cf',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 15 кг), Мини-отделение: просп. Гагарина, 4'),
(6381,	'7a595cc9-a794-11e4-a77a-005056887b8d',	'db5c890d-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 15 кг), Мини-отделение: просп. Металлургов, 36 (маг.&quot;Фокстрот&quot;)'),
(6382,	'297d68b0-f320-11e8-ad0d-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3198: ул. Шевченко, 3 (Аптека Аптекар)'),
(6383,	'297d68ca-f320-11e8-ad0d-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3199: ул. Центральная, 6Г/7 (Продукти Руслан)'),
(6384,	'a7234a63-254c-11e9-ad0d-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3359: ул. Келецкая, 71 (Аптека)'),
(6385,	'f6a148d6-254d-11e9-ad0d-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3364: ул. Ватутіна, 35 (Аптека)'),
(6386,	'0d53c0e3-262a-11e9-ad0d-005056b24375',	'db5c893b-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3368: просп. Президента Грушевского, 2, ТЦ &quot;Промінь&quot;'),
(6387,	'ba030bd1-8375-11e9-898c-005056b24375',	'db5c888c-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3494: ул. Озерная, 13/13 (АТБ)'),
(6388,	'cb3864db-7345-11ea-91e8-b8830365bd14',	'db5c896a-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Почта&quot; №3550: ул. Короленко, 1 (ТЦ  Злата Плаза)'),
(6389,	'21b3cda4-7a67-11ea-91e8-b8830365bd14',	'db5c897c-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3574: ул. Рокоссовського, 4 (Академия вкуса)'),
(6390,	'b3fa95b9-8080-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3590: ул. Ольжича, 8 (Бадьорий)'),
(6391,	'42651ca9-885b-11ea-91e8-b8830365bd14',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3601: ул. Украинская, 83Б (Продукти Хочу їсти)'),
(6392,	'667fbd00-885b-11ea-91e8-b8830365bd14',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3602: ул. Авиаконструктора Антонова, 1 (Автовокзал Продуктовый)'),
(6393,	'9ec64924-5179-11ea-9b37-0025b502a04e',	'4fdfe4c3-4f16-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 42'),
(6394,	'c2652921-5179-11ea-9b37-0025b502a04e',	'16b59463-4f17-11ea-b89e-0025b501a04b',	'Пункт приема-выдачи (до 30 кг), ул. Луцкая, 4'),
(6395,	'21397a8e-74cb-11ea-91e8-b8830365bd14',	'3d8401e0-7360-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Первомайская, 1'),
(6396,	'5ccfe9fe-69d7-11ea-91e8-b8830365bd14',	'4693c30e-6541-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 40'),
(6397,	'7ae708ae-8ce4-11e9-898c-005056b24375',	'5c66e001-882e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 97'),
(6398,	'5eccc4e6-7290-11ea-91e8-b8830365bd14',	'f65f219f-dab1-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 1'),
(6399,	'd65a8641-8256-11e9-898c-005056b24375',	'e295e7a6-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Новоселицкая, 9'),
(6400,	'db8b48a2-a3f4-11e9-b790-005056b24375',	'370f8694-9e6d-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 3б'),
(6401,	'22f66865-67fa-11e9-898c-005056b24375',	'6d374690-64d2-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 57'),
(6402,	'eaf1e482-c409-11e9-b0c5-005056b24375',	'e295e791-76fb-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 49а'),
(6403,	'ab06378c-680c-11e9-898c-005056b24375',	'a692a51d-65bf-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 1'),
(6404,	'6161ee1d-e21e-11e9-b48a-005056b24375',	'6d6cb4c6-b791-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Маковийчука, 52'),
(6405,	'474fba1d-6829-11ea-91e8-b8830365bd14',	'07eb5fe0-6544-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Киевская, 14б'),
(6406,	'967658d4-74c9-11ea-91e8-b8830365bd14',	'33c77f81-735d-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(6407,	'1779f111-1157-11ea-9295-005056b24375',	'3611f852-fed8-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 373'),
(6408,	'b1ac4f18-811e-11e9-898c-005056b24375',	'74562723-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 70а'),
(6409,	'd6b1a386-f0b7-11e9-9c59-005056b24375',	'662c9042-e5e7-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Омельяненко, 5'),
(6410,	'960395af-6841-11ea-91e8-b8830365bd14',	'52cf3f37-6540-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1'),
(6411,	'c26c2148-5179-11ea-9b37-0025b502a04e',	'3a38d844-4f17-11ea-b89e-0025b501a04b',	'\nПункт приема-выдачи (до 30 кг), ул. Гагарина, 2А'),
(6412,	'e9dda92f-5c87-11ea-91e8-b8830365bd14',	'9c807337-5a19-11ea-a970-b8830365ade4',	'0682845088'),
(6413,	'08d93174-83bb-11ea-91e8-b8830365bd14',	'37cdbb97-7fea-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Соборная, 35Б'),
(6414,	'e2a8ca01-5d5a-11ea-91e8-b8830365bd14',	'3a982227-76ef-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Комарова, 6 (магазин Алиса)'),
(6415,	'dec33169-c57e-11e9-b0c5-005056b24375',	'1037a52f-b7bc-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Б.Хмельницкого, 130А'),
(6416,	'90ffb6a2-8a0b-11ea-91e8-b8830365bd14',	'2d9edc06-8969-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 26'),
(6417,	'52e0c0ad-f895-11e9-9c59-005056b24375',	'ab49a52d-884e-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Днестровская, 9а'),
(6418,	'7c293ee5-811d-11e9-898c-005056b24375',	'2e79f78a-7d63-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 92а'),
(6419,	'bf4a1e5a-e216-11e9-b48a-005056b24375',	'3e8748de-dab2-11e9-b48a-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Первомайская, 30'),
(6420,	'1228de88-6825-11ea-91e8-b8830365bd14',	'f8dc69c1-6542-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 1а'),
(6421,	'd612cbb3-ba7f-11e9-8c22-005056b24375',	'1d7d85c4-b787-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Лысенко, 3'),
(6422,	'b2d727a9-f890-11e9-9c59-005056b24375',	'178ba6a8-f40e-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Галицкая, 25'),
(6423,	'5286e25c-c406-11e9-b0c5-005056b24375',	'be34bb8d-9e52-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Святодмитриевская, 35'),
(6424,	'47d46ed8-85c5-11e9-898c-005056b24375',	'e008d94f-7d6c-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Молодежная, 10'),
(6425,	'9646580f-cb02-11e9-b0c5-005056b24375',	'ae14ae46-b77a-11e9-8c22-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Грушевского, 11а'),
(6426,	'e1951fe0-f869-11e3-8c4a-0050568002cf',	'e1951fd2-f869-11e3-8c4a-0050568002cf',	'Отделение №1: ул. Главная, 75а'),
(6427,	'1ec09dc4-e1c2-11e3-8c4a-0050568002cf',	'06f878fc-4079-11de-b509-001d92f78698',	'Отделение №1: ул. Шевченко, 15 (проходная табачной фабрики)'),
(6428,	'5d5f09f4-6827-11ea-91e8-b8830365bd14',	'911f3756-6544-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Центральная, 71'),
(6429,	'f9439703-fbf0-11e9-9c59-005056b24375',	'54629c60-f413-11e9-91ff-0025b501a04b',	'Пункт приема-выдачи (до 30 кг): ул. Центральная, 17В'),
(6430,	'f2cea43c-6692-11e9-898c-005056b24375',	'568f7462-64ce-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная, 10'),
(6431,	'7c293eca-811d-11e9-898c-005056b24375',	'db4d003d-7d62-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Главная,13'),
(6432,	'64e95714-42a2-11ea-9b37-0025b502a04e',	'54b69479-9e40-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг), ул. Херсонская, 29А'),
(6433,	'9e823bf7-a7dd-11e9-b73a-005056b24375',	'068ea176-9e53-11e9-898c-005056b24375',	'Пункт приема-выдачи (до 30 кг): ул. Топоровская, 141'),
(6434,	'db9c630b-6828-11ea-91e8-b8830365bd14',	'c99e5c7f-6543-11ea-a970-b8830365ade4',	'Пункт приема-выдачи (до 30 кг), ул. Независимости, 52'),
(6435,	'0fd217ae-0fa0-11e7-95d1-005056887b8d',	'7833e618-3b51-11de-913b-001d92f78698',	'Отделение №2 (до 30 кг на 1 место): ул. Полтавский шлях, 70/2а'),
(6436,	'7b422fc0-e1b8-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 30 кг на одно место): ул. Калиновская, 13-А (МТК &quot;Калиновский рынок&quot;)'),
(6437,	'335f1e10-1c77-11e4-acce-0050568002cf',	'db5c895c-391c-11dd-90d9-001a92567626',	'Отделение №2 (до 15 кг) Мини-отделение: ул. Центральная (ран. Калинина), 47а (маг.&quot;ЦУМ&quot;)'),
(6438,	'522ffab5-71e3-11e7-ab8b-005056b2fc3d',	'06f8791e-4079-11de-b509-001d92f78698',	'Отделение №2 (до 30 кг), ул. микрораен 4, дом 11'),
(6439,	'd0e9c47b-80bc-11ea-91e8-b8830365bd14',	'09af1b85-22c7-11e4-acce-0050568002cf',	'Отделение №2 (до 30 кг) Пункт приема-выдачи, ул. Шахтерской славы, 11'),
(6440,	'ada85c84-e0a4-11e9-b48a-005056b24375',	'0680e1c0-bbc6-11e2-8f96-d4ae527baec3',	'Отделение №2 (до 5 кг) Мини-отделение: ул. Львовская, 19'),
(6441,	'40498350-e1c2-11e3-8c4a-0050568002cf',	'db5c8982-391c-11dd-90d9-001a92567626',	'Отделение № 2 (до 30 кг): ул. Грушевского, 39'),
(6442,	'1c0f5221-77ca-11e5-b6f7-005056887b8d',	'db5c890b-391c-11dd-90d9-001a92567626',	'Отделение №5 (до 5 кг), Мини-отделение: просп. Мира, 35 (ТЦ &quot;Таврия В&quot;)'),
(6443,	'7c966925-1fba-11e5-add9-005056887b8d',	'db5c88c9-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг на одно место): ул. Духновича, 14'),
(6444,	'16922887-e1c2-11e3-8c4a-0050568002cf',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №6 (до 30 кг): ул. Конякина, 30 (ТЦ &quot;Варшавский&quot;)'),
(6445,	'5a39e5a1-e1c2-11e3-8c4a-0050568002cf',	'e221d642-391c-11dd-90d9-001a92567626',	'Отделение №9: ул. Калиновская, 13В (рынок &quot;Добробут&quot;)'),
(6446,	'effa614e-9bf9-11e4-acce-0050568002cf',	'db5c896a-391c-11dd-90d9-001a92567626',	'Отделение №14 (до 30 кг), Мини-отделение: ул. Макарова, 23 (ТРЦ &quot;Экватор&quot;)'),
(6447,	'cf1c5217-b918-11e4-a77a-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №17(до 15 кг), Мини-отделение: ул. Киевская, 77 (ТРЦ &quot;Глобал UA&quot;)'),
(6448,	'd39de4e8-ba49-11e8-ad0d-005056b24375',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №19 (до 15 кг), Мини-отделение: ул. Большая Перспективная, 51а'),
(6449,	'06e7211d-5614-11e5-8d8d-005056887b8d',	'db5c88c4-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 15 кг), Мини-отделение: пл. Согласия, 6'),
(6450,	'3cfbbd5b-403a-11e6-a9f2-005056887b8d',	'db5c893b-391c-11dd-90d9-001a92567626',	'Отделение №23 (до 30 кг): ул. Винниченко, 4 (ТЦ &quot;Буратино&quot;)'),
(6451,	'8300101f-524e-11ea-9b37-0025b502a04e',	'db5c891b-391c-11dd-90d9-001a92567626',	'Отделение №25 (до 5 кг), Мини-отделение: ул. Шевченко, 38а'),
(6452,	'c586f951-1c7b-11e4-acce-0050568002cf',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №42 (до 15 кг) Мини-отделение: ул. Новощепной ряд, 2 (ТЦ &quot;Остров&quot;)'),
(6453,	'35b25cf6-9bec-11e4-acce-0050568002cf',	'db5c88f0-391c-11dd-90d9-001a92567626',	'Отделение №61 (до 30 кг):  проул. Парусный, 19, пом. 163'),
(6454,	'b9b71887-0b73-11e5-8a92-005056887b8d',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Отделение №111 (до 30 кг): пл. Греческая, 1-А, пом. 101 (ТЦ &quot;Греческий&quot;)'),
(6455,	'335f0795-64d8-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №116 (до 5 кг), Мини-отделение: ул. Искровская, 1/7 А'),
(6456,	'8c5bf783-6c09-11e4-acce-0050568002cf',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Отделение №120 (до 5 кг), Мини-отделение: ул. Нежинская, 16'),
(6457,	'9a962711-b039-11e8-ad0d-005056b24375',	'69da41b4-3f5d-11de-b509-001d92f78698',	'г. Волноваха, депо (ул. Юбилейная, 4)'),
(6458,	'ec2aec4b-7799-11e7-ab8b-005056b2fc3d',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая почта&quot; №3026: ул. Маршала Рибалка, 11 (БЦ PALO ALTO)'),
(6459,	'4834f7f1-c587-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3074: с. Петропавловская Борщаговка, ул. Соборная/Матросова, 23 (BoxPark)'),
(6460,	'da08d20a-c6f9-11e8-ad0d-005056b24375',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3078, ул. Василия Липковского, 1 (ТЦ Ремточмеханика)'),
(6461,	'6fad10f5-d378-11e8-ad0d-005056b24375',	'db5c88de-391c-11dd-90d9-001a92567626',	'Почтомат  &quot;Новая Пошта&quot; № 3082: ул. Пирогова, 112-А (Аптека)'),
(6462,	'297d68e1-f320-11e8-ad0d-005056b24375',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3200: Гостомельское шоссе, 22 (Продукты)'),
(6463,	'738abc05-0f6d-11e9-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3264: просп. Добровольського, 123, (Таврия В)'),
(6464,	'738abc21-0f6d-11e9-ad0d-005056b24375',	'db5c88d0-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3265: Люстдорфская дорога, 55 (WOG)'),
(6465,	'd86ca795-20be-11e9-ad0d-005056b24375',	'db5c88f5-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; № 3283: ул. Хмельницкого, 271 (Рукавичка)'),
(6466,	'ed221751-61b0-11e9-898c-005056b24375',	'db5c893b-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3369: ул. Шевченко, 11 (Наш Край)'),
(6467,	'ed221762-61b0-11e9-898c-005056b24375',	'db5c893b-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3370: ул. Єршова, 11, Торба'),
(6468,	'6a330ec7-2aaa-11e9-acea-005056b24375',	'e221d642-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3387: переулок Складской, 1 (Торба)'),
(6469,	'667b4950-61a6-11e9-898c-005056b24375',	'db5c8902-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3388: ул. Чорновола, 142, Малина'),
(6470,	'667b4972-61a6-11e9-898c-005056b24375',	'db5c8902-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3390: ул. Пацаєва, 7, Малина'),
(6471,	'667b4983-61a6-11e9-898c-005056b24375',	'db5c8902-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3391: ул. Гоголя, 258, Малина'),
(6472,	'c61ef137-7fc1-11ea-91e8-b8830365bd14',	'db5c8944-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3422: ул. Пилипа Орлика, 118/16 (Щирый Кум)'),
(6473,	'e9de1423-7fc1-11ea-91e8-b8830365bd14',	'db5c8944-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3423: бульв. Шевченко, 89/105'),
(6474,	'8872b6ff-4f06-11e9-acea-005056b24375',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3426: ул. Магистральная, 72А, Апельмон'),
(6475,	'8872b72b-4f06-11e9-acea-005056b24375',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3428: ул. Магистральная, 92, Апельмон'),
(6476,	'44244ec5-4c9c-11e9-acea-005056b24375',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3432: просп. Моторостроителей, 58 (Апельмон)'),
(6477,	'd6785a21-4f0d-11e9-acea-005056b24375',	'db5c88c6-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3433: ул. Школьная, 18 (Апельмон)'),
(6478,	'ba030be3-8375-11e9-898c-005056b24375',	'db5c888c-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3495: просп. Центральный, 154 (АТБ)'),
(6479,	'd8af3611-7a5f-11ea-91e8-b8830365bd14',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3560: просп. Леси Украинки, 52 (Атас, МаркетОпт)'),
(6480,	'a6956bcc-7a62-11ea-91e8-b8830365bd14',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3561: просп. Леси Украинки, 13-А (Аврора, МаркетОпт)'),
(6481,	'545b5e67-7a64-11ea-91e8-b8830365bd14',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3562: ул. Академика Маслова, 22 (Літо+, МаркетОпт)'),
(6482,	'2b9ae2b9-7a65-11ea-91e8-b8830365bd14',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3563: Квартал 278, д. 18, Дарина, МаркетОпт'),
(6483,	'dea9c321-7a65-11ea-91e8-b8830365bd14',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3564: ул. Ивана Приходько, 86/1 (Куб, МаркетОпт)'),
(6484,	'924a2459-7a66-11ea-91e8-b8830365bd14',	'8d5a9813-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3565: Квартал 101, д. 3 (Комфи, МаркетОпт)'),
(6485,	'b085552b-7a67-11ea-91e8-b8830365bd14',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3571: ул. Молодежная, 4 (Везунчик)'),
(6486,	'6454586c-7a68-11ea-91e8-b8830365bd14',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3572: ул. Финансистов, 59 (Везунчик)'),
(6487,	'f33b5f96-7a68-11ea-91e8-b8830365bd14',	'db5c88cc-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3573: ул. Мира, 45 (Грин маркет)'),
(6488,	'286afee2-807f-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3587: ул. Данила Щербаковского, 51 (Продукты Пятница)'),
(6489,	'2732646e-8087-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3593: просп. Николая Бажана, 1м (Бадьорий)'),
(6490,	'930fdd87-8087-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3594: ул. Елизаветы Чавдар, 20, Бадьорий'),
(6491,	'd6394f58-885a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3596: ул. Межигорская, 10/18 (Продукты Пепсико)'),
(6492,	'fa952f85-885a-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3598: Симона Петлюры, 13/135 (Продукты Пепсико)'),
(6493,	'1e6b5f24-885b-11ea-91e8-b8830365bd14',	'8d5a980d-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3599: бульв. Тараса Шевченко, 13, Продукты Пепсико'),
(6494,	'66872b09-885b-11ea-91e8-b8830365bd14',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3603: ул. Полтавская, 62А/1 (Фермерок)'),
(6495,	'8a12911b-885b-11ea-91e8-b8830365bd14',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3605: ул. Соборна, 118/9 (EVA)'),
(6496,	'ae37821a-885b-11ea-91e8-b8830365bd14',	'db5c8911-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3607: ул. Севериновская, 70 (Магазин)'),
(6497,	'83675f0f-8dc9-11ea-91e8-b8830365bd14',	'db5c896a-391c-11dd-90d9-001a92567626',	'Почтомат &quot;Новая Пошта&quot; №3608: ул. Вербовая, 41А (Торба)');

DROP TABLE IF EXISTS `ok_orders`;
CREATE TABLE `ok_orders` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `delivery_id` int(11) DEFAULT '0',
  `delivery_price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `payment_method_id` int(11) DEFAULT '0',
  `paid` tinyint(1) NOT NULL DEFAULT '0',
  `payment_date` datetime DEFAULT NULL,
  `closed` tinyint(1) NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `user_id` int(11) DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `address` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `phone` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `phone_to_delete` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `status_id` int(11) NOT NULL DEFAULT '0',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `payment_details` mediumtext COLLATE utf8mb4_unicode_ci,
  `ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `note` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `discount` decimal(5,2) NOT NULL DEFAULT '0.00',
  `coupon_discount` decimal(10,2) NOT NULL DEFAULT '0.00',
  `coupon_code` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `separate_delivery` tinyint(1) DEFAULT 0,
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `lang_id` int(11) NOT NULL DEFAULT 0,
  `referer_channel` enum('email','search','social','referral','unknown') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referer_source` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `login` (`user_id`),
  KEY `written_off` (`closed`),
  KEY `date` (`date`),
  KEY `status` (`status_id`),
  KEY `payment_status` (`paid`),
  KEY `code` (`url`(100)),
  KEY `phone` (`phone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_orders` (`id`, `delivery_id`, `delivery_price`, `payment_method_id`, `paid`, `payment_date`, `closed`, `date`, `user_id`, `name`, `address`, `phone`, `phone_to_delete`, `email`, `comment`, `status_id`, `url`, `payment_details`, `ip`, `total_price`, `note`, `discount`, `coupon_discount`, `coupon_code`, `separate_delivery`, `modified`, `lang_id`, `referer_channel`, `referer_source`) VALUES
(1,	1,	0.00,	6,	1,	NULL,	1,	'2019-07-09 19:59:23',	0,	'Иванов Иван Иванович',	'',	'',	'',	'4235@dsfsdf.df',	'',	3,	'3a12de08ea587fa815ab587404ee6250',	NULL,	'89.238.191.213',	236940.27,	'',	0.00,	0.00,	'',	0,	'2020-02-24 15:21:41',	1,	NULL,	NULL),
(2,	0,	0.00,	0,	0,	NULL,	1,	'2019-07-18 11:20:02',	0,	'Шилина Юлия',	'',	'',	'',	'shilinayulya@i.ua',	'',	2,	'ff5b40901e04e45df5a3ca62247d0ecf',	NULL,	'',	56700.81,	'',	0.00,	0.00,	'',	0,	'2020-02-24 15:21:41',	1,	NULL,	NULL),
(3,	1,	0.00,	0,	0,	NULL,	0,	'2019-08-01 08:57:17',	0,	'Соколов Виталий',	'г. Харьков ул. Молодежная 34',	'382222222222',	'+38(222)222-22-22',	'socol34@gmail.com',	'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',	1,	'98766572ae7c3b017325faeabea4d69a',	NULL,	'93.79.108.225',	75625.24,	'',	0.00,	0.00,	'',	0,	'2020-02-24 15:21:41',	1,	NULL,	NULL),
(4,	0,	0.00,	0,	0,	NULL,	0,	'2020-02-21 16:02:44',	0,	'Сергей Погорелый',	'',	'382223332222',	'+38(222)333-22-22',	'pogoreliy@i.ua',	'',	5,	'e01e54e36274f672b1c090f3cc630370',	NULL,	NULL,	55297.75,	'',	0.00,	0.00,	'',	0,	'2020-02-24 15:21:41',	1,	NULL,	NULL);

DROP TABLE IF EXISTS `ok_orders_labels`;
CREATE TABLE `ok_orders_labels` (
  `order_id` int(11) NOT NULL,
  `label_id` int(11) NOT NULL,
  PRIMARY KEY (`order_id`,`label_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_orders_labels` (`order_id`, `label_id`) VALUES
(2,	1),
(3,	2),
(4,	1),
(4,	3);

DROP TABLE IF EXISTS `ok_orders_status`;
CREATE TABLE `ok_orders_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `is_close` tinyint(1) NOT NULL DEFAULT '0',
  `color` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ffffff',
  `position` int(11) NOT NULL DEFAULT '0',
  `status_1c` enum('not_use','new','accepted','to_delete') COLLATE utf8mb4_unicode_ci DEFAULT 'not_use',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_orders_status` (`id`, `name`, `is_close`, `color`, `position`, `status_1c`) VALUES
(1,	'Новый',	0,	'209db0',	1,	'new'),
(2,	'Принят',	1,	'444fab',	2,	'accepted'),
(3,	'У курьера',	1,	'b57624',	3,	'not_use'),
(4,	'Выполнен',	1,	'2c8c17',	4,	'not_use'),
(5,	'Удален',	0,	'eb1212',	5,	'to_delete');

DROP TABLE IF EXISTS `ok_order_history`;
CREATE TABLE `ok_order_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `manager_id` int(11) DEFAULT NULL,
  `new_status_id` int(11) DEFAULT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp(),
  `text` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_pages`;
CREATE TABLE `ok_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `order_num` (`position`),
  KEY `url` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_pages` (`id`, `url`, `name`, `name_h1`, `meta_title`, `meta_description`, `meta_keywords`, `description`, `position`, `visible`, `last_modify`) VALUES
(1,	'',	'Главная',	'',	'Хиты продаж',	'OKAYCMS  - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети. \r\n Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua). \r\n Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от о',	'Хиты продаж',	'<div class=\"inner_infobox\">\r\n<p style=\"text-align: left;\"><strong>OKAYCMS</strong> - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети.</p>\r\n<p><img style=\"float: right;\" src=\"../files/uploads/okay_about_image.png\" alt=\"\" width=\"286\" height=\"250\" /></p>\r\n<p style=\"text-align: left;\">Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua).</p>\r\n<p style=\"text-align: left;\">Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от одежды, строительных материалов, мобильных телефонов и чехлов, до музыкальных треков, видео-уроков, аудиокниг и постеров.</p>\r\n<p style=\"text-align: left;\">OKAYCMS&nbsp;- легкая и гибкая система для запуска вашего бизнеса в онлайн.</p>\r\n<p style=\"text-align: left;\">Этот магазин является демонстрацией скрипта интернет-магазина <a href=\"http://okay-cms.com\" target=\"_blank\" rel=\"noopener noreferrer\">Okay</a>. Все материалы на этом сайте присутствуют исключительно в демострационных целях.</p>\r\n</div>',	1,	1,	'2019-07-05 13:59:31'),
(2,	'oplata',	'Оплата',	'',	'Оплата',	'Оплата',	'Оплата',	'<h2><span>Наличными курьеру</span></h2><p>Вы можете оплатить заказ курьеру в рублях непосредственно в момент доставки. Курьерская доставка осуществляется по Москве на следующий день после принятия заказа.</p><h2>Яндекс.Деньги</h2><p><span>Яндекс</span><span>.</span><span>Деньги</span><span>&nbsp;&mdash; доступный и безопасный способ платить за товары и услуги через интернет</span>.</p><h2>Банковская карта</h2><p><span>Оплата банковской картой Visa или MasterCard через систему Яндекс.Деньги.</span></p><h2>Через терминал</h2><p><span>Оплатите наличными через многочисленные терминалы в любом городе России. Можно заплатить и с банковской карты через многие банкоматы. Для этого найдите в меню терминала или банкомата логотип Яндекса и укажите код платежа.</span></p><h2>Со счета мобильного телефона</h2><p><span>Оплата со&nbsp;счета мобильного телефона&nbsp;через систему Яндекс.Деньги.</span></p><h2>Webmoney</h2><p>После оформления заказа вы сможете перейти на сайт webmoney для оплаты заказа, где сможете оплатить заказ в автоматическом режиме, а так же проверить наш сертификат продавца.</p><h2>Квитанция</h2><p><span>Вы можете распечатать квитанцию и оплатить её в любом отделении банка.</span></p><h2>Робокасса</h2><p><span>ROBOKASSA &ndash; сервис для организации приема платежей на сайте, интернет магазине и социальных сетях. Прием платежей осуществляется при минимальных комиссиях.</span></p><h2>PayPal</h2><p><span>Совершайте покупки безопасно, без раскрытия информации о своей кредитной карте. PayPal защитит вас, если возникнут проблемы с покупкой.</span></p><h2>Оплата через Интеркассу</h2><p><span>Это удобный в использовании сервис, подключение к которому позволит Интернет-магазинам, веб-сайтам и прочим торговым площадкам принимать все возможные формы оплаты в максимально короткие сроки.</span></p><h2>Оплата картой через Liqpay.com</h2><p><span>Благодаря своей открытости и универсальности LiqPAY стремительно интегрируется со многими платежными системами и платформами и становится стандартом платежных операций.</span></p><h2>Оплата через Pay2Pay</h2><p><span>Универсальный платежный сервис Pay2Pay призван облегчить и максимально упростить процесс приема электронных платежей на Вашем сайте. Мы открыты для всего нового и сверхсовременного.</span></p><h2>Оплатить через QIWI</h2><p><span>QIWI &mdash; удобный сервис для оплаты повседневных услуг.</span></p><h2><span style=\"font-size: 20px;\">Наличными в офисе Автолюкса</span></h2><p>При доставке заказа системой Автолюкс, вы сможете оплатить заказ в их офисе непосредственно в момент получения товаров.</p>',	4,	1,	'2017-07-07 09:08:20'),
(3,	'dostavka',	'Доставка',	'',	'Доставка',	'Доставка',	'Доставка',	'<h2>Курьерская доставка по&nbsp;Москве</h2><p>Курьерская доставка осуществляется на следующий день после оформления заказа<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>если товар есть в&nbsp;наличии. Курьерская доставка осуществляется в&nbsp;пределах Томска и&nbsp;Северска ежедневно с&nbsp;10.00 до&nbsp;21.00. Заказ на&nbsp;сумму свыше 300 рублей доставляется бесплатно. <br /><br />Стоимость бесплатной доставки раcсчитывается от&nbsp;суммы заказа с&nbsp;учтенной скидкой. В&nbsp;случае если сумма заказа после применения скидки менее 300р<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>осуществляется платная доставка. <br /><br />При сумме заказа менее 300 рублей стоимость доставки составляет от 50 рублей.</p><h2>Самовывоз</h2><p>Удобный<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>бесплатный и быстрый способ получения заказа.<br />Адрес офиса: Москва<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>ул. Арбат<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>1/3<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>офис 419.</p><h2>Доставка с&nbsp;помощью предприятия<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo;</h2><p>Удобный и быстрый способ доставки в крупные города России. Посылка доставляется в офис<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; в&nbsp;Вашем городе. Для получения необходимо предъявить паспорт и&nbsp;номер грузовой декларации<span style=\"margin-right: 0.3em;\"> </span><span style=\"margin-left: -0.3em;\">(</span>сообщит наш менеджер после отправки). Посылку желательно получить в&nbsp;течение 24 часов с&nbsp;момента прихода груза<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>иначе компания<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; может взыскать с Вас дополнительную оплату за хранение. Срок доставки и стоимость Вы можете рассчитать на сайте компании.</p><h2>Наложенным платежом</h2><p>При доставке заказа наложенным платежом с помощью<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Почты России&raquo;, вы&nbsp;сможете оплатить заказ непосредственно в&nbsp;момент получения товаров.</p>',	3,	1,	'2017-07-07 09:08:20'),
(4,	'blog',	'Блог',	'',	'Блог',	'Описание страницы блог',	'Блог',	'',	2,	1,	'2018-06-26 16:07:27'),
(5,	'404',	'Страница не найдена',	'',	'Страница не найдена',	'Страница не найдена',	'Страница не найдена',	'<p><span data-language=\"page404_text\">Страница, которую вы запрашиваете, не существует, или она удалена. Возможно, вы набрали неправильный адрес. Попробуйте ввести еще раз.</span></p>',	5,	1,	'2019-06-24 11:33:00'),
(6,	'contact',	'Контакты',	'',	'Контакты',	'Контакты',	'Контакты',	'<p>Москва, ул. Космонавта Волкова 14.</p>\r\n<p>Телефон 777-15-51</p>',	12,	1,	'2019-01-24 15:41:26'),
(7,	'all-products',	'Все товары',	'',	'Все товары',	'Все товары',	'Все товары',	'',	7,	1,	'2019-01-24 15:40:10'),
(8,	'brands',	'Бренды',	'',	'Бренды',	'Бренды',	'Бренды',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	6,	1,	'2019-06-11 11:16:33'),
(10,	'discounted',	'Акционные товары',	'',	'Акционные товары',	'Акционные товары',	'Акционные товары',	'',	8,	1,	'2019-01-24 15:40:32'),
(11,	'bestsellers',	'Хиты продаж',	'',	'Хиты продаж',	'Хиты продаж',	'Хиты продаж',	'',	10,	1,	'2019-01-24 15:40:57'),
(12,	'news',	'Новости',	'',	'Новости',	'Новости',	'Новости',	'',	11,	1,	'2019-01-24 15:41:13'),
(13,	'user/login',	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете:  \r\n \r\n Получать ваши персональные скидки \r\n Сохранять ваши контактные данные для оформления заказа \r\n Просматривать историю ваших заказов \r\n Отслеживать статусы новых заказов \r\n Участвовать в различных акциях',	'Вход в личный кабинет',	'<p><strong>Создайте учетную запись у нас, и вы сможете:</strong></p>\r\n<ul>\r\n<li>Получать ваши персональные скидки</li>\r\n<li>Сохранять ваши контактные данные для оформления заказа</li>\r\n<li>Просматривать историю ваших заказов</li>\r\n<li>Отслеживать статусы новых заказов</li>\r\n<li>Участвовать в различных акциях</li>\r\n</ul>',	13,	1,	'2019-07-07 21:32:24'),
(14,	'user/register',	'Регистрация',	'',	'Регистрация',	'Регистрация через соц. сеть \r\n  Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:',	'Регистрация',	'<div class=\"block_explanation__header\">Регистрация через соц. сеть</div>\r\n<div>Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:</div>',	14,	1,	'2019-10-23 15:01:29'),
(16,	'politika-konfidentsalnosti',	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ   &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на ко',	'Политика конфиденцальности',	'<p><strong>1. ОБЩИЕ ПОЛОЖЕНИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br /><strong>2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br /><strong>3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br /><strong>4. ОБЯЗАТЕЛЬСТВА СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br /><strong>5. ОТВЕТСТВЕННОСТЬ СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br /><strong>6. РАЗРЕШЕНИЕ СПОРОВ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br /><strong>7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>',	16,	1,	'2019-07-05 13:06:13'),
(17,	'faq',	'FAQ',	'',	'FAQ',	'',	'FAQ',	'',	17,	1,	'2019-09-24 12:41:59'),
(18,	'comparison',	'Сравнение товаров',	'',	'Сравнение товаров',	'',	'Сравнение товаров',	'',	18,	1,	'2020-02-11 15:52:19'),
(19,	'wishlist',	'Избранное',	'',	'Избранное',	'',	'Избранное',	'',	19,	1,	'2020-02-11 15:55:31');

DROP TABLE IF EXISTS `ok_payment_methods`;
CREATE TABLE `ok_payment_methods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `module` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `settings` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `novaposhta_cost__cash_on_delivery` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_payment_methods` (`id`, `module`, `name`, `description`, `currency_id`, `settings`, `enabled`, `position`, `image`, `novaposhta_cost__cash_on_delivery`) VALUES
(6,	'OkayCMS/LiqPay',	'Оплата картой через Liqpay.com',	'<p>LiqPay &mdash; платежная система, позволяющая проводить оплату банковскими картами MasterСard и VISA, а также наличными через терминалы самообслуживания Приватбанка. Оплата возможна после входа в аккаунт через номер мобильного телефона.</p>',	2,	'a:2:{s:18:\"liq_pay_public_key\";s:0:\"\";s:19:\"liq_pay_private_key\";s:0:\"\";}',	1,	14,	'liqpay.png',	NULL),
(14,	'null',	'Оплата наличными курьеру',	'<p>Если вы не хотите предварительно оплачивать заказ, у вас есть возможность рассчитаться с курьером наличными в момент получения посылки. Чтобы процесс был максимально комфортным и для вас, и для курьера, рекомендуем заранее подготовить нужную сумму.</p>',	2,	'a:0:{}',	1,	18,	'nalcourier.png',	NULL),
(18,	'null',	'Оплата наложенным платежом',	'<p>Оплата производится наложенным платежом после получения товара.</p>',	2,	'a:0:{}',	1,	19,	'wallet.png',	NULL),
(19,	'OkayCMS/PayKeeper',	'Оплата через PayKeeper',	'<p>PayKeeper &mdash; международная платежная система, осуществляющая прием платежей, проводимых с использованием банковских карт через интернет.</p>',	2,	'a:2:{s:26:\"PAYKEEPER_PAYMENT_FORM_URL\";s:0:\"\";s:16:\"PAYKEEPER_SECRET\";s:0:\"\";}',	1,	20,	'paykeeper.png',	NULL),
(20,	'OkayCMS/WayForPay',	'Оплата через WayForPay',	'<p>WayForPay &mdash; это онлайн-сервис с оплатой через банковские карты платежных систем VISA и MasterCard. Доступные методы платежа: Приват 24, терминал, сервис обслуживает прием платежей через систему Bitcoin.</p>',	2,	'a:2:{s:18:\"wayforpay_merchant\";s:0:\"\";s:19:\"wayforpay_secretkey\";s:0:\"\";}',	1,	21,	'wayforpay.png',	NULL),
(21,	'OkayCMS/YandexMoneyApi',	'Яндекс Касса',	'<p>Яндекс.Касса &mdash; российский платёжный провайдер, сервис по приёму платежей через интернет в пользу юридических лиц, индивидуальных предпринимателей и некоммерческих организаций.</p>',	2,	'a:10:{s:17:\"yandex_api_shopid\";s:0:\"\";s:19:\"yandex_api_password\";s:0:\"\";s:18:\"yandex_api_paymode\";s:5:\"kassa\";s:22:\"yandex_api_paymenttype\";s:0:\"\";s:27:\"yandex_description_template\";s:0:\"\";s:23:\"ya_kassa_api_send_check\";s:1:\"1\";s:16:\"ya_kassa_api_tax\";s:1:\"1\";s:25:\"ya_kassa_api_payment_mode\";s:15:\"full_prepayment\";s:28:\"ya_kassa_api_payment_subject\";s:9:\"commodity\";s:14:\"ya_kassa_debug\";s:1:\"1\";}',	1,	11,	'yandexkassa.png',	NULL);

DROP TABLE IF EXISTS `ok_products`;
CREATE TABLE `ok_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `brand_id` int(11) DEFAULT '0',
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '0',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created` timestamp NULL DEFAULT NULL,
  `featured` tinyint(1) DEFAULT '0',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `rating` float(3,1) DEFAULT '0.0',
  `votes` int(11) DEFAULT '0',
  `special` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `main_category_id` int(11) DEFAULT NULL,
  `main_image_id` int(11) DEFAULT NULL,
  `to_rozetka` tinyint(1) DEFAULT '0',
  `not_to_rozetka` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `not_to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `not_to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  `not_to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  `to__okaycms__hotline` tinyint(1) DEFAULT NULL,
  `not_to__okaycms__hotline` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `brand_id` (`brand_id`),
  KEY `visible` (`visible`),
  KEY `position` (`position`),
  KEY `external_id` (`external_id`),
  KEY `hit` (`featured`),
  KEY `main_category_id` (`main_category_id`),
  KEY `main_image_id` (`main_image_id`),
  KEY `url` (`url`(100)),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_products` (`id`, `url`, `brand_id`, `name`, `annotation`, `description`, `visible`, `position`, `meta_title`, `meta_keywords`, `meta_description`, `created`, `featured`, `external_id`, `rating`, `votes`, `special`, `last_modify`, `main_category_id`, `main_image_id`, `to_rozetka`, `not_to_rozetka`, `to__okaycms__yandex_xml_vendor_model`, `not_to__okaycms__yandex_xml_vendor_model`, `to__okaycms__yandex_xml`, `not_to__okaycms__yandex_xml`, `to__okaycms__google_merchant`, `not_to__okaycms__google_merchant`, `to__okaycms__hotline`, `not_to__okaycms__hotline`) VALUES
(1,	'Kreslo_Meshok_L_Oksford_Black',	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	1,	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'2017-05-11 09:12:58',	1,	'',	4.0,	1,	'',	'2019-07-08 12:19:06',	2,	1,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(2,	'Kreslo_Meshok_L_Oksford_Dark_Blue',	1,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	2,	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'2017-05-11 09:12:58',	1,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	3,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(3,	'Kreslo_Meshok_L_Oksford_Blue',	1,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	3,	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	4,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(4,	'Kreslo_Meshok_L_Oksford_Green',	1,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	4,	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	5,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(5,	'Kerslo_Meshok_L_Oksford_Bordo',	1,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	5,	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	6,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(6,	'Kreslo_Meshok_L_Oksford_Red',	1,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	6,	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	7,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(7,	'Kreslo_Meshok_L_Oksford_Orange',	1,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	7,	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	8,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(8,	'Kreslo_Meshok_L_Oksford_Lime',	1,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	8,	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	9,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(9,	'Kreslo_Meshok_L_Oksford_Yellow',	1,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	9,	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	10,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(10,	'Kreslo_Meshok_L_Blue_Velvet',	1,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	10,	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	11,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(11,	'kreslo-meshok-grusha-l-turquoise-velvet',	1,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	11,	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	12,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(12,	'Kreslo_Meshok_L_Red_Velvet',	1,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	12,	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	13,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(13,	'Kreslo_Meshok_L_Malina_Velvet',	1,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	13,	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	14,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(14,	'Kreslo_Meshok_L_Fuxia_Velvet',	1,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	14,	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	15,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(15,	'Kreslo_Meshok_L_Pink_Velvet',	1,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	15,	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	16,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(16,	'kreslo-meshok-grusha-l-lime-velvet',	1,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	16,	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	17,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(17,	'Kreslo_Meshok_L_Jungle',	1,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	17,	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	19,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(18,	'Kreslo_Meshok_L_Balloons',	1,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	18,	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	20,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(19,	'Kreslo_Meshok_L_Graffity_Orange',	1,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	19,	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	21,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(20,	'Kreslo_Meshok_L_Mini_Cooper',	1,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	20,	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	22,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(21,	'kreslo-meshok-grusha-l-iphone',	1,	'Кресло мешок груша L iPhone',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	21,	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'2017-05-11 09:12:58',	NULL,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	23,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(22,	'Kreslo_Meshok_L_Cats',	1,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	22,	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	24,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(23,	'telefon-meizu-m3-mini-m688u-16-gb',	0,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'2017-05-11 09:12:58',	1,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	25,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(24,	'telefon-meizu-mx6',	0,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	24,	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	26,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(25,	'telefon-meizu-m3-mini-m688u-32-gb',	0,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	25,	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	27,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(26,	'telefon-meizu-m3s-332-gb',	0,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	26,	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	28,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(27,	'telefon-meizu-m2-note-16-gb',	0,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	27,	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	29,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(28,	'telefon-meizu-m3-note-32-gb',	0,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	28,	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	30,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(29,	'telefon-meizu-pro-6-m570q-64-gb',	0,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	29,	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	31,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(30,	'telefon-meizu-pro-6-m570q-32-gb',	0,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	30,	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	32,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(31,	'telefon-meizu-m3s-216-gb',	0,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	31,	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	33,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(32,	'telefon-meizu-pro-5-m576-32-gb',	0,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	32,	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	34,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(33,	'telefon-meizu-pro-5-m576-64-gb',	0,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	33,	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	35,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(34,	'telefon-meizu-m3-note-16-gb',	0,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	34,	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	36,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(37,	'telefon-xiaomi-redmi-2-enhanced-216-gb',	0,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	48,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(38,	'telefon-xiaomi-mi4c-332-gb',	0,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'2017-05-11 09:12:58',	0,	'',	5.0,	1,	'',	'2019-05-31 10:15:44',	8,	49,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(39,	'telefon-xiaomi-redmi-note-4---332-gb',	0,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	50,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(40,	'telefon-xiaomi-mi5s-plus-464-gb',	0,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	51,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(41,	'telefon-xiaomi-mi5s-plus-6128-gb',	0,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	52,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(42,	'telefon-xiaomi-redmi-4-pro',	0,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	42,	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	53,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(43,	'telefon-xiaomi-redmi-4',	0,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	43,	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	54,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(44,	'telefon-xiaomi-redmi-note-4x',	0,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	55,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(45,	'telefon-xiaomi-redmi-note-4x---332gb',	0,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	56,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(46,	'telefon-xiaomi-redmi-note-4x---464gb',	0,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	57,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(47,	'telefon-xiaomi-redmi-3s---332gb',	0,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	58,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(48,	'telefon-xiaomi-redmi-4x---216gb',	0,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'2017-05-11 09:12:59',	NULL,	'',	0.0,	0,	'',	'2019-07-15 11:34:22',	8,	59,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(49,	'hatchimals-pingvi-v-yajtse--1',	0,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	49,	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'2017-05-11 09:12:59',	1,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	60,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(50,	'hatchimals-drako-v-yajtse-1',	0,	'Hatchimals: Драко в яйце номер 1',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	50,	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'2017-05-11 09:12:59',	NULL,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	69,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(51,	'hatchimals-pingvi-v-yajtse--2',	0,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	51,	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	77,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(52,	'hatchimals-drako-v-yajtse--2',	0,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	52,	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	86,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(53,	'mashinka-hot-wheels-izmeni-tsvet-v-assort',	0,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	95,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(54,	'hot-wheels-nabor-prepyatstviya-v-puti',	0,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	104,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(55,	'hot-wheels-nabor-superskorost',	0,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	55,	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	110,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(56,	'hot-wheels-igrovoj-nabor-vzryv-tsvetov-v-assort',	0,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	116,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(57,	'hot-wheels-igrovoj-nabor-priklyucheniya-v-bolshom-gorode-v-assort',	0,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	120,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(58,	'hot-wheels-trek-ohota-na-akulu-serii-izmeni-tsvet',	0,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	125,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(59,	'hot-wheels-trek-mega-pryzhok-neskolko-vidov',	0,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	128,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(60,	'hot-wheels-gruzovik-transporter',	0,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	60,	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	131,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(61,	'hot-wheels-legendarnyj-garazh',	0,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	61,	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	135,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(62,	'hot-wheels-karmannyj-trek-gonki-neskolko-vidov',	0,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	143,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(63,	'hot-wheels-igrovoj-nabor-gorod-chudovisch-3-vida',	0,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	152,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(64,	'hot-wheels-igrovoj-nabor-avtoservis-4-vida',	0,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	161,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(65,	'hot-wheels-bazovyj-trek-3-vida',	0,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	65,	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	170,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(66,	'hot-wheels-nabor-gotov-k-igre-neskolko-vidov',	0,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	179,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(67,	'hot-wheels-igrovoj-nabor-ataka-drakona',	0,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	182,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(68,	'hot-wheels-trek-rekordnyj-pryzhok',	0,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	189,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(69,	'hot-wheels-trek-protivostoyanie',	0,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	69,	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	193,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(70,	'hot-wheels-igrovoj-trek-perekrestnoe-stolknovenie',	0,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	200,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(71,	'hot-wheels-nabor-dopolnitelnyh-dorozhek-treka',	0,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	209,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(72,	'hot-wheels-aksessuar-prepyatstvie-dlya-treka-4-vida',	0,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	212,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(73,	'bimetallicheskie-radiator-altermo-rio',	2,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	219,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(74,	'bimetallicheskie-radiator-altermo-lrb',	2,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	220,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(75,	'radiatory-alyuminievye-ferroli-infiniti-50010',	3,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	221,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(76,	'alyuminievyj-radiator-global-iseo-50080',	4,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	222,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(77,	'alyuminievyj-radiator-global-vox-350100',	4,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	77,	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	223,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(78,	'alyuminievyj-radiator-global-vox-500100',	4,	'Алюминиевый радиатор Global VOX 500/100',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	78,	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'2017-05-11 09:12:59',	1,	'',	0.0,	0,	'',	'2019-06-10 10:58:15',	54,	224,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(79,	'vodonagrevatel-atlantic-vm-100-d400-2-b-opro-turbo',	5,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	225,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(80,	'vodonagrevatel-atlantic-vm-050-d400-2-b-opro-turbo',	5,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	228,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(81,	'vodonagrevatel-atlantic-vm-100-d400-1-m-opro-profi',	5,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	230,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(82,	'vodonagrevatel-atlantic-vm-050-d400-1-m-opro-profi',	5,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	231,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(83,	'vodonagrevatel-atlantic-pc-30-opro-slim',	5,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	232,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(84,	'vodonagrevatel-atlantic-vm-050-d400-2-bc-steatite-pro',	5,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	234,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(85,	'bojler-atlantic-steatite-slim-vm-080-d325-2-bc',	5,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	237,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(86,	'vodonagrevatel-atlantic-vm-100-s4-sm-cube-steatite',	5,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	239,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(87,	'vodonagrevatel-atlantic-vm-75-s4-sm-cube-steatite',	5,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	241,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(88,	'vodonagrevatel-atlantic-vm-30-s3s-cube-steatite',	5,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	243,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(89,	'vodonagrevatel-atlantic-vm-080-d400-2-b-opro-turbo',	5,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	245,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(90,	'vodonagrevatel-atlantic-vm-080-d400-1-m-opro-profi',	5,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	248,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(91,	'gazovaya-kolonka-beretta-aqua-idrabagno-14i',	6,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	249,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(92,	'gazovaya-kolonka-beretta-aqua-idrabagno-14',	6,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	250,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(93,	'gazovaya-kolonka-beretta-aqua-idrabagno-11i',	6,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	251,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(94,	'gazovaya-kolonka-beretta-aqua-idrabagno-11',	6,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	252,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(95,	'gazovaya-kolonka-bosch-therm-6000-o-wr-15-2-g',	7,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'2017-05-11 09:12:59',	1,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	253,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(96,	'gazovaya-kolonka-bosch-therm-4000-o-wr-15-2-b',	7,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	254,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(97,	'gazovaya-kolonka-bosch-therm-4000-o-wr-15-2-p',	7,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	255,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(98,	'gazovaya-kolonka-bosch-therm-6000-o-wr-13-2-g',	7,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	256,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(99,	'gazovaya-kolonka-bosch-therm-4000-o-wr-13-2-b',	7,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	257,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(100,	'gazovaya-kolonka-bosch-therm-4000-o-wr-13-2-p',	7,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	258,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(101,	'gazovaya-kolonka-bosch-therm-6000-o-wr-10-2-g',	7,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'2017-05-11 09:13:00',	1,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	259,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(102,	'gazovaya-kolonka-bosch-therm-4000-o-wr-10-2-b',	7,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	260,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(103,	'gazovaya-kolonka-bosch-therm-4000-o-wr-10-2-p',	7,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	261,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(104,	'gazovaya-kolonka-bosch-therm-4000-o-w-10-2-p',	7,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	262,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(105,	'gazovaya-kolonka-bosch-therm-2000-o-w-10-kb',	7,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	263,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(106,	'gazovaya-kolonka-vaillant-mag-oe-14-00-rxi-h-elektro-rozzhig',	8,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'2017-05-11 09:13:00',	1,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	265,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(107,	'gazovaya-kolonka-vaillant-mag-oe-14-00-rxz-h-pezorozzhig',	8,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	267,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(108,	'gazovaya-kolonka-vaillant-mag-mini-oe-11-00-rxi-h-elektro-rozzhig-',	8,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	269,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(109,	'gazovaya-kolonka-vaillant-mag-mini-oe-11-00-rxz-h-pezorozzhig',	8,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'2017-05-11 09:13:00',	NULL,	'',	0.0,	0,	'akciya.png',	'2019-06-14 13:43:31',	NULL,	271,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(110,	'gazovaya-kolonka-vaillant-mag-oe-11-00-xz-c-h-pezorozzhig',	8,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'2017-05-11 09:13:00',	1,	'',	0.0,	0,	'hit.png',	'2019-06-14 13:43:31',	NULL,	273,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(111,	'apelsinovyj-sok',	11,	'Апельсиновый сок',	'',	'',	1,	111,	'Апельсиновый сок',	'Апельсиновый сок, Nature product, Соки',	'',	'2019-05-28 08:02:45',	1,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	29,	274,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(112,	'savojskaya-kapusta',	10,	'Савойская капуста',	'',	'',	1,	112,	'Савойская капуста',	'Савойская капуста, Organik food, Напитки и продукты',	'',	'2019-05-28 08:40:10',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	23,	275,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(113,	'kitajskaya-petrushka-koriandr',	10,	'Китайская петрушка Кориандр',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'',	1,	113,	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	'2019-05-28 08:48:52',	NULL,	'',	0.0,	0,	'new.png',	'2019-06-14 13:43:31',	26,	279,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(114,	'zheltyj-struchkovyj-perets',	11,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	114,	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:07:42',	NULL,	'',	4.7,	56,	'',	'2019-06-14 13:43:31',	26,	288,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(115,	'vegetarianskij-raduzhnyj-shpinat',	11,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	115,	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:37:56',	NULL,	'',	0.0,	0,	'hit.png',	'2019-06-14 13:43:31',	26,	293,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(116,	'sladkaya-kukuruza',	10,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	116,	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:42:09',	1,	'',	0.0,	0,	'hit.png',	'2019-06-14 13:43:31',	26,	299,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(117,	'goroh',	10,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	117,	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:44:19',	NULL,	'',	3.5,	0,	'hit.png',	'2019-06-14 13:43:31',	26,	301,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(118,	'krasnaya-kapusta',	11,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	118,	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:46:16',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	26,	304,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(119,	'organicheskij-svezhij-avstralijskij-kabachok-tsukkini',	10,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	119,	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:51:00',	NULL,	'',	4.0,	1,	'',	'2019-06-14 13:43:31',	26,	309,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(120,	'svezhie-tselnye-kurinye-nozhki',	10,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	120,	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 11:46:35',	NULL,	'',	3.3,	0,	'',	'2019-06-14 13:43:31',	27,	315,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(121,	'kotlety-iz-baraniny-6-v-upakovke',	11,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	121,	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 11:52:05',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	27,	318,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(122,	'myaso-so-svinym-tortsom---avstraliya',	10,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	122,	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 11:54:52',	NULL,	'',	3.2,	2345,	'',	'2019-06-14 13:43:31',	27,	320,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(123,	'svezhie-kubiki-govyadiny',	10,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	123,	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 12:02:47',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	27,	322,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(124,	'heinz-tomatnyj-ketchup',	11,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	124,	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 12:05:55',	0,	'',	5.0,	1,	'',	'2019-06-14 13:43:31',	28,	324,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(125,	'san-remo-penne-rigate--18',	11,	'San Remo Пенне Ригате № 18',	'',	'',	1,	125,	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	'2019-05-28 12:09:01',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	28,	325,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(126,	'chobani-bananovyj-klenovyj-meshok-ovsa',	11,	'Chobani Банановый кленовый мешок овса',	'',	'',	1,	126,	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	'2019-05-28 12:11:29',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	28,	327,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(127,	'spelyj-sok-mango',	10,	'Спелый сок манго',	'',	'',	1,	127,	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	'2019-05-28 12:15:13',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	29,	329,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(128,	'pelyj-klyukvennyj-superfruktovyj-sok',	10,	'пелый клюквенный суперфруктовый сок',	'',	'',	1,	128,	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	'2019-05-28 12:18:49',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:12:09',	29,	331,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(129,	'bottega-mantsoni-pink-platt-moskato-rouz',	10,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	1,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	'2019-05-28 12:22:54',	NULL,	'',	3.0,	0,	'',	'2019-06-10 09:40:10',	30,	332,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(130,	'worlds-cellar-chateau-gillet-bordeaux-krasnoe-vino',	11,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	1,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	'2019-05-28 12:24:33',	0,	'',	0.0,	0,	'',	'2019-06-14 13:44:18',	30,	334,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(131,	'moet--chandon-ice-imperial',	11,	'Moet & Chandon Ice Imperial',	'',	'',	1,	131,	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	'2019-05-28 12:26:00',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:42:22',	30,	335,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(132,	'bottega-millesimato-brut-prosecco',	11,	'Bottega Millesimato Brut Prosecco',	'',	'',	1,	132,	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	'2019-05-28 12:28:07',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:44:56',	30,	336,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(133,	'heineken-svetloe-pivo',	10,	'Heineken Светлое пиво',	'',	'',	1,	133,	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	'2019-05-28 12:30:05',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:54:45',	30,	337,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(134,	'bitburger',	0,	'Bitburger',	'',	'',	1,	134,	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	'2019-05-28 12:31:58',	NULL,	'',	4.3,	0,	'',	'2019-06-10 09:57:34',	30,	339,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(135,	'jogurt-s-klubnikoj-i-chernikoj-v-grecheskom-stile',	11,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	1,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	'2019-05-28 12:35:49',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:58:37',	28,	341,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(136,	'molochnyj-chertopoloh',	13,	'Молочный чертополох',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	136,	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:00:22',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:02',	31,	342,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(137,	'country-life-ekstrakt-rastoropshi',	13,	'Country Life Экстракт расторопши',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	137,	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:00:50',	0,	'',	2.7,	0,	'garant.png',	'2019-06-14 13:43:01',	31,	347,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(138,	'klinicheskij-lobnyj-termometr-novyj-2017',	13,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	138,	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:03:00',	NULL,	'',	3.8,	0,	'akciya.png',	'2019-06-10 10:10:59',	31,	355,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(139,	'koromega-omega-3',	12,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	139,	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:08:47',	NULL,	'',	3.1,	0,	'akciya.png',	'2019-06-10 10:11:38',	31,	361,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(140,	'muscletech-platinum',	12,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	140,	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:11:52',	NULL,	'',	4.0,	1,	'new.png',	'2019-06-20 14:36:27',	31,	367,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(141,	'premium-collagen-peptides',	13,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	141,	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:16:22',	0,	'',	3.1,	0,	'new.png',	'2019-06-14 13:42:57',	31,	373,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(142,	'kurkuma-kurkumin-s-bioperinom-1500-mg',	13,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	142,	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:19:37',	1,	'',	4.6,	0,	'hit.png',	'2019-06-10 10:12:46',	31,	379,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(143,	'kurkuma-kurkumin-2250-mg',	13,	'Куркума Куркумин-2250 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	143,	'Куркума Куркумин-2250 мг',	'Куркума Куркумин-2250 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:21:43',	NULL,	'',	4.0,	1,	'hit.png',	'2019-06-10 10:36:08',	31,	385,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(144,	'lexmod-twirl-outdoor-wicker',	1,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	144,	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:46:33',	NULL,	'',	4.5,	55,	'',	'2019-06-10 10:36:28',	66,	388,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(145,	'lexmod-twirl-pro-outdoor-wicker',	1,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	146,	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:49:47',	NULL,	'',	4.1,	5,	'',	'2019-06-10 10:38:24',	66,	394,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(146,	'lexmod-twirl-lazy-outdoor-wicker',	1,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	148,	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:52:03',	NULL,	'',	4.1,	5,	'',	'2019-06-10 10:38:59',	66,	401,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(147,	'lexmod-twirl-medium-outdoor-wicker',	1,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	153,	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:54:01',	NULL,	'',	4.1,	5,	'',	'2019-06-10 10:48:52',	66,	407,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(148,	'lexmod-twirl-mono-outdoor-wicker',	1,	'LexMod Twirl Mono Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)218.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	151,	'LexMod Twirl Mono Outdoor Wicker',	'LexMod Twirl Mono Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:56:11',	NULL,	'',	4.1,	5,	'',	'2019-06-14 13:41:55',	66,	412,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(150,	'lexmod-taiji-outdoor-wicker-patio-daybed',	13,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:06:06',	NULL,	'',	4.3,	42,	'hit.png',	'2019-06-10 10:47:25',	66,	418,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(151,	'lexmod-taiji-out-wicker-patio-daybed',	13,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	145,	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:06:11',	NULL,	'',	4.3,	42,	'hit.png',	'2019-06-10 10:37:45',	66,	425,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(152,	'lexmod-taiji-wicker-patio-daybed',	13,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	147,	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:07:30',	NULL,	'',	5.0,	882,	'hit.png',	'2019-07-09 16:50:20',	66,	435,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(153,	'lexmod-pro-taiji-wicker-patio-daybed',	13,	'LexMod Pro Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">89L x 69.5W x 28.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>8</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong><br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>295кг.</strong></span></li>\r\n</ul>',	'',	1,	152,	'LexMod Pro Taiji Wicker Patio Daybed',	'LexMod Pro Taiji Wicker Patio Daybed, Britax romer, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 09:09:33',	1,	'',	5.0,	82,	'hit.png',	'2019-07-08 12:19:06',	66,	441,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(154,	'klassicheskij-taburet-trex34',	6,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	154,	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:39:36',	NULL,	'',	0.0,	0,	'',	'2019-06-10 10:48:52',	37,	442,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(155,	'klassicheskij-taburet-trex37',	6,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	155,	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:40:10',	NULL,	'',	5.0,	545,	'',	'2019-06-10 11:30:12',	37,	450,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(156,	'klassicheskij-taburet-trex30',	6,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	156,	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:41:03',	NULL,	'',	5.0,	45,	'',	'2019-06-10 11:32:57',	37,	455,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(157,	'klassicheskij-taburet-trex40',	6,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	157,	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:42:22',	0,	'',	5.0,	45,	'',	'2019-06-14 13:42:46',	37,	460,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(158,	'folding-chair-catalina',	6,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	158,	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:44:56',	0,	'',	5.0,	45,	'',	'2019-06-14 13:42:47',	40,	473,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(159,	'skladnoj-stul-shine-catalina',	12,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	159,	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:54:45',	1,	'',	5.0,	45,	'akciya.png',	'2019-06-14 13:44:36',	40,	482,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(160,	'skladnoj-stul-shine-catalina-34',	12,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	160,	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:57:34',	NULL,	'',	5.0,	45,	'garant.png',	'2019-06-10 11:56:38',	40,	487,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(161,	'skladnoj-stul-shine-catalina-37',	12,	'Складной стул Shine Catalina 37',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	161,	'Складной стул Shine Catalina 37',	'Складной стул Shine Catalina 37, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:58:37',	NULL,	'',	5.0,	45,	'garant.png',	'2019-06-10 11:59:44',	40,	494,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(162,	'krovat-chikasha-natural-quilt',	0,	'Кровать  Chikasha Natural Quilt',	'',	'',	1,	162,	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	'2019-06-10 10:06:13',	NULL,	'',	0.0,	0,	'',	'2019-06-10 11:59:44',	45,	497,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(163,	'krovat-shelly-beach-quilt-2',	0,	'Кровать  Shelly Beach Quilt 2',	'',	'',	1,	163,	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	'2019-06-10 10:07:29',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:35:43',	45,	499,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(164,	'krovat-shelly-cover-natural',	0,	'Кровать  Shelly Cover Natural',	'',	'',	1,	164,	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	'2019-06-10 10:10:59',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:38:25',	45,	501,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(165,	'krovat-shelly-cover-natural2',	0,	'Кровать  Shelly Cover Natural2',	'',	'',	1,	165,	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	'2019-06-10 10:11:38',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:41:17',	45,	503,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(166,	'krovat-kerela-quilt-cover',	0,	'Кровать  Kerela Quilt Cover',	'',	'',	1,	166,	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	'2019-06-10 10:12:11',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:43:58',	45,	512,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(167,	'krovat-kerela-quilt',	0,	'Кровать Kerela Quilt',	'',	'',	1,	167,	'Кровать Kerela Quilt',	'Кровать Kerela Quilt, Кровати',	'',	'2019-06-10 10:12:46',	NULL,	'',	5.0,	1,	'',	'2019-07-01 07:27:53',	45,	507,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(168,	'penal-dlya-vannoj-bookends1',	0,	'Пенал для ванной Bookends1',	'',	'',	1,	168,	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	'2019-06-10 10:36:03',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:49:43',	51,	523,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(169,	'penal-dlya-vannoj-bookends2',	0,	'Пенал для ванной Bookends2',	'',	'',	1,	169,	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	'2019-06-10 10:36:08',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:52:26',	51,	527,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(170,	'penal-dlya-vannoj-bookends3',	0,	'Пенал для ванной Bookends3',	'',	'',	1,	170,	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	'2019-06-10 10:36:28',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:52:26',	51,	531,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(171,	'penal-dlya-vannoj-grinder',	0,	'Пенал для ванной Grinder',	'',	'',	1,	171,	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	'2019-06-10 10:37:45',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:15:34',	51,	535,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(172,	'penal-dlya-vannoj-grinder2',	0,	'Пенал для ванной Grinder2',	'',	'',	1,	172,	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	'2019-06-10 10:38:24',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:18:20',	51,	539,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(173,	'penal-dlya-vannoj-grinder-bronze',	0,	'Пенал для ванной Grinder Bronze',	'',	'',	1,	173,	'Пенал для ванной Grinder Bronze',	'Пенал для ванной Grinder Bronze, Пеналы',	'',	'2019-06-10 10:38:59',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:21:54',	51,	543,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(174,	'tumba-pod-rakovinu-aquwastyle1',	6,	'Тумба под раковину Aquwastyle1',	'',	'',	1,	174,	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:47:20',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:24:31',	52,	544,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(175,	'tumba-pod-rakovinu-aquwastyle2',	6,	'Тумба под раковину Aquwastyle2',	'',	'',	1,	175,	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:47:25',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:24:31',	52,	550,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(176,	'tumba-pod-rakovinu-aquwastyle3',	6,	'Тумба под раковину Aquwastyle3',	'<ul>\r\n<li>Вес: <strong>120кг</strong></li>\r\n<li>Гарантия: <strong>8лет</strong></li>\r\n<li>Класс: <strong>Премиум</strong></li>\r\n</ul>',	'',	1,	176,	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:47:56',	NULL,	'',	0.0,	0,	'',	'2019-07-05 12:48:10',	52,	790,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(177,	'tumba-pod-rakovinu-aquwastyle4',	6,	'Тумба под раковину Aquwastyle4',	'<ul>\r\n<li>Вес: <strong>45кг</strong></li>\r\n<li>Гарантия: <strong>5лет</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	1,	177,	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:48:18',	NULL,	'',	0.0,	0,	'',	'2019-07-05 12:42:01',	52,	789,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(178,	'tumba-pod-rakovinu-aquwastyle5',	6,	'Тумба под раковину Aquwastyle5',	'<ul>\r\n<li>Цвет:&nbsp;<strong>Белый</strong></li>\r\n<li>Гарантия:&nbsp;<strong>3 года</strong></li>\r\n<li>Ширина:&nbsp;<strong>45-60см</strong></li>\r\n</ul>',	'',	1,	178,	'Тумба под раковину Aquwastyle5',	'Тумба под раковину Aquwastyle5, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:48:52',	NULL,	'',	0.0,	0,	'',	'2019-07-05 12:39:27',	52,	788,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(179,	'shurupovert-akkumulyatornyj-dewalt-speed',	7,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	1,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	'2019-06-10 11:30:02',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:42:34',	20,	569,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(180,	'korpus-diskovoj-pily-bosch',	7,	'Корпус дисковой пилы Bosch',	'',	'',	1,	180,	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:30:12',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:42:34',	20,	575,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(181,	'besprovodnoj-perforator-bosch-plus',	7,	'Беспроводной перфоратор Bosch Plus',	'',	'',	1,	181,	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	'2019-06-10 11:32:57',	1,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	581,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(182,	'otbojnyj-molotok-bosch-gsh-6784',	7,	'Отбойный молоток Bosch GSH 6784',	'',	'',	1,	182,	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	'2019-06-10 11:35:06',	0,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	587,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(183,	'pylezaschitnyj-pribor-bosch',	7,	'Пылезащитный прибор Bosch',	'',	'',	1,	183,	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:46:19',	0,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	596,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(185,	'professionalnyj-mini-pylesos-bosch',	7,	'Профессиональный мини-пылесос Bosch',	'',	'',	1,	184,	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:53:35',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	602,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(186,	'otbojnyj-molotok-bosch-gsh-7-vc',	7,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	1,	185,	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	'2019-06-10 11:56:38',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	608,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(187,	'shurupovert-akkumulyatornyj-bosch',	7,	'Шуруповерт аккумуляторный Bosch',	'',	'',	1,	186,	'Шуруповерт аккумуляторный Bosch',	'Шуруповерт аккумуляторный Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:59:44',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	614,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(188,	'autsajder-stiven-king',	0,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	188,	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:34:35',	NULL,	'',	5.0,	59,	'new.png',	'2019-07-07 21:23:45',	19,	617,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(189,	'kladbische-domashnih-zhivotnyh-stiven-king',	0,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	189,	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:35:43',	NULL,	'',	4.6,	78,	'akciya.png',	'2019-07-07 21:23:45',	19,	619,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(190,	'kerri-zhivotnyh-stiven-king',	0,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	190,	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:38:25',	NULL,	'',	4.9,	179,	'hit.png',	'2019-07-07 21:23:45',	19,	621,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(191,	'zelenaya-milya-stiven-king',	0,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	191,	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:41:17',	NULL,	'',	4.9,	179,	'akciya.png',	'2019-07-07 21:23:45',	19,	623,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(192,	'strelets-temnaya-bashnya-stiven-king',	0,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	192,	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:43:58',	1,	'',	4.9,	679,	'',	'2019-07-08 12:19:06',	19,	625,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(193,	'spyaschie-krasavitsy-stiven-king',	0,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	193,	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:46:58',	NULL,	'',	4.4,	1278,	'',	'2019-07-07 21:23:45',	19,	627,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(194,	'lovets-snov-stiven-king',	0,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	194,	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:49:43',	NULL,	'',	4.4,	1278,	'',	'2019-07-07 21:23:45',	19,	629,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(195,	'protivostoyanie-tom-1-stiven-king',	0,	'Противостояние, том 1 Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>576</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	204,	'Противостояние, том 1 Стивен Кинг',	'Противостояние, том 1 Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:52:26',	NULL,	'',	4.4,	1278,	'',	'2019-07-07 21:23:45',	19,	631,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(196,	'naraschivanie-resnits',	14,	'Наращивание ресниц',	'',	'',	1,	195,	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	'2019-06-10 14:15:28',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	657,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(197,	'duhi-s-aromatom-storodiny',	14,	'Духи с ароматом стородины',	'',	'',	1,	196,	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	'2019-06-10 14:15:34',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	663,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(198,	'universalnaya-maska-dlya-litsa',	14,	'Универсальная маска для лица',	'',	'',	1,	197,	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	'2019-06-10 14:18:20',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	669,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(199,	'duhi-versace-bright-crystal-absolu',	14,	'Духи Versace Bright crystal ABSOLU',	'',	'',	1,	198,	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	'2019-06-10 14:21:54',	0,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	675,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(200,	'krem-dlya-litsa-estee-lauder',	14,	'Крем для лица ESTEE LAUDER',	'',	'',	1,	199,	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	'2019-06-10 14:24:31',	1,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	681,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(201,	'nabor-meosmeticheskih-kistej-bellapierre',	14,	'Набор меосметических кистей Bellapierre',	'',	'',	1,	203,	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	'2019-06-10 14:28:06',	NULL,	'',	4.4,	74,	'',	'2019-07-07 21:23:45',	69,	683,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(202,	'myagkij-matovyj-krem-dlya-gub',	14,	'Мягкий матовый крем для губ',	'',	'',	1,	200,	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	'2019-06-10 14:28:11',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	688,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(203,	'myagkie-matovye-teni',	14,	'Мягкие матовые тени',	'',	'',	1,	201,	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	'2019-06-10 14:30:41',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	693,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(204,	'komplekt-iz-matovoj-aomady-i-teni-dlya-glah',	14,	'Комплект из матовой аомады и тени для глах',	'',	'',	1,	202,	'Комплект из матовой аомады и тени для глах',	'Комплект из матовой аомады и тени для глах, GARNIER, Косметика',	'',	'2019-06-10 14:31:28',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	696,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(205,	'elektrovelosiped-haibike-sduro-fullseven-90-i500wh-12-g-nx-2019',	15,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	1,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'2019-07-04 08:32:34',	1,	'',	3.2,	63,	'',	'2019-10-23 14:57:08',	21,	697,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(206,	'skladnoj-velosiped-forward-tracer-10-2018',	15,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	1,	219,	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	'2019-07-04 08:39:33',	NULL,	'',	0.0,	0,	'akciya.png',	'2019-07-18 09:10:39',	21,	702,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(207,	'veloshlem-scott-arx',	15,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	1,	207,	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'2019-07-04 08:44:50',	NULL,	'',	2.7,	2362,	'new.png',	'2019-07-18 09:10:39',	21,	708,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(208,	'veloperchatka-bbb-bbw-54-litezone',	15,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	1,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'2019-07-04 08:47:44',	NULL,	'',	4.0,	1,	'garant.png',	'2019-07-18 09:10:39',	21,	712,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(209,	'veloobuv-shimano-sh-rp501-men',	15,	'Велообувь Shimano SH-RP501 Men',	'',	'',	1,	209,	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'2019-07-04 08:53:51',	NULL,	'',	4.8,	24,	'hit.png',	'2019-07-18 09:10:39',	21,	716,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(210,	'girya-hop-sport-6-kg',	15,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	1,	210,	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'2019-07-04 09:03:06',	NULL,	'',	5.0,	23,	'new.png',	'2019-07-18 09:10:39',	21,	720,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(211,	'ganteli-lifemaxx-8-kg',	15,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	1,	211,	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'2019-07-04 09:05:59',	NULL,	'',	0.0,	0,	'garant.png',	'2019-07-18 09:10:39',	21,	726,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(212,	'velotrenazher-housefit',	15,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: <strong>США</strong></li>\r\n<li>Питание:<strong> батарея</strong></li>\r\n<li>Тип: <strong>классика</strong></li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	1,	212,	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'2019-07-04 09:09:53',	NULL,	'',	5.0,	732,	'hit.png',	'2019-07-18 09:10:39',	21,	729,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(213,	'trenazher-dlya-myshts-plecha-marbo-sport-348',	15,	'Тренажер для мышц плеча MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	1,	213,	'Тренажер для мышц плеча MARBO-SPORT 348',	'Тренажер для мышц плеча MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	'2019-07-04 09:24:36',	1,	'',	5.0,	5473,	'',	'2019-10-23 14:56:53',	21,	732,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(214,	'giroskuter-ninedrop-by-segway-34-belyj',	15,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: <strong>белый</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: <strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	1,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'2019-07-04 09:40:19',	NULL,	'',	0.0,	0,	'garant.png',	'2019-07-18 09:10:39',	21,	735,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(215,	'girobord-56gta-102-10-power',	15,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	1,	215,	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'2019-07-04 09:48:29',	NULL,	'',	0.0,	0,	'new.png',	'2019-07-18 09:10:39',	21,	737,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(216,	'fitness-treker-soushtrack-ifat-active-3-v-1',	15,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Тип: <strong>smart часы</strong></li>\r\n<li>Разъём: <strong>microUSB</strong></li>\r\n<li>Гарантия: <strong>12 мес</strong></li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	1,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	'2019-07-04 09:56:20',	1,	'',	0.0,	0,	'',	'2019-07-18 09:10:39',	21,	739,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(217,	'ekshn-kamera-thieye-t5-edge',	15,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	1,	217,	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'2019-07-04 10:09:51',	0,	'',	5.0,	3427,	'akciya.png',	'2019-07-18 09:10:39',	21,	741,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(218,	'ekshn-kamera-thieye-t34-edge',	15,	'Экшн-камера ThiEYE T34 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	1,	218,	'Экшн-камера ThiEYE T34 Edge',	'Экшн-камера ThiEYE T34 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'2019-07-04 10:10:36',	0,	'',	5.0,	3427,	'akciya.png',	'2019-07-18 09:10:39',	21,	745,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(219,	'elektrovelosiped-haibike-sduro-fullseven-90-i500wh-12-g-nx-2018',	15,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'<ul>\r\n<li>Тип: <strong>горный</strong></li>\r\n<li>Диаметр: <strong>25.5 дюйма</strong></li>\r\n<li>Вес: <strong>25.8 кг</strong></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	1,	206,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'2019-07-04 10:11:36',	0,	'',	5.0,	63,	'garant.png',	'2019-07-07 21:23:45',	21,	749,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(220,	'tsd-motorola-zebrasymbol-mc9200',	0,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	1,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'2019-07-04 13:33:51',	NULL,	'',	4.9,	573,	'hit.png',	'2019-07-18 09:10:39',	17,	753,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(221,	'skaner-jepod-jp-m234',	0,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	1,	221,	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	'2019-07-04 13:35:57',	0,	'',	4.6,	573,	'',	'2019-10-23 14:56:32',	17,	759,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(222,	'printer-chekov-etiketok-jprt-lq258',	0,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	1,	222,	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	'2019-07-04 13:41:19',	0,	'',	4.6,	573,	'',	'2019-10-23 14:56:23',	17,	763,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(223,	'pos-terminal-sam4s-titan-s-260',	0,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	1,	223,	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	'2019-07-04 13:48:46',	0,	'',	4.9,	42,	'',	'2019-10-23 14:56:15',	17,	767,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(224,	'schetchik-banknot-dors-800',	0,	'Счетчик банкнот DORS 800',	'<ul>\r\n<li>Скорость: <strong>600/900</strong></li>\r\n<li>Дисплей:&nbsp;<strong>цветной</strong></li>\r\n<li>Вместимость:&nbsp;<strong>800</strong></li>\r\n</ul>',	'<div class=\"voxes\">\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\"><strong>Dors 800</strong> &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта </span></span></span><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">- 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.</span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сортировка валют</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Определение валюты происходит по первой посчитанной купюре. Благодаря наличию отбраковочного кармана пересчёт и сортировка осуществляется безостановочно. Запуск отсчёта может проводиться в ручном или автоматическом режиме. Данный параметр задаётся в настройках счётчика.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Три режима пересчёта</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Режим &laquo;СЧЁТ&raquo; &ndash; самый простой, он позволяет выполнять отсчёт количества банкнот. В режиме &laquo;МИКС&raquo; можно работать со смешанными пачками одной валюты. Счётчик Dors 800 автоматически определяет номинал и просчитывает купюры любой ориентации. По завершению пересчёта на дисплее отображается детализированный отчёт по каждому паритету. Режим &laquo;НОМИНАЛ&raquo; используется для пересчёта банкнот одной номинальной стоимости независимо от ориентации. Данный режим позволяет отсортировывать купюры одного номинала, в то время как другие номиналы накапливаются в реджект кармане. При необходимости, можно задавать количество отсчитываемых купюр, что особенно удобно при формировании пачек.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Экспертный уровень проверки</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик банкнот Dors 800 обеспечивает девять видов проверки подлинности. Распознаёт 4 машиночитаемых признака подлинности &ndash; по образу банкноты в видимом диапазоне, ИК-диапазоне, магнитным меткам, отсутствию фонового свечения банкнотной бумаги в УФ-диапазоне. Также проверка осуществляется по оптической плотности, геометрическим размерам банкнот, сдвоенности и целостности.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Возможность обновления системы</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик валют Dors 800 может обновляться путём подключения к ПК (через <strong>USB</strong>), имеющего доступ к интернету. Специальное приложение обращается к серверу, находит обновление и устанавливает его. По завершению обновления устройство готово к работе. Периодическое обновление ПО для любого счётчика очень важно, так как технологии подделки денежных знаков постоянно усовершенствуются.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Подключение дополнительного оборудования</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">К счётчику-сортировщику Dors 800 могут подключаться устройства различного типа &ndash; выносные дисплеи (Dors 85 и Dors 90), чековые принтеры, системы видеонаблюдений. Выносной дисплей может быть востребован на операционной кассе. Его разворачивают в сторону клиента, чтобы он мог убедиться в правильности пересчитываемой суммы. После пересчёта Dors 800 может передавать данные о просчитанных банкнотах на чековый принтер. Совместимость с ЧЕКТВ БАНК позволяет контролировать все операции, выполняемые кассиром.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сенсорный дисплей</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Интерфейс Dors 800 позволяет кассиру быстро решать любые задачи по обработке наличности. Устройство оборудовано цветным сенсорным дисплеем диагональю 4,3 дюйма. Настройка нужных параметров осуществляется легко. Технология &laquo;Touchscreen&raquo; обеспечивает возможность переключения режимов работы в одно касание.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Надёжная конструкция</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Части корпуса, подверженные наибольшим нагрузкам, изготовлены из ударопрочного пластика с добавлением карбонового волокна. Механизм пересчёта хорошо отлажен, захват банкнот осуществляется чётко и бережно. В случае проникновения в механизм инородного предмета, например скрепки, процесс пересчёта приостанавливается во избежание повреждения банкнот.<span id=\"ctrlcopy\"></span></span></span></span></div>\r\n</div>',	1,	224,	'Счетчик банкнот DORS 800',	'Счетчик банкнот DORS 800, Товары для бизнеса',	'Dors 800  &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта      - 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.   \r\n   \r\n     Сортировка валют     \r\n ',	'2019-07-04 13:58:28',	0,	'',	4.6,	73,	'',	'2019-10-23 14:56:07',	17,	771,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(225,	'royal-canin-maine-coon-adult-suhoj-korm-dlya-kotov-porody-mejn-kun',	16,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	1,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'2019-07-05 09:56:07',	NULL,	'',	5.0,	462,	'hit.png',	'2019-07-18 09:10:39',	24,	774,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(226,	'royal-canin-persian-adult-suhoj-korm-dlya-kotov-persidskoj-porody',	16,	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'<ul>\r\n<li>Вес: <strong>11г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	1,	226,	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'Royal Canin Persian Adult сухой корм для котов персидской породы, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'2019-07-05 09:59:48',	NULL,	'',	5.0,	462,	'new.png',	'2019-07-18 09:10:39',	24,	776,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(227,	'royal-canin-british-shorthair-kitten-suhoj-korm-dlya-kotyat-porody-britanskaya-korotkosherstnaya',	16,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	1,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'2019-07-05 11:41:24',	0,	'',	4.9,	4563,	'',	'2019-10-23 14:55:59',	24,	777,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(228,	'suhoj-korm-dlya-vzroslyh-sobak-club-4-paws-dlya-krupnyh-porod',	16,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>13г.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	1,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	'2019-07-05 11:54:01',	0,	'',	4.5,	461,	'',	'2019-10-23 14:55:51',	24,	778,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(229,	'suhoj-bezzernovoj-polnoratsionnyj-korm-optimeal-dlya-vzroslyh-sobak-vseh-porod',	16,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	1,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	'2019-07-05 11:58:54',	NULL,	'',	4.7,	76251,	'',	'2019-07-18 09:10:39',	24,	779,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(230,	'divan-redking',	13,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	1,	230,	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	'2019-07-05 12:24:45',	0,	'',	4.8,	7212,	'',	'2019-10-23 14:55:43',	66,	780,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL),
(231,	'divan-krovat-max-12-v-tkani-kordroj',	12,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	1,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	'2019-07-05 12:31:30',	0,	'',	4.8,	567,	'',	'2019-10-23 14:55:22',	66,	784,	0,	0,	0,	0,	0,	0,	0,	0,	NULL,	NULL);

DROP TABLE IF EXISTS `ok_products_categories`;
CREATE TABLE `ok_products_categories` (
  `product_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`category_id`),
  KEY `position` (`position`),
  KEY `product_id` (`product_id`),
  KEY `category_id` (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_products_categories` (`product_id`, `category_id`, `position`) VALUES
(1,	2,	0),
(2,	2,	0),
(3,	2,	0),
(4,	2,	0),
(5,	2,	0),
(6,	2,	0),
(7,	2,	0),
(8,	2,	0),
(9,	2,	0),
(10,	2,	0),
(11,	2,	0),
(12,	2,	0),
(13,	2,	0),
(14,	2,	0),
(15,	2,	0),
(16,	2,	0),
(17,	2,	0),
(18,	2,	0),
(19,	2,	0),
(20,	2,	0),
(21,	2,	0),
(22,	2,	0),
(23,	5,	0),
(24,	5,	0),
(25,	5,	0),
(26,	5,	0),
(27,	5,	0),
(28,	5,	0),
(29,	5,	0),
(30,	5,	0),
(31,	5,	0),
(32,	5,	0),
(33,	5,	0),
(34,	5,	0),
(37,	8,	0),
(38,	8,	0),
(39,	8,	0),
(40,	8,	0),
(41,	8,	0),
(42,	8,	0),
(43,	8,	0),
(44,	8,	0),
(45,	8,	0),
(46,	8,	0),
(47,	8,	0),
(48,	8,	0),
(49,	10,	0),
(50,	10,	0),
(51,	10,	0),
(52,	10,	0),
(53,	11,	0),
(54,	11,	0),
(55,	11,	0),
(56,	11,	0),
(57,	11,	0),
(58,	11,	0),
(59,	11,	0),
(60,	11,	0),
(61,	11,	0),
(62,	11,	0),
(63,	11,	0),
(64,	11,	0),
(65,	11,	0),
(66,	11,	0),
(67,	11,	0),
(68,	11,	0),
(69,	11,	0),
(70,	11,	0),
(71,	11,	0),
(72,	11,	0),
(73,	54,	0),
(74,	54,	0),
(75,	54,	0),
(76,	54,	0),
(77,	54,	0),
(78,	54,	0),
(79,	55,	0),
(80,	55,	0),
(81,	55,	0),
(82,	55,	0),
(83,	55,	0),
(84,	55,	0),
(85,	55,	0),
(86,	55,	0),
(87,	55,	0),
(88,	55,	0),
(89,	55,	0),
(90,	55,	0),
(91,	55,	0),
(92,	55,	0),
(93,	55,	0),
(94,	55,	0),
(95,	55,	0),
(96,	55,	0),
(97,	55,	0),
(98,	55,	0),
(99,	55,	0),
(100,	55,	0),
(101,	55,	0),
(102,	55,	0),
(103,	55,	0),
(104,	55,	0),
(105,	55,	0),
(106,	55,	0),
(107,	55,	0),
(108,	55,	0),
(109,	55,	0),
(110,	55,	0),
(111,	29,	0),
(112,	23,	0),
(113,	26,	0),
(114,	26,	0),
(115,	26,	0),
(116,	26,	0),
(117,	26,	0),
(118,	26,	0),
(119,	26,	0),
(120,	27,	0),
(121,	27,	0),
(122,	27,	0),
(123,	27,	0),
(124,	28,	0),
(125,	28,	0),
(126,	28,	0),
(127,	29,	0),
(128,	29,	0),
(129,	30,	0),
(130,	30,	0),
(131,	30,	0),
(132,	30,	0),
(133,	30,	0),
(134,	30,	0),
(135,	28,	0),
(136,	31,	0),
(137,	31,	0),
(138,	31,	0),
(139,	31,	0),
(140,	31,	0),
(141,	31,	0),
(142,	31,	0),
(143,	31,	0),
(144,	66,	0),
(145,	66,	0),
(146,	66,	0),
(147,	66,	0),
(148,	66,	0),
(150,	66,	0),
(151,	66,	0),
(152,	66,	0),
(153,	66,	0),
(154,	37,	0),
(155,	37,	0),
(156,	37,	0),
(157,	37,	0),
(158,	40,	0),
(159,	40,	0),
(160,	40,	0),
(161,	40,	0),
(162,	45,	0),
(163,	45,	0),
(164,	45,	0),
(165,	45,	0),
(166,	45,	0),
(167,	45,	0),
(168,	51,	0),
(169,	51,	0),
(170,	51,	0),
(171,	51,	0),
(172,	51,	0),
(173,	51,	0),
(174,	52,	0),
(175,	52,	0),
(176,	52,	0),
(177,	52,	0),
(178,	52,	0),
(179,	20,	0),
(180,	20,	0),
(181,	20,	0),
(182,	20,	0),
(183,	20,	0),
(185,	20,	0),
(186,	20,	0),
(187,	20,	0),
(188,	19,	0),
(189,	19,	0),
(190,	19,	0),
(191,	19,	0),
(192,	19,	0),
(193,	19,	0),
(194,	19,	0),
(195,	19,	0),
(196,	69,	0),
(197,	69,	0),
(198,	69,	0),
(199,	69,	0),
(200,	69,	0),
(201,	69,	0),
(202,	69,	0),
(203,	69,	0),
(204,	69,	0),
(205,	21,	0),
(206,	21,	0),
(207,	21,	0),
(208,	21,	0),
(209,	21,	0),
(210,	21,	0),
(211,	21,	0),
(212,	21,	0),
(213,	21,	0),
(214,	21,	0),
(215,	21,	0),
(216,	21,	0),
(217,	21,	0),
(218,	21,	0),
(219,	21,	0),
(220,	17,	0),
(221,	17,	0),
(222,	17,	0),
(223,	17,	0),
(224,	17,	0),
(225,	24,	0),
(226,	24,	0),
(227,	24,	0),
(228,	24,	0),
(229,	24,	0),
(230,	66,	0),
(231,	66,	0),
(112,	26,	1),
(126,	29,	1),
(174,	53,	1),
(175,	53,	1),
(176,	53,	1),
(177,	53,	1),
(178,	53,	1);

DROP TABLE IF EXISTS `ok_products_features_values`;
CREATE TABLE `ok_products_features_values` (
  `product_id` int(11) NOT NULL,
  `value_id` int(11) NOT NULL,
  UNIQUE KEY `product_id_value_id` (`product_id`,`value_id`),
  KEY `product_id` (`product_id`),
  KEY `value_id` (`value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_products_features_values` (`product_id`, `value_id`) VALUES
(1,	6),
(1,	38),
(1,	115),
(1,	193),
(1,	276),
(1,	279),
(1,	299),
(1,	303),
(1,	309),
(2,	6),
(2,	38),
(2,	115),
(2,	193),
(2,	276),
(2,	279),
(2,	299),
(2,	303),
(2,	309),
(3,	6),
(3,	38),
(3,	115),
(3,	193),
(3,	276),
(3,	279),
(3,	299),
(3,	303),
(3,	309),
(4,	6),
(4,	38),
(4,	115),
(4,	193),
(4,	276),
(4,	279),
(4,	299),
(4,	303),
(4,	309),
(5,	6),
(5,	38),
(5,	115),
(5,	193),
(5,	276),
(5,	279),
(5,	299),
(5,	303),
(5,	309),
(6,	6),
(6,	38),
(6,	115),
(6,	193),
(6,	276),
(6,	279),
(6,	299),
(6,	303),
(6,	309),
(7,	6),
(7,	38),
(7,	115),
(7,	193),
(7,	276),
(7,	279),
(7,	299),
(7,	303),
(7,	309),
(8,	6),
(8,	38),
(8,	115),
(8,	193),
(8,	276),
(8,	279),
(8,	299),
(8,	303),
(8,	309),
(9,	6),
(9,	38),
(9,	115),
(9,	193),
(9,	276),
(9,	279),
(9,	299),
(9,	303),
(9,	309),
(10,	6),
(10,	38),
(10,	115),
(10,	193),
(10,	276),
(10,	279),
(10,	296),
(10,	303),
(10,	309),
(11,	6),
(11,	38),
(11,	115),
(11,	193),
(11,	276),
(11,	279),
(11,	296),
(11,	303),
(11,	309),
(12,	6),
(12,	38),
(12,	115),
(12,	193),
(12,	276),
(12,	279),
(12,	296),
(12,	303),
(12,	309),
(13,	6),
(13,	38),
(13,	115),
(13,	193),
(13,	276),
(13,	279),
(13,	296),
(13,	303),
(13,	309),
(14,	6),
(14,	38),
(14,	115),
(14,	193),
(14,	276),
(14,	279),
(14,	296),
(14,	303),
(14,	309),
(15,	6),
(15,	38),
(15,	115),
(15,	193),
(15,	276),
(15,	279),
(15,	296),
(15,	303),
(15,	309),
(16,	6),
(16,	38),
(16,	115),
(16,	193),
(16,	276),
(16,	279),
(16,	296),
(16,	303),
(16,	309),
(17,	6),
(17,	38),
(17,	115),
(17,	193),
(17,	276),
(17,	279),
(17,	292),
(17,	303),
(17,	309),
(18,	6),
(18,	38),
(18,	115),
(18,	193),
(18,	276),
(18,	279),
(18,	292),
(18,	303),
(18,	309),
(19,	6),
(19,	38),
(19,	115),
(19,	193),
(19,	276),
(19,	279),
(19,	292),
(19,	303),
(19,	309),
(20,	6),
(20,	38),
(20,	115),
(20,	193),
(20,	276),
(20,	279),
(20,	292),
(20,	303),
(20,	309),
(21,	6),
(21,	38),
(21,	115),
(21,	193),
(21,	276),
(21,	279),
(21,	292),
(21,	303),
(21,	309),
(22,	6),
(22,	38),
(22,	115),
(22,	193),
(22,	269),
(22,	276),
(22,	279),
(22,	303),
(22,	309),
(23,	44),
(23,	48),
(23,	51),
(23,	62),
(23,	83),
(23,	102),
(23,	105),
(23,	134),
(23,	158),
(23,	161),
(23,	168),
(23,	170),
(23,	189),
(23,	194),
(23,	199),
(23,	200),
(23,	201),
(23,	210),
(23,	222),
(23,	224),
(23,	225),
(23,	237),
(23,	243),
(23,	260),
(23,	265),
(23,	277),
(23,	283),
(23,	284),
(23,	285),
(23,	286),
(24,	11),
(24,	24),
(24,	31),
(24,	42),
(24,	75),
(24,	78),
(24,	94),
(24,	102),
(24,	103),
(24,	136),
(24,	143),
(24,	150),
(24,	168),
(24,	172),
(24,	195),
(24,	199),
(24,	206),
(24,	207),
(24,	212),
(24,	220),
(24,	228),
(24,	239),
(24,	242),
(24,	252),
(24,	262),
(24,	283),
(24,	284),
(24,	285),
(24,	286),
(24,	287),
(24,	291),
(25,	44),
(25,	48),
(25,	51),
(25,	62),
(25,	102),
(25,	134),
(25,	136),
(25,	150),
(25,	158),
(25,	161),
(25,	168),
(25,	170),
(25,	189),
(25,	194),
(25,	199),
(25,	200),
(25,	201),
(25,	210),
(25,	222),
(25,	224),
(25,	225),
(25,	237),
(25,	243),
(25,	260),
(25,	265),
(25,	277),
(25,	283),
(25,	284),
(25,	285),
(25,	286),
(26,	18),
(26,	44),
(26,	48),
(26,	54),
(26,	63),
(26,	102),
(26,	136),
(26,	141),
(26,	150),
(26,	161),
(26,	168),
(26,	170),
(26,	189),
(26,	195),
(26,	199),
(26,	200),
(26,	201),
(26,	211),
(26,	222),
(26,	224),
(26,	225),
(26,	237),
(26,	240),
(26,	260),
(26,	283),
(26,	284),
(26,	285),
(26,	288),
(26,	316),
(27,	20),
(27,	31),
(27,	48),
(27,	67),
(27,	72),
(27,	83),
(27,	102),
(27,	105),
(27,	149),
(27,	161),
(27,	168),
(27,	172),
(27,	189),
(27,	194),
(27,	199),
(27,	200),
(27,	201),
(27,	210),
(27,	218),
(27,	223),
(27,	226),
(27,	237),
(27,	243),
(27,	260),
(27,	267),
(27,	277),
(27,	283),
(27,	284),
(27,	285),
(27,	287),
(28,	31),
(28,	48),
(28,	76),
(28,	86),
(28,	102),
(28,	136),
(28,	150),
(28,	155),
(28,	161),
(28,	165),
(28,	168),
(28,	172),
(28,	189),
(28,	194),
(28,	199),
(28,	200),
(28,	201),
(28,	210),
(28,	221),
(28,	224),
(28,	227),
(28,	237),
(28,	240),
(28,	260),
(28,	266),
(28,	277),
(28,	283),
(28,	284),
(28,	285),
(29,	22),
(29,	31),
(29,	66),
(29,	85),
(29,	102),
(29,	104),
(29,	117),
(29,	126),
(29,	156),
(29,	161),
(29,	168),
(29,	171),
(29,	180),
(29,	195),
(29,	199),
(29,	200),
(29,	201),
(29,	211),
(29,	229),
(29,	237),
(29,	240),
(29,	244),
(29,	259),
(29,	260),
(29,	283),
(29,	284),
(29,	285),
(29,	288),
(29,	315),
(30,	22),
(30,	31),
(30,	66),
(30,	85),
(30,	102),
(30,	104),
(30,	117),
(30,	126),
(30,	150),
(30,	156),
(30,	161),
(30,	168),
(30,	171),
(30,	195),
(30,	199),
(30,	200),
(30,	201),
(30,	211),
(30,	229),
(30,	237),
(30,	240),
(30,	244),
(30,	259),
(30,	260),
(30,	283),
(30,	284),
(30,	285),
(30,	288),
(30,	315),
(31,	18),
(31,	44),
(31,	48),
(31,	54),
(31,	63),
(31,	83),
(31,	102),
(31,	105),
(31,	140),
(31,	161),
(31,	168),
(31,	170),
(31,	189),
(31,	195),
(31,	199),
(31,	200),
(31,	201),
(31,	211),
(31,	222),
(31,	224),
(31,	225),
(31,	237),
(31,	240),
(31,	260),
(31,	283),
(31,	284),
(31,	285),
(31,	288),
(31,	316),
(32,	11),
(32,	31),
(32,	80),
(32,	88),
(32,	102),
(32,	118),
(32,	136),
(32,	142),
(32,	150),
(32,	159),
(32,	168),
(32,	173),
(32,	190),
(32,	194),
(32,	203),
(32,	206),
(32,	207),
(32,	210),
(32,	237),
(32,	243),
(32,	244),
(32,	251),
(32,	259),
(32,	260),
(32,	277),
(32,	283),
(32,	284),
(32,	285),
(32,	286),
(32,	287),
(32,	288),
(32,	311),
(33,	11),
(33,	31),
(33,	80),
(33,	88),
(33,	102),
(33,	118),
(33,	142),
(33,	156),
(33,	159),
(33,	168),
(33,	173),
(33,	180),
(33,	190),
(33,	194),
(33,	199),
(33,	200),
(33,	201),
(33,	210),
(33,	237),
(33,	243),
(33,	244),
(33,	251),
(33,	259),
(33,	260),
(33,	277),
(33,	283),
(33,	284),
(33,	285),
(33,	286),
(33,	287),
(33,	288),
(33,	311),
(34,	31),
(34,	48),
(34,	76),
(34,	83),
(34,	86),
(34,	102),
(34,	105),
(34,	155),
(34,	161),
(34,	165),
(34,	168),
(34,	172),
(34,	189),
(34,	194),
(34,	199),
(34,	200),
(34,	201),
(34,	210),
(34,	221),
(34,	224),
(34,	227),
(34,	237),
(34,	240),
(34,	260),
(34,	266),
(34,	277),
(34,	283),
(34,	284),
(34,	285),
(37,	16),
(37,	44),
(37,	52),
(37,	53),
(37,	83),
(37,	102),
(37,	105),
(37,	107),
(37,	122),
(37,	154),
(37,	161),
(37,	163),
(37,	192),
(37,	196),
(37,	198),
(37,	204),
(37,	205),
(37,	208),
(37,	222),
(37,	233),
(37,	237),
(37,	246),
(37,	260),
(37,	278),
(37,	283),
(37,	284),
(37,	285),
(37,	287),
(37,	322),
(38,	11),
(38,	21),
(38,	31),
(38,	48),
(38,	51),
(38,	55),
(38,	102),
(38,	136),
(38,	144),
(38,	150),
(38,	168),
(38,	170),
(38,	178),
(38,	195),
(38,	199),
(38,	200),
(38,	201),
(38,	210),
(38,	221),
(38,	231),
(38,	233),
(38,	237),
(38,	256),
(38,	260),
(38,	283),
(38,	284),
(38,	285),
(38,	286),
(38,	287),
(38,	322),
(39,	22),
(39,	31),
(39,	48),
(39,	73),
(39,	91),
(39,	102),
(39,	109),
(39,	136),
(39,	150),
(39,	162),
(39,	165),
(39,	168),
(39,	172),
(39,	195),
(39,	200),
(39,	201),
(39,	203),
(39,	213),
(39,	217),
(39,	219),
(39,	228),
(39,	234),
(39,	236),
(39,	250),
(39,	277),
(39,	283),
(39,	284),
(39,	285),
(39,	286),
(39,	287),
(39,	288),
(39,	311),
(40,	10),
(40,	31),
(40,	77),
(40,	88),
(40,	95),
(40,	102),
(40,	111),
(40,	152),
(40,	153),
(40,	156),
(40,	157),
(40,	173),
(40,	180),
(40,	195),
(40,	198),
(40,	199),
(40,	201),
(40,	213),
(40,	219),
(40,	232),
(40,	236),
(40,	242),
(40,	257),
(40,	273),
(40,	283),
(40,	284),
(40,	285),
(40,	286),
(40,	287),
(40,	288),
(40,	312),
(41,	10),
(41,	31),
(41,	43),
(41,	77),
(41,	88),
(41,	95),
(41,	102),
(41,	111),
(41,	152),
(41,	153),
(41,	157),
(41,	173),
(41,	179),
(41,	195),
(41,	198),
(41,	199),
(41,	201),
(41,	213),
(41,	219),
(41,	232),
(41,	236),
(41,	242),
(41,	258),
(41,	273),
(41,	283),
(41,	284),
(41,	285),
(41,	286),
(41,	287),
(41,	288),
(41,	312),
(42,	10),
(42,	31),
(42,	48),
(42,	61),
(42,	79),
(42,	102),
(42,	108),
(42,	136),
(42,	150),
(42,	165),
(42,	168),
(42,	170),
(42,	188),
(42,	196),
(42,	199),
(42,	200),
(42,	201),
(42,	213),
(42,	217),
(42,	219),
(42,	234),
(42,	248),
(42,	255),
(42,	277),
(42,	283),
(42,	284),
(42,	285),
(42,	286),
(42,	287),
(42,	288),
(42,	314),
(43,	11),
(43,	17),
(43,	44),
(43,	48),
(43,	61),
(43,	83),
(43,	85),
(43,	94),
(43,	102),
(43,	105),
(43,	165),
(43,	168),
(43,	170),
(43,	189),
(43,	196),
(43,	199),
(43,	200),
(43,	201),
(43,	214),
(43,	219),
(43,	234),
(43,	235),
(43,	253),
(43,	280),
(43,	283),
(43,	284),
(43,	285),
(43,	286),
(43,	287),
(43,	288),
(43,	311),
(44,	31),
(44,	48),
(44,	74),
(44,	91),
(44,	95),
(44,	102),
(44,	105),
(44,	108),
(44,	150),
(44,	162),
(44,	165),
(44,	168),
(44,	172),
(44,	189),
(44,	195),
(44,	200),
(44,	201),
(44,	202),
(44,	214),
(44,	219),
(44,	235),
(44,	241),
(44,	249),
(44,	255),
(44,	277),
(44,	283),
(44,	284),
(44,	285),
(44,	286),
(44,	287),
(44,	288),
(44,	323),
(45,	31),
(45,	48),
(45,	74),
(45,	91),
(45,	95),
(45,	102),
(45,	108),
(45,	136),
(45,	150),
(45,	162),
(45,	165),
(45,	168),
(45,	172),
(45,	189),
(45,	195),
(45,	200),
(45,	201),
(45,	202),
(45,	214),
(45,	219),
(45,	235),
(45,	241),
(45,	249),
(45,	255),
(45,	277),
(45,	283),
(45,	284),
(45,	285),
(45,	286),
(45,	287),
(45,	288),
(45,	323),
(46,	31),
(46,	48),
(46,	74),
(46,	91),
(46,	95),
(46,	102),
(46,	108),
(46,	156),
(46,	162),
(46,	165),
(46,	168),
(46,	172),
(46,	180),
(46,	189),
(46,	195),
(46,	200),
(46,	201),
(46,	202),
(46,	214),
(46,	219),
(46,	235),
(46,	241),
(46,	249),
(46,	255),
(46,	277),
(46,	283),
(46,	284),
(46,	285),
(46,	286),
(46,	287),
(46,	288),
(46,	323),
(47,	11),
(47,	17),
(47,	44),
(47,	48),
(47,	57),
(47,	64),
(47,	94),
(47,	102),
(47,	136),
(47,	150),
(47,	165),
(47,	168),
(47,	170),
(47,	189),
(47,	196),
(47,	199),
(47,	200),
(47,	201),
(47,	214),
(47,	219),
(47,	234),
(47,	235),
(47,	247),
(47,	253),
(47,	277),
(47,	283),
(47,	284),
(47,	285),
(47,	286),
(47,	287),
(47,	288),
(47,	311),
(48,	10),
(48,	17),
(48,	44),
(48,	48),
(48,	56),
(48,	71),
(48,	83),
(48,	94),
(48,	102),
(48,	105),
(48,	165),
(48,	168),
(48,	170),
(48,	189),
(48,	196),
(48,	199),
(48,	200),
(48,	201),
(48,	214),
(48,	219),
(48,	234),
(48,	237),
(48,	248),
(48,	254),
(48,	280),
(48,	283),
(48,	284),
(48,	285),
(48,	286),
(48,	287),
(48,	288),
(48,	321),
(49,	160),
(49,	274),
(49,	281),
(50,	160),
(50,	274),
(50,	281),
(51,	160),
(51,	274),
(51,	281),
(52,	160),
(52,	274),
(52,	281),
(53,	13),
(53,	138),
(53,	215),
(53,	295),
(54,	160),
(54,	263),
(54,	295),
(55,	160),
(55,	263),
(55,	295),
(56,	160),
(56,	215),
(56,	295),
(57,	160),
(57,	264),
(57,	295),
(58,	106),
(58,	160),
(58,	295),
(58,	304),
(59,	101),
(59,	148),
(59,	169),
(59,	264),
(59,	295),
(60,	138),
(60,	264),
(60,	295),
(61,	169),
(61,	264),
(61,	295),
(62,	101),
(62,	119),
(62,	160),
(62,	264),
(62,	295),
(63,	101),
(63,	160),
(63,	264),
(63,	295),
(64,	101),
(64,	160),
(64,	264),
(64,	295),
(65,	101),
(65,	160),
(65,	164),
(65,	264),
(65,	295),
(66,	101),
(66,	127),
(66,	160),
(66,	264),
(66,	295),
(67,	160),
(67,	264),
(67,	295),
(68,	101),
(68,	160),
(68,	175),
(68,	264),
(68,	295),
(69,	101),
(69,	160),
(69,	264),
(69,	295),
(70,	169),
(70,	264),
(70,	295),
(71,	139),
(71,	147),
(71,	160),
(71,	261),
(71,	295),
(72,	133),
(72,	160),
(72,	261),
(72,	295),
(73,	26),
(73,	50),
(73,	87),
(73,	97),
(73,	268),
(73,	310),
(73,	317),
(74,	26),
(74,	50),
(74,	89),
(74,	97),
(74,	268),
(74,	310),
(74,	317),
(75,	8),
(75,	25),
(75,	40),
(75,	82),
(75,	268),
(75,	294),
(75,	310),
(76,	9),
(76,	23),
(76,	39),
(76,	82),
(76,	96),
(76,	112),
(76,	268),
(76,	294),
(76,	310),
(77,	7),
(77,	23),
(77,	39),
(77,	65),
(77,	82),
(77,	112),
(77,	268),
(77,	294),
(77,	310),
(79,	29),
(79,	114),
(79,	166),
(79,	270),
(79,	297),
(79,	302),
(79,	317),
(79,	319),
(80,	114),
(80,	166),
(80,	174),
(80,	270),
(80,	297),
(80,	302),
(80,	317),
(80,	319),
(81,	19),
(81,	29),
(81,	137),
(81,	270),
(81,	297),
(81,	302),
(81,	317),
(81,	319),
(82,	19),
(82,	137),
(82,	174),
(82,	270),
(82,	297),
(82,	302),
(82,	317),
(82,	319),
(83,	135),
(83,	146),
(83,	166),
(83,	270),
(83,	297),
(83,	302),
(83,	317),
(83,	319),
(84,	19),
(84,	174),
(84,	191),
(84,	270),
(84,	297),
(84,	313),
(84,	317),
(84,	319),
(85,	110),
(85,	184),
(85,	197),
(85,	270),
(85,	297),
(85,	313),
(85,	317),
(85,	319),
(86,	29),
(86,	113),
(86,	183),
(86,	297),
(86,	306),
(86,	313),
(86,	317),
(86,	318),
(87,	113),
(87,	183),
(87,	187),
(87,	297),
(87,	306),
(87,	313),
(87,	317),
(87,	318),
(88,	19),
(88,	146),
(88,	184),
(88,	270),
(88,	297),
(88,	306),
(88,	313),
(88,	317),
(89,	114),
(89,	166),
(89,	197),
(89,	270),
(89,	297),
(89,	302),
(89,	317),
(89,	319),
(90,	19),
(90,	137),
(90,	197),
(90,	270),
(90,	297),
(90,	302),
(90,	317),
(90,	319),
(91,	59),
(91,	131),
(91,	282),
(91,	294),
(91,	301),
(92,	59),
(92,	131),
(92,	282),
(92,	294),
(92,	308),
(93,	35),
(93,	120),
(93,	282),
(93,	294),
(93,	301),
(94,	35),
(94,	120),
(94,	282),
(94,	294),
(94,	308),
(95,	3),
(95,	5),
(95,	81),
(95,	84),
(95,	128),
(95,	182),
(95,	271),
(95,	282),
(95,	290),
(95,	305),
(96,	3),
(96,	5),
(96,	81),
(96,	84),
(96,	128),
(96,	182),
(96,	282),
(96,	290),
(96,	300),
(96,	305),
(97,	3),
(97,	5),
(97,	81),
(97,	84),
(97,	128),
(97,	182),
(97,	282),
(97,	290),
(97,	305),
(97,	307),
(98,	2),
(98,	5),
(98,	58),
(98,	60),
(98,	121),
(98,	181),
(98,	271),
(98,	282),
(98,	290),
(98,	305),
(99,	2),
(99,	5),
(99,	58),
(99,	60),
(99,	121),
(99,	181),
(99,	282),
(99,	290),
(99,	300),
(99,	305),
(100,	2),
(100,	5),
(100,	58),
(100,	60),
(100,	121),
(100,	181),
(100,	282),
(100,	290),
(100,	305),
(100,	307),
(101,	1),
(101,	5),
(101,	33),
(101,	36),
(101,	90),
(101,	177),
(101,	271),
(101,	282),
(101,	290),
(101,	305),
(102,	1),
(102,	5),
(102,	33),
(102,	36),
(102,	90),
(102,	177),
(102,	282),
(102,	290),
(102,	300),
(102,	305),
(103,	1),
(103,	5),
(103,	33),
(103,	36),
(103,	90),
(103,	177),
(103,	282),
(103,	290),
(103,	305),
(103,	307),
(104,	1),
(104,	5),
(104,	33),
(104,	36),
(104,	90),
(104,	177),
(104,	282),
(104,	298),
(104,	305),
(104,	307),
(105,	1),
(105,	4),
(105,	27),
(105,	33),
(105,	90),
(105,	177),
(105,	282),
(105,	298),
(105,	300),
(105,	305),
(106,	69),
(106,	124),
(106,	275),
(106,	282),
(106,	293),
(106,	300),
(107,	69),
(107,	124),
(107,	275),
(107,	282),
(107,	293),
(107,	307),
(108,	41),
(108,	93),
(108,	275),
(108,	282),
(108,	293),
(108,	300),
(109,	41),
(109,	98),
(109,	275),
(109,	282),
(109,	293),
(109,	307),
(110,	41),
(110,	98),
(110,	272),
(110,	282),
(110,	293),
(110,	307),
(112,	324),
(113,	325),
(114,	325),
(115,	324),
(116,	325),
(117,	324),
(118,	325),
(119,	326),
(120,	328),
(121,	325),
(122,	329),
(122,	330),
(123,	329),
(144,	331),
(144,	332),
(144,	333),
(144,	334),
(144,	335),
(144,	336),
(144,	337),
(145,	331),
(145,	332),
(145,	333),
(145,	334),
(145,	335),
(145,	336),
(145,	337),
(146,	331),
(146,	332),
(146,	333),
(146,	334),
(146,	335),
(146,	336),
(146,	337),
(147,	331),
(147,	332),
(147,	333),
(147,	334),
(147,	335),
(147,	336),
(147,	337),
(148,	331),
(148,	332),
(148,	333),
(148,	334),
(148,	335),
(148,	336),
(148,	337),
(150,	331),
(150,	332),
(150,	334),
(150,	335),
(150,	336),
(150,	338),
(150,	339),
(151,	331),
(151,	332),
(151,	334),
(151,	335),
(151,	336),
(151,	338),
(151,	339),
(152,	331),
(152,	332),
(152,	334),
(152,	335),
(152,	336),
(152,	338),
(152,	339),
(153,	331),
(153,	332),
(153,	334),
(153,	335),
(153,	336),
(153,	338),
(153,	339),
(158,	340),
(158,	341),
(158,	342),
(158,	343),
(159,	340),
(159,	341),
(159,	342),
(159,	343),
(160,	47),
(160,	304),
(160,	341),
(160,	342),
(160,	343),
(161,	47),
(161,	304),
(161,	341),
(161,	342),
(161,	343),
(176,	191),
(176,	431),
(176,	432),
(176,	433),
(176,	434),
(176,	436),
(177,	166),
(177,	252),
(177,	340),
(177,	432),
(177,	433),
(177,	434),
(178,	430),
(178,	431),
(178,	432),
(178,	433),
(178,	434),
(188,	345),
(188,	346),
(188,	347),
(188,	348),
(188,	349),
(188,	350),
(188,	351),
(188,	352),
(189,	345),
(189,	346),
(189,	347),
(189,	348),
(189,	349),
(189,	350),
(189,	351),
(189,	352),
(190,	345),
(190,	346),
(190,	347),
(190,	348),
(190,	349),
(190,	350),
(190,	351),
(190,	352),
(191,	345),
(191,	346),
(191,	347),
(191,	348),
(191,	349),
(191,	350),
(191,	351),
(191,	352),
(192,	345),
(192,	346),
(192,	347),
(192,	348),
(192,	349),
(192,	350),
(192,	351),
(192,	352),
(193,	345),
(193,	346),
(193,	347),
(193,	348),
(193,	349),
(193,	350),
(193,	351),
(193,	352),
(193,	353),
(194,	345),
(194,	346),
(194,	347),
(194,	348),
(194,	349),
(194,	350),
(194,	351),
(194,	352),
(195,	345),
(195,	346),
(195,	347),
(195,	348),
(195,	349),
(195,	350),
(195,	351),
(195,	352),
(205,	354),
(205,	355),
(205,	356),
(205,	357),
(205,	358),
(205,	359),
(205,	360),
(206,	47),
(206,	354),
(206,	359),
(206,	361),
(206,	362),
(206,	363),
(206,	364),
(206,	365),
(206,	366),
(207,	54),
(207,	367),
(207,	368),
(207,	369),
(207,	370),
(207,	371),
(207,	372),
(207,	373),
(207,	374),
(208,	67),
(208,	369),
(208,	370),
(208,	371),
(208,	375),
(209,	371),
(209,	376),
(209,	377),
(210,	378),
(210,	379),
(211,	380),
(211,	381),
(212,	49),
(212,	382),
(212,	383),
(213,	384),
(213,	385),
(214,	386),
(215,	387),
(216,	388),
(217,	389),
(218,	389),
(219,	354),
(219,	355),
(219,	356),
(219,	357),
(219,	358),
(219,	359),
(219,	360),
(220,	390),
(220,	391),
(220,	392),
(220,	393),
(220,	394),
(220,	395),
(220,	396),
(220,	397),
(220,	398),
(220,	399),
(220,	400),
(220,	401),
(220,	402),
(220,	403),
(220,	404),
(220,	405),
(221,	390),
(221,	391),
(221,	392),
(221,	393),
(221,	394),
(221,	395),
(221,	396),
(221,	397),
(221,	398),
(221,	399),
(221,	400),
(221,	401),
(221,	402),
(221,	403),
(221,	404),
(221,	405),
(222,	390),
(222,	391),
(222,	392),
(222,	393),
(222,	394),
(222,	395),
(222,	396),
(222,	397),
(222,	398),
(222,	399),
(222,	400),
(222,	401),
(222,	402),
(222,	403),
(222,	404),
(222,	405),
(222,	406),
(223,	390),
(223,	391),
(223,	392),
(223,	393),
(223,	394),
(223,	395),
(223,	396),
(223,	397),
(223,	398),
(223,	399),
(223,	400),
(223,	401),
(223,	402),
(223,	403),
(223,	404),
(223,	405),
(223,	406),
(224,	390),
(224,	391),
(224,	392),
(224,	393),
(224,	394),
(224,	395),
(224,	396),
(224,	397),
(224,	398),
(224,	399),
(224,	400),
(224,	401),
(224,	402),
(224,	403),
(224,	404),
(224,	405),
(224,	406),
(225,	407),
(225,	409),
(225,	410),
(225,	411),
(225,	412),
(225,	416),
(226,	409),
(226,	410),
(226,	411),
(226,	412),
(226,	413),
(226,	416),
(227,	409),
(227,	410),
(227,	412),
(227,	413),
(227,	414),
(227,	415),
(228,	68),
(228,	409),
(228,	410),
(228,	416),
(228,	417),
(228,	438),
(229,	32),
(229,	409),
(229,	410),
(229,	418),
(229,	420),
(229,	437),
(230,	343),
(230,	421),
(230,	422),
(230,	423),
(230,	424),
(230,	425),
(231,	336),
(231,	341),
(231,	423),
(231,	426),
(231,	427),
(231,	428),
(231,	429);

DROP TABLE IF EXISTS `ok_purchases`;
CREATE TABLE `ok_purchases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `product_id` int(11) DEFAULT '0',
  `variant_id` int(11) DEFAULT '0',
  `product_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `variant_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `amount` int(11) NOT NULL DEFAULT '0',
  `sku` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `units` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`),
  KEY `product_id` (`product_id`),
  KEY `variant_id` (`variant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_purchases` (`id`, `order_id`, `product_id`, `variant_id`, `product_name`, `variant_name`, `price`, `amount`, `sku`, `units`) VALUES
(1,	1,	1,	1,	'Кресло мешок груша L Oksford Black',	'',	1798.84,	3,	'',	''),
(2,	1,	142,	148,	'Куркума Куркумин с биоперином 1500 мг',	'',	957.82,	1,	'ertw743362',	''),
(3,	1,	159,	194,	'Складной стул Shine Catalina',	'Коричневый',	1500.06,	4,	'mno98',	''),
(4,	1,	216,	264,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'',	77995.01,	2,	'sssr3425',	''),
(5,	1,	223,	275,	'POS-терминал Sam4s Titan-S 260',	'',	68595.67,	1,	'PVVD2525',	''),
(6,	2,	126,	128,	'Chobani Банановый кленовый мешок овса',	'',	33.81,	1,	'uirt88679',	''),
(7,	3,	205,	249,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'16 дюймов  — 155-166 см',	468999.83,	2,	'er45373',	''),
(8,	3,	231,	284,	'Диван-кровать Max 1,2 в ткани Кордрой',	'зеленый',	28665.24,	1,	'ccv6346',	'');

DROP TABLE IF EXISTS `ok_related_blogs`;
CREATE TABLE `ok_related_blogs` (
  `post_id` int(11) NOT NULL,
  `related_id` int(11) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`post_id`,`related_id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_related_blogs` (`post_id`, `related_id`, `position`) VALUES
(3,	159,	0),
(4,	213,	0),
(5,	213,	0),
(3,	194,	1);

DROP TABLE IF EXISTS `ok_related_products`;
CREATE TABLE `ok_related_products` (
  `product_id` int(11) NOT NULL,
  `related_id` int(11) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`related_id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_related_products` (`product_id`, `related_id`, `position`) VALUES
(114,	112,	0),
(117,	112,	0),
(119,	112,	0),
(121,	120,	0),
(122,	120,	0),
(123,	120,	0),
(130,	111,	0),
(139,	136,	0),
(140,	136,	0),
(141,	136,	0),
(142,	136,	0),
(143,	136,	0),
(145,	144,	0),
(146,	144,	0),
(147,	144,	0),
(148,	144,	0),
(150,	146,	0),
(151,	146,	0),
(152,	146,	0),
(153,	146,	0),
(156,	154,	0),
(157,	154,	0),
(158,	154,	0),
(159,	154,	0),
(160,	154,	0),
(161,	158,	0),
(190,	189,	0),
(191,	189,	0),
(192,	189,	0),
(193,	189,	0),
(194,	189,	0),
(195,	189,	0),
(205,	137,	0),
(206,	137,	0),
(207,	206,	0),
(208,	207,	0),
(209,	208,	0),
(210,	208,	0),
(211,	210,	0),
(212,	211,	0),
(213,	210,	0),
(214,	210,	0),
(215,	214,	0),
(216,	208,	0),
(217,	213,	0),
(218,	213,	0),
(219,	137,	0),
(221,	220,	0),
(222,	220,	0),
(223,	220,	0),
(224,	220,	0),
(226,	225,	0),
(227,	225,	0),
(228,	227,	0),
(229,	227,	0),
(231,	158,	0),
(114,	113,	1),
(117,	116,	1),
(119,	118,	1),
(122,	121,	1),
(123,	122,	1),
(130,	126,	1),
(139,	139,	1),
(140,	139,	1),
(141,	139,	1),
(142,	139,	1),
(143,	139,	1),
(146,	145,	1),
(147,	145,	1),
(148,	145,	1),
(150,	147,	1),
(151,	147,	1),
(152,	147,	1),
(153,	147,	1),
(156,	155,	1),
(157,	155,	1),
(158,	155,	1),
(159,	155,	1),
(160,	155,	1),
(161,	159,	1),
(190,	188,	1),
(191,	188,	1),
(192,	188,	1),
(193,	188,	1),
(194,	188,	1),
(195,	188,	1),
(205,	141,	1),
(206,	205,	1),
(207,	205,	1),
(208,	206,	1),
(209,	207,	1),
(210,	137,	1),
(212,	210,	1),
(213,	211,	1),
(214,	211,	1),
(215,	213,	1),
(216,	212,	1),
(217,	212,	1),
(218,	212,	1),
(219,	141,	1),
(222,	222,	1),
(223,	222,	1),
(224,	222,	1),
(227,	226,	1),
(228,	225,	1),
(229,	225,	1),
(114,	111,	2),
(117,	113,	2),
(119,	113,	2),
(141,	140,	2),
(142,	140,	2),
(143,	140,	2),
(147,	147,	2),
(148,	147,	2),
(150,	145,	2),
(151,	145,	2),
(152,	145,	2),
(153,	145,	2),
(161,	160,	2),
(191,	190,	2),
(192,	190,	2),
(193,	190,	2),
(194,	190,	2),
(195,	190,	2),
(208,	205,	2),
(209,	206,	2),
(210,	206,	2),
(212,	208,	2),
(213,	207,	2),
(214,	212,	2),
(215,	212,	2),
(216,	209,	2),
(217,	216,	2),
(218,	216,	2),
(219,	213,	2),
(223,	221,	2),
(224,	221,	2),
(228,	226,	2),
(229,	226,	2),
(119,	117,	3),
(141,	138,	3),
(142,	138,	3),
(143,	138,	3),
(150,	148,	3),
(151,	148,	3),
(152,	148,	3),
(153,	148,	3),
(161,	155,	3),
(192,	191,	3),
(193,	191,	3),
(194,	191,	3),
(195,	191,	3),
(209,	205,	3),
(212,	207,	3),
(213,	205,	3),
(214,	205,	3),
(215,	210,	3),
(216,	207,	3),
(217,	206,	3),
(218,	206,	3),
(229,	228,	3),
(119,	116,	4),
(143,	143,	4),
(151,	150,	4),
(152,	150,	4),
(153,	150,	4),
(161,	154,	4),
(195,	194,	4),
(212,	205,	4),
(213,	209,	4),
(214,	209,	4),
(215,	211,	4),
(216,	205,	4),
(217,	208,	4),
(218,	208,	4),
(229,	0,	4),
(119,	114,	5),
(143,	137,	5),
(195,	193,	5),
(215,	206,	5),
(216,	213,	5);

DROP TABLE IF EXISTS `ok_router_cache`;
CREATE TABLE `ok_router_cache` (
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug_url` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('category','product') COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `url_type` (`url`(100),`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `ok_seo_filter_patterns`;
CREATE TABLE `ok_seo_filter_patterns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `type` enum('brand','feature') COLLATE utf8mb4_unicode_ci NOT NULL,
  `h1` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `feature_id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `category_id_param_type_feature_id` (`category_id`,`type`,`feature_id`),
  KEY `category_id` (`category_id`),
  KEY `feature_id` (`feature_id`),
  KEY `param_type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_settings`;
CREATE TABLE `ok_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `param` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `value` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`setting_id`),
  UNIQUE KEY `param` (`param`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_settings` (`setting_id`, `param`, `value`) VALUES
(30,	'theme',	'okay_shop'),
(33,	'products_num',	'24'),
(53,	'date_format',	'd.m.Y'),
(54,	'order_email',	'support@demo.com'),
(55,	'comment_email',	'support@demo.com'),
(56,	'notify_from_email',	'support@demo.com'),
(57,	'decimals_point',	','),
(58,	'thousands_separator',	' '),
(111,	'last_1c_orders_export_date',	'2011-07-30 21:31:56'),
(113,	'max_order_amount',	'50'),
(114,	'watermark_offset_x',	'50'),
(115,	'watermark_offset_y',	'50'),
(119,	'admin_email',	'support@demo.com'),
(120,	'comparison_count',	'5'),
(121,	'is_preorder',	'1'),
(125,	'yandex_export_not_in_stock',	''),
(126,	'yandex_available_for_retail_store',	''),
(127,	'yandex_available_for_reservation',	''),
(128,	'yandex_short_description',	''),
(129,	'yandex_has_manufacturer_warranty',	''),
(130,	'yandex_has_seller_warranty',	''),
(131,	'yandex_sales_notes',	''),
(132,	'posts_num',	'8'),
(133,	'image_sizes',	'200x200|60x60|50x50|219x172|162x77|183x183|35x35|400x300|100x100|1000x1000|800x600|300x300|87x72|330x300|77x77|165x90|150x150|300x120|55x55|250x250|75x75|70x70|360x360|1170x390|465x265|250x100|420x250|160x65|1170x420|120x60|50x40|420x260|420x245|420x225|420x220|26x26|32x32|30x30|80x80|180x180|150x130|120x100|40x30|40x25|20x20|24x24|160x60|90x90|23x23|120x75|480x220|120x80|120x70|120x65|100x60|100x50|1170x380|1170x360|1170x400|900x320|1170x700|1200x700|900x700|500x320|22x22|1067x400|400x350|65x65|80x25|80x30'),
(134,	'products_image_sizes',	'200x200|50x50|1800x1200w|600x340|75x75|330x300|800x600|55x55|300x120|35x35|300x200|150x150|110x150|110x130|100x100|70x70|65x65|800x600w|80x80|200x150|40x40|800x550|300x180|800x500|125x125|120x120|1200x1000w'),
(135,	'captcha_comment',	'1'),
(137,	'captcha_cart',	'1'),
(138,	'captcha_register',	'1'),
(139,	'captcha_feedback',	'1'),
(140,	'site_work',	'on'),
(141,	'yandex_metrika_token',	''),
(145,	'topvisor_key',	'bded4fc3f61f7801cefe'),
(148,	'y_metric',	''),
(149,	'yandex_metrika_app_id',	''),
(150,	'max_filter_brands',	'1'),
(152,	'lastModifyPosts',	'2018-06-26 20:31:31'),
(153,	'image_quality',	'75'),
(154,	'email_lang',	'ru'),
(155,	'site_logo',	'logo.png'),
(156,	'gather_enabled',	'1'),
(157,	'captcha_callback',	'1'),
(158,	'iframe_map_code',	'<iframe src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2241.7081645541616!2d37.5206056!3d55.8156667!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x944fd88cf96de197!2sOkayCMS!5e0!3m2!1sru!2sua!4v1495180474127\" width=\"100%\" height=\"450\" frameborder=\"0\" style=\"border:0;\" allowfullscreen></iframe><br>'),
(159,	'captcha_type',	'default'),
(161,	'max_filter_filter',	'1'),
(162,	'max_filter_features_values',	'1'),
(163,	'max_filter_features',	'1'),
(164,	'max_filter_depth',	'1'),
(165,	'site_favicon',	'favicon.png'),
(166,	'site_favicon_version',	'001'),
(167,	'site_logo_version',	'014'),
(168,	'multilang_logo',	'0'),
(169,	'social_share_theme',	'flat'),
(170,	'sj_shares',	'a:4:{i:0;s:7:\"twitter\";i:1;s:8:\"facebook\";i:2;s:10:\"googleplus\";i:3;s:8:\"linkedin\";}'),
(197,	'site_email',	'support@okay-cms.com'),
(198,	'site_phones',	'a:2:{i:0;s:16:\"+380 44 290 3833\";i:1;s:16:\"+7 499 648 20 47\";}'),
(199,	'site_social_links',	'a:4:{i:0;s:28:\"https://facebook.com/okaycms\";i:1;s:27:\"https://twitter.com/okaycms\";i:2;s:0:\"\";i:3;s:0:\"\";}'),
(200,	'recaptcha_scores',	'a:3:{s:7:\"product\";d:0.5;s:4:\"cart\";d:0.6999999999999999555910790149937383830547332763671875;s:5:\"other\";d:0.200000000000000011102230246251565404236316680908203125;}'),
(201,	'admin_theme_managers',	''),
(202,	'lastModifyNews',	'2019-06-14 16:45:17'),
(203,	'public_recaptcha',	''),
(204,	'secret_recaptcha',	''),
(205,	'public_recaptcha_invisible',	''),
(206,	'secret_recaptcha_invisible',	''),
(207,	'public_recaptcha_v3',	''),
(208,	'secret_recaptcha_v3',	''),
(209,	'phone_default_region',	'UA'),
(210,	'phone_default_format',	'2'),
(211,	'np_last_update_warehouses_date',	'1589370996'),
(212,	'np_last_update_cities_date',	'1589370996'),
(213,	'hide_single_filters',	'1');

DROP TABLE IF EXISTS `ok_settings_lang`;
CREATE TABLE `ok_settings_lang` (
  `param` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_id` int(11) NOT NULL DEFAULT '0',
  `value` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_id`,`param`),
  KEY `name` (`param`),
  KEY `lang_id` (`lang_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_settings_lang` (`param`, `lang_id`, `value`) VALUES
('notify_from_name',	1,	'Администратор'),
('product_deliveries',	1,	'<ul>\r\n<li>Самовывоз из Новой почты</li>\r\n<li>Курьер Новой Почты</li>\r\n<li>Самовывоз из магазина</li>\r\n<li>Другие транспортные службы</li>\r\n</ul>'),
('product_payments',	1,	'<ul>\r\n<li>Наличными при получении</li>\r\n<li>Безналичный перевод</li>\r\n<li>Приват 24</li>\r\n<li>WebMoney</li>\r\n</ul>'),
('site_annotation',	1,	'Техническое сообщение на случай отключения сайта'),
('site_name',	1,	'Интернет-магазин на OkayCMS'),
('site_working_hours',	1,	'<div>Режим работы магазина: <br /><strong>ПН - ПТ: с 9:00 до 18:00</strong></div>'),
('units',	1,	'шт'),
('notify_from_name',	2,	'Administrator'),
('product_deliveries',	2,	'<ul>\r\n<li>Pickup from New Mail</li>\r\n<li>New Mail Courier</li>\r\n<li>Pickup from the store</li>\r\n<li>Other transport services</li>\r\n</ul>'),
('product_payments',	2,	'<ul>\r\n<li>Cash upon receipt</li>\r\n<li>Bank transfer</li>\r\n<li>Privat 24</li>\r\n<li>WebMoney</li>\r\n</ul>'),
('site_annotation',	2,	'A technical message in case of error'),
('site_name',	2,	'Web shop based on OkayCMS'),
('site_working_hours',	2,	'<div>Working hours: <br /><strong>Mon-Fri: 9 a.m.- 6 p.m.</strong></div>'),
('units',	2,	'pcs'),
('notify_from_name',	3,	'Адміністратор'),
('product_deliveries',	3,	'<ul>\r\n<li>Самовивіз з Нової пошти</li>\r\n<li>Кур\'єр Нової Пошти</li>\r\n<li>Самовивіз з магазину</li>\r\n<li>Інші транспортні служби</li>\r\n</ul>'),
('product_payments',	3,	'<ul>\r\n<li>Готівкою при отриманні</li>\r\n<li>Безготівковий переказ</li>\r\n<li>Приват 24</li>\r\n<li>WebMoney</li>\r\n</ul>'),
('site_annotation',	3,	'Технічне повідомлення на випадок відключення сайту'),
('site_name',	3,	'Інтернет-магазин на OkayCMS'),
('site_working_hours',	3,	'<div>Режим роботи магазину: <br /><strong>ПН - ПТ: з 9:00 до 18:00</strong></div>'),
('units',	3,	'шт');

DROP TABLE IF EXISTS `ok_spec_img`;
CREATE TABLE `ok_spec_img` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_spec_img` (`id`, `filename`, `position`) VALUES
(1,	'akciya.png',	0),
(2,	'garant.png',	1),
(3,	'hit.png',	2),
(4,	'new.png',	3);

DROP TABLE IF EXISTS `ok_subscribe_mailing`;
CREATE TABLE `ok_subscribe_mailing` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `email` (`email`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_subscribe_mailing` (`id`, `email`) VALUES
(1,	'test@okay.com'),
(2,	'test11@okay.com'),
(3,	'testt@gmail.com'),
(4,	'ssda@i.ua'),
(5,	'sswea@i.ua'),
(6,	'syns@i.ua');

DROP TABLE IF EXISTS `ok_support_info`;
CREATE TABLE `ok_support_info` (
  `id` tinyint(1) NOT NULL AUTO_INCREMENT,
  `temp_key` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `temp_time` timestamp NULL DEFAULT NULL,
  `new_messages` int(11) NOT NULL DEFAULT '0',
  `balance` int(11) NOT NULL DEFAULT '0',
  `private_key` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `public_key` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `okay_public_key` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_auto` tinyint(1) NOT NULL DEFAULT '1',
  `accesses` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_support_info` (`id`, `temp_key`, `temp_time`, `new_messages`, `balance`, `private_key`, `public_key`, `okay_public_key`, `is_auto`, `accesses`) VALUES
(1,	NULL,	NULL,	0,	0,	NULL,	NULL,	NULL,	1,	'');

DROP TABLE IF EXISTS `ok_users`;
CREATE TABLE `ok_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `phone` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `address` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `group_id` int(11) NOT NULL DEFAULT '0',
  `last_ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `remind_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remind_expire` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `email` (`email`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_users` (`id`, `email`, `password`, `name`, `phone`, `address`, `group_id`, `last_ip`, `created`, `remind_code`, `remind_expire`) VALUES
(1,	'info@demo.com',	'9afead6347b105ae61fb9c6ae8f79cfd',	'Okay user',	'+38(097) 161-58-66',	'',	0,	'127.0.0.1',	'2016-06-21 05:31:10',	NULL,	NULL);

DROP TABLE IF EXISTS `ok_variants`;
CREATE TABLE `ok_variants` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `sku` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `weight` decimal(10,2) DEFAULT '0.00',
  `price` decimal(14,2) NOT NULL DEFAULT '0.00',
  `compare_price` decimal(14,2) DEFAULT NULL,
  `stock` mediumint(9) DEFAULT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `units` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `volume` decimal(10,5) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `price` (`price`),
  KEY `stock` (`stock`),
  KEY `position` (`position`),
  KEY `external_id` (`external_id`),
  KEY `sku` (`sku`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_variants` (`id`, `product_id`, `sku`, `name`, `weight`, `price`, `compare_price`, `stock`, `position`, `external_id`, `currency_id`, `units`, `volume`) VALUES
(1,	1,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(2,	2,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(3,	3,	'',	'',	0.00,	1799.00,	0.00,	6,	1,	'',	2,	'',	NULL),
(4,	4,	'',	'',	0.00,	1799.00,	0.00,	44,	1,	'',	2,	'',	NULL),
(5,	5,	'',	'',	0.00,	1799.00,	0.00,	45,	1,	'',	2,	'',	NULL),
(6,	6,	'',	'',	0.00,	1799.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(7,	7,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(8,	8,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(9,	9,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(10,	10,	'',	'',	0.00,	3499.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(11,	11,	'',	'',	0.00,	3499.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(12,	12,	'',	'',	0.00,	3499.00,	0.00,	1,	1,	'',	2,	'',	NULL),
(13,	13,	'',	'',	0.00,	3499.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(14,	14,	'',	'',	0.00,	3499.00,	0.00,	5,	1,	'',	2,	'',	NULL),
(15,	15,	'',	'',	0.00,	3499.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(16,	16,	'',	'',	0.00,	3499.00,	0.00,	17,	1,	'',	2,	'',	NULL),
(17,	17,	'',	'',	0.00,	2899.00,	3199.02,	14,	1,	'',	2,	'',	NULL),
(18,	18,	'',	'',	0.00,	2899.00,	3199.01,	4,	1,	'',	2,	'',	NULL),
(19,	19,	'',	'',	0.00,	2899.00,	3199.00,	9,	1,	'',	2,	'',	NULL),
(20,	20,	'',	'',	0.00,	2899.00,	0.00,	8,	1,	'',	2,	'',	NULL),
(21,	21,	'',	'',	0.00,	2899.00,	0.00,	6,	1,	'',	2,	'',	NULL),
(22,	22,	'',	'',	0.00,	2899.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(23,	23,	'',	'Красный',	0.00,	3000.00,	0.00,	5,	1,	'',	4,	'',	NULL),
(24,	23,	'',	'Серый',	0.00,	3100.00,	0.00,	19,	2,	'',	4,	'',	NULL),
(25,	24,	'',	'',	0.00,	242.54,	0.00,	5,	1,	'',	1,	'',	NULL),
(26,	25,	'',	'',	0.00,	133.54,	0.00,	10,	1,	'',	1,	'',	NULL),
(27,	26,	'',	'',	0.00,	128.44,	0.00,	0,	1,	'',	1,	'',	NULL),
(28,	27,	'',	'В наличии',	0.00,	145.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(29,	28,	'',	'',	0.00,	169.10,	0.00,	0,	1,	'',	1,	'',	NULL),
(30,	29,	'',	'',	0.00,	342.15,	0.00,	0,	1,	'',	1,	'',	NULL),
(31,	30,	'',	'',	0.00,	305.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(32,	31,	'',	'В наличии',	0.00,	122.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(33,	32,	'',	'Под заказ',	0.00,	297.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(34,	33,	'',	'В наличии',	0.00,	396.43,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(35,	34,	'',	'В наличии',	0.00,	136.71,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(38,	37,	'',	'Под заказ',	0.00,	2700.00,	0.00,	10,	1,	'',	4,	'',	NULL),
(39,	37,	'',	'Из наличия',	0.00,	2915.00,	0.00,	50,	2,	'',	4,	'',	NULL),
(40,	38,	'',	'Под заказ',	0.00,	4200.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(41,	39,	'',	'В наличии',	0.00,	178.52,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(42,	40,	'',	'',	0.00,	0.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(43,	41,	'',	'В наличии',	0.00,	400.74,	0.00,	1,	1,	'',	1,	'',	NULL),
(44,	42,	'',	'В наличии',	0.00,	195.76,	0.00,	0,	1,	'',	1,	'',	NULL),
(45,	43,	'',	'В наличии',	0.00,	131.20,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(46,	44,	'',	'',	0.00,	0.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(47,	45,	'',	'В наличии',	0.00,	179.71,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(48,	46,	'',	'',	0.00,	0.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(49,	47,	'',	'',	0.00,	154.45,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(50,	48,	'',	'зеленый',	0.00,	5000.00,	0.00,	NULL,	50,	'',	4,	'',	NULL),
(51,	49,	'SM19100/6028874',	'',	0.00,	2429.00,	2699.00,	NULL,	1,	'',	4,	'',	NULL),
(52,	50,	'SM19100/6028895',	'',	0.00,	2699.00,	0.00,	1,	1,	'',	4,	'',	NULL),
(53,	51,	'SM19100/6034333',	'',	0.00,	2429.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(54,	52,	'SM19100/6034335',	'',	0.00,	2429.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(55,	53,	'BHR15',	'',	0.00,	199.00,	249.00,	NULL,	1,	'',	4,	'',	NULL),
(56,	54,	'BGX66',	'',	0.00,	199.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(57,	55,	'BGX82',	'',	0.00,	399.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(58,	56,	'BHN12',	'',	0.00,	449.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(59,	57,	'CDM44',	'',	0.00,	399.00,	469.00,	NULL,	1,	'',	4,	'',	NULL),
(60,	58,	'BGK04',	'',	0.00,	999.90,	1249.00,	NULL,	1,	'',	4,	'',	NULL),
(61,	59,	'DNN77',	'',	0.00,	299.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(62,	60,	'CKC09',	'',	0.00,	949.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(63,	61,	'CMP80',	'',	0.00,	7499.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(64,	62,	'CKJ08',	'',	0.00,	399.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(65,	63,	'DWK94',	'',	0.00,	599.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(66,	64,	'DWK99',	'',	0.00,	499.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(67,	65,	'DNR74',	'',	0.00,	699.00,	799.00,	NULL,	1,	'',	4,	'',	NULL),
(68,	66,	'X9295',	'',	0.00,	799.00,	999.00,	NULL,	1,	'',	4,	'',	NULL),
(69,	67,	'DWL04',	'',	0.00,	999.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(70,	68,	'DJC05',	'',	0.00,	1599.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(71,	69,	'DHY25',	'',	0.00,	1499.00,	1979.00,	NULL,	1,	'',	4,	'',	NULL),
(72,	70,	'DTN42',	'',	0.00,	2799.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(73,	71,	'CCX79',	'',	0.00,	109.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(74,	72,	'DLF01',	'',	0.00,	149.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(75,	73,	'',	'',	0.00,	220.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(76,	74,	'',	'',	0.00,	235.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(77,	75,	'86141',	'',	0.00,	235.01,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(78,	76,	'iseo500/80',	'',	0.00,	235.02,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(79,	77,	'vox350/100',	'',	0.00,	235.03,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(80,	78,	'vox500/100',	'',	0.00,	235.04,	0.00,	NULL,	80,	'',	1,	'',	NULL),
(81,	79,	'',	'',	0.00,	3168.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(82,	80,	'',	'',	0.00,	2601.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(83,	81,	'',	'',	0.00,	2754.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(84,	82,	'',	'',	0.00,	2231.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(85,	83,	'',	'',	0.00,	3177.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(86,	84,	'',	'',	0.00,	3832.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(87,	85,	'',	'',	0.00,	4301.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(88,	86,	'',	'',	0.00,	6109.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(89,	87,	'',	'',	0.00,	5505.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(90,	88,	'',	'',	0.00,	3949.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(91,	89,	'080-D400-2-B',	'',	0.00,	2836.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(92,	90,	'',	'',	0.00,	2408.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(93,	91,	'20042540',	'',	0.00,	211.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(94,	92,	'20042537',	'',	0.00,	176.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(95,	93,	'20042534',	'',	0.00,	176.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(96,	94,	'20042533',	'',	0.00,	130.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(97,	95,	'7703331747',	'',	0.00,	350.00,	389.00,	NULL,	1,	'',	1,	'',	NULL),
(98,	96,	'7703331748',	'',	0.00,	320.00,	356.00,	NULL,	1,	'',	1,	'',	NULL),
(99,	97,	'7703331746',	'',	0.00,	266.00,	294.00,	NULL,	1,	'',	1,	'',	NULL),
(100,	98,	'7702331717',	'',	0.00,	326.00,	362.00,	NULL,	1,	'',	1,	'',	NULL),
(101,	99,	'7702331718',	'',	0.00,	282.00,	314.00,	NULL,	1,	'',	1,	'',	NULL),
(102,	100,	'7702331716',	'',	0.00,	238.00,	265.00,	NULL,	1,	'',	1,	'',	NULL),
(103,	101,	'7701331616',	'',	0.00,	277.00,	308.00,	NULL,	1,	'',	1,	'',	NULL),
(104,	102,	'7701331617',	'',	0.00,	263.00,	293.00,	NULL,	1,	'',	1,	'',	NULL),
(105,	103,	'7701331615',	'',	0.00,	169.00,	188.00,	NULL,	1,	'',	1,	'',	NULL),
(106,	104,	'7701331010',	'',	0.00,	144.00,	160.00,	NULL,	1,	'',	1,	'',	NULL),
(107,	105,	'7736500992',	'',	0.00,	140.00,	156.00,	NULL,	1,	'',	1,	'',	NULL),
(108,	106,	'311591',	'',	0.00,	355.00,	395.00,	0,	1,	'',	1,	'',	NULL),
(109,	107,	'311392',	'',	0.00,	312.00,	347.00,	0,	1,	'',	1,	'',	NULL),
(110,	108,	'311260',	'',	0.00,	280.00,	311.00,	0,	1,	'',	1,	'',	NULL),
(111,	109,	'311292',	'',	0.00,	260.00,	289.00,	0,	111,	'',	1,	'',	NULL),
(112,	110,	'311187',	'',	0.00,	195.00,	212.00,	NULL,	112,	'',	1,	'',	NULL),
(113,	111,	'qwer21',	'',	NULL,	34.00,	0.00,	NULL,	113,	'',	2,	'',	NULL),
(114,	112,	'rtrwt535',	'',	NULL,	97.00,	0.00,	NULL,	114,	'',	2,	'',	NULL),
(115,	113,	'24e452',	'',	NULL,	28.00,	0.00,	NULL,	115,	'',	2,	'',	NULL),
(116,	114,	'qw90po',	'',	NULL,	78.00,	87.00,	NULL,	116,	'',	2,	'кг',	NULL),
(117,	115,	'',	'',	NULL,	32.00,	43.00,	NULL,	117,	'',	2,	'кг',	NULL),
(118,	116,	'we58u',	'',	NULL,	34.00,	38.00,	NULL,	118,	'',	2,	'кг',	NULL),
(119,	117,	'rt743',	'',	NULL,	14.00,	0.00,	NULL,	119,	'',	2,	'кг',	NULL),
(120,	118,	'op099',	'',	NULL,	43.00,	0.00,	NULL,	120,	'',	2,	'кг',	NULL),
(121,	119,	'',	'',	NULL,	43.00,	52.00,	NULL,	121,	'',	2,	'кг',	NULL),
(122,	120,	'gh616',	'',	NULL,	456.00,	0.00,	NULL,	122,	'',	2,	'кг',	NULL),
(123,	121,	'meat45',	'',	NULL,	678.00,	700.00,	NULL,	123,	'',	2,	'кг',	NULL),
(124,	122,	'',	'',	NULL,	768.00,	0.00,	NULL,	124,	'',	2,	'',	NULL),
(125,	123,	'',	'',	NULL,	567.00,	604.00,	NULL,	125,	'',	2,	'кг',	NULL),
(126,	124,	'ktc75',	'',	NULL,	35.00,	0.00,	NULL,	126,	'',	2,	'',	NULL),
(127,	125,	'ui6246',	'',	NULL,	96.00,	0.00,	NULL,	127,	'',	2,	'',	NULL),
(128,	126,	'uirt88679',	'',	NULL,	34.00,	0.00,	NULL,	128,	'',	2,	'',	NULL),
(129,	127,	'',	'',	NULL,	23.00,	0.00,	NULL,	129,	'',	2,	'',	NULL),
(130,	128,	'cv5623',	'',	NULL,	24.00,	0.00,	NULL,	130,	'',	2,	'',	NULL),
(131,	129,	'wine349',	'',	NULL,	568.00,	0.00,	NULL,	131,	'',	2,	'',	NULL),
(132,	130,	'wr24',	'',	NULL,	852.00,	979.00,	NULL,	132,	'',	2,	'',	NULL),
(133,	131,	'ouy325',	'',	NULL,	1789.00,	0.00,	NULL,	133,	'',	2,	'',	NULL),
(134,	132,	'ghh436',	'',	NULL,	629.00,	0.00,	NULL,	134,	'',	2,	'',	NULL),
(135,	133,	'ee349',	'',	NULL,	23.00,	27.00,	NULL,	135,	'',	2,	'',	NULL),
(136,	134,	'eovc85',	'',	NULL,	8.00,	0.00,	NULL,	136,	'',	2,	'',	NULL),
(137,	135,	'fgeh624',	'',	NULL,	36.00,	0.00,	NULL,	137,	'',	2,	'',	NULL),
(138,	136,	'',	'',	NULL,	458.00,	0.00,	NULL,	138,	'',	2,	'',	NULL),
(139,	137,	'ertw532462',	'',	NULL,	458.00,	0.00,	NULL,	139,	'',	2,	'',	NULL),
(140,	138,	'ertw532462',	'',	NULL,	958.00,	1288.00,	NULL,	140,	'',	2,	'',	NULL),
(141,	139,	'ertw532462',	'',	NULL,	658.00,	899.00,	NULL,	141,	'',	2,	'',	NULL),
(142,	140,	'ertw532462',	'Микки маус',	NULL,	258.00,	0.00,	NULL,	142,	'',	2,	'',	NULL),
(143,	140,	'',	'Dora Dora',	NULL,	258.00,	0.00,	0,	143,	'',	2,	'',	NULL),
(144,	140,	'',	'Тачки',	NULL,	457.00,	679.00,	3,	144,	'',	2,	'',	NULL),
(145,	141,	'ertw532462',	'',	NULL,	258.00,	0.00,	NULL,	145,	'',	2,	'',	NULL),
(148,	142,	'ertw743362',	'',	NULL,	958.00,	0.00,	NULL,	148,	'',	2,	'',	NULL),
(149,	143,	'ertw743362',	'',	NULL,	1278.00,	1366.00,	NULL,	149,	'',	2,	'',	NULL),
(150,	144,	'twe532',	'Бежевый',	120.00,	15000.00,	0.00,	NULL,	150,	'',	2,	'',	NULL),
(151,	144,	'ytu235235',	'Белый',	120.00,	17500.00,	19000.00,	0,	151,	'',	2,	'',	NULL),
(152,	144,	'otu64626',	'Оранжевый',	120.00,	17500.00,	18500.00,	NULL,	152,	'',	2,	'',	NULL),
(153,	144,	'tyuiee753',	'Бирюзовый',	NULL,	15000.00,	0.00,	1,	153,	'',	2,	'',	NULL),
(154,	145,	'twe532',	'Бежевый',	120.00,	12000.00,	0.00,	NULL,	155,	'',	2,	'',	0.00000),
(155,	145,	'ytu235235',	'Белый',	120.00,	18500.00,	19000.00,	5,	154,	'',	2,	'',	0.00000),
(156,	145,	'otu64626',	'Оранжевый',	120.00,	17500.00,	18500.00,	0,	156,	'',	2,	'',	0.00000),
(157,	145,	'tyuiee753',	'Бирюзовый',	NULL,	11000.00,	0.00,	1,	157,	'',	2,	'',	0.00000),
(158,	146,	'ytu235235',	'Белый',	120.00,	11900.00,	13400.00,	5,	159,	'',	2,	'',	0.00000),
(159,	146,	'twe532',	'Бежевый',	120.00,	16800.00,	0.00,	0,	160,	'',	2,	'',	0.00000),
(160,	146,	'otu64626',	'Оранжевый',	120.00,	18400.00,	18900.00,	5,	158,	'',	2,	'',	0.00000),
(161,	146,	'tyuiee753',	'Бирюзовый',	NULL,	19900.00,	0.00,	1,	161,	'',	2,	'',	0.00000),
(162,	147,	'otu64626',	'Оранжевый',	120.00,	18400.00,	0.00,	4,	163,	'',	2,	'',	0.00000),
(163,	147,	'ytu235235',	'Белый',	120.00,	11900.00,	13400.00,	4,	164,	'',	2,	'',	0.00000),
(164,	147,	'twe532',	'Бежевый',	120.00,	16800.00,	0.00,	0,	165,	'',	2,	'',	0.00000),
(165,	147,	'tyuiee753',	'Бирюзовый',	NULL,	16900.00,	18900.00,	0,	162,	'',	2,	'',	0.00000),
(166,	148,	'tyuiee753',	'Бирюзовый',	NULL,	23650.00,	18900.00,	1,	166,	'',	2,	'',	NULL),
(174,	150,	'pui76969',	'47L x 104W x 33.5H',	NULL,	34000.00,	0.00,	NULL,	174,	'',	2,	'',	0.00000),
(175,	150,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	175,	'',	2,	'',	0.00000),
(176,	150,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	56000.00,	0.00,	0,	176,	'',	2,	'',	0.00000),
(177,	151,	'pui76969',	'47L x 104W x 33.5H',	NULL,	34000.00,	0.00,	NULL,	178,	'',	2,	'',	0.00000),
(178,	151,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	177,	'',	2,	'',	0.00000),
(179,	151,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	56000.00,	0.00,	0,	179,	'',	2,	'',	0.00000),
(180,	152,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	181,	'',	2,	'',	0.00000),
(181,	152,	'pui76969',	'47L x 104W x 33.5H',	NULL,	34000.00,	0.00,	NULL,	182,	'',	2,	'',	0.00000),
(182,	152,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	56000.00,	0.00,	0,	180,	'',	2,	'',	0.00000),
(183,	153,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	45114.00,	0.00,	NULL,	183,	'',	2,	'',	NULL),
(184,	153,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	184,	'',	2,	'',	NULL),
(186,	154,	'',	'',	NULL,	1200.00,	0.00,	NULL,	186,	'',	2,	'',	NULL),
(187,	155,	'ur84',	'',	NULL,	1240.00,	0.00,	NULL,	187,	'',	2,	'',	NULL),
(188,	156,	'ur878',	'',	NULL,	1220.00,	1400.00,	NULL,	188,	'',	2,	'',	NULL),
(189,	157,	'ur468',	'',	NULL,	1720.00,	0.00,	0,	189,	'',	2,	'',	NULL),
(190,	158,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	191,	'',	2,	'',	NULL),
(191,	158,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	192,	'',	2,	'',	NULL),
(192,	158,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	1,	193,	'',	2,	'',	NULL),
(193,	158,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	10,	190,	'',	2,	'',	NULL),
(194,	159,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	11,	195,	'',	2,	'',	NULL),
(195,	159,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	196,	'',	2,	'',	NULL),
(196,	159,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	194,	'',	2,	'',	NULL),
(197,	159,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	0,	197,	'',	2,	'',	NULL),
(198,	160,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	199,	'',	2,	'',	NULL),
(199,	160,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	12,	200,	'',	2,	'',	NULL),
(200,	160,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	201,	'',	2,	'',	NULL),
(201,	160,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	1,	198,	'',	2,	'',	NULL),
(202,	161,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	1,	203,	'',	2,	'',	NULL),
(203,	161,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	204,	'',	2,	'',	NULL),
(204,	161,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	12,	205,	'',	2,	'',	NULL),
(205,	161,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	202,	'',	2,	'',	NULL),
(206,	162,	'',	'',	NULL,	8900.00,	0.00,	NULL,	206,	'',	2,	'',	NULL),
(207,	163,	'',	'',	NULL,	14900.00,	0.00,	NULL,	207,	'',	2,	'',	NULL),
(208,	164,	'',	'',	NULL,	14900.00,	0.00,	NULL,	208,	'',	2,	'',	NULL),
(209,	165,	'opwe6',	'',	NULL,	45900.00,	0.00,	NULL,	209,	'',	2,	'',	NULL),
(210,	166,	'opwe8',	'',	NULL,	25900.00,	0.00,	NULL,	210,	'',	2,	'',	NULL),
(211,	167,	'opwe8',	'',	NULL,	25900.00,	0.00,	NULL,	211,	'',	2,	'',	NULL),
(212,	168,	'',	'',	NULL,	3489.00,	0.00,	NULL,	212,	'',	2,	'',	NULL),
(213,	169,	'',	'',	NULL,	7489.00,	0.00,	NULL,	213,	'',	2,	'',	NULL),
(214,	170,	'',	'',	NULL,	8489.00,	0.00,	NULL,	214,	'',	2,	'',	NULL),
(215,	171,	'dcf521',	'',	NULL,	7400.00,	0.00,	NULL,	215,	'',	2,	'',	NULL),
(216,	172,	'tyu683',	'',	NULL,	4400.00,	0.00,	NULL,	216,	'',	2,	'',	NULL),
(217,	173,	'',	'',	NULL,	9600.00,	0.00,	NULL,	217,	'',	2,	'',	NULL),
(218,	174,	'qsdc62',	'',	NULL,	8700.00,	0.00,	NULL,	218,	'',	2,	'',	NULL),
(219,	175,	'qsdc62',	'',	NULL,	11700.00,	0.00,	NULL,	219,	'',	2,	'',	NULL),
(220,	176,	'qsdc62',	'',	NULL,	17700.00,	0.00,	NULL,	220,	'',	2,	'',	NULL),
(221,	177,	'qsdc62',	'',	NULL,	15300.00,	0.00,	NULL,	221,	'',	2,	'',	NULL),
(222,	178,	'qsdc62',	'',	NULL,	25300.00,	0.00,	NULL,	222,	'',	2,	'',	NULL),
(223,	179,	'',	'',	NULL,	36700.00,	0.00,	NULL,	223,	'',	2,	'',	NULL),
(224,	180,	'',	'',	NULL,	71700.00,	0.00,	NULL,	224,	'',	2,	'',	NULL),
(225,	181,	'',	'',	NULL,	83000.00,	0.00,	NULL,	225,	'',	2,	'',	NULL),
(226,	182,	'',	'',	NULL,	11000.00,	0.00,	NULL,	226,	'',	2,	'',	NULL),
(227,	183,	'',	'',	NULL,	12700.00,	0.00,	NULL,	227,	'',	2,	'',	NULL),
(229,	185,	'',	'',	NULL,	9500.00,	0.00,	NULL,	229,	'',	2,	'',	NULL),
(230,	186,	'',	'',	NULL,	29500.00,	0.00,	NULL,	230,	'',	2,	'',	NULL),
(231,	187,	'',	'',	NULL,	7500.00,	0.00,	NULL,	231,	'',	2,	'',	NULL),
(232,	188,	'',	'',	NULL,	390.00,	0.00,	NULL,	232,	'',	2,	'',	NULL),
(233,	189,	'book96',	'',	NULL,	590.00,	800.00,	NULL,	233,	'',	2,	'',	NULL),
(234,	190,	'book98',	'',	NULL,	490.00,	600.00,	NULL,	234,	'',	2,	'',	NULL),
(235,	191,	'book67',	'',	NULL,	410.00,	580.00,	NULL,	235,	'',	2,	'',	NULL),
(236,	192,	'book47',	'',	NULL,	980.00,	0.00,	NULL,	236,	'',	2,	'',	NULL),
(237,	193,	'book30',	'',	NULL,	1280.00,	0.00,	NULL,	237,	'',	2,	'',	NULL),
(238,	194,	'book30',	'',	NULL,	1880.00,	0.00,	NULL,	238,	'',	2,	'',	NULL),
(239,	195,	'book36',	'',	NULL,	1180.00,	0.00,	NULL,	239,	'',	2,	'',	NULL),
(240,	196,	'BEAU_015',	'',	NULL,	135.00,	0.00,	NULL,	240,	'',	1,	'',	NULL),
(241,	197,	'BEAU_019',	'',	NULL,	134.00,	0.00,	NULL,	241,	'',	1,	'',	NULL),
(242,	198,	'BEAU_020',	'',	NULL,	133.00,	0.00,	NULL,	242,	'',	1,	'',	NULL),
(243,	199,	'BEAU_021',	'',	NULL,	131.00,	0.00,	NULL,	243,	'',	1,	'',	NULL),
(244,	200,	'BEAU_022',	'',	NULL,	122.00,	0.00,	NULL,	244,	'',	1,	'',	NULL),
(245,	201,	'',	'',	NULL,	143.00,	0.00,	NULL,	245,	'',	1,	'',	NULL),
(246,	202,	'BEAU_022',	'',	NULL,	122.00,	0.00,	NULL,	246,	'',	1,	'',	NULL),
(247,	203,	'BEAU_025',	'',	NULL,	120.00,	0.00,	NULL,	247,	'',	1,	'',	NULL),
(248,	204,	'BEAU_026',	'',	NULL,	167.00,	0.00,	NULL,	248,	'',	1,	'',	NULL),
(249,	205,	'er45373',	'16 дюймов  — 155-166 см',	NULL,	469000.00,	0.00,	NULL,	249,	'',	2,	'',	NULL),
(250,	205,	'er453753',	'18 дюймов  — 165-180 см',	NULL,	479000.00,	0.00,	NULL,	250,	'',	2,	'',	NULL),
(251,	205,	'er456',	'20 дюймов  — 175-190 см',	NULL,	469000.00,	489000.00,	NULL,	251,	'',	2,	'',	NULL),
(252,	205,	'er45354',	'22 дюйма  — 187-200 см',	NULL,	499000.00,	0.00,	NULL,	252,	'',	2,	'',	NULL),
(253,	206,	'',	'17 дюймов  — 160-175 см',	NULL,	14248.00,	17530.00,	NULL,	253,	'',	2,	'',	NULL),
(254,	207,	'qw5934',	'Белый',	NULL,	7600.00,	7800.00,	NULL,	254,	'',	2,	'',	NULL),
(255,	207,	'qw735h64',	'Красный',	NULL,	7.00,	0.00,	NULL,	255,	'',	2,	'',	NULL),
(256,	208,	'awe352',	'',	NULL,	2290.00,	0.00,	NULL,	256,	'',	2,	'',	NULL),
(257,	209,	'',	'',	NULL,	9480.00,	0.00,	NULL,	257,	'',	2,	'',	NULL),
(258,	210,	'HD902',	'',	NULL,	670.00,	790.00,	NULL,	258,	'',	2,	'',	NULL),
(259,	211,	'sd6784',	'',	NULL,	1945.00,	0.00,	NULL,	259,	'',	2,	'',	NULL),
(260,	212,	'uu65222',	'',	NULL,	2389.00,	2780.00,	NULL,	260,	'',	2,	'',	NULL),
(261,	213,	'nir5225',	'',	NULL,	79450.00,	120000.00,	NULL,	261,	'',	2,	'',	NULL),
(262,	214,	'ff5211',	'',	NULL,	16800.00,	0.00,	NULL,	262,	'',	2,	'',	NULL),
(263,	215,	'as513626',	'',	NULL,	4800.00,	0.00,	NULL,	263,	'',	2,	'',	NULL),
(264,	216,	'sssr3425',	'',	NULL,	78000.00,	0.00,	NULL,	264,	'',	2,	'',	NULL),
(265,	217,	'',	'',	NULL,	9800.00,	10200.00,	NULL,	265,	'',	2,	'',	NULL),
(266,	218,	'',	'',	NULL,	8600.00,	9200.00,	NULL,	266,	'',	2,	'',	NULL),
(267,	219,	'er45373',	'16 дюймов  — 155-166 см',	NULL,	389000.00,	0.00,	NULL,	267,	'',	2,	'',	NULL),
(271,	220,	'VVw4632',	'',	NULL,	57000.00,	0.00,	NULL,	271,	'',	2,	'',	NULL),
(272,	221,	'VVw445',	'',	NULL,	7600.00,	8700.00,	NULL,	272,	'',	2,	'',	NULL),
(273,	222,	'JJPT0387',	'Оранжевый',	NULL,	11600.00,	13700.00,	NULL,	273,	'',	2,	'',	NULL),
(274,	222,	'JJPT0887',	'Чёерный',	NULL,	11600.00,	0.00,	NULL,	274,	'',	2,	'',	NULL),
(275,	223,	'PVVD2525',	'',	NULL,	68600.00,	78700.00,	NULL,	275,	'',	2,	'',	NULL),
(277,	224,	'PVVD2525',	'',	NULL,	16600.00,	17700.00,	NULL,	277,	'',	2,	'',	NULL),
(278,	225,	'mn953',	'',	NULL,	2300.00,	0.00,	NULL,	278,	'',	4,	'',	NULL),
(279,	226,	'mn954',	'',	NULL,	1300.00,	0.00,	NULL,	279,	'',	4,	'',	NULL),
(280,	227,	'mm7327',	'',	NULL,	7800.00,	0.00,	NULL,	280,	'',	4,	'',	NULL),
(281,	228,	'mnc573',	'',	NULL,	1400.00,	1540.00,	NULL,	281,	'',	4,	'',	NULL),
(282,	229,	'mnb7959',	'',	10.00,	2600.00,	0.00,	NULL,	282,	'',	4,	'',	NULL),
(283,	230,	'vby5737',	'',	NULL,	45067.00,	540000.00,	NULL,	283,	'',	2,	'',	0.00000),
(284,	231,	'ccv6346',	'зеленый',	NULL,	12900.00,	0.00,	NULL,	284,	'',	4,	'',	NULL),
(285,	231,	'ccv6546',	'синий',	NULL,	13900.00,	0.00,	NULL,	285,	'',	2,	'',	NULL),
(286,	231,	'ccv6586',	'Бежевый',	NULL,	14000.00,	0.00,	0,	286,	'',	2,	'',	NULL),
(287,	229,	'',	'',	NULL,	0.00,	0.00,	NULL,	287,	'',	2,	'',	NULL),
(288,	48,	'',	'синий',	NULL,	5100.00,	0.00,	NULL,	288,	'',	4,	'',	NULL),
(289,	48,	'',	'красный',	NULL,	5200.00,	0.00,	NULL,	289,	'',	4,	'',	NULL);

